/*===========================================================================*/
/*   (Llib/signal.scm)                                                       */
/*   Bigloo (4.4b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon 22 Mar 2021 06:58:31 PM CET     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4b/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4b/lib/bigloo/4.4b -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4b/lib/bigloo/4.4b -unsafe -safee -copt -fPIC -copt -IPosix Llib/signal.scm -o objs/signal.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_threadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
} *BgL_threadz00_bglt;

typedef struct BgL_fthreadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_schedulerz00;
   obj_t BgL_z52builtinz52;
   int BgL_z52timeoutz52;
   obj_t BgL_z52statez52;
   bool_t BgL_z52iszd2suspendz80;
   obj_t BgL_z52terminatez52;
   obj_t BgL_z52resultz52;
   obj_t BgL_z52exczd2resultz80;
   bool_t BgL_z52exczd2raisedz80;
   int BgL_z52identz52;
   obj_t BgL_z52signalsz52;
   obj_t BgL_z52awakezd2signalz80;
   obj_t BgL_z52awakezd2valuez80;
   obj_t BgL_z52cleanupz52;
   obj_t BgL_z52specificz52;
   obj_t BgL_bodyz00;
} *BgL_fthreadz00_bglt;

typedef struct BgL_ftenvz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_instantz00;
} *BgL_ftenvz00_bglt;

typedef struct BgL_z52signalz52_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_valsz00;
   int BgL_stampz00;
   obj_t BgL_threadsz00;
} *BgL_z52signalz52_bglt;


static obj_t BGl_z62signalzd2unbindzd2threadz12z70zz__ft_signalz00(obj_t, obj_t, obj_t);
extern obj_t BGl_ftenvzd2bindz12zc0zz__ft_envz00(BgL_ftenvz00_bglt, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__ft_signalz00 = BUNSPEC;
static bool_t BGl_signalzd2awakezd2threadsz00zz__ft_signalz00(BgL_z52signalz52_bglt, obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern bool_t BGl_z52threadzd2iszd2deadz52zz__ft_z52threadz52(BgL_fthreadz00_bglt, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__ft_signalz00();
static obj_t BGl_genericzd2initzd2zz__ft_signalz00();
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__ft_signalz00();
static obj_t BGl_z62objectzd2displayzd2z52sign1097z30zz__ft_signalz00(obj_t, obj_t, obj_t);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
static obj_t BGl_signalzd2lastzd2lookupz00zz__ft_signalz00(obj_t, obj_t);
extern obj_t BGl_ftenvzd2lookupzd2zz__ft_envz00(BgL_ftenvz00_bglt, obj_t);
static obj_t BGl_z62signalzd2valuezb0zz__ft_signalz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__ft_signalz00();
static obj_t BGl_z62zc3z04anonymousza31324ze3ze5zz__ft_signalz00(obj_t);
static obj_t BGl_z62signalzd2lookupzb0zz__ft_signalz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31261ze3ze5zz__ft_signalz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31245ze3ze5zz__ft_signalz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_signalzd2registerzd2threadz12z12zz__ft_signalz00(obj_t, obj_t, BgL_threadz00_bglt);
static obj_t BGl_z62zc3z04anonymousza31336ze3ze5zz__ft_signalz00(obj_t);
extern obj_t BGl_z52threadzd2awakez12z92zz__ft_z52threadz52(BgL_fthreadz00_bglt);
static obj_t BGl_z62signalzd2lastzd2valuesz62zz__ft_signalz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t bgl_remq_bang(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_signalzd2emitzd2zz__ft_signalz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__ft_signalz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_z52threadz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_typesz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__pth_threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__tracez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_tracezd2boldzd2zz__tracez00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_z52signalz52zz__ft_signalz00 = BUNSPEC;
static obj_t BGl_z62lambda1322z62zz__ft_signalz00(obj_t, obj_t);
static BgL_z52signalz52_bglt BGl_z62lambda1241z62zz__ft_signalz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1323z62zz__ft_signalz00(obj_t, obj_t, obj_t);
static BgL_z52signalz52_bglt BGl_z62lambda1243z62zz__ft_signalz00(obj_t);
static obj_t BGl_z62lambda1249z62zz__ft_signalz00(obj_t, obj_t);
static obj_t BGl_z62lambda1250z62zz__ft_signalz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31284ze3ze5zz__ft_signalz00(obj_t);
static obj_t BGl_z62lambda1259z62zz__ft_signalz00(obj_t, obj_t);
extern obj_t BGl_ftenvzd2lastzd2lookupz00zz__ft_envz00(BgL_ftenvz00_bglt, obj_t);
static obj_t BGl_z62lambda1260z62zz__ft_signalz00(obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__ft_signalz00();
static obj_t BGl_libraryzd2moduleszd2initz00zz__ft_signalz00();
static obj_t BGl_z62signalzd2unregisterzd2threadz12z70zz__ft_signalz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__ft_signalz00();
static obj_t BGl_gczd2rootszd2initz00zz__ft_signalz00();
static obj_t BGl_z62lambda1282z62zz__ft_signalz00(obj_t, obj_t);
static obj_t BGl_z62lambda1283z62zz__ft_signalz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
BGL_EXPORTED_DECL obj_t BGl_signalzd2lookupzd2zz__ft_signalz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_displayza2za2zz__r4_output_6_10_3z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_signalzd2unregisterzd2threadz12z12zz__ft_signalz00(obj_t, obj_t, BgL_threadz00_bglt);
static obj_t BGl_z62signalzd2emitzb0zz__ft_signalz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_signalzd2valuezd2zz__ft_signalz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_signalzd2unbindzd2threadz12z12zz__ft_signalz00(obj_t, BgL_threadz00_bglt);
extern obj_t BGl_ftenvzd2handleszf3z21zz__ft_envz00(BgL_ftenvz00_bglt, obj_t);
static obj_t BGl_z62signalzd2registerzd2threadz12z70zz__ft_signalz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_threadz00zz__threadz00;
BGL_EXPORTED_DECL obj_t BGl_signalzd2lastzd2valuesz00zz__ft_signalz00(obj_t, obj_t);
static obj_t __cnst[ 9 ] ;


DEFINE_STRING( BGl_string1406z00zz__ft_signalz00, BgL_bgl_string1406za700za7za7_1432za7, "object-display", 14 );
DEFINE_STRING( BGl_string1407z00zz__ft_signalz00, BgL_bgl_string1407za700za7za7_1433za7, ">", 1 );
DEFINE_STRING( BGl_string1408z00zz__ft_signalz00, BgL_bgl_string1408za700za7za7_1434za7, "#<signal:", 9 );
DEFINE_STRING( BGl_string1409z00zz__ft_signalz00, BgL_bgl_string1409za700za7za7_1435za7, "__ft_signal", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1400z00zz__ft_signalz00, BgL_bgl_za762lambda1323za7621436z00, BGl_z62lambda1323z62zz__ft_signalz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1401z00zz__ft_signalz00, BgL_bgl_za762lambda1322za7621437z00, BGl_z62lambda1322z62zz__ft_signalz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1402z00zz__ft_signalz00, BgL_bgl_za762za7c3za704anonymo1438za7, BGl_z62zc3z04anonymousza31245ze3ze5zz__ft_signalz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1403z00zz__ft_signalz00, BgL_bgl_za762lambda1243za7621439z00, BGl_z62lambda1243z62zz__ft_signalz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1410z00zz__ft_signalz00, BgL_bgl_string1410za700za7za7_1440za7, "__ft_signal %signal threads int stamp pair-nil vals obj id ", 59 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1404z00zz__ft_signalz00, BgL_bgl_za762lambda1241za7621441z00, BGl_z62lambda1241z62zz__ft_signalz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1405z00zz__ft_signalz00, BgL_bgl_za762objectza7d2disp1442z00, va_generic_entry, BGl_z62objectzd2displayzd2z52sign1097z30zz__ft_signalz00, BUNSPEC, -2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_signalzd2registerzd2threadz12zd2envzc0zz__ft_signalz00, BgL_bgl_za762signalza7d2regi1443z00, BGl_z62signalzd2registerzd2threadz12z70zz__ft_signalz00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string1380z00zz__ft_signalz00, BgL_bgl_string1380za700za7za7_1444za7, "Llib/signal.scm", 15 );
DEFINE_STRING( BGl_string1381z00zz__ft_signalz00, BgL_bgl_string1381za700za7za7_1445za7, "/builddir/build/BUILD/bigloo-4.4b/api/fthread/src/Llib/signal.scm", 65 );
DEFINE_STRING( BGl_string1382z00zz__ft_signalz00, BgL_bgl_string1382za700za7za7_1446za7, "&signal-lookup", 14 );
DEFINE_STRING( BGl_string1383z00zz__ft_signalz00, BgL_bgl_string1383za700za7za7_1447za7, "pair", 4 );
DEFINE_STRING( BGl_string1384z00zz__ft_signalz00, BgL_bgl_string1384za700za7za7_1448za7, "&signal-emit", 12 );
DEFINE_STRING( BGl_string1385z00zz__ft_signalz00, BgL_bgl_string1385za700za7za7_1449za7, "&signal-value", 13 );
DEFINE_STRING( BGl_string1386z00zz__ft_signalz00, BgL_bgl_string1386za700za7za7_1450za7, "&signal-last-values", 19 );
DEFINE_STRING( BGl_string1387z00zz__ft_signalz00, BgL_bgl_string1387za700za7za7_1451za7, "&signal-register-thread!", 24 );
DEFINE_STRING( BGl_string1388z00zz__ft_signalz00, BgL_bgl_string1388za700za7za7_1452za7, "thread", 6 );
DEFINE_STRING( BGl_string1389z00zz__ft_signalz00, BgL_bgl_string1389za700za7za7_1453za7, "&signal-unbind-thread!", 22 );
DEFINE_STRING( BGl_string1390z00zz__ft_signalz00, BgL_bgl_string1390za700za7za7_1454za7, "&signal-unregister-thread!", 26 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1391z00zz__ft_signalz00, BgL_bgl_za762lambda1250za7621455z00, BGl_z62lambda1250z62zz__ft_signalz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1392z00zz__ft_signalz00, BgL_bgl_za762lambda1249za7621456z00, BGl_z62lambda1249z62zz__ft_signalz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1393z00zz__ft_signalz00, BgL_bgl_za762za7c3za704anonymo1457za7, BGl_z62zc3z04anonymousza31261ze3ze5zz__ft_signalz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1394z00zz__ft_signalz00, BgL_bgl_za762lambda1260za7621458z00, BGl_z62lambda1260z62zz__ft_signalz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1395z00zz__ft_signalz00, BgL_bgl_za762lambda1259za7621459z00, BGl_z62lambda1259z62zz__ft_signalz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1396z00zz__ft_signalz00, BgL_bgl_za762za7c3za704anonymo1460za7, BGl_z62zc3z04anonymousza31284ze3ze5zz__ft_signalz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1397z00zz__ft_signalz00, BgL_bgl_za762lambda1283za7621461z00, BGl_z62lambda1283z62zz__ft_signalz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1398z00zz__ft_signalz00, BgL_bgl_za762lambda1282za7621462z00, BGl_z62lambda1282z62zz__ft_signalz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1399z00zz__ft_signalz00, BgL_bgl_za762za7c3za704anonymo1463za7, BGl_z62zc3z04anonymousza31324ze3ze5zz__ft_signalz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_signalzd2lookupzd2envz00zz__ft_signalz00, BgL_bgl_za762signalza7d2look1464z00, BGl_z62signalzd2lookupzb0zz__ft_signalz00, 0L, BUNSPEC, 2 );
BGL_IMPORT obj_t BGl_objectzd2displayzd2envz00zz__objectz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_signalzd2lastzd2valueszd2envzd2zz__ft_signalz00, BgL_bgl_za762signalza7d2last1465z00, BGl_z62signalzd2lastzd2valuesz62zz__ft_signalz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_signalzd2emitzd2envz00zz__ft_signalz00, BgL_bgl_za762signalza7d2emit1466z00, BGl_z62signalzd2emitzb0zz__ft_signalz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_signalzd2valuezd2envz00zz__ft_signalz00, BgL_bgl_za762signalza7d2valu1467z00, BGl_z62signalzd2valuezb0zz__ft_signalz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_signalzd2unregisterzd2threadz12zd2envzc0zz__ft_signalz00, BgL_bgl_za762signalza7d2unre1468z00, BGl_z62signalzd2unregisterzd2threadz12z70zz__ft_signalz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_signalzd2unbindzd2threadz12zd2envzc0zz__ft_signalz00, BgL_bgl_za762signalza7d2unbi1469z00, BGl_z62signalzd2unbindzd2threadz12z70zz__ft_signalz00, 0L, BUNSPEC, 2 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__ft_signalz00) );
ADD_ROOT( (void *)(&BGl_z52signalz52zz__ft_signalz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__ft_signalz00(long BgL_checksumz00_524, char * BgL_fromz00_525)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__ft_signalz00))
{ 
BGl_requirezd2initializa7ationz75zz__ft_signalz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__ft_signalz00(); 
BGl_libraryzd2moduleszd2initz00zz__ft_signalz00(); 
BGl_cnstzd2initzd2zz__ft_signalz00(); 
BGl_importedzd2moduleszd2initz00zz__ft_signalz00(); 
BGl_objectzd2initzd2zz__ft_signalz00(); 
BGl_methodzd2initzd2zz__ft_signalz00(); 
return 
BGl_toplevelzd2initzd2zz__ft_signalz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__ft_signalz00()
{
{ /* Llib/signal.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__ft_signal"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__ft_signal"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__ft_signal"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__ft_signal"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__ft_signal"); 
BGl_modulezd2initializa7ationz75zz__pth_threadz00(((long)0), "__ft_signal"); 
BGl_modulezd2initializa7ationz75zz__tracez00(((long)0), "__ft_signal"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "__ft_signal"); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)0), "__ft_signal"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__ft_signal"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__ft_signal"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__ft_signal"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__ft_signalz00()
{
{ /* Llib/signal.scm 15 */
{ /* Llib/signal.scm 15 */
obj_t BgL_cportz00_485;
{ /* Llib/signal.scm 15 */
obj_t BgL_stringz00_493;
BgL_stringz00_493 = BGl_string1410z00zz__ft_signalz00; 
{ /* Llib/signal.scm 15 */
obj_t BgL_startz00_494;
BgL_startz00_494 = 
BINT(((long)0)); 
{ /* Llib/signal.scm 15 */
obj_t BgL_endz00_495;
BgL_endz00_495 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_493))); 
{ /* Llib/signal.scm 15 */

BgL_cportz00_485 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_493, BgL_startz00_494, BgL_endz00_495); } } } } 
{ 
long BgL_iz00_486;
BgL_iz00_486 = ((long)8); 
BgL_loopz00_487:
if(
(BgL_iz00_486==((long)-1)))
{ /* Llib/signal.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/signal.scm 15 */
{ /* Llib/signal.scm 15 */
obj_t BgL_arg1431z00_489;
{ /* Llib/signal.scm 15 */

{ /* Llib/signal.scm 15 */
obj_t BgL_locationz00_491;
BgL_locationz00_491 = 
BBOOL(((bool_t)0)); 
{ /* Llib/signal.scm 15 */

BgL_arg1431z00_489 = 
BGl_readz00zz__readerz00(BgL_cportz00_485, BgL_locationz00_491); } } } 
{ /* Llib/signal.scm 15 */
int BgL_tmpz00_557;
BgL_tmpz00_557 = 
(int)(BgL_iz00_486); 
CNST_TABLE_SET(BgL_tmpz00_557, BgL_arg1431z00_489); } } 
{ /* Llib/signal.scm 15 */
int BgL_auxz00_492;
BgL_auxz00_492 = 
(int)(
(BgL_iz00_486-((long)1))); 
{ 
long BgL_iz00_562;
BgL_iz00_562 = 
(long)(BgL_auxz00_492); 
BgL_iz00_486 = BgL_iz00_562; 
goto BgL_loopz00_487;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__ft_signalz00()
{
{ /* Llib/signal.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__ft_signalz00()
{
{ /* Llib/signal.scm 15 */
BGl_modulezd2initializa7ationz75zz__pth_threadz00(((long)0), 
BSTRING_TO_STRING(BGl_string1380z00zz__ft_signalz00)); 
return BUNSPEC;} 

}



/* signal-lookup */
BGL_EXPORTED_DEF obj_t BGl_signalzd2lookupzd2zz__ft_signalz00(obj_t BgL_idz00_5, obj_t BgL_envsz00_6)
{
{ /* Llib/signal.scm 49 */
{ 
obj_t BgL_idz00_59;obj_t BgL_envz00_60;
{ 
obj_t BgL_envsz00_51;
BgL_envsz00_51 = BgL_envsz00_6; 
BgL_zc3z04anonymousza31102ze3z87_52:
{ /* Llib/signal.scm 58 */
bool_t BgL_test1472z00_567;
{ /* Llib/signal.scm 58 */
obj_t BgL_arg1112z00_57;
BgL_arg1112z00_57 = 
CAR(
((obj_t)BgL_envsz00_51)); 
BgL_test1472z00_567 = 
CBOOL(
BGl_ftenvzd2handleszf3z21zz__ft_envz00(
((BgL_ftenvz00_bglt)BgL_arg1112z00_57), BgL_idz00_5)); } 
if(BgL_test1472z00_567)
{ /* Llib/signal.scm 59 */
obj_t BgL_arg1110z00_55;
BgL_arg1110z00_55 = 
CAR(
((obj_t)BgL_envsz00_51)); 
BgL_idz00_59 = BgL_idz00_5; 
BgL_envz00_60 = BgL_arg1110z00_55; 
{ /* Llib/signal.scm 51 */
obj_t BgL_sz00_62;
BgL_sz00_62 = 
BGl_ftenvzd2lookupzd2zz__ft_envz00(
((BgL_ftenvz00_bglt)BgL_envz00_60), BgL_idz00_59); 
if(
BGl_isazf3zf3zz__objectz00(BgL_sz00_62, BGl_z52signalz52zz__ft_signalz00))
{ /* Llib/signal.scm 52 */
if(
(
(long)(
(((BgL_z52signalz52_bglt)COBJECT(
((BgL_z52signalz52_bglt)BgL_sz00_62)))->BgL_stampz00))==
(((BgL_ftenvz00_bglt)COBJECT(
((BgL_ftenvz00_bglt)BgL_envz00_60)))->BgL_instantz00)))
{ /* Llib/signal.scm 55 */
return BgL_sz00_62;}  else 
{ /* Llib/signal.scm 55 */
return BFALSE;} }  else 
{ /* Llib/signal.scm 52 */
return BFALSE;} } }  else 
{ /* Llib/signal.scm 60 */
obj_t BgL_arg1111z00_56;
BgL_arg1111z00_56 = 
CDR(
((obj_t)BgL_envsz00_51)); 
{ 
obj_t BgL_envsz00_588;
BgL_envsz00_588 = BgL_arg1111z00_56; 
BgL_envsz00_51 = BgL_envsz00_588; 
goto BgL_zc3z04anonymousza31102ze3z87_52;} } } } } } 

}



/* &signal-lookup */
obj_t BGl_z62signalzd2lookupzb0zz__ft_signalz00(obj_t BgL_envz00_382, obj_t BgL_idz00_383, obj_t BgL_envsz00_384)
{
{ /* Llib/signal.scm 49 */
{ /* Llib/signal.scm 51 */
obj_t BgL_auxz00_589;
if(
PAIRP(BgL_envsz00_384))
{ /* Llib/signal.scm 51 */
BgL_auxz00_589 = BgL_envsz00_384
; }  else 
{ 
obj_t BgL_auxz00_592;
BgL_auxz00_592 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1381z00zz__ft_signalz00, 
BINT(((long)2278)), BGl_string1382z00zz__ft_signalz00, BGl_string1383z00zz__ft_signalz00, BgL_envsz00_384); 
FAILURE(BgL_auxz00_592,BFALSE,BFALSE);} 
return 
BGl_signalzd2lookupzd2zz__ft_signalz00(BgL_idz00_383, BgL_auxz00_589);} } 

}



/* signal-last-lookup */
obj_t BGl_signalzd2lastzd2lookupz00zz__ft_signalz00(obj_t BgL_idz00_7, obj_t BgL_envsz00_8)
{
{ /* Llib/signal.scm 69 */
{ 
obj_t BgL_idz00_82;obj_t BgL_envz00_83;
{ 
obj_t BgL_envsz00_74;
BgL_envsz00_74 = BgL_envsz00_8; 
BgL_zc3z04anonymousza31121ze3z87_75:
{ /* Llib/signal.scm 78 */
bool_t BgL_test1476z00_597;
{ /* Llib/signal.scm 78 */
obj_t BgL_arg1130z00_80;
BgL_arg1130z00_80 = 
CAR(
((obj_t)BgL_envsz00_74)); 
BgL_test1476z00_597 = 
CBOOL(
BGl_ftenvzd2handleszf3z21zz__ft_envz00(
((BgL_ftenvz00_bglt)BgL_arg1130z00_80), BgL_idz00_7)); } 
if(BgL_test1476z00_597)
{ /* Llib/signal.scm 79 */
obj_t BgL_arg1125z00_78;
BgL_arg1125z00_78 = 
CAR(
((obj_t)BgL_envsz00_74)); 
BgL_idz00_82 = BgL_idz00_7; 
BgL_envz00_83 = BgL_arg1125z00_78; 
{ /* Llib/signal.scm 71 */
obj_t BgL_sz00_85;
BgL_sz00_85 = 
BGl_ftenvzd2lastzd2lookupz00zz__ft_envz00(
((BgL_ftenvz00_bglt)BgL_envz00_83), BgL_idz00_82); 
if(
BGl_isazf3zf3zz__objectz00(BgL_sz00_85, BGl_z52signalz52zz__ft_signalz00))
{ /* Llib/signal.scm 72 */
if(
(
(((long)1)+
(long)(
(((BgL_z52signalz52_bglt)COBJECT(
((BgL_z52signalz52_bglt)BgL_sz00_85)))->BgL_stampz00)))==
(((BgL_ftenvz00_bglt)COBJECT(
((BgL_ftenvz00_bglt)BgL_envz00_83)))->BgL_instantz00)))
{ /* Llib/signal.scm 75 */
return BgL_sz00_85;}  else 
{ /* Llib/signal.scm 75 */
return BFALSE;} }  else 
{ /* Llib/signal.scm 72 */
return BFALSE;} } }  else 
{ /* Llib/signal.scm 80 */
obj_t BgL_arg1127z00_79;
BgL_arg1127z00_79 = 
CDR(
((obj_t)BgL_envsz00_74)); 
{ 
obj_t BgL_envsz00_619;
BgL_envsz00_619 = BgL_arg1127z00_79; 
BgL_envsz00_74 = BgL_envsz00_619; 
goto BgL_zc3z04anonymousza31121ze3z87_75;} } } } } } 

}



/* signal-awake-threads */
bool_t BGl_signalzd2awakezd2threadsz00zz__ft_signalz00(BgL_z52signalz52_bglt BgL_sz00_9, obj_t BgL_vz00_10)
{
{ /* Llib/signal.scm 85 */
{ 
BgL_threadz00_bglt BgL_tz00_108;
{ /* Llib/signal.scm 102 */
obj_t BgL_thsz00_100;
BgL_thsz00_100 = 
(((BgL_z52signalz52_bglt)COBJECT(BgL_sz00_9))->BgL_threadsz00); 
((((BgL_z52signalz52_bglt)COBJECT(BgL_sz00_9))->BgL_threadsz00)=((obj_t)BNIL),BUNSPEC); 
{ 
obj_t BgL_l1089z00_102;
BgL_l1089z00_102 = BgL_thsz00_100; 
BgL_zc3z04anonymousza31154ze3z87_103:
if(
PAIRP(BgL_l1089z00_102))
{ /* Llib/signal.scm 104 */
{ /* Llib/signal.scm 104 */
obj_t BgL_arg1156z00_105;
BgL_arg1156z00_105 = 
CAR(BgL_l1089z00_102); 
BgL_tz00_108 = 
((BgL_threadz00_bglt)BgL_arg1156z00_105); 
{ /* Llib/signal.scm 111 */
obj_t BgL_list1167z00_314;
BgL_list1167z00_314 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_tz00_108), BNIL); 
BGl_tracezd2boldzd2zz__tracez00(BgL_list1167z00_314); } 
if(
BGl_z52threadzd2iszd2deadz52zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_tz00_108), BNIL))
{ /* Llib/signal.scm 90 */BFALSE; }  else 
{ /* Llib/signal.scm 90 */
BGl_z52threadzd2awakez12z92zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_tz00_108)); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_108)))->BgL_z52awakezd2signalz80)=((obj_t)
(((BgL_z52signalz52_bglt)COBJECT(BgL_sz00_9))->BgL_idz00)),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_108)))->BgL_z52awakezd2valuez80)=((obj_t)BgL_vz00_10),BUNSPEC); 
{ /* Llib/signal.scm 98 */
obj_t BgL_g1088z00_114;
BgL_g1088z00_114 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_108)))->BgL_z52signalsz52); 
{ 
obj_t BgL_l1086z00_116;
BgL_l1086z00_116 = BgL_g1088z00_114; 
BgL_zc3z04anonymousza31162ze3z87_117:
if(
PAIRP(BgL_l1086z00_116))
{ /* Llib/signal.scm 98 */
{ /* Llib/signal.scm 98 */
obj_t BgL_sz00_119;
BgL_sz00_119 = 
CAR(BgL_l1086z00_116); 
{ 
obj_t BgL_auxz00_643;
{ /* Llib/signal.scm 213 */
obj_t BgL_arg1209z00_318;
BgL_arg1209z00_318 = 
(((BgL_z52signalz52_bglt)COBJECT(
((BgL_z52signalz52_bglt)BgL_sz00_119)))->BgL_threadsz00); 
BgL_auxz00_643 = 
bgl_remq_bang(
((obj_t)BgL_tz00_108), BgL_arg1209z00_318); } 
((((BgL_z52signalz52_bglt)COBJECT(
((BgL_z52signalz52_bglt)BgL_sz00_119)))->BgL_threadsz00)=((obj_t)BgL_auxz00_643),BUNSPEC); } 
{ 
obj_t BgL_auxz00_650;
{ /* Llib/signal.scm 216 */
obj_t BgL_arg1212z00_320;
BgL_arg1212z00_320 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_108)))->BgL_z52signalsz52); 
BgL_auxz00_650 = 
bgl_remq_bang(BgL_sz00_119, BgL_arg1212z00_320); } 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_108)))->BgL_z52signalsz52)=((obj_t)BgL_auxz00_650),BUNSPEC); } } 
{ 
obj_t BgL_l1086z00_656;
BgL_l1086z00_656 = 
CDR(BgL_l1086z00_116); 
BgL_l1086z00_116 = BgL_l1086z00_656; 
goto BgL_zc3z04anonymousza31162ze3z87_117;} }  else 
{ /* Llib/signal.scm 98 */((bool_t)1); } } } 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_108)))->BgL_z52signalsz52)=((obj_t)BNIL),BUNSPEC); } } 
{ 
obj_t BgL_l1089z00_661;
BgL_l1089z00_661 = 
CDR(BgL_l1089z00_102); 
BgL_l1089z00_102 = BgL_l1089z00_661; 
goto BgL_zc3z04anonymousza31154ze3z87_103;} }  else 
{ /* Llib/signal.scm 104 */
return ((bool_t)1);} } } } } 

}



/* signal-emit */
BGL_EXPORTED_DEF obj_t BGl_signalzd2emitzd2zz__ft_signalz00(obj_t BgL_idz00_13, obj_t BgL_valuez00_14, obj_t BgL_envsz00_15)
{
{ /* Llib/signal.scm 116 */
{ 
obj_t BgL_idz00_135;obj_t BgL_valuez00_136;obj_t BgL_envz00_137;
{ 
obj_t BgL_envsz00_127;
BgL_envsz00_127 = BgL_envsz00_15; 
BgL_zc3z04anonymousza31168ze3z87_128:
{ /* Llib/signal.scm 134 */
bool_t BgL_test1482z00_663;
{ /* Llib/signal.scm 134 */
obj_t BgL_arg1175z00_133;
BgL_arg1175z00_133 = 
CAR(
((obj_t)BgL_envsz00_127)); 
BgL_test1482z00_663 = 
CBOOL(
BGl_ftenvzd2handleszf3z21zz__ft_envz00(
((BgL_ftenvz00_bglt)BgL_arg1175z00_133), BgL_idz00_13)); } 
if(BgL_test1482z00_663)
{ /* Llib/signal.scm 135 */
obj_t BgL_arg1172z00_131;
BgL_arg1172z00_131 = 
CAR(
((obj_t)BgL_envsz00_127)); 
BgL_idz00_135 = BgL_idz00_13; 
BgL_valuez00_136 = BgL_valuez00_14; 
BgL_envz00_137 = BgL_arg1172z00_131; 
{ /* Llib/signal.scm 119 */
obj_t BgL_oz00_140;
BgL_oz00_140 = 
BGl_ftenvzd2lookupzd2zz__ft_envz00(
((BgL_ftenvz00_bglt)BgL_envz00_137), BgL_idz00_135); 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_140, BGl_z52signalz52zz__ft_signalz00))
{ /* Llib/signal.scm 122 */
((((BgL_z52signalz52_bglt)COBJECT(
((BgL_z52signalz52_bglt)BgL_oz00_140)))->BgL_stampz00)=((int)
(int)(
(((BgL_ftenvz00_bglt)COBJECT(
((BgL_ftenvz00_bglt)BgL_envz00_137)))->BgL_instantz00))),BUNSPEC); 
{ 
obj_t BgL_auxz00_680;
{ /* Llib/signal.scm 125 */
obj_t BgL_arg1178z00_143;
BgL_arg1178z00_143 = 
(((BgL_z52signalz52_bglt)COBJECT(
((BgL_z52signalz52_bglt)BgL_oz00_140)))->BgL_valsz00); 
BgL_auxz00_680 = 
MAKE_YOUNG_PAIR(BgL_valuez00_136, BgL_arg1178z00_143); } 
((((BgL_z52signalz52_bglt)COBJECT(
((BgL_z52signalz52_bglt)BgL_oz00_140)))->BgL_valsz00)=((obj_t)BgL_auxz00_680),BUNSPEC); } 
return 
BBOOL(
BGl_signalzd2awakezd2threadsz00zz__ft_signalz00(
((BgL_z52signalz52_bglt)BgL_oz00_140), BgL_valuez00_136));}  else 
{ /* Llib/signal.scm 129 */
BgL_z52signalz52_bglt BgL_arg1179z00_144;
{ /* Llib/signal.scm 129 */
BgL_z52signalz52_bglt BgL_new1074z00_145;
{ /* Llib/signal.scm 27 */
BgL_z52signalz52_bglt BgL_new1073z00_147;
BgL_new1073z00_147 = 
((BgL_z52signalz52_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52signalz52_bgl) ))); 
{ /* Llib/signal.scm 27 */
long BgL_arg1181z00_148;
BgL_arg1181z00_148 = 
BGL_CLASS_INDEX(BGl_z52signalz52zz__ft_signalz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1073z00_147), BgL_arg1181z00_148); } 
BgL_new1074z00_145 = BgL_new1073z00_147; } 
((((BgL_z52signalz52_bglt)COBJECT(BgL_new1074z00_145))->BgL_idz00)=((obj_t)BgL_idz00_135),BUNSPEC); 
{ 
obj_t BgL_auxz00_694;
{ /* Llib/signal.scm 131 */
obj_t BgL_list1180z00_146;
BgL_list1180z00_146 = 
MAKE_YOUNG_PAIR(BgL_valuez00_136, BNIL); 
BgL_auxz00_694 = BgL_list1180z00_146; } 
((((BgL_z52signalz52_bglt)COBJECT(BgL_new1074z00_145))->BgL_valsz00)=((obj_t)BgL_auxz00_694),BUNSPEC); } 
((((BgL_z52signalz52_bglt)COBJECT(BgL_new1074z00_145))->BgL_stampz00)=((int)
(int)(
(((BgL_ftenvz00_bglt)COBJECT(
((BgL_ftenvz00_bglt)BgL_envz00_137)))->BgL_instantz00))),BUNSPEC); 
((((BgL_z52signalz52_bglt)COBJECT(BgL_new1074z00_145))->BgL_threadsz00)=((obj_t)BNIL),BUNSPEC); 
BgL_arg1179z00_144 = BgL_new1074z00_145; } 
return 
BGl_ftenvzd2bindz12zc0zz__ft_envz00(
((BgL_ftenvz00_bglt)BgL_envz00_137), BgL_idz00_135, 
((obj_t)BgL_arg1179z00_144));} } }  else 
{ /* Llib/signal.scm 136 */
obj_t BgL_arg1173z00_132;
BgL_arg1173z00_132 = 
CDR(
((obj_t)BgL_envsz00_127)); 
{ 
obj_t BgL_envsz00_707;
BgL_envsz00_707 = BgL_arg1173z00_132; 
BgL_envsz00_127 = BgL_envsz00_707; 
goto BgL_zc3z04anonymousza31168ze3z87_128;} } } } } } 

}



/* &signal-emit */
obj_t BGl_z62signalzd2emitzb0zz__ft_signalz00(obj_t BgL_envz00_385, obj_t BgL_idz00_386, obj_t BgL_valuez00_387, obj_t BgL_envsz00_388)
{
{ /* Llib/signal.scm 116 */
{ /* Llib/signal.scm 118 */
obj_t BgL_auxz00_708;
if(
PAIRP(BgL_envsz00_388))
{ /* Llib/signal.scm 118 */
BgL_auxz00_708 = BgL_envsz00_388
; }  else 
{ 
obj_t BgL_auxz00_711;
BgL_auxz00_711 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1381z00zz__ft_signalz00, 
BINT(((long)5097)), BGl_string1384z00zz__ft_signalz00, BGl_string1383z00zz__ft_signalz00, BgL_envsz00_388); 
FAILURE(BgL_auxz00_711,BFALSE,BFALSE);} 
return 
BGl_signalzd2emitzd2zz__ft_signalz00(BgL_idz00_386, BgL_valuez00_387, BgL_auxz00_708);} } 

}



/* signal-value */
BGL_EXPORTED_DEF obj_t BGl_signalzd2valuezd2zz__ft_signalz00(obj_t BgL_ez00_22, obj_t BgL_envsz00_23)
{
{ /* Llib/signal.scm 157 */
{ /* Llib/signal.scm 158 */
obj_t BgL_vsz00_335;
{ /* Llib/signal.scm 149 */
obj_t BgL_oz00_337;
BgL_oz00_337 = 
BGl_signalzd2lookupzd2zz__ft_signalz00(BgL_ez00_22, BgL_envsz00_23); 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_337, BGl_z52signalz52zz__ft_signalz00))
{ /* Llib/signal.scm 150 */
BgL_vsz00_335 = 
(((BgL_z52signalz52_bglt)COBJECT(
((BgL_z52signalz52_bglt)BgL_oz00_337)))->BgL_valsz00); }  else 
{ /* Llib/signal.scm 150 */
BgL_vsz00_335 = BUNSPEC; } } 
if(
PAIRP(BgL_vsz00_335))
{ /* Llib/signal.scm 159 */
return 
CAR(BgL_vsz00_335);}  else 
{ /* Llib/signal.scm 159 */
return BgL_vsz00_335;} } } 

}



/* &signal-value */
obj_t BGl_z62signalzd2valuezb0zz__ft_signalz00(obj_t BgL_envz00_389, obj_t BgL_ez00_390, obj_t BgL_envsz00_391)
{
{ /* Llib/signal.scm 157 */
{ /* Llib/signal.scm 158 */
obj_t BgL_auxz00_724;
if(
PAIRP(BgL_envsz00_391))
{ /* Llib/signal.scm 158 */
BgL_auxz00_724 = BgL_envsz00_391
; }  else 
{ 
obj_t BgL_auxz00_727;
BgL_auxz00_727 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1381z00zz__ft_signalz00, 
BINT(((long)6669)), BGl_string1385z00zz__ft_signalz00, BGl_string1383z00zz__ft_signalz00, BgL_envsz00_391); 
FAILURE(BgL_auxz00_727,BFALSE,BFALSE);} 
return 
BGl_signalzd2valuezd2zz__ft_signalz00(BgL_ez00_390, BgL_auxz00_724);} } 

}



/* signal-last-values */
BGL_EXPORTED_DEF obj_t BGl_signalzd2lastzd2valuesz00zz__ft_signalz00(obj_t BgL_ez00_24, obj_t BgL_envsz00_25)
{
{ /* Llib/signal.scm 166 */
{ /* Llib/signal.scm 167 */
obj_t BgL_oz00_341;
BgL_oz00_341 = 
BGl_signalzd2lastzd2lookupz00zz__ft_signalz00(BgL_ez00_24, BgL_envsz00_25); 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_341, BGl_z52signalz52zz__ft_signalz00))
{ /* Llib/signal.scm 168 */
return 
(((BgL_z52signalz52_bglt)COBJECT(
((BgL_z52signalz52_bglt)BgL_oz00_341)))->BgL_valsz00);}  else 
{ /* Llib/signal.scm 168 */
return BNIL;} } } 

}



/* &signal-last-values */
obj_t BGl_z62signalzd2lastzd2valuesz62zz__ft_signalz00(obj_t BgL_envz00_392, obj_t BgL_ez00_393, obj_t BgL_envsz00_394)
{
{ /* Llib/signal.scm 166 */
{ /* Llib/signal.scm 167 */
obj_t BgL_auxz00_737;
if(
PAIRP(BgL_envsz00_394))
{ /* Llib/signal.scm 167 */
BgL_auxz00_737 = BgL_envsz00_394
; }  else 
{ 
obj_t BgL_auxz00_740;
BgL_auxz00_740 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1381z00zz__ft_signalz00, 
BINT(((long)7008)), BGl_string1386z00zz__ft_signalz00, BGl_string1383z00zz__ft_signalz00, BgL_envsz00_394); 
FAILURE(BgL_auxz00_740,BFALSE,BFALSE);} 
return 
BGl_signalzd2lastzd2valuesz00zz__ft_signalz00(BgL_ez00_393, BgL_auxz00_737);} } 

}



/* signal-register-thread! */
BGL_EXPORTED_DEF obj_t BGl_signalzd2registerzd2threadz12z12zz__ft_signalz00(obj_t BgL_idz00_26, obj_t BgL_envsz00_27, BgL_threadz00_bglt BgL_threadz00_28)
{
{ /* Llib/signal.scm 175 */
{ 
obj_t BgL_idz00_168;obj_t BgL_envz00_169;BgL_threadz00_bglt BgL_threadz00_170;
{ 
obj_t BgL_envsz00_160;
BgL_envsz00_160 = BgL_envsz00_27; 
BgL_zc3z04anonymousza31185ze3z87_161:
{ /* Llib/signal.scm 196 */
bool_t BgL_test1490z00_745;
{ /* Llib/signal.scm 196 */
obj_t BgL_arg1190z00_166;
BgL_arg1190z00_166 = 
CAR(
((obj_t)BgL_envsz00_160)); 
BgL_test1490z00_745 = 
CBOOL(
BGl_ftenvzd2handleszf3z21zz__ft_envz00(
((BgL_ftenvz00_bglt)BgL_arg1190z00_166), BgL_idz00_26)); } 
if(BgL_test1490z00_745)
{ /* Llib/signal.scm 197 */
obj_t BgL_arg1188z00_164;
BgL_arg1188z00_164 = 
CAR(
((obj_t)BgL_envsz00_160)); 
BgL_idz00_168 = BgL_idz00_26; 
BgL_envz00_169 = BgL_arg1188z00_164; 
BgL_threadz00_170 = BgL_threadz00_28; 
{ /* Llib/signal.scm 177 */
obj_t BgL_oz00_172;
BgL_oz00_172 = 
BGl_ftenvzd2lookupzd2zz__ft_envz00(
((BgL_ftenvz00_bglt)BgL_envz00_169), BgL_idz00_168); 
{ /* Llib/signal.scm 177 */
BgL_z52signalz52_bglt BgL_sz00_173;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_172, BGl_z52signalz52zz__ft_signalz00))
{ /* Llib/signal.scm 178 */
{ 
obj_t BgL_auxz00_757;
{ /* Llib/signal.scm 181 */
obj_t BgL_arg1201z00_178;
BgL_arg1201z00_178 = 
(((BgL_z52signalz52_bglt)COBJECT(
((BgL_z52signalz52_bglt)BgL_oz00_172)))->BgL_threadsz00); 
BgL_auxz00_757 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_threadz00_170), BgL_arg1201z00_178); } 
((((BgL_z52signalz52_bglt)COBJECT(
((BgL_z52signalz52_bglt)BgL_oz00_172)))->BgL_threadsz00)=((obj_t)BgL_auxz00_757),BUNSPEC); } 
BgL_sz00_173 = 
((BgL_z52signalz52_bglt)BgL_oz00_172); }  else 
{ /* Llib/signal.scm 184 */
BgL_z52signalz52_bglt BgL_newz00_179;
{ /* Llib/signal.scm 184 */
BgL_z52signalz52_bglt BgL_new1079z00_180;
{ /* Llib/signal.scm 185 */
BgL_z52signalz52_bglt BgL_new1078z00_182;
BgL_new1078z00_182 = 
((BgL_z52signalz52_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52signalz52_bgl) ))); 
{ /* Llib/signal.scm 185 */
long BgL_arg1206z00_183;
BgL_arg1206z00_183 = 
BGL_CLASS_INDEX(BGl_z52signalz52zz__ft_signalz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1078z00_182), BgL_arg1206z00_183); } 
BgL_new1079z00_180 = BgL_new1078z00_182; } 
((((BgL_z52signalz52_bglt)COBJECT(BgL_new1079z00_180))->BgL_idz00)=((obj_t)BgL_idz00_168),BUNSPEC); 
((((BgL_z52signalz52_bglt)COBJECT(BgL_new1079z00_180))->BgL_valsz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52signalz52_bglt)COBJECT(BgL_new1079z00_180))->BgL_stampz00)=((int)
(int)(((long)-1))),BUNSPEC); 
{ 
obj_t BgL_auxz00_773;
{ /* Llib/signal.scm 188 */
obj_t BgL_list1202z00_181;
BgL_list1202z00_181 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_threadz00_170), BNIL); 
BgL_auxz00_773 = BgL_list1202z00_181; } 
((((BgL_z52signalz52_bglt)COBJECT(BgL_new1079z00_180))->BgL_threadsz00)=((obj_t)BgL_auxz00_773),BUNSPEC); } 
BgL_newz00_179 = BgL_new1079z00_180; } 
BGl_ftenvzd2bindz12zc0zz__ft_envz00(
((BgL_ftenvz00_bglt)BgL_envz00_169), BgL_idz00_168, 
((obj_t)BgL_newz00_179)); 
BgL_sz00_173 = BgL_newz00_179; } 
{ /* Llib/signal.scm 178 */

{ 
obj_t BgL_auxz00_780;
{ /* Llib/signal.scm 192 */
obj_t BgL_arg1195z00_175;
BgL_arg1195z00_175 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_threadz00_170)))->BgL_z52signalsz52); 
BgL_auxz00_780 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_sz00_173), BgL_arg1195z00_175); } 
return 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_threadz00_170)))->BgL_z52signalsz52)=((obj_t)BgL_auxz00_780),BUNSPEC);} } } } }  else 
{ /* Llib/signal.scm 198 */
obj_t BgL_arg1189z00_165;
BgL_arg1189z00_165 = 
CDR(
((obj_t)BgL_envsz00_160)); 
{ 
obj_t BgL_envsz00_789;
BgL_envsz00_789 = BgL_arg1189z00_165; 
BgL_envsz00_160 = BgL_envsz00_789; 
goto BgL_zc3z04anonymousza31185ze3z87_161;} } } } } } 

}



/* &signal-register-thread! */
obj_t BGl_z62signalzd2registerzd2threadz12z70zz__ft_signalz00(obj_t BgL_envz00_395, obj_t BgL_idz00_396, obj_t BgL_envsz00_397, obj_t BgL_threadz00_398)
{
{ /* Llib/signal.scm 175 */
{ /* Llib/signal.scm 177 */
BgL_threadz00_bglt BgL_auxz00_797;obj_t BgL_auxz00_790;
if(
BGl_isazf3zf3zz__objectz00(BgL_threadz00_398, BGl_threadz00zz__threadz00))
{ /* Llib/signal.scm 177 */
BgL_auxz00_797 = 
((BgL_threadz00_bglt)BgL_threadz00_398)
; }  else 
{ 
obj_t BgL_auxz00_801;
BgL_auxz00_801 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1381z00zz__ft_signalz00, 
BINT(((long)7454)), BGl_string1387z00zz__ft_signalz00, BGl_string1388z00zz__ft_signalz00, BgL_threadz00_398); 
FAILURE(BgL_auxz00_801,BFALSE,BFALSE);} 
if(
PAIRP(BgL_envsz00_397))
{ /* Llib/signal.scm 177 */
BgL_auxz00_790 = BgL_envsz00_397
; }  else 
{ 
obj_t BgL_auxz00_793;
BgL_auxz00_793 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1381z00zz__ft_signalz00, 
BINT(((long)7454)), BGl_string1387z00zz__ft_signalz00, BGl_string1383z00zz__ft_signalz00, BgL_envsz00_397); 
FAILURE(BgL_auxz00_793,BFALSE,BFALSE);} 
return 
BGl_signalzd2registerzd2threadz12z12zz__ft_signalz00(BgL_idz00_396, BgL_auxz00_790, BgL_auxz00_797);} } 

}



/* signal-unbind-thread! */
BGL_EXPORTED_DEF obj_t BGl_signalzd2unbindzd2threadz12z12zz__ft_signalz00(obj_t BgL_sz00_32, BgL_threadz00_bglt BgL_threadz00_33)
{
{ /* Llib/signal.scm 210 */
{ 
obj_t BgL_auxz00_806;
{ /* Llib/signal.scm 213 */
obj_t BgL_arg1209z00_352;
BgL_arg1209z00_352 = 
(((BgL_z52signalz52_bglt)COBJECT(
((BgL_z52signalz52_bglt)BgL_sz00_32)))->BgL_threadsz00); 
BgL_auxz00_806 = 
bgl_remq_bang(
((obj_t)BgL_threadz00_33), BgL_arg1209z00_352); } 
((((BgL_z52signalz52_bglt)COBJECT(
((BgL_z52signalz52_bglt)BgL_sz00_32)))->BgL_threadsz00)=((obj_t)BgL_auxz00_806),BUNSPEC); } 
{ 
obj_t BgL_auxz00_813;
{ /* Llib/signal.scm 216 */
obj_t BgL_arg1212z00_354;
BgL_arg1212z00_354 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_threadz00_33)))->BgL_z52signalsz52); 
BgL_auxz00_813 = 
bgl_remq_bang(BgL_sz00_32, BgL_arg1212z00_354); } 
return 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_threadz00_33)))->BgL_z52signalsz52)=((obj_t)BgL_auxz00_813),BUNSPEC);} } 

}



/* &signal-unbind-thread! */
obj_t BGl_z62signalzd2unbindzd2threadz12z70zz__ft_signalz00(obj_t BgL_envz00_399, obj_t BgL_sz00_400, obj_t BgL_threadz00_401)
{
{ /* Llib/signal.scm 210 */
{ /* Llib/signal.scm 213 */
BgL_threadz00_bglt BgL_auxz00_819;
if(
BGl_isazf3zf3zz__objectz00(BgL_threadz00_401, BGl_threadz00zz__threadz00))
{ /* Llib/signal.scm 213 */
BgL_auxz00_819 = 
((BgL_threadz00_bglt)BgL_threadz00_401)
; }  else 
{ 
obj_t BgL_auxz00_823;
BgL_auxz00_823 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1381z00zz__ft_signalz00, 
BINT(((long)8958)), BGl_string1389z00zz__ft_signalz00, BGl_string1388z00zz__ft_signalz00, BgL_threadz00_401); 
FAILURE(BgL_auxz00_823,BFALSE,BFALSE);} 
return 
BGl_signalzd2unbindzd2threadz12z12zz__ft_signalz00(BgL_sz00_400, BgL_auxz00_819);} } 

}



/* signal-unregister-thread! */
BGL_EXPORTED_DEF obj_t BGl_signalzd2unregisterzd2threadz12z12zz__ft_signalz00(obj_t BgL_idz00_34, obj_t BgL_envsz00_35, BgL_threadz00_bglt BgL_threadz00_36)
{
{ /* Llib/signal.scm 221 */
{ /* Llib/signal.scm 236 */
obj_t BgL_list1228z00_361;
BgL_list1228z00_361 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_threadz00_36), BNIL); 
BGl_tracezd2boldzd2zz__tracez00(BgL_list1228z00_361); } 
{ 
obj_t BgL_envsz00_191;
BgL_envsz00_191 = BgL_envsz00_35; 
BgL_zc3z04anonymousza31213ze3z87_192:
{ /* Llib/signal.scm 227 */
bool_t BgL_test1495z00_831;
{ /* Llib/signal.scm 227 */
obj_t BgL_arg1222z00_197;
BgL_arg1222z00_197 = 
CAR(
((obj_t)BgL_envsz00_191)); 
BgL_test1495z00_831 = 
CBOOL(
BGl_ftenvzd2handleszf3z21zz__ft_envz00(
((BgL_ftenvz00_bglt)BgL_arg1222z00_197), BgL_idz00_34)); } 
if(BgL_test1495z00_831)
{ /* Llib/signal.scm 228 */
obj_t BgL_arg1219z00_195;
BgL_arg1219z00_195 = 
CAR(
((obj_t)BgL_envsz00_191)); 
{ /* Llib/signal.scm 223 */
obj_t BgL_arg1227z00_364;
BgL_arg1227z00_364 = 
BGl_ftenvzd2lookupzd2zz__ft_envz00(
((BgL_ftenvz00_bglt)BgL_arg1219z00_195), BgL_idz00_34); 
return 
BGl_signalzd2unbindzd2threadz12z12zz__ft_signalz00(BgL_arg1227z00_364, BgL_threadz00_36);} }  else 
{ /* Llib/signal.scm 229 */
obj_t BgL_arg1221z00_196;
BgL_arg1221z00_196 = 
CDR(
((obj_t)BgL_envsz00_191)); 
{ 
obj_t BgL_envsz00_844;
BgL_envsz00_844 = BgL_arg1221z00_196; 
BgL_envsz00_191 = BgL_envsz00_844; 
goto BgL_zc3z04anonymousza31213ze3z87_192;} } } } } 

}



/* &signal-unregister-thread! */
obj_t BGl_z62signalzd2unregisterzd2threadz12z70zz__ft_signalz00(obj_t BgL_envz00_402, obj_t BgL_idz00_403, obj_t BgL_envsz00_404, obj_t BgL_threadz00_405)
{
{ /* Llib/signal.scm 221 */
{ /* Llib/signal.scm 225 */
BgL_threadz00_bglt BgL_auxz00_852;obj_t BgL_auxz00_845;
if(
BGl_isazf3zf3zz__objectz00(BgL_threadz00_405, BGl_threadz00zz__threadz00))
{ /* Llib/signal.scm 225 */
BgL_auxz00_852 = 
((BgL_threadz00_bglt)BgL_threadz00_405)
; }  else 
{ 
obj_t BgL_auxz00_856;
BgL_auxz00_856 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1381z00zz__ft_signalz00, 
BINT(((long)9539)), BGl_string1390z00zz__ft_signalz00, BGl_string1388z00zz__ft_signalz00, BgL_threadz00_405); 
FAILURE(BgL_auxz00_856,BFALSE,BFALSE);} 
if(
PAIRP(BgL_envsz00_404))
{ /* Llib/signal.scm 225 */
BgL_auxz00_845 = BgL_envsz00_404
; }  else 
{ 
obj_t BgL_auxz00_848;
BgL_auxz00_848 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1381z00zz__ft_signalz00, 
BINT(((long)9539)), BGl_string1390z00zz__ft_signalz00, BGl_string1383z00zz__ft_signalz00, BgL_envsz00_404); 
FAILURE(BgL_auxz00_848,BFALSE,BFALSE);} 
return 
BGl_signalzd2unregisterzd2threadz12z12zz__ft_signalz00(BgL_idz00_403, BgL_auxz00_845, BgL_auxz00_852);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__ft_signalz00()
{
{ /* Llib/signal.scm 15 */
{ /* Llib/signal.scm 23 */
obj_t BgL_arg1239z00_209;obj_t BgL_arg1240z00_210;
{ /* Llib/signal.scm 23 */
obj_t BgL_v1091z00_224;
BgL_v1091z00_224 = 
create_vector(((long)4)); 
{ /* Llib/signal.scm 23 */
obj_t BgL_arg1246z00_225;
BgL_arg1246z00_225 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)0)), BGl_proc1392z00zz__ft_signalz00, BGl_proc1391z00zz__ft_signalz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)1))); 
VECTOR_SET(BgL_v1091z00_224,((long)0),BgL_arg1246z00_225); } 
{ /* Llib/signal.scm 23 */
obj_t BgL_arg1252z00_235;
BgL_arg1252z00_235 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)2)), BGl_proc1395z00zz__ft_signalz00, BGl_proc1394z00zz__ft_signalz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1393z00zz__ft_signalz00, 
CNST_TABLE_REF(((long)3))); 
VECTOR_SET(BgL_v1091z00_224,((long)1),BgL_arg1252z00_235); } 
{ /* Llib/signal.scm 23 */
obj_t BgL_arg1277z00_248;
BgL_arg1277z00_248 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)4)), BGl_proc1398z00zz__ft_signalz00, BGl_proc1397z00zz__ft_signalz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1396z00zz__ft_signalz00, 
CNST_TABLE_REF(((long)5))); 
VECTOR_SET(BgL_v1091z00_224,((long)2),BgL_arg1277z00_248); } 
{ /* Llib/signal.scm 23 */
obj_t BgL_arg1318z00_261;
BgL_arg1318z00_261 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)6)), BGl_proc1401z00zz__ft_signalz00, BGl_proc1400z00zz__ft_signalz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1399z00zz__ft_signalz00, 
CNST_TABLE_REF(((long)3))); 
VECTOR_SET(BgL_v1091z00_224,((long)3),BgL_arg1318z00_261); } 
BgL_arg1239z00_209 = BgL_v1091z00_224; } 
{ /* Llib/signal.scm 23 */
obj_t BgL_v1092z00_274;
BgL_v1092z00_274 = 
create_vector(((long)0)); 
BgL_arg1240z00_210 = BgL_v1092z00_274; } 
return ( 
BGl_z52signalz52zz__ft_signalz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)7)), 
CNST_TABLE_REF(((long)8)), BGl_objectz00zz__objectz00, ((long)39580), BGl_proc1404z00zz__ft_signalz00, BGl_proc1403z00zz__ft_signalz00, BFALSE, BGl_proc1402z00zz__ft_signalz00, BFALSE, BgL_arg1239z00_209, BgL_arg1240z00_210), BUNSPEC) ;} } 

}



/* &<@anonymous:1245> */
obj_t BGl_z62zc3z04anonymousza31245ze3ze5zz__ft_signalz00(obj_t BgL_envz00_420, obj_t BgL_new1062z00_421)
{
{ /* Llib/signal.scm 23 */
{ 
BgL_z52signalz52_bglt BgL_auxz00_882;
((((BgL_z52signalz52_bglt)COBJECT(
((BgL_z52signalz52_bglt)BgL_new1062z00_421)))->BgL_idz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z52signalz52_bglt)COBJECT(
((BgL_z52signalz52_bglt)BgL_new1062z00_421)))->BgL_valsz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52signalz52_bglt)COBJECT(
((BgL_z52signalz52_bglt)BgL_new1062z00_421)))->BgL_stampz00)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_z52signalz52_bglt)COBJECT(
((BgL_z52signalz52_bglt)BgL_new1062z00_421)))->BgL_threadsz00)=((obj_t)BNIL),BUNSPEC); 
BgL_auxz00_882 = 
((BgL_z52signalz52_bglt)BgL_new1062z00_421); 
return 
((obj_t)BgL_auxz00_882);} } 

}



/* &lambda1243 */
BgL_z52signalz52_bglt BGl_z62lambda1243z62zz__ft_signalz00(obj_t BgL_envz00_422)
{
{ /* Llib/signal.scm 23 */
{ /* Llib/signal.scm 23 */
BgL_z52signalz52_bglt BgL_new1061z00_498;
BgL_new1061z00_498 = 
((BgL_z52signalz52_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52signalz52_bgl) ))); 
{ /* Llib/signal.scm 23 */
long BgL_arg1244z00_499;
BgL_arg1244z00_499 = 
BGL_CLASS_INDEX(BGl_z52signalz52zz__ft_signalz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1061z00_498), BgL_arg1244z00_499); } 
return BgL_new1061z00_498;} } 

}



/* &lambda1241 */
BgL_z52signalz52_bglt BGl_z62lambda1241z62zz__ft_signalz00(obj_t BgL_envz00_423, obj_t BgL_id1057z00_424, obj_t BgL_vals1058z00_425, obj_t BgL_stamp1059z00_426, obj_t BgL_threads1060z00_427)
{
{ /* Llib/signal.scm 23 */
{ /* Llib/signal.scm 23 */
int BgL_stamp1059z00_501;
BgL_stamp1059z00_501 = 
CINT(BgL_stamp1059z00_426); 
{ /* Llib/signal.scm 23 */
BgL_z52signalz52_bglt BgL_new1084z00_503;
{ /* Llib/signal.scm 23 */
BgL_z52signalz52_bglt BgL_new1083z00_504;
BgL_new1083z00_504 = 
((BgL_z52signalz52_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52signalz52_bgl) ))); 
{ /* Llib/signal.scm 23 */
long BgL_arg1242z00_505;
BgL_arg1242z00_505 = 
BGL_CLASS_INDEX(BGl_z52signalz52zz__ft_signalz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1083z00_504), BgL_arg1242z00_505); } 
BgL_new1084z00_503 = BgL_new1083z00_504; } 
((((BgL_z52signalz52_bglt)COBJECT(BgL_new1084z00_503))->BgL_idz00)=((obj_t)BgL_id1057z00_424),BUNSPEC); 
((((BgL_z52signalz52_bglt)COBJECT(BgL_new1084z00_503))->BgL_valsz00)=((obj_t)
((obj_t)BgL_vals1058z00_425)),BUNSPEC); 
((((BgL_z52signalz52_bglt)COBJECT(BgL_new1084z00_503))->BgL_stampz00)=((int)BgL_stamp1059z00_501),BUNSPEC); 
((((BgL_z52signalz52_bglt)COBJECT(BgL_new1084z00_503))->BgL_threadsz00)=((obj_t)
((obj_t)BgL_threads1060z00_427)),BUNSPEC); 
return BgL_new1084z00_503;} } } 

}



/* &<@anonymous:1324> */
obj_t BGl_z62zc3z04anonymousza31324ze3ze5zz__ft_signalz00(obj_t BgL_envz00_428)
{
{ /* Llib/signal.scm 23 */
return BNIL;} 

}



/* &lambda1323 */
obj_t BGl_z62lambda1323z62zz__ft_signalz00(obj_t BgL_envz00_429, obj_t BgL_oz00_430, obj_t BgL_vz00_431)
{
{ /* Llib/signal.scm 23 */
return 
((((BgL_z52signalz52_bglt)COBJECT(
((BgL_z52signalz52_bglt)BgL_oz00_430)))->BgL_threadsz00)=((obj_t)
((obj_t)BgL_vz00_431)),BUNSPEC);} 

}



/* &lambda1322 */
obj_t BGl_z62lambda1322z62zz__ft_signalz00(obj_t BgL_envz00_432, obj_t BgL_oz00_433)
{
{ /* Llib/signal.scm 23 */
return 
(((BgL_z52signalz52_bglt)COBJECT(
((BgL_z52signalz52_bglt)BgL_oz00_433)))->BgL_threadsz00);} 

}



/* &<@anonymous:1284> */
obj_t BGl_z62zc3z04anonymousza31284ze3ze5zz__ft_signalz00(obj_t BgL_envz00_434)
{
{ /* Llib/signal.scm 23 */
return 
BINT(((long)-1));} 

}



/* &lambda1283 */
obj_t BGl_z62lambda1283z62zz__ft_signalz00(obj_t BgL_envz00_435, obj_t BgL_oz00_436, obj_t BgL_vz00_437)
{
{ /* Llib/signal.scm 23 */
{ /* Llib/signal.scm 23 */
int BgL_vz00_510;
BgL_vz00_510 = 
CINT(BgL_vz00_437); 
return 
((((BgL_z52signalz52_bglt)COBJECT(
((BgL_z52signalz52_bglt)BgL_oz00_436)))->BgL_stampz00)=((int)BgL_vz00_510),BUNSPEC);} } 

}



/* &lambda1282 */
obj_t BGl_z62lambda1282z62zz__ft_signalz00(obj_t BgL_envz00_438, obj_t BgL_oz00_439)
{
{ /* Llib/signal.scm 23 */
return 
BINT(
(((BgL_z52signalz52_bglt)COBJECT(
((BgL_z52signalz52_bglt)BgL_oz00_439)))->BgL_stampz00));} 

}



/* &<@anonymous:1261> */
obj_t BGl_z62zc3z04anonymousza31261ze3ze5zz__ft_signalz00(obj_t BgL_envz00_440)
{
{ /* Llib/signal.scm 23 */
return BNIL;} 

}



/* &lambda1260 */
obj_t BGl_z62lambda1260z62zz__ft_signalz00(obj_t BgL_envz00_441, obj_t BgL_oz00_442, obj_t BgL_vz00_443)
{
{ /* Llib/signal.scm 23 */
return 
((((BgL_z52signalz52_bglt)COBJECT(
((BgL_z52signalz52_bglt)BgL_oz00_442)))->BgL_valsz00)=((obj_t)
((obj_t)BgL_vz00_443)),BUNSPEC);} 

}



/* &lambda1259 */
obj_t BGl_z62lambda1259z62zz__ft_signalz00(obj_t BgL_envz00_444, obj_t BgL_oz00_445)
{
{ /* Llib/signal.scm 23 */
return 
(((BgL_z52signalz52_bglt)COBJECT(
((BgL_z52signalz52_bglt)BgL_oz00_445)))->BgL_valsz00);} 

}



/* &lambda1250 */
obj_t BGl_z62lambda1250z62zz__ft_signalz00(obj_t BgL_envz00_446, obj_t BgL_oz00_447, obj_t BgL_vz00_448)
{
{ /* Llib/signal.scm 23 */
return 
((((BgL_z52signalz52_bglt)COBJECT(
((BgL_z52signalz52_bglt)BgL_oz00_447)))->BgL_idz00)=((obj_t)BgL_vz00_448),BUNSPEC);} 

}



/* &lambda1249 */
obj_t BGl_z62lambda1249z62zz__ft_signalz00(obj_t BgL_envz00_449, obj_t BgL_oz00_450)
{
{ /* Llib/signal.scm 23 */
return 
(((BgL_z52signalz52_bglt)COBJECT(
((BgL_z52signalz52_bglt)BgL_oz00_450)))->BgL_idz00);} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__ft_signalz00()
{
{ /* Llib/signal.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__ft_signalz00()
{
{ /* Llib/signal.scm 15 */
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2displayzd2envz00zz__objectz00, BGl_z52signalz52zz__ft_signalz00, BGl_proc1405z00zz__ft_signalz00, BGl_string1406z00zz__ft_signalz00);} 

}



/* &object-display-%sign1097 */
obj_t BGl_z62objectzd2displayzd2z52sign1097z30zz__ft_signalz00(obj_t BgL_envz00_453, obj_t BgL_oz00_454, obj_t BgL_portz00_455)
{
{ /* Llib/signal.scm 40 */
{ /* Llib/signal.scm 41 */
obj_t BgL_arg1330z00_518;
if(
PAIRP(BgL_portz00_455))
{ /* Llib/signal.scm 41 */
BgL_arg1330z00_518 = 
CAR(BgL_portz00_455); }  else 
{ /* Llib/signal.scm 41 */
obj_t BgL_tmpz00_934;
BgL_tmpz00_934 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg1330z00_518 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_934); } 
{ /* Llib/signal.scm 43 */
obj_t BgL_zc3z04anonymousza31336ze3z87_519;
BgL_zc3z04anonymousza31336ze3z87_519 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31336ze3ze5zz__ft_signalz00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31336ze3z87_519, 
(int)(((long)0)), 
((obj_t)
((BgL_z52signalz52_bglt)BgL_oz00_454))); 
return 
BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(BgL_arg1330z00_518, BgL_zc3z04anonymousza31336ze3z87_519);} } } 

}



/* &<@anonymous:1336> */
obj_t BGl_z62zc3z04anonymousza31336ze3ze5zz__ft_signalz00(obj_t BgL_envz00_456)
{
{ /* Llib/signal.scm 42 */
{ /* Llib/signal.scm 43 */
BgL_z52signalz52_bglt BgL_oz00_457;
BgL_oz00_457 = 
((BgL_z52signalz52_bglt)
PROCEDURE_REF(BgL_envz00_456, 
(int)(((long)0)))); 
{ /* Llib/signal.scm 44 */
obj_t BgL_arg1338z00_520;
BgL_arg1338z00_520 = 
(((BgL_z52signalz52_bglt)COBJECT(BgL_oz00_457))->BgL_idz00); 
{ /* Llib/signal.scm 44 */
obj_t BgL_list1339z00_521;
{ /* Llib/signal.scm 44 */
obj_t BgL_arg1341z00_522;
{ /* Llib/signal.scm 44 */
obj_t BgL_arg1344z00_523;
BgL_arg1344z00_523 = 
MAKE_YOUNG_PAIR(BGl_string1407z00zz__ft_signalz00, BNIL); 
BgL_arg1341z00_522 = 
MAKE_YOUNG_PAIR(BgL_arg1338z00_520, BgL_arg1344z00_523); } 
BgL_list1339z00_521 = 
MAKE_YOUNG_PAIR(BGl_string1408z00zz__ft_signalz00, BgL_arg1341z00_522); } 
return 
BGl_displayza2za2zz__r4_output_6_10_3z00(BgL_list1339z00_521);} } } } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__ft_signalz00()
{
{ /* Llib/signal.scm 15 */
BGl_modulezd2initializa7ationz75zz__ft_typesz00(((long)414892275), 
BSTRING_TO_STRING(BGl_string1409z00zz__ft_signalz00)); 
BGl_modulezd2initializa7ationz75zz__ft_envz00(((long)360853603), 
BSTRING_TO_STRING(BGl_string1409z00zz__ft_signalz00)); 
return 
BGl_modulezd2initializa7ationz75zz__ft_z52threadz52(((long)536507091), 
BSTRING_TO_STRING(BGl_string1409z00zz__ft_signalz00));} 

}

#ifdef __cplusplus
}
#endif
