/*===========================================================================*/
/*   (Misc/make_lib.scm)                                                     */
/*   Bigloo (4.4b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon 22 Mar 2021 06:58:31 PM CET     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4b/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4b/lib/bigloo/4.4b -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4b/lib/bigloo/4.4b -unsafe -safee -copt -fPIC -copt -IPosix Misc/make_lib.scm -o objs/make_lib.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
static obj_t BGl_requirezd2initializa7ationz75zz__srfi27_makelibz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__srfi27_makelibz00();
static obj_t BGl_genericzd2initzd2zz__srfi27_makelibz00();
static obj_t BGl_objectzd2initzd2zz__srfi27_makelibz00();
static obj_t BGl_evalzd2initzd2zz__srfi27_makelibz00();
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
extern obj_t BGl_randomzd2integerzd2zz__srfi27z00;
static obj_t BGl_methodzd2initzd2zz__srfi27_makelibz00();
BGL_IMPORT obj_t BGl_definezd2primopzd2refz12z12zz__evenvz00(obj_t, obj_t);
extern obj_t BGl_randomzd2sourcezf3z21zz__srfi27z00;
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__srfi27_makelibz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__srfi27z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_cnstzd2initzd2zz__srfi27_makelibz00();
static obj_t BGl_libraryzd2moduleszd2initz00zz__srfi27_makelibz00();
static obj_t BGl_importedzd2moduleszd2initz00zz__srfi27_makelibz00();
static obj_t BGl_gczd2rootszd2initz00zz__srfi27_makelibz00();
BGL_IMPORT obj_t BGl_definezd2primopz12zc0zz__evenvz00(obj_t, obj_t);
static obj_t BGl_z62appendzd221010zb0zz__srfi27_makelibz00(obj_t, obj_t, obj_t);
extern obj_t BGl_defaultzd2randomzd2sourcez00zz__srfi27z00;
extern obj_t BGl_randomzd2realzd2zz__srfi27z00;
static obj_t __cnst[ 12 ] ;


extern obj_t BGl_randomzd2sourcezd2randomiza7ez12zd2envz67zz__srfi27z00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_appendzd221010zd2envz00zz__srfi27_makelibz00, BgL_bgl_za762appendza7d221011032z00, BGl_z62appendzd221010zb0zz__srfi27_makelibz00, 0L, BUNSPEC, 2 );
extern obj_t BGl_randomzd2sourcezd2statezd2refzd2envz00zz__srfi27z00;
extern obj_t BGl_randomzd2sourcezd2pseudozd2randomiza7ez12zd2envzb5zz__srfi27z00;
extern obj_t BGl_makezd2randomzd2sourcezd2envzd2zz__srfi27z00;
extern obj_t BGl_randomzd2sourcezd2makezd2integerszd2envz00zz__srfi27z00;
DEFINE_STRING( BGl_string1026z00zz__srfi27_makelibz00, BgL_bgl_string1026za700za7za7_1033za7, "&append-21010", 13 );
DEFINE_STRING( BGl_string1027z00zz__srfi27_makelibz00, BgL_bgl_string1027za700za7za7_1034za7, "pair-nil", 8 );
DEFINE_STRING( BGl_string1028z00zz__srfi27_makelibz00, BgL_bgl_string1028za700za7za7_1035za7, "__srfi27_makelib", 16 );
DEFINE_STRING( BGl_string1029z00zz__srfi27_makelibz00, BgL_bgl_string1029za700za7za7_1036za7, "random-source-state-set! random-source-make-reals random-source-pseudo-randomize! append-21010 random-integer random-source-randomize! random-source? make-random-source random-source-state-ref default-random-source random-source-make-integers random-real ", 255 );
extern obj_t BGl_randomzd2sourcezd2makezd2realszd2envz00zz__srfi27z00;
extern obj_t BGl_randomzd2sourcezd2statezd2setz12zd2envz12zz__srfi27z00;

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__srfi27_makelibz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__srfi27_makelibz00(long BgL_checksumz00_56, char * BgL_fromz00_57)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__srfi27_makelibz00))
{ 
BGl_requirezd2initializa7ationz75zz__srfi27_makelibz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__srfi27_makelibz00(); 
BGl_libraryzd2moduleszd2initz00zz__srfi27_makelibz00(); 
BGl_cnstzd2initzd2zz__srfi27_makelibz00(); 
BGl_importedzd2moduleszd2initz00zz__srfi27_makelibz00(); 
BGl_evalzd2initzd2zz__srfi27_makelibz00(); 
return 
BGl_toplevelzd2initzd2zz__srfi27_makelibz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__srfi27_makelibz00()
{
{ /* Misc/make_lib.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__srfi27_makelib"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__srfi27_makelib"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__srfi27_makelib"); 
BGl_modulezd2initializa7ationz75zz__evenvz00(((long)0), "__srfi27_makelib"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__srfi27_makelib"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__srfi27_makelib"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__srfi27_makelibz00()
{
{ /* Misc/make_lib.scm 15 */
{ /* Misc/make_lib.scm 15 */
obj_t BgL_cportz00_37;
{ /* Misc/make_lib.scm 15 */
obj_t BgL_stringz00_45;
BgL_stringz00_45 = BGl_string1029z00zz__srfi27_makelibz00; 
{ /* Misc/make_lib.scm 15 */
obj_t BgL_startz00_46;
BgL_startz00_46 = 
BINT(((long)0)); 
{ /* Misc/make_lib.scm 15 */
obj_t BgL_endz00_47;
BgL_endz00_47 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_45))); 
{ /* Misc/make_lib.scm 15 */

BgL_cportz00_37 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_45, BgL_startz00_46, BgL_endz00_47); } } } } 
{ 
long BgL_iz00_38;
BgL_iz00_38 = ((long)11); 
BgL_loopz00_39:
if(
(BgL_iz00_38==((long)-1)))
{ /* Misc/make_lib.scm 15 */
return BUNSPEC;}  else 
{ /* Misc/make_lib.scm 15 */
{ /* Misc/make_lib.scm 15 */
obj_t BgL_arg1031z00_41;
{ /* Misc/make_lib.scm 15 */

{ /* Misc/make_lib.scm 15 */
obj_t BgL_locationz00_43;
BgL_locationz00_43 = 
BBOOL(((bool_t)0)); 
{ /* Misc/make_lib.scm 15 */

BgL_arg1031z00_41 = 
BGl_readz00zz__readerz00(BgL_cportz00_37, BgL_locationz00_43); } } } 
{ /* Misc/make_lib.scm 15 */
int BgL_tmpz00_82;
BgL_tmpz00_82 = 
(int)(BgL_iz00_38); 
CNST_TABLE_SET(BgL_tmpz00_82, BgL_arg1031z00_41); } } 
{ /* Misc/make_lib.scm 15 */
int BgL_auxz00_44;
BgL_auxz00_44 = 
(int)(
(BgL_iz00_38-((long)1))); 
{ 
long BgL_iz00_87;
BgL_iz00_87 = 
(long)(BgL_auxz00_44); 
BgL_iz00_38 = BgL_iz00_87; 
goto BgL_loopz00_39;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__srfi27_makelibz00()
{
{ /* Misc/make_lib.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__srfi27_makelibz00()
{
{ /* Misc/make_lib.scm 15 */
return BUNSPEC;} 

}



/* &append-21010 */
obj_t BGl_z62appendzd221010zb0zz__srfi27_makelibz00(obj_t BgL_envz00_15, obj_t BgL_l1z00_16, obj_t BgL_l2z00_17)
{
{ 
{ 
obj_t BgL_l1z00_50;
{ 
bool_t BgL_test1039z00_90;
if(
PAIRP(BgL_l1z00_16))
{ /* Ieee/pairlist.scm 238 */
BgL_test1039z00_90 = ((bool_t)1)
; }  else 
{ /* Ieee/pairlist.scm 238 */
BgL_test1039z00_90 = 
NULLP(BgL_l1z00_16)
; } 
if(BgL_test1039z00_90)
{ 
BgL_l1z00_50 = BgL_l1z00_16; }  else 
{ 
obj_t BgL_auxz00_94;
BgL_auxz00_94 = 
BGl_typezd2errorzd2zz__errorz00(BFALSE, BFALSE, BGl_string1026z00zz__srfi27_makelibz00, BGl_string1027z00zz__srfi27_makelibz00, BgL_l1z00_16); 
FAILURE(BgL_auxz00_94,BFALSE,BFALSE);} } 
{ 
obj_t BgL_headz00_51;
BgL_headz00_51 = 
MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_17); 
{ 
obj_t BgL_prevz00_53;obj_t BgL_tailz00_54;
BgL_prevz00_53 = BgL_headz00_51; 
BgL_tailz00_54 = BgL_l1z00_50; 
BgL_loopz00_52:
if(
PAIRP(BgL_tailz00_54))
{ 
obj_t BgL_newzd2prevzd2_55;
BgL_newzd2prevzd2_55 = 
MAKE_YOUNG_PAIR(
CAR(BgL_tailz00_54), BgL_l2z00_17); 
SET_CDR(BgL_prevz00_53, BgL_newzd2prevzd2_55); 
{ 
obj_t BgL_tailz00_104;obj_t BgL_prevz00_103;
BgL_prevz00_103 = BgL_newzd2prevzd2_55; 
BgL_tailz00_104 = 
CDR(BgL_tailz00_54); 
BgL_tailz00_54 = BgL_tailz00_104; 
BgL_prevz00_53 = BgL_prevz00_103; 
goto BgL_loopz00_52;} }  else 
{ BNIL; } 
return 
CDR(BgL_headz00_51);} } } } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__srfi27_makelibz00()
{
{ /* Misc/make_lib.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__srfi27_makelibz00()
{
{ /* Misc/make_lib.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__srfi27_makelibz00()
{
{ /* Misc/make_lib.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__srfi27_makelibz00()
{
{ /* Misc/make_lib.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__srfi27z00(((long)372142297), 
BSTRING_TO_STRING(BGl_string1028z00zz__srfi27_makelibz00));} 

}



/* eval-init */
obj_t BGl_evalzd2initzd2zz__srfi27_makelibz00()
{
{ /* Misc/make_lib.scm 15 */
BGl_definezd2primopzd2refz12z12zz__evenvz00(
CNST_TABLE_REF(((long)0)), 
__EVMEANING_ADDRESS(
(BGl_randomzd2realzd2zz__srfi27z00))); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)1)), BGl_randomzd2sourcezd2makezd2integerszd2envz00zz__srfi27z00); 
BGl_definezd2primopzd2refz12z12zz__evenvz00(
CNST_TABLE_REF(((long)2)), 
__EVMEANING_ADDRESS(
(BGl_defaultzd2randomzd2sourcez00zz__srfi27z00))); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)3)), BGl_randomzd2sourcezd2statezd2refzd2envz00zz__srfi27z00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)4)), BGl_makezd2randomzd2sourcezd2envzd2zz__srfi27z00); 
BGl_definezd2primopzd2refz12z12zz__evenvz00(
CNST_TABLE_REF(((long)5)), 
__EVMEANING_ADDRESS(
(BGl_randomzd2sourcezf3z21zz__srfi27z00))); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)6)), BGl_randomzd2sourcezd2randomiza7ez12zd2envz67zz__srfi27z00); 
BGl_definezd2primopzd2refz12z12zz__evenvz00(
CNST_TABLE_REF(((long)7)), 
__EVMEANING_ADDRESS(
(BGl_randomzd2integerzd2zz__srfi27z00))); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)8)), BGl_appendzd221010zd2envz00zz__srfi27_makelibz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)9)), BGl_randomzd2sourcezd2pseudozd2randomiza7ez12zd2envzb5zz__srfi27z00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)10)), BGl_randomzd2sourcezd2makezd2realszd2envz00zz__srfi27z00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)11)), BGl_randomzd2sourcezd2statezd2setz12zd2envz12zz__srfi27z00); 
return BUNSPEC;} 

}

#ifdef __cplusplus
}
#endif
