/*===========================================================================*/
/*   (Llib/gb2312.scm)                                                       */
/*   Bigloo (4.4b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon 22 Mar 2021 06:58:31 PM CET     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4b/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4b/lib/bigloo/4.4b -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4b/lib/bigloo/4.4b -srfi text -unsafe -safee -copt -fPIC -copt -IPosix Llib/gb2312.scm -o objs/gb2312.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
static obj_t BGl_gb2312zd2lockzd2zz__text_gb2312z00 = BUNSPEC;
static obj_t BGl_requirezd2initializa7ationz75zz__text_gb2312z00 = BUNSPEC;
BGL_IMPORT ucs2_t BGl_integerzd2ze3ucs2z31zz__ucs2z00(int);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_gb2312zd2tablezd2zz__text_gb2312z00 = BUNSPEC;
static obj_t BGl_toplevelzd2initzd2zz__text_gb2312z00();
static obj_t BGl_z62zc3z04anonymousza31018ze3ze5zz__text_gb2312z00(obj_t);
BGL_IMPORT obj_t BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__text_gb2312z00();
static obj_t BGl_objectzd2initzd2zz__text_gb2312z00();
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__text_gb2312z00();
BGL_IMPORT obj_t bgl_close_input_port(obj_t);
BGL_EXPORTED_DECL obj_t BGl_gb2312zd2ze3ucs2z31zz__text_gb2312z00(obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_loadzd2gb2312zd2tablesz12z12zz__text_gb2312z00();
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__text_gb2312z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__unicodez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__ucs2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__configurez00(long, char *);
BGL_IMPORT obj_t BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
BGL_IMPORT obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long, long);
static obj_t BGl_cnstzd2initzd2zz__text_gb2312z00();
static obj_t BGl_libraryzd2moduleszd2initz00zz__text_gb2312z00();
static obj_t BGl_gczd2rootszd2initz00zz__text_gb2312z00();
BGL_IMPORT obj_t BGl_makezd2filezd2pathz00zz__osz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t c_subucs2_string(obj_t, int, int);
BGL_IMPORT obj_t BGl_bigloozd2configzd2zz__configurez00(obj_t);
BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
BGL_IMPORT obj_t make_ucs2_string(int, ucs2_t);
BGL_IMPORT obj_t BGl_exitdzd2popzd2protectz12z12zz__bexitz00(obj_t);
static obj_t BGl_z62gb2312zd2ze3ucs2z53zz__text_gb2312z00(obj_t, obj_t);
static obj_t __cnst[ 3 ] ;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_gb2312zd2ze3ucs2zd2envze3zz__text_gb2312z00, BgL_bgl_za762gb2312za7d2za7e3u1061za7, BGl_z62gb2312zd2ze3ucs2z53zz__text_gb2312z00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1045z00zz__text_gb2312z00, BgL_bgl_string1045za700za7za7_1062za7, "gb2312.sch", 10 );
DEFINE_STRING( BGl_string1046z00zz__text_gb2312z00, BgL_bgl_string1046za700za7za7_1063za7, "data", 4 );
DEFINE_STRING( BGl_string1047z00zz__text_gb2312z00, BgL_bgl_string1047za700za7za7_1064za7, "text", 4 );
DEFINE_STRING( BGl_string1048z00zz__text_gb2312z00, BgL_bgl_string1048za700za7za7_1065za7, "gb2312", 6 );
DEFINE_STRING( BGl_string1049z00zz__text_gb2312z00, BgL_bgl_string1049za700za7za7_1066za7, "file missing", 12 );
DEFINE_STRING( BGl_string1050z00zz__text_gb2312z00, BgL_bgl_string1050za700za7za7_1067za7, "subucs2-string", 14 );
DEFINE_STRING( BGl_string1051z00zz__text_gb2312z00, BgL_bgl_string1051za700za7za7_1068za7, "Illegal index", 13 );
DEFINE_STRING( BGl_string1052z00zz__text_gb2312z00, BgL_bgl_string1052za700za7za7_1069za7, "]", 1 );
DEFINE_STRING( BGl_string1053z00zz__text_gb2312z00, BgL_bgl_string1053za700za7za7_1070za7, "index out of range [0..", 23 );
DEFINE_STRING( BGl_string1054z00zz__text_gb2312z00, BgL_bgl_string1054za700za7za7_1071za7, "Illegal code-point", 18 );
DEFINE_STRING( BGl_string1055z00zz__text_gb2312z00, BgL_bgl_string1055za700za7za7_1072za7, "/builddir/build/BUILD/bigloo-4.4b/api/text/src/Llib/gb2312.scm", 62 );
DEFINE_STRING( BGl_string1056z00zz__text_gb2312z00, BgL_bgl_string1056za700za7za7_1073za7, "&gb2312->ucs2", 13 );
DEFINE_STRING( BGl_string1057z00zz__text_gb2312z00, BgL_bgl_string1057za700za7za7_1074za7, "bstring", 7 );
DEFINE_STRING( BGl_string1058z00zz__text_gb2312z00, BgL_bgl_string1058za700za7za7_1075za7, "ucs2-string-set! library-directory mutex ", 41 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_gb2312zd2lockzd2zz__text_gb2312z00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__text_gb2312z00) );
ADD_ROOT( (void *)(&BGl_gb2312zd2tablezd2zz__text_gb2312z00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__text_gb2312z00(long BgL_checksumz00_179, char * BgL_fromz00_180)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__text_gb2312z00))
{ 
BGl_requirezd2initializa7ationz75zz__text_gb2312z00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__text_gb2312z00(); 
BGl_libraryzd2moduleszd2initz00zz__text_gb2312z00(); 
BGl_cnstzd2initzd2zz__text_gb2312z00(); 
return 
BGl_toplevelzd2initzd2zz__text_gb2312z00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__text_gb2312z00()
{
{ /* Llib/gb2312.scm 16 */
BGl_modulezd2initializa7ationz75zz__ucs2z00(((long)0), "__text_gb2312"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__text_gb2312"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "__text_gb2312"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__text_gb2312"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__text_gb2312"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__text_gb2312"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__text_gb2312"); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)0), "__text_gb2312"); 
BGl_modulezd2initializa7ationz75zz__configurez00(((long)0), "__text_gb2312"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "__text_gb2312"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__text_gb2312"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__text_gb2312"); 
BGl_modulezd2initializa7ationz75zz__unicodez00(((long)0), "__text_gb2312"); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)0), "__text_gb2312"); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)0), "__text_gb2312"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__text_gb2312z00()
{
{ /* Llib/gb2312.scm 16 */
{ /* Llib/gb2312.scm 16 */
obj_t BgL_cportz00_167;
{ /* Llib/gb2312.scm 16 */
obj_t BgL_stringz00_175;
BgL_stringz00_175 = BGl_string1058z00zz__text_gb2312z00; 
{ /* Llib/gb2312.scm 16 */
obj_t BgL_startz00_176;
BgL_startz00_176 = 
BINT(((long)0)); 
{ /* Llib/gb2312.scm 16 */
obj_t BgL_endz00_177;
BgL_endz00_177 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_175))); 
{ /* Llib/gb2312.scm 16 */

BgL_cportz00_167 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_175, BgL_startz00_176, BgL_endz00_177); } } } } 
{ 
long BgL_iz00_168;
BgL_iz00_168 = ((long)2); 
BgL_loopz00_169:
if(
(BgL_iz00_168==((long)-1)))
{ /* Llib/gb2312.scm 16 */
return BUNSPEC;}  else 
{ /* Llib/gb2312.scm 16 */
{ /* Llib/gb2312.scm 16 */
obj_t BgL_arg1060z00_171;
{ /* Llib/gb2312.scm 16 */

{ /* Llib/gb2312.scm 16 */
obj_t BgL_locationz00_173;
BgL_locationz00_173 = 
BBOOL(((bool_t)0)); 
{ /* Llib/gb2312.scm 16 */

BgL_arg1060z00_171 = 
BGl_readz00zz__readerz00(BgL_cportz00_167, BgL_locationz00_173); } } } 
{ /* Llib/gb2312.scm 16 */
int BgL_tmpz00_212;
BgL_tmpz00_212 = 
(int)(BgL_iz00_168); 
CNST_TABLE_SET(BgL_tmpz00_212, BgL_arg1060z00_171); } } 
{ /* Llib/gb2312.scm 16 */
int BgL_auxz00_174;
BgL_auxz00_174 = 
(int)(
(BgL_iz00_168-((long)1))); 
{ 
long BgL_iz00_217;
BgL_iz00_217 = 
(long)(BgL_auxz00_174); 
BgL_iz00_168 = BgL_iz00_217; 
goto BgL_loopz00_169;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__text_gb2312z00()
{
{ /* Llib/gb2312.scm 16 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__text_gb2312z00()
{
{ /* Llib/gb2312.scm 16 */
{ /* Llib/gb2312.scm 23 */

{ /* Llib/gb2312.scm 23 */
obj_t BgL_namez00_4;
BgL_namez00_4 = 
BGl_gensymz00zz__r4_symbols_6_4z00(
CNST_TABLE_REF(((long)0))); 
{ /* Llib/gb2312.scm 23 */

BGl_gb2312zd2lockzd2zz__text_gb2312z00 = 
bgl_make_mutex(BgL_namez00_4); } } } 
return ( 
BGl_gb2312zd2tablezd2zz__text_gb2312z00 = BFALSE, BUNSPEC) ;} 

}



/* load-gb2312-tables! */
obj_t BGl_loadzd2gb2312zd2tablesz12z12zz__text_gb2312z00()
{
{ /* Llib/gb2312.scm 33 */
{ /* Llib/gb2312.scm 34 */
obj_t BgL_top1079z00_224;
BgL_top1079z00_224 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BGl_gb2312zd2lockzd2zz__text_gb2312z00); 
BGL_EXITD_PUSH_PROTECT(BgL_top1079z00_224, BGl_gb2312zd2lockzd2zz__text_gb2312z00); BUNSPEC; 
{ /* Llib/gb2312.scm 34 */
obj_t BgL_tmp1078z00_223;
if(
CBOOL(BGl_gb2312zd2tablezd2zz__text_gb2312z00))
{ /* Llib/gb2312.scm 35 */
BgL_tmp1078z00_223 = BFALSE; }  else 
{ /* Llib/gb2312.scm 36 */
obj_t BgL_namez00_13;
{ /* Llib/gb2312.scm 36 */
obj_t BgL_arg1019z00_26;
BgL_arg1019z00_26 = 
BGl_bigloozd2configzd2zz__configurez00(
CNST_TABLE_REF(((long)1))); 
{ /* Llib/gb2312.scm 36 */
obj_t BgL_list1020z00_27;
{ /* Llib/gb2312.scm 36 */
obj_t BgL_arg1021z00_28;
BgL_arg1021z00_28 = 
MAKE_YOUNG_PAIR(BGl_string1045z00zz__text_gb2312z00, BNIL); 
BgL_list1020z00_27 = 
MAKE_YOUNG_PAIR(BGl_string1046z00zz__text_gb2312z00, BgL_arg1021z00_28); } 
BgL_namez00_13 = 
BGl_makezd2filezd2pathz00zz__osz00(BgL_arg1019z00_26, BGl_string1047z00zz__text_gb2312z00, BgL_list1020z00_27); } } 
{ /* Llib/gb2312.scm 36 */
obj_t BgL_pz00_14;
{ /* Llib/gb2312.scm 40 */

BgL_pz00_14 = 
BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(BgL_namez00_13, BTRUE, 
BINT(((long)5000000))); } 
{ /* Llib/gb2312.scm 40 */

if(
INPUT_PORTP(BgL_pz00_14))
{ /* Llib/gb2312.scm 42 */
obj_t BgL_exitd1011z00_16;
BgL_exitd1011z00_16 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/gb2312.scm 44 */
obj_t BgL_zc3z04anonymousza31018ze3z87_160;
BgL_zc3z04anonymousza31018ze3z87_160 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31018ze3ze5zz__text_gb2312z00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31018ze3z87_160, 
(int)(((long)0)), BgL_pz00_14); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_exitd1011z00_16, BgL_zc3z04anonymousza31018ze3z87_160); 
{ /* Llib/gb2312.scm 43 */
obj_t BgL_tmp1013z00_18;
{ /* Llib/gb2312.scm 43 */

{ /* Llib/gb2312.scm 43 */

BgL_tmp1013z00_18 = ( 
BGl_gb2312zd2tablezd2zz__text_gb2312z00 = 
BGl_readz00zz__readerz00(BgL_pz00_14, BFALSE), BUNSPEC) ; } } 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_exitd1011z00_16); 
bgl_close_input_port(BgL_pz00_14); 
BgL_tmp1078z00_223 = BgL_tmp1013z00_18; } } }  else 
{ /* Llib/gb2312.scm 41 */
BgL_tmp1078z00_223 = 
BGl_errorz00zz__errorz00(BGl_string1048z00zz__text_gb2312z00, BGl_string1049z00zz__text_gb2312z00, BgL_namez00_13); } } } } 
BGL_EXITD_POP_PROTECT(BgL_top1079z00_224); BUNSPEC; 
BGL_MUTEX_UNLOCK(BGl_gb2312zd2lockzd2zz__text_gb2312z00); 
return BgL_tmp1078z00_223;} } } 

}



/* &<@anonymous:1018> */
obj_t BGl_z62zc3z04anonymousza31018ze3ze5zz__text_gb2312z00(obj_t BgL_envz00_161)
{
{ /* Llib/gb2312.scm 42 */
{ /* Llib/gb2312.scm 44 */
obj_t BgL_pz00_162;
BgL_pz00_162 = 
PROCEDURE_REF(BgL_envz00_161, 
(int)(((long)0))); 
return 
bgl_close_input_port(
((obj_t)BgL_pz00_162));} } 

}



/* gb2312->ucs2 */
BGL_EXPORTED_DEF obj_t BGl_gb2312zd2ze3ucs2z31zz__text_gb2312z00(obj_t BgL_strz00_3)
{
{ /* Llib/gb2312.scm 50 */
BGl_loadzd2gb2312zd2tablesz12z12zz__text_gb2312z00(); 
{ /* Llib/gb2312.scm 52 */
long BgL_lenz00_29;
BgL_lenz00_29 = 
STRING_LENGTH(BgL_strz00_3); 
{ /* Llib/gb2312.scm 52 */
obj_t BgL_resz00_30;
{ /* Llib/gb2312.scm 53 */
ucs2_t BgL_fillerz00_59;
{ /* Llib/gb2312.scm 53 */
int BgL_tmpz00_258;
BgL_tmpz00_258 = 
(int)(
(
(unsigned char)(
(char)(((unsigned char)' '))))); 
BgL_fillerz00_59 = 
BGL_INT_TO_UCS2(BgL_tmpz00_258); } 
{ /* Llib/gb2312.scm 53 */

BgL_resz00_30 = 
make_ucs2_string(
(int)(BgL_lenz00_29), BgL_fillerz00_59); } } 
{ /* Llib/gb2312.scm 53 */

{ 
long BgL_iz00_32;long BgL_jz00_33;
BgL_iz00_32 = ((long)0); 
BgL_jz00_33 = ((long)0); 
BgL_zc3z04anonymousza31022ze3z87_34:
if(
(BgL_iz00_32==BgL_lenz00_29))
{ /* Llib/gb2312.scm 57 */
obj_t BgL_res1042z00_86;
{ /* Llib/gb2312.scm 57 */
int BgL_endz00_72;
BgL_endz00_72 = 
(int)(BgL_jz00_33); 
{ /* Llib/gb2312.scm 57 */
bool_t BgL_test1083z00_269;
if(
(
(long)(BgL_endz00_72)>=((long)0)))
{ /* Llib/gb2312.scm 57 */
bool_t BgL_test1085z00_273;
{ /* Llib/gb2312.scm 57 */
long BgL_tmpz00_274;
BgL_tmpz00_274 = 
(
(long)(
UCS2_STRING_LENGTH(BgL_resz00_30))+((long)1)); 
BgL_test1085z00_273 = 
BOUND_CHECK(((long)0), BgL_tmpz00_274); } 
if(BgL_test1085z00_273)
{ /* Llib/gb2312.scm 57 */
long BgL_auxz00_281;long BgL_tmpz00_279;
BgL_auxz00_281 = 
(
(long)(
UCS2_STRING_LENGTH(BgL_resz00_30))+((long)1)); 
BgL_tmpz00_279 = 
(long)(BgL_endz00_72); 
BgL_test1083z00_269 = 
BOUND_CHECK(BgL_tmpz00_279, BgL_auxz00_281); }  else 
{ /* Llib/gb2312.scm 57 */
BgL_test1083z00_269 = ((bool_t)0)
; } }  else 
{ /* Llib/gb2312.scm 57 */
BgL_test1083z00_269 = ((bool_t)0)
; } 
if(BgL_test1083z00_269)
{ /* Llib/gb2312.scm 57 */
BgL_res1042z00_86 = 
c_subucs2_string(BgL_resz00_30, 
(int)(((long)0)), BgL_endz00_72); }  else 
{ /* Llib/gb2312.scm 57 */
obj_t BgL_arg1721z00_80;
BgL_arg1721z00_80 = 
MAKE_YOUNG_PAIR(
BINT(((long)0)), 
BINT(BgL_endz00_72)); 
BgL_res1042z00_86 = 
BGl_errorz00zz__errorz00(BGl_string1050z00zz__text_gb2312z00, BGl_string1051z00zz__text_gb2312z00, BgL_arg1721z00_80); } } } 
return BgL_res1042z00_86;}  else 
{ /* Llib/gb2312.scm 58 */
long BgL_cz00_36;
BgL_cz00_36 = 
(
STRING_REF(BgL_strz00_3, BgL_iz00_32)); 
if(
(BgL_cz00_36<((long)128)))
{ /* Llib/gb2312.scm 60 */
{ /* Llib/gb2312.scm 61 */
ucs2_t BgL_arg1025z00_38;
BgL_arg1025z00_38 = 
BGl_integerzd2ze3ucs2z31zz__ucs2z00(
(int)(BgL_cz00_36)); 
{ /* Llib/gb2312.scm 61 */
int BgL_kz00_92;
BgL_kz00_92 = 
(int)(BgL_jz00_33); 
{ /* Llib/gb2312.scm 61 */
bool_t BgL_test1087z00_299;
{ /* Llib/gb2312.scm 61 */
long BgL_auxz00_302;long BgL_tmpz00_300;
BgL_auxz00_302 = 
(long)(
UCS2_STRING_LENGTH(BgL_resz00_30)); 
BgL_tmpz00_300 = 
(long)(BgL_kz00_92); 
BgL_test1087z00_299 = 
BOUND_CHECK(BgL_tmpz00_300, BgL_auxz00_302); } 
if(BgL_test1087z00_299)
{ /* Llib/gb2312.scm 61 */
UCS2_STRING_SET(BgL_resz00_30, BgL_kz00_92, BgL_arg1025z00_38); }  else 
{ /* Llib/gb2312.scm 61 */
obj_t BgL_arg1728z00_96;
{ /* Llib/gb2312.scm 61 */
obj_t BgL_arg1729z00_97;
{ /* Llib/gb2312.scm 61 */

BgL_arg1729z00_97 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
(
(long)(
UCS2_STRING_LENGTH(BgL_resz00_30))-((long)1)), ((long)10)); } 
{ /* Llib/gb2312.scm 61 */
obj_t BgL_list1730z00_102;
{ /* Llib/gb2312.scm 61 */
obj_t BgL_arg1731z00_103;
{ /* Llib/gb2312.scm 61 */
obj_t BgL_arg1732z00_104;
BgL_arg1732z00_104 = 
MAKE_YOUNG_PAIR(BGl_string1052z00zz__text_gb2312z00, BNIL); 
BgL_arg1731z00_103 = 
MAKE_YOUNG_PAIR(BgL_arg1729z00_97, BgL_arg1732z00_104); } 
BgL_list1730z00_102 = 
MAKE_YOUNG_PAIR(BGl_string1053z00zz__text_gb2312z00, BgL_arg1731z00_103); } 
BgL_arg1728z00_96 = 
BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list1730z00_102); } } 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)2)), BgL_arg1728z00_96, 
BINT(BgL_kz00_92)); } } } } 
{ 
long BgL_jz00_320;long BgL_iz00_318;
BgL_iz00_318 = 
(BgL_iz00_32+((long)1)); 
BgL_jz00_320 = 
(BgL_jz00_33+((long)1)); 
BgL_jz00_33 = BgL_jz00_320; 
BgL_iz00_32 = BgL_iz00_318; 
goto BgL_zc3z04anonymousza31022ze3z87_34;} }  else 
{ /* Llib/gb2312.scm 60 */
if(
(BgL_cz00_36==((long)128)))
{ /* Llib/gb2312.scm 63 */
{ /* Llib/gb2312.scm 64 */
ucs2_t BgL_arg1029z00_42;
BgL_arg1029z00_42 = 
BGl_integerzd2ze3ucs2z31zz__ucs2z00(
(int)(((long)8364))); 
{ /* Llib/gb2312.scm 64 */
int BgL_kz00_112;
BgL_kz00_112 = 
(int)(BgL_jz00_33); 
{ /* Llib/gb2312.scm 64 */
bool_t BgL_test1089z00_327;
{ /* Llib/gb2312.scm 64 */
long BgL_auxz00_330;long BgL_tmpz00_328;
BgL_auxz00_330 = 
(long)(
UCS2_STRING_LENGTH(BgL_resz00_30)); 
BgL_tmpz00_328 = 
(long)(BgL_kz00_112); 
BgL_test1089z00_327 = 
BOUND_CHECK(BgL_tmpz00_328, BgL_auxz00_330); } 
if(BgL_test1089z00_327)
{ /* Llib/gb2312.scm 64 */
UCS2_STRING_SET(BgL_resz00_30, BgL_kz00_112, BgL_arg1029z00_42); }  else 
{ /* Llib/gb2312.scm 64 */
obj_t BgL_arg1728z00_116;
{ /* Llib/gb2312.scm 64 */
obj_t BgL_arg1729z00_117;
{ /* Llib/gb2312.scm 64 */

BgL_arg1729z00_117 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
(
(long)(
UCS2_STRING_LENGTH(BgL_resz00_30))-((long)1)), ((long)10)); } 
{ /* Llib/gb2312.scm 64 */
obj_t BgL_list1730z00_122;
{ /* Llib/gb2312.scm 64 */
obj_t BgL_arg1731z00_123;
{ /* Llib/gb2312.scm 64 */
obj_t BgL_arg1732z00_124;
BgL_arg1732z00_124 = 
MAKE_YOUNG_PAIR(BGl_string1052z00zz__text_gb2312z00, BNIL); 
BgL_arg1731z00_123 = 
MAKE_YOUNG_PAIR(BgL_arg1729z00_117, BgL_arg1732z00_124); } 
BgL_list1730z00_122 = 
MAKE_YOUNG_PAIR(BGl_string1053z00zz__text_gb2312z00, BgL_arg1731z00_123); } 
BgL_arg1728z00_116 = 
BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list1730z00_122); } } 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)2)), BgL_arg1728z00_116, 
BINT(BgL_kz00_112)); } } } } 
{ 
long BgL_jz00_348;long BgL_iz00_346;
BgL_iz00_346 = 
(BgL_iz00_32+((long)1)); 
BgL_jz00_348 = 
(BgL_jz00_33+((long)1)); 
BgL_jz00_33 = BgL_jz00_348; 
BgL_iz00_32 = BgL_iz00_346; 
goto BgL_zc3z04anonymousza31022ze3z87_34;} }  else 
{ /* Llib/gb2312.scm 67 */
long BgL_nz00_45;
BgL_nz00_45 = 
(
(((long)256)*BgL_cz00_36)+
(
STRING_REF(BgL_strz00_3, 
(BgL_iz00_32+((long)1))))); 
if(
(BgL_nz00_45>=((long)33088)))
{ /* Llib/gb2312.scm 70 */
obj_t BgL_uz00_47;
BgL_uz00_47 = 
VECTOR_REF(BGl_gb2312zd2tablezd2zz__text_gb2312z00,
(BgL_nz00_45-((long)33088))); 
{ /* Llib/gb2312.scm 71 */
ucs2_t BgL_arg1033z00_48;
BgL_arg1033z00_48 = 
BGl_integerzd2ze3ucs2z31zz__ucs2z00(
CINT(BgL_uz00_47)); 
{ /* Llib/gb2312.scm 71 */
int BgL_kz00_142;
BgL_kz00_142 = 
(int)(BgL_jz00_33); 
{ /* Llib/gb2312.scm 71 */
bool_t BgL_test1091z00_362;
{ /* Llib/gb2312.scm 71 */
long BgL_auxz00_365;long BgL_tmpz00_363;
BgL_auxz00_365 = 
(long)(
UCS2_STRING_LENGTH(BgL_resz00_30)); 
BgL_tmpz00_363 = 
(long)(BgL_kz00_142); 
BgL_test1091z00_362 = 
BOUND_CHECK(BgL_tmpz00_363, BgL_auxz00_365); } 
if(BgL_test1091z00_362)
{ /* Llib/gb2312.scm 71 */
UCS2_STRING_SET(BgL_resz00_30, BgL_kz00_142, BgL_arg1033z00_48); }  else 
{ /* Llib/gb2312.scm 71 */
obj_t BgL_arg1728z00_146;
{ /* Llib/gb2312.scm 71 */
obj_t BgL_arg1729z00_147;
{ /* Llib/gb2312.scm 71 */

BgL_arg1729z00_147 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
(
(long)(
UCS2_STRING_LENGTH(BgL_resz00_30))-((long)1)), ((long)10)); } 
{ /* Llib/gb2312.scm 71 */
obj_t BgL_list1730z00_152;
{ /* Llib/gb2312.scm 71 */
obj_t BgL_arg1731z00_153;
{ /* Llib/gb2312.scm 71 */
obj_t BgL_arg1732z00_154;
BgL_arg1732z00_154 = 
MAKE_YOUNG_PAIR(BGl_string1052z00zz__text_gb2312z00, BNIL); 
BgL_arg1731z00_153 = 
MAKE_YOUNG_PAIR(BgL_arg1729z00_147, BgL_arg1732z00_154); } 
BgL_list1730z00_152 = 
MAKE_YOUNG_PAIR(BGl_string1053z00zz__text_gb2312z00, BgL_arg1731z00_153); } 
BgL_arg1728z00_146 = 
BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list1730z00_152); } } 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)2)), BgL_arg1728z00_146, 
BINT(BgL_kz00_142)); } } } } 
{ 
long BgL_jz00_383;long BgL_iz00_381;
BgL_iz00_381 = 
(BgL_iz00_32+((long)2)); 
BgL_jz00_383 = 
(BgL_jz00_33+((long)1)); 
BgL_jz00_33 = BgL_jz00_383; 
BgL_iz00_32 = BgL_iz00_381; 
goto BgL_zc3z04anonymousza31022ze3z87_34;} }  else 
{ /* Llib/gb2312.scm 69 */
return 
BGl_errorz00zz__errorz00(BGl_string1048z00zz__text_gb2312z00, BGl_string1054z00zz__text_gb2312z00, 
BINT(BgL_nz00_45));} } } } } } } } } 

}



/* &gb2312->ucs2 */
obj_t BGl_z62gb2312zd2ze3ucs2z53zz__text_gb2312z00(obj_t BgL_envz00_163, obj_t BgL_strz00_164)
{
{ /* Llib/gb2312.scm 50 */
{ /* Llib/gb2312.scm 51 */
obj_t BgL_auxz00_387;
if(
STRINGP(BgL_strz00_164))
{ /* Llib/gb2312.scm 51 */
BgL_auxz00_387 = BgL_strz00_164
; }  else 
{ 
obj_t BgL_auxz00_390;
BgL_auxz00_390 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1055z00zz__text_gb2312z00, 
BINT(((long)2487)), BGl_string1056z00zz__text_gb2312z00, BGl_string1057z00zz__text_gb2312z00, BgL_strz00_164); 
FAILURE(BgL_auxz00_390,BFALSE,BFALSE);} 
return 
BGl_gb2312zd2ze3ucs2z31zz__text_gb2312z00(BgL_auxz00_387);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__text_gb2312z00()
{
{ /* Llib/gb2312.scm 16 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__text_gb2312z00()
{
{ /* Llib/gb2312.scm 16 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__text_gb2312z00()
{
{ /* Llib/gb2312.scm 16 */
return BUNSPEC;} 

}

#ifdef __cplusplus
}
#endif
