/*===========================================================================*/
/*   (Llib/atom.scm)                                                         */
/*   Bigloo (4.4b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon 22 Mar 2021 06:58:31 PM CET     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4b/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4b/lib/bigloo/4.4b -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4b/lib/bigloo/4.4b -unsafe -safee -copt -fPIC -copt -IPosix Llib/atom.scm -o objs/atom.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
static obj_t BGl_requirezd2initializa7ationz75zz__web_atomz00 = BUNSPEC;
extern obj_t BGl_cdatazd2decodezd2zz__web_rssz00(obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_atom2005zd2parsezd2zz__web_atomz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT bool_t bigloo_strncmp_ci(obj_t, obj_t, long);
BGL_IMPORT obj_t BGl_stringzd2containszd2ciz00zz__r4_strings_6_7z00(obj_t, obj_t, int);
static obj_t BGl_z62zc3z04anonymousza31794ze3ze5zz__web_atomz00(obj_t);
BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__web_atomz00();
BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
BGL_IMPORT obj_t BGl_filterzd2mapzd2zz__r4_control_features_6_9z00(obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__web_atomz00();
BGL_IMPORT bool_t BGl_2zd3zd3zz__r4_numbers_6_5z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
BGL_IMPORT long BGl_stringzd2compare3zd2ciz00zz__r4_strings_6_7z00(obj_t, obj_t);
BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
BGL_IMPORT obj_t bstring_to_symbol(obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
static obj_t BGl__atom0ze23zd2parsez30zz__web_atomz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_appendzd221010zd2zz__web_atomz00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__web_atomz00();
static obj_t BGl_dropzd2prefixze70z35zz__web_atomz00(obj_t, obj_t);
static obj_t BGl_atomza3linkze70z44zz__web_atomz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t bgl_close_input_port(obj_t);
static obj_t BGl_z62zc3z04anonymousza31180ze3ze5zz__web_atomz00(obj_t, obj_t);
static obj_t BGl_atomza3categoryze70z44zz__web_atomz00(obj_t, obj_t);
BGL_IMPORT bool_t bigloo_strncmp(obj_t, obj_t, long);
static obj_t BGl_simplezd2cdatazd2decodez00zz__web_atomz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_atom0ze23zd2parsez30zz__web_atomz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
BGL_IMPORT bool_t BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz00zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__web_atomz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__web_rssz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__web_htmlz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__web_xmlz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__rgcz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__base64z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_EXPORTED_DECL obj_t BGl_atomzd2parsezd2zz__web_atomz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__web_atomz00();
static obj_t BGl_libraryzd2moduleszd2initz00zz__web_atomz00();
static obj_t BGl_importedzd2moduleszd2initz00zz__web_atomz00();
static obj_t BGl_gczd2rootszd2initz00zz__web_atomz00();
static obj_t BGl_z62atomzd2parsezb0zz__web_atomz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_base64zd2decodezd2zz__base64z00(obj_t, obj_t);
BGL_IMPORT long BGl_stringzd2compare3zd2zz__r4_strings_6_7z00(obj_t, obj_t);
BGL_IMPORT obj_t c_substring(obj_t, long, long);
BGL_IMPORT obj_t BGl_exitdzd2popzd2protectz12z12zz__bexitz00(obj_t);
BGL_IMPORT bool_t rgc_fill_buffer(obj_t);
static obj_t BGl__atom2005zd2parsezd2zz__web_atomz00(obj_t, obj_t);
static obj_t __cnst[ 48 ] ;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_atom2005zd2parsezd2envz00zz__web_atomz00, BgL_bgl__atom2005za7d2pars2011za7, opt_generic_entry, BGl__atom2005zd2parsezd2zz__web_atomz00, BFALSE, -1 );
DEFINE_REAL( BGl_real1994z00zz__web_atomz00, BgL_bgl_real1994za700za7za7__w2012za7, 2005.0 );
DEFINE_REAL( BGl_real1996z00zz__web_atomz00, BgL_bgl_real1996za700za7za7__w2013za7, 0.3 );
DEFINE_STRING( BGl_string1987z00zz__web_atomz00, BgL_bgl_string1987za700za7za7_2014za7, "wrong number of arguments: [5..6] expected, provided", 52 );
DEFINE_STRING( BGl_string1988z00zz__web_atomz00, BgL_bgl_string1988za700za7za7_2015za7, "Illegal keyword argument", 24 );
DEFINE_STRING( BGl_string1989z00zz__web_atomz00, BgL_bgl_string1989za700za7za7_2016za7, "/builddir/build/BUILD/bigloo-4.4b/api/web/src/Llib/atom.scm", 59 );
DEFINE_STRING( BGl_string1990z00zz__web_atomz00, BgL_bgl_string1990za700za7za7_2017za7, "_atom2005-parse", 15 );
DEFINE_STRING( BGl_string1991z00zz__web_atomz00, BgL_bgl_string1991za700za7za7_2018za7, "bint", 4 );
DEFINE_STRING( BGl_string1992z00zz__web_atomz00, BgL_bgl_string1992za700za7za7_2019za7, "pair-nil", 8 );
DEFINE_STRING( BGl_string1993z00zz__web_atomz00, BgL_bgl_string1993za700za7za7_2020za7, "procedure", 9 );
DEFINE_STRING( BGl_string1995z00zz__web_atomz00, BgL_bgl_string1995za700za7za7_2021za7, "_atom0.3-parse", 14 );
DEFINE_STRING( BGl_string1997z00zz__web_atomz00, BgL_bgl_string1997za700za7za7_2022za7, "Illegal or Unsupported Atom Syndication Format version", 54 );
DEFINE_STRING( BGl_string1998z00zz__web_atomz00, BgL_bgl_string1998za700za7za7_2023za7, "&atom-parse", 11 );
DEFINE_STRING( BGl_string1999z00zz__web_atomz00, BgL_bgl_string1999za700za7za7_2024za7, "text/plain", 10 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_atom0ze23zd2parsezd2envze2zz__web_atomz00, BgL_bgl__atom0za7e23za7d2par2025z00, opt_generic_entry, BGl__atom0ze23zd2parsez30zz__web_atomz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_atomzd2parsezd2envz00zz__web_atomz00, BgL_bgl_za762atomza7d2parseza72026za7, BGl_z62atomzd2parsezb0zz__web_atomz00, 0L, BUNSPEC, 7 );
DEFINE_STRING( BGl_string2000z00zz__web_atomz00, BgL_bgl_string2000za700za7za7_2027za7, "xml", 3 );
DEFINE_STRING( BGl_string2001z00zz__web_atomz00, BgL_bgl_string2001za700za7za7_2028za7, "text/", 5 );
DEFINE_STRING( BGl_string2002z00zz__web_atomz00, BgL_bgl_string2002za700za7za7_2029za7, "regular-grammar", 15 );
DEFINE_STRING( BGl_string2003z00zz__web_atomz00, BgL_bgl_string2003za700za7za7_2030za7, "Illegal match", 13 );
DEFINE_STRING( BGl_string2004z00zz__web_atomz00, BgL_bgl_string2004za700za7za7_2031za7, "text", 4 );
DEFINE_STRING( BGl_string2005z00zz__web_atomz00, BgL_bgl_string2005za700za7za7_2032za7, "html", 4 );
DEFINE_STRING( BGl_string2006z00zz__web_atomz00, BgL_bgl_string2006za700za7za7_2033za7, "xhtml", 5 );
DEFINE_STRING( BGl_string2007z00zz__web_atomz00, BgL_bgl_string2007za700za7za7_2034za7, "__web_atom", 10 );
DEFINE_STRING( BGl_string2008z00zz__web_atomz00, BgL_bgl_string2008za700za7za7_2035za7, "label scheme term length hreflang rel feed href alternate mode type email uri name :summary :content :authors :source summary source created issued published content author :title :links :categories :date :rights :subtitle entry modified updated title tagline subtitle copyright rights logo link category atom-parse atom0.3-parse :prefix (:prefix) atom2005-parse cdata ", 369 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__web_atomz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__web_atomz00(long BgL_checksumz00_1697, char * BgL_fromz00_1698)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__web_atomz00))
{ 
BGl_requirezd2initializa7ationz75zz__web_atomz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__web_atomz00(); 
BGl_libraryzd2moduleszd2initz00zz__web_atomz00(); 
BGl_cnstzd2initzd2zz__web_atomz00(); 
BGl_importedzd2moduleszd2initz00zz__web_atomz00(); 
return 
BGl_methodzd2initzd2zz__web_atomz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__web_atomz00()
{
{ /* Llib/atom.scm 17 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__web_atom"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__web_atom"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__web_atom"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "__web_atom"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)0), "__web_atom"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "__web_atom"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__web_atom"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__web_atom"); 
BGl_modulezd2initializa7ationz75zz__base64z00(((long)0), "__web_atom"); 
BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(((long)0), "__web_atom"); 
BGl_modulezd2initializa7ationz75zz__rgcz00(((long)0), "__web_atom"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__web_atom"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "__web_atom"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__web_atom"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__web_atom"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__web_atomz00()
{
{ /* Llib/atom.scm 17 */
{ /* Llib/atom.scm 17 */
obj_t BgL_cportz00_1426;
{ /* Llib/atom.scm 17 */
obj_t BgL_stringz00_1434;
BgL_stringz00_1434 = BGl_string2008z00zz__web_atomz00; 
{ /* Llib/atom.scm 17 */
obj_t BgL_startz00_1435;
BgL_startz00_1435 = 
BINT(((long)0)); 
{ /* Llib/atom.scm 17 */
obj_t BgL_endz00_1436;
BgL_endz00_1436 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_1434))); 
{ /* Llib/atom.scm 17 */

BgL_cportz00_1426 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_1434, BgL_startz00_1435, BgL_endz00_1436); } } } } 
{ 
long BgL_iz00_1427;
BgL_iz00_1427 = ((long)47); 
BgL_loopz00_1428:
if(
(BgL_iz00_1427==((long)-1)))
{ /* Llib/atom.scm 17 */
return BUNSPEC;}  else 
{ /* Llib/atom.scm 17 */
{ /* Llib/atom.scm 17 */
obj_t BgL_arg2010z00_1430;
{ /* Llib/atom.scm 17 */

{ /* Llib/atom.scm 17 */
obj_t BgL_locationz00_1432;
BgL_locationz00_1432 = 
BBOOL(((bool_t)0)); 
{ /* Llib/atom.scm 17 */

BgL_arg2010z00_1430 = 
BGl_readz00zz__readerz00(BgL_cportz00_1426, BgL_locationz00_1432); } } } 
{ /* Llib/atom.scm 17 */
int BgL_tmpz00_1731;
BgL_tmpz00_1731 = 
(int)(BgL_iz00_1427); 
CNST_TABLE_SET(BgL_tmpz00_1731, BgL_arg2010z00_1430); } } 
{ /* Llib/atom.scm 17 */
int BgL_auxz00_1433;
BgL_auxz00_1433 = 
(int)(
(BgL_iz00_1427-((long)1))); 
{ 
long BgL_iz00_1736;
BgL_iz00_1736 = 
(long)(BgL_auxz00_1433); 
BgL_iz00_1427 = BgL_iz00_1736; 
goto BgL_loopz00_1428;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__web_atomz00()
{
{ /* Llib/atom.scm 17 */
return 
bgl_gc_roots_register();} 

}



/* append-21010 */
obj_t BGl_appendzd221010zd2zz__web_atomz00(obj_t BgL_l1z00_1, obj_t BgL_l2z00_2)
{
{ 
{ 
obj_t BgL_headz00_27;
BgL_headz00_27 = 
MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2); 
{ 
obj_t BgL_prevz00_28;obj_t BgL_tailz00_29;
BgL_prevz00_28 = BgL_headz00_27; 
BgL_tailz00_29 = BgL_l1z00_1; 
BgL_loopz00_30:
if(
PAIRP(BgL_tailz00_29))
{ 
obj_t BgL_newzd2prevzd2_32;
BgL_newzd2prevzd2_32 = 
MAKE_YOUNG_PAIR(
CAR(BgL_tailz00_29), BgL_l2z00_2); 
SET_CDR(BgL_prevz00_28, BgL_newzd2prevzd2_32); 
{ 
obj_t BgL_tailz00_1746;obj_t BgL_prevz00_1745;
BgL_prevz00_1745 = BgL_newzd2prevzd2_32; 
BgL_tailz00_1746 = 
CDR(BgL_tailz00_29); 
BgL_tailz00_29 = BgL_tailz00_1746; 
BgL_prevz00_28 = BgL_prevz00_1745; 
goto BgL_loopz00_30;} }  else 
{ BNIL; } 
return 
CDR(BgL_headz00_27);} } } 

}



/* simple-cdata-decode */
obj_t BGl_simplezd2cdatazd2decodez00zz__web_atomz00(obj_t BgL_oz00_3)
{
{ /* Llib/atom.scm 49 */
if(
STRINGP(BgL_oz00_3))
{ /* Llib/atom.scm 51 */
return BgL_oz00_3;}  else 
{ /* Llib/atom.scm 51 */
if(
PAIRP(BgL_oz00_3))
{ /* Llib/atom.scm 53 */
if(
(
CAR(BgL_oz00_3)==
CNST_TABLE_REF(((long)0))))
{ /* Llib/atom.scm 54 */
return 
CDR(BgL_oz00_3);}  else 
{ /* Llib/atom.scm 54 */
return BgL_oz00_3;} }  else 
{ /* Llib/atom.scm 53 */
return BgL_oz00_3;} } } 

}



/* _atom2005-parse */
obj_t BGl__atom2005zd2parsezd2zz__web_atomz00(obj_t BgL_env1072z00_11, obj_t BgL_opt1071z00_10)
{
{ /* Llib/atom.scm 63 */
{ 
obj_t BgL_k1z00_41;long BgL_iz00_42;
{ /* Llib/atom.scm 63 */
obj_t BgL_g1078z00_44;obj_t BgL_g1085z00_45;obj_t BgL_g1086z00_46;obj_t BgL_g1087z00_47;obj_t BgL_g1088z00_48;
BgL_g1078z00_44 = 
VECTOR_REF(BgL_opt1071z00_10,((long)0)); 
BgL_g1085z00_45 = 
VECTOR_REF(BgL_opt1071z00_10,((long)1)); 
BgL_g1086z00_46 = 
VECTOR_REF(BgL_opt1071z00_10,((long)2)); 
BgL_g1087z00_47 = 
VECTOR_REF(BgL_opt1071z00_10,((long)3)); 
BgL_g1088z00_48 = 
VECTOR_REF(BgL_opt1071z00_10,((long)4)); 
{ /* Llib/atom.scm 63 */
obj_t BgL_prefixz00_49;
BgL_prefixz00_49 = BFALSE; 
{ /* Llib/atom.scm 63 */

{ 
long BgL_iz00_50;
BgL_iz00_50 = ((long)5); 
BgL_check1075z00_51:
if(
(BgL_iz00_50==
VECTOR_LENGTH(BgL_opt1071z00_10)))
{ /* Llib/atom.scm 63 */BNIL; }  else 
{ /* Llib/atom.scm 63 */
bool_t BgL_test2043z00_1766;
{ /* Llib/atom.scm 63 */
obj_t BgL_arg1120z00_57;
BgL_arg1120z00_57 = 
VECTOR_REF(BgL_opt1071z00_10,BgL_iz00_50); 
BgL_test2043z00_1766 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1120z00_57, 
CNST_TABLE_REF(((long)2)))); } 
if(BgL_test2043z00_1766)
{ 
long BgL_iz00_1771;
BgL_iz00_1771 = 
(BgL_iz00_50+((long)2)); 
BgL_iz00_50 = BgL_iz00_1771; 
goto BgL_check1075z00_51;}  else 
{ /* Llib/atom.scm 63 */
obj_t BgL_arg1118z00_56;
BgL_arg1118z00_56 = 
VECTOR_REF(BgL_opt1071z00_10,BgL_iz00_50); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)1)), BGl_string1988z00zz__web_atomz00, BgL_arg1118z00_56); } } } 
{ /* Llib/atom.scm 63 */
obj_t BgL_index1077z00_58;
BgL_k1z00_41 = 
CNST_TABLE_REF(((long)3)); 
BgL_iz00_42 = ((long)5); 
BgL_search1074z00_43:
if(
(BgL_iz00_42==
VECTOR_LENGTH(BgL_opt1071z00_10)))
{ /* Llib/atom.scm 63 */
BgL_index1077z00_58 = 
BINT(((long)-1)); }  else 
{ /* Llib/atom.scm 63 */
if(
(BgL_iz00_42==
(
VECTOR_LENGTH(BgL_opt1071z00_10)-((long)1))))
{ /* Llib/atom.scm 63 */
BgL_index1077z00_58 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)1)), BGl_string1987z00zz__web_atomz00, 
BINT(
VECTOR_LENGTH(BgL_opt1071z00_10))); }  else 
{ /* Llib/atom.scm 63 */
obj_t BgL_vz00_70;
BgL_vz00_70 = 
VECTOR_REF(BgL_opt1071z00_10,BgL_iz00_42); 
if(
(BgL_vz00_70==BgL_k1z00_41))
{ /* Llib/atom.scm 63 */
BgL_index1077z00_58 = 
BINT(
(BgL_iz00_42+((long)1))); }  else 
{ 
long BgL_iz00_1793;
BgL_iz00_1793 = 
(BgL_iz00_42+((long)2)); 
BgL_iz00_42 = BgL_iz00_1793; 
goto BgL_search1074z00_43;} } } 
{ /* Llib/atom.scm 63 */
bool_t BgL_test2047z00_1796;
{ /* Llib/atom.scm 63 */
long BgL_n1z00_897;
{ /* Llib/atom.scm 63 */
obj_t BgL_tmpz00_1797;
if(
INTEGERP(BgL_index1077z00_58))
{ /* Llib/atom.scm 63 */
BgL_tmpz00_1797 = BgL_index1077z00_58
; }  else 
{ 
obj_t BgL_auxz00_1800;
BgL_auxz00_1800 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1989z00zz__web_atomz00, 
BINT(((long)2795)), BGl_string1990z00zz__web_atomz00, BGl_string1991z00zz__web_atomz00, BgL_index1077z00_58); 
FAILURE(BgL_auxz00_1800,BFALSE,BFALSE);} 
BgL_n1z00_897 = 
(long)CINT(BgL_tmpz00_1797); } 
BgL_test2047z00_1796 = 
(BgL_n1z00_897>=((long)0)); } 
if(BgL_test2047z00_1796)
{ 
long BgL_auxz00_1806;
{ /* Llib/atom.scm 63 */
obj_t BgL_tmpz00_1807;
if(
INTEGERP(BgL_index1077z00_58))
{ /* Llib/atom.scm 63 */
BgL_tmpz00_1807 = BgL_index1077z00_58
; }  else 
{ 
obj_t BgL_auxz00_1810;
BgL_auxz00_1810 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1989z00zz__web_atomz00, 
BINT(((long)2795)), BGl_string1990z00zz__web_atomz00, BGl_string1991z00zz__web_atomz00, BgL_index1077z00_58); 
FAILURE(BgL_auxz00_1810,BFALSE,BFALSE);} 
BgL_auxz00_1806 = 
(long)CINT(BgL_tmpz00_1807); } 
BgL_prefixz00_49 = 
VECTOR_REF(BgL_opt1071z00_10,BgL_auxz00_1806); }  else 
{ /* Llib/atom.scm 63 */BFALSE; } } } 
{ /* Llib/atom.scm 63 */
obj_t BgL_arg1122z00_60;obj_t BgL_arg1123z00_61;obj_t BgL_arg1125z00_62;obj_t BgL_arg1127z00_63;obj_t BgL_arg1130z00_64;
BgL_arg1122z00_60 = 
VECTOR_REF(BgL_opt1071z00_10,((long)0)); 
BgL_arg1123z00_61 = 
VECTOR_REF(BgL_opt1071z00_10,((long)1)); 
BgL_arg1125z00_62 = 
VECTOR_REF(BgL_opt1071z00_10,((long)2)); 
BgL_arg1127z00_63 = 
VECTOR_REF(BgL_opt1071z00_10,((long)3)); 
BgL_arg1130z00_64 = 
VECTOR_REF(BgL_opt1071z00_10,((long)4)); 
{ /* Llib/atom.scm 63 */
obj_t BgL_prefixz00_65;
BgL_prefixz00_65 = BgL_prefixz00_49; 
{ /* Llib/atom.scm 63 */
obj_t BgL_xmlzd2treezd2_898;obj_t BgL_xmlzd2nszd2_899;obj_t BgL_makezd2atomzd2_900;obj_t BgL_makezd2feedzd2_901;obj_t BgL_makezd2entryzd2_902;
if(
BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_arg1122z00_60))
{ /* Llib/atom.scm 63 */
BgL_xmlzd2treezd2_898 = BgL_arg1122z00_60; }  else 
{ 
obj_t BgL_auxz00_1823;
BgL_auxz00_1823 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1989z00zz__web_atomz00, 
BINT(((long)2795)), BGl_string1990z00zz__web_atomz00, BGl_string1992z00zz__web_atomz00, BgL_arg1122z00_60); 
FAILURE(BgL_auxz00_1823,BFALSE,BFALSE);} 
if(
BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_arg1123z00_61))
{ /* Llib/atom.scm 63 */
BgL_xmlzd2nszd2_899 = BgL_arg1123z00_61; }  else 
{ 
obj_t BgL_auxz00_1829;
BgL_auxz00_1829 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1989z00zz__web_atomz00, 
BINT(((long)2795)), BGl_string1990z00zz__web_atomz00, BGl_string1992z00zz__web_atomz00, BgL_arg1123z00_61); 
FAILURE(BgL_auxz00_1829,BFALSE,BFALSE);} 
if(
PROCEDUREP(BgL_arg1125z00_62))
{ /* Llib/atom.scm 63 */
BgL_makezd2atomzd2_900 = BgL_arg1125z00_62; }  else 
{ 
obj_t BgL_auxz00_1835;
BgL_auxz00_1835 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1989z00zz__web_atomz00, 
BINT(((long)2795)), BGl_string1990z00zz__web_atomz00, BGl_string1993z00zz__web_atomz00, BgL_arg1125z00_62); 
FAILURE(BgL_auxz00_1835,BFALSE,BFALSE);} 
if(
PROCEDUREP(BgL_arg1127z00_63))
{ /* Llib/atom.scm 63 */
BgL_makezd2feedzd2_901 = BgL_arg1127z00_63; }  else 
{ 
obj_t BgL_auxz00_1841;
BgL_auxz00_1841 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1989z00zz__web_atomz00, 
BINT(((long)2795)), BGl_string1990z00zz__web_atomz00, BGl_string1993z00zz__web_atomz00, BgL_arg1127z00_63); 
FAILURE(BgL_auxz00_1841,BFALSE,BFALSE);} 
if(
PROCEDUREP(BgL_arg1130z00_64))
{ /* Llib/atom.scm 63 */
BgL_makezd2entryzd2_902 = BgL_arg1130z00_64; }  else 
{ 
obj_t BgL_auxz00_1847;
BgL_auxz00_1847 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1989z00zz__web_atomz00, 
BINT(((long)2795)), BGl_string1990z00zz__web_atomz00, BGl_string1993z00zz__web_atomz00, BgL_arg1130z00_64); 
FAILURE(BgL_auxz00_1847,BFALSE,BFALSE);} 
return 
BGl_atomzd2parsezd2zz__web_atomz00(BGL_REAL_CNST( BGl_real1994z00zz__web_atomz00), BgL_xmlzd2treezd2_898, BgL_xmlzd2nszd2_899, BgL_prefixz00_65, BgL_makezd2atomzd2_900, BgL_makezd2feedzd2_901, BgL_makezd2entryzd2_902);} } } } } } } } 

}



/* atom2005-parse */
BGL_EXPORTED_DEF obj_t BGl_atom2005zd2parsezd2zz__web_atomz00(obj_t BgL_xmlzd2treezd2_4, obj_t BgL_xmlzd2nszd2_5, obj_t BgL_makezd2atomzd2_6, obj_t BgL_makezd2feedzd2_7, obj_t BgL_makezd2entryzd2_8, obj_t BgL_prefixz00_9)
{
{ /* Llib/atom.scm 63 */
return 
BGl_atomzd2parsezd2zz__web_atomz00(BGL_REAL_CNST( BGl_real1994z00zz__web_atomz00), BgL_xmlzd2treezd2_4, BgL_xmlzd2nszd2_5, BgL_prefixz00_9, BgL_makezd2atomzd2_6, BgL_makezd2feedzd2_7, BgL_makezd2entryzd2_8);} 

}



/* _atom0.3-parse */
obj_t BGl__atom0ze23zd2parsez30zz__web_atomz00(obj_t BgL_env1090z00_19, obj_t BgL_opt1089z00_18)
{
{ /* Llib/atom.scm 70 */
{ 
obj_t BgL_k1z00_75;long BgL_iz00_76;
{ /* Llib/atom.scm 70 */
obj_t BgL_g1096z00_78;obj_t BgL_g1097z00_79;obj_t BgL_g1098z00_80;obj_t BgL_g1099z00_81;obj_t BgL_g1100z00_82;
BgL_g1096z00_78 = 
VECTOR_REF(BgL_opt1089z00_18,((long)0)); 
BgL_g1097z00_79 = 
VECTOR_REF(BgL_opt1089z00_18,((long)1)); 
BgL_g1098z00_80 = 
VECTOR_REF(BgL_opt1089z00_18,((long)2)); 
BgL_g1099z00_81 = 
VECTOR_REF(BgL_opt1089z00_18,((long)3)); 
BgL_g1100z00_82 = 
VECTOR_REF(BgL_opt1089z00_18,((long)4)); 
{ /* Llib/atom.scm 70 */
obj_t BgL_prefixz00_83;
BgL_prefixz00_83 = BFALSE; 
{ /* Llib/atom.scm 70 */

{ 
long BgL_iz00_84;
BgL_iz00_84 = ((long)5); 
BgL_check1093z00_85:
if(
(BgL_iz00_84==
VECTOR_LENGTH(BgL_opt1089z00_18)))
{ /* Llib/atom.scm 70 */BNIL; }  else 
{ /* Llib/atom.scm 70 */
bool_t BgL_test2056z00_1861;
{ /* Llib/atom.scm 70 */
obj_t BgL_arg1155z00_91;
BgL_arg1155z00_91 = 
VECTOR_REF(BgL_opt1089z00_18,BgL_iz00_84); 
BgL_test2056z00_1861 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1155z00_91, 
CNST_TABLE_REF(((long)2)))); } 
if(BgL_test2056z00_1861)
{ 
long BgL_iz00_1866;
BgL_iz00_1866 = 
(BgL_iz00_84+((long)2)); 
BgL_iz00_84 = BgL_iz00_1866; 
goto BgL_check1093z00_85;}  else 
{ /* Llib/atom.scm 70 */
obj_t BgL_arg1153z00_90;
BgL_arg1153z00_90 = 
VECTOR_REF(BgL_opt1089z00_18,BgL_iz00_84); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)4)), BGl_string1988z00zz__web_atomz00, BgL_arg1153z00_90); } } } 
{ /* Llib/atom.scm 70 */
obj_t BgL_index1095z00_92;
BgL_k1z00_75 = 
CNST_TABLE_REF(((long)3)); 
BgL_iz00_76 = ((long)5); 
BgL_search1092z00_77:
if(
(BgL_iz00_76==
VECTOR_LENGTH(BgL_opt1089z00_18)))
{ /* Llib/atom.scm 70 */
BgL_index1095z00_92 = 
BINT(((long)-1)); }  else 
{ /* Llib/atom.scm 70 */
if(
(BgL_iz00_76==
(
VECTOR_LENGTH(BgL_opt1089z00_18)-((long)1))))
{ /* Llib/atom.scm 70 */
BgL_index1095z00_92 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)4)), BGl_string1987z00zz__web_atomz00, 
BINT(
VECTOR_LENGTH(BgL_opt1089z00_18))); }  else 
{ /* Llib/atom.scm 70 */
obj_t BgL_vz00_104;
BgL_vz00_104 = 
VECTOR_REF(BgL_opt1089z00_18,BgL_iz00_76); 
if(
(BgL_vz00_104==BgL_k1z00_75))
{ /* Llib/atom.scm 70 */
BgL_index1095z00_92 = 
BINT(
(BgL_iz00_76+((long)1))); }  else 
{ 
long BgL_iz00_1888;
BgL_iz00_1888 = 
(BgL_iz00_76+((long)2)); 
BgL_iz00_76 = BgL_iz00_1888; 
goto BgL_search1092z00_77;} } } 
{ /* Llib/atom.scm 70 */
bool_t BgL_test2060z00_1891;
{ /* Llib/atom.scm 70 */
long BgL_n1z00_918;
{ /* Llib/atom.scm 70 */
obj_t BgL_tmpz00_1892;
if(
INTEGERP(BgL_index1095z00_92))
{ /* Llib/atom.scm 70 */
BgL_tmpz00_1892 = BgL_index1095z00_92
; }  else 
{ 
obj_t BgL_auxz00_1895;
BgL_auxz00_1895 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1989z00zz__web_atomz00, 
BINT(((long)3196)), BGl_string1995z00zz__web_atomz00, BGl_string1991z00zz__web_atomz00, BgL_index1095z00_92); 
FAILURE(BgL_auxz00_1895,BFALSE,BFALSE);} 
BgL_n1z00_918 = 
(long)CINT(BgL_tmpz00_1892); } 
BgL_test2060z00_1891 = 
(BgL_n1z00_918>=((long)0)); } 
if(BgL_test2060z00_1891)
{ 
long BgL_auxz00_1901;
{ /* Llib/atom.scm 70 */
obj_t BgL_tmpz00_1902;
if(
INTEGERP(BgL_index1095z00_92))
{ /* Llib/atom.scm 70 */
BgL_tmpz00_1902 = BgL_index1095z00_92
; }  else 
{ 
obj_t BgL_auxz00_1905;
BgL_auxz00_1905 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1989z00zz__web_atomz00, 
BINT(((long)3196)), BGl_string1995z00zz__web_atomz00, BGl_string1991z00zz__web_atomz00, BgL_index1095z00_92); 
FAILURE(BgL_auxz00_1905,BFALSE,BFALSE);} 
BgL_auxz00_1901 = 
(long)CINT(BgL_tmpz00_1902); } 
BgL_prefixz00_83 = 
VECTOR_REF(BgL_opt1089z00_18,BgL_auxz00_1901); }  else 
{ /* Llib/atom.scm 70 */BFALSE; } } } 
{ /* Llib/atom.scm 70 */
obj_t BgL_arg1157z00_94;obj_t BgL_arg1158z00_95;obj_t BgL_arg1159z00_96;obj_t BgL_arg1160z00_97;obj_t BgL_arg1161z00_98;
BgL_arg1157z00_94 = 
VECTOR_REF(BgL_opt1089z00_18,((long)0)); 
BgL_arg1158z00_95 = 
VECTOR_REF(BgL_opt1089z00_18,((long)1)); 
BgL_arg1159z00_96 = 
VECTOR_REF(BgL_opt1089z00_18,((long)2)); 
BgL_arg1160z00_97 = 
VECTOR_REF(BgL_opt1089z00_18,((long)3)); 
BgL_arg1161z00_98 = 
VECTOR_REF(BgL_opt1089z00_18,((long)4)); 
{ /* Llib/atom.scm 70 */
obj_t BgL_prefixz00_99;
BgL_prefixz00_99 = BgL_prefixz00_83; 
{ /* Llib/atom.scm 70 */
obj_t BgL_xmlzd2treezd2_919;obj_t BgL_xmlzd2nszd2_920;obj_t BgL_makezd2atomzd2_921;obj_t BgL_makezd2feedzd2_922;obj_t BgL_makezd2entryzd2_923;
if(
BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_arg1157z00_94))
{ /* Llib/atom.scm 70 */
BgL_xmlzd2treezd2_919 = BgL_arg1157z00_94; }  else 
{ 
obj_t BgL_auxz00_1918;
BgL_auxz00_1918 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1989z00zz__web_atomz00, 
BINT(((long)3196)), BGl_string1995z00zz__web_atomz00, BGl_string1992z00zz__web_atomz00, BgL_arg1157z00_94); 
FAILURE(BgL_auxz00_1918,BFALSE,BFALSE);} 
if(
BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_arg1158z00_95))
{ /* Llib/atom.scm 70 */
BgL_xmlzd2nszd2_920 = BgL_arg1158z00_95; }  else 
{ 
obj_t BgL_auxz00_1924;
BgL_auxz00_1924 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1989z00zz__web_atomz00, 
BINT(((long)3196)), BGl_string1995z00zz__web_atomz00, BGl_string1992z00zz__web_atomz00, BgL_arg1158z00_95); 
FAILURE(BgL_auxz00_1924,BFALSE,BFALSE);} 
if(
PROCEDUREP(BgL_arg1159z00_96))
{ /* Llib/atom.scm 70 */
BgL_makezd2atomzd2_921 = BgL_arg1159z00_96; }  else 
{ 
obj_t BgL_auxz00_1930;
BgL_auxz00_1930 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1989z00zz__web_atomz00, 
BINT(((long)3196)), BGl_string1995z00zz__web_atomz00, BGl_string1993z00zz__web_atomz00, BgL_arg1159z00_96); 
FAILURE(BgL_auxz00_1930,BFALSE,BFALSE);} 
if(
PROCEDUREP(BgL_arg1160z00_97))
{ /* Llib/atom.scm 70 */
BgL_makezd2feedzd2_922 = BgL_arg1160z00_97; }  else 
{ 
obj_t BgL_auxz00_1936;
BgL_auxz00_1936 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1989z00zz__web_atomz00, 
BINT(((long)3196)), BGl_string1995z00zz__web_atomz00, BGl_string1993z00zz__web_atomz00, BgL_arg1160z00_97); 
FAILURE(BgL_auxz00_1936,BFALSE,BFALSE);} 
if(
PROCEDUREP(BgL_arg1161z00_98))
{ /* Llib/atom.scm 70 */
BgL_makezd2entryzd2_923 = BgL_arg1161z00_98; }  else 
{ 
obj_t BgL_auxz00_1942;
BgL_auxz00_1942 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1989z00zz__web_atomz00, 
BINT(((long)3196)), BGl_string1995z00zz__web_atomz00, BGl_string1993z00zz__web_atomz00, BgL_arg1161z00_98); 
FAILURE(BgL_auxz00_1942,BFALSE,BFALSE);} 
return 
BGl_atomzd2parsezd2zz__web_atomz00(BGL_REAL_CNST( BGl_real1996z00zz__web_atomz00), BgL_xmlzd2treezd2_919, BgL_xmlzd2nszd2_920, BgL_prefixz00_99, BgL_makezd2atomzd2_921, BgL_makezd2feedzd2_922, BgL_makezd2entryzd2_923);} } } } } } } } 

}



/* atom0.3-parse */
BGL_EXPORTED_DEF obj_t BGl_atom0ze23zd2parsez30zz__web_atomz00(obj_t BgL_xmlzd2treezd2_12, obj_t BgL_xmlzd2nszd2_13, obj_t BgL_makezd2atomzd2_14, obj_t BgL_makezd2feedzd2_15, obj_t BgL_makezd2entryzd2_16, obj_t BgL_prefixz00_17)
{
{ /* Llib/atom.scm 70 */
return 
BGl_atomzd2parsezd2zz__web_atomz00(BGL_REAL_CNST( BGl_real1996z00zz__web_atomz00), BgL_xmlzd2treezd2_12, BgL_xmlzd2nszd2_13, BgL_prefixz00_17, BgL_makezd2atomzd2_14, BgL_makezd2feedzd2_15, BgL_makezd2entryzd2_16);} 

}



/* atom-parse */
BGL_EXPORTED_DEF obj_t BGl_atomzd2parsezd2zz__web_atomz00(obj_t BgL_versionz00_20, obj_t BgL_xmlzd2treezd2_21, obj_t BgL_xmlzd2nszd2_22, obj_t BgL_prefixz00_23, obj_t BgL_makezd2atomzd2_24, obj_t BgL_makezd2headzd2_25, obj_t BgL_makezd2entryzd2_26)
{
{ /* Llib/atom.scm 77 */
{ /* Llib/atom.scm 78 */
bool_t BgL_v2005z00_108;obj_t BgL_v0ze23ze2_1380;
BgL_v2005z00_108 = ((bool_t)1); 
BgL_v0ze23ze2_1380 = 
MAKE_CELL(BFALSE); 
if(
BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_versionz00_20, BGL_REAL_CNST( BGl_real1996z00zz__web_atomz00)))
{ /* Llib/atom.scm 380 */
obj_t BgL_auxz00_1381;
BgL_auxz00_1381 = BTRUE; 
CELL_SET(BgL_v0ze23ze2_1380, BgL_auxz00_1381); }  else 
{ /* Llib/atom.scm 381 */
bool_t BgL_test2069z00_1950;
if(
INTEGERP(BgL_versionz00_20))
{ /* Llib/atom.scm 381 */
BgL_test2069z00_1950 = 
(
(long)CINT(BgL_versionz00_20)==((long)2005))
; }  else 
{ /* Llib/atom.scm 381 */
BgL_test2069z00_1950 = 
BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_versionz00_20, 
BINT(((long)2005)))
; } 
if(BgL_test2069z00_1950)
{ /* Llib/atom.scm 381 */
BgL_v2005z00_108 = ((bool_t)1); 
{ /* Llib/atom.scm 382 */
obj_t BgL_auxz00_1382;
BgL_auxz00_1382 = BFALSE; 
CELL_SET(BgL_v0ze23ze2_1380, BgL_auxz00_1382); } }  else 
{ /* Llib/atom.scm 381 */
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)5)), BGl_string1997z00zz__web_atomz00, BgL_versionz00_20); } } 
{ /* Llib/atom.scm 388 */
obj_t BgL_zc3z04anonymousza31180ze3z87_1362;
BgL_zc3z04anonymousza31180ze3z87_1362 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31180ze3ze5zz__web_atomz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31180ze3z87_1362, 
(int)(((long)0)), BgL_makezd2headzd2_25); 
PROCEDURE_SET(BgL_zc3z04anonymousza31180ze3z87_1362, 
(int)(((long)1)), BgL_makezd2atomzd2_24); 
PROCEDURE_SET(BgL_zc3z04anonymousza31180ze3z87_1362, 
(int)(((long)2)), BgL_prefixz00_23); 
PROCEDURE_SET(BgL_zc3z04anonymousza31180ze3z87_1362, 
(int)(((long)3)), 
((obj_t)BgL_v0ze23ze2_1380)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31180ze3z87_1362, 
(int)(((long)4)), BgL_makezd2entryzd2_26); 
{ /* Llib/atom.scm 387 */
obj_t BgL_list1179z00_124;
BgL_list1179z00_124 = 
MAKE_YOUNG_PAIR(BgL_xmlzd2treezd2_21, BNIL); 
return 
BGl_filterzd2mapzd2zz__r4_control_features_6_9z00(BgL_zc3z04anonymousza31180ze3z87_1362, BgL_list1179z00_124);} } } } 

}



/* &atom-parse */
obj_t BGl_z62atomzd2parsezb0zz__web_atomz00(obj_t BgL_envz00_1363, obj_t BgL_versionz00_1364, obj_t BgL_xmlzd2treezd2_1365, obj_t BgL_xmlzd2nszd2_1366, obj_t BgL_prefixz00_1367, obj_t BgL_makezd2atomzd2_1368, obj_t BgL_makezd2headzd2_1369, obj_t BgL_makezd2entryzd2_1370)
{
{ /* Llib/atom.scm 77 */
{ /* Llib/atom.scm 78 */
obj_t BgL_auxz00_2003;obj_t BgL_auxz00_1996;obj_t BgL_auxz00_1989;obj_t BgL_auxz00_1982;obj_t BgL_auxz00_1975;
if(
PROCEDUREP(BgL_makezd2entryzd2_1370))
{ /* Llib/atom.scm 78 */
BgL_auxz00_2003 = BgL_makezd2entryzd2_1370
; }  else 
{ 
obj_t BgL_auxz00_2006;
BgL_auxz00_2006 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1989z00zz__web_atomz00, 
BINT(((long)3686)), BGl_string1998z00zz__web_atomz00, BGl_string1993z00zz__web_atomz00, BgL_makezd2entryzd2_1370); 
FAILURE(BgL_auxz00_2006,BFALSE,BFALSE);} 
if(
PROCEDUREP(BgL_makezd2headzd2_1369))
{ /* Llib/atom.scm 78 */
BgL_auxz00_1996 = BgL_makezd2headzd2_1369
; }  else 
{ 
obj_t BgL_auxz00_1999;
BgL_auxz00_1999 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1989z00zz__web_atomz00, 
BINT(((long)3686)), BGl_string1998z00zz__web_atomz00, BGl_string1993z00zz__web_atomz00, BgL_makezd2headzd2_1369); 
FAILURE(BgL_auxz00_1999,BFALSE,BFALSE);} 
if(
PROCEDUREP(BgL_makezd2atomzd2_1368))
{ /* Llib/atom.scm 78 */
BgL_auxz00_1989 = BgL_makezd2atomzd2_1368
; }  else 
{ 
obj_t BgL_auxz00_1992;
BgL_auxz00_1992 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1989z00zz__web_atomz00, 
BINT(((long)3686)), BGl_string1998z00zz__web_atomz00, BGl_string1993z00zz__web_atomz00, BgL_makezd2atomzd2_1368); 
FAILURE(BgL_auxz00_1992,BFALSE,BFALSE);} 
if(
BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_xmlzd2nszd2_1366))
{ /* Llib/atom.scm 78 */
BgL_auxz00_1982 = BgL_xmlzd2nszd2_1366
; }  else 
{ 
obj_t BgL_auxz00_1985;
BgL_auxz00_1985 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1989z00zz__web_atomz00, 
BINT(((long)3686)), BGl_string1998z00zz__web_atomz00, BGl_string1992z00zz__web_atomz00, BgL_xmlzd2nszd2_1366); 
FAILURE(BgL_auxz00_1985,BFALSE,BFALSE);} 
if(
BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_xmlzd2treezd2_1365))
{ /* Llib/atom.scm 78 */
BgL_auxz00_1975 = BgL_xmlzd2treezd2_1365
; }  else 
{ 
obj_t BgL_auxz00_1978;
BgL_auxz00_1978 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1989z00zz__web_atomz00, 
BINT(((long)3686)), BGl_string1998z00zz__web_atomz00, BGl_string1992z00zz__web_atomz00, BgL_xmlzd2treezd2_1365); 
FAILURE(BgL_auxz00_1978,BFALSE,BFALSE);} 
return 
BGl_atomzd2parsezd2zz__web_atomz00(BgL_versionz00_1364, BgL_auxz00_1975, BgL_auxz00_1982, BgL_prefixz00_1367, BgL_auxz00_1989, BgL_auxz00_1996, BgL_auxz00_2003);} } 

}



/* &<@anonymous:1180> */
obj_t BGl_z62zc3z04anonymousza31180ze3ze5zz__web_atomz00(obj_t BgL_envz00_1371, obj_t BgL_ez00_1377)
{
{ /* Llib/atom.scm 387 */
{ /* Llib/atom.scm 388 */
obj_t BgL_makezd2headzd2_1372;obj_t BgL_makezd2atomzd2_1373;obj_t BgL_prefixz00_1374;obj_t BgL_v0ze23ze2_1375;obj_t BgL_makezd2entryzd2_1376;
BgL_makezd2headzd2_1372 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1371, 
(int)(((long)0)))); 
BgL_makezd2atomzd2_1373 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1371, 
(int)(((long)1)))); 
BgL_prefixz00_1374 = 
PROCEDURE_REF(BgL_envz00_1371, 
(int)(((long)2))); 
BgL_v0ze23ze2_1375 = 
PROCEDURE_REF(BgL_envz00_1371, 
(int)(((long)3))); 
BgL_makezd2entryzd2_1376 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1371, 
(int)(((long)4)))); 
{ 
obj_t BgL_attrz00_1687;obj_t BgL_bodyz00_1688;obj_t BgL_attrz00_1531;obj_t BgL_bodyz00_1532;obj_t BgL_attrz00_1522;obj_t BgL_bodyz00_1523;obj_t BgL_entryz00_1479;obj_t BgL_attrz00_1443;obj_t BgL_bodyz00_1444;
if(
PAIRP(BgL_ez00_1377))
{ /* Llib/atom.scm 389 */
obj_t BgL_casezd2valuezd2_1696;
BgL_casezd2valuezd2_1696 = 
BGl_dropzd2prefixze70z35zz__web_atomz00(BgL_prefixz00_1374, 
CAR(BgL_ez00_1377)); 
if(
(BgL_casezd2valuezd2_1696==
CNST_TABLE_REF(((long)41))))
{ /* Llib/atom.scm 389 */
BgL_attrz00_1443 = 
CAR(
CDR(BgL_ez00_1377)); 
BgL_bodyz00_1444 = 
CAR(
CDR(
CDR(BgL_ez00_1377))); 
{ /* Llib/atom.scm 328 */
obj_t BgL_catz00_1445;obj_t BgL_linksz00_1446;obj_t BgL_subtitlez00_1447;obj_t BgL_logoz00_1448;obj_t BgL_rightsz00_1449;obj_t BgL_titlez00_1450;obj_t BgL_updatedz00_1451;obj_t BgL_itemsz00_1452;obj_t BgL_restz00_1453;
BgL_catz00_1445 = BNIL; 
BgL_linksz00_1446 = BNIL; 
BgL_subtitlez00_1447 = BFALSE; 
BgL_logoz00_1448 = BFALSE; 
BgL_rightsz00_1449 = BFALSE; 
BgL_titlez00_1450 = BFALSE; 
BgL_updatedz00_1451 = BFALSE; 
BgL_itemsz00_1452 = BNIL; 
BgL_restz00_1453 = BNIL; 
{ 
obj_t BgL_l1069z00_1455;
BgL_l1069z00_1455 = BgL_bodyz00_1444; 
BgL_zc3z04anonymousza31909ze3z87_1454:
if(
PAIRP(BgL_l1069z00_1455))
{ /* Llib/atom.scm 337 */
{ /* Llib/atom.scm 338 */
obj_t BgL_ez00_1456;
BgL_ez00_1456 = 
CAR(BgL_l1069z00_1455); 
if(
PAIRP(BgL_ez00_1456))
{ /* Llib/atom.scm 339 */
obj_t BgL_casezd2valuezd2_1457;
BgL_casezd2valuezd2_1457 = 
CAR(BgL_ez00_1456); 
if(
(BgL_casezd2valuezd2_1457==
CNST_TABLE_REF(((long)6))))
{ /* Llib/atom.scm 341 */
obj_t BgL_arg1913z00_1458;
BgL_arg1913z00_1458 = 
BGl_atomza3categoryze70z44zz__web_atomz00(BgL_prefixz00_1374, 
CAR(
CDR(BgL_ez00_1456))); 
BgL_catz00_1445 = 
MAKE_YOUNG_PAIR(BgL_arg1913z00_1458, BgL_catz00_1445); }  else 
{ /* Llib/atom.scm 339 */
if(
(BgL_casezd2valuezd2_1457==
CNST_TABLE_REF(((long)7))))
{ /* Llib/atom.scm 343 */
obj_t BgL_lnkz00_1459;
BgL_lnkz00_1459 = 
BGl_atomza3linkze70z44zz__web_atomz00(BgL_v0ze23ze2_1375, BgL_prefixz00_1374, 
CAR(
CDR(BgL_ez00_1456))); 
if(
CBOOL(BgL_lnkz00_1459))
{ /* Llib/atom.scm 344 */
BgL_linksz00_1446 = 
MAKE_YOUNG_PAIR(BgL_lnkz00_1459, BgL_linksz00_1446); }  else 
{ /* Llib/atom.scm 344 */BFALSE; } }  else 
{ /* Llib/atom.scm 339 */
if(
(BgL_casezd2valuezd2_1457==
CNST_TABLE_REF(((long)8))))
{ /* Llib/atom.scm 339 */
BgL_logoz00_1448 = 
BGl_cdatazd2decodezd2zz__web_rssz00(
CAR(
CDR(
CDR(BgL_ez00_1456)))); }  else 
{ /* Llib/atom.scm 339 */
bool_t BgL_test2084z00_2060;
{ /* Llib/atom.scm 339 */
bool_t BgL__ortest_1052z00_1460;
BgL__ortest_1052z00_1460 = 
(BgL_casezd2valuezd2_1457==
CNST_TABLE_REF(((long)9))); 
if(BgL__ortest_1052z00_1460)
{ /* Llib/atom.scm 339 */
BgL_test2084z00_2060 = BgL__ortest_1052z00_1460
; }  else 
{ /* Llib/atom.scm 339 */
BgL_test2084z00_2060 = 
(BgL_casezd2valuezd2_1457==
CNST_TABLE_REF(((long)10)))
; } } 
if(BgL_test2084z00_2060)
{ /* Llib/atom.scm 339 */
BgL_rightsz00_1449 = 
BGl_cdatazd2decodezd2zz__web_rssz00(
CAR(
CDR(
CDR(BgL_ez00_1456)))); }  else 
{ /* Llib/atom.scm 339 */
bool_t BgL_test2086z00_2070;
{ /* Llib/atom.scm 339 */
bool_t BgL__ortest_1053z00_1461;
BgL__ortest_1053z00_1461 = 
(BgL_casezd2valuezd2_1457==
CNST_TABLE_REF(((long)11))); 
if(BgL__ortest_1053z00_1461)
{ /* Llib/atom.scm 339 */
BgL_test2086z00_2070 = BgL__ortest_1053z00_1461
; }  else 
{ /* Llib/atom.scm 339 */
BgL_test2086z00_2070 = 
(BgL_casezd2valuezd2_1457==
CNST_TABLE_REF(((long)12)))
; } } 
if(BgL_test2086z00_2070)
{ /* Llib/atom.scm 339 */
BgL_subtitlez00_1447 = 
BGl_cdatazd2decodezd2zz__web_rssz00(
CAR(
CDR(
CDR(BgL_ez00_1456)))); }  else 
{ /* Llib/atom.scm 339 */
if(
(BgL_casezd2valuezd2_1457==
CNST_TABLE_REF(((long)13))))
{ /* Llib/atom.scm 339 */
BgL_titlez00_1450 = 
BGl_cdatazd2decodezd2zz__web_rssz00(
CAR(
CDR(
CDR(BgL_ez00_1456)))); }  else 
{ /* Llib/atom.scm 339 */
bool_t BgL_test2089z00_2087;
{ /* Llib/atom.scm 339 */
bool_t BgL__ortest_1054z00_1462;
BgL__ortest_1054z00_1462 = 
(BgL_casezd2valuezd2_1457==
CNST_TABLE_REF(((long)14))); 
if(BgL__ortest_1054z00_1462)
{ /* Llib/atom.scm 339 */
BgL_test2089z00_2087 = BgL__ortest_1054z00_1462
; }  else 
{ /* Llib/atom.scm 339 */
BgL_test2089z00_2087 = 
(BgL_casezd2valuezd2_1457==
CNST_TABLE_REF(((long)15)))
; } } 
if(BgL_test2089z00_2087)
{ /* Llib/atom.scm 355 */
obj_t BgL_dz00_1463;
BgL_dz00_1463 = 
BGl_simplezd2cdatazd2decodez00zz__web_atomz00(
CAR(
CAR(
CDR(
CDR(BgL_ez00_1456))))); 
{ /* Llib/atom.scm 356 */
bool_t BgL_test2091z00_2098;
if(
CBOOL(BgL_updatedz00_1451))
{ /* Llib/atom.scm 356 */
BgL_test2091z00_2098 = 
(
BGl_stringzd2compare3zd2ciz00zz__r4_strings_6_7z00(BgL_updatedz00_1451, BgL_dz00_1463)>((long)0))
; }  else 
{ /* Llib/atom.scm 356 */
BgL_test2091z00_2098 = ((bool_t)1)
; } 
if(BgL_test2091z00_2098)
{ /* Llib/atom.scm 356 */
BgL_updatedz00_1451 = BgL_dz00_1463; }  else 
{ /* Llib/atom.scm 356 */BFALSE; } } }  else 
{ /* Llib/atom.scm 339 */
if(
(BgL_casezd2valuezd2_1457==
CNST_TABLE_REF(((long)16))))
{ /* Llib/atom.scm 363 */
obj_t BgL_arg1931z00_1464;
BgL_entryz00_1479 = 
BGl_simplezd2cdatazd2decodez00zz__web_atomz00(
CAR(
CDR(
CDR(BgL_ez00_1456)))); 
{ /* Llib/atom.scm 249 */
obj_t BgL_authorsz00_1480;obj_t BgL_catz00_1481;obj_t BgL_contentz00_1482;obj_t BgL_linksz00_1483;obj_t BgL_rightsz00_1484;obj_t BgL_sourcez00_1485;obj_t BgL_summaryz00_1486;obj_t BgL_titlez00_1487;obj_t BgL_updatedz00_1488;obj_t BgL_restz00_1489;
BgL_authorsz00_1480 = BNIL; 
BgL_catz00_1481 = BNIL; 
BgL_contentz00_1482 = BFALSE; 
BgL_linksz00_1483 = BNIL; 
BgL_rightsz00_1484 = BFALSE; 
BgL_sourcez00_1485 = BFALSE; 
BgL_summaryz00_1486 = BFALSE; 
BgL_titlez00_1487 = BFALSE; 
BgL_updatedz00_1488 = BFALSE; 
BgL_restz00_1489 = BNIL; 
{ 
obj_t BgL_l1067z00_1491;
BgL_l1067z00_1491 = BgL_entryz00_1479; 
BgL_zc3z04anonymousza31856ze3z87_1490:
if(
PAIRP(BgL_l1067z00_1491))
{ /* Llib/atom.scm 260 */
{ /* Llib/atom.scm 261 */
obj_t BgL_ez00_1492;
BgL_ez00_1492 = 
CAR(BgL_l1067z00_1491); 
if(
PAIRP(BgL_ez00_1492))
{ /* Llib/atom.scm 262 */
obj_t BgL_casezd2valuezd2_1493;
BgL_casezd2valuezd2_1493 = 
BGl_dropzd2prefixze70z35zz__web_atomz00(BgL_prefixz00_1374, 
CAR(BgL_ez00_1492)); 
if(
(BgL_casezd2valuezd2_1493==
CNST_TABLE_REF(((long)23))))
{ /* Llib/atom.scm 264 */
obj_t BgL_persz00_1494;
BgL_attrz00_1522 = 
CAR(
CDR(BgL_ez00_1492)); 
BgL_bodyz00_1523 = 
CAR(
CDR(
CDR(BgL_ez00_1492))); 
{ /* Llib/atom.scm 91 */
obj_t BgL_namez00_1524;obj_t BgL_uriz00_1525;obj_t BgL_emailz00_1526;
BgL_namez00_1524 = BFALSE; 
BgL_uriz00_1525 = BFALSE; 
BgL_emailz00_1526 = BFALSE; 
{ 
obj_t BgL_l1057z00_1528;
BgL_l1057z00_1528 = BgL_bodyz00_1523; 
BgL_zc3z04anonymousza31192ze3z87_1527:
if(
PAIRP(BgL_l1057z00_1528))
{ /* Llib/atom.scm 92 */
{ /* Llib/atom.scm 93 */
obj_t BgL_elmtz00_1529;
BgL_elmtz00_1529 = 
CAR(BgL_l1057z00_1528); 
if(
PAIRP(BgL_elmtz00_1529))
{ /* Llib/atom.scm 94 */
obj_t BgL_casezd2valuezd2_1530;
BgL_casezd2valuezd2_1530 = 
BGl_dropzd2prefixze70z35zz__web_atomz00(BgL_prefixz00_1374, 
CAR(BgL_elmtz00_1529)); 
if(
(BgL_casezd2valuezd2_1530==
CNST_TABLE_REF(((long)34))))
{ /* Llib/atom.scm 94 */
BgL_namez00_1524 = 
BGl_cdatazd2decodezd2zz__web_rssz00(
CAR(
CDR(
CDR(BgL_elmtz00_1529)))); }  else 
{ /* Llib/atom.scm 94 */
if(
(BgL_casezd2valuezd2_1530==
CNST_TABLE_REF(((long)35))))
{ /* Llib/atom.scm 94 */
BgL_uriz00_1525 = 
BGl_cdatazd2decodezd2zz__web_rssz00(
CAR(
CDR(
CDR(BgL_elmtz00_1529)))); }  else 
{ /* Llib/atom.scm 94 */
if(
(BgL_casezd2valuezd2_1530==
CNST_TABLE_REF(((long)36))))
{ /* Llib/atom.scm 94 */
BgL_emailz00_1526 = 
BGl_cdatazd2decodezd2zz__web_rssz00(
CAR(
CDR(
CDR(BgL_elmtz00_1529)))); }  else 
{ /* Llib/atom.scm 94 */BUNSPEC; } } } }  else 
{ /* Llib/atom.scm 93 */BFALSE; } } 
{ 
obj_t BgL_l1057z00_2144;
BgL_l1057z00_2144 = 
CDR(BgL_l1057z00_1528); 
BgL_l1057z00_1528 = BgL_l1057z00_2144; 
goto BgL_zc3z04anonymousza31192ze3z87_1527;} }  else 
{ /* Llib/atom.scm 92 */((bool_t)1); } } 
BgL_persz00_1494 = BgL_namez00_1524; } 
if(
CBOOL(BgL_persz00_1494))
{ /* Llib/atom.scm 265 */
BgL_authorsz00_1480 = 
MAKE_YOUNG_PAIR(BgL_persz00_1494, BgL_authorsz00_1480); }  else 
{ /* Llib/atom.scm 265 */BFALSE; } }  else 
{ /* Llib/atom.scm 262 */
if(
(BgL_casezd2valuezd2_1493==
CNST_TABLE_REF(((long)6))))
{ /* Llib/atom.scm 268 */
obj_t BgL_arg1864z00_1495;
BgL_arg1864z00_1495 = 
BGl_atomza3categoryze70z44zz__web_atomz00(BgL_prefixz00_1374, 
CAR(
CDR(BgL_ez00_1492))); 
BgL_catz00_1481 = 
MAKE_YOUNG_PAIR(BgL_arg1864z00_1495, BgL_catz00_1481); }  else 
{ /* Llib/atom.scm 262 */
if(
(BgL_casezd2valuezd2_1493==
CNST_TABLE_REF(((long)24))))
{ /* Llib/atom.scm 262 */
BgL_attrz00_1531 = 
CAR(
CDR(BgL_ez00_1492)); 
BgL_bodyz00_1532 = 
CAR(
CDR(
CDR(BgL_ez00_1492))); 
if(
CBOOL(
CELL_REF(BgL_v0ze23ze2_1375)))
{ /* Llib/atom.scm 123 */
obj_t BgL_tz00_1533;obj_t BgL_mz00_1534;
BgL_tz00_1533 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
CNST_TABLE_REF(((long)37)), BgL_attrz00_1531); 
BgL_mz00_1534 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
CNST_TABLE_REF(((long)38)), BgL_attrz00_1531); 
if(
CBOOL(BgL_tz00_1533))
{ /* Llib/atom.scm 125 */BFALSE; }  else 
{ /* Llib/atom.scm 125 */
BgL_tz00_1533 = BGl_string1999z00zz__web_atomz00; } 
if(
CBOOL(BgL_mz00_1534))
{ /* Llib/atom.scm 126 */BFALSE; }  else 
{ /* Llib/atom.scm 126 */
BgL_mz00_1534 = BGl_string2000z00zz__web_atomz00; } 
if(
bigloo_strncmp(BgL_tz00_1533, BGl_string2001z00zz__web_atomz00, ((long)5)))
{ /* Llib/atom.scm 128 */
obj_t BgL_port1021z00_1535;
{ /* Llib/atom.scm 128 */
obj_t BgL_stringz00_1536;
BgL_stringz00_1536 = BgL_mz00_1534; 
{ /* Llib/atom.scm 128 */
long BgL_endz00_1537;
BgL_endz00_1537 = 
STRING_LENGTH(
((obj_t)BgL_stringz00_1536)); 
{ /* Llib/atom.scm 128 */

BgL_port1021z00_1535 = 
BGl_openzd2inputzd2stringz00zz__r4_ports_6_10_1z00(BgL_stringz00_1536, 
BINT(((long)0)), 
BINT(BgL_endz00_1537)); } } } 
{ /* Llib/atom.scm 128 */
obj_t BgL_exitd1022z00_1538;
BgL_exitd1022z00_1538 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/atom.scm 128 */
obj_t BgL_zc3z04anonymousza31794ze3z87_1539;
BgL_zc3z04anonymousza31794ze3z87_1539 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31794ze3ze5zz__web_atomz00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31794ze3z87_1539, 
(int)(((long)0)), BgL_port1021z00_1535); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_exitd1022z00_1538, BgL_zc3z04anonymousza31794ze3z87_1539); 
{ /* Llib/atom.scm 128 */
obj_t BgL_tmp1024z00_1540;
{ 
obj_t BgL_iportz00_1657;long BgL_lastzd2matchzd2_1658;long BgL_forwardz00_1659;long BgL_bufposz00_1660;obj_t BgL_iportz00_1650;long BgL_lastzd2matchzd2_1651;long BgL_forwardz00_1652;long BgL_bufposz00_1653;obj_t BgL_iportz00_1643;long BgL_lastzd2matchzd2_1644;long BgL_forwardz00_1645;long BgL_bufposz00_1646;obj_t BgL_iportz00_1636;long BgL_lastzd2matchzd2_1637;long BgL_forwardz00_1638;long BgL_bufposz00_1639;obj_t BgL_iportz00_1627;long BgL_lastzd2matchzd2_1628;long BgL_forwardz00_1629;long BgL_bufposz00_1630;obj_t BgL_iportz00_1620;long BgL_lastzd2matchzd2_1621;long BgL_forwardz00_1622;long BgL_bufposz00_1623;obj_t BgL_iportz00_1613;long BgL_lastzd2matchzd2_1614;long BgL_forwardz00_1615;long BgL_bufposz00_1616;obj_t BgL_iportz00_1606;long BgL_lastzd2matchzd2_1607;long BgL_forwardz00_1608;long BgL_bufposz00_1609;obj_t BgL_iportz00_1599;long BgL_lastzd2matchzd2_1600;long BgL_forwardz00_1601;long BgL_bufposz00_1602;obj_t BgL_iportz00_1590;long BgL_lastzd2matchzd2_1591;long BgL_forwardz00_1592;long BgL_bufposz00_1593;obj_t BgL_iportz00_1582;long BgL_lastzd2matchzd2_1583;long BgL_forwardz00_1584;long BgL_bufposz00_1585;obj_t BgL_iportz00_1574;long BgL_lastzd2matchzd2_1575;long BgL_forwardz00_1576;long BgL_bufposz00_1577;obj_t BgL_iportz00_1566;long BgL_lastzd2matchzd2_1567;long BgL_forwardz00_1568;long BgL_bufposz00_1569;obj_t BgL_iportz00_1557;long BgL_lastzd2matchzd2_1558;long BgL_forwardz00_1559;long BgL_bufposz00_1560;
RGC_START_MATCH(BgL_port1021z00_1535); 
{ /* Llib/atom.scm 128 */
long BgL_matchz00_1667;
{ /* Llib/atom.scm 128 */
long BgL_arg1792z00_1668;long BgL_arg1793z00_1669;
BgL_arg1792z00_1668 = 
RGC_BUFFER_FORWARD(BgL_port1021z00_1535); 
BgL_arg1793z00_1669 = 
RGC_BUFFER_BUFPOS(BgL_port1021z00_1535); 
BgL_iportz00_1557 = BgL_port1021z00_1535; 
BgL_lastzd2matchzd2_1558 = ((long)3); 
BgL_forwardz00_1559 = BgL_arg1792z00_1668; 
BgL_bufposz00_1560 = BgL_arg1793z00_1669; 
BgL_statezd20zd21025z00_1541:
if(
(BgL_forwardz00_1559==BgL_bufposz00_1560))
{ /* Llib/atom.scm 128 */
if(
rgc_fill_buffer(BgL_iportz00_1557))
{ /* Llib/atom.scm 128 */
long BgL_arg1246z00_1561;long BgL_arg1247z00_1562;
BgL_arg1246z00_1561 = 
RGC_BUFFER_FORWARD(BgL_iportz00_1557); 
BgL_arg1247z00_1562 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_1557); 
{ 
long BgL_bufposz00_2198;long BgL_forwardz00_2197;
BgL_forwardz00_2197 = BgL_arg1246z00_1561; 
BgL_bufposz00_2198 = BgL_arg1247z00_1562; 
BgL_bufposz00_1560 = BgL_bufposz00_2198; 
BgL_forwardz00_1559 = BgL_forwardz00_2197; 
goto BgL_statezd20zd21025z00_1541;} }  else 
{ /* Llib/atom.scm 128 */
BgL_matchz00_1667 = BgL_lastzd2matchzd2_1558; } }  else 
{ /* Llib/atom.scm 128 */
int BgL_curz00_1563;
BgL_curz00_1563 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_1557, BgL_forwardz00_1559); 
{ /* Llib/atom.scm 128 */

if(
(
(long)(BgL_curz00_1563)==((long)120)))
{ /* Llib/atom.scm 128 */
BgL_iportz00_1582 = BgL_iportz00_1557; 
BgL_lastzd2matchzd2_1583 = BgL_lastzd2matchzd2_1558; 
BgL_forwardz00_1584 = 
(((long)1)+BgL_forwardz00_1559); 
BgL_bufposz00_1585 = BgL_bufposz00_1560; 
BgL_statezd24zd21029z00_1544:
{ /* Llib/atom.scm 128 */
long BgL_newzd2matchzd2_1586;
RGC_STOP_MATCH(BgL_iportz00_1582, BgL_forwardz00_1584); 
BgL_newzd2matchzd2_1586 = ((long)3); 
if(
(BgL_forwardz00_1584==BgL_bufposz00_1585))
{ /* Llib/atom.scm 128 */
if(
rgc_fill_buffer(BgL_iportz00_1582))
{ /* Llib/atom.scm 128 */
long BgL_arg1330z00_1587;long BgL_arg1333z00_1588;
BgL_arg1330z00_1587 = 
RGC_BUFFER_FORWARD(BgL_iportz00_1582); 
BgL_arg1333z00_1588 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_1582); 
{ 
long BgL_bufposz00_2211;long BgL_forwardz00_2210;
BgL_forwardz00_2210 = BgL_arg1330z00_1587; 
BgL_bufposz00_2211 = BgL_arg1333z00_1588; 
BgL_bufposz00_1585 = BgL_bufposz00_2211; 
BgL_forwardz00_1584 = BgL_forwardz00_2210; 
goto BgL_statezd24zd21029z00_1544;} }  else 
{ /* Llib/atom.scm 128 */
BgL_matchz00_1667 = BgL_newzd2matchzd2_1586; } }  else 
{ /* Llib/atom.scm 128 */
int BgL_curz00_1589;
BgL_curz00_1589 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_1582, BgL_forwardz00_1584); 
{ /* Llib/atom.scm 128 */

if(
(
(long)(BgL_curz00_1589)==((long)109)))
{ /* Llib/atom.scm 128 */
BgL_iportz00_1590 = BgL_iportz00_1582; 
BgL_lastzd2matchzd2_1591 = BgL_newzd2matchzd2_1586; 
BgL_forwardz00_1592 = 
(((long)1)+BgL_forwardz00_1584); 
BgL_bufposz00_1593 = BgL_bufposz00_1585; 
BgL_statezd25zd21030z00_1545:
if(
(BgL_forwardz00_1592==BgL_bufposz00_1593))
{ /* Llib/atom.scm 128 */
if(
rgc_fill_buffer(BgL_iportz00_1590))
{ /* Llib/atom.scm 128 */
long BgL_arg1344z00_1594;long BgL_arg1345z00_1595;
BgL_arg1344z00_1594 = 
RGC_BUFFER_FORWARD(BgL_iportz00_1590); 
BgL_arg1345z00_1595 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_1590); 
{ 
long BgL_bufposz00_2223;long BgL_forwardz00_2222;
BgL_forwardz00_2222 = BgL_arg1344z00_1594; 
BgL_bufposz00_2223 = BgL_arg1345z00_1595; 
BgL_bufposz00_1593 = BgL_bufposz00_2223; 
BgL_forwardz00_1592 = BgL_forwardz00_2222; 
goto BgL_statezd25zd21030z00_1545;} }  else 
{ /* Llib/atom.scm 128 */
BgL_matchz00_1667 = BgL_lastzd2matchzd2_1591; } }  else 
{ /* Llib/atom.scm 128 */
int BgL_curz00_1596;
BgL_curz00_1596 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_1590, BgL_forwardz00_1592); 
{ /* Llib/atom.scm 128 */

if(
(
(long)(BgL_curz00_1596)==((long)108)))
{ /* Llib/atom.scm 128 */
long BgL_arg1356z00_1597;
BgL_arg1356z00_1597 = 
(((long)1)+BgL_forwardz00_1592); 
{ /* Llib/atom.scm 128 */
long BgL_newzd2matchzd2_1598;
RGC_STOP_MATCH(BgL_iportz00_1590, BgL_arg1356z00_1597); 
BgL_newzd2matchzd2_1598 = ((long)0); 
BgL_matchz00_1667 = BgL_newzd2matchzd2_1598; } }  else 
{ /* Llib/atom.scm 128 */
BgL_matchz00_1667 = BgL_lastzd2matchzd2_1591; } } } }  else 
{ /* Llib/atom.scm 128 */
BgL_matchz00_1667 = BgL_newzd2matchzd2_1586; } } } } }  else 
{ /* Llib/atom.scm 128 */
if(
(
(long)(BgL_curz00_1563)==((long)101)))
{ /* Llib/atom.scm 128 */
BgL_iportz00_1574 = BgL_iportz00_1557; 
BgL_lastzd2matchzd2_1575 = BgL_lastzd2matchzd2_1558; 
BgL_forwardz00_1576 = 
(((long)1)+BgL_forwardz00_1559); 
BgL_bufposz00_1577 = BgL_bufposz00_1560; 
BgL_statezd23zd21028z00_1543:
{ /* Llib/atom.scm 128 */
long BgL_newzd2matchzd2_1578;
RGC_STOP_MATCH(BgL_iportz00_1574, BgL_forwardz00_1576); 
BgL_newzd2matchzd2_1578 = ((long)3); 
if(
(BgL_forwardz00_1576==BgL_bufposz00_1577))
{ /* Llib/atom.scm 128 */
if(
rgc_fill_buffer(BgL_iportz00_1574))
{ /* Llib/atom.scm 128 */
long BgL_arg1318z00_1579;long BgL_arg1319z00_1580;
BgL_arg1318z00_1579 = 
RGC_BUFFER_FORWARD(BgL_iportz00_1574); 
BgL_arg1319z00_1580 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_1574); 
{ 
long BgL_bufposz00_2243;long BgL_forwardz00_2242;
BgL_forwardz00_2242 = BgL_arg1318z00_1579; 
BgL_bufposz00_2243 = BgL_arg1319z00_1580; 
BgL_bufposz00_1577 = BgL_bufposz00_2243; 
BgL_forwardz00_1576 = BgL_forwardz00_2242; 
goto BgL_statezd23zd21028z00_1543;} }  else 
{ /* Llib/atom.scm 128 */
BgL_matchz00_1667 = BgL_newzd2matchzd2_1578; } }  else 
{ /* Llib/atom.scm 128 */
int BgL_curz00_1581;
BgL_curz00_1581 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_1574, BgL_forwardz00_1576); 
{ /* Llib/atom.scm 128 */

if(
(
(long)(BgL_curz00_1581)==((long)115)))
{ /* Llib/atom.scm 128 */
BgL_iportz00_1599 = BgL_iportz00_1574; 
BgL_lastzd2matchzd2_1600 = BgL_newzd2matchzd2_1578; 
BgL_forwardz00_1601 = 
(((long)1)+BgL_forwardz00_1576); 
BgL_bufposz00_1602 = BgL_bufposz00_1577; 
BgL_statezd28zd21033z00_1546:
if(
(BgL_forwardz00_1601==BgL_bufposz00_1602))
{ /* Llib/atom.scm 128 */
if(
rgc_fill_buffer(BgL_iportz00_1599))
{ /* Llib/atom.scm 128 */
long BgL_arg1389z00_1603;long BgL_arg1390z00_1604;
BgL_arg1389z00_1603 = 
RGC_BUFFER_FORWARD(BgL_iportz00_1599); 
BgL_arg1390z00_1604 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_1599); 
{ 
long BgL_bufposz00_2255;long BgL_forwardz00_2254;
BgL_forwardz00_2254 = BgL_arg1389z00_1603; 
BgL_bufposz00_2255 = BgL_arg1390z00_1604; 
BgL_bufposz00_1602 = BgL_bufposz00_2255; 
BgL_forwardz00_1601 = BgL_forwardz00_2254; 
goto BgL_statezd28zd21033z00_1546;} }  else 
{ /* Llib/atom.scm 128 */
BgL_matchz00_1667 = BgL_lastzd2matchzd2_1600; } }  else 
{ /* Llib/atom.scm 128 */
int BgL_curz00_1605;
BgL_curz00_1605 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_1599, BgL_forwardz00_1601); 
{ /* Llib/atom.scm 128 */

if(
(
(long)(BgL_curz00_1605)==((long)99)))
{ /* Llib/atom.scm 128 */
BgL_iportz00_1606 = BgL_iportz00_1599; 
BgL_lastzd2matchzd2_1607 = BgL_lastzd2matchzd2_1600; 
BgL_forwardz00_1608 = 
(((long)1)+BgL_forwardz00_1601); 
BgL_bufposz00_1609 = BgL_bufposz00_1602; 
BgL_statezd29zd21034z00_1547:
if(
(BgL_forwardz00_1608==BgL_bufposz00_1609))
{ /* Llib/atom.scm 128 */
if(
rgc_fill_buffer(BgL_iportz00_1606))
{ /* Llib/atom.scm 128 */
long BgL_arg1506z00_1610;long BgL_arg1507z00_1611;
BgL_arg1506z00_1610 = 
RGC_BUFFER_FORWARD(BgL_iportz00_1606); 
BgL_arg1507z00_1611 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_1606); 
{ 
long BgL_bufposz00_2267;long BgL_forwardz00_2266;
BgL_forwardz00_2266 = BgL_arg1506z00_1610; 
BgL_bufposz00_2267 = BgL_arg1507z00_1611; 
BgL_bufposz00_1609 = BgL_bufposz00_2267; 
BgL_forwardz00_1608 = BgL_forwardz00_2266; 
goto BgL_statezd29zd21034z00_1547;} }  else 
{ /* Llib/atom.scm 128 */
BgL_matchz00_1667 = BgL_lastzd2matchzd2_1607; } }  else 
{ /* Llib/atom.scm 128 */
int BgL_curz00_1612;
BgL_curz00_1612 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_1606, BgL_forwardz00_1608); 
{ /* Llib/atom.scm 128 */

if(
(
(long)(BgL_curz00_1612)==((long)97)))
{ /* Llib/atom.scm 128 */
BgL_iportz00_1613 = BgL_iportz00_1606; 
BgL_lastzd2matchzd2_1614 = BgL_lastzd2matchzd2_1607; 
BgL_forwardz00_1615 = 
(((long)1)+BgL_forwardz00_1608); 
BgL_bufposz00_1616 = BgL_bufposz00_1609; 
BgL_statezd210zd21035z00_1548:
if(
(BgL_forwardz00_1615==BgL_bufposz00_1616))
{ /* Llib/atom.scm 128 */
if(
rgc_fill_buffer(BgL_iportz00_1613))
{ /* Llib/atom.scm 128 */
long BgL_arg1516z00_1617;long BgL_arg1517z00_1618;
BgL_arg1516z00_1617 = 
RGC_BUFFER_FORWARD(BgL_iportz00_1613); 
BgL_arg1517z00_1618 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_1613); 
{ 
long BgL_bufposz00_2279;long BgL_forwardz00_2278;
BgL_forwardz00_2278 = BgL_arg1516z00_1617; 
BgL_bufposz00_2279 = BgL_arg1517z00_1618; 
BgL_bufposz00_1616 = BgL_bufposz00_2279; 
BgL_forwardz00_1615 = BgL_forwardz00_2278; 
goto BgL_statezd210zd21035z00_1548;} }  else 
{ /* Llib/atom.scm 128 */
BgL_matchz00_1667 = BgL_lastzd2matchzd2_1614; } }  else 
{ /* Llib/atom.scm 128 */
int BgL_curz00_1619;
BgL_curz00_1619 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_1613, BgL_forwardz00_1615); 
{ /* Llib/atom.scm 128 */

if(
(
(long)(BgL_curz00_1619)==((long)112)))
{ /* Llib/atom.scm 128 */
BgL_iportz00_1620 = BgL_iportz00_1613; 
BgL_lastzd2matchzd2_1621 = BgL_lastzd2matchzd2_1614; 
BgL_forwardz00_1622 = 
(((long)1)+BgL_forwardz00_1615); 
BgL_bufposz00_1623 = BgL_bufposz00_1616; 
BgL_statezd211zd21036z00_1549:
if(
(BgL_forwardz00_1622==BgL_bufposz00_1623))
{ /* Llib/atom.scm 128 */
if(
rgc_fill_buffer(BgL_iportz00_1620))
{ /* Llib/atom.scm 128 */
long BgL_arg1530z00_1624;long BgL_arg1531z00_1625;
BgL_arg1530z00_1624 = 
RGC_BUFFER_FORWARD(BgL_iportz00_1620); 
BgL_arg1531z00_1625 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_1620); 
{ 
long BgL_bufposz00_2291;long BgL_forwardz00_2290;
BgL_forwardz00_2290 = BgL_arg1530z00_1624; 
BgL_bufposz00_2291 = BgL_arg1531z00_1625; 
BgL_bufposz00_1623 = BgL_bufposz00_2291; 
BgL_forwardz00_1622 = BgL_forwardz00_2290; 
goto BgL_statezd211zd21036z00_1549;} }  else 
{ /* Llib/atom.scm 128 */
BgL_matchz00_1667 = BgL_lastzd2matchzd2_1621; } }  else 
{ /* Llib/atom.scm 128 */
int BgL_curz00_1626;
BgL_curz00_1626 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_1620, BgL_forwardz00_1622); 
{ /* Llib/atom.scm 128 */

if(
(
(long)(BgL_curz00_1626)==((long)101)))
{ /* Llib/atom.scm 128 */
BgL_iportz00_1627 = BgL_iportz00_1620; 
BgL_lastzd2matchzd2_1628 = BgL_lastzd2matchzd2_1621; 
BgL_forwardz00_1629 = 
(((long)1)+BgL_forwardz00_1622); 
BgL_bufposz00_1630 = BgL_bufposz00_1623; 
BgL_statezd212zd21037z00_1550:
if(
(BgL_forwardz00_1629==BgL_bufposz00_1630))
{ /* Llib/atom.scm 128 */
if(
rgc_fill_buffer(BgL_iportz00_1627))
{ /* Llib/atom.scm 128 */
long BgL_arg1543z00_1631;long BgL_arg1544z00_1632;
BgL_arg1543z00_1631 = 
RGC_BUFFER_FORWARD(BgL_iportz00_1627); 
BgL_arg1544z00_1632 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_1627); 
{ 
long BgL_bufposz00_2303;long BgL_forwardz00_2302;
BgL_forwardz00_2302 = BgL_arg1543z00_1631; 
BgL_bufposz00_2303 = BgL_arg1544z00_1632; 
BgL_bufposz00_1630 = BgL_bufposz00_2303; 
BgL_forwardz00_1629 = BgL_forwardz00_2302; 
goto BgL_statezd212zd21037z00_1550;} }  else 
{ /* Llib/atom.scm 128 */
BgL_matchz00_1667 = BgL_lastzd2matchzd2_1628; } }  else 
{ /* Llib/atom.scm 128 */
int BgL_curz00_1633;
BgL_curz00_1633 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_1627, BgL_forwardz00_1629); 
{ /* Llib/atom.scm 128 */

if(
(
(long)(BgL_curz00_1633)==((long)100)))
{ /* Llib/atom.scm 128 */
long BgL_arg1562z00_1634;
BgL_arg1562z00_1634 = 
(((long)1)+BgL_forwardz00_1629); 
{ /* Llib/atom.scm 128 */
long BgL_newzd2matchzd2_1635;
RGC_STOP_MATCH(BgL_iportz00_1627, BgL_arg1562z00_1634); 
BgL_newzd2matchzd2_1635 = ((long)1); 
BgL_matchz00_1667 = BgL_newzd2matchzd2_1635; } }  else 
{ /* Llib/atom.scm 128 */
BgL_matchz00_1667 = BgL_lastzd2matchzd2_1628; } } } }  else 
{ /* Llib/atom.scm 128 */
BgL_matchz00_1667 = BgL_lastzd2matchzd2_1621; } } } }  else 
{ /* Llib/atom.scm 128 */
BgL_matchz00_1667 = BgL_lastzd2matchzd2_1614; } } } }  else 
{ /* Llib/atom.scm 128 */
BgL_matchz00_1667 = BgL_lastzd2matchzd2_1607; } } } }  else 
{ /* Llib/atom.scm 128 */
BgL_matchz00_1667 = BgL_lastzd2matchzd2_1600; } } } }  else 
{ /* Llib/atom.scm 128 */
BgL_matchz00_1667 = BgL_newzd2matchzd2_1578; } } } } }  else 
{ /* Llib/atom.scm 128 */
if(
(
(long)(BgL_curz00_1563)==((long)98)))
{ /* Llib/atom.scm 128 */
BgL_iportz00_1566 = BgL_iportz00_1557; 
BgL_lastzd2matchzd2_1567 = BgL_lastzd2matchzd2_1558; 
BgL_forwardz00_1568 = 
(((long)1)+BgL_forwardz00_1559); 
BgL_bufposz00_1569 = BgL_bufposz00_1560; 
BgL_statezd22zd21027z00_1542:
{ /* Llib/atom.scm 128 */
long BgL_newzd2matchzd2_1570;
RGC_STOP_MATCH(BgL_iportz00_1566, BgL_forwardz00_1568); 
BgL_newzd2matchzd2_1570 = ((long)3); 
if(
(BgL_forwardz00_1568==BgL_bufposz00_1569))
{ /* Llib/atom.scm 128 */
if(
rgc_fill_buffer(BgL_iportz00_1566))
{ /* Llib/atom.scm 128 */
long BgL_arg1277z00_1571;long BgL_arg1279z00_1572;
BgL_arg1277z00_1571 = 
RGC_BUFFER_FORWARD(BgL_iportz00_1566); 
BgL_arg1279z00_1572 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_1566); 
{ 
long BgL_bufposz00_2327;long BgL_forwardz00_2326;
BgL_forwardz00_2326 = BgL_arg1277z00_1571; 
BgL_bufposz00_2327 = BgL_arg1279z00_1572; 
BgL_bufposz00_1569 = BgL_bufposz00_2327; 
BgL_forwardz00_1568 = BgL_forwardz00_2326; 
goto BgL_statezd22zd21027z00_1542;} }  else 
{ /* Llib/atom.scm 128 */
BgL_matchz00_1667 = BgL_newzd2matchzd2_1570; } }  else 
{ /* Llib/atom.scm 128 */
int BgL_curz00_1573;
BgL_curz00_1573 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_1566, BgL_forwardz00_1568); 
{ /* Llib/atom.scm 128 */

if(
(
(long)(BgL_curz00_1573)==((long)97)))
{ /* Llib/atom.scm 128 */
BgL_iportz00_1636 = BgL_iportz00_1566; 
BgL_lastzd2matchzd2_1637 = BgL_newzd2matchzd2_1570; 
BgL_forwardz00_1638 = 
(((long)1)+BgL_forwardz00_1568); 
BgL_bufposz00_1639 = BgL_bufposz00_1569; 
BgL_statezd214zd21039z00_1551:
if(
(BgL_forwardz00_1638==BgL_bufposz00_1639))
{ /* Llib/atom.scm 128 */
if(
rgc_fill_buffer(BgL_iportz00_1636))
{ /* Llib/atom.scm 128 */
long BgL_arg1580z00_1640;long BgL_arg1581z00_1641;
BgL_arg1580z00_1640 = 
RGC_BUFFER_FORWARD(BgL_iportz00_1636); 
BgL_arg1581z00_1641 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_1636); 
{ 
long BgL_bufposz00_2339;long BgL_forwardz00_2338;
BgL_forwardz00_2338 = BgL_arg1580z00_1640; 
BgL_bufposz00_2339 = BgL_arg1581z00_1641; 
BgL_bufposz00_1639 = BgL_bufposz00_2339; 
BgL_forwardz00_1638 = BgL_forwardz00_2338; 
goto BgL_statezd214zd21039z00_1551;} }  else 
{ /* Llib/atom.scm 128 */
BgL_matchz00_1667 = BgL_lastzd2matchzd2_1637; } }  else 
{ /* Llib/atom.scm 128 */
int BgL_curz00_1642;
BgL_curz00_1642 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_1636, BgL_forwardz00_1638); 
{ /* Llib/atom.scm 128 */

if(
(
(long)(BgL_curz00_1642)==((long)115)))
{ /* Llib/atom.scm 128 */
BgL_iportz00_1643 = BgL_iportz00_1636; 
BgL_lastzd2matchzd2_1644 = BgL_lastzd2matchzd2_1637; 
BgL_forwardz00_1645 = 
(((long)1)+BgL_forwardz00_1638); 
BgL_bufposz00_1646 = BgL_bufposz00_1639; 
BgL_statezd215zd21040z00_1552:
if(
(BgL_forwardz00_1645==BgL_bufposz00_1646))
{ /* Llib/atom.scm 128 */
if(
rgc_fill_buffer(BgL_iportz00_1643))
{ /* Llib/atom.scm 128 */
long BgL_arg1615z00_1647;long BgL_arg1616z00_1648;
BgL_arg1615z00_1647 = 
RGC_BUFFER_FORWARD(BgL_iportz00_1643); 
BgL_arg1616z00_1648 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_1643); 
{ 
long BgL_bufposz00_2351;long BgL_forwardz00_2350;
BgL_forwardz00_2350 = BgL_arg1615z00_1647; 
BgL_bufposz00_2351 = BgL_arg1616z00_1648; 
BgL_bufposz00_1646 = BgL_bufposz00_2351; 
BgL_forwardz00_1645 = BgL_forwardz00_2350; 
goto BgL_statezd215zd21040z00_1552;} }  else 
{ /* Llib/atom.scm 128 */
BgL_matchz00_1667 = BgL_lastzd2matchzd2_1644; } }  else 
{ /* Llib/atom.scm 128 */
int BgL_curz00_1649;
BgL_curz00_1649 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_1643, BgL_forwardz00_1645); 
{ /* Llib/atom.scm 128 */

if(
(
(long)(BgL_curz00_1649)==((long)101)))
{ /* Llib/atom.scm 128 */
BgL_iportz00_1650 = BgL_iportz00_1643; 
BgL_lastzd2matchzd2_1651 = BgL_lastzd2matchzd2_1644; 
BgL_forwardz00_1652 = 
(((long)1)+BgL_forwardz00_1645); 
BgL_bufposz00_1653 = BgL_bufposz00_1646; 
BgL_statezd216zd21041z00_1553:
if(
(BgL_forwardz00_1652==BgL_bufposz00_1653))
{ /* Llib/atom.scm 128 */
if(
rgc_fill_buffer(BgL_iportz00_1650))
{ /* Llib/atom.scm 128 */
long BgL_arg1624z00_1654;long BgL_arg1626z00_1655;
BgL_arg1624z00_1654 = 
RGC_BUFFER_FORWARD(BgL_iportz00_1650); 
BgL_arg1626z00_1655 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_1650); 
{ 
long BgL_bufposz00_2363;long BgL_forwardz00_2362;
BgL_forwardz00_2362 = BgL_arg1624z00_1654; 
BgL_bufposz00_2363 = BgL_arg1626z00_1655; 
BgL_bufposz00_1653 = BgL_bufposz00_2363; 
BgL_forwardz00_1652 = BgL_forwardz00_2362; 
goto BgL_statezd216zd21041z00_1553;} }  else 
{ /* Llib/atom.scm 128 */
BgL_matchz00_1667 = BgL_lastzd2matchzd2_1651; } }  else 
{ /* Llib/atom.scm 128 */
int BgL_curz00_1656;
BgL_curz00_1656 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_1650, BgL_forwardz00_1652); 
{ /* Llib/atom.scm 128 */

if(
(
(long)(BgL_curz00_1656)==((long)54)))
{ /* Llib/atom.scm 128 */
BgL_iportz00_1657 = BgL_iportz00_1650; 
BgL_lastzd2matchzd2_1658 = BgL_lastzd2matchzd2_1651; 
BgL_forwardz00_1659 = 
(((long)1)+BgL_forwardz00_1652); 
BgL_bufposz00_1660 = BgL_bufposz00_1653; 
BgL_statezd217zd21042z00_1554:
if(
(BgL_forwardz00_1659==BgL_bufposz00_1660))
{ /* Llib/atom.scm 128 */
if(
rgc_fill_buffer(BgL_iportz00_1657))
{ /* Llib/atom.scm 128 */
long BgL_arg1636z00_1661;long BgL_arg1643z00_1662;
BgL_arg1636z00_1661 = 
RGC_BUFFER_FORWARD(BgL_iportz00_1657); 
BgL_arg1643z00_1662 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_1657); 
{ 
long BgL_bufposz00_2375;long BgL_forwardz00_2374;
BgL_forwardz00_2374 = BgL_arg1636z00_1661; 
BgL_bufposz00_2375 = BgL_arg1643z00_1662; 
BgL_bufposz00_1660 = BgL_bufposz00_2375; 
BgL_forwardz00_1659 = BgL_forwardz00_2374; 
goto BgL_statezd217zd21042z00_1554;} }  else 
{ /* Llib/atom.scm 128 */
BgL_matchz00_1667 = BgL_lastzd2matchzd2_1658; } }  else 
{ /* Llib/atom.scm 128 */
int BgL_curz00_1663;
BgL_curz00_1663 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_1657, BgL_forwardz00_1659); 
{ /* Llib/atom.scm 128 */

if(
(
(long)(BgL_curz00_1663)==((long)52)))
{ /* Llib/atom.scm 128 */
long BgL_arg1647z00_1664;
BgL_arg1647z00_1664 = 
(((long)1)+BgL_forwardz00_1659); 
{ /* Llib/atom.scm 128 */
long BgL_newzd2matchzd2_1665;
RGC_STOP_MATCH(BgL_iportz00_1657, BgL_arg1647z00_1664); 
BgL_newzd2matchzd2_1665 = ((long)2); 
BgL_matchz00_1667 = BgL_newzd2matchzd2_1665; } }  else 
{ /* Llib/atom.scm 128 */
BgL_matchz00_1667 = BgL_lastzd2matchzd2_1658; } } } }  else 
{ /* Llib/atom.scm 128 */
BgL_matchz00_1667 = BgL_lastzd2matchzd2_1651; } } } }  else 
{ /* Llib/atom.scm 128 */
BgL_matchz00_1667 = BgL_lastzd2matchzd2_1644; } } } }  else 
{ /* Llib/atom.scm 128 */
BgL_matchz00_1667 = BgL_lastzd2matchzd2_1637; } } } }  else 
{ /* Llib/atom.scm 128 */
BgL_matchz00_1667 = BgL_newzd2matchzd2_1570; } } } } }  else 
{ /* Llib/atom.scm 128 */
long BgL_arg1258z00_1564;
BgL_arg1258z00_1564 = 
(((long)1)+BgL_forwardz00_1559); 
{ /* Llib/atom.scm 128 */
long BgL_newzd2matchzd2_1565;
RGC_STOP_MATCH(BgL_iportz00_1557, BgL_arg1258z00_1564); 
BgL_newzd2matchzd2_1565 = ((long)3); 
BgL_matchz00_1667 = BgL_newzd2matchzd2_1565; } } } } } } } 
RGC_SET_FILEPOS(BgL_port1021z00_1535); 
{ 

{ /* Llib/atom.scm 128 */
obj_t BgL_aux1062z00_1671;
BgL_aux1062z00_1671 = 
BINT(BgL_matchz00_1667); 
switch( 
(long)CINT(BgL_aux1062z00_1671)) { case ((long)3) : 

{ /* Llib/atom.scm 128 */
bool_t BgL_test2153z00_2391;
{ /* Llib/atom.scm 128 */
long BgL_arg1783z00_1666;
BgL_arg1783z00_1666 = 
RGC_BUFFER_MATCH_LENGTH(BgL_port1021z00_1535); 
BgL_test2153z00_2391 = 
(BgL_arg1783z00_1666==((long)0)); } 
if(BgL_test2153z00_2391)
{ /* Llib/atom.scm 128 */
BgL_tmp1024z00_1540 = BEOF; }  else 
{ /* Llib/atom.scm 128 */
BgL_tmp1024z00_1540 = 
BCHAR(
RGC_BUFFER_CHARACTER(BgL_port1021z00_1535)); } } break;case ((long)2) : 

{ /* Llib/atom.scm 131 */

BgL_tmp1024z00_1540 = 
BGl_base64zd2decodezd2zz__base64z00(BgL_bodyz00_1532, BFALSE); } break;case ((long)1) : 

BgL_tmp1024z00_1540 = 
BGl_cdatazd2decodezd2zz__web_rssz00(BgL_bodyz00_1532); break;case ((long)0) : 

BgL_tmp1024z00_1540 = BgL_bodyz00_1532; break;
default: 
BgL_tmp1024z00_1540 = 
BGl_errorz00zz__errorz00(BGl_string2002z00zz__web_atomz00, BGl_string2003z00zz__web_atomz00, 
BINT(BgL_matchz00_1667)); } } } } } 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_exitd1022z00_1538); 
bgl_close_input_port(BgL_port1021z00_1535); 
BgL_contentz00_1482 = BgL_tmp1024z00_1540; } } } }  else 
{ /* Llib/atom.scm 127 */
BgL_contentz00_1482 = BFALSE; } }  else 
{ /* Llib/atom.scm 133 */
obj_t BgL_tz00_1672;
BgL_tz00_1672 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
CNST_TABLE_REF(((long)37)), BgL_attrz00_1531); 
{ /* Llib/atom.scm 137 */
bool_t BgL_test2154z00_2406;
{ /* Llib/atom.scm 137 */
obj_t BgL_arg1812z00_1673;
BgL_arg1812z00_1673 = 
CDR(
((obj_t)BgL_tz00_1672)); 
{ /* Llib/atom.scm 137 */
long BgL_l1z00_1674;
BgL_l1z00_1674 = 
STRING_LENGTH(
((obj_t)BgL_arg1812z00_1673)); 
if(
(BgL_l1z00_1674==((long)4)))
{ /* Llib/atom.scm 137 */
int BgL_arg1282z00_1675;
{ /* Llib/atom.scm 137 */
char * BgL_auxz00_2416;char * BgL_tmpz00_2413;
BgL_auxz00_2416 = 
BSTRING_TO_STRING(BGl_string2004z00zz__web_atomz00); 
BgL_tmpz00_2413 = 
BSTRING_TO_STRING(
((obj_t)BgL_arg1812z00_1673)); 
BgL_arg1282z00_1675 = 
memcmp(BgL_tmpz00_2413, BgL_auxz00_2416, BgL_l1z00_1674); } 
BgL_test2154z00_2406 = 
(
(long)(BgL_arg1282z00_1675)==((long)0)); }  else 
{ /* Llib/atom.scm 137 */
BgL_test2154z00_2406 = ((bool_t)0)
; } } } 
if(BgL_test2154z00_2406)
{ /* Llib/atom.scm 137 */
BgL_contentz00_1482 = BgL_bodyz00_1532; }  else 
{ /* Llib/atom.scm 138 */
bool_t BgL_test2156z00_2421;
{ /* Llib/atom.scm 138 */
obj_t BgL_arg1811z00_1676;
BgL_arg1811z00_1676 = 
CDR(
((obj_t)BgL_tz00_1672)); 
{ /* Llib/atom.scm 138 */
long BgL_l1z00_1677;
BgL_l1z00_1677 = 
STRING_LENGTH(
((obj_t)BgL_arg1811z00_1676)); 
if(
(BgL_l1z00_1677==((long)4)))
{ /* Llib/atom.scm 138 */
int BgL_arg1282z00_1678;
{ /* Llib/atom.scm 138 */
char * BgL_auxz00_2431;char * BgL_tmpz00_2428;
BgL_auxz00_2431 = 
BSTRING_TO_STRING(BGl_string2005z00zz__web_atomz00); 
BgL_tmpz00_2428 = 
BSTRING_TO_STRING(
((obj_t)BgL_arg1811z00_1676)); 
BgL_arg1282z00_1678 = 
memcmp(BgL_tmpz00_2428, BgL_auxz00_2431, BgL_l1z00_1677); } 
BgL_test2156z00_2421 = 
(
(long)(BgL_arg1282z00_1678)==((long)0)); }  else 
{ /* Llib/atom.scm 138 */
BgL_test2156z00_2421 = ((bool_t)0)
; } } } 
if(BgL_test2156z00_2421)
{ /* Llib/atom.scm 138 */
BgL_contentz00_1482 = 
BGl_cdatazd2decodezd2zz__web_rssz00(BgL_bodyz00_1532); }  else 
{ /* Llib/atom.scm 139 */
bool_t BgL_test2158z00_2437;
{ /* Llib/atom.scm 139 */
obj_t BgL_arg1810z00_1679;
BgL_arg1810z00_1679 = 
CDR(
((obj_t)BgL_tz00_1672)); 
{ /* Llib/atom.scm 139 */
long BgL_l1z00_1680;
BgL_l1z00_1680 = 
STRING_LENGTH(
((obj_t)BgL_arg1810z00_1679)); 
if(
(BgL_l1z00_1680==((long)5)))
{ /* Llib/atom.scm 139 */
int BgL_arg1282z00_1681;
{ /* Llib/atom.scm 139 */
char * BgL_auxz00_2447;char * BgL_tmpz00_2444;
BgL_auxz00_2447 = 
BSTRING_TO_STRING(BGl_string2006z00zz__web_atomz00); 
BgL_tmpz00_2444 = 
BSTRING_TO_STRING(
((obj_t)BgL_arg1810z00_1679)); 
BgL_arg1282z00_1681 = 
memcmp(BgL_tmpz00_2444, BgL_auxz00_2447, BgL_l1z00_1680); } 
BgL_test2158z00_2437 = 
(
(long)(BgL_arg1282z00_1681)==((long)0)); }  else 
{ /* Llib/atom.scm 139 */
BgL_test2158z00_2437 = ((bool_t)0)
; } } } 
if(BgL_test2158z00_2437)
{ /* Llib/atom.scm 139 */
obj_t BgL_arg1801z00_1682;
{ /* Llib/atom.scm 139 */
obj_t BgL_pairz00_1683;
{ /* Llib/atom.scm 139 */
obj_t BgL_pairz00_1684;
BgL_pairz00_1684 = 
CDR(
((obj_t)BgL_bodyz00_1532)); 
BgL_pairz00_1683 = 
CDR(BgL_pairz00_1684); } 
BgL_arg1801z00_1682 = 
CAR(BgL_pairz00_1683); } 
BgL_contentz00_1482 = 
BGl_cdatazd2decodezd2zz__web_rssz00(BgL_arg1801z00_1682); }  else 
{ /* Llib/atom.scm 140 */
bool_t BgL_test2160z00_2457;
{ /* Llib/atom.scm 140 */
obj_t BgL_arg1809z00_1685;
BgL_arg1809z00_1685 = 
CDR(
((obj_t)BgL_tz00_1672)); 
{ /* Llib/atom.scm 140 */

BgL_test2160z00_2457 = 
CBOOL(
BGl_stringzd2containszd2ciz00zz__r4_strings_6_7z00(BgL_arg1809z00_1685, BGl_string2000z00zz__web_atomz00, 
(int)(((long)0)))); } } 
if(BgL_test2160z00_2457)
{ /* Llib/atom.scm 140 */
BgL_contentz00_1482 = BgL_bodyz00_1532; }  else 
{ /* Llib/atom.scm 141 */
bool_t BgL_test2161z00_2463;
{ /* Llib/atom.scm 141 */
obj_t BgL_string1z00_1686;
BgL_string1z00_1686 = 
CDR(
((obj_t)BgL_tz00_1672)); 
BgL_test2161z00_2463 = 
bigloo_strncmp_ci(BgL_string1z00_1686, BGl_string2001z00zz__web_atomz00, ((long)5)); } 
if(BgL_test2161z00_2463)
{ /* Llib/atom.scm 141 */
BgL_contentz00_1482 = BgL_bodyz00_1532; }  else 
{ /* Llib/atom.scm 142 */

BgL_contentz00_1482 = 
BGl_base64zd2decodezd2zz__base64z00(BgL_bodyz00_1532, BFALSE); } } } } } } } }  else 
{ /* Llib/atom.scm 262 */
if(
(BgL_casezd2valuezd2_1493==
CNST_TABLE_REF(((long)7))))
{ /* Llib/atom.scm 273 */
obj_t BgL_lnkz00_1496;
BgL_lnkz00_1496 = 
BGl_atomza3linkze70z44zz__web_atomz00(BgL_v0ze23ze2_1375, BgL_prefixz00_1374, 
CAR(
CDR(BgL_ez00_1492))); 
if(
CBOOL(BgL_lnkz00_1496))
{ /* Llib/atom.scm 274 */
BgL_linksz00_1483 = 
MAKE_YOUNG_PAIR(BgL_lnkz00_1496, BgL_linksz00_1483); }  else 
{ /* Llib/atom.scm 274 */BFALSE; } }  else 
{ /* Llib/atom.scm 262 */
bool_t BgL_test2164z00_2482;
{ /* Llib/atom.scm 262 */
bool_t BgL__ortest_1047z00_1497;
BgL__ortest_1047z00_1497 = 
(BgL_casezd2valuezd2_1493==
CNST_TABLE_REF(((long)25))); 
if(BgL__ortest_1047z00_1497)
{ /* Llib/atom.scm 262 */
BgL_test2164z00_2482 = BgL__ortest_1047z00_1497
; }  else 
{ /* Llib/atom.scm 262 */
bool_t BgL__ortest_1048z00_1498;
BgL__ortest_1048z00_1498 = 
(BgL_casezd2valuezd2_1493==
CNST_TABLE_REF(((long)26))); 
if(BgL__ortest_1048z00_1498)
{ /* Llib/atom.scm 262 */
BgL_test2164z00_2482 = BgL__ortest_1048z00_1498
; }  else 
{ /* Llib/atom.scm 262 */
bool_t BgL__ortest_1049z00_1499;
BgL__ortest_1049z00_1499 = 
(BgL_casezd2valuezd2_1493==
CNST_TABLE_REF(((long)14))); 
if(BgL__ortest_1049z00_1499)
{ /* Llib/atom.scm 262 */
BgL_test2164z00_2482 = BgL__ortest_1049z00_1499
; }  else 
{ /* Llib/atom.scm 262 */
bool_t BgL__ortest_1050z00_1500;
BgL__ortest_1050z00_1500 = 
(BgL_casezd2valuezd2_1493==
CNST_TABLE_REF(((long)15))); 
if(BgL__ortest_1050z00_1500)
{ /* Llib/atom.scm 262 */
BgL_test2164z00_2482 = BgL__ortest_1050z00_1500
; }  else 
{ /* Llib/atom.scm 262 */
BgL_test2164z00_2482 = 
(BgL_casezd2valuezd2_1493==
CNST_TABLE_REF(((long)27)))
; } } } } } 
if(BgL_test2164z00_2482)
{ /* Llib/atom.scm 277 */
bool_t BgL_test2169z00_2497;
if(
CBOOL(BgL_updatedz00_1488))
{ /* Llib/atom.scm 280 */
long BgL_arg1875z00_1501;
{ /* Llib/atom.scm 280 */
obj_t BgL_arg1876z00_1502;
BgL_arg1876z00_1502 = 
CAR(
CAR(
CDR(
CDR(BgL_ez00_1492)))); 
BgL_arg1875z00_1501 = 
BGl_stringzd2compare3zd2zz__r4_strings_6_7z00(BgL_updatedz00_1488, BgL_arg1876z00_1502); } 
BgL_test2169z00_2497 = 
(BgL_arg1875z00_1501>((long)0)); }  else 
{ /* Llib/atom.scm 277 */
BgL_test2169z00_2497 = ((bool_t)1)
; } 
if(BgL_test2169z00_2497)
{ /* Llib/atom.scm 277 */
BgL_updatedz00_1488 = 
CAR(
CAR(
CDR(
CDR(BgL_ez00_1492)))); }  else 
{ /* Llib/atom.scm 277 */BFALSE; } }  else 
{ /* Llib/atom.scm 262 */
bool_t BgL_test2171z00_2510;
{ /* Llib/atom.scm 262 */
bool_t BgL__ortest_1051z00_1503;
BgL__ortest_1051z00_1503 = 
(BgL_casezd2valuezd2_1493==
CNST_TABLE_REF(((long)9))); 
if(BgL__ortest_1051z00_1503)
{ /* Llib/atom.scm 262 */
BgL_test2171z00_2510 = BgL__ortest_1051z00_1503
; }  else 
{ /* Llib/atom.scm 262 */
BgL_test2171z00_2510 = 
(BgL_casezd2valuezd2_1493==
CNST_TABLE_REF(((long)10)))
; } } 
if(BgL_test2171z00_2510)
{ /* Llib/atom.scm 262 */
BgL_rightsz00_1484 = 
BGl_cdatazd2decodezd2zz__web_rssz00(
CAR(
CDR(
CDR(BgL_ez00_1492)))); }  else 
{ /* Llib/atom.scm 262 */
if(
(BgL_casezd2valuezd2_1493==
CNST_TABLE_REF(((long)28))))
{ /* Llib/atom.scm 262 */
BgL_attrz00_1687 = 
CAR(
CDR(BgL_ez00_1492)); 
BgL_bodyz00_1688 = 
CAR(
CDR(
CDR(BgL_ez00_1492))); 
{ /* Llib/atom.scm 215 */
obj_t BgL_titlez00_1689;obj_t BgL_hrefz00_1690;
BgL_titlez00_1689 = BFALSE; 
BgL_hrefz00_1690 = BFALSE; 
{ 
obj_t BgL_l1065z00_1692;
BgL_l1065z00_1692 = BgL_bodyz00_1688; 
BgL_zc3z04anonymousza31842ze3z87_1691:
if(
PAIRP(BgL_l1065z00_1692))
{ /* Llib/atom.scm 216 */
{ /* Llib/atom.scm 217 */
obj_t BgL_ez00_1693;
BgL_ez00_1693 = 
CAR(BgL_l1065z00_1692); 
if(
PAIRP(BgL_ez00_1693))
{ /* Llib/atom.scm 218 */
obj_t BgL_casezd2valuezd2_1694;
BgL_casezd2valuezd2_1694 = 
BGl_dropzd2prefixze70z35zz__web_atomz00(BgL_prefixz00_1374, 
CAR(BgL_ez00_1693)); 
if(
(BgL_casezd2valuezd2_1694==
CNST_TABLE_REF(((long)7))))
{ /* Llib/atom.scm 220 */
obj_t BgL_lnkz00_1695;
BgL_lnkz00_1695 = 
BGl_atomza3linkze70z44zz__web_atomz00(BgL_v0ze23ze2_1375, BgL_prefixz00_1374, 
CAR(
CDR(BgL_ez00_1693))); 
{ /* Llib/atom.scm 221 */
bool_t BgL_test2177z00_2536;
if(
CBOOL(BgL_lnkz00_1695))
{ /* Llib/atom.scm 221 */
BgL_test2177z00_2536 = 
(
CAR(
((obj_t)BgL_lnkz00_1695))==
CNST_TABLE_REF(((long)39)))
; }  else 
{ /* Llib/atom.scm 221 */
BgL_test2177z00_2536 = ((bool_t)0)
; } 
if(BgL_test2177z00_2536)
{ /* Llib/atom.scm 221 */
BgL_hrefz00_1690 = 
CDR(
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
CNST_TABLE_REF(((long)40)), BgL_lnkz00_1695)); }  else 
{ /* Llib/atom.scm 221 */BFALSE; } } }  else 
{ /* Llib/atom.scm 218 */
if(
(BgL_casezd2valuezd2_1694==
CNST_TABLE_REF(((long)13))))
{ /* Llib/atom.scm 218 */
BgL_titlez00_1689 = 
BGl_cdatazd2decodezd2zz__web_rssz00(
CAR(
CDR(
CDR(BgL_ez00_1693)))); }  else 
{ /* Llib/atom.scm 218 */BUNSPEC; } } }  else 
{ /* Llib/atom.scm 217 */BFALSE; } } 
{ 
obj_t BgL_l1065z00_2553;
BgL_l1065z00_2553 = 
CDR(BgL_l1065z00_1692); 
BgL_l1065z00_1692 = BgL_l1065z00_2553; 
goto BgL_zc3z04anonymousza31842ze3z87_1691;} }  else 
{ /* Llib/atom.scm 216 */((bool_t)1); } } 
BgL_sourcez00_1485 = 
MAKE_YOUNG_PAIR(BgL_titlez00_1689, BgL_hrefz00_1690); } }  else 
{ /* Llib/atom.scm 262 */
if(
(BgL_casezd2valuezd2_1493==
CNST_TABLE_REF(((long)29))))
{ /* Llib/atom.scm 262 */
BgL_summaryz00_1486 = 
BGl_cdatazd2decodezd2zz__web_rssz00(
CAR(
CDR(
CDR(BgL_ez00_1492)))); }  else 
{ /* Llib/atom.scm 262 */
if(
(BgL_casezd2valuezd2_1493==
CNST_TABLE_REF(((long)13))))
{ /* Llib/atom.scm 262 */
BgL_titlez00_1487 = 
BGl_cdatazd2decodezd2zz__web_rssz00(
CAR(
CDR(
CDR(BgL_ez00_1492)))); }  else 
{ /* Llib/atom.scm 262 */
BgL_restz00_1489 = 
MAKE_YOUNG_PAIR(BgL_ez00_1492, BgL_restz00_1489); } } } } } } } } } }  else 
{ /* Llib/atom.scm 261 */BFALSE; } } 
{ 
obj_t BgL_l1067z00_2576;
BgL_l1067z00_2576 = 
CDR(BgL_l1067z00_1491); 
BgL_l1067z00_1491 = BgL_l1067z00_2576; 
goto BgL_zc3z04anonymousza31856ze3z87_1490;} }  else 
{ /* Llib/atom.scm 260 */((bool_t)1); } } 
{ /* Llib/atom.scm 296 */
obj_t BgL_auxz00_2578;
{ /* Llib/atom.scm 296 */
obj_t BgL_list1888z00_1504;
{ /* Llib/atom.scm 296 */
obj_t BgL_arg1889z00_1505;
{ /* Llib/atom.scm 296 */
obj_t BgL_arg1890z00_1506;
{ /* Llib/atom.scm 296 */
obj_t BgL_arg1891z00_1507;
{ /* Llib/atom.scm 296 */
obj_t BgL_arg1892z00_1508;
{ /* Llib/atom.scm 296 */
obj_t BgL_arg1893z00_1509;
{ /* Llib/atom.scm 296 */
obj_t BgL_arg1894z00_1510;
{ /* Llib/atom.scm 296 */
obj_t BgL_arg1895z00_1511;
{ /* Llib/atom.scm 296 */
obj_t BgL_arg1896z00_1512;
{ /* Llib/atom.scm 296 */
obj_t BgL_arg1897z00_1513;
{ /* Llib/atom.scm 296 */
obj_t BgL_arg1898z00_1514;
{ /* Llib/atom.scm 296 */
obj_t BgL_arg1899z00_1515;
{ /* Llib/atom.scm 296 */
obj_t BgL_arg1902z00_1516;
{ /* Llib/atom.scm 296 */
obj_t BgL_arg1903z00_1517;
{ /* Llib/atom.scm 296 */
obj_t BgL_arg1904z00_1518;
{ /* Llib/atom.scm 296 */
obj_t BgL_arg1905z00_1519;
{ /* Llib/atom.scm 296 */
obj_t BgL_arg1906z00_1520;
{ /* Llib/atom.scm 296 */
obj_t BgL_arg1907z00_1521;
BgL_arg1907z00_1521 = 
MAKE_YOUNG_PAIR(BgL_restz00_1489, BNIL); 
BgL_arg1906z00_1520 = 
MAKE_YOUNG_PAIR(BgL_sourcez00_1485, BgL_arg1907z00_1521); } 
BgL_arg1905z00_1519 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)30)), BgL_arg1906z00_1520); } 
BgL_arg1904z00_1518 = 
MAKE_YOUNG_PAIR(BgL_authorsz00_1480, BgL_arg1905z00_1519); } 
BgL_arg1903z00_1517 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)31)), BgL_arg1904z00_1518); } 
BgL_arg1902z00_1516 = 
MAKE_YOUNG_PAIR(BgL_contentz00_1482, BgL_arg1903z00_1517); } 
BgL_arg1899z00_1515 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)32)), BgL_arg1902z00_1516); } 
BgL_arg1898z00_1514 = 
MAKE_YOUNG_PAIR(BgL_summaryz00_1486, BgL_arg1899z00_1515); } 
BgL_arg1897z00_1513 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)33)), BgL_arg1898z00_1514); } 
BgL_arg1896z00_1512 = 
MAKE_YOUNG_PAIR(BgL_rightsz00_1484, BgL_arg1897z00_1513); } 
BgL_arg1895z00_1511 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)18)), BgL_arg1896z00_1512); } 
BgL_arg1894z00_1510 = 
MAKE_YOUNG_PAIR(BgL_updatedz00_1488, BgL_arg1895z00_1511); } 
BgL_arg1893z00_1509 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)19)), BgL_arg1894z00_1510); } 
BgL_arg1892z00_1508 = 
MAKE_YOUNG_PAIR(BgL_catz00_1481, BgL_arg1893z00_1509); } 
BgL_arg1891z00_1507 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)20)), BgL_arg1892z00_1508); } 
BgL_arg1890z00_1506 = 
MAKE_YOUNG_PAIR(BgL_linksz00_1483, BgL_arg1891z00_1507); } 
BgL_arg1889z00_1505 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)21)), BgL_arg1890z00_1506); } 
BgL_list1888z00_1504 = 
MAKE_YOUNG_PAIR(BgL_titlez00_1487, BgL_arg1889z00_1505); } 
BgL_auxz00_2578 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
CNST_TABLE_REF(((long)22)), BgL_list1888z00_1504); } 
BgL_arg1931z00_1464 = 
apply(BgL_makezd2entryzd2_1376, BgL_auxz00_2578); } } 
BgL_itemsz00_1452 = 
MAKE_YOUNG_PAIR(BgL_arg1931z00_1464, BgL_itemsz00_1452); }  else 
{ /* Llib/atom.scm 339 */
BgL_restz00_1453 = 
MAKE_YOUNG_PAIR(BgL_ez00_1456, BgL_restz00_1453); } } } } } } } } }  else 
{ /* Llib/atom.scm 338 */BFALSE; } } 
{ 
obj_t BgL_l1069z00_2614;
BgL_l1069z00_2614 = 
CDR(BgL_l1069z00_1455); 
BgL_l1069z00_1455 = BgL_l1069z00_2614; 
goto BgL_zc3z04anonymousza31909ze3z87_1454;} }  else 
{ /* Llib/atom.scm 337 */((bool_t)1); } } 
{ /* Llib/atom.scm 368 */
obj_t BgL_arg1935z00_1465;obj_t BgL_arg1936z00_1466;
{ /* Llib/atom.scm 368 */
obj_t BgL_auxz00_2616;
{ /* Llib/atom.scm 368 */
obj_t BgL_list1937z00_1467;
{ /* Llib/atom.scm 368 */
obj_t BgL_arg1938z00_1468;
{ /* Llib/atom.scm 368 */
obj_t BgL_arg1939z00_1469;
{ /* Llib/atom.scm 368 */
obj_t BgL_arg1940z00_1470;
{ /* Llib/atom.scm 368 */
obj_t BgL_arg1941z00_1471;
{ /* Llib/atom.scm 368 */
obj_t BgL_arg1942z00_1472;
{ /* Llib/atom.scm 368 */
obj_t BgL_arg1943z00_1473;
{ /* Llib/atom.scm 368 */
obj_t BgL_arg1944z00_1474;
{ /* Llib/atom.scm 368 */
obj_t BgL_arg1945z00_1475;
{ /* Llib/atom.scm 368 */
obj_t BgL_arg1946z00_1476;
{ /* Llib/atom.scm 368 */
obj_t BgL_arg1947z00_1477;
{ /* Llib/atom.scm 368 */
obj_t BgL_arg1948z00_1478;
BgL_arg1948z00_1478 = 
MAKE_YOUNG_PAIR(BgL_restz00_1453, BNIL); 
BgL_arg1947z00_1477 = 
MAKE_YOUNG_PAIR(BgL_subtitlez00_1447, BgL_arg1948z00_1478); } 
BgL_arg1946z00_1476 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)17)), BgL_arg1947z00_1477); } 
BgL_arg1945z00_1475 = 
MAKE_YOUNG_PAIR(BgL_rightsz00_1449, BgL_arg1946z00_1476); } 
BgL_arg1944z00_1474 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)18)), BgL_arg1945z00_1475); } 
BgL_arg1943z00_1473 = 
MAKE_YOUNG_PAIR(BgL_updatedz00_1451, BgL_arg1944z00_1474); } 
BgL_arg1942z00_1472 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)19)), BgL_arg1943z00_1473); } 
BgL_arg1941z00_1471 = 
MAKE_YOUNG_PAIR(BgL_catz00_1445, BgL_arg1942z00_1472); } 
BgL_arg1940z00_1470 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)20)), BgL_arg1941z00_1471); } 
BgL_arg1939z00_1469 = 
MAKE_YOUNG_PAIR(BgL_linksz00_1446, BgL_arg1940z00_1470); } 
BgL_arg1938z00_1468 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)21)), BgL_arg1939z00_1469); } 
BgL_list1937z00_1467 = 
MAKE_YOUNG_PAIR(BgL_titlez00_1450, BgL_arg1938z00_1468); } 
BgL_auxz00_2616 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
CNST_TABLE_REF(((long)22)), BgL_list1937z00_1467); } 
BgL_arg1935z00_1465 = 
apply(BgL_makezd2headzd2_1372, BgL_auxz00_2616); } 
BgL_arg1936z00_1466 = 
bgl_reverse_bang(BgL_itemsz00_1452); 
return 
PROCEDURE_ENTRY(BgL_makezd2atomzd2_1373)(BgL_makezd2atomzd2_1373, BgL_arg1935z00_1465, BgL_arg1936z00_1466, BEOA);} } }  else 
{ /* Llib/atom.scm 389 */
return BFALSE;} }  else 
{ /* Llib/atom.scm 388 */
return BFALSE;} } } } 

}



/* atom:link~0 */
obj_t BGl_atomza3linkze70z44zz__web_atomz00(obj_t BgL_v0ze23ze2_1385, obj_t BgL_prefixz00_1384, obj_t BgL_attrz00_652)
{
{ /* Llib/atom.scm 186 */
{ /* Llib/atom.scm 156 */
obj_t BgL_hrefz00_654;obj_t BgL_relz00_655;obj_t BgL_typez00_656;obj_t BgL_hreflangz00_657;obj_t BgL_titlez00_658;obj_t BgL_lengthz00_659;
BgL_hrefz00_654 = BFALSE; 
BgL_relz00_655 = BFALSE; 
BgL_typez00_656 = BFALSE; 
BgL_hreflangz00_657 = BFALSE; 
BgL_titlez00_658 = BFALSE; 
BgL_lengthz00_659 = BFALSE; 
{ 
obj_t BgL_l1063z00_661;
BgL_l1063z00_661 = BgL_attrz00_652; 
BgL_zc3z04anonymousza31814ze3z87_662:
if(
PAIRP(BgL_l1063z00_661))
{ /* Llib/atom.scm 163 */
{ /* Llib/atom.scm 164 */
obj_t BgL_eltz00_664;
BgL_eltz00_664 = 
CAR(BgL_l1063z00_661); 
if(
PAIRP(BgL_eltz00_664))
{ /* Llib/atom.scm 165 */
obj_t BgL_casezd2valuezd2_666;
BgL_casezd2valuezd2_666 = 
BGl_dropzd2prefixze70z35zz__web_atomz00(BgL_prefixz00_1384, 
CAR(BgL_eltz00_664)); 
if(
(BgL_casezd2valuezd2_666==
CNST_TABLE_REF(((long)40))))
{ /* Llib/atom.scm 165 */
BgL_hrefz00_654 = 
BGl_cdatazd2decodezd2zz__web_rssz00(
CDR(BgL_eltz00_664)); }  else 
{ /* Llib/atom.scm 165 */
if(
(BgL_casezd2valuezd2_666==
CNST_TABLE_REF(((long)42))))
{ /* Llib/atom.scm 169 */
obj_t BgL_arg1820z00_671;
BgL_arg1820z00_671 = 
CDR(BgL_eltz00_664); 
BgL_relz00_655 = 
bstring_to_symbol(
((obj_t)BgL_arg1820z00_671)); }  else 
{ /* Llib/atom.scm 165 */
if(
(BgL_casezd2valuezd2_666==
CNST_TABLE_REF(((long)37))))
{ /* Llib/atom.scm 165 */
BgL_typez00_656 = 
BGl_cdatazd2decodezd2zz__web_rssz00(
CDR(BgL_eltz00_664)); }  else 
{ /* Llib/atom.scm 165 */
if(
(BgL_casezd2valuezd2_666==
CNST_TABLE_REF(((long)43))))
{ /* Llib/atom.scm 165 */
BgL_hreflangz00_657 = 
BGl_cdatazd2decodezd2zz__web_rssz00(
CDR(BgL_eltz00_664)); }  else 
{ /* Llib/atom.scm 165 */
if(
(BgL_casezd2valuezd2_666==
CNST_TABLE_REF(((long)13))))
{ /* Llib/atom.scm 165 */
BgL_titlez00_658 = 
BGl_cdatazd2decodezd2zz__web_rssz00(
CDR(BgL_eltz00_664)); }  else 
{ /* Llib/atom.scm 165 */
if(
(BgL_casezd2valuezd2_666==
CNST_TABLE_REF(((long)44))))
{ /* Llib/atom.scm 165 */
BgL_lengthz00_659 = 
BGl_cdatazd2decodezd2zz__web_rssz00(
CDR(BgL_eltz00_664)); }  else 
{ /* Llib/atom.scm 165 */BUNSPEC; } } } } } } }  else 
{ /* Llib/atom.scm 164 */BFALSE; } } 
{ 
obj_t BgL_l1063z00_2686;
BgL_l1063z00_2686 = 
CDR(BgL_l1063z00_661); 
BgL_l1063z00_661 = BgL_l1063z00_2686; 
goto BgL_zc3z04anonymousza31814ze3z87_662;} }  else 
{ /* Llib/atom.scm 163 */((bool_t)1); } } 
{ /* Llib/atom.scm 180 */
obj_t BgL_basez00_683;obj_t BgL_suppz00_684;
{ /* Llib/atom.scm 180 */
obj_t BgL_arg1831z00_686;
{ /* Llib/atom.scm 180 */
obj_t BgL_arg1832z00_687;obj_t BgL_arg1833z00_688;
BgL_arg1832z00_687 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)40)), BgL_hrefz00_654); 
{ /* Llib/atom.scm 181 */
obj_t BgL_arg1834z00_689;obj_t BgL_arg1835z00_690;
BgL_arg1834z00_689 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)37)), BgL_typez00_656); 
{ /* Llib/atom.scm 182 */
obj_t BgL_arg1836z00_691;
BgL_arg1836z00_691 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)13)), BgL_titlez00_658); 
BgL_arg1835z00_690 = 
MAKE_YOUNG_PAIR(BgL_arg1836z00_691, BNIL); } 
BgL_arg1833z00_688 = 
MAKE_YOUNG_PAIR(BgL_arg1834z00_689, BgL_arg1835z00_690); } 
BgL_arg1831z00_686 = 
MAKE_YOUNG_PAIR(BgL_arg1832z00_687, BgL_arg1833z00_688); } 
BgL_basez00_683 = 
MAKE_YOUNG_PAIR(BgL_relz00_655, BgL_arg1831z00_686); } 
{ /* Llib/atom.scm 183 */
obj_t BgL_arg1837z00_692;obj_t BgL_arg1838z00_693;
BgL_arg1837z00_692 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)43)), BgL_hreflangz00_657); 
{ /* Llib/atom.scm 184 */
obj_t BgL_arg1839z00_694;
BgL_arg1839z00_694 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)44)), BgL_lengthz00_659); 
BgL_arg1838z00_693 = 
MAKE_YOUNG_PAIR(BgL_arg1839z00_694, BNIL); } 
BgL_suppz00_684 = 
MAKE_YOUNG_PAIR(BgL_arg1837z00_692, BgL_arg1838z00_693); } 
{ /* Llib/atom.scm 186 */
obj_t BgL__andtest_1046z00_685;
BgL__andtest_1046z00_685 = BgL_hrefz00_654; 
if(
CBOOL(BgL__andtest_1046z00_685))
{ /* Llib/atom.scm 186 */
if(
CBOOL(
CELL_REF(BgL_v0ze23ze2_1385)))
{ /* Llib/atom.scm 186 */
return BgL_basez00_683;}  else 
{ /* Llib/atom.scm 186 */
return 
BGl_appendzd221010zd2zz__web_atomz00(BgL_basez00_683, BgL_suppz00_684);} }  else 
{ /* Llib/atom.scm 186 */
return BFALSE;} } } } } 

}



/* atom:category~0 */
obj_t BGl_atomza3categoryze70z44zz__web_atomz00(obj_t BgL_prefixz00_1386, obj_t BgL_attrz00_165)
{
{ /* Llib/atom.scm 119 */
{ /* Llib/atom.scm 106 */
obj_t BgL_termz00_167;obj_t BgL_schemez00_168;obj_t BgL_labelz00_169;
BgL_termz00_167 = BFALSE; 
BgL_schemez00_168 = BFALSE; 
BgL_labelz00_169 = BFALSE; 
{ 
obj_t BgL_l1059z00_171;
BgL_l1059z00_171 = BgL_attrz00_165; 
BgL_zc3z04anonymousza31219ze3z87_172:
if(
PAIRP(BgL_l1059z00_171))
{ /* Llib/atom.scm 109 */
{ /* Llib/atom.scm 110 */
obj_t BgL_eltz00_174;
BgL_eltz00_174 = 
CAR(BgL_l1059z00_171); 
if(
PAIRP(BgL_eltz00_174))
{ /* Llib/atom.scm 111 */
obj_t BgL_casezd2valuezd2_176;
BgL_casezd2valuezd2_176 = 
BGl_dropzd2prefixze70z35zz__web_atomz00(BgL_prefixz00_1386, 
CAR(BgL_eltz00_174)); 
if(
(BgL_casezd2valuezd2_176==
CNST_TABLE_REF(((long)45))))
{ /* Llib/atom.scm 111 */
BgL_termz00_167 = 
BGl_cdatazd2decodezd2zz__web_rssz00(
CDR(BgL_eltz00_174)); }  else 
{ /* Llib/atom.scm 111 */
if(
(BgL_casezd2valuezd2_176==
CNST_TABLE_REF(((long)46))))
{ /* Llib/atom.scm 111 */
BgL_schemez00_168 = 
BGl_cdatazd2decodezd2zz__web_rssz00(
CDR(BgL_eltz00_174)); }  else 
{ /* Llib/atom.scm 111 */
if(
(BgL_casezd2valuezd2_176==
CNST_TABLE_REF(((long)47))))
{ /* Llib/atom.scm 111 */
BgL_labelz00_169 = 
BGl_cdatazd2decodezd2zz__web_rssz00(
CDR(BgL_eltz00_174)); }  else 
{ /* Llib/atom.scm 111 */BUNSPEC; } } } }  else 
{ /* Llib/atom.scm 110 */BFALSE; } } 
{ 
obj_t BgL_l1059z00_2731;
BgL_l1059z00_2731 = 
CDR(BgL_l1059z00_171); 
BgL_l1059z00_171 = BgL_l1059z00_2731; 
goto BgL_zc3z04anonymousza31219ze3z87_172;} }  else 
{ /* Llib/atom.scm 109 */((bool_t)1); } } 
{ /* Llib/atom.scm 119 */
obj_t BgL__ortest_1019z00_187;
BgL__ortest_1019z00_187 = BgL_labelz00_169; 
if(
CBOOL(BgL__ortest_1019z00_187))
{ /* Llib/atom.scm 119 */
return BgL__ortest_1019z00_187;}  else 
{ /* Llib/atom.scm 119 */
obj_t BgL__ortest_1020z00_188;
BgL__ortest_1020z00_188 = BgL_termz00_167; 
if(
CBOOL(BgL__ortest_1020z00_188))
{ /* Llib/atom.scm 119 */
return BgL__ortest_1020z00_188;}  else 
{ /* Llib/atom.scm 119 */
return BgL_schemez00_168;} } } } } 

}



/* drop-prefix~0 */
obj_t BGl_dropzd2prefixze70z35zz__web_atomz00(obj_t BgL_prefixz00_1387, obj_t BgL_ez00_134)
{
{ /* Llib/atom.scm 88 */
if(
CBOOL(BgL_prefixz00_1387))
{ /* Llib/atom.scm 83 */
obj_t BgL_sz00_136;long BgL_lz00_137;
{ /* Llib/atom.scm 83 */
obj_t BgL_arg1434z00_925;
BgL_arg1434z00_925 = 
SYMBOL_TO_STRING(BgL_ez00_134); 
BgL_sz00_136 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1434z00_925); } 
BgL_lz00_137 = 
STRING_LENGTH(
((obj_t)BgL_prefixz00_1387)); 
if(
bigloo_strncmp(BgL_sz00_136, 
((obj_t)BgL_prefixz00_1387), BgL_lz00_137))
{ /* Llib/atom.scm 85 */
return 
bstring_to_symbol(
c_substring(BgL_sz00_136, 
(BgL_lz00_137+((long)1)), 
STRING_LENGTH(BgL_sz00_136)));}  else 
{ /* Llib/atom.scm 85 */
return BgL_ez00_134;} }  else 
{ /* Llib/atom.scm 82 */
return BgL_ez00_134;} } 

}



/* &<@anonymous:1794> */
obj_t BGl_z62zc3z04anonymousza31794ze3ze5zz__web_atomz00(obj_t BgL_envz00_1378)
{
{ /* Llib/atom.scm 128 */
{ /* Llib/atom.scm 128 */
obj_t BgL_port1021z00_1379;
BgL_port1021z00_1379 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1378, 
(int)(((long)0)))); 
return 
bgl_close_input_port(BgL_port1021z00_1379);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__web_atomz00()
{
{ /* Llib/atom.scm 17 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__web_atomz00()
{
{ /* Llib/atom.scm 17 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__web_atomz00()
{
{ /* Llib/atom.scm 17 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__web_atomz00()
{
{ /* Llib/atom.scm 17 */
BGl_modulezd2initializa7ationz75zz__web_xmlz00(((long)275582174), 
BSTRING_TO_STRING(BGl_string2007z00zz__web_atomz00)); 
BGl_modulezd2initializa7ationz75zz__web_htmlz00(((long)337118967), 
BSTRING_TO_STRING(BGl_string2007z00zz__web_atomz00)); 
return 
BGl_modulezd2initializa7ationz75zz__web_rssz00(((long)326955775), 
BSTRING_TO_STRING(BGl_string2007z00zz__web_atomz00));} 

}

#ifdef __cplusplus
}
#endif
