/*===========================================================================*/
/*   (Command/parse.scm)                                                     */
/*   Bigloo (4.4b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon 22 Mar 2021 06:58:31 PM CET     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4b/bin/bigloo -afile .afile -no-hello -rm -L /builddir/build/BUILD/bigloo-4.4b/lib/bigloo/4.4b -O5 -unsafe -c Command/parse.scm -o Command/parse.o) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_commandz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   int BgL_abbrevzd2lenzd2;
   obj_t BgL_parserz00;
   obj_t BgL_envz00;
   obj_t BgL_helpz00;
} *BgL_commandz00_bglt;


extern obj_t BGl_bdbzd2notifyzd2errorz00zztools_errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzcommand_parsez00 = BUNSPEC;
static obj_t BGl_z62commandzd2parsezb0zzcommand_parsez00(obj_t, obj_t, obj_t);
static obj_t BGl_z62parsezd2errorzb0zzcommand_parsez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zzcommand_parsez00();
static obj_t BGl_z62genericzd2parsezb0zzcommand_parsez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_findzd2commandzd2zzcommand_commandz00(obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zzcommand_parsez00();
extern obj_t BGl_toplevelzd2commandzd2envz00zzcommand_commandz00();
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzcommand_parsez00();
static long BGl_findzd2patternzd2zzcommand_parsez00(obj_t, obj_t, int);
BGL_IMPORT obj_t make_string(long, unsigned char);
static obj_t BGl_z62zc3z04anonymousza31067ze3ze5zzcommand_parsez00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_commandzd2parsezd2zzcommand_parsez00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_makezd2stopzd2parsez00zzcommand_parsez00(obj_t);
static obj_t BGl_z62makezd2stopzd2parsez62zzcommand_parsez00(obj_t, obj_t);
static obj_t BGl_fixzd2tabulationz12zc0zzcommand_parsez00(long, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_genericzd2parsezd2zzcommand_parsez00(obj_t, obj_t, int, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcommand_parsez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzgdb_annotatez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzgdb_invokez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcommand_commandz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_ioz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_cnstzd2initzd2zzcommand_parsez00();
static obj_t BGl_libraryzd2moduleszd2initz00zzcommand_parsez00();
static obj_t BGl_importedzd2moduleszd2initz00zzcommand_parsez00();
static obj_t BGl_gczd2rootszd2initz00zzcommand_parsez00();
extern obj_t BGl_consolezd2errorzd2zztools_ioz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_parsezd2errorzd2zzcommand_parsez00(obj_t, obj_t, obj_t, int);
static obj_t __cnst[ 1 ] ;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_parsezd2errorzd2envz00zzcommand_parsez00, BgL_bgl_za762parseza7d2error1153z00, BGl_z62parsezd2errorzb0zzcommand_parsez00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_genericzd2parsezd2envz00zzcommand_parsez00, BgL_bgl_za762genericza7d2par1154z00, BGl_z62genericzd2parsezb0zzcommand_parsez00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_commandzd2parsezd2envz00zzcommand_parsez00, BgL_bgl_za762commandza7d2par1155z00, BGl_z62commandzd2parsezb0zzcommand_parsez00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_makezd2stopzd2parsezd2envzd2zzcommand_parsez00, BgL_bgl_za762makeza7d2stopza7d1156za7, BGl_z62makezd2stopzd2parsez62zzcommand_parsez00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1136z00zzcommand_parsez00, BgL_bgl_string1136za700za7za7c1157za7, "parse", 5 );
DEFINE_STRING( BGl_string1137z00zzcommand_parsez00, BgL_bgl_string1137za700za7za7c1158za7, "Unknown command", 15 );
DEFINE_STRING( BGl_string1138z00zzcommand_parsez00, BgL_bgl_string1138za700za7za7c1159za7, "", 0 );
DEFINE_STRING( BGl_string1139z00zzcommand_parsez00, BgL_bgl_string1139za700za7za7c1160za7, "^\n", 2 );
DEFINE_STRING( BGl_string1140z00zzcommand_parsez00, BgL_bgl_string1140za700za7za7c1161za7, "\n#", 2 );
DEFINE_STRING( BGl_string1141z00zzcommand_parsez00, BgL_bgl_string1141za700za7za7c1162za7, "#", 1 );
DEFINE_STRING( BGl_string1142z00zzcommand_parsez00, BgL_bgl_string1142za700za7za7c1163za7, "substring-at=?", 14 );
DEFINE_STRING( BGl_string1143z00zzcommand_parsez00, BgL_bgl_string1143za700za7za7c1164za7, "Illegal search", 14 );
DEFINE_STRING( BGl_string1144z00zzcommand_parsez00, BgL_bgl_string1144za700za7za7c1165za7, "command_parse", 13 );
DEFINE_STRING( BGl_string1145z00zzcommand_parsez00, BgL_bgl_string1145za700za7za7c1166za7, "nop ", 4 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zzcommand_parsez00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcommand_parsez00(long BgL_checksumz00_418, char * BgL_fromz00_419)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzcommand_parsez00))
{ 
BGl_requirezd2initializa7ationz75zzcommand_parsez00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zzcommand_parsez00(); 
BGl_libraryzd2moduleszd2initz00zzcommand_parsez00(); 
BGl_cnstzd2initzd2zzcommand_parsez00(); 
BGl_importedzd2moduleszd2initz00zzcommand_parsez00(); 
return 
BGl_methodzd2initzd2zzcommand_parsez00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzcommand_parsez00()
{
{ /* Command/parse.scm 14 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "command_parse"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "command_parse"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "command_parse"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "command_parse"); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)0), "command_parse"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "command_parse"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "command_parse"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzcommand_parsez00()
{
{ /* Command/parse.scm 14 */
{ /* Command/parse.scm 14 */
obj_t BgL_cportz00_394;
{ /* Command/parse.scm 14 */
obj_t BgL_stringz00_402;
BgL_stringz00_402 = BGl_string1145z00zzcommand_parsez00; 
{ /* Command/parse.scm 14 */
obj_t BgL_startz00_403;
BgL_startz00_403 = 
BINT(((long)0)); 
{ /* Command/parse.scm 14 */
obj_t BgL_endz00_404;
BgL_endz00_404 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_402))); 
{ /* Command/parse.scm 14 */

BgL_cportz00_394 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_402, BgL_startz00_403, BgL_endz00_404); } } } } 
{ 
long BgL_iz00_395;
BgL_iz00_395 = ((long)0); 
BgL_loopz00_396:
if(
(BgL_iz00_395==((long)-1)))
{ /* Command/parse.scm 14 */
return BUNSPEC;}  else 
{ /* Command/parse.scm 14 */
{ /* Command/parse.scm 14 */
obj_t BgL_arg1152z00_398;
{ /* Command/parse.scm 14 */

{ /* Command/parse.scm 14 */
obj_t BgL_locationz00_400;
BgL_locationz00_400 = 
BBOOL(((bool_t)0)); 
{ /* Command/parse.scm 14 */

BgL_arg1152z00_398 = 
BGl_readz00zz__readerz00(BgL_cportz00_394, BgL_locationz00_400); } } } 
{ /* Command/parse.scm 14 */
int BgL_tmpz00_444;
BgL_tmpz00_444 = 
(int)(BgL_iz00_395); 
CNST_TABLE_SET(BgL_tmpz00_444, BgL_arg1152z00_398); } } 
{ /* Command/parse.scm 14 */
int BgL_auxz00_401;
BgL_auxz00_401 = 
(int)(
(BgL_iz00_395-((long)1))); 
{ 
long BgL_iz00_449;
BgL_iz00_449 = 
(long)(BgL_auxz00_401); 
BgL_iz00_395 = BgL_iz00_449; 
goto BgL_loopz00_396;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zzcommand_parsez00()
{
{ /* Command/parse.scm 14 */
return 
bgl_gc_roots_register();} 

}



/* command-parse */
BGL_EXPORTED_DEF obj_t BGl_commandzd2parsezd2zzcommand_parsez00(obj_t BgL_cmdzd2listzd2_3, obj_t BgL_sourcez00_4)
{
{ /* Command/parse.scm 37 */
{ /* Command/parse.scm 38 */
obj_t BgL_envz00_28;
BgL_envz00_28 = 
BGl_toplevelzd2commandzd2envz00zzcommand_commandz00(); 
{ /* Command/parse.scm 38 */
obj_t BgL_subzd2cmdzd2idz00_29;
BgL_subzd2cmdzd2idz00_29 = 
CAR(BgL_cmdzd2listzd2_3); 
{ /* Command/parse.scm 39 */
BgL_commandz00_bglt BgL_subzd2cmdzd2_30;
BgL_subzd2cmdzd2_30 = 
((BgL_commandz00_bglt)
BGl_findzd2commandzd2zzcommand_commandz00(BgL_subzd2cmdzd2idz00_29, BgL_envz00_28)); 
{ /* Command/parse.scm 40 */

{ /* Command/parse.scm 46 */
obj_t BgL_fun1057z00_32;
BgL_fun1057z00_32 = 
(((BgL_commandz00_bglt)COBJECT(BgL_subzd2cmdzd2_30))->BgL_parserz00); 
{ /* Command/parse.scm 46 */
obj_t BgL_arg1055z00_33;obj_t BgL_arg1056z00_34;
BgL_arg1055z00_33 = 
CDR(BgL_cmdzd2listzd2_3); 
BgL_arg1056z00_34 = 
(((BgL_commandz00_bglt)COBJECT(BgL_subzd2cmdzd2_30))->BgL_envz00); 
return 
PROCEDURE_ENTRY(BgL_fun1057z00_32)(BgL_fun1057z00_32, BgL_arg1055z00_33, BgL_sourcez00_4, 
BINT(((long)1)), BgL_arg1056z00_34, BEOA);} } } } } } } 

}



/* &command-parse */
obj_t BGl_z62commandzd2parsezb0zzcommand_parsez00(obj_t BgL_envz00_372, obj_t BgL_cmdzd2listzd2_373, obj_t BgL_sourcez00_374)
{
{ /* Command/parse.scm 37 */
return 
BGl_commandzd2parsezd2zzcommand_parsez00(BgL_cmdzd2listzd2_373, BgL_sourcez00_374);} 

}



/* generic-parse */
BGL_EXPORTED_DEF obj_t BGl_genericzd2parsezd2zzcommand_parsez00(obj_t BgL_cmdzd2listzd2_5, obj_t BgL_sourcez00_6, int BgL_levelz00_7, obj_t BgL_envz00_8)
{
{ /* Command/parse.scm 54 */
{ /* Command/parse.scm 55 */
obj_t BgL_g1049z00_143;
BgL_g1049z00_143 = 
BGl_toplevelzd2commandzd2envz00zzcommand_commandz00(); 
if(
NULLP(BgL_cmdzd2listzd2_5))
{ /* Command/parse.scm 58 */
return 
CNST_TABLE_REF(((long)0));}  else 
{ /* Command/parse.scm 63 */
obj_t BgL_subzd2cmdzd2idz00_184;
BgL_subzd2cmdzd2idz00_184 = 
CAR(BgL_cmdzd2listzd2_5); 
{ /* Command/parse.scm 63 */
BgL_commandz00_bglt BgL_subzd2cmdzd2_185;
BgL_subzd2cmdzd2_185 = 
((BgL_commandz00_bglt)
BGl_findzd2commandzd2zzcommand_commandz00(BgL_subzd2cmdzd2idz00_184, BgL_g1049z00_143)); 
{ /* Command/parse.scm 64 */

{ /* Command/parse.scm 67 */
obj_t BgL_fun1066z00_187;
BgL_fun1066z00_187 = 
(((BgL_commandz00_bglt)COBJECT(BgL_subzd2cmdzd2_185))->BgL_parserz00); 
{ /* Command/parse.scm 67 */
obj_t BgL_arg1063z00_188;long BgL_arg1064z00_189;obj_t BgL_arg1065z00_190;
BgL_arg1063z00_188 = 
CDR(BgL_cmdzd2listzd2_5); 
BgL_arg1064z00_189 = 
(
(long)(BgL_levelz00_7)+((long)1)); 
BgL_arg1065z00_190 = 
(((BgL_commandz00_bglt)COBJECT(BgL_subzd2cmdzd2_185))->BgL_envz00); 
return 
PROCEDURE_ENTRY(BgL_fun1066z00_187)(BgL_fun1066z00_187, BgL_arg1063z00_188, BgL_sourcez00_6, 
BINT(BgL_arg1064z00_189), BgL_arg1065z00_190, BEOA);} } } } } } } 

}



/* &generic-parse */
obj_t BGl_z62genericzd2parsezb0zzcommand_parsez00(obj_t BgL_envz00_375, obj_t BgL_cmdzd2listzd2_376, obj_t BgL_sourcez00_377, obj_t BgL_levelz00_378, obj_t BgL_envz00_379)
{
{ /* Command/parse.scm 54 */
return 
BGl_genericzd2parsezd2zzcommand_parsez00(BgL_cmdzd2listzd2_376, BgL_sourcez00_377, 
CINT(BgL_levelz00_378), BgL_envz00_379);} 

}



/* make-stop-parse */
BGL_EXPORTED_DEF obj_t BGl_makezd2stopzd2parsez00zzcommand_parsez00(obj_t BgL_actionz00_9)
{
{ /* Command/parse.scm 75 */
{ /* Command/parse.scm 76 */
obj_t BgL_zc3z04anonymousza31067ze3z87_380;
BgL_zc3z04anonymousza31067ze3z87_380 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31067ze3ze5zzcommand_parsez00, 
(int)(((long)4)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31067ze3z87_380, 
(int)(((long)0)), BgL_actionz00_9); 
return BgL_zc3z04anonymousza31067ze3z87_380;} } 

}



/* &make-stop-parse */
obj_t BGl_z62makezd2stopzd2parsez62zzcommand_parsez00(obj_t BgL_envz00_381, obj_t BgL_actionz00_382)
{
{ /* Command/parse.scm 75 */
return 
BGl_makezd2stopzd2parsez00zzcommand_parsez00(BgL_actionz00_382);} 

}



/* &<@anonymous:1067> */
obj_t BGl_z62zc3z04anonymousza31067ze3ze5zzcommand_parsez00(obj_t BgL_envz00_383, obj_t BgL_cmdzd2listzd2_385, obj_t BgL_sourcez00_386, obj_t BgL_levelz00_387, obj_t BgL_envz00_388)
{
{ /* Command/parse.scm 76 */
{ /* Command/parse.scm 77 */
obj_t BgL_actionz00_384;
BgL_actionz00_384 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_383, 
(int)(((long)0)))); 
{ /* Command/parse.scm 77 */
int BgL_levelz00_408;
BgL_levelz00_408 = 
CINT(BgL_levelz00_387); 
if(
NULLP(
((obj_t)BgL_cmdzd2listzd2_385)))
{ /* Command/parse.scm 77 */
return 
PROCEDURE_ENTRY(BgL_actionz00_384)(BgL_actionz00_384, 
((obj_t)BgL_sourcez00_386), BEOA);}  else 
{ /* Command/parse.scm 79 */
obj_t BgL_arg1069z00_409;
BgL_arg1069z00_409 = 
CAR(
((obj_t)BgL_cmdzd2listzd2_385)); 
BGl_bdbzd2notifyzd2errorz00zztools_errorz00(BGl_string1136z00zzcommand_parsez00, BGl_string1137z00zzcommand_parsez00, 
((obj_t)BgL_arg1069z00_409)); 
{ /* Command/parse.scm 89 */
long BgL_lenz00_410;
BgL_lenz00_410 = 
BGl_findzd2patternzd2zzcommand_parsez00(
((obj_t)BgL_arg1069z00_409), 
((obj_t)BgL_sourcez00_386), BgL_levelz00_408); 
{ /* Command/parse.scm 89 */
obj_t BgL_sstrz00_411;
if(
(BgL_lenz00_410>((long)0)))
{ /* Command/parse.scm 90 */
BgL_sstrz00_411 = 
BGl_fixzd2tabulationz12zc0zzcommand_parsez00(BgL_lenz00_410, 
((obj_t)BgL_sourcez00_386), 
make_string(BgL_lenz00_410, ((unsigned char)' '))); }  else 
{ /* Command/parse.scm 90 */
BgL_sstrz00_411 = BGl_string1138z00zzcommand_parsez00; } 
{ /* Command/parse.scm 90 */

{ /* Command/parse.scm 95 */
obj_t BgL_arg1070z00_412;
{ /* Command/parse.scm 95 */
obj_t BgL_list1071z00_413;
{ /* Command/parse.scm 95 */
obj_t BgL_arg1072z00_414;
{ /* Command/parse.scm 95 */
obj_t BgL_arg1073z00_415;
{ /* Command/parse.scm 95 */
obj_t BgL_arg1075z00_416;
{ /* Command/parse.scm 95 */
obj_t BgL_arg1076z00_417;
BgL_arg1076z00_417 = 
MAKE_YOUNG_PAIR(BGl_string1139z00zzcommand_parsez00, BNIL); 
BgL_arg1075z00_416 = 
MAKE_YOUNG_PAIR(BgL_sstrz00_411, BgL_arg1076z00_417); } 
BgL_arg1073z00_415 = 
MAKE_YOUNG_PAIR(BGl_string1140z00zzcommand_parsez00, BgL_arg1075z00_416); } 
BgL_arg1072z00_414 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_sourcez00_386), BgL_arg1073z00_415); } 
BgL_list1071z00_413 = 
MAKE_YOUNG_PAIR(BGl_string1141z00zzcommand_parsez00, BgL_arg1072z00_414); } 
BgL_arg1070z00_412 = 
BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list1071z00_413); } 
return 
BGl_consolezd2errorzd2zztools_ioz00(BgL_arg1070z00_412);} } } } } } } } 

}



/* parse-error */
BGL_EXPORTED_DEF obj_t BGl_parsezd2errorzd2zzcommand_parsez00(obj_t BgL_msgz00_10, obj_t BgL_patternz00_11, obj_t BgL_sourcez00_12, int BgL_errzd2levelzd2_13)
{
{ /* Command/parse.scm 87 */
BGl_bdbzd2notifyzd2errorz00zztools_errorz00(BGl_string1136z00zzcommand_parsez00, BgL_msgz00_10, BgL_patternz00_11); 
{ /* Command/parse.scm 89 */
long BgL_lenz00_220;
BgL_lenz00_220 = 
BGl_findzd2patternzd2zzcommand_parsez00(BgL_patternz00_11, BgL_sourcez00_12, BgL_errzd2levelzd2_13); 
{ /* Command/parse.scm 89 */
obj_t BgL_sstrz00_221;
if(
(BgL_lenz00_220>((long)0)))
{ /* Command/parse.scm 93 */
obj_t BgL_arg1080z00_223;
BgL_arg1080z00_223 = 
make_string(BgL_lenz00_220, ((unsigned char)' ')); 
{ /* Command/parse.scm 145 */
long BgL_g1050z00_232;
BgL_g1050z00_232 = 
(BgL_lenz00_220-((long)1)); 
{ 
long BgL_readz00_234;
BgL_readz00_234 = BgL_g1050z00_232; 
BgL_loopz00_233:
if(
(BgL_readz00_234==((long)-1)))
{ /* Command/parse.scm 147 */
BgL_sstrz00_221 = BgL_arg1080z00_223; }  else 
{ /* Command/parse.scm 147 */
if(
(
STRING_REF(BgL_sourcez00_12, BgL_readz00_234)==((unsigned char)9)))
{ /* Command/parse.scm 149 */
STRING_SET(BgL_arg1080z00_223, BgL_readz00_234, ((unsigned char)9)); 
{ 
long BgL_readz00_540;
BgL_readz00_540 = 
(BgL_readz00_234-((long)1)); 
BgL_readz00_234 = BgL_readz00_540; 
goto BgL_loopz00_233;} }  else 
{ 
long BgL_readz00_542;
BgL_readz00_542 = 
(BgL_readz00_234-((long)1)); 
BgL_readz00_234 = BgL_readz00_542; 
goto BgL_loopz00_233;} } } } }  else 
{ /* Command/parse.scm 90 */
BgL_sstrz00_221 = BGl_string1138z00zzcommand_parsez00; } 
{ /* Command/parse.scm 90 */

{ /* Command/parse.scm 95 */
obj_t BgL_arg1070z00_224;
{ /* Command/parse.scm 95 */
obj_t BgL_list1071z00_225;
{ /* Command/parse.scm 95 */
obj_t BgL_arg1072z00_226;
{ /* Command/parse.scm 95 */
obj_t BgL_arg1073z00_227;
{ /* Command/parse.scm 95 */
obj_t BgL_arg1075z00_228;
{ /* Command/parse.scm 95 */
obj_t BgL_arg1076z00_229;
BgL_arg1076z00_229 = 
MAKE_YOUNG_PAIR(BGl_string1139z00zzcommand_parsez00, BNIL); 
BgL_arg1075z00_228 = 
MAKE_YOUNG_PAIR(BgL_sstrz00_221, BgL_arg1076z00_229); } 
BgL_arg1073z00_227 = 
MAKE_YOUNG_PAIR(BGl_string1140z00zzcommand_parsez00, BgL_arg1075z00_228); } 
BgL_arg1072z00_226 = 
MAKE_YOUNG_PAIR(BgL_sourcez00_12, BgL_arg1073z00_227); } 
BgL_list1071z00_225 = 
MAKE_YOUNG_PAIR(BGl_string1141z00zzcommand_parsez00, BgL_arg1072z00_226); } 
BgL_arg1070z00_224 = 
BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list1071z00_225); } 
return 
BGl_consolezd2errorzd2zztools_ioz00(BgL_arg1070z00_224);} } } } } 

}



/* &parse-error */
obj_t BGl_z62parsezd2errorzb0zzcommand_parsez00(obj_t BgL_envz00_389, obj_t BgL_msgz00_390, obj_t BgL_patternz00_391, obj_t BgL_sourcez00_392, obj_t BgL_errzd2levelzd2_393)
{
{ /* Command/parse.scm 87 */
return 
BGl_parsezd2errorzd2zzcommand_parsez00(BgL_msgz00_390, BgL_patternz00_391, BgL_sourcez00_392, 
CINT(BgL_errzd2levelzd2_393));} 

}



/* find-pattern */
long BGl_findzd2patternzd2zzcommand_parsez00(obj_t BgL_patz00_14, obj_t BgL_sourcez00_15, int BgL_errzd2levelzd2_16)
{
{ /* Command/parse.scm 100 */
{ 
long BgL_r2z00_104;obj_t BgL_patz00_105;obj_t BgL_srcz00_106;long BgL_lpatz00_107;obj_t BgL_strz00_82;long BgL_indexz00_83;int BgL_numz00_84;
{ /* Command/parse.scm 128 */
long BgL_startz00_71;
BgL_strz00_82 = BgL_sourcez00_15; 
BgL_indexz00_83 = ((long)0); 
BgL_numz00_84 = BgL_errzd2levelzd2_16; 
if(
(
(long)(BgL_numz00_84)==((long)0)))
{ /* Command/parse.scm 104 */
BgL_startz00_71 = ((long)0); }  else 
{ 
long BgL_indexz00_88;int BgL_numz00_89;
BgL_indexz00_88 = BgL_indexz00_83; 
BgL_numz00_89 = BgL_numz00_84; 
BgL_zc3z04anonymousza31089ze3z87_90:
if(
(
(long)(BgL_numz00_89)==((long)0)))
{ /* Command/parse.scm 109 */
BgL_startz00_71 = BgL_indexz00_88; }  else 
{ /* Command/parse.scm 111 */
bool_t BgL_test1177z00_559;
if(
(
STRING_REF(BgL_strz00_82, BgL_indexz00_88)==((unsigned char)' ')))
{ /* Command/parse.scm 111 */
BgL_test1177z00_559 = ((bool_t)1)
; }  else 
{ /* Command/parse.scm 111 */
BgL_test1177z00_559 = 
(
STRING_REF(BgL_strz00_82, BgL_indexz00_88)==((unsigned char)9))
; } 
if(BgL_test1177z00_559)
{ 
int BgL_numz00_567;long BgL_indexz00_565;
BgL_indexz00_565 = 
(BgL_indexz00_88+((long)1)); 
BgL_numz00_567 = 
(int)(
(
(long)(BgL_numz00_89)-((long)1))); 
BgL_numz00_89 = BgL_numz00_567; 
BgL_indexz00_88 = BgL_indexz00_565; 
goto BgL_zc3z04anonymousza31089ze3z87_90;}  else 
{ 
long BgL_indexz00_571;
BgL_indexz00_571 = 
(BgL_indexz00_88+((long)1)); 
BgL_indexz00_88 = BgL_indexz00_571; 
goto BgL_zc3z04anonymousza31089ze3z87_90;} } } 
{ /* Command/parse.scm 128 */
long BgL_lenz00_72;
BgL_lenz00_72 = 
STRING_LENGTH(BgL_sourcez00_15); 
{ /* Command/parse.scm 129 */
long BgL_lpatz00_73;
BgL_lpatz00_73 = 
STRING_LENGTH(BgL_patz00_14); 
{ /* Command/parse.scm 130 */
long BgL_stopz00_74;
BgL_stopz00_74 = 
(BgL_lenz00_72-BgL_lpatz00_73); 
{ /* Command/parse.scm 131 */

{ 
long BgL_iz00_343;
BgL_iz00_343 = BgL_startz00_71; 
BgL_loopz00_342:
if(
(BgL_iz00_343==BgL_stopz00_74))
{ /* Command/parse.scm 134 */
return BgL_iz00_343;}  else 
{ /* Command/parse.scm 136 */
bool_t BgL_test1180z00_578;
{ /* Command/parse.scm 136 */
obj_t BgL_tmpz00_579;
BgL_r2z00_104 = BgL_iz00_343; 
BgL_patz00_105 = BgL_patz00_14; 
BgL_srcz00_106 = BgL_sourcez00_15; 
BgL_lpatz00_107 = BgL_lpatz00_73; 
if(
(
STRING_LENGTH(BgL_srcz00_106)<
(BgL_r2z00_104+BgL_lpatz00_107)))
{ /* Command/parse.scm 118 */
obj_t BgL_arg1114z00_112;
BgL_arg1114z00_112 = 
MAKE_YOUNG_PAIR(BgL_patz00_105, BgL_srcz00_106); 
BgL_tmpz00_579 = 
BGl_errorz00zz__errorz00(BGl_string1142z00zzcommand_parsez00, BGl_string1143z00zzcommand_parsez00, BgL_arg1114z00_112); }  else 
{ 
long BgL_r1z00_302;long BgL_r2z00_303;
{ /* Command/parse.scm 119 */
bool_t BgL_tmpz00_586;
BgL_r1z00_302 = ((long)0); 
BgL_r2z00_303 = BgL_r2z00_104; 
BgL_loopz00_301:
if(
(BgL_r1z00_302==BgL_lpatz00_107))
{ /* Command/parse.scm 122 */
BgL_tmpz00_586 = ((bool_t)1)
; }  else 
{ /* Command/parse.scm 122 */
if(
(
STRING_REF(BgL_srcz00_106, BgL_r2z00_303)==
STRING_REF(BgL_patz00_105, BgL_r1z00_302)))
{ 
long BgL_r2z00_595;long BgL_r1z00_593;
BgL_r1z00_593 = 
(BgL_r1z00_302+((long)1)); 
BgL_r2z00_595 = 
(BgL_r2z00_303+((long)1)); 
BgL_r2z00_303 = BgL_r2z00_595; 
BgL_r1z00_302 = BgL_r1z00_593; 
goto BgL_loopz00_301;}  else 
{ /* Command/parse.scm 124 */
BgL_tmpz00_586 = ((bool_t)0)
; } } 
BgL_tmpz00_579 = 
BBOOL(BgL_tmpz00_586); } } 
BgL_test1180z00_578 = 
CBOOL(BgL_tmpz00_579); } 
if(BgL_test1180z00_578)
{ /* Command/parse.scm 136 */
return BgL_iz00_343;}  else 
{ 
long BgL_iz00_599;
BgL_iz00_599 = 
(BgL_iz00_343+((long)1)); 
BgL_iz00_343 = BgL_iz00_599; 
goto BgL_loopz00_342;} } } } } } } } } } 

}



/* fix-tabulation! */
obj_t BGl_fixzd2tabulationz12zc0zzcommand_parsez00(long BgL_markerz00_17, obj_t BgL_srcz00_18, obj_t BgL_dstz00_19)
{
{ /* Command/parse.scm 144 */
{ /* Command/parse.scm 145 */
long BgL_g1050z00_353;
BgL_g1050z00_353 = 
(BgL_markerz00_17-((long)1)); 
{ 
long BgL_readz00_355;
BgL_readz00_355 = BgL_g1050z00_353; 
BgL_loopz00_354:
if(
(BgL_readz00_355==((long)-1)))
{ /* Command/parse.scm 147 */
return BgL_dstz00_19;}  else 
{ /* Command/parse.scm 147 */
if(
(
STRING_REF(BgL_srcz00_18, BgL_readz00_355)==((unsigned char)9)))
{ /* Command/parse.scm 149 */
STRING_SET(BgL_dstz00_19, BgL_readz00_355, ((unsigned char)9)); 
{ 
long BgL_readz00_608;
BgL_readz00_608 = 
(BgL_readz00_355-((long)1)); 
BgL_readz00_355 = BgL_readz00_608; 
goto BgL_loopz00_354;} }  else 
{ 
long BgL_readz00_610;
BgL_readz00_610 = 
(BgL_readz00_355-((long)1)); 
BgL_readz00_355 = BgL_readz00_610; 
goto BgL_loopz00_354;} } } } } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zzcommand_parsez00()
{
{ /* Command/parse.scm 14 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zzcommand_parsez00()
{
{ /* Command/parse.scm 14 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zzcommand_parsez00()
{
{ /* Command/parse.scm 14 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzcommand_parsez00()
{
{ /* Command/parse.scm 14 */
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)203313037), 
BSTRING_TO_STRING(BGl_string1144z00zzcommand_parsez00)); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)249086913), 
BSTRING_TO_STRING(BGl_string1144z00zzcommand_parsez00)); 
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)222649143), 
BSTRING_TO_STRING(BGl_string1144z00zzcommand_parsez00)); 
BGl_modulezd2initializa7ationz75zztools_ioz00(((long)467242068), 
BSTRING_TO_STRING(BGl_string1144z00zzcommand_parsez00)); 
BGl_modulezd2initializa7ationz75zzcommand_commandz00(((long)378887189), 
BSTRING_TO_STRING(BGl_string1144z00zzcommand_parsez00)); 
BGl_modulezd2initializa7ationz75zzgdb_invokez00(((long)66920335), 
BSTRING_TO_STRING(BGl_string1144z00zzcommand_parsez00)); 
return 
BGl_modulezd2initializa7ationz75zzgdb_annotatez00(((long)191796826), 
BSTRING_TO_STRING(BGl_string1144z00zzcommand_parsez00));} 

}

#ifdef __cplusplus
}
#endif
