/*===========================================================================*/
/*   (BackEnd/c_emit.scm)                                                    */
/*   Bigloo (4.4b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon 22 Mar 2021 06:56:16 PM CET     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.4b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent BackEnd/c_emit.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;


	static obj_t BGl_z62stopzd2emissionz12za2zzbackend_c_emitz00(obj_t);
	BGL_IMPORT obj_t BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_za2destza2z00zzengine_paramz00;
	static obj_t BGl_requirezd2initializa7ationz75zzbackend_c_emitz00 = BUNSPEC;
	extern obj_t BGl_emitzd2bdbzd2locz00zzcgen_emitzd2copzd2(obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	extern obj_t BGl_za2srczd2filesza2zd2zzengine_paramz00;
	BGL_EXPORTED_DEF obj_t BGl_za2czd2portza2zd2zzbackend_c_emitz00 = BUNSPEC;
	extern obj_t BGl_stringzd2sanszd2z42z42zztype_toolsz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_emitzd2atomzd2valuez00zzbackend_c_emitz00(obj_t);
	static obj_t BGl_z62emitzd2atomzd2valuez62zzbackend_c_emitz00(obj_t, obj_t);
	extern obj_t BGl_za2passza2z00zzengine_paramz00;
	static obj_t BGl_toplevelzd2initzd2zzbackend_c_emitz00();
	BGL_IMPORT obj_t BGl_commandzd2linezd2zz__osz00();
	BGL_EXPORTED_DECL obj_t BGl_stopzd2emissionz12zc0zzbackend_c_emitz00();
	static obj_t BGl_genericzd2initzd2zzbackend_c_emitz00();
	BGL_IMPORT obj_t
		BGl_llongzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(BGL_LONGLONG_T, obj_t);
	static obj_t BGl_objectzd2initzd2zzbackend_c_emitz00();
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t
		BGl_llongzd2ze3czd2isoze3zzbackend_c_emitz00(BGL_LONGLONG_T);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	extern obj_t BGl_za2sawza2z00zzengine_paramz00;
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	extern obj_t BGl_za2bigloozd2librarieszd2czd2setupza2zd2zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t BGl_emitzd2includezd2zzbackend_c_emitz00();
	BGL_IMPORT obj_t BGl_fprintfz00zz__r4_output_6_10_3z00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_startzd2emissionz12zc0zzbackend_c_emitz00(obj_t);
	static obj_t BGl_z62startzd2emissionz12za2zzbackend_c_emitz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzbackend_c_emitz00();
	BGL_EXPORTED_DECL obj_t
		BGl_emitzd2garbagezd2collectorzd2selectionzd2zzbackend_c_emitz00();
	extern obj_t BGl_za2additionalzd2includezd2foreignza2z00zzengine_paramz00;
	extern obj_t BGl_za2realza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_openzd2outputzd2filez00zz__r4_ports_6_10_1z00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_emitzd2debugzd2activationz00zzbackend_c_emitz00();
	BGL_IMPORT obj_t make_string(long, unsigned char);
	BGL_IMPORT obj_t bgl_close_input_port(obj_t);
	BGL_IMPORT obj_t BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(obj_t);
	static obj_t BGl_z62emitzd2commentzb0zzbackend_c_emitz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2bigloozd2licensingzf3za2z21zzengine_paramz00;
	static obj_t BGl_emitzd2licensezd2zzbackend_c_emitz00();
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00(obj_t);
	BGL_IMPORT obj_t bgl_close_output_port(obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_positiveze70ze7zzbackend_c_emitz00(BGL_LONGLONG_T);
	static obj_t BGl_z62emitzd2mainzb0zzbackend_c_emitz00(obj_t);
	static obj_t BGl_z62emitzd2debugzd2activationz62zzbackend_c_emitz00(obj_t);
	static obj_t
		BGl_z62emitzd2garbagezd2collectorzd2selectionzb0zzbackend_c_emitz00(obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz00zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_elongzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_untrigraphz00zzbackend_c_emitz00(obj_t);
	BGL_IMPORT obj_t string_for_read(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzbackend_c_emitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcgen_emitzd2copzd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcgen_copz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_licensez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_configurez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__ucs2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_za2bigloozd2nameza2zd2zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t
		BGl_emitzd2dlopenzd2initz00zzbackend_c_emitz00(BgL_globalz00_bglt, obj_t);
	extern obj_t BGl_za2elongza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_emitzd2mainzd2zzbackend_c_emitz00();
	static obj_t BGl_z62untrigraphz62zzbackend_c_emitz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		long);
	static obj_t BGl_za2destzd2prefixza2zd2zzbackend_c_emitz00 = BUNSPEC;
	extern obj_t BGl_za2userzd2heapzd2siza7eza2za7zzengine_paramz00;
	static obj_t BGl_z62llongzd2ze3czd2isoz81zzbackend_c_emitz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readzd2linezd2zz__r4_input_6_10_2z00(obj_t);
	static obj_t BGl_cnstzd2initzd2zzbackend_c_emitz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzbackend_c_emitz00();
	BGL_EXPORTED_DECL obj_t BGl_emitzd2headerzd2zzbackend_c_emitz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzbackend_c_emitz00();
	BGL_IMPORT obj_t BGl_prefixz00zz__osz00(obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzbackend_c_emitz00();
	BGL_IMPORT obj_t bigloo_mangle(obj_t);
	static obj_t BGl_z62emitzd2includezb0zzbackend_c_emitz00(obj_t);
	extern obj_t BGl_za2bigloozd2authorza2zd2zzengine_paramz00;
	extern obj_t BGl_za2bigloozd2dateza2zd2zzengine_paramz00;
	static obj_t BGl_z62emitzd2dlopenzd2initz62zzbackend_c_emitz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t c_substring(obj_t, long, long);
	static obj_t BGl_loopze70ze7zzbackend_c_emitz00(BGL_LONGLONG_T, obj_t, long,
		BGL_LONGLONG_T, BGL_LONGLONG_T);
	static long BGl_za2maxzd2colza2zd2zzbackend_c_emitz00;
	static obj_t BGl_z62emitzd2headerzb0zzbackend_c_emitz00(obj_t);
	extern obj_t BGl_bigloozd2licensezd2zztools_licensez00();
	extern obj_t BGl_za2includezd2foreignza2zd2zzengine_paramz00;
	extern obj_t BGl_za2garbagezd2collectorza2zd2zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t BGl_emitzd2commentzd2zzbackend_c_emitz00(obj_t,
		unsigned char);
	extern obj_t BGl_za2charza2z00zztype_cachez00;
	static obj_t __cnst[6];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_untrigraphzd2envzd2zzbackend_c_emitz00,
		BgL_bgl_za762untrigraphza7622020z00,
		BGl_z62untrigraphz62zzbackend_c_emitz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_emitzd2includezd2envz00zzbackend_c_emitz00,
		BgL_bgl_za762emitza7d2includ2021z00,
		BGl_z62emitzd2includezb0zzbackend_c_emitz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_emitzd2headerzd2envz00zzbackend_c_emitz00,
		BgL_bgl_za762emitza7d2header2022z00,
		BGl_z62emitzd2headerzb0zzbackend_c_emitz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_emitzd2dlopenzd2initzd2envzd2zzbackend_c_emitz00,
		BgL_bgl_za762emitza7d2dlopen2023z00,
		BGl_z62emitzd2dlopenzd2initz62zzbackend_c_emitz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_llongzd2ze3czd2isozd2envz31zzbackend_c_emitz00,
		BgL_bgl_za762llongza7d2za7e3cza72024z00,
		BGl_z62llongzd2ze3czd2isoz81zzbackend_c_emitz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1944z00zzbackend_c_emitz00,
		BgL_bgl_string1944za700za7za7b2025za7, "Can't open file for output", 26);
	      DEFINE_STRING(BGl_string1945z00zzbackend_c_emitz00,
		BgL_bgl_string1945za700za7za7b2026za7, "/*", 2);
	      DEFINE_STRING(BGl_string1946z00zzbackend_c_emitz00,
		BgL_bgl_string1946za700za7za7b2027za7, "*/", 2);
	      DEFINE_STRING(BGl_string1947z00zzbackend_c_emitz00,
		BgL_bgl_string1947za700za7za7b2028za7, "", 0);
	      DEFINE_STRING(BGl_string1948z00zzbackend_c_emitz00,
		BgL_bgl_string1948za700za7za7b2029za7, " (c)      ", 10);
	      DEFINE_STRING(BGl_string1949z00zzbackend_c_emitz00,
		BgL_bgl_string1949za700za7za7b2030za7, "/* COMPILATION: ", 16);
	      DEFINE_STRING(BGl_string1950z00zzbackend_c_emitz00,
		BgL_bgl_string1950za700za7za7b2031za7, " */", 3);
	      DEFINE_STRING(BGl_string1951z00zzbackend_c_emitz00,
		BgL_bgl_string1951za700za7za7b2032za7, "\n/* SAW compilation */\n", 23);
	      DEFINE_STRING(BGl_string1952z00zzbackend_c_emitz00,
		BgL_bgl_string1952za700za7za7b2033za7, "#define BGL_SAW 1\n", 18);
	      DEFINE_STRING(BGl_string1953z00zzbackend_c_emitz00,
		BgL_bgl_string1953za700za7za7b2034za7, "/* GC selection */", 18);
	      DEFINE_STRING(BGl_string1954z00zzbackend_c_emitz00,
		BgL_bgl_string1954za700za7za7b2035za7, "#define THE_GC BOEHM_GC\n", 24);
	      DEFINE_STRING(BGl_string1955z00zzbackend_c_emitz00,
		BgL_bgl_string1955za700za7za7b2036za7, "#define THE_GC BOEHM_GC", 23);
	      DEFINE_STRING(BGl_string1956z00zzbackend_c_emitz00,
		BgL_bgl_string1956za700za7za7b2037za7, "#define BUMPY_GC\n", 17);
	      DEFINE_STRING(BGl_string1957z00zzbackend_c_emitz00,
		BgL_bgl_string1957za700za7za7b2038za7, "emit-garbage-collector-selection",
		32);
	      DEFINE_STRING(BGl_string1958z00zzbackend_c_emitz00,
		BgL_bgl_string1958za700za7za7b2039za7, "Can't emit code for gc", 22);
	      DEFINE_STRING(BGl_string1959z00zzbackend_c_emitz00,
		BgL_bgl_string1959za700za7za7b2040za7, "#include <", 10);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_stopzd2emissionz12zd2envz12zzbackend_c_emitz00,
		BgL_bgl_za762stopza7d2emissi2041z00,
		BGl_z62stopzd2emissionz12za2zzbackend_c_emitz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string1960z00zzbackend_c_emitz00,
		BgL_bgl_string1960za700za7za7b2042za7, ">", 1);
	      DEFINE_STRING(BGl_string1961z00zzbackend_c_emitz00,
		BgL_bgl_string1961za700za7za7b2043za7, "/* debug mode */", 16);
	      DEFINE_STRING(BGl_string1962z00zzbackend_c_emitz00,
		BgL_bgl_string1962za700za7za7b2044za7, "#define BIGLOO_DEBUG 1", 22);
	      DEFINE_STRING(BGl_string1963z00zzbackend_c_emitz00,
		BgL_bgl_string1963za700za7za7b2045za7, "/* Libraries setup imports */", 29);
	      DEFINE_STRING(BGl_string1964z00zzbackend_c_emitz00,
		BgL_bgl_string1964za700za7za7b2046za7, "BGL_IMPORT void ", 16);
	      DEFINE_STRING(BGl_string1965z00zzbackend_c_emitz00,
		BgL_bgl_string1965za700za7za7b2047za7, "(int, char *[], char *[]);", 26);
	      DEFINE_STRING(BGl_string1966z00zzbackend_c_emitz00,
		BgL_bgl_string1966za700za7za7b2048za7, "/* Libraries setup */", 21);
	      DEFINE_STRING(BGl_string1967z00zzbackend_c_emitz00,
		BgL_bgl_string1967za700za7za7b2049za7,
		"static int bigloo_libinit( int argc, char *argv[], char *env[] ) {", 66);
	      DEFINE_STRING(BGl_string1968z00zzbackend_c_emitz00,
		BgL_bgl_string1968za700za7za7b2050za7, "(argc, argv, env);\n", 19);
	      DEFINE_STRING(BGl_string1969z00zzbackend_c_emitz00,
		BgL_bgl_string1969za700za7za7b2051za7, "return 0; }\n\n", 13);
	      DEFINE_STRING(BGl_string1970z00zzbackend_c_emitz00,
		BgL_bgl_string1970za700za7za7b2052za7,
		"long bigloo_abort(long n) { return n; }", 39);
	      DEFINE_STRING(BGl_string1971z00zzbackend_c_emitz00,
		BgL_bgl_string1971za700za7za7b2053za7,
		"int BIGLOO_MAIN(int argc, char *argv[], char *env[]) { ", 55);
	      DEFINE_STRING(BGl_string1972z00zzbackend_c_emitz00,
		BgL_bgl_string1972za700za7za7b2054za7,
		"return _bigloo_main(argc, argv, env, &bigloo_main, &bigloo_libinit, ~a);}",
		73);
	      DEFINE_STRING(BGl_string1973z00zzbackend_c_emitz00,
		BgL_bgl_string1973za700za7za7b2055za7, "BGL_EXPORTED_DEF obj_t ", 23);
	      DEFINE_STRING(BGl_string1974z00zzbackend_c_emitz00,
		BgL_bgl_string1974za700za7za7b2056za7, "() {", 4);
	      DEFINE_STRING(BGl_string1975z00zzbackend_c_emitz00,
		BgL_bgl_string1975za700za7za7b2057za7, "obj_t res = ", 12);
	      DEFINE_STRING(BGl_string1976z00zzbackend_c_emitz00,
		BgL_bgl_string1976za700za7za7b2058za7, "( 0, \"", 6);
	      DEFINE_STRING(BGl_string1977z00zzbackend_c_emitz00,
		BgL_bgl_string1977za700za7za7b2059za7, "\" );", 4);
	      DEFINE_STRING(BGl_string1978z00zzbackend_c_emitz00,
		BgL_bgl_string1978za700za7za7b2060za7, "BGL_MVALUES_NUMBER_SET(2);", 26);
	      DEFINE_STRING(BGl_string1979z00zzbackend_c_emitz00,
		BgL_bgl_string1979za700za7za7b2061za7,
		"BGL_MVALUES_VAL_SET(1,string_to_bstring( \"", 42);
	      DEFINE_STRING(BGl_string1980z00zzbackend_c_emitz00,
		BgL_bgl_string1980za700za7za7b2062za7, "\" ));", 5);
	      DEFINE_STRING(BGl_string1981z00zzbackend_c_emitz00,
		BgL_bgl_string1981za700za7za7b2063za7, "return res;", 11);
	      DEFINE_STRING(BGl_string1982z00zzbackend_c_emitz00,
		BgL_bgl_string1982za700za7za7b2064za7, "}", 1);
	      DEFINE_STRING(BGl_string1983z00zzbackend_c_emitz00,
		BgL_bgl_string1983za700za7za7b2065za7, "(-", 2);
	      DEFINE_STRING(BGl_string1984z00zzbackend_c_emitz00,
		BgL_bgl_string1984za700za7za7b2066za7, ")", 1);
	      DEFINE_STRING(BGl_string1985z00zzbackend_c_emitz00,
		BgL_bgl_string1985za700za7za7b2067za7, ")))", 3);
	      DEFINE_STRING(BGl_string1986z00zzbackend_c_emitz00,
		BgL_bgl_string1986za700za7za7b2068za7, " * (", 4);
	      DEFINE_STRING(BGl_string1987z00zzbackend_c_emitz00,
		BgL_bgl_string1987za700za7za7b2069za7, " + ((BGL_LONGLONG_T)", 20);
	      DEFINE_STRING(BGl_string1988z00zzbackend_c_emitz00,
		BgL_bgl_string1988za700za7za7b2070za7, "(", 1);
	      DEFINE_STRING(BGl_string1989z00zzbackend_c_emitz00,
		BgL_bgl_string1989za700za7za7b2071za7, "((BGL_LONGLONG_T)", 17);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_emitzd2debugzd2activationzd2envzd2zzbackend_c_emitz00,
		BgL_bgl_za762emitza7d2debugza72072za7,
		BGl_z62emitzd2debugzd2activationz62zzbackend_c_emitz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string1990z00zzbackend_c_emitz00,
		BgL_bgl_string1990za700za7za7b2073za7, "((", 2);
	      DEFINE_STRING(BGl_string1991z00zzbackend_c_emitz00,
		BgL_bgl_string1991za700za7za7b2074za7, "BNIL", 4);
	      DEFINE_STRING(BGl_string1992z00zzbackend_c_emitz00,
		BgL_bgl_string1992za700za7za7b2075za7, "'\\000'", 6);
	      DEFINE_STRING(BGl_string1993z00zzbackend_c_emitz00,
		BgL_bgl_string1993za700za7za7b2076za7, "'\\''", 4);
	      DEFINE_STRING(BGl_string1994z00zzbackend_c_emitz00,
		BgL_bgl_string1994za700za7za7b2077za7, "'\\\\'", 4);
	      DEFINE_STRING(BGl_string1995z00zzbackend_c_emitz00,
		BgL_bgl_string1995za700za7za7b2078za7, "(int8_t)(", 9);
	      DEFINE_STRING(BGl_string1996z00zzbackend_c_emitz00,
		BgL_bgl_string1996za700za7za7b2079za7, "(uint8_t)(", 10);
	      DEFINE_STRING(BGl_string1997z00zzbackend_c_emitz00,
		BgL_bgl_string1997za700za7za7b2080za7, "(int16_t)(", 10);
	      DEFINE_STRING(BGl_string1998z00zzbackend_c_emitz00,
		BgL_bgl_string1998za700za7za7b2081za7, "(uint16_t)(", 11);
	      DEFINE_STRING(BGl_string1999z00zzbackend_c_emitz00,
		BgL_bgl_string1999za700za7za7b2082za7, "(int32_t)(", 10);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_startzd2emissionz12zd2envz12zzbackend_c_emitz00,
		BgL_bgl_za762startza7d2emiss2083z00,
		BGl_z62startzd2emissionz12za2zzbackend_c_emitz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_emitzd2mainzd2envz00zzbackend_c_emitz00,
		BgL_bgl_za762emitza7d2mainza7b2084za7,
		BGl_z62emitzd2mainzb0zzbackend_c_emitz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_emitzd2garbagezd2collectorzd2selectionzd2envz00zzbackend_c_emitz00,
		BgL_bgl_za762emitza7d2garbag2085z00,
		BGl_z62emitzd2garbagezd2collectorzd2selectionzb0zzbackend_c_emitz00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_emitzd2commentzd2envz00zzbackend_c_emitz00,
		BgL_bgl_za762emitza7d2commen2086z00,
		BGl_z62emitzd2commentzb0zzbackend_c_emitz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2000z00zzbackend_c_emitz00,
		BgL_bgl_string2000za700za7za7b2087za7, "(uint32_t)(", 11);
	      DEFINE_STRING(BGl_string2001z00zzbackend_c_emitz00,
		BgL_bgl_string2001za700za7za7b2088za7, "(int64_t)(", 10);
	      DEFINE_STRING(BGl_string2002z00zzbackend_c_emitz00,
		BgL_bgl_string2002za700za7za7b2089za7, "(uint64_t)(", 11);
	      DEFINE_STRING(BGl_string2003z00zzbackend_c_emitz00,
		BgL_bgl_string2003za700za7za7b2090za7, "BUCS2(", 6);
	      DEFINE_STRING(BGl_string2004z00zzbackend_c_emitz00,
		BgL_bgl_string2004za700za7za7b2091za7, "BUNSPEC", 7);
	      DEFINE_STRING(BGl_string2005z00zzbackend_c_emitz00,
		BgL_bgl_string2005za700za7za7b2092za7, "BGL_NAN", 7);
	      DEFINE_STRING(BGl_string2006z00zzbackend_c_emitz00,
		BgL_bgl_string2006za700za7za7b2093za7, "BGL_INFINITY", 12);
	      DEFINE_STRING(BGl_string2007z00zzbackend_c_emitz00,
		BgL_bgl_string2007za700za7za7b2094za7, "(-BGL_INFINITY)", 15);
	      DEFINE_STRING(BGl_string2008z00zzbackend_c_emitz00,
		BgL_bgl_string2008za700za7za7b2095za7, "(BEOF)", 6);
	      DEFINE_STRING(BGl_string2009z00zzbackend_c_emitz00,
		BgL_bgl_string2009za700za7za7b2096za7, "(BOPTIONAL)", 11);
	      DEFINE_STRING(BGl_string2010z00zzbackend_c_emitz00,
		BgL_bgl_string2010za700za7za7b2097za7, "(BKEY)", 6);
	      DEFINE_STRING(BGl_string2011z00zzbackend_c_emitz00,
		BgL_bgl_string2011za700za7za7b2098za7, "(BREST)", 7);
	      DEFINE_STRING(BGl_string2012z00zzbackend_c_emitz00,
		BgL_bgl_string2012za700za7za7b2099za7, "(BEOA)", 6);
	      DEFINE_STRING(BGl_string2013z00zzbackend_c_emitz00,
		BgL_bgl_string2013za700za7za7b2100za7, "BCNST(", 6);
	      DEFINE_STRING(BGl_string2014z00zzbackend_c_emitz00,
		BgL_bgl_string2014za700za7za7b2101za7, "(bgl_string_to_bignum( \"", 24);
	      DEFINE_STRING(BGl_string2015z00zzbackend_c_emitz00,
		BgL_bgl_string2015za700za7za7b2102za7, "\", 16 ))", 8);
	      DEFINE_STRING(BGl_string2016z00zzbackend_c_emitz00,
		BgL_bgl_string2016za700za7za7b2103za7, "backend_c_emit", 14);
	      DEFINE_STRING(BGl_string2017z00zzbackend_c_emitz00,
		BgL_bgl_string2017za700za7za7b2104za7,
		"bumpy boehm --to-stdout so ld (cgen distrib cc cindent hgen) ", 61);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_emitzd2atomzd2valuezd2envzd2zzbackend_c_emitz00,
		BgL_bgl_za762emitza7d2atomza7d2105za7,
		BGl_z62emitzd2atomzd2valuez62zzbackend_c_emitz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzbackend_c_emitz00));
		     ADD_ROOT((void *) (&BGl_za2czd2portza2zd2zzbackend_c_emitz00));
		     ADD_ROOT((void *) (&BGl_za2destzd2prefixza2zd2zzbackend_c_emitz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzbackend_c_emitz00(long
		BgL_checksumz00_2644, char *BgL_fromz00_2645)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzbackend_c_emitz00))
				{
					BGl_requirezd2initializa7ationz75zzbackend_c_emitz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzbackend_c_emitz00();
					BGl_libraryzd2moduleszd2initz00zzbackend_c_emitz00();
					BGl_cnstzd2initzd2zzbackend_c_emitz00();
					BGl_importedzd2moduleszd2initz00zzbackend_c_emitz00();
					return BGl_toplevelzd2initzd2zzbackend_c_emitz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzbackend_c_emitz00()
	{
		{	/* BackEnd/c_emit.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"backend_c_emit");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"backend_c_emit");
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "backend_c_emit");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"backend_c_emit");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"backend_c_emit");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"backend_c_emit");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"backend_c_emit");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0),
				"backend_c_emit");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"backend_c_emit");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"backend_c_emit");
			BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(((long) 0),
				"backend_c_emit");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long) 0),
				"backend_c_emit");
			BGl_modulezd2initializa7ationz75zz__ucs2z00(((long) 0), "backend_c_emit");
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long) 0),
				"backend_c_emit");
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 0),
				"backend_c_emit");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "backend_c_emit");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"backend_c_emit");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzbackend_c_emitz00()
	{
		{	/* BackEnd/c_emit.scm 15 */
			{	/* BackEnd/c_emit.scm 15 */
				obj_t BgL_cportz00_2632;

				{	/* BackEnd/c_emit.scm 15 */
					obj_t BgL_stringz00_2640;

					BgL_stringz00_2640 = BGl_string2017z00zzbackend_c_emitz00;
					{	/* BackEnd/c_emit.scm 15 */
						obj_t BgL_startz00_2641;

						BgL_startz00_2641 = BINT(((long) 0));
						{	/* BackEnd/c_emit.scm 15 */
							obj_t BgL_endz00_2642;

							BgL_endz00_2642 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2640)));
							{	/* BackEnd/c_emit.scm 15 */

								BgL_cportz00_2632 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2640, BgL_startz00_2641, BgL_endz00_2642);
				}}}}
				{
					long BgL_iz00_2633;

					BgL_iz00_2633 = ((long) 5);
				BgL_loopz00_2634:
					if ((BgL_iz00_2633 == ((long) -1)))
						{	/* BackEnd/c_emit.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* BackEnd/c_emit.scm 15 */
							{	/* BackEnd/c_emit.scm 15 */
								obj_t BgL_arg2019z00_2636;

								{	/* BackEnd/c_emit.scm 15 */

									{	/* BackEnd/c_emit.scm 15 */
										obj_t BgL_locationz00_2638;

										BgL_locationz00_2638 = BBOOL(((bool_t) 0));
										{	/* BackEnd/c_emit.scm 15 */

											BgL_arg2019z00_2636 =
												BGl_readz00zz__readerz00(BgL_cportz00_2632,
												BgL_locationz00_2638);
										}
									}
								}
								{	/* BackEnd/c_emit.scm 15 */
									int BgL_tmpz00_2680;

									BgL_tmpz00_2680 = (int) (BgL_iz00_2633);
									CNST_TABLE_SET(BgL_tmpz00_2680, BgL_arg2019z00_2636);
							}}
							{	/* BackEnd/c_emit.scm 15 */
								int BgL_auxz00_2639;

								BgL_auxz00_2639 = (int) ((BgL_iz00_2633 - ((long) 1)));
								{
									long BgL_iz00_2685;

									BgL_iz00_2685 = (long) (BgL_auxz00_2639);
									BgL_iz00_2633 = BgL_iz00_2685;
									goto BgL_loopz00_2634;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzbackend_c_emitz00()
	{
		{	/* BackEnd/c_emit.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzbackend_c_emitz00()
	{
		{	/* BackEnd/c_emit.scm 15 */
			BGl_za2destzd2prefixza2zd2zzbackend_c_emitz00 = BFALSE;
			BGl_za2czd2portza2zd2zzbackend_c_emitz00 = BFALSE;
			return (BGl_za2maxzd2colza2zd2zzbackend_c_emitz00 = ((long) 79), BUNSPEC);
		}

	}



/* start-emission! */
	BGL_EXPORTED_DEF obj_t BGl_startzd2emissionz12zc0zzbackend_c_emitz00(obj_t
		BgL_suffixz00_3)
	{
		{	/* BackEnd/c_emit.scm 49 */
			{	/* BackEnd/c_emit.scm 50 */
				obj_t BgL_prefixz00_1668;

				{	/* BackEnd/c_emit.scm 51 */
					bool_t BgL_test2108z00_2688;

					if (STRINGP(BGl_za2destza2z00zzengine_paramz00))
						{	/* BackEnd/c_emit.scm 51 */
							BgL_test2108z00_2688 =
								CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
								(BGl_za2passza2z00zzengine_paramz00,
									CNST_TABLE_REF(((long) 0))));
						}
					else
						{	/* BackEnd/c_emit.scm 51 */
							BgL_test2108z00_2688 = ((bool_t) 0);
						}
					if (BgL_test2108z00_2688)
						{	/* BackEnd/c_emit.scm 51 */
							BgL_prefixz00_1668 =
								BGl_prefixz00zz__osz00(BGl_za2destza2z00zzengine_paramz00);
						}
					else
						{	/* BackEnd/c_emit.scm 54 */
							bool_t BgL_test2110z00_2695;

							if (PAIRP(BGl_za2srczd2filesza2zd2zzengine_paramz00))
								{	/* BackEnd/c_emit.scm 54 */
									obj_t BgL_tmpz00_2698;

									BgL_tmpz00_2698 =
										CAR(BGl_za2srczd2filesza2zd2zzengine_paramz00);
									BgL_test2110z00_2695 = STRINGP(BgL_tmpz00_2698);
								}
							else
								{	/* BackEnd/c_emit.scm 54 */
									BgL_test2110z00_2695 = ((bool_t) 0);
								}
							if (BgL_test2110z00_2695)
								{	/* BackEnd/c_emit.scm 54 */
									BgL_prefixz00_1668 =
										BGl_prefixz00zz__osz00(CAR
										(BGl_za2srczd2filesza2zd2zzengine_paramz00));
								}
							else
								{	/* BackEnd/c_emit.scm 56 */
									bool_t BgL_test2112z00_2703;

									if (STRINGP(BGl_za2destza2z00zzengine_paramz00))
										{	/* BackEnd/c_emit.scm 56 */
											BgL_test2112z00_2703 =
												(BGl_za2passza2z00zzengine_paramz00 ==
												CNST_TABLE_REF(((long) 1)));
										}
									else
										{	/* BackEnd/c_emit.scm 56 */
											BgL_test2112z00_2703 = ((bool_t) 0);
										}
									if (BgL_test2112z00_2703)
										{	/* BackEnd/c_emit.scm 56 */
											BgL_prefixz00_1668 =
												BGl_prefixz00zz__osz00
												(BGl_za2destza2z00zzengine_paramz00);
										}
									else
										{	/* BackEnd/c_emit.scm 58 */
											bool_t BgL_test2114z00_2709;

											if (STRINGP(BGl_za2destza2z00zzengine_paramz00))
												{	/* BackEnd/c_emit.scm 58 */
													BgL_test2114z00_2709 =
														(BGl_za2passza2z00zzengine_paramz00 ==
														CNST_TABLE_REF(((long) 2)));
												}
											else
												{	/* BackEnd/c_emit.scm 58 */
													BgL_test2114z00_2709 = ((bool_t) 0);
												}
											if (BgL_test2114z00_2709)
												{	/* BackEnd/c_emit.scm 58 */
													BgL_prefixz00_1668 =
														BGl_prefixz00zz__osz00
														(BGl_za2destza2z00zzengine_paramz00);
												}
											else
												{	/* BackEnd/c_emit.scm 58 */
													BgL_prefixz00_1668 = BFALSE;
												}
										}
								}
						}
				}
				{	/* BackEnd/c_emit.scm 50 */

					{	/* BackEnd/c_emit.scm 62 */
						bool_t BgL_test2116z00_2715;

						if (
							(BGl_za2destza2z00zzengine_paramz00 ==
								CNST_TABLE_REF(((long) 3))))
							{	/* BackEnd/c_emit.scm 62 */
								BgL_test2116z00_2715 = ((bool_t) 1);
							}
						else
							{	/* BackEnd/c_emit.scm 62 */
								if (STRINGP(BgL_prefixz00_1668))
									{	/* BackEnd/c_emit.scm 62 */
										BgL_test2116z00_2715 = ((bool_t) 0);
									}
								else
									{	/* BackEnd/c_emit.scm 62 */
										BgL_test2116z00_2715 = ((bool_t) 1);
									}
							}
						if (BgL_test2116z00_2715)
							{	/* BackEnd/c_emit.scm 63 */
								obj_t BgL_tmpz00_2721;

								BgL_tmpz00_2721 = BGL_CURRENT_DYNAMIC_ENV();
								return (BGl_za2czd2portza2zd2zzbackend_c_emitz00 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_2721), BUNSPEC);
							}
						else
							{	/* BackEnd/c_emit.scm 64 */
								obj_t BgL_fzd2namezd2_1672;

								BgL_fzd2namezd2_1672 =
									string_append(BgL_prefixz00_1668, BgL_suffixz00_3);
								BGl_za2destzd2prefixza2zd2zzbackend_c_emitz00 =
									BgL_prefixz00_1668;
								{	/* BackEnd/c_emit.scm 66 */

									BGl_za2czd2portza2zd2zzbackend_c_emitz00 =
										BGl_openzd2outputzd2filez00zz__r4_ports_6_10_1z00
										(BgL_fzd2namezd2_1672, BTRUE);
								}
								if (OUTPUT_PORTP(BGl_za2czd2portza2zd2zzbackend_c_emitz00))
									{	/* BackEnd/c_emit.scm 67 */
										return BUNSPEC;
									}
								else
									{	/* BackEnd/c_emit.scm 67 */
										return
											BGl_errorz00zz__errorz00
											(BGl_za2bigloozd2nameza2zd2zzengine_paramz00,
											BGl_string1944z00zzbackend_c_emitz00,
											BgL_fzd2namezd2_1672);
									}
							}
					}
				}
			}
		}

	}



/* &start-emission! */
	obj_t BGl_z62startzd2emissionz12za2zzbackend_c_emitz00(obj_t BgL_envz00_2608,
		obj_t BgL_suffixz00_2609)
	{
		{	/* BackEnd/c_emit.scm 49 */
			return BGl_startzd2emissionz12zc0zzbackend_c_emitz00(BgL_suffixz00_2609);
		}

	}



/* stop-emission! */
	BGL_EXPORTED_DEF obj_t BGl_stopzd2emissionz12zc0zzbackend_c_emitz00()
	{
		{	/* BackEnd/c_emit.scm 74 */
			if (OUTPUT_PORTP(BGl_za2czd2portza2zd2zzbackend_c_emitz00))
				{	/* BackEnd/c_emit.scm 78 */
					bool_t BgL_test2121z00_2732;

					{	/* BackEnd/c_emit.scm 78 */
						obj_t BgL_arg1396z00_1696;

						{	/* BackEnd/c_emit.scm 78 */
							obj_t BgL_tmpz00_2733;

							BgL_tmpz00_2733 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_arg1396z00_1696 =
								BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_2733);
						}
						BgL_test2121z00_2732 =
							(BGl_za2czd2portza2zd2zzbackend_c_emitz00 == BgL_arg1396z00_1696);
					}
					if (BgL_test2121z00_2732)
						{	/* BackEnd/c_emit.scm 78 */
							return BFALSE;
						}
					else
						{	/* BackEnd/c_emit.scm 78 */
							bgl_flush_output_port(BGl_za2czd2portza2zd2zzbackend_c_emitz00);
							bgl_close_output_port(BGl_za2czd2portza2zd2zzbackend_c_emitz00);
							BGl_za2czd2portza2zd2zzbackend_c_emitz00 = BFALSE;
							return BGl_za2destzd2prefixza2zd2zzbackend_c_emitz00;
						}
				}
			else
				{	/* BackEnd/c_emit.scm 76 */
					return BFALSE;
				}
		}

	}



/* &stop-emission! */
	obj_t BGl_z62stopzd2emissionz12za2zzbackend_c_emitz00(obj_t BgL_envz00_2610)
	{
		{	/* BackEnd/c_emit.scm 74 */
			return BGl_stopzd2emissionz12zc0zzbackend_c_emitz00();
		}

	}



/* emit-comment */
	BGL_EXPORTED_DEF obj_t BGl_emitzd2commentzd2zzbackend_c_emitz00(obj_t
		BgL_stringz00_4, unsigned char BgL_fillz00_5)
	{
		{	/* BackEnd/c_emit.scm 94 */
			{	/* BackEnd/c_emit.scm 95 */
				obj_t BgL_stringz00_1697;

				if ((STRING_LENGTH(BgL_stringz00_4) > (((long) 79) - ((long) 8))))
					{	/* BackEnd/c_emit.scm 95 */
						BgL_stringz00_1697 =
							c_substring(BgL_stringz00_4, ((long) 0),
							(((long) 79) - ((long) 9)));
					}
				else
					{	/* BackEnd/c_emit.scm 95 */
						BgL_stringz00_1697 = BgL_stringz00_4;
					}
				bgl_display_string(BGl_string1945z00zzbackend_c_emitz00,
					BGl_za2czd2portza2zd2zzbackend_c_emitz00);
				{	/* BackEnd/c_emit.scm 99 */
					long BgL_lenz00_1698;

					BgL_lenz00_1698 = STRING_LENGTH(BgL_stringz00_1697);
					if ((BgL_lenz00_1698 == ((long) 0)))
						{	/* BackEnd/c_emit.scm 101 */
							obj_t BgL_port1297z00_1700;

							BgL_port1297z00_1700 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
							bgl_display_obj(make_string(
									(((long) 79) - ((long) 4)),
									(unsigned char) (BgL_fillz00_5)), BgL_port1297z00_1700);
							{	/* BackEnd/c_emit.scm 101 */
								obj_t BgL_tmpz00_2754;

								BgL_tmpz00_2754 = ((obj_t) BgL_port1297z00_1700);
								bgl_display_string(BGl_string1946z00zzbackend_c_emitz00,
									BgL_tmpz00_2754);
							}
							{	/* BackEnd/c_emit.scm 101 */
								obj_t BgL_tmpz00_2757;

								BgL_tmpz00_2757 = ((obj_t) BgL_port1297z00_1700);
								return bgl_display_char(((unsigned char) 10), BgL_tmpz00_2757);
						}}
					else
						{	/* BackEnd/c_emit.scm 100 */
							{	/* BackEnd/c_emit.scm 103 */
								obj_t BgL_arg1435z00_1703;

								BgL_arg1435z00_1703 =
									make_string(((long) 2), (unsigned char) (BgL_fillz00_5));
								bgl_display_obj(BgL_arg1435z00_1703,
									BGl_za2czd2portza2zd2zzbackend_c_emitz00);
							}
							bgl_display_char(((unsigned char) ' '),
								BGl_za2czd2portza2zd2zzbackend_c_emitz00);
							bgl_display_obj(BgL_stringz00_1697,
								BGl_za2czd2portza2zd2zzbackend_c_emitz00);
							bgl_display_char(((unsigned char) ' '),
								BGl_za2czd2portza2zd2zzbackend_c_emitz00);
							{	/* BackEnd/c_emit.scm 107 */
								obj_t BgL_port1298z00_1704;

								BgL_port1298z00_1704 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
								{	/* BackEnd/c_emit.scm 108 */
									obj_t BgL_arg1436z00_1705;

									{	/* BackEnd/c_emit.scm 108 */
										long BgL_arg1445z00_1706;

										{	/* BackEnd/c_emit.scm 108 */
											obj_t BgL_arg1446z00_1707;

											BgL_arg1446z00_1707 =
												BGL_SAFE_PLUS_FX(((long) 8), BgL_lenz00_1698);
											BgL_arg1445z00_1706 =
												(((long) 79) - (long) CINT(BgL_arg1446z00_1707));
										}
										BgL_arg1436z00_1705 =
											make_string(BgL_arg1445z00_1706,
											(unsigned char) (BgL_fillz00_5));
									}
									bgl_display_obj(BgL_arg1436z00_1705, BgL_port1298z00_1704);
								}
								{	/* BackEnd/c_emit.scm 107 */
									obj_t BgL_tmpz00_2772;

									BgL_tmpz00_2772 = ((obj_t) BgL_port1298z00_1704);
									bgl_display_string(BGl_string1946z00zzbackend_c_emitz00,
										BgL_tmpz00_2772);
								}
								{	/* BackEnd/c_emit.scm 107 */
									obj_t BgL_tmpz00_2775;

									BgL_tmpz00_2775 = ((obj_t) BgL_port1298z00_1704);
									return
										bgl_display_char(((unsigned char) 10), BgL_tmpz00_2775);
		}}}}}}

	}



/* &emit-comment */
	obj_t BGl_z62emitzd2commentzb0zzbackend_c_emitz00(obj_t BgL_envz00_2611,
		obj_t BgL_stringz00_2612, obj_t BgL_fillz00_2613)
	{
		{	/* BackEnd/c_emit.scm 94 */
			return
				BGl_emitzd2commentzd2zzbackend_c_emitz00(BgL_stringz00_2612,
				CCHAR(BgL_fillz00_2613));
		}

	}



/* emit-license */
	obj_t BGl_emitzd2licensezd2zzbackend_c_emitz00()
	{
		{	/* BackEnd/c_emit.scm 114 */
			{	/* BackEnd/c_emit.scm 115 */
				obj_t BgL_inz00_1715;

				{	/* BackEnd/c_emit.scm 115 */
					obj_t BgL_arg1527z00_1723;

					BgL_arg1527z00_1723 = BGl_bigloozd2licensezd2zztools_licensez00();
					{	/* BackEnd/c_emit.scm 115 */
						long BgL_endz00_1726;

						BgL_endz00_1726 = STRING_LENGTH(((obj_t) BgL_arg1527z00_1723));
						{	/* BackEnd/c_emit.scm 115 */

							BgL_inz00_1715 =
								BGl_openzd2inputzd2stringz00zz__r4_ports_6_10_1z00
								(BgL_arg1527z00_1723, BINT(((long) 0)), BINT(BgL_endz00_1726));
				}}}
				{	/* BackEnd/c_emit.scm 116 */
					obj_t BgL_g1128z00_1716;

					BgL_g1128z00_1716 =
						BGl_readzd2linezd2zz__r4_input_6_10_2z00(BgL_inz00_1715);
					{
						obj_t BgL_strz00_1718;

						BgL_strz00_1718 = BgL_g1128z00_1716;
					BgL_zc3z04anonymousza31521ze3z87_1719:
						if (EOF_OBJECTP(BgL_strz00_1718))
							{	/* BackEnd/c_emit.scm 117 */
								return bgl_close_input_port(BgL_inz00_1715);
							}
						else
							{	/* BackEnd/c_emit.scm 117 */
								BGl_emitzd2commentzd2zzbackend_c_emitz00(BgL_strz00_1718,
									(char) (((unsigned char) ' ')));
								{
									obj_t BgL_strz00_2792;

									BgL_strz00_2792 =
										BGl_readzd2linezd2zz__r4_input_6_10_2z00(BgL_inz00_1715);
									BgL_strz00_1718 = BgL_strz00_2792;
									goto BgL_zc3z04anonymousza31521ze3z87_1719;
								}
							}
					}
				}
			}
		}

	}



/* emit-header */
	BGL_EXPORTED_DEF obj_t BGl_emitzd2headerzd2zzbackend_c_emitz00()
	{
		{	/* BackEnd/c_emit.scm 126 */
			BGl_emitzd2commentzd2zzbackend_c_emitz00
				(BGl_string1947z00zzbackend_c_emitz00, (char) (((unsigned char) '=')));
			{	/* BackEnd/c_emit.scm 128 */
				obj_t BgL_arg1529z00_1727;

				{	/* BackEnd/c_emit.scm 128 */
					obj_t BgL_pz00_1728;

					{	/* BackEnd/c_emit.scm 128 */

						{	/* BackEnd/c_emit.scm 128 */

							BgL_pz00_1728 =
								BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE);
					}}
					bgl_display_obj(BGl_za2srczd2filesza2zd2zzengine_paramz00,
						BgL_pz00_1728);
					BgL_arg1529z00_1727 = bgl_close_output_port(BgL_pz00_1728);
				}
				BGl_emitzd2commentzd2zzbackend_c_emitz00(BgL_arg1529z00_1727,
					(char) (((unsigned char) ' ')));
			}
			BGl_emitzd2commentzd2zzbackend_c_emitz00
				(BGl_za2bigloozd2nameza2zd2zzengine_paramz00,
				(char) (((unsigned char) ' ')));
			BGl_emitzd2commentzd2zzbackend_c_emitz00(string_append_3
				(BGl_za2bigloozd2authorza2zd2zzengine_paramz00,
					BGl_string1948z00zzbackend_c_emitz00,
					BGl_za2bigloozd2dateza2zd2zzengine_paramz00),
				(char) (((unsigned char) ' ')));
			if (CBOOL(BGl_za2bigloozd2licensingzf3za2z21zzengine_paramz00))
				{	/* BackEnd/c_emit.scm 135 */
					BGl_emitzd2licensezd2zzbackend_c_emitz00();
				}
			else
				{	/* BackEnd/c_emit.scm 135 */
					BFALSE;
				}
			BGl_emitzd2commentzd2zzbackend_c_emitz00
				(BGl_string1947z00zzbackend_c_emitz00, (char) (((unsigned char) '=')));
			bgl_display_string(BGl_string1949z00zzbackend_c_emitz00,
				BGl_za2czd2portza2zd2zzbackend_c_emitz00);
			{	/* BackEnd/c_emit.scm 138 */
				obj_t BgL_arg1533z00_1731;

				BgL_arg1533z00_1731 = BGl_commandzd2linezd2zz__osz00();
				bgl_display_obj(BgL_arg1533z00_1731,
					BGl_za2czd2portza2zd2zzbackend_c_emitz00);
			}
			bgl_display_string(BGl_string1950z00zzbackend_c_emitz00,
				BGl_za2czd2portza2zd2zzbackend_c_emitz00);
			bgl_display_char(((unsigned char) 10),
				BGl_za2czd2portza2zd2zzbackend_c_emitz00);
			if (CBOOL(BGl_za2sawza2z00zzengine_paramz00))
				{	/* BackEnd/c_emit.scm 141 */
					bgl_display_string(BGl_string1951z00zzbackend_c_emitz00,
						BGl_za2czd2portza2zd2zzbackend_c_emitz00);
					return bgl_display_string(BGl_string1952z00zzbackend_c_emitz00,
						BGl_za2czd2portza2zd2zzbackend_c_emitz00);
				}
			else
				{	/* BackEnd/c_emit.scm 141 */
					return BFALSE;
				}
		}

	}



/* &emit-header */
	obj_t BGl_z62emitzd2headerzb0zzbackend_c_emitz00(obj_t BgL_envz00_2614)
	{
		{	/* BackEnd/c_emit.scm 126 */
			return BGl_emitzd2headerzd2zzbackend_c_emitz00();
		}

	}



/* emit-garbage-collector-selection */
	BGL_EXPORTED_DEF obj_t
		BGl_emitzd2garbagezd2collectorzd2selectionzd2zzbackend_c_emitz00()
	{
		{	/* BackEnd/c_emit.scm 150 */
			{	/* BackEnd/c_emit.scm 151 */
				obj_t BgL_port1299z00_1732;

				BgL_port1299z00_1732 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
				{	/* BackEnd/c_emit.scm 151 */
					obj_t BgL_tmpz00_2821;

					BgL_tmpz00_2821 = ((obj_t) BgL_port1299z00_1732);
					bgl_display_string(BGl_string1953z00zzbackend_c_emitz00,
						BgL_tmpz00_2821);
				}
				{	/* BackEnd/c_emit.scm 151 */
					obj_t BgL_tmpz00_2824;

					BgL_tmpz00_2824 = ((obj_t) BgL_port1299z00_1732);
					bgl_display_char(((unsigned char) 10), BgL_tmpz00_2824);
			}}
			{	/* BackEnd/c_emit.scm 152 */
				obj_t BgL_casezd2valuezd2_1733;

				BgL_casezd2valuezd2_1733 =
					BGl_za2garbagezd2collectorza2zd2zzengine_paramz00;
				if ((BgL_casezd2valuezd2_1733 == CNST_TABLE_REF(((long) 4))))
					{	/* BackEnd/c_emit.scm 154 */
						obj_t BgL_port1300z00_1735;

						BgL_port1300z00_1735 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
						{	/* BackEnd/c_emit.scm 154 */
							obj_t BgL_tmpz00_2830;

							BgL_tmpz00_2830 = ((obj_t) BgL_port1300z00_1735);
							bgl_display_string(BGl_string1954z00zzbackend_c_emitz00,
								BgL_tmpz00_2830);
						}
						{	/* BackEnd/c_emit.scm 154 */
							obj_t BgL_tmpz00_2833;

							BgL_tmpz00_2833 = ((obj_t) BgL_port1300z00_1735);
							return bgl_display_char(((unsigned char) 10), BgL_tmpz00_2833);
					}}
				else
					{	/* BackEnd/c_emit.scm 152 */
						if ((BgL_casezd2valuezd2_1733 == CNST_TABLE_REF(((long) 5))))
							{	/* BackEnd/c_emit.scm 152 */
								{	/* BackEnd/c_emit.scm 156 */
									obj_t BgL_port1301z00_1737;

									BgL_port1301z00_1737 =
										BGl_za2czd2portza2zd2zzbackend_c_emitz00;
									{	/* BackEnd/c_emit.scm 156 */
										obj_t BgL_tmpz00_2839;

										BgL_tmpz00_2839 = ((obj_t) BgL_port1301z00_1737);
										bgl_display_string(BGl_string1955z00zzbackend_c_emitz00,
											BgL_tmpz00_2839);
									}
									{	/* BackEnd/c_emit.scm 156 */
										obj_t BgL_tmpz00_2842;

										BgL_tmpz00_2842 = ((obj_t) BgL_port1301z00_1737);
										bgl_display_char(((unsigned char) 10), BgL_tmpz00_2842);
								}}
								{	/* BackEnd/c_emit.scm 157 */
									obj_t BgL_port1302z00_1738;

									BgL_port1302z00_1738 =
										BGl_za2czd2portza2zd2zzbackend_c_emitz00;
									{	/* BackEnd/c_emit.scm 157 */
										obj_t BgL_tmpz00_2845;

										BgL_tmpz00_2845 = ((obj_t) BgL_port1302z00_1738);
										bgl_display_string(BGl_string1956z00zzbackend_c_emitz00,
											BgL_tmpz00_2845);
									}
									{	/* BackEnd/c_emit.scm 157 */
										obj_t BgL_tmpz00_2848;

										BgL_tmpz00_2848 = ((obj_t) BgL_port1302z00_1738);
										return
											bgl_display_char(((unsigned char) 10), BgL_tmpz00_2848);
							}}}
						else
							{	/* BackEnd/c_emit.scm 152 */
								return
									BGl_errorz00zz__errorz00(BGl_string1957z00zzbackend_c_emitz00,
									BGl_string1958z00zzbackend_c_emitz00,
									BGl_za2garbagezd2collectorza2zd2zzengine_paramz00);
							}
					}
			}
		}

	}



/* &emit-garbage-collector-selection */
	obj_t
		BGl_z62emitzd2garbagezd2collectorzd2selectionzb0zzbackend_c_emitz00(obj_t
		BgL_envz00_2615)
	{
		{	/* BackEnd/c_emit.scm 150 */
			return BGl_emitzd2garbagezd2collectorzd2selectionzd2zzbackend_c_emitz00();
		}

	}



/* emit-include */
	BGL_EXPORTED_DEF obj_t BGl_emitzd2includezd2zzbackend_c_emitz00()
	{
		{	/* BackEnd/c_emit.scm 166 */
			{	/* BackEnd/c_emit.scm 168 */
				obj_t BgL_g1306z00_1739;

				BgL_g1306z00_1739 =
					bgl_reverse_bang(BGl_za2includezd2foreignza2zd2zzengine_paramz00);
				{
					obj_t BgL_l1304z00_1741;

					BgL_l1304z00_1741 = BgL_g1306z00_1739;
				BgL_zc3z04anonymousza31536ze3z87_1742:
					if (PAIRP(BgL_l1304z00_1741))
						{	/* BackEnd/c_emit.scm 169 */
							{	/* BackEnd/c_emit.scm 168 */
								obj_t BgL_iz00_1744;

								BgL_iz00_1744 = CAR(BgL_l1304z00_1741);
								{	/* BackEnd/c_emit.scm 168 */
									obj_t BgL_port1303z00_1745;

									BgL_port1303z00_1745 =
										BGl_za2czd2portza2zd2zzbackend_c_emitz00;
									{	/* BackEnd/c_emit.scm 168 */
										obj_t BgL_tmpz00_2857;

										BgL_tmpz00_2857 = ((obj_t) BgL_port1303z00_1745);
										bgl_display_string(BGl_string1959z00zzbackend_c_emitz00,
											BgL_tmpz00_2857);
									}
									bgl_display_obj(BgL_iz00_1744, BgL_port1303z00_1745);
									{	/* BackEnd/c_emit.scm 168 */
										obj_t BgL_tmpz00_2861;

										BgL_tmpz00_2861 = ((obj_t) BgL_port1303z00_1745);
										bgl_display_string(BGl_string1960z00zzbackend_c_emitz00,
											BgL_tmpz00_2861);
									}
									{	/* BackEnd/c_emit.scm 168 */
										obj_t BgL_tmpz00_2864;

										BgL_tmpz00_2864 = ((obj_t) BgL_port1303z00_1745);
										bgl_display_char(((unsigned char) 10), BgL_tmpz00_2864);
							}}}
							{
								obj_t BgL_l1304z00_2867;

								BgL_l1304z00_2867 = CDR(BgL_l1304z00_1741);
								BgL_l1304z00_1741 = BgL_l1304z00_2867;
								goto BgL_zc3z04anonymousza31536ze3z87_1742;
							}
						}
					else
						{	/* BackEnd/c_emit.scm 169 */
							((bool_t) 1);
						}
				}
			}
			{	/* BackEnd/c_emit.scm 171 */
				obj_t BgL_g1310z00_1748;

				BgL_g1310z00_1748 =
					bgl_reverse_bang
					(BGl_za2additionalzd2includezd2foreignza2z00zzengine_paramz00);
				{
					obj_t BgL_l1308z00_1750;

					BgL_l1308z00_1750 = BgL_g1310z00_1748;
				BgL_zc3z04anonymousza31541ze3z87_1751:
					if (PAIRP(BgL_l1308z00_1750))
						{	/* BackEnd/c_emit.scm 172 */
							{	/* BackEnd/c_emit.scm 171 */
								obj_t BgL_iz00_1753;

								BgL_iz00_1753 = CAR(BgL_l1308z00_1750);
								{	/* BackEnd/c_emit.scm 171 */
									obj_t BgL_port1307z00_1754;

									BgL_port1307z00_1754 =
										BGl_za2czd2portza2zd2zzbackend_c_emitz00;
									{	/* BackEnd/c_emit.scm 171 */
										obj_t BgL_tmpz00_2873;

										BgL_tmpz00_2873 = ((obj_t) BgL_port1307z00_1754);
										bgl_display_string(BGl_string1959z00zzbackend_c_emitz00,
											BgL_tmpz00_2873);
									}
									bgl_display_obj(BgL_iz00_1753, BgL_port1307z00_1754);
									{	/* BackEnd/c_emit.scm 171 */
										obj_t BgL_tmpz00_2877;

										BgL_tmpz00_2877 = ((obj_t) BgL_port1307z00_1754);
										bgl_display_string(BGl_string1960z00zzbackend_c_emitz00,
											BgL_tmpz00_2877);
									}
									{	/* BackEnd/c_emit.scm 171 */
										obj_t BgL_tmpz00_2880;

										BgL_tmpz00_2880 = ((obj_t) BgL_port1307z00_1754);
										bgl_display_char(((unsigned char) 10), BgL_tmpz00_2880);
							}}}
							{
								obj_t BgL_l1308z00_2883;

								BgL_l1308z00_2883 = CDR(BgL_l1308z00_1750);
								BgL_l1308z00_1750 = BgL_l1308z00_2883;
								goto BgL_zc3z04anonymousza31541ze3z87_1751;
							}
						}
					else
						{	/* BackEnd/c_emit.scm 172 */
							((bool_t) 1);
						}
				}
			}
			return
				bgl_display_char(((unsigned char) 10),
				BGl_za2czd2portza2zd2zzbackend_c_emitz00);
		}

	}



/* &emit-include */
	obj_t BGl_z62emitzd2includezb0zzbackend_c_emitz00(obj_t BgL_envz00_2616)
	{
		{	/* BackEnd/c_emit.scm 166 */
			return BGl_emitzd2includezd2zzbackend_c_emitz00();
		}

	}



/* emit-debug-activation */
	BGL_EXPORTED_DEF obj_t BGl_emitzd2debugzd2activationz00zzbackend_c_emitz00()
	{
		{	/* BackEnd/c_emit.scm 178 */
			{	/* BackEnd/c_emit.scm 179 */
				obj_t BgL_port1311z00_1757;

				BgL_port1311z00_1757 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
				{	/* BackEnd/c_emit.scm 179 */
					obj_t BgL_tmpz00_2887;

					BgL_tmpz00_2887 = ((obj_t) BgL_port1311z00_1757);
					bgl_display_string(BGl_string1961z00zzbackend_c_emitz00,
						BgL_tmpz00_2887);
				}
				{	/* BackEnd/c_emit.scm 179 */
					obj_t BgL_tmpz00_2890;

					BgL_tmpz00_2890 = ((obj_t) BgL_port1311z00_1757);
					bgl_display_char(((unsigned char) 10), BgL_tmpz00_2890);
			}}
			{	/* BackEnd/c_emit.scm 180 */
				obj_t BgL_port1312z00_1758;

				BgL_port1312z00_1758 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
				{	/* BackEnd/c_emit.scm 180 */
					obj_t BgL_tmpz00_2893;

					BgL_tmpz00_2893 = ((obj_t) BgL_port1312z00_1758);
					bgl_display_string(BGl_string1962z00zzbackend_c_emitz00,
						BgL_tmpz00_2893);
				}
				{	/* BackEnd/c_emit.scm 180 */
					obj_t BgL_tmpz00_2896;

					BgL_tmpz00_2896 = ((obj_t) BgL_port1312z00_1758);
					bgl_display_char(((unsigned char) 10), BgL_tmpz00_2896);
			}}
			return
				bgl_display_char(((unsigned char) 10),
				BGl_za2czd2portza2zd2zzbackend_c_emitz00);
		}

	}



/* &emit-debug-activation */
	obj_t BGl_z62emitzd2debugzd2activationz62zzbackend_c_emitz00(obj_t
		BgL_envz00_2617)
	{
		{	/* BackEnd/c_emit.scm 178 */
			return BGl_emitzd2debugzd2activationz00zzbackend_c_emitz00();
		}

	}



/* emit-main */
	BGL_EXPORTED_DEF obj_t BGl_emitzd2mainzd2zzbackend_c_emitz00()
	{
		{	/* BackEnd/c_emit.scm 186 */
			BGl_emitzd2bdbzd2locz00zzcgen_emitzd2copzd2(BUNSPEC);
			if (PAIRP(BGl_za2bigloozd2librarieszd2czd2setupza2zd2zzengine_paramz00))
				{	/* BackEnd/c_emit.scm 189 */
					{	/* BackEnd/c_emit.scm 190 */
						obj_t BgL_port1313z00_1760;

						BgL_port1313z00_1760 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
						{	/* BackEnd/c_emit.scm 190 */
							obj_t BgL_tmpz00_2904;

							BgL_tmpz00_2904 = ((obj_t) BgL_port1313z00_1760);
							bgl_display_string(BGl_string1963z00zzbackend_c_emitz00,
								BgL_tmpz00_2904);
						}
						{	/* BackEnd/c_emit.scm 190 */
							obj_t BgL_tmpz00_2907;

							BgL_tmpz00_2907 = ((obj_t) BgL_port1313z00_1760);
							bgl_display_char(((unsigned char) 10), BgL_tmpz00_2907);
					}}
					{
						obj_t BgL_l1315z00_1762;

						BgL_l1315z00_1762 =
							BGl_za2bigloozd2librarieszd2czd2setupza2zd2zzengine_paramz00;
					BgL_zc3z04anonymousza31545ze3z87_1763:
						if (PAIRP(BgL_l1315z00_1762))
							{	/* BackEnd/c_emit.scm 191 */
								{	/* BackEnd/c_emit.scm 192 */
									obj_t BgL_fz00_1765;

									BgL_fz00_1765 = CAR(BgL_l1315z00_1762);
									{	/* BackEnd/c_emit.scm 192 */
										obj_t BgL_port1314z00_1766;

										BgL_port1314z00_1766 =
											BGl_za2czd2portza2zd2zzbackend_c_emitz00;
										{	/* BackEnd/c_emit.scm 192 */
											obj_t BgL_tmpz00_2913;

											BgL_tmpz00_2913 = ((obj_t) BgL_port1314z00_1766);
											bgl_display_string(BGl_string1964z00zzbackend_c_emitz00,
												BgL_tmpz00_2913);
										}
										bgl_display_obj(BgL_fz00_1765, BgL_port1314z00_1766);
										{	/* BackEnd/c_emit.scm 192 */
											obj_t BgL_tmpz00_2917;

											BgL_tmpz00_2917 = ((obj_t) BgL_port1314z00_1766);
											bgl_display_string(BGl_string1965z00zzbackend_c_emitz00,
												BgL_tmpz00_2917);
										}
										{	/* BackEnd/c_emit.scm 192 */
											obj_t BgL_tmpz00_2920;

											BgL_tmpz00_2920 = ((obj_t) BgL_port1314z00_1766);
											bgl_display_char(((unsigned char) 10), BgL_tmpz00_2920);
								}}}
								{
									obj_t BgL_l1315z00_2923;

									BgL_l1315z00_2923 = CDR(BgL_l1315z00_1762);
									BgL_l1315z00_1762 = BgL_l1315z00_2923;
									goto BgL_zc3z04anonymousza31545ze3z87_1763;
								}
							}
						else
							{	/* BackEnd/c_emit.scm 191 */
								((bool_t) 1);
							}
					}
					bgl_display_char(((unsigned char) 10),
						BGl_za2czd2portza2zd2zzbackend_c_emitz00);
				}
			else
				{	/* BackEnd/c_emit.scm 189 */
					BFALSE;
				}
			{	/* BackEnd/c_emit.scm 198 */
				obj_t BgL_port1317z00_1769;

				BgL_port1317z00_1769 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
				{	/* BackEnd/c_emit.scm 198 */
					obj_t BgL_tmpz00_2926;

					BgL_tmpz00_2926 = ((obj_t) BgL_port1317z00_1769);
					bgl_display_string(BGl_string1966z00zzbackend_c_emitz00,
						BgL_tmpz00_2926);
				}
				{	/* BackEnd/c_emit.scm 198 */
					obj_t BgL_tmpz00_2929;

					BgL_tmpz00_2929 = ((obj_t) BgL_port1317z00_1769);
					bgl_display_char(((unsigned char) 10), BgL_tmpz00_2929);
			}}
			{	/* BackEnd/c_emit.scm 199 */
				obj_t BgL_port1318z00_1770;

				BgL_port1318z00_1770 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
				{	/* BackEnd/c_emit.scm 199 */
					obj_t BgL_tmpz00_2932;

					BgL_tmpz00_2932 = ((obj_t) BgL_port1318z00_1770);
					bgl_display_string(BGl_string1967z00zzbackend_c_emitz00,
						BgL_tmpz00_2932);
				}
				{	/* BackEnd/c_emit.scm 199 */
					obj_t BgL_tmpz00_2935;

					BgL_tmpz00_2935 = ((obj_t) BgL_port1318z00_1770);
					bgl_display_char(((unsigned char) 10), BgL_tmpz00_2935);
			}}
			{
				obj_t BgL_l1320z00_1772;

				BgL_l1320z00_1772 =
					BGl_za2bigloozd2librarieszd2czd2setupza2zd2zzengine_paramz00;
			BgL_zc3z04anonymousza31548ze3z87_1773:
				if (PAIRP(BgL_l1320z00_1772))
					{	/* BackEnd/c_emit.scm 200 */
						{	/* BackEnd/c_emit.scm 201 */
							obj_t BgL_fz00_1775;

							BgL_fz00_1775 = CAR(BgL_l1320z00_1772);
							{	/* BackEnd/c_emit.scm 201 */
								obj_t BgL_port1319z00_1776;

								BgL_port1319z00_1776 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
								bgl_display_obj(BgL_fz00_1775, BgL_port1319z00_1776);
								{	/* BackEnd/c_emit.scm 201 */
									obj_t BgL_tmpz00_2942;

									BgL_tmpz00_2942 = ((obj_t) BgL_port1319z00_1776);
									bgl_display_string(BGl_string1968z00zzbackend_c_emitz00,
										BgL_tmpz00_2942);
								}
								{	/* BackEnd/c_emit.scm 201 */
									obj_t BgL_tmpz00_2945;

									BgL_tmpz00_2945 = ((obj_t) BgL_port1319z00_1776);
									bgl_display_char(((unsigned char) 10), BgL_tmpz00_2945);
						}}}
						{
							obj_t BgL_l1320z00_2948;

							BgL_l1320z00_2948 = CDR(BgL_l1320z00_1772);
							BgL_l1320z00_1772 = BgL_l1320z00_2948;
							goto BgL_zc3z04anonymousza31548ze3z87_1773;
						}
					}
				else
					{	/* BackEnd/c_emit.scm 200 */
						((bool_t) 1);
					}
			}
			{	/* BackEnd/c_emit.scm 203 */
				obj_t BgL_port1322z00_1779;

				BgL_port1322z00_1779 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
				{	/* BackEnd/c_emit.scm 203 */
					obj_t BgL_tmpz00_2950;

					BgL_tmpz00_2950 = ((obj_t) BgL_port1322z00_1779);
					bgl_display_string(BGl_string1969z00zzbackend_c_emitz00,
						BgL_tmpz00_2950);
				}
				{	/* BackEnd/c_emit.scm 203 */
					obj_t BgL_tmpz00_2953;

					BgL_tmpz00_2953 = ((obj_t) BgL_port1322z00_1779);
					bgl_display_char(((unsigned char) 10), BgL_tmpz00_2953);
			}}
			{	/* BackEnd/c_emit.scm 209 */
				obj_t BgL_port1323z00_1780;

				BgL_port1323z00_1780 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
				{	/* BackEnd/c_emit.scm 209 */
					obj_t BgL_tmpz00_2956;

					BgL_tmpz00_2956 = ((obj_t) BgL_port1323z00_1780);
					bgl_display_string(BGl_string1970z00zzbackend_c_emitz00,
						BgL_tmpz00_2956);
				}
				{	/* BackEnd/c_emit.scm 209 */
					obj_t BgL_tmpz00_2959;

					BgL_tmpz00_2959 = ((obj_t) BgL_port1323z00_1780);
					bgl_display_char(((unsigned char) 10), BgL_tmpz00_2959);
			}}
			BGl_emitzd2bdbzd2locz00zzcgen_emitzd2copzd2(BUNSPEC);
			{	/* BackEnd/c_emit.scm 211 */
				obj_t BgL_port1324z00_1781;

				BgL_port1324z00_1781 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
				{	/* BackEnd/c_emit.scm 211 */
					obj_t BgL_tmpz00_2963;

					BgL_tmpz00_2963 = ((obj_t) BgL_port1324z00_1781);
					bgl_display_string(BGl_string1971z00zzbackend_c_emitz00,
						BgL_tmpz00_2963);
				}
				{	/* BackEnd/c_emit.scm 211 */
					obj_t BgL_tmpz00_2966;

					BgL_tmpz00_2966 = ((obj_t) BgL_port1324z00_1781);
					bgl_display_char(((unsigned char) 10), BgL_tmpz00_2966);
			}}
			{	/* BackEnd/c_emit.scm 213 */
				obj_t BgL_list1552z00_1782;

				BgL_list1552z00_1782 =
					MAKE_YOUNG_PAIR(BGl_za2userzd2heapzd2siza7eza2za7zzengine_paramz00,
					BNIL);
				BGl_fprintfz00zz__r4_output_6_10_3z00
					(BGl_za2czd2portza2zd2zzbackend_c_emitz00,
					BGl_string1972z00zzbackend_c_emitz00, BgL_list1552z00_1782);
			}
			return
				bgl_display_char(((unsigned char) 10),
				BGl_za2czd2portza2zd2zzbackend_c_emitz00);
		}

	}



/* &emit-main */
	obj_t BGl_z62emitzd2mainzb0zzbackend_c_emitz00(obj_t BgL_envz00_2618)
	{
		{	/* BackEnd/c_emit.scm 186 */
			return BGl_emitzd2mainzd2zzbackend_c_emitz00();
		}

	}



/* emit-dlopen-init */
	BGL_EXPORTED_DEF obj_t
		BGl_emitzd2dlopenzd2initz00zzbackend_c_emitz00(BgL_globalz00_bglt
		BgL_globalz00_6, obj_t BgL_initz00_7)
	{
		{	/* BackEnd/c_emit.scm 220 */
			{	/* BackEnd/c_emit.scm 221 */
				obj_t BgL_symz00_1783;

				if (BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00(BgL_initz00_7))
					{	/* BackEnd/c_emit.scm 221 */
						BgL_symz00_1783 = bigloo_mangle(BgL_initz00_7);
					}
				else
					{	/* BackEnd/c_emit.scm 221 */
						BgL_symz00_1783 = BgL_initz00_7;
					}
				BGl_emitzd2bdbzd2locz00zzcgen_emitzd2copzd2(BUNSPEC);
				{	/* BackEnd/c_emit.scm 225 */
					obj_t BgL_port1325z00_1784;

					BgL_port1325z00_1784 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
					{	/* BackEnd/c_emit.scm 225 */
						obj_t BgL_tmpz00_2977;

						BgL_tmpz00_2977 = ((obj_t) BgL_port1325z00_1784);
						bgl_display_string(BGl_string1973z00zzbackend_c_emitz00,
							BgL_tmpz00_2977);
					}
					bgl_display_obj(BgL_symz00_1783, BgL_port1325z00_1784);
					{	/* BackEnd/c_emit.scm 225 */
						obj_t BgL_tmpz00_2981;

						BgL_tmpz00_2981 = ((obj_t) BgL_port1325z00_1784);
						bgl_display_string(BGl_string1974z00zzbackend_c_emitz00,
							BgL_tmpz00_2981);
					}
					{	/* BackEnd/c_emit.scm 225 */
						obj_t BgL_tmpz00_2984;

						BgL_tmpz00_2984 = ((obj_t) BgL_port1325z00_1784);
						bgl_display_char(((unsigned char) 10), BgL_tmpz00_2984);
				}}
				BGl_emitzd2bdbzd2locz00zzcgen_emitzd2copzd2(BUNSPEC);
				{	/* BackEnd/c_emit.scm 227 */
					obj_t BgL_port1326z00_1785;

					BgL_port1326z00_1785 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
					{	/* BackEnd/c_emit.scm 227 */
						obj_t BgL_tmpz00_2988;

						BgL_tmpz00_2988 = ((obj_t) BgL_port1326z00_1785);
						bgl_display_string(BGl_string1975z00zzbackend_c_emitz00,
							BgL_tmpz00_2988);
					}
					{	/* BackEnd/c_emit.scm 227 */
						obj_t BgL_arg1555z00_1786;

						BgL_arg1555z00_1786 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_globalz00_6)))->BgL_namez00);
						bgl_display_obj(BgL_arg1555z00_1786, BgL_port1326z00_1785);
					}
					{	/* BackEnd/c_emit.scm 227 */
						obj_t BgL_tmpz00_2994;

						BgL_tmpz00_2994 = ((obj_t) BgL_port1326z00_1785);
						bgl_display_string(BGl_string1976z00zzbackend_c_emitz00,
							BgL_tmpz00_2994);
					}
					bgl_display_obj(CAR(BGl_za2srczd2filesza2zd2zzengine_paramz00),
						BgL_port1326z00_1785);
					{	/* BackEnd/c_emit.scm 227 */
						obj_t BgL_tmpz00_2999;

						BgL_tmpz00_2999 = ((obj_t) BgL_port1326z00_1785);
						bgl_display_string(BGl_string1977z00zzbackend_c_emitz00,
							BgL_tmpz00_2999);
					}
					{	/* BackEnd/c_emit.scm 227 */
						obj_t BgL_tmpz00_3002;

						BgL_tmpz00_3002 = ((obj_t) BgL_port1326z00_1785);
						bgl_display_char(((unsigned char) 10), BgL_tmpz00_3002);
				}}
				{	/* BackEnd/c_emit.scm 229 */
					obj_t BgL_port1327z00_1788;

					BgL_port1327z00_1788 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
					{	/* BackEnd/c_emit.scm 229 */
						obj_t BgL_tmpz00_3005;

						BgL_tmpz00_3005 = ((obj_t) BgL_port1327z00_1788);
						bgl_display_string(BGl_string1978z00zzbackend_c_emitz00,
							BgL_tmpz00_3005);
					}
					{	/* BackEnd/c_emit.scm 229 */
						obj_t BgL_tmpz00_3008;

						BgL_tmpz00_3008 = ((obj_t) BgL_port1327z00_1788);
						bgl_display_char(((unsigned char) 10), BgL_tmpz00_3008);
				}}
				{	/* BackEnd/c_emit.scm 230 */
					obj_t BgL_port1328z00_1789;

					BgL_port1328z00_1789 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
					{	/* BackEnd/c_emit.scm 230 */
						obj_t BgL_tmpz00_3011;

						BgL_tmpz00_3011 = ((obj_t) BgL_port1328z00_1789);
						bgl_display_string(BGl_string1979z00zzbackend_c_emitz00,
							BgL_tmpz00_3011);
					}
					bgl_display_obj(
						(((BgL_globalz00_bglt) COBJECT(BgL_globalz00_6))->BgL_modulez00),
						BgL_port1328z00_1789);
					{	/* BackEnd/c_emit.scm 230 */
						obj_t BgL_tmpz00_3016;

						BgL_tmpz00_3016 = ((obj_t) BgL_port1328z00_1789);
						bgl_display_string(BGl_string1980z00zzbackend_c_emitz00,
							BgL_tmpz00_3016);
					}
					{	/* BackEnd/c_emit.scm 230 */
						obj_t BgL_tmpz00_3019;

						BgL_tmpz00_3019 = ((obj_t) BgL_port1328z00_1789);
						bgl_display_char(((unsigned char) 10), BgL_tmpz00_3019);
				}}
				{	/* BackEnd/c_emit.scm 232 */
					obj_t BgL_port1329z00_1791;

					BgL_port1329z00_1791 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
					{	/* BackEnd/c_emit.scm 232 */
						obj_t BgL_tmpz00_3022;

						BgL_tmpz00_3022 = ((obj_t) BgL_port1329z00_1791);
						bgl_display_string(BGl_string1981z00zzbackend_c_emitz00,
							BgL_tmpz00_3022);
					}
					{	/* BackEnd/c_emit.scm 232 */
						obj_t BgL_tmpz00_3025;

						BgL_tmpz00_3025 = ((obj_t) BgL_port1329z00_1791);
						bgl_display_char(((unsigned char) 10), BgL_tmpz00_3025);
				}}
				BGl_emitzd2bdbzd2locz00zzcgen_emitzd2copzd2(BUNSPEC);
				{	/* BackEnd/c_emit.scm 234 */
					obj_t BgL_port1330z00_1792;

					BgL_port1330z00_1792 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
					{	/* BackEnd/c_emit.scm 234 */
						obj_t BgL_tmpz00_3029;

						BgL_tmpz00_3029 = ((obj_t) BgL_port1330z00_1792);
						bgl_display_string(BGl_string1982z00zzbackend_c_emitz00,
							BgL_tmpz00_3029);
					}
					{	/* BackEnd/c_emit.scm 234 */
						obj_t BgL_tmpz00_3032;

						BgL_tmpz00_3032 = ((obj_t) BgL_port1330z00_1792);
						bgl_display_char(((unsigned char) 10), BgL_tmpz00_3032);
				}}
				return
					bgl_display_char(((unsigned char) 10),
					BGl_za2czd2portza2zd2zzbackend_c_emitz00);
		}}

	}



/* &emit-dlopen-init */
	obj_t BGl_z62emitzd2dlopenzd2initz62zzbackend_c_emitz00(obj_t BgL_envz00_2619,
		obj_t BgL_globalz00_2620, obj_t BgL_initz00_2621)
	{
		{	/* BackEnd/c_emit.scm 220 */
			return
				BGl_emitzd2dlopenzd2initz00zzbackend_c_emitz00(
				((BgL_globalz00_bglt) BgL_globalz00_2620), BgL_initz00_2621);
		}

	}



/* llong->c-iso */
	BGL_EXPORTED_DEF obj_t
		BGl_llongzd2ze3czd2isoze3zzbackend_c_emitz00(BGL_LONGLONG_T BgL_llongz00_8)
	{
		{	/* BackEnd/c_emit.scm 240 */
			if ((BgL_llongz00_8 >= ((BGL_LONGLONG_T) 0)))
				{	/* BackEnd/c_emit.scm 255 */
					return BGl_positiveze70ze7zzbackend_c_emitz00(BgL_llongz00_8);
				}
			else
				{	/* BackEnd/c_emit.scm 257 */
					obj_t BgL_arg1563z00_1796;

					{	/* BackEnd/c_emit.scm 257 */
						BGL_LONGLONG_T BgL_arg1568z00_1797;

						if ((BgL_llongz00_8 < ((BGL_LONGLONG_T) 0)))
							{	/* BackEnd/c_emit.scm 257 */
								BgL_arg1568z00_1797 = NEG(BgL_llongz00_8);
							}
						else
							{	/* BackEnd/c_emit.scm 257 */
								BgL_arg1568z00_1797 = BgL_llongz00_8;
							}
						BgL_arg1563z00_1796 =
							BGl_positiveze70ze7zzbackend_c_emitz00(BgL_arg1568z00_1797);
					}
					return
						string_append_3(BGl_string1983z00zzbackend_c_emitz00,
						BgL_arg1563z00_1796, BGl_string1984z00zzbackend_c_emitz00);
				}
		}

	}



/* loop~0 */
	obj_t BGl_loopze70ze7zzbackend_c_emitz00(BGL_LONGLONG_T BgL_shiftz00_2631,
		obj_t BgL_sshiftz00_2630, long BgL_bitsz00_2629,
		BGL_LONGLONG_T BgL_maskz00_2628, BGL_LONGLONG_T BgL_allongz00_1805)
	{
		{	/* BackEnd/c_emit.scm 246 */
			if ((BgL_allongz00_1805 >= BgL_shiftz00_2631))
				{	/* BackEnd/c_emit.scm 250 */
					obj_t BgL_arg1573z00_1808;
					obj_t BgL_arg1579z00_1809;

					BgL_arg1573z00_1808 =
						BGl_llongzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
						(BgL_allongz00_1805 & BgL_maskz00_2628), BNIL);
					BgL_arg1579z00_1809 =
						BGl_loopze70ze7zzbackend_c_emitz00(BgL_shiftz00_2631,
						BgL_sshiftz00_2630, BgL_bitsz00_2629, BgL_maskz00_2628,
						(BgL_allongz00_1805 >> (int) (BgL_bitsz00_2629)));
					{	/* BackEnd/c_emit.scm 248 */
						obj_t BgL_list1580z00_1810;

						{	/* BackEnd/c_emit.scm 248 */
							obj_t BgL_arg1582z00_1811;

							{	/* BackEnd/c_emit.scm 248 */
								obj_t BgL_arg1583z00_1812;

								{	/* BackEnd/c_emit.scm 248 */
									obj_t BgL_arg1584z00_1813;

									{	/* BackEnd/c_emit.scm 248 */
										obj_t BgL_arg1585z00_1814;

										{	/* BackEnd/c_emit.scm 248 */
											obj_t BgL_arg1597z00_1815;

											{	/* BackEnd/c_emit.scm 248 */
												obj_t BgL_arg1598z00_1816;

												BgL_arg1598z00_1816 =
													MAKE_YOUNG_PAIR(BGl_string1985z00zzbackend_c_emitz00,
													BNIL);
												BgL_arg1597z00_1815 =
													MAKE_YOUNG_PAIR(BgL_arg1579z00_1809,
													BgL_arg1598z00_1816);
											}
											BgL_arg1585z00_1814 =
												MAKE_YOUNG_PAIR(BGl_string1986z00zzbackend_c_emitz00,
												BgL_arg1597z00_1815);
										}
										BgL_arg1584z00_1813 =
											MAKE_YOUNG_PAIR(BgL_sshiftz00_2630, BgL_arg1585z00_1814);
									}
									BgL_arg1583z00_1812 =
										MAKE_YOUNG_PAIR(BGl_string1987z00zzbackend_c_emitz00,
										BgL_arg1584z00_1813);
								}
								BgL_arg1582z00_1811 =
									MAKE_YOUNG_PAIR(BgL_arg1573z00_1808, BgL_arg1583z00_1812);
							}
							BgL_list1580z00_1810 =
								MAKE_YOUNG_PAIR(BGl_string1988z00zzbackend_c_emitz00,
								BgL_arg1582z00_1811);
						}
						return
							BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list1580z00_1810);
					}
				}
			else
				{	/* BackEnd/c_emit.scm 247 */
					return
						string_append_3(BGl_string1989z00zzbackend_c_emitz00,
						BGl_llongzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
						(BgL_allongz00_1805, BNIL), BGl_string1984z00zzbackend_c_emitz00);
				}
		}

	}



/* positive~0 */
	obj_t BGl_positiveze70ze7zzbackend_c_emitz00(BGL_LONGLONG_T
		BgL_allongz00_1798)
	{
		{	/* BackEnd/c_emit.scm 254 */
			{	/* BackEnd/c_emit.scm 242 */
				BGL_LONGLONG_T BgL_shiftz00_1801;

				BgL_shiftz00_1801 = (((BGL_LONGLONG_T) 1) << (int) (((long) 16)));
				{	/* BackEnd/c_emit.scm 243 */
					obj_t BgL_sshiftz00_1802;

					BgL_sshiftz00_1802 =
						BGl_llongzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
						(BgL_shiftz00_1801, BNIL);
					{	/* BackEnd/c_emit.scm 244 */
						BGL_LONGLONG_T BgL_maskz00_1803;

						BgL_maskz00_1803 = (BgL_shiftz00_1801 - ((BGL_LONGLONG_T) 1));
						{	/* BackEnd/c_emit.scm 245 */

							return
								BGl_loopze70ze7zzbackend_c_emitz00(BgL_shiftz00_1801,
								BgL_sshiftz00_1802, ((long) 16), BgL_maskz00_1803,
								BgL_allongz00_1798);
		}}}}}

	}



/* &llong->c-iso */
	obj_t BGl_z62llongzd2ze3czd2isoz81zzbackend_c_emitz00(obj_t BgL_envz00_2622,
		obj_t BgL_llongz00_2623)
	{
		{	/* BackEnd/c_emit.scm 240 */
			return
				BGl_llongzd2ze3czd2isoze3zzbackend_c_emitz00(BLLONG_TO_LLONG
				(BgL_llongz00_2623));
		}

	}



/* emit-atom-value */
	BGL_EXPORTED_DEF obj_t BGl_emitzd2atomzd2valuez00zzbackend_c_emitz00(obj_t
		BgL_valuez00_9)
	{
		{	/* BackEnd/c_emit.scm 262 */
			if (BOOLEANP(BgL_valuez00_9))
				{	/* BackEnd/c_emit.scm 264 */
					bgl_display_string(BGl_string1990z00zzbackend_c_emitz00,
						BGl_za2czd2portza2zd2zzbackend_c_emitz00);
					{	/* BackEnd/c_emit.scm 266 */
						obj_t BgL_arg1612z00_1826;

						{	/* BackEnd/c_emit.scm 266 */
							obj_t BgL_arg1613z00_1827;

							{	/* BackEnd/c_emit.scm 266 */
								BgL_typez00_bglt BgL_oz00_2372;

								BgL_oz00_2372 =
									((BgL_typez00_bglt) BGl_za2boolza2z00zztype_cachez00);
								BgL_arg1613z00_1827 =
									(((BgL_typez00_bglt) COBJECT(BgL_oz00_2372))->BgL_namez00);
							}
							BgL_arg1612z00_1826 =
								BGl_stringzd2sanszd2z42z42zztype_toolsz00(BgL_arg1613z00_1827);
						}
						bgl_display_obj(BgL_arg1612z00_1826,
							BGl_za2czd2portza2zd2zzbackend_c_emitz00);
					}
					bgl_display_char(((unsigned char) ')'),
						BGl_za2czd2portza2zd2zzbackend_c_emitz00);
					{	/* BackEnd/c_emit.scm 268 */
						long BgL_arg1614z00_1828;

						if (CBOOL(BgL_valuez00_9))
							{	/* BackEnd/c_emit.scm 268 */
								BgL_arg1614z00_1828 = ((long) 1);
							}
						else
							{	/* BackEnd/c_emit.scm 268 */
								BgL_arg1614z00_1828 = ((long) 0);
							}
						bgl_display_obj(BINT(BgL_arg1614z00_1828),
							BGl_za2czd2portza2zd2zzbackend_c_emitz00);
					}
					return
						bgl_display_char(((unsigned char) ')'),
						BGl_za2czd2portza2zd2zzbackend_c_emitz00);
				}
			else
				{	/* BackEnd/c_emit.scm 264 */
					if (NULLP(BgL_valuez00_9))
						{	/* BackEnd/c_emit.scm 270 */
							return
								bgl_display_string(BGl_string1991z00zzbackend_c_emitz00,
								BGl_za2czd2portza2zd2zzbackend_c_emitz00);
						}
					else
						{	/* BackEnd/c_emit.scm 270 */
							if (CHARP(BgL_valuez00_9))
								{	/* BackEnd/c_emit.scm 272 */
									bgl_display_string(BGl_string1990z00zzbackend_c_emitz00,
										BGl_za2czd2portza2zd2zzbackend_c_emitz00);
									{	/* BackEnd/c_emit.scm 274 */
										obj_t BgL_arg1633z00_1831;

										{	/* BackEnd/c_emit.scm 274 */
											obj_t BgL_arg1634z00_1832;

											{	/* BackEnd/c_emit.scm 274 */
												BgL_typez00_bglt BgL_oz00_2381;

												BgL_oz00_2381 =
													((BgL_typez00_bglt) BGl_za2charza2z00zztype_cachez00);
												BgL_arg1634z00_1832 =
													(((BgL_typez00_bglt) COBJECT(BgL_oz00_2381))->
													BgL_namez00);
											}
											BgL_arg1633z00_1831 =
												BGl_stringzd2sanszd2z42z42zztype_toolsz00
												(BgL_arg1634z00_1832);
										}
										bgl_display_obj(BgL_arg1633z00_1831,
											BGl_za2czd2portza2zd2zzbackend_c_emitz00);
									}
									bgl_display_string(BGl_string1984z00zzbackend_c_emitz00,
										BGl_za2czd2portza2zd2zzbackend_c_emitz00);
									if (((CCHAR(BgL_valuez00_9)) == ((long) 0)))
										{	/* BackEnd/c_emit.scm 277 */
											bgl_display_string(BGl_string1992z00zzbackend_c_emitz00,
												BGl_za2czd2portza2zd2zzbackend_c_emitz00);
										}
									else
										{	/* BackEnd/c_emit.scm 277 */
											if ((CCHAR(BgL_valuez00_9) == ((unsigned char) '\'')))
												{	/* BackEnd/c_emit.scm 279 */
													bgl_display_string
														(BGl_string1993z00zzbackend_c_emitz00,
														BGl_za2czd2portza2zd2zzbackend_c_emitz00);
												}
											else
												{	/* BackEnd/c_emit.scm 279 */
													if ((CCHAR(BgL_valuez00_9) == ((unsigned char) '\\')))
														{	/* BackEnd/c_emit.scm 281 */
															bgl_display_string
																(BGl_string1994z00zzbackend_c_emitz00,
																BGl_za2czd2portza2zd2zzbackend_c_emitz00);
														}
													else
														{	/* BackEnd/c_emit.scm 283 */
															bool_t BgL_test2145z00_3107;

															if (((CCHAR(BgL_valuez00_9)) >= ((long) 32)))
																{	/* BackEnd/c_emit.scm 283 */
																	BgL_test2145z00_3107 =
																		((CCHAR(BgL_valuez00_9)) < ((long) 128));
																}
															else
																{	/* BackEnd/c_emit.scm 283 */
																	BgL_test2145z00_3107 = ((bool_t) 0);
																}
															if (BgL_test2145z00_3107)
																{	/* BackEnd/c_emit.scm 283 */
																	bgl_display_char(((unsigned char) '\''),
																		BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																	{	/* BackEnd/c_emit.scm 285 */
																		unsigned char BgL_tmpz00_3116;

																		BgL_tmpz00_3116 = CCHAR(BgL_valuez00_9);
																		bgl_display_char(BgL_tmpz00_3116,
																			BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																	}
																	bgl_display_char(((unsigned char) '\''),
																		BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																}
															else
																{	/* BackEnd/c_emit.scm 288 */
																	obj_t BgL_arg1649z00_1842;

																	{	/* BackEnd/c_emit.scm 288 */

																		BgL_arg1649z00_1842 =
																			BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
																			((CCHAR(BgL_valuez00_9)), ((long) 10));
																	}
																	bgl_display_obj(BgL_arg1649z00_1842,
																		BGl_za2czd2portza2zd2zzbackend_c_emitz00);
										}}}}
									return
										bgl_display_char(((unsigned char) ')'),
										BGl_za2czd2portza2zd2zzbackend_c_emitz00);
								}
							else
								{	/* BackEnd/c_emit.scm 272 */
									if (BGL_INT8P(BgL_valuez00_9))
										{	/* BackEnd/c_emit.scm 290 */
											bgl_display_string(BGl_string1995z00zzbackend_c_emitz00,
												BGl_za2czd2portza2zd2zzbackend_c_emitz00);
											{	/* BackEnd/c_emit.scm 292 */
												long BgL_arg1666z00_1851;

												{	/* BackEnd/c_emit.scm 292 */
													int8_t BgL_xz00_2411;

													BgL_xz00_2411 = BGL_BINT8_TO_INT8(BgL_valuez00_9);
													{	/* BackEnd/c_emit.scm 292 */
														long BgL_arg1443z00_2412;

														BgL_arg1443z00_2412 = (long) (BgL_xz00_2411);
														BgL_arg1666z00_1851 = (long) (BgL_arg1443z00_2412);
												}}
												bgl_display_obj(BINT(BgL_arg1666z00_1851),
													BGl_za2czd2portza2zd2zzbackend_c_emitz00);
											}
											return
												bgl_display_char(((unsigned char) ')'),
												BGl_za2czd2portza2zd2zzbackend_c_emitz00);
										}
									else
										{	/* BackEnd/c_emit.scm 290 */
											if (BGL_UINT8P(BgL_valuez00_9))
												{	/* BackEnd/c_emit.scm 294 */
													bgl_display_string
														(BGl_string1996z00zzbackend_c_emitz00,
														BGl_za2czd2portza2zd2zzbackend_c_emitz00);
													{	/* BackEnd/c_emit.scm 296 */
														long BgL_arg1672z00_1853;

														{	/* BackEnd/c_emit.scm 296 */
															uint8_t BgL_xz00_2418;

															BgL_xz00_2418 =
																BGL_BUINT8_TO_UINT8(BgL_valuez00_9);
															{	/* BackEnd/c_emit.scm 296 */
																long BgL_arg1442z00_2419;

																BgL_arg1442z00_2419 = (long) (BgL_xz00_2418);
																BgL_arg1672z00_1853 =
																	(long) (BgL_arg1442z00_2419);
														}}
														bgl_display_obj(BINT(BgL_arg1672z00_1853),
															BGl_za2czd2portza2zd2zzbackend_c_emitz00);
													}
													return
														bgl_display_char(((unsigned char) ')'),
														BGl_za2czd2portza2zd2zzbackend_c_emitz00);
												}
											else
												{	/* BackEnd/c_emit.scm 294 */
													if (BGL_INT16P(BgL_valuez00_9))
														{	/* BackEnd/c_emit.scm 298 */
															bgl_display_string
																(BGl_string1997z00zzbackend_c_emitz00,
																BGl_za2czd2portza2zd2zzbackend_c_emitz00);
															{	/* BackEnd/c_emit.scm 300 */
																long BgL_arg1675z00_1855;

																{	/* BackEnd/c_emit.scm 300 */
																	int16_t BgL_xz00_2425;

																	BgL_xz00_2425 =
																		BGL_BINT16_TO_INT16(BgL_valuez00_9);
																	{	/* BackEnd/c_emit.scm 300 */
																		long BgL_arg1441z00_2426;

																		BgL_arg1441z00_2426 =
																			(long) (BgL_xz00_2425);
																		BgL_arg1675z00_1855 =
																			(long) (BgL_arg1441z00_2426);
																}}
																bgl_display_obj(BINT(BgL_arg1675z00_1855),
																	BGl_za2czd2portza2zd2zzbackend_c_emitz00);
															}
															return
																bgl_display_char(((unsigned char) ')'),
																BGl_za2czd2portza2zd2zzbackend_c_emitz00);
														}
													else
														{	/* BackEnd/c_emit.scm 298 */
															if (BGL_UINT16P(BgL_valuez00_9))
																{	/* BackEnd/c_emit.scm 302 */
																	bgl_display_string
																		(BGl_string1998z00zzbackend_c_emitz00,
																		BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																	{	/* BackEnd/c_emit.scm 304 */
																		long BgL_arg1679z00_1857;

																		{	/* BackEnd/c_emit.scm 304 */
																			uint16_t BgL_xz00_2432;

																			BgL_xz00_2432 =
																				BGL_BUINT16_TO_UINT16(BgL_valuez00_9);
																			{	/* BackEnd/c_emit.scm 304 */
																				long BgL_arg1440z00_2433;

																				BgL_arg1440z00_2433 =
																					(long) (BgL_xz00_2432);
																				BgL_arg1679z00_1857 =
																					(long) (BgL_arg1440z00_2433);
																		}}
																		bgl_display_obj(BINT(BgL_arg1679z00_1857),
																			BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																	}
																	return
																		bgl_display_char(((unsigned char) ')'),
																		BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																}
															else
																{	/* BackEnd/c_emit.scm 302 */
																	if (BGL_INT32P(BgL_valuez00_9))
																		{	/* BackEnd/c_emit.scm 306 */
																			bgl_display_string
																				(BGl_string1999z00zzbackend_c_emitz00,
																				BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																			{	/* BackEnd/c_emit.scm 308 */
																				BGL_LONGLONG_T BgL_arg1682z00_1859;

																				{	/* BackEnd/c_emit.scm 308 */
																					int32_t BgL_nz00_2439;

																					BgL_nz00_2439 =
																						BGL_BINT32_TO_INT32(BgL_valuez00_9);
																					BgL_arg1682z00_1859 =
																						(BGL_LONGLONG_T) (BgL_nz00_2439);
																				}
																				bgl_display_obj(make_bllong
																					(BgL_arg1682z00_1859),
																					BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																			}
																			return
																				bgl_display_char(((unsigned char) ')'),
																				BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																		}
																	else
																		{	/* BackEnd/c_emit.scm 306 */
																			if (BGL_UINT32P(BgL_valuez00_9))
																				{	/* BackEnd/c_emit.scm 310 */
																					bgl_display_string
																						(BGl_string2000z00zzbackend_c_emitz00,
																						BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																					{	/* BackEnd/c_emit.scm 312 */
																						BGL_LONGLONG_T BgL_arg1685z00_1861;

																						{	/* BackEnd/c_emit.scm 312 */
																							uint32_t BgL_nz00_2444;

																							BgL_nz00_2444 =
																								BGL_BUINT32_TO_UINT32
																								(BgL_valuez00_9);
																							BgL_arg1685z00_1861 =
																								(BGL_LONGLONG_T)
																								(BgL_nz00_2444);
																						}
																						bgl_display_obj(make_bllong
																							(BgL_arg1685z00_1861),
																							BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																					}
																					return
																						bgl_display_char(((unsigned char)
																							')'),
																						BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																				}
																			else
																				{	/* BackEnd/c_emit.scm 310 */
																					if (BGL_INT64P(BgL_valuez00_9))
																						{	/* BackEnd/c_emit.scm 314 */
																							bgl_display_string
																								(BGl_string2001z00zzbackend_c_emitz00,
																								BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																							{	/* BackEnd/c_emit.scm 316 */
																								BGL_LONGLONG_T
																									BgL_arg1690z00_1863;
																								{	/* BackEnd/c_emit.scm 316 */
																									int64_t BgL_nz00_2449;

																									BgL_nz00_2449 =
																										BGL_BINT64_TO_INT64
																										(BgL_valuez00_9);
																									BgL_arg1690z00_1863 =
																										(BGL_LONGLONG_T)
																										(BgL_nz00_2449);
																								}
																								bgl_display_obj(make_bllong
																									(BgL_arg1690z00_1863),
																									BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																							}
																							return
																								bgl_display_char(((unsigned
																										char) ')'),
																								BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																						}
																					else
																						{	/* BackEnd/c_emit.scm 314 */
																							if (BGL_UINT64P(BgL_valuez00_9))
																								{	/* BackEnd/c_emit.scm 318 */
																									bgl_display_string
																										(BGl_string2002z00zzbackend_c_emitz00,
																										BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																									{	/* BackEnd/c_emit.scm 320 */
																										BGL_LONGLONG_T
																											BgL_arg1695z00_1865;
																										{	/* BackEnd/c_emit.scm 320 */
																											uint64_t BgL_nz00_2454;

																											BgL_nz00_2454 =
																												BGL_BINT64_TO_INT64
																												(BgL_valuez00_9);
																											BgL_arg1695z00_1865 =
																												(BGL_LONGLONG_T)
																												(BgL_nz00_2454);
																										}
																										bgl_display_obj(make_bllong
																											(BgL_arg1695z00_1865),
																											BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																									}
																									return
																										bgl_display_char(((unsigned
																												char) ')'),
																										BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																								}
																							else
																								{	/* BackEnd/c_emit.scm 318 */
																									if (UCS2P(BgL_valuez00_9))
																										{	/* BackEnd/c_emit.scm 322 */
																											bgl_display_string
																												(BGl_string2003z00zzbackend_c_emitz00,
																												BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																											{	/* BackEnd/c_emit.scm 324 */
																												int BgL_arg1697z00_1867;

																												{	/* BackEnd/c_emit.scm 324 */
																													ucs2_t
																														BgL_ucs2z00_2459;
																													BgL_ucs2z00_2459 =
																														CUCS2
																														(BgL_valuez00_9);
																													{	/* BackEnd/c_emit.scm 324 */
																														obj_t
																															BgL_tmpz00_3197;
																														BgL_tmpz00_3197 =
																															BUCS2
																															(BgL_ucs2z00_2459);
																														BgL_arg1697z00_1867
																															=
																															CUCS2
																															(BgL_tmpz00_3197);
																												}}
																												bgl_display_obj(BINT
																													(BgL_arg1697z00_1867),
																													BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																											}
																											return
																												bgl_display_char((
																													(unsigned char) ')'),
																												BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																										}
																									else
																										{	/* BackEnd/c_emit.scm 322 */
																											if (
																												(BgL_valuez00_9 ==
																													BUNSPEC))
																												{	/* BackEnd/c_emit.scm 326 */
																													return
																														bgl_display_string
																														(BGl_string2004z00zzbackend_c_emitz00,
																														BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																												}
																											else
																												{	/* BackEnd/c_emit.scm 326 */
																													if (STRINGP
																														(BgL_valuez00_9))
																														{	/* BackEnd/c_emit.scm 328 */
																															bgl_display_char((
																																	(unsigned
																																		char) '"'),
																																BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																															{	/* BackEnd/c_emit.scm 330 */
																																obj_t
																																	BgL_arg1702z00_1870;
																																BgL_arg1702z00_1870
																																	=
																																	BGl_untrigraphz00zzbackend_c_emitz00
																																	(string_for_read
																																	(BgL_valuez00_9));
																																bgl_display_obj
																																	(BgL_arg1702z00_1870,
																																	BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																															}
																															return
																																bgl_display_char
																																(((unsigned
																																		char) '"'),
																																BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																														}
																													else
																														{	/* BackEnd/c_emit.scm 328 */
																															if (INTEGERP
																																(BgL_valuez00_9))
																																{	/* BackEnd/c_emit.scm 332 */
																																	bgl_display_string
																																		(BGl_string1990z00zzbackend_c_emitz00,
																																		BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																																	{	/* BackEnd/c_emit.scm 334 */
																																		obj_t
																																			BgL_arg1710z00_1873;
																																		{	/* BackEnd/c_emit.scm 334 */
																																			obj_t
																																				BgL_arg1717z00_1874;
																																			{	/* BackEnd/c_emit.scm 334 */
																																				BgL_typez00_bglt
																																					BgL_oz00_2471;
																																				BgL_oz00_2471
																																					=
																																					(
																																					(BgL_typez00_bglt)
																																					BGl_za2longza2z00zztype_cachez00);
																																				BgL_arg1717z00_1874
																																					=
																																					(((BgL_typez00_bglt) COBJECT(BgL_oz00_2471))->BgL_namez00);
																																			}
																																			BgL_arg1710z00_1873
																																				=
																																				BGl_stringzd2sanszd2z42z42zztype_toolsz00
																																				(BgL_arg1717z00_1874);
																																		}
																																		bgl_display_obj
																																			(BgL_arg1710z00_1873,
																																			BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																																	}
																																	bgl_display_string
																																		(BGl_string1984z00zzbackend_c_emitz00,
																																		BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																																	bgl_display_obj
																																		(BgL_valuez00_9,
																																		BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																																	return
																																		bgl_display_string
																																		(BGl_string1984z00zzbackend_c_emitz00,
																																		BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																																}
																															else
																																{	/* BackEnd/c_emit.scm 332 */
																																	if (REALP
																																		(BgL_valuez00_9))
																																		{	/* BackEnd/c_emit.scm 338 */
																																			if (BGL_IS_NAN(REAL_TO_DOUBLE(BgL_valuez00_9)))
																																				{	/* BackEnd/c_emit.scm 340 */
																																					return
																																						bgl_display_string
																																						(BGl_string2005z00zzbackend_c_emitz00,
																																						BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																																				}
																																			else
																																				{	/* BackEnd/c_emit.scm 342 */
																																					bool_t
																																						BgL_test2161z00_3229;
																																					if (BGL_IS_INF(REAL_TO_DOUBLE(BgL_valuez00_9)))
																																						{	/* BackEnd/c_emit.scm 342 */
																																							BgL_test2161z00_3229
																																								=
																																								(REAL_TO_DOUBLE
																																								(BgL_valuez00_9)
																																								>
																																								((double) 0.0));
																																						}
																																					else
																																						{	/* BackEnd/c_emit.scm 342 */
																																							BgL_test2161z00_3229
																																								=
																																								(
																																								(bool_t)
																																								0);
																																						}
																																					if (BgL_test2161z00_3229)
																																						{	/* BackEnd/c_emit.scm 342 */
																																							return
																																								bgl_display_string
																																								(BGl_string2006z00zzbackend_c_emitz00,
																																								BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																																						}
																																					else
																																						{	/* BackEnd/c_emit.scm 342 */
																																							if (BGL_IS_INF(REAL_TO_DOUBLE(BgL_valuez00_9)))
																																								{	/* BackEnd/c_emit.scm 344 */
																																									return
																																										bgl_display_string
																																										(BGl_string2007z00zzbackend_c_emitz00,
																																										BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																																								}
																																							else
																																								{	/* BackEnd/c_emit.scm 344 */
																																									bgl_display_string
																																										(BGl_string1990z00zzbackend_c_emitz00,
																																										BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																																									{	/* BackEnd/c_emit.scm 348 */
																																										obj_t
																																											BgL_arg1724z00_1880;
																																										{	/* BackEnd/c_emit.scm 348 */
																																											obj_t
																																												BgL_arg1725z00_1881;
																																											{	/* BackEnd/c_emit.scm 348 */
																																												BgL_typez00_bglt
																																													BgL_oz00_2489;
																																												BgL_oz00_2489
																																													=
																																													(
																																													(BgL_typez00_bglt)
																																													BGl_za2realza2z00zztype_cachez00);
																																												BgL_arg1725z00_1881
																																													=
																																													(
																																													((BgL_typez00_bglt) COBJECT(BgL_oz00_2489))->BgL_namez00);
																																											}
																																											BgL_arg1724z00_1880
																																												=
																																												BGl_stringzd2sanszd2z42z42zztype_toolsz00
																																												(BgL_arg1725z00_1881);
																																										}
																																										bgl_display_obj
																																											(BgL_arg1724z00_1880,
																																											BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																																									}
																																									bgl_display_string
																																										(BGl_string1984z00zzbackend_c_emitz00,
																																										BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																																									bgl_display_obj
																																										(BgL_valuez00_9,
																																										BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																																									return
																																										bgl_display_string
																																										(BGl_string1984z00zzbackend_c_emitz00,
																																										BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																																								}
																																						}
																																				}
																																		}
																																	else
																																		{	/* BackEnd/c_emit.scm 338 */
																																			if (ELONGP
																																				(BgL_valuez00_9))
																																				{	/* BackEnd/c_emit.scm 352 */
																																					bgl_display_string
																																						(BGl_string1990z00zzbackend_c_emitz00,
																																						BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																																					{	/* BackEnd/c_emit.scm 354 */
																																						obj_t
																																							BgL_arg1732z00_1884;
																																						{	/* BackEnd/c_emit.scm 354 */
																																							obj_t
																																								BgL_arg1733z00_1885;
																																							{	/* BackEnd/c_emit.scm 354 */
																																								BgL_typez00_bglt
																																									BgL_oz00_2496;
																																								BgL_oz00_2496
																																									=
																																									(
																																									(BgL_typez00_bglt)
																																									BGl_za2elongza2z00zztype_cachez00);
																																								BgL_arg1733z00_1885
																																									=
																																									(
																																									((BgL_typez00_bglt) COBJECT(BgL_oz00_2496))->BgL_namez00);
																																							}
																																							BgL_arg1732z00_1884
																																								=
																																								BGl_stringzd2sanszd2z42z42zztype_toolsz00
																																								(BgL_arg1733z00_1885);
																																						}
																																						bgl_display_obj
																																							(BgL_arg1732z00_1884,
																																							BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																																					}
																																					bgl_display_string
																																						(BGl_string1984z00zzbackend_c_emitz00,
																																						BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																																					{	/* BackEnd/c_emit.scm 356 */
																																						obj_t
																																							BgL_arg1734z00_1886;
																																						BgL_arg1734z00_1886
																																							=
																																							BGl_elongzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
																																							(BELONG_TO_LONG
																																							(BgL_valuez00_9),
																																							BNIL);
																																						bgl_display_obj
																																							(BgL_arg1734z00_1886,
																																							BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																																					}
																																					return
																																						bgl_display_string
																																						(BGl_string1984z00zzbackend_c_emitz00,
																																						BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																																				}
																																			else
																																				{	/* BackEnd/c_emit.scm 352 */
																																					if (LLONGP(BgL_valuez00_9))
																																						{	/* BackEnd/c_emit.scm 359 */
																																							obj_t
																																								BgL_arg1737z00_1889;
																																							BgL_arg1737z00_1889
																																								=
																																								BGl_llongzd2ze3czd2isoze3zzbackend_c_emitz00
																																								(BLLONG_TO_LLONG
																																								(BgL_valuez00_9));
																																							return
																																								bgl_display_obj
																																								(BgL_arg1737z00_1889,
																																								BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																																						}
																																					else
																																						{	/* BackEnd/c_emit.scm 358 */
																																							if (CNSTP(BgL_valuez00_9))
																																								{	/* BackEnd/c_emit.scm 360 */
																																									if (EOF_OBJECTP(BgL_valuez00_9))
																																										{	/* BackEnd/c_emit.scm 362 */
																																											return
																																												bgl_display_string
																																												(BGl_string2008z00zzbackend_c_emitz00,
																																												BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																																										}
																																									else
																																										{	/* BackEnd/c_emit.scm 362 */
																																											if ((BgL_valuez00_9 == BOPTIONAL))
																																												{	/* BackEnd/c_emit.scm 364 */
																																													return
																																														bgl_display_string
																																														(BGl_string2009z00zzbackend_c_emitz00,
																																														BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																																												}
																																											else
																																												{	/* BackEnd/c_emit.scm 364 */
																																													if ((BgL_valuez00_9 == BKEY))
																																														{	/* BackEnd/c_emit.scm 366 */
																																															return
																																																bgl_display_string
																																																(BGl_string2010z00zzbackend_c_emitz00,
																																																BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																																														}
																																													else
																																														{	/* BackEnd/c_emit.scm 366 */
																																															if ((BgL_valuez00_9 == BREST))
																																																{	/* BackEnd/c_emit.scm 368 */
																																																	return
																																																		bgl_display_string
																																																		(BGl_string2011z00zzbackend_c_emitz00,
																																																		BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																																																}
																																															else
																																																{	/* BackEnd/c_emit.scm 368 */
																																																	if ((BgL_valuez00_9 == BEOA))
																																																		{	/* BackEnd/c_emit.scm 370 */
																																																			return
																																																				bgl_display_string
																																																				(BGl_string2012z00zzbackend_c_emitz00,
																																																				BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																																																		}
																																																	else
																																																		{	/* BackEnd/c_emit.scm 370 */
																																																			bgl_display_string
																																																				(BGl_string2013z00zzbackend_c_emitz00,
																																																				BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																																																			{	/* BackEnd/c_emit.scm 374 */
																																																				long
																																																					BgL_arg1746z00_1896;
																																																				BgL_arg1746z00_1896
																																																					=
																																																					CCNST
																																																					(BgL_valuez00_9);
																																																				bgl_display_obj
																																																					(BINT
																																																					(BgL_arg1746z00_1896),
																																																					BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																																																			}
																																																			return
																																																				bgl_display_char
																																																				(
																																																				((unsigned char) ')'), BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																																								}}}}}}
																																							else
																																								{	/* BackEnd/c_emit.scm 360 */
																																									if (BIGNUMP(BgL_valuez00_9))
																																										{	/* BackEnd/c_emit.scm 376 */
																																											bgl_display_string
																																												(BGl_string2014z00zzbackend_c_emitz00,
																																												BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																																											{	/* BackEnd/c_emit.scm 378 */
																																												obj_t
																																													BgL_arg1751z00_1898;
																																												BgL_arg1751z00_1898
																																													=
																																													BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00
																																													(BgL_valuez00_9,
																																													BINT
																																													(((long) 16)));
																																												bgl_display_obj
																																													(BgL_arg1751z00_1898,
																																													BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																																											}
																																											return
																																												bgl_display_string
																																												(BGl_string2015z00zzbackend_c_emitz00,
																																												BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																																										}
																																									else
																																										{	/* BackEnd/c_emit.scm 376 */
																																											return
																																												bgl_display_obj
																																												(BgL_valuez00_9,
																																												BGl_za2czd2portza2zd2zzbackend_c_emitz00);
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																										}
																								}
																						}
																				}
																		}
																}
														}
												}
										}
								}
						}
				}
		}

	}



/* &emit-atom-value */
	obj_t BGl_z62emitzd2atomzd2valuez62zzbackend_c_emitz00(obj_t BgL_envz00_2624,
		obj_t BgL_valuez00_2625)
	{
		{	/* BackEnd/c_emit.scm 262 */
			return BGl_emitzd2atomzd2valuez00zzbackend_c_emitz00(BgL_valuez00_2625);
		}

	}



/* untrigraph */
	BGL_EXPORTED_DEF obj_t BGl_untrigraphz00zzbackend_c_emitz00(obj_t
		BgL_fromz00_10)
	{
		{	/* BackEnd/c_emit.scm 389 */
			{	/* BackEnd/c_emit.scm 390 */
				long BgL_lenz00_1899;

				BgL_lenz00_1899 = STRING_LENGTH(BgL_fromz00_10);
				{	/* BackEnd/c_emit.scm 390 */
					long BgL_lenzd22zd2_1900;

					BgL_lenzd22zd2_1900 = (BgL_lenz00_1899 - ((long) 2));
					{	/* BackEnd/c_emit.scm 391 */

						{	/* BackEnd/c_emit.scm 393 */
							long BgL_nbzd2colzd2_1901;

							{
								long BgL_iz00_1945;
								long BgL_nbzd2colzd2_1946;

								BgL_iz00_1945 = ((long) 0);
								BgL_nbzd2colzd2_1946 = ((long) 0);
							BgL_zc3z04anonymousza31824ze3z87_1947:
								if ((BgL_iz00_1945 > BgL_lenzd22zd2_1900))
									{	/* BackEnd/c_emit.scm 396 */
										BgL_nbzd2colzd2_1901 = BgL_nbzd2colzd2_1946;
									}
								else
									{	/* BackEnd/c_emit.scm 396 */
										if (
											(STRING_REF(BgL_fromz00_10,
													BgL_iz00_1945) == ((unsigned char) '?')))
											{	/* BackEnd/c_emit.scm 398 */
												if (
													(STRING_REF(BgL_fromz00_10,
															(BgL_iz00_1945 + ((long) 1))) ==
														((unsigned char) '?')))
													{
														long BgL_nbzd2colzd2_3309;
														long BgL_iz00_3307;

														BgL_iz00_3307 = (BgL_iz00_1945 + ((long) 2));
														BgL_nbzd2colzd2_3309 =
															(BgL_nbzd2colzd2_1946 + ((long) 1));
														BgL_nbzd2colzd2_1946 = BgL_nbzd2colzd2_3309;
														BgL_iz00_1945 = BgL_iz00_3307;
														goto BgL_zc3z04anonymousza31824ze3z87_1947;
													}
												else
													{
														long BgL_iz00_3311;

														BgL_iz00_3311 = (BgL_iz00_1945 + ((long) 2));
														BgL_iz00_1945 = BgL_iz00_3311;
														goto BgL_zc3z04anonymousza31824ze3z87_1947;
													}
											}
										else
											{
												long BgL_iz00_3313;

												BgL_iz00_3313 = (BgL_iz00_1945 + ((long) 1));
												BgL_iz00_1945 = BgL_iz00_3313;
												goto BgL_zc3z04anonymousza31824ze3z87_1947;
											}
									}
							}
							if ((BgL_nbzd2colzd2_1901 == ((long) 0)))
								{	/* BackEnd/c_emit.scm 405 */
									return BgL_fromz00_10;
								}
							else
								{	/* BackEnd/c_emit.scm 410 */
									obj_t BgL_resz00_1903;

									{	/* BackEnd/c_emit.scm 410 */
										long BgL_arg1821z00_1939;

										BgL_arg1821z00_1939 =
											(BgL_lenz00_1899 +
											(((long) 3) * (BgL_nbzd2colzd2_1901 * ((long) 2))));
										{	/* BackEnd/c_emit.scm 410 */

											BgL_resz00_1903 =
												make_string(BgL_arg1821z00_1939, ((unsigned char) ' '));
									}}
									{
										long BgL_rz00_1906;
										long BgL_wz00_1907;

										BgL_rz00_1906 = ((long) 0);
										BgL_wz00_1907 = ((long) 0);
									BgL_zc3z04anonymousza31753ze3z87_1908:
										if ((BgL_rz00_1906 == BgL_lenz00_1899))
											{	/* BackEnd/c_emit.scm 415 */
												return BgL_resz00_1903;
											}
										else
											{	/* BackEnd/c_emit.scm 417 */
												bool_t BgL_test2178z00_3323;

												if (
													(STRING_REF(BgL_fromz00_10,
															BgL_rz00_1906) == ((unsigned char) '?')))
													{	/* BackEnd/c_emit.scm 417 */
														BgL_test2178z00_3323 =
															(BgL_rz00_1906 > BgL_lenzd22zd2_1900);
													}
												else
													{	/* BackEnd/c_emit.scm 417 */
														BgL_test2178z00_3323 = ((bool_t) 1);
													}
												if (BgL_test2178z00_3323)
													{	/* BackEnd/c_emit.scm 417 */
														{	/* BackEnd/c_emit.scm 419 */
															unsigned char BgL_tmpz00_3328;

															BgL_tmpz00_3328 =
																STRING_REF(BgL_fromz00_10, BgL_rz00_1906);
															STRING_SET(BgL_resz00_1903, BgL_wz00_1907,
																BgL_tmpz00_3328);
														}
														{
															long BgL_wz00_3333;
															long BgL_rz00_3331;

															BgL_rz00_3331 = (BgL_rz00_1906 + ((long) 1));
															BgL_wz00_3333 = (BgL_wz00_1907 + ((long) 1));
															BgL_wz00_1907 = BgL_wz00_3333;
															BgL_rz00_1906 = BgL_rz00_3331;
															goto BgL_zc3z04anonymousza31753ze3z87_1908;
														}
													}
												else
													{	/* BackEnd/c_emit.scm 417 */
														if (
															(STRING_REF(BgL_fromz00_10,
																	(BgL_rz00_1906 + ((long) 1))) ==
																((unsigned char) '?')))
															{	/* BackEnd/c_emit.scm 421 */
																STRING_SET(BgL_resz00_1903, BgL_wz00_1907,
																	((unsigned char) '\\'));
																{	/* BackEnd/c_emit.scm 428 */
																	long BgL_tmpz00_3340;

																	BgL_tmpz00_3340 =
																		(BgL_wz00_1907 + ((long) 1));
																	STRING_SET(BgL_resz00_1903, BgL_tmpz00_3340,
																		((unsigned char) '0'));
																}
																{	/* BackEnd/c_emit.scm 429 */
																	long BgL_tmpz00_3343;

																	BgL_tmpz00_3343 =
																		(BgL_wz00_1907 + ((long) 2));
																	STRING_SET(BgL_resz00_1903, BgL_tmpz00_3343,
																		((unsigned char) '7'));
																}
																{	/* BackEnd/c_emit.scm 430 */
																	long BgL_tmpz00_3346;

																	BgL_tmpz00_3346 =
																		(BgL_wz00_1907 + ((long) 3));
																	STRING_SET(BgL_resz00_1903, BgL_tmpz00_3346,
																		((unsigned char) '7'));
																}
																{	/* BackEnd/c_emit.scm 431 */
																	long BgL_tmpz00_3349;

																	BgL_tmpz00_3349 =
																		(BgL_wz00_1907 + ((long) 4));
																	STRING_SET(BgL_resz00_1903, BgL_tmpz00_3349,
																		((unsigned char) '\\'));
																}
																{	/* BackEnd/c_emit.scm 432 */
																	long BgL_tmpz00_3352;

																	BgL_tmpz00_3352 =
																		(BgL_wz00_1907 + ((long) 5));
																	STRING_SET(BgL_resz00_1903, BgL_tmpz00_3352,
																		((unsigned char) '0'));
																}
																{	/* BackEnd/c_emit.scm 433 */
																	long BgL_tmpz00_3355;

																	BgL_tmpz00_3355 =
																		(BgL_wz00_1907 + ((long) 6));
																	STRING_SET(BgL_resz00_1903, BgL_tmpz00_3355,
																		((unsigned char) '7'));
																}
																{	/* BackEnd/c_emit.scm 434 */
																	long BgL_tmpz00_3358;

																	BgL_tmpz00_3358 =
																		(BgL_wz00_1907 + ((long) 7));
																	STRING_SET(BgL_resz00_1903, BgL_tmpz00_3358,
																		((unsigned char) '7'));
																}
																{
																	long BgL_wz00_3363;
																	long BgL_rz00_3361;

																	BgL_rz00_3361 = (BgL_rz00_1906 + ((long) 2));
																	BgL_wz00_3363 = (BgL_wz00_1907 + ((long) 8));
																	BgL_wz00_1907 = BgL_wz00_3363;
																	BgL_rz00_1906 = BgL_rz00_3361;
																	goto BgL_zc3z04anonymousza31753ze3z87_1908;
																}
															}
														else
															{	/* BackEnd/c_emit.scm 421 */
																STRING_SET(BgL_resz00_1903, BgL_wz00_1907,
																	((unsigned char) '?'));
																{	/* BackEnd/c_emit.scm 423 */
																	unsigned char BgL_auxz00_3368;
																	long BgL_tmpz00_3366;

																	BgL_auxz00_3368 =
																		STRING_REF(BgL_fromz00_10,
																		(BgL_rz00_1906 + ((long) 1)));
																	BgL_tmpz00_3366 =
																		(BgL_wz00_1907 + ((long) 1));
																	STRING_SET(BgL_resz00_1903, BgL_tmpz00_3366,
																		BgL_auxz00_3368);
																}
																{
																	long BgL_wz00_3374;
																	long BgL_rz00_3372;

																	BgL_rz00_3372 = (BgL_rz00_1906 + ((long) 2));
																	BgL_wz00_3374 = (BgL_wz00_1907 + ((long) 2));
																	BgL_wz00_1907 = BgL_wz00_3374;
																	BgL_rz00_1906 = BgL_rz00_3372;
																	goto BgL_zc3z04anonymousza31753ze3z87_1908;
																}
															}
													}
											}
									}
								}
						}
					}
				}
			}
		}

	}



/* &untrigraph */
	obj_t BGl_z62untrigraphz62zzbackend_c_emitz00(obj_t BgL_envz00_2626,
		obj_t BgL_fromz00_2627)
	{
		{	/* BackEnd/c_emit.scm 389 */
			return BGl_untrigraphz00zzbackend_c_emitz00(BgL_fromz00_2627);
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzbackend_c_emitz00()
	{
		{	/* BackEnd/c_emit.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzbackend_c_emitz00()
	{
		{	/* BackEnd/c_emit.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzbackend_c_emitz00()
	{
		{	/* BackEnd/c_emit.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzbackend_c_emitz00()
	{
		{	/* BackEnd/c_emit.scm 15 */
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 311443803),
				BSTRING_TO_STRING(BGl_string2016z00zzbackend_c_emitz00));
			BGl_modulezd2initializa7ationz75zzengine_configurez00(((long) 272817175),
				BSTRING_TO_STRING(BGl_string2016z00zzbackend_c_emitz00));
			BGl_modulezd2initializa7ationz75zztools_licensez00(((long) 110617375),
				BSTRING_TO_STRING(BGl_string2016z00zzbackend_c_emitz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2016z00zzbackend_c_emitz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2016z00zzbackend_c_emitz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2016z00zzbackend_c_emitz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2016z00zzbackend_c_emitz00));
			BGl_modulezd2initializa7ationz75zzcgen_copz00(((long) 470780691),
				BSTRING_TO_STRING(BGl_string2016z00zzbackend_c_emitz00));
			BGl_modulezd2initializa7ationz75zzcgen_emitzd2copzd2(((long) 371489745),
				BSTRING_TO_STRING(BGl_string2016z00zzbackend_c_emitz00));
			return
				BGl_modulezd2initializa7ationz75zztype_toolsz00(((long) 453414928),
				BSTRING_TO_STRING(BGl_string2016z00zzbackend_c_emitz00));
		}

	}

#ifdef __cplusplus
}
#endif
