/*===========================================================================*/
/*   (Fail/walk.scm)                                                         */
/*   Bigloo (4.4b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon 22 Mar 2021 06:56:16 PM CET     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.4b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Fail/walk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	static BgL_nodez00_bglt
		BGl_z62failzd2nodez12zd2letzd2var1279za2zzfail_walkz00(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_z62failzd2walkz12za2zzfail_walkz00(obj_t, obj_t);
	extern obj_t BGl_locationzd2fullzd2fnamez00zztools_locationz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzfail_walkz00 = BUNSPEC;
	static obj_t BGl_za2errorza2z00zzfail_walkz00 = BUNSPEC;
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62failzd2nodez12zd2boxzd2ref1289za2zzfail_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62failzd2nodez12zd2kwote1252z70zzfail_walkz00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzfail_walkz00();
	extern obj_t BGl_sequencez00zzast_nodez00;
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzfail_walkz00();
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00();
	static obj_t BGl_objectzd2initzd2zzfail_walkz00();
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62failzd2nodez12zd2appzd2ly1262za2zzfail_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62failzd2nodez12zd2atom1250z70zzfail_walkz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzfail_walkz00();
	extern obj_t BGl_externz00zzast_nodez00;
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62failzd2nodez12zd2condition1270z70zzfail_walkz00(obj_t, obj_t);
	static obj_t BGl_failzd2nodeza2z12z62zzfail_walkz00(obj_t);
	static obj_t BGl_z62failzd2nodez121247za2zzfail_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62failzd2nodez12zd2extern1266z70zzfail_walkz00(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_failzd2nodez12zc0zzfail_walkz00(BgL_nodez00_bglt);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62failzd2nodez12zd2switch1275z70zzfail_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31337ze3ze5zzfail_walkz00(obj_t);
	static BgL_nodez00_bglt BGl_z62failzd2nodez12za2zzfail_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62failzd2nodez12zd2makezd2box1287za2zzfail_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62failzd2nodez12zd2boxzd2setz121291zb0zzfail_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62failzd2nodez12zd2var1254z70zzfail_walkz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzfail_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62failzd2nodez12zd2letzd2fun1277za2zzfail_walkz00(obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_failzd2funz12zc0zzfail_walkz00(obj_t);
	static obj_t BGl_cnstzd2initzd2zzfail_walkz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzfail_walkz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzfail_walkz00();
	static BgL_nodez00_bglt
		BGl_z62failzd2nodez12zd2jumpzd2exzd2i1285z70zzfail_walkz00(obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzfail_walkz00();
	static BgL_nodez00_bglt
		BGl_z62failzd2nodez12zd2sequence1256z70zzfail_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62failzd2nodez12zd2app1260z70zzfail_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62failzd2nodez12zd2setzd2exzd2it1283z70zzfail_walkz00(obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62failzd2nodez12zd2setq1268z70zzfail_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62failzd2nodez12zd2cast1281z70zzfail_walkz00(obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	static BgL_nodez00_bglt
		BGl_z62failzd2nodez12zd2sync1258z70zzfail_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62failzd2nodez12zd2fail1273z70zzfail_walkz00(obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_failzd2walkz12zc0zzfail_walkz00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62failzd2nodez12zd2funcall1264z70zzfail_walkz00(obj_t, obj_t);
	static obj_t __cnst[9];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzd2walkz12zd2envz12zzfail_walkz00,
		BgL_bgl_za762failza7d2walkza711881za7,
		BGl_z62failzd2walkz12za2zzfail_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_failzd2nodez12zd2envz12zzfail_walkz00,
		BgL_bgl_za762failza7d2nodeza711882za7,
		BGl_z62failzd2nodez12za2zzfail_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1843z00zzfail_walkz00,
		BgL_bgl_string1843za700za7za7f1883za7, "Fail", 4);
	      DEFINE_STRING(BGl_string1844z00zzfail_walkz00,
		BgL_bgl_string1844za700za7za7f1884za7, "   . ", 5);
	      DEFINE_STRING(BGl_string1846z00zzfail_walkz00,
		BgL_bgl_string1846za700za7za7f1885za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string1847z00zzfail_walkz00,
		BgL_bgl_string1847za700za7za7f1886za7, " error", 6);
	      DEFINE_STRING(BGl_string1848z00zzfail_walkz00,
		BgL_bgl_string1848za700za7za7f1887za7, "s", 1);
	      DEFINE_STRING(BGl_string1849z00zzfail_walkz00,
		BgL_bgl_string1849za700za7za7f1888za7, "", 0);
	      DEFINE_STRING(BGl_string1850z00zzfail_walkz00,
		BgL_bgl_string1850za700za7za7f1889za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string1851z00zzfail_walkz00,
		BgL_bgl_string1851za700za7za7f1890za7, "failure during postlude hook", 28);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1845z00zzfail_walkz00,
		BgL_bgl_za762za7c3za704anonymo1891za7,
		BGl_z62zc3z04anonymousza31337ze3ze5zzfail_walkz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string1853z00zzfail_walkz00,
		BgL_bgl_string1853za700za7za7f1892za7, "fail-node!1247", 14);
	      DEFINE_STRING(BGl_string1854z00zzfail_walkz00,
		BgL_bgl_string1854za700za7za7f1893za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1856z00zzfail_walkz00,
		BgL_bgl_string1856za700za7za7f1894za7, "fail-node!", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1852z00zzfail_walkz00,
		BgL_bgl_za762failza7d2nodeza711895za7,
		BGl_z62failzd2nodez121247za2zzfail_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1855z00zzfail_walkz00,
		BgL_bgl_za762failza7d2nodeza711896za7,
		BGl_z62failzd2nodez12zd2atom1250z70zzfail_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1857z00zzfail_walkz00,
		BgL_bgl_za762failza7d2nodeza711897za7,
		BGl_z62failzd2nodez12zd2kwote1252z70zzfail_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1858z00zzfail_walkz00,
		BgL_bgl_za762failza7d2nodeza711898za7,
		BGl_z62failzd2nodez12zd2var1254z70zzfail_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1859z00zzfail_walkz00,
		BgL_bgl_za762failza7d2nodeza711899za7,
		BGl_z62failzd2nodez12zd2sequence1256z70zzfail_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1860z00zzfail_walkz00,
		BgL_bgl_za762failza7d2nodeza711900za7,
		BGl_z62failzd2nodez12zd2sync1258z70zzfail_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1861z00zzfail_walkz00,
		BgL_bgl_za762failza7d2nodeza711901za7,
		BGl_z62failzd2nodez12zd2app1260z70zzfail_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1862z00zzfail_walkz00,
		BgL_bgl_za762failza7d2nodeza711902za7,
		BGl_z62failzd2nodez12zd2appzd2ly1262za2zzfail_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1863z00zzfail_walkz00,
		BgL_bgl_za762failza7d2nodeza711903za7,
		BGl_z62failzd2nodez12zd2funcall1264z70zzfail_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1864z00zzfail_walkz00,
		BgL_bgl_za762failza7d2nodeza711904za7,
		BGl_z62failzd2nodez12zd2extern1266z70zzfail_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1865z00zzfail_walkz00,
		BgL_bgl_za762failza7d2nodeza711905za7,
		BGl_z62failzd2nodez12zd2setq1268z70zzfail_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1866z00zzfail_walkz00,
		BgL_bgl_za762failza7d2nodeza711906za7,
		BGl_z62failzd2nodez12zd2condition1270z70zzfail_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1867z00zzfail_walkz00,
		BgL_bgl_za762failza7d2nodeza711907za7,
		BGl_z62failzd2nodez12zd2fail1273z70zzfail_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1868z00zzfail_walkz00,
		BgL_bgl_za762failza7d2nodeza711908za7,
		BGl_z62failzd2nodez12zd2switch1275z70zzfail_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1869z00zzfail_walkz00,
		BgL_bgl_za762failza7d2nodeza711909za7,
		BGl_z62failzd2nodez12zd2letzd2fun1277za2zzfail_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1877z00zzfail_walkz00,
		BgL_bgl_string1877za700za7za7f1910za7, "fail_walk", 9);
	      DEFINE_STRING(BGl_string1878z00zzfail_walkz00,
		BgL_bgl_string1878za700za7za7f1911za7,
		"value error/location location fail-node!1247 done error __error pass-started ((lambda () (set! *error* (find-global (quote error) (quote __error))))) ",
		150);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1870z00zzfail_walkz00,
		BgL_bgl_za762failza7d2nodeza711912za7,
		BGl_z62failzd2nodez12zd2letzd2var1279za2zzfail_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1871z00zzfail_walkz00,
		BgL_bgl_za762failza7d2nodeza711913za7,
		BGl_z62failzd2nodez12zd2cast1281z70zzfail_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1872z00zzfail_walkz00,
		BgL_bgl_za762failza7d2nodeza711914za7,
		BGl_z62failzd2nodez12zd2setzd2exzd2it1283z70zzfail_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1873z00zzfail_walkz00,
		BgL_bgl_za762failza7d2nodeza711915za7,
		BGl_z62failzd2nodez12zd2jumpzd2exzd2i1285z70zzfail_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1874z00zzfail_walkz00,
		BgL_bgl_za762failza7d2nodeza711916za7,
		BGl_z62failzd2nodez12zd2makezd2box1287za2zzfail_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1875z00zzfail_walkz00,
		BgL_bgl_za762failza7d2nodeza711917za7,
		BGl_z62failzd2nodez12zd2boxzd2ref1289za2zzfail_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1876z00zzfail_walkz00,
		BgL_bgl_za762failza7d2nodeza711918za7,
		BGl_z62failzd2nodez12zd2boxzd2setz121291zb0zzfail_walkz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzfail_walkz00));
		     ADD_ROOT((void *) (&BGl_za2errorza2z00zzfail_walkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzfail_walkz00(long
		BgL_checksumz00_2109, char *BgL_fromz00_2110)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzfail_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzfail_walkz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzfail_walkz00();
					BGl_libraryzd2moduleszd2initz00zzfail_walkz00();
					BGl_cnstzd2initzd2zzfail_walkz00();
					BGl_importedzd2moduleszd2initz00zzfail_walkz00();
					BGl_genericzd2initzd2zzfail_walkz00();
					BGl_methodzd2initzd2zzfail_walkz00();
					return BGl_toplevelzd2initzd2zzfail_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzfail_walkz00()
	{
		{	/* Fail/walk.scm 18 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"fail_walk");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "fail_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"fail_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"fail_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "fail_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"fail_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "fail_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"fail_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"fail_walk");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "fail_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"fail_walk");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0), "fail_walk");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "fail_walk");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzfail_walkz00()
	{
		{	/* Fail/walk.scm 18 */
			{	/* Fail/walk.scm 18 */
				obj_t BgL_cportz00_2010;

				{	/* Fail/walk.scm 18 */
					obj_t BgL_stringz00_2018;

					BgL_stringz00_2018 = BGl_string1878z00zzfail_walkz00;
					{	/* Fail/walk.scm 18 */
						obj_t BgL_startz00_2019;

						BgL_startz00_2019 = BINT(((long) 0));
						{	/* Fail/walk.scm 18 */
							obj_t BgL_endz00_2020;

							BgL_endz00_2020 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2018)));
							{	/* Fail/walk.scm 18 */

								BgL_cportz00_2010 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2018, BgL_startz00_2019, BgL_endz00_2020);
				}}}}
				{
					long BgL_iz00_2011;

					BgL_iz00_2011 = ((long) 8);
				BgL_loopz00_2012:
					if ((BgL_iz00_2011 == ((long) -1)))
						{	/* Fail/walk.scm 18 */
							return BUNSPEC;
						}
					else
						{	/* Fail/walk.scm 18 */
							{	/* Fail/walk.scm 18 */
								obj_t BgL_arg1880z00_2014;

								{	/* Fail/walk.scm 18 */

									{	/* Fail/walk.scm 18 */
										obj_t BgL_locationz00_2016;

										BgL_locationz00_2016 = BBOOL(((bool_t) 0));
										{	/* Fail/walk.scm 18 */

											BgL_arg1880z00_2014 =
												BGl_readz00zz__readerz00(BgL_cportz00_2010,
												BgL_locationz00_2016);
										}
									}
								}
								{	/* Fail/walk.scm 18 */
									int BgL_tmpz00_2143;

									BgL_tmpz00_2143 = (int) (BgL_iz00_2011);
									CNST_TABLE_SET(BgL_tmpz00_2143, BgL_arg1880z00_2014);
							}}
							{	/* Fail/walk.scm 18 */
								int BgL_auxz00_2017;

								BgL_auxz00_2017 = (int) ((BgL_iz00_2011 - ((long) 1)));
								{
									long BgL_iz00_2148;

									BgL_iz00_2148 = (long) (BgL_auxz00_2017);
									BgL_iz00_2011 = BgL_iz00_2148;
									goto BgL_loopz00_2012;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzfail_walkz00()
	{
		{	/* Fail/walk.scm 18 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzfail_walkz00()
	{
		{	/* Fail/walk.scm 18 */
			BGl_za2errorza2z00zzfail_walkz00 = BUNSPEC;
			return BUNSPEC;
		}

	}



/* fail-walk! */
	BGL_EXPORTED_DEF obj_t BGl_failzd2walkz12zc0zzfail_walkz00(obj_t
		BgL_globalsz00_17)
	{
		{	/* Fail/walk.scm 39 */
			{	/* Fail/walk.scm 40 */
				obj_t BgL_list1314z00_1391;

				{	/* Fail/walk.scm 40 */
					obj_t BgL_arg1316z00_1392;

					{	/* Fail/walk.scm 40 */
						obj_t BgL_arg1317z00_1393;

						BgL_arg1317z00_1393 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1316z00_1392 =
							MAKE_YOUNG_PAIR(BGl_string1843z00zzfail_walkz00,
							BgL_arg1317z00_1393);
					}
					BgL_list1314z00_1391 =
						MAKE_YOUNG_PAIR(BGl_string1844z00zzfail_walkz00,
						BgL_arg1316z00_1392);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list1314z00_1391);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string1843z00zzfail_walkz00;
			{	/* Fail/walk.scm 40 */
				obj_t BgL_g1108z00_1394;
				obj_t BgL_g1109z00_1395;

				{	/* Fail/walk.scm 40 */
					obj_t BgL_list1336z00_1409;

					BgL_list1336z00_1409 =
						MAKE_YOUNG_PAIR(BGl_proc1845z00zzfail_walkz00, BNIL);
					BgL_g1108z00_1394 = BgL_list1336z00_1409;
				}
				BgL_g1109z00_1395 = CNST_TABLE_REF(((long) 0));
				{
					obj_t BgL_hooksz00_1397;
					obj_t BgL_hnamesz00_1398;

					BgL_hooksz00_1397 = BgL_g1108z00_1394;
					BgL_hnamesz00_1398 = BgL_g1109z00_1395;
				BgL_zc3z04anonymousza31318ze3z87_1399:
					if (NULLP(BgL_hooksz00_1397))
						{	/* Fail/walk.scm 40 */
							CNST_TABLE_REF(((long) 1));
						}
					else
						{	/* Fail/walk.scm 40 */
							bool_t BgL_test1922z00_2163;

							{	/* Fail/walk.scm 40 */
								obj_t BgL_fun1333z00_1406;

								BgL_fun1333z00_1406 = CAR(((obj_t) BgL_hooksz00_1397));
								BgL_test1922z00_2163 =
									CBOOL(PROCEDURE_ENTRY(BgL_fun1333z00_1406)
									(BgL_fun1333z00_1406, BEOA));
							}
							if (BgL_test1922z00_2163)
								{	/* Fail/walk.scm 40 */
									obj_t BgL_arg1329z00_1403;
									obj_t BgL_arg1331z00_1404;

									BgL_arg1329z00_1403 = CDR(((obj_t) BgL_hooksz00_1397));
									BgL_arg1331z00_1404 = CDR(((obj_t) BgL_hnamesz00_1398));
									{
										obj_t BgL_hnamesz00_2175;
										obj_t BgL_hooksz00_2174;

										BgL_hooksz00_2174 = BgL_arg1329z00_1403;
										BgL_hnamesz00_2175 = BgL_arg1331z00_1404;
										BgL_hnamesz00_1398 = BgL_hnamesz00_2175;
										BgL_hooksz00_1397 = BgL_hooksz00_2174;
										goto BgL_zc3z04anonymousza31318ze3z87_1399;
									}
								}
							else
								{	/* Fail/walk.scm 40 */
									obj_t BgL_arg1332z00_1405;

									BgL_arg1332z00_1405 = CAR(((obj_t) BgL_hnamesz00_1398));
									BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string1843z00zzfail_walkz00,
										BGl_string1846z00zzfail_walkz00, BgL_arg1332z00_1405);
								}
						}
				}
			}
			{
				obj_t BgL_l1235z00_1414;

				BgL_l1235z00_1414 = BgL_globalsz00_17;
			BgL_zc3z04anonymousza31339ze3z87_1415:
				if (PAIRP(BgL_l1235z00_1414))
					{	/* Fail/walk.scm 43 */
						BGl_failzd2funz12zc0zzfail_walkz00(CAR(BgL_l1235z00_1414));
						{
							obj_t BgL_l1235z00_2183;

							BgL_l1235z00_2183 = CDR(BgL_l1235z00_1414);
							BgL_l1235z00_1414 = BgL_l1235z00_2183;
							goto BgL_zc3z04anonymousza31339ze3z87_1415;
						}
					}
				else
					{	/* Fail/walk.scm 43 */
						((bool_t) 1);
					}
			}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
					((long) 0)))
				{	/* Fail/walk.scm 44 */
					{	/* Fail/walk.scm 44 */
						obj_t BgL_port1237z00_1422;

						{	/* Fail/walk.scm 44 */
							obj_t BgL_tmpz00_2188;

							BgL_tmpz00_2188 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_port1237z00_1422 =
								BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_2188);
						}
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port1237z00_1422);
						bgl_display_string(BGl_string1847z00zzfail_walkz00,
							BgL_port1237z00_1422);
						{	/* Fail/walk.scm 44 */
							obj_t BgL_arg1346z00_1423;

							{	/* Fail/walk.scm 44 */
								bool_t BgL_test1925z00_2193;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Fail/walk.scm 44 */
										if (INTEGERP
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Fail/walk.scm 44 */
												BgL_test1925z00_2193 =
													(
													(long)
													CINT
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
													> ((long) 1));
											}
										else
											{	/* Fail/walk.scm 44 */
												BgL_test1925z00_2193 =
													BGl_2ze3ze3zz__r4_numbers_6_5z00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BINT(((long) 1)));
									}}
								else
									{	/* Fail/walk.scm 44 */
										BgL_test1925z00_2193 = ((bool_t) 0);
									}
								if (BgL_test1925z00_2193)
									{	/* Fail/walk.scm 44 */
										BgL_arg1346z00_1423 = BGl_string1848z00zzfail_walkz00;
									}
								else
									{	/* Fail/walk.scm 44 */
										BgL_arg1346z00_1423 = BGl_string1849z00zzfail_walkz00;
									}
							}
							bgl_display_obj(BgL_arg1346z00_1423, BgL_port1237z00_1422);
						}
						bgl_display_string(BGl_string1850z00zzfail_walkz00,
							BgL_port1237z00_1422);
						bgl_display_char(((unsigned char) 10), BgL_port1237z00_1422);
					}
					{	/* Fail/walk.scm 44 */
						obj_t BgL_list1352z00_1429;

						BgL_list1352z00_1429 = MAKE_YOUNG_PAIR(BINT(((long) -1)), BNIL);
						return BGl_exitz00zz__errorz00(BgL_list1352z00_1429);
					}
				}
			else
				{	/* Fail/walk.scm 44 */
					obj_t BgL_g1110z00_1430;

					BgL_g1110z00_1430 = BNIL;
					{
						obj_t BgL_hooksz00_1433;
						obj_t BgL_hnamesz00_1434;

						BgL_hooksz00_1433 = BgL_g1110z00_1430;
						BgL_hnamesz00_1434 = BNIL;
					BgL_zc3z04anonymousza31353ze3z87_1435:
						if (NULLP(BgL_hooksz00_1433))
							{	/* Fail/walk.scm 44 */
								return BgL_globalsz00_17;
							}
						else
							{	/* Fail/walk.scm 44 */
								bool_t BgL_test1929z00_2210;

								{	/* Fail/walk.scm 44 */
									obj_t BgL_fun1370z00_1442;

									BgL_fun1370z00_1442 = CAR(((obj_t) BgL_hooksz00_1433));
									BgL_test1929z00_2210 =
										CBOOL(PROCEDURE_ENTRY(BgL_fun1370z00_1442)
										(BgL_fun1370z00_1442, BEOA));
								}
								if (BgL_test1929z00_2210)
									{	/* Fail/walk.scm 44 */
										obj_t BgL_arg1367z00_1439;
										obj_t BgL_arg1368z00_1440;

										BgL_arg1367z00_1439 = CDR(((obj_t) BgL_hooksz00_1433));
										BgL_arg1368z00_1440 = CDR(((obj_t) BgL_hnamesz00_1434));
										{
											obj_t BgL_hnamesz00_2222;
											obj_t BgL_hooksz00_2221;

											BgL_hooksz00_2221 = BgL_arg1367z00_1439;
											BgL_hnamesz00_2222 = BgL_arg1368z00_1440;
											BgL_hnamesz00_1434 = BgL_hnamesz00_2222;
											BgL_hooksz00_1433 = BgL_hooksz00_2221;
											goto BgL_zc3z04anonymousza31353ze3z87_1435;
										}
									}
								else
									{	/* Fail/walk.scm 44 */
										obj_t BgL_arg1369z00_1441;

										BgL_arg1369z00_1441 = CAR(((obj_t) BgL_hnamesz00_1434));
										return
											BGl_internalzd2errorzd2zztools_errorz00
											(BGl_za2currentzd2passza2zd2zzengine_passz00,
											BGl_string1851z00zzfail_walkz00, BgL_arg1369z00_1441);
									}
							}
					}
				}
		}

	}



/* &fail-walk! */
	obj_t BGl_z62failzd2walkz12za2zzfail_walkz00(obj_t BgL_envz00_1938,
		obj_t BgL_globalsz00_1939)
	{
		{	/* Fail/walk.scm 39 */
			return BGl_failzd2walkz12zc0zzfail_walkz00(BgL_globalsz00_1939);
		}

	}



/* &<@anonymous:1337> */
	obj_t BGl_z62zc3z04anonymousza31337ze3ze5zzfail_walkz00(obj_t BgL_envz00_1940)
	{
		{	/* Fail/walk.scm 41 */
			{	/* Fail/walk.scm 42 */
				obj_t BgL_list1338z00_2022;

				BgL_list1338z00_2022 =
					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 2)), BNIL);
				return (BGl_za2errorza2z00zzfail_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 3)),
						BgL_list1338z00_2022), BUNSPEC);
		}}

	}



/* fail-fun! */
	obj_t BGl_failzd2funz12zc0zzfail_walkz00(obj_t BgL_varz00_18)
	{
		{	/* Fail/walk.scm 49 */
			{	/* Fail/walk.scm 51 */
				BgL_valuez00_bglt BgL_funz00_1445;

				BgL_funz00_1445 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_18)))->BgL_valuez00);
				{	/* Fail/walk.scm 51 */
					obj_t BgL_bodyz00_1446;

					BgL_bodyz00_1446 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt) BgL_funz00_1445)))->BgL_bodyz00);
					{	/* Fail/walk.scm 53 */

						{	/* Fail/walk.scm 54 */
							obj_t BgL_arg1372z00_1448;

							BgL_arg1372z00_1448 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_varz00_18)))->BgL_idz00);
							BGl_enterzd2functionzd2zztools_errorz00(BgL_arg1372z00_1448);
						}
						{	/* Fail/walk.scm 55 */
							BgL_nodez00_bglt BgL_arg1373z00_1449;

							BgL_arg1373z00_1449 =
								BGl_failzd2nodez12zc0zzfail_walkz00(
								((BgL_nodez00_bglt) BgL_bodyz00_1446));
							((((BgL_sfunz00_bglt) COBJECT(
											((BgL_sfunz00_bglt) BgL_funz00_1445)))->BgL_bodyz00) =
								((obj_t) ((obj_t) BgL_arg1373z00_1449)), BUNSPEC);
						}
						return BGl_leavezd2functionzd2zztools_errorz00();
					}
				}
			}
		}

	}



/* fail-node*! */
	obj_t BGl_failzd2nodeza2z12z62zzfail_walkz00(obj_t BgL_nodeza2za2_41)
	{
		{	/* Fail/walk.scm 255 */
		BGl_failzd2nodeza2z12z62zzfail_walkz00:
			if (NULLP(BgL_nodeza2za2_41))
				{	/* Fail/walk.scm 256 */
					return CNST_TABLE_REF(((long) 4));
				}
			else
				{	/* Fail/walk.scm 256 */
					{	/* Fail/walk.scm 259 */
						BgL_nodez00_bglt BgL_arg1396z00_1451;

						{	/* Fail/walk.scm 259 */
							obj_t BgL_arg1404z00_1452;

							BgL_arg1404z00_1452 = CAR(((obj_t) BgL_nodeza2za2_41));
							BgL_arg1396z00_1451 =
								BGl_failzd2nodez12zc0zzfail_walkz00(
								((BgL_nodez00_bglt) BgL_arg1404z00_1452));
						}
						{	/* Fail/walk.scm 259 */
							obj_t BgL_auxz00_2253;
							obj_t BgL_tmpz00_2251;

							BgL_auxz00_2253 = ((obj_t) BgL_arg1396z00_1451);
							BgL_tmpz00_2251 = ((obj_t) BgL_nodeza2za2_41);
							SET_CAR(BgL_tmpz00_2251, BgL_auxz00_2253);
						}
					}
					{	/* Fail/walk.scm 260 */
						obj_t BgL_arg1409z00_1453;

						BgL_arg1409z00_1453 = CDR(((obj_t) BgL_nodeza2za2_41));
						{
							obj_t BgL_nodeza2za2_2258;

							BgL_nodeza2za2_2258 = BgL_arg1409z00_1453;
							BgL_nodeza2za2_41 = BgL_nodeza2za2_2258;
							goto BGl_failzd2nodeza2z12z62zzfail_walkz00;
						}
					}
				}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzfail_walkz00()
	{
		{	/* Fail/walk.scm 18 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzfail_walkz00()
	{
		{	/* Fail/walk.scm 18 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_failzd2nodez12zd2envz12zzfail_walkz00,
				BGl_proc1852z00zzfail_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string1853z00zzfail_walkz00);
		}

	}



/* &fail-node!1247 */
	obj_t BGl_z62failzd2nodez121247za2zzfail_walkz00(obj_t BgL_envz00_1942,
		obj_t BgL_nodez00_1943)
	{
		{	/* Fail/walk.scm 61 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 5)),
				BGl_string1854z00zzfail_walkz00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_1943)));
		}

	}



/* fail-node! */
	BgL_nodez00_bglt BGl_failzd2nodez12zc0zzfail_walkz00(BgL_nodez00_bglt
		BgL_nodez00_19)
	{
		{	/* Fail/walk.scm 61 */
			{	/* Fail/walk.scm 61 */
				obj_t BgL_method1248z00_1458;

				{	/* Fail/walk.scm 61 */
					obj_t BgL_res1840z00_1882;

					{	/* Fail/walk.scm 61 */
						long BgL_objzd2classzd2numz00_1853;

						BgL_objzd2classzd2numz00_1853 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_19));
						{	/* Fail/walk.scm 61 */
							obj_t BgL_arg1791z00_1854;

							BgL_arg1791z00_1854 =
								PROCEDURE_REF(BGl_failzd2nodez12zd2envz12zzfail_walkz00,
								(int) (((long) 1)));
							{	/* Fail/walk.scm 61 */
								int BgL_offsetz00_1857;

								BgL_offsetz00_1857 = (int) (BgL_objzd2classzd2numz00_1853);
								{	/* Fail/walk.scm 61 */
									long BgL_offsetz00_1858;

									BgL_offsetz00_1858 =
										((long) (BgL_offsetz00_1857) - OBJECT_TYPE);
									{	/* Fail/walk.scm 61 */
										long BgL_modz00_1859;

										BgL_modz00_1859 =
											(BgL_offsetz00_1858 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Fail/walk.scm 61 */
											long BgL_restz00_1861;

											BgL_restz00_1861 =
												(BgL_offsetz00_1858 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Fail/walk.scm 61 */

												{	/* Fail/walk.scm 61 */
													obj_t BgL_bucketz00_1863;

													BgL_bucketz00_1863 =
														VECTOR_REF(
														((obj_t) BgL_arg1791z00_1854), BgL_modz00_1859);
													BgL_res1840z00_1882 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_1863), BgL_restz00_1861);
					}}}}}}}}
					BgL_method1248z00_1458 = BgL_res1840z00_1882;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1248z00_1458) (BgL_method1248z00_1458,
						((obj_t) BgL_nodez00_19), BEOA));
			}
		}

	}



/* &fail-node! */
	BgL_nodez00_bglt BGl_z62failzd2nodez12za2zzfail_walkz00(obj_t BgL_envz00_1944,
		obj_t BgL_nodez00_1945)
	{
		{	/* Fail/walk.scm 61 */
			return
				BGl_failzd2nodez12zc0zzfail_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_1945));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzfail_walkz00()
	{
		{	/* Fail/walk.scm 18 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BGl_atomz00zzast_nodez00,
				BGl_proc1855z00zzfail_walkz00, BGl_string1856z00zzfail_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BGl_kwotez00zzast_nodez00,
				BGl_proc1857z00zzfail_walkz00, BGl_string1856z00zzfail_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BGl_varz00zzast_nodez00,
				BGl_proc1858z00zzfail_walkz00, BGl_string1856z00zzfail_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failzd2nodez12zd2envz12zzfail_walkz00,
				BGl_sequencez00zzast_nodez00, BGl_proc1859z00zzfail_walkz00,
				BGl_string1856z00zzfail_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc1860z00zzfail_walkz00, BGl_string1856z00zzfail_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc1861z00zzfail_walkz00, BGl_string1856z00zzfail_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failzd2nodez12zd2envz12zzfail_walkz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1862z00zzfail_walkz00,
				BGl_string1856z00zzfail_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc1863z00zzfail_walkz00, BGl_string1856z00zzfail_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc1864z00zzfail_walkz00, BGl_string1856z00zzfail_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc1865z00zzfail_walkz00, BGl_string1856z00zzfail_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failzd2nodez12zd2envz12zzfail_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1866z00zzfail_walkz00,
				BGl_string1856z00zzfail_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc1867z00zzfail_walkz00, BGl_string1856z00zzfail_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BGl_switchz00zzast_nodez00,
				BGl_proc1868z00zzfail_walkz00, BGl_string1856z00zzfail_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failzd2nodez12zd2envz12zzfail_walkz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1869z00zzfail_walkz00,
				BGl_string1856z00zzfail_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failzd2nodez12zd2envz12zzfail_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1870z00zzfail_walkz00,
				BGl_string1856z00zzfail_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc1871z00zzfail_walkz00, BGl_string1856z00zzfail_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failzd2nodez12zd2envz12zzfail_walkz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1872z00zzfail_walkz00,
				BGl_string1856z00zzfail_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failzd2nodez12zd2envz12zzfail_walkz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1873z00zzfail_walkz00,
				BGl_string1856z00zzfail_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failzd2nodez12zd2envz12zzfail_walkz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1874z00zzfail_walkz00,
				BGl_string1856z00zzfail_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failzd2nodez12zd2envz12zzfail_walkz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1875z00zzfail_walkz00,
				BGl_string1856z00zzfail_walkz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failzd2nodez12zd2envz12zzfail_walkz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1876z00zzfail_walkz00,
				BGl_string1856z00zzfail_walkz00);
		}

	}



/* &fail-node!-box-set!1291 */
	BgL_nodez00_bglt
		BGl_z62failzd2nodez12zd2boxzd2setz121291zb0zzfail_walkz00(obj_t
		BgL_envz00_1967, obj_t BgL_nodez00_1968)
	{
		{	/* Fail/walk.scm 247 */
			{
				BgL_nodez00_bglt BgL_auxz00_2318;

				{	/* Fail/walk.scm 249 */
					BgL_nodez00_bglt BgL_arg1721z00_2025;

					BgL_arg1721z00_2025 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_1968)))->BgL_valuez00);
					BgL_auxz00_2318 =
						BGl_failzd2nodez12zc0zzfail_walkz00(BgL_arg1721z00_2025);
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_1968)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_2318), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_1968));
		}

	}



/* &fail-node!-box-ref1289 */
	BgL_nodez00_bglt BGl_z62failzd2nodez12zd2boxzd2ref1289za2zzfail_walkz00(obj_t
		BgL_envz00_1969, obj_t BgL_nodez00_1970)
	{
		{	/* Fail/walk.scm 241 */
			return ((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_1970));
		}

	}



/* &fail-node!-make-box1287 */
	BgL_nodez00_bglt BGl_z62failzd2nodez12zd2makezd2box1287za2zzfail_walkz00(obj_t
		BgL_envz00_1971, obj_t BgL_nodez00_1972)
	{
		{	/* Fail/walk.scm 234 */
			((((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_1972)))->BgL_valuez00) =
				((BgL_nodez00_bglt)
					BGl_failzd2nodez12zc0zzfail_walkz00((((BgL_makezd2boxzd2_bglt)
								COBJECT(((BgL_makezd2boxzd2_bglt) BgL_nodez00_1972)))->
							BgL_valuez00))), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_1972));
		}

	}



/* &fail-node!-jump-ex-i1285 */
	BgL_nodez00_bglt
		BGl_z62failzd2nodez12zd2jumpzd2exzd2i1285z70zzfail_walkz00(obj_t
		BgL_envz00_1973, obj_t BgL_nodez00_1974)
	{
		{	/* Fail/walk.scm 225 */
			{
				BgL_nodez00_bglt BgL_auxz00_2335;

				{	/* Fail/walk.scm 227 */
					BgL_nodez00_bglt BgL_arg1717z00_2029;

					BgL_arg1717z00_2029 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_1974)))->BgL_exitz00);
					BgL_auxz00_2335 =
						BGl_failzd2nodez12zc0zzfail_walkz00(BgL_arg1717z00_2029);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_1974)))->
						BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_2335), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2341;

				{	/* Fail/walk.scm 228 */
					BgL_nodez00_bglt BgL_arg1718z00_2030;

					BgL_arg1718z00_2030 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_1974)))->
						BgL_valuez00);
					BgL_auxz00_2341 =
						BGl_failzd2nodez12zc0zzfail_walkz00(BgL_arg1718z00_2030);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_1974)))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_2341), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_1974));
		}

	}



/* &fail-node!-set-ex-it1283 */
	BgL_nodez00_bglt
		BGl_z62failzd2nodez12zd2setzd2exzd2it1283z70zzfail_walkz00(obj_t
		BgL_envz00_1975, obj_t BgL_nodez00_1976)
	{
		{	/* Fail/walk.scm 218 */
			((((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_1976)))->BgL_bodyz00) =
				((BgL_nodez00_bglt)
					BGl_failzd2nodez12zc0zzfail_walkz00((((BgL_setzd2exzd2itz00_bglt)
								COBJECT(((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_1976)))->
							BgL_bodyz00))), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt)
					BgL_nodez00_1976));
		}

	}



/* &fail-node!-cast1281 */
	BgL_nodez00_bglt BGl_z62failzd2nodez12zd2cast1281z70zzfail_walkz00(obj_t
		BgL_envz00_1977, obj_t BgL_nodez00_1978)
	{
		{	/* Fail/walk.scm 210 */
			{
				BgL_nodez00_bglt BgL_auxz00_2356;

				{	/* Fail/walk.scm 212 */
					BgL_nodez00_bglt BgL_arg1702z00_2033;

					BgL_arg1702z00_2033 =
						(((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nodez00_1978)))->BgL_argz00);
					BgL_auxz00_2356 =
						BGl_failzd2nodez12zc0zzfail_walkz00(BgL_arg1702z00_2033);
				}
				((((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nodez00_1978)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2356), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_castz00_bglt) BgL_nodez00_1978));
		}

	}



/* &fail-node!-let-var1279 */
	BgL_nodez00_bglt BGl_z62failzd2nodez12zd2letzd2var1279za2zzfail_walkz00(obj_t
		BgL_envz00_1979, obj_t BgL_nodez00_1980)
	{
		{	/* Fail/walk.scm 199 */
			{	/* Fail/walk.scm 201 */
				obj_t BgL_g1246z00_2035;

				BgL_g1246z00_2035 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_1980)))->BgL_bindingsz00);
				{
					obj_t BgL_l1244z00_2037;

					BgL_l1244z00_2037 = BgL_g1246z00_2035;
				BgL_zc3z04anonymousza31692ze3z87_2036:
					if (PAIRP(BgL_l1244z00_2037))
						{	/* Fail/walk.scm 201 */
							{	/* Fail/walk.scm 202 */
								obj_t BgL_bindingz00_2038;

								BgL_bindingz00_2038 = CAR(BgL_l1244z00_2037);
								{	/* Fail/walk.scm 202 */
									BgL_nodez00_bglt BgL_arg1695z00_2039;

									{	/* Fail/walk.scm 202 */
										obj_t BgL_arg1696z00_2040;

										BgL_arg1696z00_2040 = CDR(((obj_t) BgL_bindingz00_2038));
										BgL_arg1695z00_2039 =
											BGl_failzd2nodez12zc0zzfail_walkz00(
											((BgL_nodez00_bglt) BgL_arg1696z00_2040));
									}
									{	/* Fail/walk.scm 202 */
										obj_t BgL_auxz00_2375;
										obj_t BgL_tmpz00_2373;

										BgL_auxz00_2375 = ((obj_t) BgL_arg1695z00_2039);
										BgL_tmpz00_2373 = ((obj_t) BgL_bindingz00_2038);
										SET_CDR(BgL_tmpz00_2373, BgL_auxz00_2375);
									}
								}
							}
							{
								obj_t BgL_l1244z00_2378;

								BgL_l1244z00_2378 = CDR(BgL_l1244z00_2037);
								BgL_l1244z00_2037 = BgL_l1244z00_2378;
								goto BgL_zc3z04anonymousza31692ze3z87_2036;
							}
						}
					else
						{	/* Fail/walk.scm 201 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2380;

				{	/* Fail/walk.scm 204 */
					BgL_nodez00_bglt BgL_arg1699z00_2041;

					BgL_arg1699z00_2041 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_1980)))->BgL_bodyz00);
					BgL_auxz00_2380 =
						BGl_failzd2nodez12zc0zzfail_walkz00(BgL_arg1699z00_2041);
				}
				((((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_1980)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2380), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nodez00_1980));
		}

	}



/* &fail-node!-let-fun1277 */
	BgL_nodez00_bglt BGl_z62failzd2nodez12zd2letzd2fun1277za2zzfail_walkz00(obj_t
		BgL_envz00_1981, obj_t BgL_nodez00_1982)
	{
		{	/* Fail/walk.scm 190 */
			{	/* Fail/walk.scm 192 */
				obj_t BgL_g1243z00_2043;

				BgL_g1243z00_2043 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_1982)))->BgL_localsz00);
				{
					obj_t BgL_l1241z00_2045;

					BgL_l1241z00_2045 = BgL_g1243z00_2043;
				BgL_zc3z04anonymousza31683ze3z87_2044:
					if (PAIRP(BgL_l1241z00_2045))
						{	/* Fail/walk.scm 192 */
							BGl_failzd2funz12zc0zzfail_walkz00(CAR(BgL_l1241z00_2045));
							{
								obj_t BgL_l1241z00_2394;

								BgL_l1241z00_2394 = CDR(BgL_l1241z00_2045);
								BgL_l1241z00_2045 = BgL_l1241z00_2394;
								goto BgL_zc3z04anonymousza31683ze3z87_2044;
							}
						}
					else
						{	/* Fail/walk.scm 192 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2396;

				{	/* Fail/walk.scm 193 */
					BgL_nodez00_bglt BgL_arg1691z00_2046;

					BgL_arg1691z00_2046 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_1982)))->BgL_bodyz00);
					BgL_auxz00_2396 =
						BGl_failzd2nodez12zc0zzfail_walkz00(BgL_arg1691z00_2046);
				}
				((((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_1982)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2396), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nodez00_1982));
		}

	}



/* &fail-node!-switch1275 */
	BgL_nodez00_bglt BGl_z62failzd2nodez12zd2switch1275z70zzfail_walkz00(obj_t
		BgL_envz00_1983, obj_t BgL_nodez00_1984)
	{
		{	/* Fail/walk.scm 179 */
			{
				BgL_nodez00_bglt BgL_auxz00_2404;

				{	/* Fail/walk.scm 181 */
					BgL_nodez00_bglt BgL_arg1673z00_2048;

					BgL_arg1673z00_2048 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_1984)))->BgL_testz00);
					BgL_auxz00_2404 =
						BGl_failzd2nodez12zc0zzfail_walkz00(BgL_arg1673z00_2048);
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_1984)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2404), BUNSPEC);
			}
			{	/* Fail/walk.scm 182 */
				obj_t BgL_g1240z00_2049;

				BgL_g1240z00_2049 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_1984)))->BgL_clausesz00);
				{
					obj_t BgL_l1238z00_2051;

					BgL_l1238z00_2051 = BgL_g1240z00_2049;
				BgL_zc3z04anonymousza31674ze3z87_2050:
					if (PAIRP(BgL_l1238z00_2051))
						{	/* Fail/walk.scm 182 */
							{	/* Fail/walk.scm 183 */
								obj_t BgL_clausez00_2052;

								BgL_clausez00_2052 = CAR(BgL_l1238z00_2051);
								{	/* Fail/walk.scm 183 */
									BgL_nodez00_bglt BgL_arg1676z00_2053;

									{	/* Fail/walk.scm 183 */
										obj_t BgL_arg1679z00_2054;

										BgL_arg1679z00_2054 = CDR(((obj_t) BgL_clausez00_2052));
										BgL_arg1676z00_2053 =
											BGl_failzd2nodez12zc0zzfail_walkz00(
											((BgL_nodez00_bglt) BgL_arg1679z00_2054));
									}
									{	/* Fail/walk.scm 183 */
										obj_t BgL_auxz00_2421;
										obj_t BgL_tmpz00_2419;

										BgL_auxz00_2421 = ((obj_t) BgL_arg1676z00_2053);
										BgL_tmpz00_2419 = ((obj_t) BgL_clausez00_2052);
										SET_CDR(BgL_tmpz00_2419, BgL_auxz00_2421);
									}
								}
							}
							{
								obj_t BgL_l1238z00_2424;

								BgL_l1238z00_2424 = CDR(BgL_l1238z00_2051);
								BgL_l1238z00_2051 = BgL_l1238z00_2424;
								goto BgL_zc3z04anonymousza31674ze3z87_2050;
							}
						}
					else
						{	/* Fail/walk.scm 182 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_1984));
		}

	}



/* &fail-node!-fail1273 */
	BgL_nodez00_bglt BGl_z62failzd2nodez12zd2fail1273z70zzfail_walkz00(obj_t
		BgL_envz00_1985, obj_t BgL_nodez00_1986)
	{
		{	/* Fail/walk.scm 160 */
			{
				BgL_nodez00_bglt BgL_auxz00_2428;

				{	/* Fail/walk.scm 162 */
					BgL_nodez00_bglt BgL_arg1604z00_2056;

					BgL_arg1604z00_2056 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_1986)))->BgL_procz00);
					BgL_auxz00_2428 =
						BGl_failzd2nodez12zc0zzfail_walkz00(BgL_arg1604z00_2056);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_1986)))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2428), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2434;

				{	/* Fail/walk.scm 163 */
					BgL_nodez00_bglt BgL_arg1605z00_2057;

					BgL_arg1605z00_2057 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_1986)))->BgL_msgz00);
					BgL_auxz00_2434 =
						BGl_failzd2nodez12zc0zzfail_walkz00(BgL_arg1605z00_2057);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_1986)))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2434), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2440;

				{	/* Fail/walk.scm 164 */
					BgL_nodez00_bglt BgL_arg1612z00_2058;

					BgL_arg1612z00_2058 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_1986)))->BgL_objz00);
					BgL_auxz00_2440 =
						BGl_failzd2nodez12zc0zzfail_walkz00(BgL_arg1612z00_2058);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_1986)))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2440), BUNSPEC);
			}
			{	/* Fail/walk.scm 165 */
				bool_t BgL_test1934z00_2446;

				{	/* Fail/walk.scm 165 */
					obj_t BgL_arg1672z00_2059;

					BgL_arg1672z00_2059 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_failz00_bglt) BgL_nodez00_1986))))->BgL_locz00);
					if (STRUCTP(BgL_arg1672z00_2059))
						{	/* Fail/walk.scm 165 */
							BgL_test1934z00_2446 =
								(STRUCT_KEY(BgL_arg1672z00_2059) == CNST_TABLE_REF(((long) 6)));
						}
					else
						{	/* Fail/walk.scm 165 */
							BgL_test1934z00_2446 = ((bool_t) 0);
						}
				}
				if (BgL_test1934z00_2446)
					{	/* Fail/walk.scm 166 */
						obj_t BgL_arg1616z00_2060;
						obj_t BgL_arg1633z00_2061;

						{	/* Fail/walk.scm 166 */
							obj_t BgL_arg1634z00_2062;

							{	/* Fail/walk.scm 166 */
								BgL_nodez00_bglt BgL_arg1638z00_2063;
								obj_t BgL_arg1643z00_2064;

								BgL_arg1638z00_2063 =
									(((BgL_failz00_bglt) COBJECT(
											((BgL_failz00_bglt) BgL_nodez00_1986)))->BgL_procz00);
								{	/* Fail/walk.scm 166 */
									BgL_nodez00_bglt BgL_arg1645z00_2065;
									obj_t BgL_arg1646z00_2066;

									BgL_arg1645z00_2065 =
										(((BgL_failz00_bglt) COBJECT(
												((BgL_failz00_bglt) BgL_nodez00_1986)))->BgL_msgz00);
									{	/* Fail/walk.scm 166 */
										BgL_nodez00_bglt BgL_arg1649z00_2067;
										obj_t BgL_arg1655z00_2068;

										BgL_arg1649z00_2067 =
											(((BgL_failz00_bglt) COBJECT(
													((BgL_failz00_bglt) BgL_nodez00_1986)))->BgL_objz00);
										{	/* Fail/walk.scm 169 */
											obj_t BgL_arg1659z00_2069;
											obj_t BgL_arg1662z00_2070;

											{	/* Fail/walk.scm 169 */
												obj_t BgL_arg1663z00_2071;

												BgL_arg1663z00_2071 =
													(((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt)
																((BgL_failz00_bglt) BgL_nodez00_1986))))->
													BgL_locz00);
												BgL_arg1659z00_2069 =
													BGl_locationzd2fullzd2fnamez00zztools_locationz00
													(BgL_arg1663z00_2071);
											}
											{	/* Fail/walk.scm 170 */
												obj_t BgL_arg1664z00_2072;

												{	/* Fail/walk.scm 170 */
													obj_t BgL_sz00_2073;

													BgL_sz00_2073 =
														(((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt)
																	((BgL_failz00_bglt) BgL_nodez00_1986))))->
														BgL_locz00);
													BgL_arg1664z00_2072 =
														STRUCT_REF(BgL_sz00_2073, (int) (((long) 1)));
												}
												BgL_arg1662z00_2070 =
													MAKE_YOUNG_PAIR(BgL_arg1664z00_2072, BNIL);
											}
											BgL_arg1655z00_2068 =
												MAKE_YOUNG_PAIR(BgL_arg1659z00_2069,
												BgL_arg1662z00_2070);
										}
										BgL_arg1646z00_2066 =
											MAKE_YOUNG_PAIR(
											((obj_t) BgL_arg1649z00_2067), BgL_arg1655z00_2068);
									}
									BgL_arg1643z00_2064 =
										MAKE_YOUNG_PAIR(
										((obj_t) BgL_arg1645z00_2065), BgL_arg1646z00_2066);
								}
								BgL_arg1634z00_2062 =
									MAKE_YOUNG_PAIR(
									((obj_t) BgL_arg1638z00_2063), BgL_arg1643z00_2064);
							}
							BgL_arg1616z00_2060 =
								MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 7)),
								BgL_arg1634z00_2062);
						}
						BgL_arg1633z00_2061 =
							(((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_failz00_bglt) BgL_nodez00_1986))))->BgL_locz00);
						return
							BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg1616z00_2060, BNIL,
							BgL_arg1633z00_2061, CNST_TABLE_REF(((long) 8)));
					}
				else
					{	/* Fail/walk.scm 165 */
						return ((BgL_nodez00_bglt) ((BgL_failz00_bglt) BgL_nodez00_1986));
					}
			}
		}

	}



/* &fail-node!-condition1270 */
	BgL_nodez00_bglt BGl_z62failzd2nodez12zd2condition1270z70zzfail_walkz00(obj_t
		BgL_envz00_1987, obj_t BgL_nodez00_1988)
	{
		{	/* Fail/walk.scm 150 */
			{
				BgL_nodez00_bglt BgL_auxz00_2487;

				{	/* Fail/walk.scm 152 */
					BgL_nodez00_bglt BgL_arg1599z00_2075;

					BgL_arg1599z00_2075 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_1988)))->BgL_testz00);
					BgL_auxz00_2487 =
						BGl_failzd2nodez12zc0zzfail_walkz00(BgL_arg1599z00_2075);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_1988)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2487), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2493;

				{	/* Fail/walk.scm 153 */
					BgL_nodez00_bglt BgL_arg1600z00_2076;

					BgL_arg1600z00_2076 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_1988)))->BgL_truez00);
					BgL_auxz00_2493 =
						BGl_failzd2nodez12zc0zzfail_walkz00(BgL_arg1600z00_2076);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_1988)))->BgL_truez00) =
					((BgL_nodez00_bglt) BgL_auxz00_2493), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2499;

				{	/* Fail/walk.scm 154 */
					BgL_nodez00_bglt BgL_arg1603z00_2077;

					BgL_arg1603z00_2077 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_1988)))->BgL_falsez00);
					BgL_auxz00_2499 =
						BGl_failzd2nodez12zc0zzfail_walkz00(BgL_arg1603z00_2077);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_1988)))->BgL_falsez00) =
					((BgL_nodez00_bglt) BgL_auxz00_2499), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt) BgL_nodez00_1988));
		}

	}



/* &fail-node!-setq1268 */
	BgL_nodez00_bglt BGl_z62failzd2nodez12zd2setq1268z70zzfail_walkz00(obj_t
		BgL_envz00_1989, obj_t BgL_nodez00_1990)
	{
		{	/* Fail/walk.scm 143 */
			((((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_1990)))->BgL_valuez00) =
				((BgL_nodez00_bglt)
					BGl_failzd2nodez12zc0zzfail_walkz00((((BgL_setqz00_bglt)
								COBJECT(((BgL_setqz00_bglt) BgL_nodez00_1990)))->
							BgL_valuez00))), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_setqz00_bglt) BgL_nodez00_1990));
		}

	}



/* &fail-node!-extern1266 */
	BgL_nodez00_bglt BGl_z62failzd2nodez12zd2extern1266z70zzfail_walkz00(obj_t
		BgL_envz00_1991, obj_t BgL_nodez00_1992)
	{
		{	/* Fail/walk.scm 136 */
			BGl_failzd2nodeza2z12z62zzfail_walkz00(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_1992)))->BgL_exprza2za2));
			return ((BgL_nodez00_bglt) ((BgL_externz00_bglt) BgL_nodez00_1992));
		}

	}



/* &fail-node!-funcall1264 */
	BgL_nodez00_bglt BGl_z62failzd2nodez12zd2funcall1264z70zzfail_walkz00(obj_t
		BgL_envz00_1993, obj_t BgL_nodez00_1994)
	{
		{	/* Fail/walk.scm 127 */
			{
				BgL_nodez00_bglt BgL_auxz00_2519;

				{	/* Fail/walk.scm 129 */
					BgL_nodez00_bglt BgL_arg1583z00_2081;

					BgL_arg1583z00_2081 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_1994)))->BgL_funz00);
					BgL_auxz00_2519 =
						BGl_failzd2nodez12zc0zzfail_walkz00(BgL_arg1583z00_2081);
				}
				((((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_1994)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2519), BUNSPEC);
			}
			BGl_failzd2nodeza2z12z62zzfail_walkz00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_1994)))->BgL_argsz00));
			return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_1994));
		}

	}



/* &fail-node!-app-ly1262 */
	BgL_nodez00_bglt BGl_z62failzd2nodez12zd2appzd2ly1262za2zzfail_walkz00(obj_t
		BgL_envz00_1995, obj_t BgL_nodez00_1996)
	{
		{	/* Fail/walk.scm 118 */
			{
				BgL_nodez00_bglt BgL_auxz00_2530;

				{	/* Fail/walk.scm 120 */
					BgL_nodez00_bglt BgL_arg1580z00_2083;

					BgL_arg1580z00_2083 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_1996)))->BgL_funz00);
					BgL_auxz00_2530 =
						BGl_failzd2nodez12zc0zzfail_walkz00(BgL_arg1580z00_2083);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_1996)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2530), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2536;

				{	/* Fail/walk.scm 121 */
					BgL_nodez00_bglt BgL_arg1582z00_2084;

					BgL_arg1582z00_2084 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_1996)))->BgL_argz00);
					BgL_auxz00_2536 =
						BGl_failzd2nodez12zc0zzfail_walkz00(BgL_arg1582z00_2084);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_1996)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2536), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_1996));
		}

	}



/* &fail-node!-app1260 */
	BgL_nodez00_bglt BGl_z62failzd2nodez12zd2app1260z70zzfail_walkz00(obj_t
		BgL_envz00_1997, obj_t BgL_nodez00_1998)
	{
		{	/* Fail/walk.scm 100 */
			BGl_failzd2nodeza2z12z62zzfail_walkz00(
				(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_1998)))->BgL_argsz00));
			{	/* Fail/walk.scm 103 */
				bool_t BgL_test1936z00_2547;

				{	/* Fail/walk.scm 103 */
					bool_t BgL_test1937z00_2548;

					{	/* Fail/walk.scm 103 */
						obj_t BgL_arg1579z00_2086;

						BgL_arg1579z00_2086 =
							(((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_appz00_bglt) BgL_nodez00_1998))))->BgL_locz00);
						if (STRUCTP(BgL_arg1579z00_2086))
							{	/* Fail/walk.scm 103 */
								BgL_test1937z00_2548 =
									(STRUCT_KEY(BgL_arg1579z00_2086) ==
									CNST_TABLE_REF(((long) 6)));
							}
						else
							{	/* Fail/walk.scm 103 */
								BgL_test1937z00_2548 = ((bool_t) 0);
							}
					}
					if (BgL_test1937z00_2548)
						{	/* Fail/walk.scm 104 */
							BgL_variablez00_bglt BgL_arg1571z00_2087;

							BgL_arg1571z00_2087 =
								(((BgL_varz00_bglt) COBJECT(
										(((BgL_appz00_bglt) COBJECT(
													((BgL_appz00_bglt) BgL_nodez00_1998)))->
											BgL_funz00)))->BgL_variablez00);
							BgL_test1936z00_2547 =
								(((obj_t) BgL_arg1571z00_2087) ==
								BGl_za2errorza2z00zzfail_walkz00);
						}
					else
						{	/* Fail/walk.scm 103 */
							BgL_test1936z00_2547 = ((bool_t) 0);
						}
				}
				if (BgL_test1936z00_2547)
					{	/* Fail/walk.scm 105 */
						obj_t BgL_arg1532z00_2088;
						obj_t BgL_arg1533z00_2089;

						{	/* Fail/walk.scm 105 */
							obj_t BgL_arg1540z00_2090;

							{	/* Fail/walk.scm 105 */
								obj_t BgL_arg1542z00_2091;
								obj_t BgL_arg1543z00_2092;

								BgL_arg1542z00_2091 =
									CAR(
									(((BgL_appz00_bglt) COBJECT(
												((BgL_appz00_bglt) BgL_nodez00_1998)))->BgL_argsz00));
								{	/* Fail/walk.scm 106 */
									obj_t BgL_arg1547z00_2093;
									obj_t BgL_arg1551z00_2094;

									{	/* Fail/walk.scm 106 */
										obj_t BgL_pairz00_2095;

										BgL_pairz00_2095 =
											(((BgL_appz00_bglt) COBJECT(
													((BgL_appz00_bglt) BgL_nodez00_1998)))->BgL_argsz00);
										BgL_arg1547z00_2093 = CAR(CDR(BgL_pairz00_2095));
									}
									{	/* Fail/walk.scm 107 */
										obj_t BgL_arg1557z00_2096;
										obj_t BgL_arg1558z00_2097;

										{	/* Fail/walk.scm 107 */
											obj_t BgL_pairz00_2098;

											BgL_pairz00_2098 =
												(((BgL_appz00_bglt) COBJECT(
														((BgL_appz00_bglt) BgL_nodez00_1998)))->
												BgL_argsz00);
											BgL_arg1557z00_2096 = CAR(CDR(CDR(BgL_pairz00_2098)));
										}
										{	/* Fail/walk.scm 108 */
											obj_t BgL_arg1560z00_2099;
											obj_t BgL_arg1561z00_2100;

											{	/* Fail/walk.scm 108 */
												obj_t BgL_arg1563z00_2101;

												BgL_arg1563z00_2101 =
													(((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt)
																((BgL_appz00_bglt) BgL_nodez00_1998))))->
													BgL_locz00);
												BgL_arg1560z00_2099 =
													BGl_locationzd2fullzd2fnamez00zztools_locationz00
													(BgL_arg1563z00_2101);
											}
											{	/* Fail/walk.scm 109 */
												obj_t BgL_arg1568z00_2102;

												{	/* Fail/walk.scm 109 */
													obj_t BgL_sz00_2103;

													BgL_sz00_2103 =
														(((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt)
																	((BgL_appz00_bglt) BgL_nodez00_1998))))->
														BgL_locz00);
													BgL_arg1568z00_2102 =
														STRUCT_REF(BgL_sz00_2103, (int) (((long) 1)));
												}
												BgL_arg1561z00_2100 =
													MAKE_YOUNG_PAIR(BgL_arg1568z00_2102, BNIL);
											}
											BgL_arg1558z00_2097 =
												MAKE_YOUNG_PAIR(BgL_arg1560z00_2099,
												BgL_arg1561z00_2100);
										}
										BgL_arg1551z00_2094 =
											MAKE_YOUNG_PAIR(BgL_arg1557z00_2096, BgL_arg1558z00_2097);
									}
									BgL_arg1543z00_2092 =
										MAKE_YOUNG_PAIR(BgL_arg1547z00_2093, BgL_arg1551z00_2094);
								}
								BgL_arg1540z00_2090 =
									MAKE_YOUNG_PAIR(BgL_arg1542z00_2091, BgL_arg1543z00_2092);
							}
							BgL_arg1532z00_2088 =
								MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 7)),
								BgL_arg1540z00_2090);
						}
						BgL_arg1533z00_2089 =
							(((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_appz00_bglt) BgL_nodez00_1998))))->BgL_locz00);
						return
							BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg1532z00_2088, BNIL,
							BgL_arg1533z00_2089, CNST_TABLE_REF(((long) 8)));
					}
				else
					{	/* Fail/walk.scm 103 */
						return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_1998));
					}
			}
		}

	}



/* &fail-node!-sync1258 */
	BgL_nodez00_bglt BGl_z62failzd2nodez12zd2sync1258z70zzfail_walkz00(obj_t
		BgL_envz00_1999, obj_t BgL_nodez00_2000)
	{
		{	/* Fail/walk.scm 91 */
			((((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2000)))->BgL_mutexz00) =
				((BgL_nodez00_bglt)
					BGl_failzd2nodez12zc0zzfail_walkz00((((BgL_syncz00_bglt)
								COBJECT(((BgL_syncz00_bglt) BgL_nodez00_2000)))->
							BgL_mutexz00))), BUNSPEC);
			((((BgL_syncz00_bglt) COBJECT(((BgL_syncz00_bglt) BgL_nodez00_2000)))->
					BgL_prelockz00) =
				((BgL_nodez00_bglt)
					BGl_failzd2nodez12zc0zzfail_walkz00((((BgL_syncz00_bglt)
								COBJECT(((BgL_syncz00_bglt) BgL_nodez00_2000)))->
							BgL_prelockz00))), BUNSPEC);
			((((BgL_syncz00_bglt) COBJECT(((BgL_syncz00_bglt) BgL_nodez00_2000)))->
					BgL_bodyz00) =
				((BgL_nodez00_bglt)
					BGl_failzd2nodez12zc0zzfail_walkz00((((BgL_syncz00_bglt)
								COBJECT(((BgL_syncz00_bglt) BgL_nodez00_2000)))->BgL_bodyz00))),
				BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_2000));
		}

	}



/* &fail-node!-sequence1256 */
	BgL_nodez00_bglt BGl_z62failzd2nodez12zd2sequence1256z70zzfail_walkz00(obj_t
		BgL_envz00_2001, obj_t BgL_nodez00_2002)
	{
		{	/* Fail/walk.scm 84 */
			BGl_failzd2nodeza2z12z62zzfail_walkz00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_2002)))->BgL_nodesz00));
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nodez00_2002));
		}

	}



/* &fail-node!-var1254 */
	BgL_nodez00_bglt BGl_z62failzd2nodez12zd2var1254z70zzfail_walkz00(obj_t
		BgL_envz00_2003, obj_t BgL_nodez00_2004)
	{
		{	/* Fail/walk.scm 78 */
			return ((BgL_nodez00_bglt) ((BgL_varz00_bglt) BgL_nodez00_2004));
		}

	}



/* &fail-node!-kwote1252 */
	BgL_nodez00_bglt BGl_z62failzd2nodez12zd2kwote1252z70zzfail_walkz00(obj_t
		BgL_envz00_2005, obj_t BgL_nodez00_2006)
	{
		{	/* Fail/walk.scm 72 */
			return ((BgL_nodez00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_2006));
		}

	}



/* &fail-node!-atom1250 */
	BgL_nodez00_bglt BGl_z62failzd2nodez12zd2atom1250z70zzfail_walkz00(obj_t
		BgL_envz00_2007, obj_t BgL_nodez00_2008)
	{
		{	/* Fail/walk.scm 66 */
			return ((BgL_nodez00_bglt) ((BgL_atomz00_bglt) BgL_nodez00_2008));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzfail_walkz00()
	{
		{	/* Fail/walk.scm 18 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1877z00zzfail_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1877z00zzfail_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string1877z00zzfail_walkz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1877z00zzfail_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1877z00zzfail_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1877z00zzfail_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1877z00zzfail_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1877z00zzfail_walkz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string1877z00zzfail_walkz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 163122759),
				BSTRING_TO_STRING(BGl_string1877z00zzfail_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string1877z00zzfail_walkz00));
		}

	}

#ifdef __cplusplus
}
#endif
