/*===========================================================================*/
/*   (Integrate/kaptured.scm)                                                */
/*   Bigloo (4.4b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon 22 Mar 2021 06:56:16 PM CET     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.4b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Integrate/kaptured.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_svarzf2iinfozf2_bgl
	{
		obj_t BgL_fzd2markzd2;
		obj_t BgL_uzd2markzd2;
		bool_t BgL_kapturedzf3zf3;
		bool_t BgL_celledzf3zf3;
		obj_t BgL_xhdlz00;
	}                      *BgL_svarzf2iinfozf2_bglt;

	typedef struct BgL_sfunzf2iinfozf2_bgl
	{
		obj_t BgL_ownerz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
		obj_t BgL_cfromz00;
		obj_t BgL_ctoz00;
		obj_t BgL_kz00;
		obj_t BgL_kza2za2;
		obj_t BgL_uz00;
		obj_t BgL_cnz00;
		obj_t BgL_ctz00;
		obj_t BgL_kontz00;
		bool_t BgL_gzf3zf3;
		bool_t BgL_forcegzf3zf3;
		obj_t BgL_lz00;
		obj_t BgL_ledz00;
		obj_t BgL_istampz00;
		obj_t BgL_globalz00;
		obj_t BgL_kapturedz00;
		obj_t BgL_tailzd2coercionzd2;
		bool_t BgL_xhdlzf3zf3;
	}                      *BgL_sfunzf2iinfozf2_bglt;


	static obj_t BGl_requirezd2initializa7ationz75zzintegrate_kapturedz00 =
		BUNSPEC;
	static obj_t BGl_localzd2ctozd2zzintegrate_kapturedz00(BgL_localz00_bglt);
	extern obj_t BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_nodez00_bglt,
		BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2kapturedz12zc0zzintegrate_kapturedz00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zzintegrate_kapturedz00();
	static obj_t BGl_genericzd2initzd2zzintegrate_kapturedz00();
	static obj_t BGl_objectzd2initzd2zzintegrate_kapturedz00();
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_getzd2freezd2varsz00zzintegrate_freez00(BgL_nodez00_bglt,
		BgL_localz00_bglt);
	static long BGl_za2unionzd2roundza2zd2zzintegrate_kapturedz00;
	static obj_t BGl_methodzd2initzd2zzintegrate_kapturedz00();
	extern obj_t BGl_freezd2fromzd2zzintegrate_freez00(obj_t, BgL_localz00_bglt);
	static obj_t BGl_unionz00zzintegrate_kapturedz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_kapturedz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_ctoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_freez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_infoz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_kapturedz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzintegrate_kapturedz00();
	static obj_t BGl_gczd2rootszd2initz00zzintegrate_kapturedz00();
	static obj_t BGl_z62setzd2kapturedz12za2zzintegrate_kapturedz00(obj_t, obj_t);
	static obj_t BGl_getzd2onezd2kapturedz00zzintegrate_kapturedz00(obj_t, obj_t);
	static bool_t BGl_setzd2onezd2kapturedz12z12zzintegrate_kapturedz00(obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string1650z00zzintegrate_kapturedz00,
		BgL_bgl_string1650za700za7za7i1651za7, "integrate_kaptured", 18);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2kapturedz12zd2envz12zzintegrate_kapturedz00,
		BgL_bgl_za762setza7d2kapture1652z00,
		BGl_z62setzd2kapturedz12za2zzintegrate_kapturedz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzintegrate_kapturedz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_kapturedz00(long
		BgL_checksumz00_1909, char *BgL_fromz00_1910)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzintegrate_kapturedz00))
				{
					BGl_requirezd2initializa7ationz75zzintegrate_kapturedz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzintegrate_kapturedz00();
					BGl_libraryzd2moduleszd2initz00zzintegrate_kapturedz00();
					BGl_importedzd2moduleszd2initz00zzintegrate_kapturedz00();
					return BGl_toplevelzd2initzd2zzintegrate_kapturedz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_kapturedz00()
	{
		{	/* Integrate/kaptured.scm 17 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"integrate_kaptured");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"integrate_kaptured");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"integrate_kaptured");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"integrate_kaptured");
			return BUNSPEC;
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzintegrate_kapturedz00()
	{
		{	/* Integrate/kaptured.scm 17 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzintegrate_kapturedz00()
	{
		{	/* Integrate/kaptured.scm 17 */
			return (BGl_za2unionzd2roundza2zd2zzintegrate_kapturedz00 =
				((long) 0), BUNSPEC);
		}

	}



/* set-kaptured! */
	BGL_EXPORTED_DEF obj_t BGl_setzd2kapturedz12zc0zzintegrate_kapturedz00(obj_t
		BgL_localza2za2_3)
	{
		{	/* Integrate/kaptured.scm 31 */
			{
				obj_t BgL_l1239z00_1540;

				{	/* Integrate/kaptured.scm 32 */
					bool_t BgL_tmpz00_1923;

					BgL_l1239z00_1540 = BgL_localza2za2_3;
				BgL_zc3z04anonymousza31252ze3z87_1541:
					if (PAIRP(BgL_l1239z00_1540))
						{	/* Integrate/kaptured.scm 32 */
							BGl_setzd2onezd2kapturedz12z12zzintegrate_kapturedz00(CAR
								(BgL_l1239z00_1540));
							{
								obj_t BgL_l1239z00_1928;

								BgL_l1239z00_1928 = CDR(BgL_l1239z00_1540);
								BgL_l1239z00_1540 = BgL_l1239z00_1928;
								goto BgL_zc3z04anonymousza31252ze3z87_1541;
							}
						}
					else
						{	/* Integrate/kaptured.scm 32 */
							BgL_tmpz00_1923 = ((bool_t) 1);
						}
					return BBOOL(BgL_tmpz00_1923);
				}
			}
		}

	}



/* &set-kaptured! */
	obj_t BGl_z62setzd2kapturedz12za2zzintegrate_kapturedz00(obj_t
		BgL_envz00_1907, obj_t BgL_localza2za2_1908)
	{
		{	/* Integrate/kaptured.scm 31 */
			return
				BGl_setzd2kapturedz12zc0zzintegrate_kapturedz00(BgL_localza2za2_1908);
		}

	}



/* set-one-kaptured! */
	bool_t BGl_setzd2onezd2kapturedz12z12zzintegrate_kapturedz00(obj_t
		BgL_localz00_6)
	{
		{	/* Integrate/kaptured.scm 142 */
			{	/* Integrate/kaptured.scm 145 */
				BgL_valuez00_bglt BgL_infoz00_1600;
				obj_t BgL_kapturedz00_1601;

				BgL_infoz00_1600 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt)
								((BgL_localz00_bglt) BgL_localz00_6))))->BgL_valuez00);
				BgL_kapturedz00_1601 =
					BGl_getzd2onezd2kapturedz00zzintegrate_kapturedz00(BgL_localz00_6,
					BNIL);
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_1936;

					{
						obj_t BgL_auxz00_1937;

						{	/* Integrate/kaptured.scm 147 */
							BgL_objectz00_bglt BgL_tmpz00_1938;

							BgL_tmpz00_1938 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_infoz00_1600));
							BgL_auxz00_1937 = BGL_OBJECT_WIDENING(BgL_tmpz00_1938);
						}
						BgL_auxz00_1936 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_1937);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_1936))->
							BgL_kapturedz00) = ((obj_t) BgL_kapturedz00_1601), BUNSPEC);
				}
				{
					obj_t BgL_l1246z00_1603;

					BgL_l1246z00_1603 = BgL_kapturedz00_1601;
				BgL_zc3z04anonymousza31309ze3z87_1604:
					if (PAIRP(BgL_l1246z00_1603))
						{	/* Integrate/kaptured.scm 148 */
							{	/* Integrate/kaptured.scm 149 */
								obj_t BgL_localz00_1606;

								BgL_localz00_1606 = CAR(BgL_l1246z00_1603);
								{	/* Integrate/kaptured.scm 150 */
									BgL_valuez00_bglt BgL_arg1313z00_1607;

									BgL_arg1313z00_1607 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_localz00_1606))))->
										BgL_valuez00);
									{
										BgL_svarzf2iinfozf2_bglt BgL_auxz00_1950;

										{
											obj_t BgL_auxz00_1951;

											{	/* Integrate/kaptured.scm 149 */
												BgL_objectz00_bglt BgL_tmpz00_1952;

												BgL_tmpz00_1952 =
													((BgL_objectz00_bglt)
													((BgL_svarz00_bglt) BgL_arg1313z00_1607));
												BgL_auxz00_1951 = BGL_OBJECT_WIDENING(BgL_tmpz00_1952);
											}
											BgL_auxz00_1950 =
												((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_1951);
										}
										((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_1950))->
												BgL_kapturedzf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
									}
								}
							}
							{
								obj_t BgL_l1246z00_1958;

								BgL_l1246z00_1958 = CDR(BgL_l1246z00_1603);
								BgL_l1246z00_1603 = BgL_l1246z00_1958;
								goto BgL_zc3z04anonymousza31309ze3z87_1604;
							}
						}
					else
						{	/* Integrate/kaptured.scm 148 */
							return ((bool_t) 1);
						}
				}
			}
		}

	}



/* local-cto */
	obj_t BGl_localzd2ctozd2zzintegrate_kapturedz00(BgL_localz00_bglt
		BgL_localz00_7)
	{
		{	/* Integrate/kaptured.scm 157 */
			{	/* Integrate/kaptured.scm 158 */
				BgL_valuez00_bglt BgL_infoz00_1610;

				BgL_infoz00_1610 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_localz00_7)))->BgL_valuez00);
				{	/* Integrate/kaptured.scm 158 */
					obj_t BgL_ctoz00_1611;

					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_1962;

						{
							obj_t BgL_auxz00_1963;

							{	/* Integrate/kaptured.scm 159 */
								BgL_objectz00_bglt BgL_tmpz00_1964;

								BgL_tmpz00_1964 =
									((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_infoz00_1610));
								BgL_auxz00_1963 = BGL_OBJECT_WIDENING(BgL_tmpz00_1964);
							}
							BgL_auxz00_1962 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_1963);
						}
						BgL_ctoz00_1611 =
							(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_1962))->
							BgL_ctoz00);
					}
					{	/* Integrate/kaptured.scm 159 */

						{	/* Integrate/kaptured.scm 160 */
							bool_t BgL_test1656z00_1970;

							if (PAIRP(BgL_ctoz00_1611))
								{	/* Integrate/kaptured.scm 160 */
									BgL_test1656z00_1970 = ((bool_t) 1);
								}
							else
								{	/* Integrate/kaptured.scm 160 */
									BgL_test1656z00_1970 = NULLP(BgL_ctoz00_1611);
								}
							if (BgL_test1656z00_1970)
								{	/* Integrate/kaptured.scm 160 */
									return BgL_ctoz00_1611;
								}
							else
								{	/* Integrate/kaptured.scm 162 */
									obj_t BgL_bodyz00_1614;

									BgL_bodyz00_1614 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_infoz00_1610)))->BgL_bodyz00);
									{
										BgL_sfunzf2iinfozf2_bglt BgL_auxz00_1976;

										{
											obj_t BgL_auxz00_1977;

											{	/* Integrate/kaptured.scm 163 */
												BgL_objectz00_bglt BgL_tmpz00_1978;

												BgL_tmpz00_1978 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_infoz00_1610));
												BgL_auxz00_1977 = BGL_OBJECT_WIDENING(BgL_tmpz00_1978);
											}
											BgL_auxz00_1976 =
												((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_1977);
										}
										((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_1976))->
												BgL_ctoz00) = ((obj_t) BNIL), BUNSPEC);
									}
									BGl_setzd2ctoz12zc0zzintegrate_ctoz00(
										((BgL_nodez00_bglt) BgL_bodyz00_1614), BgL_localz00_7);
									{
										BgL_sfunzf2iinfozf2_bglt BgL_auxz00_1986;

										{
											obj_t BgL_auxz00_1987;

											{	/* Integrate/kaptured.scm 165 */
												BgL_objectz00_bglt BgL_tmpz00_1988;

												BgL_tmpz00_1988 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_infoz00_1610));
												BgL_auxz00_1987 = BGL_OBJECT_WIDENING(BgL_tmpz00_1988);
											}
											BgL_auxz00_1986 =
												((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_1987);
										}
										return
											(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_1986))->
											BgL_ctoz00);
									}
								}
						}
					}
				}
			}
		}

	}



/* get-one-kaptured */
	obj_t BGl_getzd2onezd2kapturedz00zzintegrate_kapturedz00(obj_t BgL_localz00_8,
		obj_t BgL_stackz00_9)
	{
		{	/* Integrate/kaptured.scm 170 */
			{	/* Integrate/kaptured.scm 173 */
				BgL_valuez00_bglt BgL_infoz00_1616;

				BgL_infoz00_1616 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt)
								((BgL_localz00_bglt) BgL_localz00_8))))->BgL_valuez00);
				{	/* Integrate/kaptured.scm 173 */
					obj_t BgL_kapturedz00_1617;

					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_1997;

						{
							obj_t BgL_auxz00_1998;

							{	/* Integrate/kaptured.scm 174 */
								BgL_objectz00_bglt BgL_tmpz00_1999;

								BgL_tmpz00_1999 =
									((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_infoz00_1616));
								BgL_auxz00_1998 = BGL_OBJECT_WIDENING(BgL_tmpz00_1999);
							}
							BgL_auxz00_1997 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_1998);
						}
						BgL_kapturedz00_1617 =
							(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_1997))->
							BgL_kapturedz00);
					}
					{	/* Integrate/kaptured.scm 174 */

						{	/* Integrate/kaptured.scm 176 */
							bool_t BgL_test1658z00_2005;

							if (PAIRP(BgL_kapturedz00_1617))
								{	/* Integrate/kaptured.scm 176 */
									BgL_test1658z00_2005 = ((bool_t) 1);
								}
							else
								{	/* Integrate/kaptured.scm 176 */
									BgL_test1658z00_2005 = NULLP(BgL_kapturedz00_1617);
								}
							if (BgL_test1658z00_2005)
								{	/* Integrate/kaptured.scm 176 */
									return BgL_kapturedz00_1617;
								}
							else
								{	/* Integrate/kaptured.scm 176 */
									if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
											(BgL_localz00_8, BgL_stackz00_9)))
										{	/* Integrate/kaptured.scm 178 */
											return BNIL;
										}
									else
										{	/* Integrate/kaptured.scm 181 */
											obj_t BgL_g1111z00_1622;
											obj_t BgL_g1112z00_1623;

											BgL_g1111z00_1622 =
												BGl_localzd2ctozd2zzintegrate_kapturedz00(
												((BgL_localz00_bglt) BgL_localz00_8));
											BgL_g1112z00_1623 =
												MAKE_YOUNG_PAIR(BgL_localz00_8, BgL_stackz00_9);
											{
												obj_t BgL_kapturedz00_1625;
												obj_t BgL_ctoz00_1626;
												obj_t BgL_nstackz00_1627;

												BgL_kapturedz00_1625 = BNIL;
												BgL_ctoz00_1626 = BgL_g1111z00_1622;
												BgL_nstackz00_1627 = BgL_g1112z00_1623;
											BgL_zc3z04anonymousza31320ze3z87_1628:
												if (NULLP(BgL_ctoz00_1626))
													{	/* Integrate/kaptured.scm 186 */
														obj_t BgL_bodyz00_1630;

														BgL_bodyz00_1630 =
															(((BgL_sfunz00_bglt) COBJECT(
																	((BgL_sfunz00_bglt) BgL_infoz00_1616)))->
															BgL_bodyz00);
														{	/* Integrate/kaptured.scm 186 */
															obj_t BgL_freez00_1631;

															BgL_freez00_1631 =
																BGl_getzd2freezd2varsz00zzintegrate_freez00(
																((BgL_nodez00_bglt) BgL_bodyz00_1630),
																((BgL_localz00_bglt) BgL_localz00_8));
															{	/* Integrate/kaptured.scm 187 */
																obj_t BgL_fkapturedz00_1632;

																BgL_fkapturedz00_1632 =
																	BGl_freezd2fromzd2zzintegrate_freez00
																	(BgL_kapturedz00_1625,
																	((BgL_localz00_bglt) BgL_localz00_8));
																{	/* Integrate/kaptured.scm 188 */

																	{	/* Integrate/kaptured.scm 189 */
																		obj_t BgL_arg1329z00_1633;

																		BgL_arg1329z00_1633 =
																			MAKE_YOUNG_PAIR(BgL_freez00_1631,
																			BgL_fkapturedz00_1632);
																		return
																			BGl_unionz00zzintegrate_kapturedz00
																			(BgL_arg1329z00_1633);
																	}
																}
															}
														}
													}
												else
													{	/* Integrate/kaptured.scm 190 */
														bool_t BgL_test1662z00_2026;

														{	/* Integrate/kaptured.scm 190 */
															BgL_sfunz00_bglt BgL_oz00_1878;

															BgL_oz00_1878 =
																((BgL_sfunz00_bglt)
																(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				((BgL_localz00_bglt)
																					CAR(
																						((obj_t) BgL_ctoz00_1626))))))->
																	BgL_valuez00));
															{
																BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2033;

																{
																	obj_t BgL_auxz00_2034;

																	{	/* Integrate/kaptured.scm 190 */
																		BgL_objectz00_bglt BgL_tmpz00_2035;

																		BgL_tmpz00_2035 =
																			((BgL_objectz00_bglt) BgL_oz00_1878);
																		BgL_auxz00_2034 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_2035);
																	}
																	BgL_auxz00_2033 =
																		((BgL_sfunzf2iinfozf2_bglt)
																		BgL_auxz00_2034);
																}
																BgL_test1662z00_2026 =
																	(((BgL_sfunzf2iinfozf2_bglt)
																		COBJECT(BgL_auxz00_2033))->BgL_gzf3zf3);
															}
														}
														if (BgL_test1662z00_2026)
															{	/* Integrate/kaptured.scm 191 */
																obj_t BgL_otherzd2kapturedzd2_1637;

																{	/* Integrate/kaptured.scm 191 */
																	obj_t BgL_arg1343z00_1642;

																	BgL_arg1343z00_1642 =
																		CAR(((obj_t) BgL_ctoz00_1626));
																	BgL_otherzd2kapturedzd2_1637 =
																		BGl_getzd2onezd2kapturedz00zzintegrate_kapturedz00
																		(BgL_arg1343z00_1642, BgL_nstackz00_1627);
																}
																{	/* Integrate/kaptured.scm 192 */
																	obj_t BgL_arg1335z00_1638;
																	obj_t BgL_arg1336z00_1639;
																	obj_t BgL_arg1338z00_1640;

																	BgL_arg1335z00_1638 =
																		MAKE_YOUNG_PAIR
																		(BgL_otherzd2kapturedzd2_1637,
																		BgL_kapturedz00_1625);
																	BgL_arg1336z00_1639 =
																		CDR(((obj_t) BgL_ctoz00_1626));
																	{	/* Integrate/kaptured.scm 194 */
																		obj_t BgL_arg1340z00_1641;

																		BgL_arg1340z00_1641 =
																			CAR(((obj_t) BgL_ctoz00_1626));
																		BgL_arg1338z00_1640 =
																			MAKE_YOUNG_PAIR(BgL_arg1340z00_1641,
																			BgL_nstackz00_1627);
																	}
																	{
																		obj_t BgL_nstackz00_2051;
																		obj_t BgL_ctoz00_2050;
																		obj_t BgL_kapturedz00_2049;

																		BgL_kapturedz00_2049 = BgL_arg1335z00_1638;
																		BgL_ctoz00_2050 = BgL_arg1336z00_1639;
																		BgL_nstackz00_2051 = BgL_arg1338z00_1640;
																		BgL_nstackz00_1627 = BgL_nstackz00_2051;
																		BgL_ctoz00_1626 = BgL_ctoz00_2050;
																		BgL_kapturedz00_1625 = BgL_kapturedz00_2049;
																		goto BgL_zc3z04anonymousza31320ze3z87_1628;
																	}
																}
															}
														else
															{	/* Integrate/kaptured.scm 196 */
																obj_t BgL_arg1344z00_1643;

																BgL_arg1344z00_1643 =
																	CDR(((obj_t) BgL_ctoz00_1626));
																{
																	obj_t BgL_ctoz00_2054;

																	BgL_ctoz00_2054 = BgL_arg1344z00_1643;
																	BgL_ctoz00_1626 = BgL_ctoz00_2054;
																	goto BgL_zc3z04anonymousza31320ze3z87_1628;
																}
															}
													}
											}
										}
								}
						}
					}
				}
			}
		}

	}



/* union */
	obj_t BGl_unionz00zzintegrate_kapturedz00(obj_t BgL_setsz00_10)
	{
		{	/* Integrate/kaptured.scm 206 */
			BGl_za2unionzd2roundza2zd2zzintegrate_kapturedz00 =
				(((long) 1) + BGl_za2unionzd2roundza2zd2zzintegrate_kapturedz00);
			{
				obj_t BgL_setsz00_1650;
				obj_t BgL_unionz00_1651;

				BgL_setsz00_1650 = BgL_setsz00_10;
				BgL_unionz00_1651 = BNIL;
			BgL_zc3z04anonymousza31350ze3z87_1652:
				if (NULLP(BgL_setsz00_1650))
					{	/* Integrate/kaptured.scm 210 */
						return BgL_unionz00_1651;
					}
				else
					{	/* Integrate/kaptured.scm 212 */
						obj_t BgL_g1114z00_1654;

						BgL_g1114z00_1654 = CAR(((obj_t) BgL_setsz00_1650));
						{
							obj_t BgL_setz00_1656;
							obj_t BgL_unionz00_1657;

							BgL_setz00_1656 = BgL_g1114z00_1654;
							BgL_unionz00_1657 = BgL_unionz00_1651;
						BgL_zc3z04anonymousza31352ze3z87_1658:
							if (NULLP(BgL_setz00_1656))
								{	/* Integrate/kaptured.scm 216 */
									obj_t BgL_arg1354z00_1660;

									BgL_arg1354z00_1660 = CDR(((obj_t) BgL_setsz00_1650));
									{
										obj_t BgL_unionz00_2065;
										obj_t BgL_setsz00_2064;

										BgL_setsz00_2064 = BgL_arg1354z00_1660;
										BgL_unionz00_2065 = BgL_unionz00_1657;
										BgL_unionz00_1651 = BgL_unionz00_2065;
										BgL_setsz00_1650 = BgL_setsz00_2064;
										goto BgL_zc3z04anonymousza31350ze3z87_1652;
									}
								}
							else
								{	/* Integrate/kaptured.scm 217 */
									bool_t BgL_test1666z00_2066;

									{	/* Integrate/kaptured.scm 217 */
										obj_t BgL_arg1373z00_1671;

										{	/* Integrate/kaptured.scm 217 */
											BgL_svarz00_bglt BgL_oz00_1889;

											BgL_oz00_1889 =
												((BgL_svarz00_bglt)
												(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_localz00_bglt)
																	CAR(
																		((obj_t) BgL_setz00_1656))))))->
													BgL_valuez00));
											{
												BgL_svarzf2iinfozf2_bglt BgL_auxz00_2073;

												{
													obj_t BgL_auxz00_2074;

													{	/* Integrate/kaptured.scm 217 */
														BgL_objectz00_bglt BgL_tmpz00_2075;

														BgL_tmpz00_2075 =
															((BgL_objectz00_bglt) BgL_oz00_1889);
														BgL_auxz00_2074 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_2075);
													}
													BgL_auxz00_2073 =
														((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_2074);
												}
												BgL_arg1373z00_1671 =
													(((BgL_svarzf2iinfozf2_bglt)
														COBJECT(BgL_auxz00_2073))->BgL_uzd2markzd2);
											}
										}
										BgL_test1666z00_2066 =
											(BgL_arg1373z00_1671 ==
											BINT(BGl_za2unionzd2roundza2zd2zzintegrate_kapturedz00));
									}
									if (BgL_test1666z00_2066)
										{	/* Integrate/kaptured.scm 219 */
											obj_t BgL_arg1367z00_1665;

											BgL_arg1367z00_1665 = CDR(((obj_t) BgL_setz00_1656));
											{
												obj_t BgL_setz00_2084;

												BgL_setz00_2084 = BgL_arg1367z00_1665;
												BgL_setz00_1656 = BgL_setz00_2084;
												goto BgL_zc3z04anonymousza31352ze3z87_1658;
											}
										}
									else
										{	/* Integrate/kaptured.scm 217 */
											{	/* Integrate/kaptured.scm 221 */
												BgL_valuez00_bglt BgL_arg1368z00_1666;

												BgL_arg1368z00_1666 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_localz00_bglt)
																	CAR(
																		((obj_t) BgL_setz00_1656))))))->
													BgL_valuez00);
												{	/* Integrate/kaptured.scm 221 */
													obj_t BgL_vz00_1895;

													BgL_vz00_1895 =
														BINT
														(BGl_za2unionzd2roundza2zd2zzintegrate_kapturedz00);
													{
														BgL_svarzf2iinfozf2_bglt BgL_auxz00_2091;

														{
															obj_t BgL_auxz00_2092;

															{	/* Integrate/kaptured.scm 221 */
																BgL_objectz00_bglt BgL_tmpz00_2093;

																BgL_tmpz00_2093 =
																	((BgL_objectz00_bglt)
																	((BgL_svarz00_bglt) BgL_arg1368z00_1666));
																BgL_auxz00_2092 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_2093);
															}
															BgL_auxz00_2091 =
																((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_2092);
														}
														((((BgL_svarzf2iinfozf2_bglt)
																	COBJECT(BgL_auxz00_2091))->BgL_uzd2markzd2) =
															((obj_t) BgL_vz00_1895), BUNSPEC);
													}
												}
											}
											{	/* Integrate/kaptured.scm 222 */
												obj_t BgL_arg1370z00_1668;
												obj_t BgL_arg1371z00_1669;

												BgL_arg1370z00_1668 = CDR(((obj_t) BgL_setz00_1656));
												{	/* Integrate/kaptured.scm 222 */
													obj_t BgL_arg1372z00_1670;

													BgL_arg1372z00_1670 = CAR(((obj_t) BgL_setz00_1656));
													BgL_arg1371z00_1669 =
														MAKE_YOUNG_PAIR(BgL_arg1372z00_1670,
														BgL_unionz00_1657);
												}
												{
													obj_t BgL_unionz00_2105;
													obj_t BgL_setz00_2104;

													BgL_setz00_2104 = BgL_arg1370z00_1668;
													BgL_unionz00_2105 = BgL_arg1371z00_1669;
													BgL_unionz00_1657 = BgL_unionz00_2105;
													BgL_setz00_1656 = BgL_setz00_2104;
													goto BgL_zc3z04anonymousza31352ze3z87_1658;
												}
											}
										}
								}
						}
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzintegrate_kapturedz00()
	{
		{	/* Integrate/kaptured.scm 17 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzintegrate_kapturedz00()
	{
		{	/* Integrate/kaptured.scm 17 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzintegrate_kapturedz00()
	{
		{	/* Integrate/kaptured.scm 17 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzintegrate_kapturedz00()
	{
		{	/* Integrate/kaptured.scm 17 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1650z00zzintegrate_kapturedz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1650z00zzintegrate_kapturedz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1650z00zzintegrate_kapturedz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1650z00zzintegrate_kapturedz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1650z00zzintegrate_kapturedz00));
			BGl_modulezd2initializa7ationz75zzintegrate_infoz00(((long) 0),
				BSTRING_TO_STRING(BGl_string1650z00zzintegrate_kapturedz00));
			BGl_modulezd2initializa7ationz75zzintegrate_freez00(((long) 183600827),
				BSTRING_TO_STRING(BGl_string1650z00zzintegrate_kapturedz00));
			return
				BGl_modulezd2initializa7ationz75zzintegrate_ctoz00(((long) 418449997),
				BSTRING_TO_STRING(BGl_string1650z00zzintegrate_kapturedz00));
		}

	}

#ifdef __cplusplus
}
#endif
