/*===========================================================================*/
/*   (Integrate/let_fun.scm)                                                 */
/*   Bigloo (4.4b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon 22 Mar 2021 06:56:16 PM CET     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.4b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Integrate/let_fun.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_sfunzf2iinfozf2_bgl
	{
		obj_t BgL_ownerz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
		obj_t BgL_cfromz00;
		obj_t BgL_ctoz00;
		obj_t BgL_kz00;
		obj_t BgL_kza2za2;
		obj_t BgL_uz00;
		obj_t BgL_cnz00;
		obj_t BgL_ctz00;
		obj_t BgL_kontz00;
		bool_t BgL_gzf3zf3;
		bool_t BgL_forcegzf3zf3;
		obj_t BgL_lz00;
		obj_t BgL_ledz00;
		obj_t BgL_istampz00;
		obj_t BgL_globalz00;
		obj_t BgL_kapturedz00;
		obj_t BgL_tailzd2coercionzd2;
		bool_t BgL_xhdlzf3zf3;
	}                      *BgL_sfunzf2iinfozf2_bglt;


	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzintegrate_letzd2funzd2 =
		BUNSPEC;
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_bindzd2funz12zc0zzintegrate_letzd2funzd2(obj_t);
	static obj_t BGl_toplevelzd2initzd2zzintegrate_letzd2funzd2();
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzintegrate_letzd2funzd2();
	static obj_t BGl_objectzd2initzd2zzintegrate_letzd2funzd2();
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1301zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1303zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1305zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzintegrate_letzd2funzd2();
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t
		BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2
		(BgL_nodez00_bglt, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1260zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1263zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1265zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt,
		bool_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1267zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1269zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1271zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1273zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1275zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1277zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1279zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1281zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1283zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1285zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1287zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1289zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1291zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1293zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1295zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1297zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62displacezd2letzd2funzd2nod1299zb0zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_displacezd2letzd2funz12z12zzintegrate_letzd2funzd2(obj_t);
	static bool_t BGl_freezd2funzf3z21zzintegrate_letzd2funzd2(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_letzd2funzd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_infoz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzintegrate_letzd2funzd2();
	static obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_letzd2funzd2();
	static obj_t BGl_importedzd2moduleszd2initz00zzintegrate_letzd2funzd2();
	static obj_t BGl_gczd2rootszd2initz00zzintegrate_letzd2funzd2();
	static long BGl_za2stampza2z00zzintegrate_letzd2funzd2;
	static obj_t
		BGl_z62displacezd2letzd2funzd2nodez12za2zzintegrate_letzd2funzd2(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_z62displacezd2letzd2funz12z70zzintegrate_letzd2funzd2(obj_t,
		obj_t);
	static obj_t __cnst[1];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_displacezd2letzd2funz12zd2envzc0zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1814z00,
		BGl_z62displacezd2letzd2funz12z70zzintegrate_letzd2funzd2, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1808z00zzintegrate_letzd2funzd2,
		BgL_bgl_string1808za700za7za7i1815za7, "displace-let-fun-node", 21);
	      DEFINE_STRING(BGl_string1809z00zzintegrate_letzd2funzd2,
		BgL_bgl_string1809za700za7za7i1816za7, "Unexpected closure", 18);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1800z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1817z00,
		BGl_z62displacezd2letzd2funzd2nod1291zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1801z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1818z00,
		BGl_z62displacezd2letzd2funzd2nod1293zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1802z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1819z00,
		BGl_z62displacezd2letzd2funzd2nod1295zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1803z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1820z00,
		BGl_z62displacezd2letzd2funzd2nod1297zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1810z00zzintegrate_letzd2funzd2,
		BgL_bgl_string1810za700za7za7i1821za7, "integrate_let-fun", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1804z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1822z00,
		BGl_z62displacezd2letzd2funzd2nod1299zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1811z00zzintegrate_letzd2funzd2,
		BgL_bgl_string1811za700za7za7i1823za7, "displace-let-fun-nod1260 ", 25);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1805z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1824z00,
		BGl_z62displacezd2letzd2funzd2nod1301zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1806z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1825z00,
		BGl_z62displacezd2letzd2funzd2nod1303zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1807z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1826z00,
		BGl_z62displacezd2letzd2funzd2nod1305zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1783z00zzintegrate_letzd2funzd2,
		BgL_bgl_string1783za700za7za7i1827za7, "displace-let-fun-nod1260", 24);
	      DEFINE_STRING(BGl_string1784z00zzintegrate_letzd2funzd2,
		BgL_bgl_string1784za700za7za7i1828za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1786z00zzintegrate_letzd2funzd2,
		BgL_bgl_string1786za700za7za7i1829za7, "displace-let-fun-node!", 22);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1782z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1830z00,
		BGl_z62displacezd2letzd2funzd2nod1260zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1785z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1831z00,
		BGl_z62displacezd2letzd2funzd2nod1263zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1787z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1832z00,
		BGl_z62displacezd2letzd2funzd2nod1265zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1788z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1833z00,
		BGl_z62displacezd2letzd2funzd2nod1267zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1789z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1834z00,
		BGl_z62displacezd2letzd2funzd2nod1269zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1835z00,
		BGl_z62displacezd2letzd2funzd2nodez12za2zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1790z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1836z00,
		BGl_z62displacezd2letzd2funzd2nod1271zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1791z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1837z00,
		BGl_z62displacezd2letzd2funzd2nod1273zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1792z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1838z00,
		BGl_z62displacezd2letzd2funzd2nod1275zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1793z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1839z00,
		BGl_z62displacezd2letzd2funzd2nod1277zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1794z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1840z00,
		BGl_z62displacezd2letzd2funzd2nod1279zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1795z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1841z00,
		BGl_z62displacezd2letzd2funzd2nod1281zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1796z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1842z00,
		BGl_z62displacezd2letzd2funzd2nod1283zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1797z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1843z00,
		BGl_z62displacezd2letzd2funzd2nod1285zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1798z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1844z00,
		BGl_z62displacezd2letzd2funzd2nod1287zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1799z00zzintegrate_letzd2funzd2,
		BgL_bgl_za762displaceza7d2le1845z00,
		BGl_z62displacezd2letzd2funzd2nod1289zb0zzintegrate_letzd2funzd2, 0L,
		BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzintegrate_letzd2funzd2));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_letzd2funzd2(long
		BgL_checksumz00_2317, char *BgL_fromz00_2318)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzintegrate_letzd2funzd2))
				{
					BGl_requirezd2initializa7ationz75zzintegrate_letzd2funzd2 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzintegrate_letzd2funzd2();
					BGl_libraryzd2moduleszd2initz00zzintegrate_letzd2funzd2();
					BGl_cnstzd2initzd2zzintegrate_letzd2funzd2();
					BGl_importedzd2moduleszd2initz00zzintegrate_letzd2funzd2();
					BGl_genericzd2initzd2zzintegrate_letzd2funzd2();
					BGl_methodzd2initzd2zzintegrate_letzd2funzd2();
					return BGl_toplevelzd2initzd2zzintegrate_letzd2funzd2();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_letzd2funzd2()
	{
		{	/* Integrate/let_fun.scm 16 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"integrate_let-fun");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"integrate_let-fun");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"integrate_let-fun");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"integrate_let-fun");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"integrate_let-fun");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"integrate_let-fun");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"integrate_let-fun");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0),
				"integrate_let-fun");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"integrate_let-fun");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzintegrate_letzd2funzd2()
	{
		{	/* Integrate/let_fun.scm 16 */
			{	/* Integrate/let_fun.scm 16 */
				obj_t BgL_cportz00_2239;

				{	/* Integrate/let_fun.scm 16 */
					obj_t BgL_stringz00_2247;

					BgL_stringz00_2247 = BGl_string1811z00zzintegrate_letzd2funzd2;
					{	/* Integrate/let_fun.scm 16 */
						obj_t BgL_startz00_2248;

						BgL_startz00_2248 = BINT(((long) 0));
						{	/* Integrate/let_fun.scm 16 */
							obj_t BgL_endz00_2249;

							BgL_endz00_2249 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2247)));
							{	/* Integrate/let_fun.scm 16 */

								BgL_cportz00_2239 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2247, BgL_startz00_2248, BgL_endz00_2249);
				}}}}
				{
					long BgL_iz00_2240;

					BgL_iz00_2240 = ((long) 0);
				BgL_loopz00_2241:
					if ((BgL_iz00_2240 == ((long) -1)))
						{	/* Integrate/let_fun.scm 16 */
							return BUNSPEC;
						}
					else
						{	/* Integrate/let_fun.scm 16 */
							{	/* Integrate/let_fun.scm 16 */
								obj_t BgL_arg1813z00_2243;

								{	/* Integrate/let_fun.scm 16 */

									{	/* Integrate/let_fun.scm 16 */
										obj_t BgL_locationz00_2245;

										BgL_locationz00_2245 = BBOOL(((bool_t) 0));
										{	/* Integrate/let_fun.scm 16 */

											BgL_arg1813z00_2243 =
												BGl_readz00zz__readerz00(BgL_cportz00_2239,
												BgL_locationz00_2245);
										}
									}
								}
								{	/* Integrate/let_fun.scm 16 */
									int BgL_tmpz00_2347;

									BgL_tmpz00_2347 = (int) (BgL_iz00_2240);
									CNST_TABLE_SET(BgL_tmpz00_2347, BgL_arg1813z00_2243);
							}}
							{	/* Integrate/let_fun.scm 16 */
								int BgL_auxz00_2246;

								BgL_auxz00_2246 = (int) ((BgL_iz00_2240 - ((long) 1)));
								{
									long BgL_iz00_2352;

									BgL_iz00_2352 = (long) (BgL_auxz00_2246);
									BgL_iz00_2240 = BgL_iz00_2352;
									goto BgL_loopz00_2241;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzintegrate_letzd2funzd2()
	{
		{	/* Integrate/let_fun.scm 16 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzintegrate_letzd2funzd2()
	{
		{	/* Integrate/let_fun.scm 16 */
			BGl_za2stampza2z00zzintegrate_letzd2funzd2 = ((long) 0);
			return BUNSPEC;
		}

	}



/* bind-fun! */
	obj_t BGl_bindzd2funz12zc0zzintegrate_letzd2funzd2(obj_t BgL_varz00_3)
	{
		{	/* Integrate/let_fun.scm 36 */
			if (BGl_isazf3zf3zz__objectz00(BgL_varz00_3, BGl_localz00zzast_varz00))
				{	/* Integrate/let_fun.scm 39 */
					BgL_valuez00_bglt BgL_arg1310z00_1581;

					BgL_arg1310z00_1581 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_varz00_3))))->BgL_valuez00);
					{	/* Integrate/let_fun.scm 39 */
						obj_t BgL_vz00_2033;

						BgL_vz00_2033 = BINT(BGl_za2stampza2z00zzintegrate_letzd2funzd2);
						{
							BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2361;

							{
								obj_t BgL_auxz00_2362;

								{	/* Integrate/let_fun.scm 39 */
									BgL_objectz00_bglt BgL_tmpz00_2363;

									BgL_tmpz00_2363 =
										((BgL_objectz00_bglt)
										((BgL_sfunz00_bglt) BgL_arg1310z00_1581));
									BgL_auxz00_2362 = BGL_OBJECT_WIDENING(BgL_tmpz00_2363);
								}
								BgL_auxz00_2361 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2362);
							}
							return
								((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2361))->
									BgL_istampz00) = ((obj_t) BgL_vz00_2033), BUNSPEC);
						}
					}
				}
			else
				{	/* Integrate/let_fun.scm 38 */
					return BFALSE;
				}
		}

	}



/* free-fun? */
	bool_t BGl_freezd2funzf3z21zzintegrate_letzd2funzd2(obj_t BgL_localz00_4)
	{
		{	/* Integrate/let_fun.scm 44 */
			{	/* Integrate/let_fun.scm 48 */
				bool_t BgL_test1849z00_2369;

				{	/* Integrate/let_fun.scm 48 */
					obj_t BgL_arg1316z00_1585;

					{	/* Integrate/let_fun.scm 48 */
						BgL_sfunz00_bglt BgL_oz00_2036;

						BgL_oz00_2036 =
							((BgL_sfunz00_bglt)
							(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt)
											((BgL_localz00_bglt) BgL_localz00_4))))->BgL_valuez00));
						{
							BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2374;

							{
								obj_t BgL_auxz00_2375;

								{	/* Integrate/let_fun.scm 48 */
									BgL_objectz00_bglt BgL_tmpz00_2376;

									BgL_tmpz00_2376 = ((BgL_objectz00_bglt) BgL_oz00_2036);
									BgL_auxz00_2375 = BGL_OBJECT_WIDENING(BgL_tmpz00_2376);
								}
								BgL_auxz00_2374 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2375);
							}
							BgL_arg1316z00_1585 =
								(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2374))->
								BgL_istampz00);
						}
					}
					BgL_test1849z00_2369 =
						(BgL_arg1316z00_1585 ==
						BINT(BGl_za2stampza2z00zzintegrate_letzd2funzd2));
				}
				if (BgL_test1849z00_2369)
					{	/* Integrate/let_fun.scm 48 */
						return ((bool_t) 0);
					}
				else
					{	/* Integrate/let_fun.scm 48 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* displace-let-fun! */
	BGL_EXPORTED_DEF obj_t
		BGl_displacezd2letzd2funz12z12zzintegrate_letzd2funzd2(obj_t BgL_varz00_5)
	{
		{	/* Integrate/let_fun.scm 53 */
			BGl_za2stampza2z00zzintegrate_letzd2funzd2 =
				(((long) 1) + BGl_za2stampza2z00zzintegrate_letzd2funzd2);
			{	/* Integrate/let_fun.scm 60 */
				obj_t BgL_arg1329z00_1587;
				obj_t BgL_arg1331z00_1588;

				BgL_arg1329z00_1587 =
					(((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt)
								(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_varz00_5)))->
									BgL_valuez00))))->BgL_bodyz00);
				{	/* Integrate/let_fun.scm 60 */
					obj_t BgL_list1333z00_1590;

					BgL_list1333z00_1590 = MAKE_YOUNG_PAIR(BgL_varz00_5, BNIL);
					BgL_arg1331z00_1588 = BgL_list1333z00_1590;
				}
				BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
					((BgL_nodez00_bglt) BgL_arg1329z00_1587), BgL_arg1331z00_1588);
			}
			{	/* Integrate/let_fun.scm 69 */
				obj_t BgL_ledz00_1591;

				{	/* Integrate/let_fun.scm 69 */
					BgL_sfunz00_bglt BgL_oz00_2043;

					BgL_oz00_2043 =
						((BgL_sfunz00_bglt)
						(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_varz00_5)))->BgL_valuez00));
					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2394;

						{
							obj_t BgL_auxz00_2395;

							{	/* Integrate/let_fun.scm 69 */
								BgL_objectz00_bglt BgL_tmpz00_2396;

								BgL_tmpz00_2396 = ((BgL_objectz00_bglt) BgL_oz00_2043);
								BgL_auxz00_2395 = BGL_OBJECT_WIDENING(BgL_tmpz00_2396);
							}
							BgL_auxz00_2394 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2395);
						}
						BgL_ledz00_1591 =
							(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2394))->
							BgL_ledz00);
				}}
				{
					obj_t BgL_l1252z00_1593;

					BgL_l1252z00_1593 = BgL_ledz00_1591;
				BgL_zc3z04anonymousza31334ze3z87_1594:
					if (PAIRP(BgL_l1252z00_1593))
						{	/* Integrate/let_fun.scm 70 */
							{	/* Integrate/let_fun.scm 73 */
								obj_t BgL_lz00_1596;

								BgL_lz00_1596 = CAR(BgL_l1252z00_1593);
								if (BGl_freezd2funzf3z21zzintegrate_letzd2funzd2(BgL_lz00_1596))
									{	/* Integrate/let_fun.scm 80 */
										obj_t BgL_arg1338z00_1598;
										obj_t BgL_arg1340z00_1599;

										BgL_arg1338z00_1598 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt)
														(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt) BgL_lz00_1596)))->
															BgL_valuez00))))->BgL_bodyz00);
										{	/* Integrate/let_fun.scm 81 */
											obj_t BgL_list1344z00_1601;

											BgL_list1344z00_1601 =
												MAKE_YOUNG_PAIR(BgL_varz00_5, BNIL);
											BgL_arg1340z00_1599 = BgL_list1344z00_1601;
										}
										BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2
											(((BgL_nodez00_bglt) BgL_arg1338z00_1598),
											BgL_arg1340z00_1599);
									}
								else
									{	/* Integrate/let_fun.scm 74 */
										BFALSE;
									}
							}
							{
								obj_t BgL_l1252z00_2413;

								BgL_l1252z00_2413 = CDR(BgL_l1252z00_1593);
								BgL_l1252z00_1593 = BgL_l1252z00_2413;
								goto BgL_zc3z04anonymousza31334ze3z87_1594;
							}
						}
					else
						{	/* Integrate/let_fun.scm 70 */
							((bool_t) 1);
						}
				}
				{
					obj_t BgL_ledz00_1606;
					obj_t BgL_addedz00_1607;

					BgL_ledz00_1606 = BgL_ledz00_1591;
					BgL_addedz00_1607 = BNIL;
				BgL_zc3z04anonymousza31347ze3z87_1608:
					if (NULLP(BgL_ledz00_1606))
						{	/* Integrate/let_fun.scm 88 */
							obj_t BgL_oldzd2bodyzd2_1610;

							BgL_oldzd2bodyzd2_1610 =
								(((BgL_sfunz00_bglt) COBJECT(
										((BgL_sfunz00_bglt)
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_varz00_5)))->
												BgL_valuez00))))->BgL_bodyz00);
							if (NULLP(BgL_addedz00_1607))
								{	/* Integrate/let_fun.scm 89 */
									return BgL_oldzd2bodyzd2_1610;
								}
							else
								{	/* Integrate/let_fun.scm 90 */
									BgL_letzd2funzd2_bglt BgL_newzd2bodyzd2_1612;

									{	/* Integrate/let_fun.scm 90 */
										BgL_letzd2funzd2_bglt BgL_new1109z00_1614;

										{	/* Integrate/let_fun.scm 91 */
											BgL_letzd2funzd2_bglt BgL_new1108z00_1615;

											BgL_new1108z00_1615 =
												((BgL_letzd2funzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_letzd2funzd2_bgl))));
											{	/* Integrate/let_fun.scm 91 */
												long BgL_arg1353z00_1616;

												BgL_arg1353z00_1616 =
													BGL_CLASS_INDEX(BGl_letzd2funzd2zzast_nodez00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1108z00_1615),
													BgL_arg1353z00_1616);
											}
											{	/* Integrate/let_fun.scm 91 */
												BgL_objectz00_bglt BgL_tmpz00_2427;

												BgL_tmpz00_2427 =
													((BgL_objectz00_bglt) BgL_new1108z00_1615);
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2427, BFALSE);
											}
											((BgL_objectz00_bglt) BgL_new1108z00_1615);
											BgL_new1109z00_1614 = BgL_new1108z00_1615;
										}
										((((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt) BgL_new1109z00_1614)))->
												BgL_locz00) =
											((obj_t) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																BgL_oldzd2bodyzd2_1610)))->BgL_locz00)),
											BUNSPEC);
										((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
															BgL_new1109z00_1614)))->BgL_typez00) =
											((BgL_typez00_bglt)
												BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
														BgL_oldzd2bodyzd2_1610), ((bool_t) 0))), BUNSPEC);
										((((BgL_nodezf2effectzf2_bglt)
													COBJECT(((BgL_nodezf2effectzf2_bglt)
															BgL_new1109z00_1614)))->BgL_sidezd2effectzd2) =
											((obj_t) BUNSPEC), BUNSPEC);
										((((BgL_nodezf2effectzf2_bglt)
													COBJECT(((BgL_nodezf2effectzf2_bglt)
															BgL_new1109z00_1614)))->BgL_keyz00) =
											((obj_t) BINT(((long) -1))), BUNSPEC);
										((((BgL_letzd2funzd2_bglt) COBJECT(BgL_new1109z00_1614))->
												BgL_localsz00) = ((obj_t) BgL_addedz00_1607), BUNSPEC);
										((((BgL_letzd2funzd2_bglt) COBJECT(BgL_new1109z00_1614))->
												BgL_bodyz00) =
											((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
													BgL_oldzd2bodyzd2_1610)), BUNSPEC);
										BgL_newzd2bodyzd2_1612 = BgL_new1109z00_1614;
									}
									{	/* Integrate/let_fun.scm 101 */
										BgL_valuez00_bglt BgL_arg1350z00_1613;

										BgL_arg1350z00_1613 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_varz00_5)))->
											BgL_valuez00);
										((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
															BgL_arg1350z00_1613)))->BgL_bodyz00) =
											((obj_t) ((obj_t) BgL_newzd2bodyzd2_1612)), BUNSPEC);
									}
									return ((obj_t) BgL_newzd2bodyzd2_1612);
								}
						}
					else
						{	/* Integrate/let_fun.scm 108 */
							bool_t BgL_test1854z00_2453;

							{	/* Integrate/let_fun.scm 108 */
								obj_t BgL_arg1371z00_1624;

								BgL_arg1371z00_1624 = CAR(((obj_t) BgL_ledz00_1606));
								BgL_test1854z00_2453 =
									BGl_freezd2funzf3z21zzintegrate_letzd2funzd2
									(BgL_arg1371z00_1624);
							}
							if (BgL_test1854z00_2453)
								{	/* Integrate/let_fun.scm 110 */
									obj_t BgL_arg1367z00_1620;
									obj_t BgL_arg1368z00_1621;

									BgL_arg1367z00_1620 = CDR(((obj_t) BgL_ledz00_1606));
									{	/* Integrate/let_fun.scm 110 */
										obj_t BgL_arg1369z00_1622;

										BgL_arg1369z00_1622 = CAR(((obj_t) BgL_ledz00_1606));
										BgL_arg1368z00_1621 =
											MAKE_YOUNG_PAIR(BgL_arg1369z00_1622, BgL_addedz00_1607);
									}
									{
										obj_t BgL_addedz00_2463;
										obj_t BgL_ledz00_2462;

										BgL_ledz00_2462 = BgL_arg1367z00_1620;
										BgL_addedz00_2463 = BgL_arg1368z00_1621;
										BgL_addedz00_1607 = BgL_addedz00_2463;
										BgL_ledz00_1606 = BgL_ledz00_2462;
										goto BgL_zc3z04anonymousza31347ze3z87_1608;
									}
								}
							else
								{	/* Integrate/let_fun.scm 113 */
									obj_t BgL_arg1370z00_1623;

									BgL_arg1370z00_1623 = CDR(((obj_t) BgL_ledz00_1606));
									{
										obj_t BgL_ledz00_2466;

										BgL_ledz00_2466 = BgL_arg1370z00_1623;
										BgL_ledz00_1606 = BgL_ledz00_2466;
										goto BgL_zc3z04anonymousza31347ze3z87_1608;
									}
								}
						}
				}
			}
		}

	}



/* &displace-let-fun! */
	obj_t BGl_z62displacezd2letzd2funz12z70zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2142, obj_t BgL_varz00_2143)
	{
		{	/* Integrate/let_fun.scm 53 */
			return
				BGl_displacezd2letzd2funz12z12zzintegrate_letzd2funzd2(BgL_varz00_2143);
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzintegrate_letzd2funzd2()
	{
		{	/* Integrate/let_fun.scm 16 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzintegrate_letzd2funzd2()
	{
		{	/* Integrate/let_fun.scm 16 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_proc1782z00zzintegrate_letzd2funzd2, BGl_nodez00zzast_nodez00,
				BGl_string1783z00zzintegrate_letzd2funzd2);
		}

	}



/* &displace-let-fun-nod1260 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1260zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2145, obj_t BgL_nodez00_2146, obj_t BgL_hostsz00_2147)
	{
		{	/* Integrate/let_fun.scm 123 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)),
				BGl_string1784z00zzintegrate_letzd2funzd2,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2146)));
		}

	}



/* displace-let-fun-node! */
	obj_t
		BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2
		(BgL_nodez00_bglt BgL_nodez00_6, obj_t BgL_hostsz00_7)
	{
		{	/* Integrate/let_fun.scm 123 */
			{	/* Integrate/let_fun.scm 123 */
				obj_t BgL_method1261z00_1632;

				{	/* Integrate/let_fun.scm 123 */
					obj_t BgL_res1781z00_2093;

					{	/* Integrate/let_fun.scm 123 */
						long BgL_objzd2classzd2numz00_2064;

						BgL_objzd2classzd2numz00_2064 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_6));
						{	/* Integrate/let_fun.scm 123 */
							obj_t BgL_arg1791z00_2065;

							BgL_arg1791z00_2065 =
								PROCEDURE_REF
								(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
								(int) (((long) 1)));
							{	/* Integrate/let_fun.scm 123 */
								int BgL_offsetz00_2068;

								BgL_offsetz00_2068 = (int) (BgL_objzd2classzd2numz00_2064);
								{	/* Integrate/let_fun.scm 123 */
									long BgL_offsetz00_2069;

									BgL_offsetz00_2069 =
										((long) (BgL_offsetz00_2068) - OBJECT_TYPE);
									{	/* Integrate/let_fun.scm 123 */
										long BgL_modz00_2070;

										BgL_modz00_2070 =
											(BgL_offsetz00_2069 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Integrate/let_fun.scm 123 */
											long BgL_restz00_2072;

											BgL_restz00_2072 =
												(BgL_offsetz00_2069 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Integrate/let_fun.scm 123 */

												{	/* Integrate/let_fun.scm 123 */
													obj_t BgL_bucketz00_2074;

													BgL_bucketz00_2074 =
														VECTOR_REF(
														((obj_t) BgL_arg1791z00_2065), BgL_modz00_2070);
													BgL_res1781z00_2093 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2074), BgL_restz00_2072);
					}}}}}}}}
					BgL_method1261z00_1632 = BgL_res1781z00_2093;
				}
				return
					PROCEDURE_ENTRY(BgL_method1261z00_1632) (BgL_method1261z00_1632,
					((obj_t) BgL_nodez00_6), BgL_hostsz00_7, BEOA);
			}
		}

	}



/* &displace-let-fun-node! */
	obj_t BGl_z62displacezd2letzd2funzd2nodez12za2zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2148, obj_t BgL_nodez00_2149, obj_t BgL_hostsz00_2150)
	{
		{	/* Integrate/let_fun.scm 123 */
			return
				BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
				((BgL_nodez00_bglt) BgL_nodez00_2149), BgL_hostsz00_2150);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzintegrate_letzd2funzd2()
	{
		{	/* Integrate/let_fun.scm 16 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_atomz00zzast_nodez00, BGl_proc1785z00zzintegrate_letzd2funzd2,
				BGl_string1786z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_kwotez00zzast_nodez00, BGl_proc1787z00zzintegrate_letzd2funzd2,
				BGl_string1786z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_varz00zzast_nodez00, BGl_proc1788z00zzintegrate_letzd2funzd2,
				BGl_string1786z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_closurez00zzast_nodez00, BGl_proc1789z00zzintegrate_letzd2funzd2,
				BGl_string1786z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_sequencez00zzast_nodez00, BGl_proc1790z00zzintegrate_letzd2funzd2,
				BGl_string1786z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_syncz00zzast_nodez00, BGl_proc1791z00zzintegrate_letzd2funzd2,
				BGl_string1786z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_appz00zzast_nodez00, BGl_proc1792z00zzintegrate_letzd2funzd2,
				BGl_string1786z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1793z00zzintegrate_letzd2funzd2,
				BGl_string1786z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_funcallz00zzast_nodez00, BGl_proc1794z00zzintegrate_letzd2funzd2,
				BGl_string1786z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_externz00zzast_nodez00, BGl_proc1795z00zzintegrate_letzd2funzd2,
				BGl_string1786z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_castz00zzast_nodez00, BGl_proc1796z00zzintegrate_letzd2funzd2,
				BGl_string1786z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_setqz00zzast_nodez00, BGl_proc1797z00zzintegrate_letzd2funzd2,
				BGl_string1786z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_conditionalz00zzast_nodez00,
				BGl_proc1798z00zzintegrate_letzd2funzd2,
				BGl_string1786z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_failz00zzast_nodez00, BGl_proc1799z00zzintegrate_letzd2funzd2,
				BGl_string1786z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_switchz00zzast_nodez00, BGl_proc1800z00zzintegrate_letzd2funzd2,
				BGl_string1786z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1801z00zzintegrate_letzd2funzd2,
				BGl_string1786z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1802z00zzintegrate_letzd2funzd2,
				BGl_string1786z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc1803z00zzintegrate_letzd2funzd2,
				BGl_string1786z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc1804z00zzintegrate_letzd2funzd2,
				BGl_string1786z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1805z00zzintegrate_letzd2funzd2,
				BGl_string1786z00zzintegrate_letzd2funzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc1806z00zzintegrate_letzd2funzd2,
				BGl_string1786z00zzintegrate_letzd2funzd2);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_displacezd2letzd2funzd2nodez12zd2envz12zzintegrate_letzd2funzd2,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1807z00zzintegrate_letzd2funzd2,
				BGl_string1786z00zzintegrate_letzd2funzd2);
		}

	}



/* &displace-let-fun-nod1305 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1305zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2173, obj_t BgL_nodez00_2174, obj_t BgL_hostsz00_2175)
	{
		{	/* Integrate/let_fun.scm 322 */
			return BUNSPEC;
		}

	}



/* &displace-let-fun-nod1303 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1303zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2176, obj_t BgL_nodez00_2177, obj_t BgL_hostsz00_2178)
	{
		{	/* Integrate/let_fun.scm 316 */
			return BUNSPEC;
		}

	}



/* &displace-let-fun-nod1301 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1301zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2179, obj_t BgL_nodez00_2180, obj_t BgL_hostsz00_2181)
	{
		{	/* Integrate/let_fun.scm 309 */
			return
				BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
				(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_2180)))->BgL_valuez00),
				BgL_hostsz00_2181);
		}

	}



/* &displace-let-fun-nod1299 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1299zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2182, obj_t BgL_nodez00_2183, obj_t BgL_hostsz00_2184)
	{
		{	/* Integrate/let_fun.scm 301 */
			BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2183)))->BgL_exitz00),
				BgL_hostsz00_2184);
			return
				BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(((
						(BgL_jumpzd2exzd2itz00_bglt) COBJECT(((BgL_jumpzd2exzd2itz00_bglt)
								BgL_nodez00_2183)))->BgL_valuez00), BgL_hostsz00_2184);
		}

	}



/* &displace-let-fun-nod1297 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1297zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2185, obj_t BgL_nodez00_2186, obj_t BgL_hostsz00_2187)
	{
		{	/* Integrate/let_fun.scm 294 */
			return
				BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2186)))->BgL_bodyz00),
				BgL_hostsz00_2187);
		}

	}



/* &displace-let-fun-nod1295 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1295zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2188, obj_t BgL_nodez00_2189, obj_t BgL_hostsz00_2190)
	{
		{	/* Integrate/let_fun.scm 280 */
			{	/* Integrate/let_fun.scm 282 */
				obj_t BgL_g1126z00_2259;

				BgL_g1126z00_2259 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2189)))->BgL_bindingsz00);
				{
					obj_t BgL_bindingsz00_2261;

					BgL_bindingsz00_2261 = BgL_g1126z00_2259;
				BgL_liipz00_2260:
					if (NULLP(BgL_bindingsz00_2261))
						{	/* Integrate/let_fun.scm 283 */
							return
								BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
								(((BgL_letzd2varzd2_bglt) COBJECT(
											((BgL_letzd2varzd2_bglt) BgL_nodez00_2189)))->
									BgL_bodyz00), BgL_hostsz00_2190);
						}
					else
						{	/* Integrate/let_fun.scm 285 */
							obj_t BgL_bindingz00_2262;

							BgL_bindingz00_2262 = CAR(((obj_t) BgL_bindingsz00_2261));
							{	/* Integrate/let_fun.scm 286 */
								obj_t BgL_valz00_2263;

								BgL_valz00_2263 = CDR(((obj_t) BgL_bindingz00_2262));
								{	/* Integrate/let_fun.scm 287 */

									BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
										((BgL_nodez00_bglt) BgL_valz00_2263), BgL_hostsz00_2190);
									{	/* Integrate/let_fun.scm 289 */
										obj_t BgL_arg1604z00_2264;

										BgL_arg1604z00_2264 = CDR(((obj_t) BgL_bindingsz00_2261));
										{
											obj_t BgL_bindingsz00_2555;

											BgL_bindingsz00_2555 = BgL_arg1604z00_2264;
											BgL_bindingsz00_2261 = BgL_bindingsz00_2555;
											goto BgL_liipz00_2260;
										}
									}
								}
							}
						}
				}
			}
		}

	}



/* &displace-let-fun-nod1293 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1293zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2191, obj_t BgL_nodez00_2192, obj_t BgL_hostsz00_2193)
	{
		{	/* Integrate/let_fun.scm 250 */
			{	/* Tools/trace.sch 53 */
				obj_t BgL_g1123z00_2266;

				BgL_g1123z00_2266 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2192)))->BgL_localsz00);
				{
					obj_t BgL_oldz00_2268;
					obj_t BgL_newz00_2269;

					BgL_oldz00_2268 = BgL_g1123z00_2266;
					BgL_newz00_2269 = BNIL;
				BgL_liipz00_2267:
					if (NULLP(BgL_oldz00_2268))
						{	/* Tools/trace.sch 53 */
							((((BgL_letzd2funzd2_bglt) COBJECT(
											((BgL_letzd2funzd2_bglt) BgL_nodez00_2192)))->
									BgL_localsz00) = ((obj_t) BgL_newz00_2269), BUNSPEC);
							return
								BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(((
										(BgL_letzd2funzd2_bglt) COBJECT(((BgL_letzd2funzd2_bglt)
												BgL_nodez00_2192)))->BgL_bodyz00), BgL_hostsz00_2193);
						}
					else
						{	/* Tools/trace.sch 53 */
							bool_t BgL_test1857z00_2565;

							{	/* Tools/trace.sch 53 */
								obj_t BgL_arg1597z00_2270;

								{	/* Tools/trace.sch 53 */
									BgL_sfunz00_bglt BgL_oz00_2271;

									BgL_oz00_2271 =
										((BgL_sfunz00_bglt)
										(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt)
															CAR(
																((obj_t) BgL_oldz00_2268))))))->BgL_valuez00));
									{
										BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2572;

										{
											obj_t BgL_auxz00_2573;

											{	/* Tools/trace.sch 53 */
												BgL_objectz00_bglt BgL_tmpz00_2574;

												BgL_tmpz00_2574 = ((BgL_objectz00_bglt) BgL_oz00_2271);
												BgL_auxz00_2573 = BGL_OBJECT_WIDENING(BgL_tmpz00_2574);
											}
											BgL_auxz00_2572 =
												((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2573);
										}
										BgL_arg1597z00_2270 =
											(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2572))->
											BgL_lz00);
									}
								}
								BgL_test1857z00_2565 =
									CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
									(BgL_arg1597z00_2270, BgL_hostsz00_2193));
							}
							if (BgL_test1857z00_2565)
								{	/* Tools/trace.sch 53 */
									obj_t BgL_lz00_2272;

									BgL_lz00_2272 = CAR(((obj_t) BgL_oldz00_2268));
									BGl_bindzd2funz12zc0zzintegrate_letzd2funzd2(BgL_lz00_2272);
									{	/* Tools/trace.sch 53 */
										obj_t BgL_arg1579z00_2273;
										obj_t BgL_arg1580z00_2274;

										BgL_arg1579z00_2273 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt)
														(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt) BgL_lz00_2272))))->
															BgL_valuez00))))->BgL_bodyz00);
										BgL_arg1580z00_2274 =
											MAKE_YOUNG_PAIR(BgL_lz00_2272, BgL_hostsz00_2193);
										BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2
											(((BgL_nodez00_bglt) BgL_arg1579z00_2273),
											BgL_arg1580z00_2274);
									}
									{	/* Tools/trace.sch 53 */
										obj_t BgL_arg1583z00_2275;
										obj_t BgL_arg1584z00_2276;

										BgL_arg1583z00_2275 = CDR(((obj_t) BgL_oldz00_2268));
										BgL_arg1584z00_2276 =
											MAKE_YOUNG_PAIR(BgL_lz00_2272, BgL_newz00_2269);
										{
											obj_t BgL_newz00_2596;
											obj_t BgL_oldz00_2595;

											BgL_oldz00_2595 = BgL_arg1583z00_2275;
											BgL_newz00_2596 = BgL_arg1584z00_2276;
											BgL_newz00_2269 = BgL_newz00_2596;
											BgL_oldz00_2268 = BgL_oldz00_2595;
											goto BgL_liipz00_2267;
										}
									}
								}
							else
								{	/* Tools/trace.sch 53 */
									obj_t BgL_arg1585z00_2277;

									BgL_arg1585z00_2277 = CDR(((obj_t) BgL_oldz00_2268));
									{
										obj_t BgL_oldz00_2599;

										BgL_oldz00_2599 = BgL_arg1585z00_2277;
										BgL_oldz00_2268 = BgL_oldz00_2599;
										goto BgL_liipz00_2267;
									}
								}
						}
				}
			}
		}

	}



/* &displace-let-fun-nod1291 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1291zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2194, obj_t BgL_nodez00_2195, obj_t BgL_hostsz00_2196)
	{
		{	/* Integrate/let_fun.scm 238 */
			{	/* Integrate/let_fun.scm 240 */
				obj_t BgL_g1121z00_2279;

				BgL_g1121z00_2279 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2195)))->BgL_clausesz00);
				{
					obj_t BgL_clausesz00_2281;

					BgL_clausesz00_2281 = BgL_g1121z00_2279;
				BgL_liipz00_2280:
					if (NULLP(BgL_clausesz00_2281))
						{	/* Integrate/let_fun.scm 241 */
							return
								BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
								(((BgL_switchz00_bglt) COBJECT(
											((BgL_switchz00_bglt) BgL_nodez00_2195)))->BgL_testz00),
								BgL_hostsz00_2196);
						}
					else
						{	/* Integrate/let_fun.scm 241 */
							{	/* Integrate/let_fun.scm 244 */
								obj_t BgL_arg1557z00_2282;

								{	/* Integrate/let_fun.scm 244 */
									obj_t BgL_pairz00_2283;

									BgL_pairz00_2283 = CAR(((obj_t) BgL_clausesz00_2281));
									BgL_arg1557z00_2282 = CDR(BgL_pairz00_2283);
								}
								BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
									((BgL_nodez00_bglt) BgL_arg1557z00_2282), BgL_hostsz00_2196);
							}
							{	/* Integrate/let_fun.scm 245 */
								obj_t BgL_arg1559z00_2284;

								BgL_arg1559z00_2284 = CDR(((obj_t) BgL_clausesz00_2281));
								{
									obj_t BgL_clausesz00_2614;

									BgL_clausesz00_2614 = BgL_arg1559z00_2284;
									BgL_clausesz00_2281 = BgL_clausesz00_2614;
									goto BgL_liipz00_2280;
								}
							}
						}
				}
			}
		}

	}



/* &displace-let-fun-nod1289 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1289zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2197, obj_t BgL_nodez00_2198, obj_t BgL_hostsz00_2199)
	{
		{	/* Integrate/let_fun.scm 229 */
			BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2198)))->BgL_procz00),
				BgL_hostsz00_2199);
			BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(((
						(BgL_failz00_bglt) COBJECT(((BgL_failz00_bglt) BgL_nodez00_2198)))->
					BgL_msgz00), BgL_hostsz00_2199);
			return
				BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(((
						(BgL_failz00_bglt) COBJECT(((BgL_failz00_bglt) BgL_nodez00_2198)))->
					BgL_objz00), BgL_hostsz00_2199);
		}

	}



/* &displace-let-fun-nod1287 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1287zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2200, obj_t BgL_nodez00_2201, obj_t BgL_hostsz00_2202)
	{
		{	/* Integrate/let_fun.scm 220 */
			BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2201)))->BgL_testz00),
				BgL_hostsz00_2202);
			BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(((
						(BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt)
								BgL_nodez00_2201)))->BgL_truez00), BgL_hostsz00_2202);
			return
				BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(((
						(BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt)
								BgL_nodez00_2201)))->BgL_falsez00), BgL_hostsz00_2202);
		}

	}



/* &displace-let-fun-nod1285 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1285zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2203, obj_t BgL_nodez00_2204, obj_t BgL_hostsz00_2205)
	{
		{	/* Integrate/let_fun.scm 213 */
			return
				BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
				(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_2204)))->BgL_valuez00),
				BgL_hostsz00_2205);
		}

	}



/* &displace-let-fun-nod1283 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1283zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2206, obj_t BgL_nodez00_2207, obj_t BgL_hostsz00_2208)
	{
		{	/* Integrate/let_fun.scm 206 */
			return
				BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
				(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_2207)))->BgL_argz00),
				BgL_hostsz00_2208);
		}

	}



/* &displace-let-fun-nod1281 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1281zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2209, obj_t BgL_nodez00_2210, obj_t BgL_hostsz00_2211)
	{
		{	/* Integrate/let_fun.scm 199 */
			{	/* Integrate/let_fun.scm 200 */
				bool_t BgL_tmpz00_2639;

				{	/* Integrate/let_fun.scm 201 */
					obj_t BgL_g1259z00_2290;

					BgL_g1259z00_2290 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_nodez00_2210)))->BgL_exprza2za2);
					{
						obj_t BgL_l1257z00_2292;

						BgL_l1257z00_2292 = BgL_g1259z00_2290;
					BgL_zc3z04anonymousza31527ze3z87_2291:
						if (PAIRP(BgL_l1257z00_2292))
							{	/* Integrate/let_fun.scm 201 */
								{	/* Integrate/let_fun.scm 201 */
									obj_t BgL_nodez00_2293;

									BgL_nodez00_2293 = CAR(BgL_l1257z00_2292);
									BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
										((BgL_nodez00_bglt) BgL_nodez00_2293), BgL_hostsz00_2211);
								}
								{
									obj_t BgL_l1257z00_2647;

									BgL_l1257z00_2647 = CDR(BgL_l1257z00_2292);
									BgL_l1257z00_2292 = BgL_l1257z00_2647;
									goto BgL_zc3z04anonymousza31527ze3z87_2291;
								}
							}
						else
							{	/* Integrate/let_fun.scm 201 */
								BgL_tmpz00_2639 = ((bool_t) 1);
							}
					}
				}
				return BBOOL(BgL_tmpz00_2639);
			}
		}

	}



/* &displace-let-fun-nod1279 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1279zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2212, obj_t BgL_nodez00_2213, obj_t BgL_hostsz00_2214)
	{
		{	/* Integrate/let_fun.scm 187 */
			{
				obj_t BgL_astsz00_2296;

				BgL_astsz00_2296 =
					(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_2213)))->BgL_argsz00);
			BgL_liipz00_2295:
				if (NULLP(BgL_astsz00_2296))
					{	/* Integrate/let_fun.scm 190 */
						return
							BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
							(((BgL_funcallz00_bglt) COBJECT(
										((BgL_funcallz00_bglt) BgL_nodez00_2213)))->BgL_funz00),
							BgL_hostsz00_2214);
					}
				else
					{	/* Integrate/let_fun.scm 190 */
						{	/* Integrate/let_fun.scm 193 */
							obj_t BgL_arg1521z00_2297;

							BgL_arg1521z00_2297 = CAR(((obj_t) BgL_astsz00_2296));
							BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
								((BgL_nodez00_bglt) BgL_arg1521z00_2297), BgL_hostsz00_2214);
						}
						{	/* Integrate/let_fun.scm 194 */
							obj_t BgL_arg1526z00_2298;

							BgL_arg1526z00_2298 = CDR(((obj_t) BgL_astsz00_2296));
							{
								obj_t BgL_astsz00_2661;

								BgL_astsz00_2661 = BgL_arg1526z00_2298;
								BgL_astsz00_2296 = BgL_astsz00_2661;
								goto BgL_liipz00_2295;
							}
						}
					}
			}
		}

	}



/* &displace-let-fun-nod1277 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1277zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2215, obj_t BgL_nodez00_2216, obj_t BgL_hostsz00_2217)
	{
		{	/* Integrate/let_fun.scm 179 */
			BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_2216)))->BgL_funz00),
				BgL_hostsz00_2217);
			return
				BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(((
						(BgL_appzd2lyzd2_bglt) COBJECT(((BgL_appzd2lyzd2_bglt)
								BgL_nodez00_2216)))->BgL_argz00), BgL_hostsz00_2217);
		}

	}



/* &displace-let-fun-nod1275 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1275zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2218, obj_t BgL_nodez00_2219, obj_t BgL_hostsz00_2220)
	{
		{	/* Integrate/let_fun.scm 168 */
			{	/* Integrate/let_fun.scm 169 */
				obj_t BgL_g1112z00_2301;

				BgL_g1112z00_2301 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_2219)))->BgL_argsz00);
				{
					obj_t BgL_argsz00_2303;

					BgL_argsz00_2303 = BgL_g1112z00_2301;
				BgL_liipz00_2302:
					if (NULLP(BgL_argsz00_2303))
						{	/* Integrate/let_fun.scm 170 */
							return BUNSPEC;
						}
					else
						{	/* Integrate/let_fun.scm 170 */
							{	/* Integrate/let_fun.scm 173 */
								obj_t BgL_arg1445z00_2304;

								BgL_arg1445z00_2304 = CAR(((obj_t) BgL_argsz00_2303));
								BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
									((BgL_nodez00_bglt) BgL_arg1445z00_2304), BgL_hostsz00_2220);
							}
							{	/* Integrate/let_fun.scm 174 */
								obj_t BgL_arg1446z00_2305;

								BgL_arg1446z00_2305 = CDR(((obj_t) BgL_argsz00_2303));
								{
									obj_t BgL_argsz00_2680;

									BgL_argsz00_2680 = BgL_arg1446z00_2305;
									BgL_argsz00_2303 = BgL_argsz00_2680;
									goto BgL_liipz00_2302;
								}
							}
						}
				}
			}
		}

	}



/* &displace-let-fun-nod1273 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1273zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2221, obj_t BgL_nodez00_2222, obj_t BgL_hostsz00_2223)
	{
		{	/* Integrate/let_fun.scm 159 */
			BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2222)))->BgL_mutexz00),
				BgL_hostsz00_2223);
			BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(((
						(BgL_syncz00_bglt) COBJECT(((BgL_syncz00_bglt) BgL_nodez00_2222)))->
					BgL_prelockz00), BgL_hostsz00_2223);
			return
				BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(((
						(BgL_syncz00_bglt) COBJECT(((BgL_syncz00_bglt) BgL_nodez00_2222)))->
					BgL_bodyz00), BgL_hostsz00_2223);
		}

	}



/* &displace-let-fun-nod1271 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1271zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2224, obj_t BgL_nodez00_2225, obj_t BgL_hostsz00_2226)
	{
		{	/* Integrate/let_fun.scm 152 */
			{	/* Integrate/let_fun.scm 153 */
				bool_t BgL_tmpz00_2690;

				{	/* Integrate/let_fun.scm 154 */
					obj_t BgL_g1256z00_2308;

					BgL_g1256z00_2308 =
						(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_2225)))->BgL_nodesz00);
					{
						obj_t BgL_l1254z00_2310;

						BgL_l1254z00_2310 = BgL_g1256z00_2308;
					BgL_zc3z04anonymousza31375ze3z87_2309:
						if (PAIRP(BgL_l1254z00_2310))
							{	/* Integrate/let_fun.scm 154 */
								{	/* Integrate/let_fun.scm 154 */
									obj_t BgL_nodez00_2311;

									BgL_nodez00_2311 = CAR(BgL_l1254z00_2310);
									BGl_displacezd2letzd2funzd2nodez12zc0zzintegrate_letzd2funzd2(
										((BgL_nodez00_bglt) BgL_nodez00_2311), BgL_hostsz00_2226);
								}
								{
									obj_t BgL_l1254z00_2698;

									BgL_l1254z00_2698 = CDR(BgL_l1254z00_2310);
									BgL_l1254z00_2310 = BgL_l1254z00_2698;
									goto BgL_zc3z04anonymousza31375ze3z87_2309;
								}
							}
						else
							{	/* Integrate/let_fun.scm 154 */
								BgL_tmpz00_2690 = ((bool_t) 1);
							}
					}
				}
				return BBOOL(BgL_tmpz00_2690);
			}
		}

	}



/* &displace-let-fun-nod1269 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1269zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2227, obj_t BgL_nodez00_2228, obj_t BgL_hostsz00_2229)
	{
		{	/* Integrate/let_fun.scm 146 */
			{	/* Integrate/let_fun.scm 147 */
				obj_t BgL_arg1374z00_2313;

				BgL_arg1374z00_2313 =
					BGl_shapez00zztools_shapez00(
					((obj_t) ((BgL_closurez00_bglt) BgL_nodez00_2228)));
				return
					BGl_internalzd2errorzd2zztools_errorz00
					(BGl_string1808z00zzintegrate_letzd2funzd2,
					BGl_string1809z00zzintegrate_letzd2funzd2, BgL_arg1374z00_2313);
			}
		}

	}



/* &displace-let-fun-nod1267 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1267zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2230, obj_t BgL_nodez00_2231, obj_t BgL_hostsz00_2232)
	{
		{	/* Integrate/let_fun.scm 140 */
			return BUNSPEC;
		}

	}



/* &displace-let-fun-nod1265 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1265zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2233, obj_t BgL_nodez00_2234, obj_t BgL_hostsz00_2235)
	{
		{	/* Integrate/let_fun.scm 134 */
			return BUNSPEC;
		}

	}



/* &displace-let-fun-nod1263 */
	obj_t BGl_z62displacezd2letzd2funzd2nod1263zb0zzintegrate_letzd2funzd2(obj_t
		BgL_envz00_2236, obj_t BgL_nodez00_2237, obj_t BgL_hostsz00_2238)
	{
		{	/* Integrate/let_fun.scm 128 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzintegrate_letzd2funzd2()
	{
		{	/* Integrate/let_fun.scm 16 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1810z00zzintegrate_letzd2funzd2));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1810z00zzintegrate_letzd2funzd2));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1810z00zzintegrate_letzd2funzd2));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1810z00zzintegrate_letzd2funzd2));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1810z00zzintegrate_letzd2funzd2));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string1810z00zzintegrate_letzd2funzd2));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1810z00zzintegrate_letzd2funzd2));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1810z00zzintegrate_letzd2funzd2));
			return
				BGl_modulezd2initializa7ationz75zzintegrate_infoz00(((long) 0),
				BSTRING_TO_STRING(BGl_string1810z00zzintegrate_letzd2funzd2));
		}

	}

#ifdef __cplusplus
}
#endif
