/*===========================================================================*/
/*   (Unsafe/rsa.scm)                                                        */
/*   Bigloo (4.4b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon 22 Mar 2021 06:56:16 PM CET     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.4b -rm -copt -w -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.4b -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -c Unsafe/rsa.scm -indent -o objs/obj_u/Unsafe/rsa.c) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	extern obj_t BGl_u8vectorzd2ze3listz31zz__srfi4z00(obj_t);
	extern obj_t BGl_gcdbxz00zz__r4_numbers_6_5_fixnumz00(obj_t);
	static obj_t BGl_modzd2inversezd2zz__rsaz00(obj_t, obj_t);
	extern obj_t BGl_makezd2u8vectorzd2zz__srfi4z00(long, uint8_t);
	extern long BGl_modulofxz00zz__r4_numbers_6_5_fixnumz00(long, long);
	BGL_EXPORTED_DECL obj_t BGl_rsazd2encryptzd2stringz00zz__rsaz00(obj_t, obj_t);
	static obj_t BGl_z62PKCS1zd2padzb0zz__rsaz00(obj_t, obj_t, obj_t);
	static obj_t BGl_u8vectorzd2ze3bignumz31zz__rsaz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__rsaz00 = BUNSPEC;
	extern obj_t bgl_bignum_quotient(obj_t, obj_t);
	static obj_t BGl_keyword1977z00zz__rsaz00 = BUNSPEC;
	static obj_t BGl_keyword1979z00zz__rsaz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_makezd2rsazd2keyzd2pairzd2zz__rsaz00(obj_t,
		obj_t);
	static obj_t BGl_u8vectorzd2appendzd2zz__rsaz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_PKCS1zd2unpadzd2zz__rsaz00(obj_t);
	static obj_t BGl_gcdzd2extzd2zz__rsaz00(obj_t, obj_t);
	static obj_t BGl_z62publiczd2rsazd2keyz62zz__rsaz00(obj_t, obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__rsaz00(long,
		char *);
	static obj_t BGl_z62rsazd2encryptzd2stringz62zz__rsaz00(obj_t, obj_t, obj_t);
	static obj_t BGl_subu8vectorz00zz__rsaz00(obj_t, long, long);
	extern obj_t BGl_listzd2ze3u8vectorz31zz__srfi4z00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__rsaz00();
	BGL_EXPORTED_DECL obj_t BGl_rsazd2keyzd3z01zz__rsaz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_PKCS1zd2padzd2zz__rsaz00(obj_t, obj_t);
	extern obj_t create_struct(obj_t, int);
	static obj_t BGl_randomzd2primezd2zz__rsaz00(obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__rsaz00();
	static obj_t BGl_exptzd2modze70z35zz__rsaz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zz__rsaz00();
	extern long bgl_bignum_to_long(obj_t);
	static obj_t BGl_symbol1973z00zz__rsaz00 = BUNSPEC;
	static obj_t BGl_gczd2rootszd2initz00zz__rsaz00();
	extern obj_t bgl_bignum_remainder(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zz__rsaz00();
	extern obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_2zd2zd2zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t bgl_bignum_mul(obj_t, obj_t);
	static obj_t BGl_symbol1981z00zz__rsaz00 = BUNSPEC;
	extern bool_t BGl_2zc3zc3zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_symbol1988z00zz__rsaz00 = BUNSPEC;
	extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_rsazd2decryptzd2stringz00zz__rsaz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_publiczd2rsazd2keyz00zz__rsaz00(obj_t);
	static obj_t BGl_symbol1990z00zz__rsaz00 = BUNSPEC;
	static obj_t BGl_z62rsazd2encryptzd2u8vectorz62zz__rsaz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol1994z00zz__rsaz00 = BUNSPEC;
	static obj_t BGl__makezd2rsazd2keyzd2pairzd2zz__rsaz00(obj_t, obj_t);
	extern obj_t bgl_bignum_add(obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	extern bool_t bgl_bignum_even(obj_t);
	static obj_t BGl_list1976z00zz__rsaz00 = BUNSPEC;
	extern bool_t bgl_bignum_odd(obj_t);
	static obj_t BGl_z62rsazd2decryptzd2stringz62zz__rsaz00(obj_t, obj_t, obj_t);
	extern obj_t bgl_rand_bignum(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_rsazd2encryptzd2u8vectorz00zz__rsaz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62PKCS1zd2unpadzb0zz__rsaz00(obj_t, obj_t);
	extern obj_t BGl_stringzd2ze3listz31zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_z62rsazd2keyzd3z63zz__rsaz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62rsazd2decryptzd2u8vectorz62zz__rsaz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zz__rsaz00();
	static obj_t BGl_bignumzd2ze3u8vectorz31zz__rsaz00(obj_t);
	static obj_t BGl_list1993z00zz__rsaz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_privatezd2rsazd2keyz00zz__rsaz00(obj_t);
	static obj_t BGl_z62privatezd2rsazd2keyz62zz__rsaz00(obj_t, obj_t);
	extern obj_t BGl_modulobxz00zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t);
	extern obj_t bstring_to_keyword(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_rsazd2decryptzd2u8vectorz00zz__rsaz00(obj_t,
		obj_t);
	extern obj_t bgl_bignum_sub(obj_t, obj_t);
	extern int bgl_bignum_cmp(obj_t, obj_t);
	extern obj_t BGl_exptbxz00zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t);
	extern obj_t bgl_long_to_bignum(long);
	extern bool_t BGl_2ze3zd3z30zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rsazd2keyzd2pairzd2envz00zz__rsaz00,
		BgL_bgl__makeza7d2rsaza7d2ke2000z00, opt_generic_entry,
		BGl__makezd2rsazd2keyzd2pairzd2zz__rsaz00, BFALSE, -1);
	      DEFINE_STRING(BGl_string1971z00zz__rsaz00,
		BgL_bgl_string1971za700za7za7_2001za7, ".", 1);
	      DEFINE_STRING(BGl_string1972z00zz__rsaz00,
		BgL_bgl_string1972za700za7za7_2002za7, "+", 1);
	      DEFINE_STRING(BGl_string1974z00zz__rsaz00,
		BgL_bgl_string1974za700za7za7_2003za7, "mod-inverse", 11);
	      DEFINE_STRING(BGl_string1975z00zz__rsaz00,
		BgL_bgl_string1975za700za7za7_2004za7,
		"internal error, numbers are not relatively prime", 48);
	      DEFINE_STRING(BGl_string1978z00zz__rsaz00,
		BgL_bgl_string1978za700za7za7_2005za7, "show-trace", 10);
	      DEFINE_STRING(BGl_string1980z00zz__rsaz00,
		BgL_bgl_string1980za700za7za7_2006za7, "size", 4);
	      DEFINE_STRING(BGl_string1982z00zz__rsaz00,
		BgL_bgl_string1982za700za7za7_2007za7, "make-rsa-key-pair", 17);
	      DEFINE_STRING(BGl_string1983z00zz__rsaz00,
		BgL_bgl_string1983za700za7za7_2008za7, "Illegal keyword argument", 24);
	      DEFINE_STRING(BGl_string1984z00zz__rsaz00,
		BgL_bgl_string1984za700za7za7_2009za7,
		"wrong number of arguments: [0..2] expected, provided", 52);
	      DEFINE_STRING(BGl_string1985z00zz__rsaz00,
		BgL_bgl_string1985za700za7za7_2010za7, "/tmp/bigloo/runtime/Unsafe/rsa.scm",
		34);
	      DEFINE_STRING(BGl_string1986z00zz__rsaz00,
		BgL_bgl_string1986za700za7za7_2011za7, "_make-rsa-key-pair", 18);
	      DEFINE_STRING(BGl_string1987z00zz__rsaz00,
		BgL_bgl_string1987za700za7za7_2012za7, "bint", 4);
	      DEFINE_STRING(BGl_string1989z00zz__rsaz00,
		BgL_bgl_string1989za700za7za7_2013za7, "rsa-key", 7);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_PKCS1zd2padzd2envz00zz__rsaz00,
		BgL_bgl_za762pkcs1za7d2padza7b2014za7, BGl_z62PKCS1zd2padzb0zz__rsaz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1991z00zz__rsaz00,
		BgL_bgl_string1991za700za7za7_2015za7, "PKCS1-pad", 9);
	      DEFINE_STRING(BGl_string1992z00zz__rsaz00,
		BgL_bgl_string1992za700za7za7_2016za7,
		"not enough space is available for proper padding", 48);
	      DEFINE_STRING(BGl_string1995z00zz__rsaz00,
		BgL_bgl_string1995za700za7za7_2017za7, "PKCS1-unpad", 11);
	      DEFINE_STRING(BGl_string1996z00zz__rsaz00,
		BgL_bgl_string1996za700za7za7_2018za7, "improperly padded message", 25);
	      DEFINE_STRING(BGl_string1997z00zz__rsaz00,
		BgL_bgl_string1997za700za7za7_2019za7, "&rsa-encrypt-string", 19);
	      DEFINE_STRING(BGl_string1998z00zz__rsaz00,
		BgL_bgl_string1998za700za7za7_2020za7, "bstring", 7);
	      DEFINE_STRING(BGl_string1999z00zz__rsaz00,
		BgL_bgl_string1999za700za7za7_2021za7, "&rsa-decrypt-string", 19);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_publiczd2rsazd2keyzd2envzd2zz__rsaz00,
		BgL_bgl_za762publicza7d2rsaza72022za7,
		BGl_z62publiczd2rsazd2keyz62zz__rsaz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rsazd2keyzd3zd2envzd3zz__rsaz00,
		BgL_bgl_za762rsaza7d2keyza7d3za72023z00, BGl_z62rsazd2keyzd3z63zz__rsaz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rsazd2decryptzd2u8vectorzd2envzd2zz__rsaz00,
		BgL_bgl_za762rsaza7d2decrypt2024z00,
		BGl_z62rsazd2decryptzd2u8vectorz62zz__rsaz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_privatezd2rsazd2keyzd2envzd2zz__rsaz00,
		BgL_bgl_za762privateza7d2rsa2025z00,
		BGl_z62privatezd2rsazd2keyz62zz__rsaz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rsazd2encryptzd2u8vectorzd2envzd2zz__rsaz00,
		BgL_bgl_za762rsaza7d2encrypt2026z00,
		BGl_z62rsazd2encryptzd2u8vectorz62zz__rsaz00, 0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_PKCS1zd2unpadzd2envz00zz__rsaz00,
		BgL_bgl_za762pkcs1za7d2unpad2027z00, BGl_z62PKCS1zd2unpadzb0zz__rsaz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rsazd2decryptzd2stringzd2envzd2zz__rsaz00,
		BgL_bgl_za762rsaza7d2decrypt2028z00,
		BGl_z62rsazd2decryptzd2stringz62zz__rsaz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rsazd2encryptzd2stringzd2envzd2zz__rsaz00,
		BgL_bgl_za762rsaza7d2encrypt2029z00,
		BGl_z62rsazd2encryptzd2stringz62zz__rsaz00, 0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zz__rsaz00));
		     ADD_ROOT((void *) (&BGl_keyword1977z00zz__rsaz00));
		     ADD_ROOT((void *) (&BGl_keyword1979z00zz__rsaz00));
		     ADD_ROOT((void *) (&BGl_symbol1973z00zz__rsaz00));
		     ADD_ROOT((void *) (&BGl_symbol1981z00zz__rsaz00));
		     ADD_ROOT((void *) (&BGl_symbol1988z00zz__rsaz00));
		     ADD_ROOT((void *) (&BGl_symbol1990z00zz__rsaz00));
		     ADD_ROOT((void *) (&BGl_symbol1994z00zz__rsaz00));
		     ADD_ROOT((void *) (&BGl_list1976z00zz__rsaz00));
		     ADD_ROOT((void *) (&BGl_list1993z00zz__rsaz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__rsaz00(long
		BgL_checksumz00_3079, char *BgL_fromz00_3080)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__rsaz00))
				{
					BGl_requirezd2initializa7ationz75zz__rsaz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zz__rsaz00();
					BGl_cnstzd2initzd2zz__rsaz00();
					return BGl_toplevelzd2initzd2zz__rsaz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__rsaz00()
	{
		{	/* Unsafe/rsa.scm 16 */
			BGl_symbol1973z00zz__rsaz00 =
				bstring_to_symbol(BGl_string1974z00zz__rsaz00);
			BGl_keyword1977z00zz__rsaz00 =
				bstring_to_keyword(BGl_string1978z00zz__rsaz00);
			BGl_keyword1979z00zz__rsaz00 =
				bstring_to_keyword(BGl_string1980z00zz__rsaz00);
			BGl_list1976z00zz__rsaz00 =
				MAKE_YOUNG_PAIR(BGl_keyword1977z00zz__rsaz00,
				MAKE_YOUNG_PAIR(BGl_keyword1979z00zz__rsaz00, BNIL));
			BGl_symbol1981z00zz__rsaz00 =
				bstring_to_symbol(BGl_string1982z00zz__rsaz00);
			BGl_symbol1988z00zz__rsaz00 =
				bstring_to_symbol(BGl_string1989z00zz__rsaz00);
			BGl_symbol1990z00zz__rsaz00 =
				bstring_to_symbol(BGl_string1991z00zz__rsaz00);
			BGl_list1993z00zz__rsaz00 = MAKE_YOUNG_PAIR(BINT(((long) 0)), BNIL);
			return (BGl_symbol1994z00zz__rsaz00 =
				bstring_to_symbol(BGl_string1995z00zz__rsaz00), BUNSPEC);
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__rsaz00()
	{
		{	/* Unsafe/rsa.scm 16 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__rsaz00()
	{
		{	/* Unsafe/rsa.scm 16 */
			return BUNSPEC;
		}

	}



/* random-prime */
	obj_t BGl_randomzd2primezd2zz__rsaz00(obj_t BgL_startz00_17,
		obj_t BgL_endz00_18, obj_t BgL_showzd2tracezd2_19)
	{
		{	/* Unsafe/rsa.scm 84 */
			{
				long BgL_nz00_1354;

				if (CBOOL(BgL_showzd2tracezd2_19))
					{	/* Unsafe/rsa.scm 96 */
						{	/* Unsafe/rsa.scm 97 */
							obj_t BgL_arg1251z00_1323;

							{	/* Unsafe/rsa.scm 97 */
								obj_t BgL_tmpz00_3101;

								BgL_tmpz00_3101 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_arg1251z00_1323 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_3101);
							}
							bgl_display_string(BGl_string1971z00zz__rsaz00,
								BgL_arg1251z00_1323);
						}
						{	/* Unsafe/rsa.scm 98 */
							obj_t BgL_arg1256z00_1324;

							{	/* Unsafe/rsa.scm 98 */
								obj_t BgL_tmpz00_3105;

								BgL_tmpz00_3105 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_arg1256z00_1324 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_3105);
							}
							bgl_flush_output_port(BgL_arg1256z00_1324);
						}
					}
				else
					{	/* Unsafe/rsa.scm 96 */
						BFALSE;
					}
				{	/* Unsafe/rsa.scm 100 */
					obj_t BgL_prodzd2smallzd2primesz00_1325;

					BgL_nz00_1354 = ((long) 300);
					{	/* Unsafe/rsa.scm 87 */
						long BgL_g1042z00_1356;

						BgL_g1042z00_1356 = (BgL_nz00_1354 - ((long) 1));
						{
							long BgL_nz00_2277;
							obj_t BgL_pz00_2278;
							long BgL_iz00_2279;

							BgL_nz00_2277 = BgL_g1042z00_1356;
							BgL_pz00_2278 = (bgl_string_to_bignum("2", 16));
							BgL_iz00_2279 = ((long) 3);
						BgL_loopz00_2276:
							if ((BgL_nz00_2277 == ((long) 0)))
								{	/* Unsafe/rsa.scm 89 */
									BgL_prodzd2smallzd2primesz00_1325 = BgL_pz00_2278;
								}
							else
								{	/* Unsafe/rsa.scm 91 */
									bool_t BgL_test2033z00_3112;

									{	/* Unsafe/rsa.scm 91 */
										obj_t BgL_arg1304z00_2283;

										{	/* Unsafe/rsa.scm 91 */
											obj_t BgL_arg1306z00_2284;

											BgL_arg1306z00_2284 = bgl_long_to_bignum(BgL_iz00_2279);
											{	/* Unsafe/rsa.scm 91 */
												obj_t BgL_list1307z00_2286;

												{	/* Unsafe/rsa.scm 91 */
													obj_t BgL_arg1308z00_2287;

													BgL_arg1308z00_2287 =
														MAKE_YOUNG_PAIR(BgL_pz00_2278, BNIL);
													BgL_list1307z00_2286 =
														MAKE_YOUNG_PAIR(BgL_arg1306z00_2284,
														BgL_arg1308z00_2287);
												}
												BgL_arg1304z00_2283 =
													BGl_gcdbxz00zz__r4_numbers_6_5_fixnumz00
													(BgL_list1307z00_2286);
											}
										}
										BgL_test2033z00_3112 =
											(
											(long) (bgl_bignum_cmp((bgl_string_to_bignum("1", 16)),
													BgL_arg1304z00_2283)) == ((long) 0));
									}
									if (BgL_test2033z00_3112)
										{
											long BgL_iz00_3125;
											obj_t BgL_pz00_3122;
											long BgL_nz00_3120;

											BgL_nz00_3120 = (BgL_nz00_2277 - ((long) 1));
											BgL_pz00_3122 =
												bgl_bignum_mul(BgL_pz00_2278,
												bgl_long_to_bignum(BgL_iz00_2279));
											BgL_iz00_3125 = (BgL_iz00_2279 + ((long) 2));
											BgL_iz00_2279 = BgL_iz00_3125;
											BgL_pz00_2278 = BgL_pz00_3122;
											BgL_nz00_2277 = BgL_nz00_3120;
											goto BgL_loopz00_2276;
										}
									else
										{
											long BgL_iz00_3127;

											BgL_iz00_3127 = (BgL_iz00_2279 + ((long) 2));
											BgL_iz00_2279 = BgL_iz00_3127;
											goto BgL_loopz00_2276;
										}
								}
						}
					}
					{
						obj_t BgL_nz00_1345;

						{
							long BgL_iz00_1328;

							BgL_iz00_1328 = ((long) 1);
						BgL_zc3z04anonymousza31257ze3z87_1329:
							if (CBOOL(BgL_showzd2tracezd2_19))
								{	/* Unsafe/rsa.scm 107 */
									{	/* Unsafe/rsa.scm 108 */
										obj_t BgL_arg1259z00_1330;

										{	/* Unsafe/rsa.scm 108 */
											obj_t BgL_tmpz00_3131;

											BgL_tmpz00_3131 = BGL_CURRENT_DYNAMIC_ENV();
											BgL_arg1259z00_1330 =
												BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_3131);
										}
										bgl_display_string(BGl_string1972z00zz__rsaz00,
											BgL_arg1259z00_1330);
									}
									{	/* Unsafe/rsa.scm 109 */
										obj_t BgL_arg1260z00_1331;

										{	/* Unsafe/rsa.scm 109 */
											obj_t BgL_tmpz00_3135;

											BgL_tmpz00_3135 = BGL_CURRENT_DYNAMIC_ENV();
											BgL_arg1260z00_1331 =
												BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_3135);
										}
										bgl_flush_output_port(BgL_arg1260z00_1331);
									}
								}
							else
								{	/* Unsafe/rsa.scm 107 */
									BFALSE;
								}
							{	/* Unsafe/rsa.scm 110 */
								obj_t BgL_xz00_1332;

								{	/* Unsafe/rsa.scm 110 */
									obj_t BgL_arg1268z00_1342;

									{	/* Unsafe/rsa.scm 110 */
										obj_t BgL_arg1269z00_1343;

										BgL_arg1269z00_1343 =
											bgl_bignum_sub(BgL_endz00_18, BgL_startz00_17);
										if (
											((long) (bgl_bignum_cmp(BgL_arg1269z00_1343,
														(bgl_string_to_bignum("0", 16)))) == ((long) 0)))
											{	/* Unsafe/rsa.scm 110 */
												BgL_arg1268z00_1342 = (bgl_string_to_bignum("0", 16));
											}
										else
											{	/* Unsafe/rsa.scm 110 */
												BgL_arg1268z00_1342 =
													bgl_rand_bignum(BgL_arg1269z00_1343);
											}
									}
									BgL_xz00_1332 =
										bgl_bignum_add(BgL_startz00_17, BgL_arg1268z00_1342);
								}
								{	/* Unsafe/rsa.scm 110 */
									obj_t BgL_nz00_1333;

									if (bgl_bignum_odd(BgL_xz00_1332))
										{	/* Unsafe/rsa.scm 111 */
											BgL_nz00_1333 = BgL_xz00_1332;
										}
									else
										{	/* Unsafe/rsa.scm 111 */
											BgL_nz00_1333 =
												bgl_bignum_add(BgL_xz00_1332, (bgl_string_to_bignum("1",
														16)));
										}
									{	/* Unsafe/rsa.scm 111 */

										{	/* Unsafe/rsa.scm 112 */
											bool_t BgL_test2037z00_3149;

											if (
												((long) (bgl_bignum_cmp(BgL_nz00_1333,
															BgL_endz00_18)) >= ((long) 0)))
												{	/* Unsafe/rsa.scm 112 */
													BgL_test2037z00_3149 = ((bool_t) 1);
												}
											else
												{	/* Unsafe/rsa.scm 112 */
													bool_t BgL_test2039z00_3154;

													BgL_nz00_1345 = BgL_nz00_1333;
													{	/* Unsafe/rsa.scm 103 */
														bool_t BgL_test2040z00_3155;

														{	/* Unsafe/rsa.scm 103 */
															obj_t BgL_arg1274z00_1350;

															{	/* Unsafe/rsa.scm 103 */
																obj_t BgL_list1275z00_1351;

																{	/* Unsafe/rsa.scm 103 */
																	obj_t BgL_arg1276z00_1352;

																	BgL_arg1276z00_1352 =
																		MAKE_YOUNG_PAIR
																		(BgL_prodzd2smallzd2primesz00_1325, BNIL);
																	BgL_list1275z00_1351 =
																		MAKE_YOUNG_PAIR(BgL_nz00_1345,
																		BgL_arg1276z00_1352);
																}
																BgL_arg1274z00_1350 =
																	BGl_gcdbxz00zz__r4_numbers_6_5_fixnumz00
																	(BgL_list1275z00_1351);
															}
															BgL_test2040z00_3155 =
																(
																(long) (bgl_bignum_cmp((bgl_string_to_bignum
																			("1", 16)),
																		BgL_arg1274z00_1350)) == ((long) 0));
														}
														if (BgL_test2040z00_3155)
															{	/* Unsafe/rsa.scm 103 */
																BgL_test2039z00_3154 =
																	(
																	(long) (bgl_bignum_cmp((bgl_string_to_bignum
																				("1", 16)),
																			BGl_exptzd2modze70z35zz__rsaz00(
																				(bgl_string_to_bignum("2", 16)),
																				bgl_bignum_sub(BgL_nz00_1345,
																					(bgl_string_to_bignum("1", 16))),
																				BgL_nz00_1345))) == ((long) 0));
															}
														else
															{	/* Unsafe/rsa.scm 103 */
																BgL_test2039z00_3154 = ((bool_t) 0);
															}
													}
													if (BgL_test2039z00_3154)
														{	/* Unsafe/rsa.scm 112 */
															BgL_test2037z00_3149 = ((bool_t) 0);
														}
													else
														{	/* Unsafe/rsa.scm 112 */
															BgL_test2037z00_3149 = ((bool_t) 1);
														}
												}
											if (BgL_test2037z00_3149)
												{
													long BgL_iz00_3167;

													BgL_iz00_3167 = (BgL_iz00_1328 + ((long) 1));
													BgL_iz00_1328 = BgL_iz00_3167;
													goto BgL_zc3z04anonymousza31257ze3z87_1329;
												}
											else
												{	/* Unsafe/rsa.scm 112 */
													return BgL_nz00_1333;
												}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* gcd-ext */
	obj_t BGl_gcdzd2extzd2zz__rsaz00(obj_t BgL_xz00_20, obj_t BgL_yz00_21)
	{
		{	/* Unsafe/rsa.scm 119 */
			{
				obj_t BgL_xz00_2390;
				obj_t BgL_yz00_2391;
				obj_t BgL_u1z00_2392;
				obj_t BgL_u2z00_2393;
				obj_t BgL_v1z00_2394;
				obj_t BgL_v2z00_2395;

				BgL_xz00_2390 = BgL_xz00_20;
				BgL_yz00_2391 = BgL_yz00_21;
				BgL_u1z00_2392 = (bgl_string_to_bignum("1", 16));
				BgL_u2z00_2393 = (bgl_string_to_bignum("0", 16));
				BgL_v1z00_2394 = (bgl_string_to_bignum("0", 16));
				BgL_v2z00_2395 = (bgl_string_to_bignum("1", 16));
			BgL_loopz00_2389:
				if (BXZERO(BgL_yz00_2391))
					{	/* Unsafe/rsa.scm 127 */
						obj_t BgL_list1311z00_2407;

						{	/* Unsafe/rsa.scm 127 */
							obj_t BgL_arg1313z00_2408;

							{	/* Unsafe/rsa.scm 127 */
								obj_t BgL_arg1314z00_2409;

								BgL_arg1314z00_2409 = MAKE_YOUNG_PAIR(BgL_v1z00_2394, BNIL);
								BgL_arg1313z00_2408 =
									MAKE_YOUNG_PAIR(BgL_u1z00_2392, BgL_arg1314z00_2409);
							}
							BgL_list1311z00_2407 =
								MAKE_YOUNG_PAIR(BgL_xz00_2390, BgL_arg1313z00_2408);
						}
						return BgL_list1311z00_2407;
					}
				else
					{	/* Unsafe/rsa.scm 128 */
						obj_t BgL_qz00_2410;
						obj_t BgL_rz00_2411;

						BgL_qz00_2410 = bgl_bignum_quotient(BgL_xz00_2390, BgL_yz00_2391);
						BgL_rz00_2411 = bgl_bignum_remainder(BgL_xz00_2390, BgL_yz00_2391);
						{
							obj_t BgL_v2z00_3183;
							obj_t BgL_v1z00_3182;
							obj_t BgL_u2z00_3179;
							obj_t BgL_u1z00_3178;
							obj_t BgL_yz00_3177;
							obj_t BgL_xz00_3176;

							BgL_xz00_3176 = BgL_yz00_2391;
							BgL_yz00_3177 = BgL_rz00_2411;
							BgL_u1z00_3178 = BgL_u2z00_2393;
							BgL_u2z00_3179 =
								bgl_bignum_sub(BgL_u1z00_2392,
								bgl_bignum_mul(BgL_qz00_2410, BgL_u2z00_2393));
							BgL_v1z00_3182 = BgL_v2z00_2395;
							BgL_v2z00_3183 =
								bgl_bignum_sub(BgL_v1z00_2394,
								bgl_bignum_mul(BgL_qz00_2410, BgL_v2z00_2395));
							BgL_v2z00_2395 = BgL_v2z00_3183;
							BgL_v1z00_2394 = BgL_v1z00_3182;
							BgL_u2z00_2393 = BgL_u2z00_3179;
							BgL_u1z00_2392 = BgL_u1z00_3178;
							BgL_yz00_2391 = BgL_yz00_3177;
							BgL_xz00_2390 = BgL_xz00_3176;
							goto BgL_loopz00_2389;
						}
					}
			}
		}

	}



/* mod-inverse */
	obj_t BGl_modzd2inversezd2zz__rsaz00(obj_t BgL_xz00_22, obj_t BgL_bz00_23)
	{
		{	/* Unsafe/rsa.scm 135 */
			{	/* Unsafe/rsa.scm 136 */
				obj_t BgL_x1z00_1398;

				BgL_x1z00_1398 =
					BGl_modulobxz00zz__r4_numbers_6_5_fixnumz00(BgL_xz00_22, BgL_bz00_23);
				{	/* Unsafe/rsa.scm 136 */
					obj_t BgL_gz00_1399;

					BgL_gz00_1399 =
						BGl_gcdzd2extzd2zz__rsaz00(BgL_x1z00_1398, BgL_bz00_23);
					{	/* Unsafe/rsa.scm 137 */

						{	/* Unsafe/rsa.scm 138 */
							bool_t BgL_test2042z00_3188;

							{	/* Unsafe/rsa.scm 138 */
								obj_t BgL_n1z00_2431;

								BgL_n1z00_2431 = CAR(((obj_t) BgL_gz00_1399));
								BgL_test2042z00_3188 =
									(
									(long) (bgl_bignum_cmp(BgL_n1z00_2431,
											(bgl_string_to_bignum("1", 16)))) == ((long) 0));
							}
							if (BgL_test2042z00_3188)
								{	/* Unsafe/rsa.scm 142 */
									obj_t BgL_auxz00_3194;

									{	/* Unsafe/rsa.scm 142 */
										obj_t BgL_pairz00_2438;

										BgL_pairz00_2438 = CDR(((obj_t) BgL_gz00_1399));
										BgL_auxz00_3194 = CAR(BgL_pairz00_2438);
									}
									return
										BGl_modulobxz00zz__r4_numbers_6_5_fixnumz00(BgL_auxz00_3194,
										BgL_bz00_23);
								}
							else
								{	/* Unsafe/rsa.scm 141 */
									obj_t BgL_arg1335z00_1403;

									BgL_arg1335z00_1403 =
										MAKE_YOUNG_PAIR(BgL_xz00_22, BgL_bz00_23);
									return
										BGl_errorz00zz__errorz00(BGl_symbol1973z00zz__rsaz00,
										BGl_string1975z00zz__rsaz00, BgL_arg1335z00_1403);
								}
						}
					}
				}
			}
		}

	}



/* _make-rsa-key-pair */
	obj_t BGl__makezd2rsazd2keyzd2pairzd2zz__rsaz00(obj_t BgL_env1137z00_27,
		obj_t BgL_opt1136z00_26)
	{
		{	/* Unsafe/rsa.scm 147 */
			{	/* Unsafe/rsa.scm 147 */

				{	/* Unsafe/rsa.scm 147 */
					obj_t BgL_showzd2tracezd2_1409;

					BgL_showzd2tracezd2_1409 = BFALSE;
					{	/* Unsafe/rsa.scm 147 */
						obj_t BgL_siza7eza7_1410;

						BgL_siza7eza7_1410 = BINT(((long) 1024));
						{	/* Unsafe/rsa.scm 147 */

							{
								long BgL_iz00_1411;

								BgL_iz00_1411 = ((long) 0);
							BgL_check1140z00_1412:
								if ((BgL_iz00_1411 == VECTOR_LENGTH(BgL_opt1136z00_26)))
									{	/* Unsafe/rsa.scm 147 */
										BNIL;
									}
								else
									{	/* Unsafe/rsa.scm 147 */
										bool_t BgL_test2044z00_3205;

										{	/* Unsafe/rsa.scm 147 */
											obj_t BgL_arg1343z00_1418;

											BgL_arg1343z00_1418 =
												VECTOR_REF(BgL_opt1136z00_26, BgL_iz00_1411);
											BgL_test2044z00_3205 =
												CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
												(BgL_arg1343z00_1418, BGl_list1976z00zz__rsaz00));
										}
										if (BgL_test2044z00_3205)
											{
												long BgL_iz00_3209;

												BgL_iz00_3209 = (BgL_iz00_1411 + ((long) 2));
												BgL_iz00_1411 = BgL_iz00_3209;
												goto BgL_check1140z00_1412;
											}
										else
											{	/* Unsafe/rsa.scm 147 */
												obj_t BgL_arg1342z00_1417;

												BgL_arg1342z00_1417 =
													VECTOR_REF(BgL_opt1136z00_26, BgL_iz00_1411);
												BGl_errorz00zz__errorz00(BGl_symbol1981z00zz__rsaz00,
													BGl_string1983z00zz__rsaz00, BgL_arg1342z00_1417);
											}
									}
							}
							{	/* Unsafe/rsa.scm 147 */
								obj_t BgL_index1142z00_1419;

								{
									long BgL_iz00_2455;

									BgL_iz00_2455 = ((long) 0);
								BgL_search1139z00_2454:
									if ((BgL_iz00_2455 == VECTOR_LENGTH(BgL_opt1136z00_26)))
										{	/* Unsafe/rsa.scm 147 */
											BgL_index1142z00_1419 = BINT(((long) -1));
										}
									else
										{	/* Unsafe/rsa.scm 147 */
											if (
												(BgL_iz00_2455 ==
													(VECTOR_LENGTH(BgL_opt1136z00_26) - ((long) 1))))
												{	/* Unsafe/rsa.scm 147 */
													BgL_index1142z00_1419 =
														BGl_errorz00zz__errorz00
														(BGl_symbol1981z00zz__rsaz00,
														BGl_string1984z00zz__rsaz00,
														BINT(VECTOR_LENGTH(BgL_opt1136z00_26)));
												}
											else
												{	/* Unsafe/rsa.scm 147 */
													obj_t BgL_vz00_2465;

													BgL_vz00_2465 =
														VECTOR_REF(BgL_opt1136z00_26, BgL_iz00_2455);
													if ((BgL_vz00_2465 == BGl_keyword1977z00zz__rsaz00))
														{	/* Unsafe/rsa.scm 147 */
															BgL_index1142z00_1419 =
																BINT((BgL_iz00_2455 + ((long) 1)));
														}
													else
														{
															long BgL_iz00_3229;

															BgL_iz00_3229 = (BgL_iz00_2455 + ((long) 2));
															BgL_iz00_2455 = BgL_iz00_3229;
															goto BgL_search1139z00_2454;
														}
												}
										}
								}
								{	/* Unsafe/rsa.scm 147 */
									bool_t BgL_test2048z00_3231;

									{	/* Unsafe/rsa.scm 147 */
										long BgL_n1z00_2470;

										{	/* Unsafe/rsa.scm 147 */
											obj_t BgL_tmpz00_3232;

											if (INTEGERP(BgL_index1142z00_1419))
												{	/* Unsafe/rsa.scm 147 */
													BgL_tmpz00_3232 = BgL_index1142z00_1419;
												}
											else
												{
													obj_t BgL_auxz00_3235;

													BgL_auxz00_3235 =
														BGl_typezd2errorzd2zz__errorz00
														(BGl_string1985z00zz__rsaz00, BINT(((long) 5113)),
														BGl_string1986z00zz__rsaz00,
														BGl_string1987z00zz__rsaz00, BgL_index1142z00_1419);
													FAILURE(BgL_auxz00_3235, BFALSE, BFALSE);
												}
											BgL_n1z00_2470 = (long) CINT(BgL_tmpz00_3232);
										}
										BgL_test2048z00_3231 = (BgL_n1z00_2470 >= ((long) 0));
									}
									if (BgL_test2048z00_3231)
										{
											long BgL_auxz00_3241;

											{	/* Unsafe/rsa.scm 147 */
												obj_t BgL_tmpz00_3242;

												if (INTEGERP(BgL_index1142z00_1419))
													{	/* Unsafe/rsa.scm 147 */
														BgL_tmpz00_3242 = BgL_index1142z00_1419;
													}
												else
													{
														obj_t BgL_auxz00_3245;

														BgL_auxz00_3245 =
															BGl_typezd2errorzd2zz__errorz00
															(BGl_string1985z00zz__rsaz00, BINT(((long) 5113)),
															BGl_string1986z00zz__rsaz00,
															BGl_string1987z00zz__rsaz00,
															BgL_index1142z00_1419);
														FAILURE(BgL_auxz00_3245, BFALSE, BFALSE);
													}
												BgL_auxz00_3241 = (long) CINT(BgL_tmpz00_3242);
											}
											BgL_showzd2tracezd2_1409 =
												VECTOR_REF(BgL_opt1136z00_26, BgL_auxz00_3241);
										}
									else
										{	/* Unsafe/rsa.scm 147 */
											BFALSE;
										}
								}
							}
							{	/* Unsafe/rsa.scm 147 */
								obj_t BgL_index1143z00_1421;

								{
									long BgL_iz00_2472;

									BgL_iz00_2472 = ((long) 0);
								BgL_search1139z00_2471:
									if ((BgL_iz00_2472 == VECTOR_LENGTH(BgL_opt1136z00_26)))
										{	/* Unsafe/rsa.scm 147 */
											BgL_index1143z00_1421 = BINT(((long) -1));
										}
									else
										{	/* Unsafe/rsa.scm 147 */
											if (
												(BgL_iz00_2472 ==
													(VECTOR_LENGTH(BgL_opt1136z00_26) - ((long) 1))))
												{	/* Unsafe/rsa.scm 147 */
													BgL_index1143z00_1421 =
														BGl_errorz00zz__errorz00
														(BGl_symbol1981z00zz__rsaz00,
														BGl_string1984z00zz__rsaz00,
														BINT(VECTOR_LENGTH(BgL_opt1136z00_26)));
												}
											else
												{	/* Unsafe/rsa.scm 147 */
													obj_t BgL_vz00_2482;

													BgL_vz00_2482 =
														VECTOR_REF(BgL_opt1136z00_26, BgL_iz00_2472);
													if ((BgL_vz00_2482 == BGl_keyword1979z00zz__rsaz00))
														{	/* Unsafe/rsa.scm 147 */
															BgL_index1143z00_1421 =
																BINT((BgL_iz00_2472 + ((long) 1)));
														}
													else
														{
															long BgL_iz00_3267;

															BgL_iz00_3267 = (BgL_iz00_2472 + ((long) 2));
															BgL_iz00_2472 = BgL_iz00_3267;
															goto BgL_search1139z00_2471;
														}
												}
										}
								}
								{	/* Unsafe/rsa.scm 147 */
									bool_t BgL_test2054z00_3269;

									{	/* Unsafe/rsa.scm 147 */
										long BgL_n1z00_2487;

										{	/* Unsafe/rsa.scm 147 */
											obj_t BgL_tmpz00_3270;

											if (INTEGERP(BgL_index1143z00_1421))
												{	/* Unsafe/rsa.scm 147 */
													BgL_tmpz00_3270 = BgL_index1143z00_1421;
												}
											else
												{
													obj_t BgL_auxz00_3273;

													BgL_auxz00_3273 =
														BGl_typezd2errorzd2zz__errorz00
														(BGl_string1985z00zz__rsaz00, BINT(((long) 5113)),
														BGl_string1986z00zz__rsaz00,
														BGl_string1987z00zz__rsaz00, BgL_index1143z00_1421);
													FAILURE(BgL_auxz00_3273, BFALSE, BFALSE);
												}
											BgL_n1z00_2487 = (long) CINT(BgL_tmpz00_3270);
										}
										BgL_test2054z00_3269 = (BgL_n1z00_2487 >= ((long) 0));
									}
									if (BgL_test2054z00_3269)
										{
											long BgL_auxz00_3279;

											{	/* Unsafe/rsa.scm 147 */
												obj_t BgL_tmpz00_3280;

												if (INTEGERP(BgL_index1143z00_1421))
													{	/* Unsafe/rsa.scm 147 */
														BgL_tmpz00_3280 = BgL_index1143z00_1421;
													}
												else
													{
														obj_t BgL_auxz00_3283;

														BgL_auxz00_3283 =
															BGl_typezd2errorzd2zz__errorz00
															(BGl_string1985z00zz__rsaz00, BINT(((long) 5113)),
															BGl_string1986z00zz__rsaz00,
															BGl_string1987z00zz__rsaz00,
															BgL_index1143z00_1421);
														FAILURE(BgL_auxz00_3283, BFALSE, BFALSE);
													}
												BgL_auxz00_3279 = (long) CINT(BgL_tmpz00_3280);
											}
											BgL_siza7eza7_1410 =
												VECTOR_REF(BgL_opt1136z00_26, BgL_auxz00_3279);
										}
									else
										{	/* Unsafe/rsa.scm 147 */
											BFALSE;
										}
								}
							}
							{	/* Unsafe/rsa.scm 147 */
								obj_t BgL_showzd2tracezd2_1423;

								BgL_showzd2tracezd2_1423 = BgL_showzd2tracezd2_1409;
								return
									BGl_makezd2rsazd2keyzd2pairzd2zz__rsaz00
									(BgL_showzd2tracezd2_1423, BgL_siza7eza7_1410);
							}
						}
					}
				}
			}
		}

	}



/* make-rsa-key-pair */
	BGL_EXPORTED_DEF obj_t BGl_makezd2rsazd2keyzd2pairzd2zz__rsaz00(obj_t
		BgL_showzd2tracezd2_24, obj_t BgL_siza7eza7_25)
	{
		{	/* Unsafe/rsa.scm 147 */
			{	/* Unsafe/rsa.scm 148 */
				long BgL_siza7ezd2pz75_1433;

				{	/* Unsafe/rsa.scm 148 */
					long BgL_tmpz00_3290;

					BgL_tmpz00_3290 = (long) CINT(BgL_siza7eza7_25);
					BgL_siza7ezd2pz75_1433 = (BgL_tmpz00_3290 / ((long) 2));
				}
				{	/* Unsafe/rsa.scm 148 */
					obj_t BgL_startzd2pzd2_1434;

					BgL_startzd2pzd2_1434 =
						BGl_exptbxz00zz__r4_numbers_6_5_fixnumz00((bgl_string_to_bignum("2",
								16)), bgl_long_to_bignum(BgL_siza7ezd2pz75_1433));
					{	/* Unsafe/rsa.scm 149 */
						obj_t BgL_endzd2pzd2_1435;

						BgL_endzd2pzd2_1435 =
							bgl_bignum_mul(BgL_startzd2pzd2_1434, (bgl_string_to_bignum("2",
									16)));
						{	/* Unsafe/rsa.scm 150 */
							obj_t BgL_pz00_1436;

							BgL_pz00_1436 =
								BGl_randomzd2primezd2zz__rsaz00(BgL_startzd2pzd2_1434,
								BgL_endzd2pzd2_1435, BgL_showzd2tracezd2_24);
							{	/* Unsafe/rsa.scm 151 */
								obj_t BgL_startzd2nzd2_1437;

								BgL_startzd2nzd2_1437 =
									BGl_exptbxz00zz__r4_numbers_6_5_fixnumz00(
									(bgl_string_to_bignum("2", 16)),
									bgl_long_to_bignum((long) CINT(BgL_siza7eza7_25)));
								{	/* Unsafe/rsa.scm 152 */
									obj_t BgL_endzd2nzd2_1438;

									BgL_endzd2nzd2_1438 =
										bgl_bignum_mul(BgL_startzd2nzd2_1437,
										(bgl_string_to_bignum("2", 16)));
									{	/* Unsafe/rsa.scm 153 */
										obj_t BgL_startzd2qzd2_1439;

										BgL_startzd2qzd2_1439 =
											bgl_bignum_add(bgl_bignum_quotient(bgl_bignum_sub
												(BgL_startzd2nzd2_1437, (bgl_string_to_bignum("1",
															16))), BgL_pz00_1436), (bgl_string_to_bignum("1",
													16)));
										{	/* Unsafe/rsa.scm 154 */
											obj_t BgL_endzd2qzd2_1440;

											BgL_endzd2qzd2_1440 =
												bgl_bignum_quotient(BgL_endzd2nzd2_1438, BgL_pz00_1436);
											{	/* Unsafe/rsa.scm 155 */

												{

												BgL_zc3z04anonymousza31355ze3z87_1442:
													{	/* Unsafe/rsa.scm 157 */
														obj_t BgL_qz00_1443;

														BgL_qz00_1443 =
															BGl_randomzd2primezd2zz__rsaz00
															(BgL_startzd2qzd2_1439, BgL_endzd2qzd2_1440,
															BgL_showzd2tracezd2_24);
														{	/* Unsafe/rsa.scm 158 */
															bool_t BgL_test2057z00_3306;

															{	/* Unsafe/rsa.scm 158 */
																obj_t BgL_arg1376z00_1473;

																{	/* Unsafe/rsa.scm 158 */
																	obj_t BgL_list1377z00_1474;

																	{	/* Unsafe/rsa.scm 158 */
																		obj_t BgL_arg1378z00_1475;

																		BgL_arg1378z00_1475 =
																			MAKE_YOUNG_PAIR(BgL_qz00_1443, BNIL);
																		BgL_list1377z00_1474 =
																			MAKE_YOUNG_PAIR(BgL_pz00_1436,
																			BgL_arg1378z00_1475);
																	}
																	BgL_arg1376z00_1473 =
																		BGl_gcdbxz00zz__r4_numbers_6_5_fixnumz00
																		(BgL_list1377z00_1474);
																}
																BgL_test2057z00_3306 =
																	(
																	(long) (bgl_bignum_cmp(BgL_arg1376z00_1473,
																			(bgl_string_to_bignum("1",
																					16)))) == ((long) 0));
															}
															if (BgL_test2057z00_3306)
																{	/* Unsafe/rsa.scm 160 */
																	obj_t BgL_nz00_1448;

																	BgL_nz00_1448 =
																		bgl_bignum_mul(BgL_pz00_1436,
																		BgL_qz00_1443);
																	{	/* Unsafe/rsa.scm 160 */
																		obj_t BgL_pzd21zd2_1449;

																		BgL_pzd21zd2_1449 =
																			bgl_bignum_sub(BgL_pz00_1436,
																			(bgl_string_to_bignum("1", 16)));
																		{	/* Unsafe/rsa.scm 161 */
																			obj_t BgL_qzd21zd2_1450;

																			BgL_qzd21zd2_1450 =
																				bgl_bignum_sub(BgL_qz00_1443,
																				(bgl_string_to_bignum("1", 16)));
																			{	/* Unsafe/rsa.scm 162 */
																				obj_t BgL_phiz00_1451;

																				{	/* Unsafe/rsa.scm 163 */
																					obj_t BgL_arg1372z00_1469;
																					obj_t BgL_arg1373z00_1470;

																					BgL_arg1372z00_1469 =
																						bgl_bignum_mul(BgL_pzd21zd2_1449,
																						BgL_qzd21zd2_1450);
																					{	/* Unsafe/rsa.scm 163 */
																						obj_t BgL_list1374z00_1471;

																						{	/* Unsafe/rsa.scm 163 */
																							obj_t BgL_arg1375z00_1472;

																							BgL_arg1375z00_1472 =
																								MAKE_YOUNG_PAIR
																								(BgL_qzd21zd2_1450, BNIL);
																							BgL_list1374z00_1471 =
																								MAKE_YOUNG_PAIR
																								(BgL_pzd21zd2_1449,
																								BgL_arg1375z00_1472);
																						}
																						BgL_arg1373z00_1470 =
																							BGl_gcdbxz00zz__r4_numbers_6_5_fixnumz00
																							(BgL_list1374z00_1471);
																					}
																					BgL_phiz00_1451 =
																						bgl_bignum_quotient
																						(BgL_arg1372z00_1469,
																						BgL_arg1373z00_1470);
																				}
																				{	/* Unsafe/rsa.scm 163 */
																					obj_t BgL_ez00_1452;

																					{
																						obj_t BgL_ez00_2524;

																						BgL_ez00_2524 =
																							(bgl_string_to_bignum("10001",
																								16));
																					BgL_loopz00_2523:
																						{	/* Unsafe/rsa.scm 165 */
																							bool_t BgL_test2058z00_3321;

																							{	/* Unsafe/rsa.scm 165 */
																								obj_t BgL_arg1369z00_2526;

																								{	/* Unsafe/rsa.scm 165 */
																									obj_t BgL_list1370z00_2527;

																									{	/* Unsafe/rsa.scm 165 */
																										obj_t BgL_arg1371z00_2528;

																										BgL_arg1371z00_2528 =
																											MAKE_YOUNG_PAIR
																											(BgL_phiz00_1451, BNIL);
																										BgL_list1370z00_2527 =
																											MAKE_YOUNG_PAIR
																											(BgL_ez00_2524,
																											BgL_arg1371z00_2528);
																									}
																									BgL_arg1369z00_2526 =
																										BGl_gcdbxz00zz__r4_numbers_6_5_fixnumz00
																										(BgL_list1370z00_2527);
																								}
																								BgL_test2058z00_3321 =
																									(
																									(long) (bgl_bignum_cmp(
																											(bgl_string_to_bignum("1",
																													16)),
																											BgL_arg1369z00_2526)) ==
																									((long) 0));
																							}
																							if (BgL_test2058z00_3321)
																								{	/* Unsafe/rsa.scm 165 */
																									BgL_ez00_1452 = BgL_ez00_2524;
																								}
																							else
																								{
																									obj_t BgL_ez00_3328;

																									BgL_ez00_3328 =
																										bgl_bignum_add
																										(BgL_ez00_2524,
																										(bgl_string_to_bignum("2",
																												16)));
																									BgL_ez00_2524 = BgL_ez00_3328;
																									goto BgL_loopz00_2523;
																								}
																						}
																					}
																					{	/* Unsafe/rsa.scm 164 */
																						obj_t BgL_dz00_1453;

																						BgL_dz00_1453 =
																							BGl_modzd2inversezd2zz__rsaz00
																							(BgL_ez00_1452, BgL_phiz00_1451);
																						{	/* Unsafe/rsa.scm 168 */

																							if (CBOOL(BgL_showzd2tracezd2_24))
																								{	/* Unsafe/rsa.scm 169 */
																									obj_t BgL_arg1360z00_1454;

																									{	/* Unsafe/rsa.scm 169 */
																										obj_t BgL_tmpz00_3333;

																										BgL_tmpz00_3333 =
																											BGL_CURRENT_DYNAMIC_ENV();
																										BgL_arg1360z00_1454 =
																											BGL_ENV_CURRENT_OUTPUT_PORT
																											(BgL_tmpz00_3333);
																									}
																									bgl_display_char(((unsigned
																												char) 10),
																										BgL_arg1360z00_1454);
																								}
																							else
																								{	/* Unsafe/rsa.scm 169 */
																									BFALSE;
																								}
																							{	/* Unsafe/rsa.scm 171 */
																								obj_t BgL_arg1361z00_1455;
																								obj_t BgL_arg1362z00_1456;

																								{	/* Unsafe/rsa.scm 79 */
																									obj_t BgL_newz00_2538;

																									BgL_newz00_2538 =
																										create_struct
																										(BGl_symbol1988z00zz__rsaz00,
																										(int) (((long) 3)));
																									{	/* Unsafe/rsa.scm 79 */
																										int BgL_tmpz00_3339;

																										BgL_tmpz00_3339 =
																											(int) (((long) 2));
																										STRUCT_SET(BgL_newz00_2538,
																											BgL_tmpz00_3339,
																											BgL_ez00_1452);
																									}
																									{	/* Unsafe/rsa.scm 79 */
																										int BgL_tmpz00_3342;

																										BgL_tmpz00_3342 =
																											(int) (((long) 1));
																										STRUCT_SET(BgL_newz00_2538,
																											BgL_tmpz00_3342,
																											BgL_nz00_1448);
																									}
																									{	/* Unsafe/rsa.scm 79 */
																										int BgL_tmpz00_3345;

																										BgL_tmpz00_3345 =
																											(int) (((long) 0));
																										STRUCT_SET(BgL_newz00_2538,
																											BgL_tmpz00_3345,
																											BgL_siza7eza7_25);
																									}
																									BgL_arg1361z00_1455 =
																										BgL_newz00_2538;
																								}
																								{	/* Unsafe/rsa.scm 79 */
																									obj_t BgL_newz00_2542;

																									BgL_newz00_2542 =
																										create_struct
																										(BGl_symbol1988z00zz__rsaz00,
																										(int) (((long) 3)));
																									{	/* Unsafe/rsa.scm 79 */
																										int BgL_tmpz00_3350;

																										BgL_tmpz00_3350 =
																											(int) (((long) 2));
																										STRUCT_SET(BgL_newz00_2542,
																											BgL_tmpz00_3350,
																											BgL_dz00_1453);
																									}
																									{	/* Unsafe/rsa.scm 79 */
																										int BgL_tmpz00_3353;

																										BgL_tmpz00_3353 =
																											(int) (((long) 1));
																										STRUCT_SET(BgL_newz00_2542,
																											BgL_tmpz00_3353,
																											BgL_nz00_1448);
																									}
																									{	/* Unsafe/rsa.scm 79 */
																										int BgL_tmpz00_3356;

																										BgL_tmpz00_3356 =
																											(int) (((long) 0));
																										STRUCT_SET(BgL_newz00_2542,
																											BgL_tmpz00_3356,
																											BgL_siza7eza7_25);
																									}
																									BgL_arg1362z00_1456 =
																										BgL_newz00_2542;
																								}
																								return
																									MAKE_YOUNG_PAIR
																									(BgL_arg1361z00_1455,
																									BgL_arg1362z00_1456);
																							}
																						}
																					}
																				}
																			}
																		}
																	}
																}
															else
																{	/* Unsafe/rsa.scm 158 */
																	goto BgL_zc3z04anonymousza31355ze3z87_1442;
																}
														}
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* public-rsa-key */
	BGL_EXPORTED_DEF obj_t BGl_publiczd2rsazd2keyz00zz__rsaz00(obj_t
		BgL_rsazd2keyzd2pairz00_28)
	{
		{	/* Unsafe/rsa.scm 177 */
			return CAR(((obj_t) BgL_rsazd2keyzd2pairz00_28));
		}

	}



/* &public-rsa-key */
	obj_t BGl_z62publiczd2rsazd2keyz62zz__rsaz00(obj_t BgL_envz00_3027,
		obj_t BgL_rsazd2keyzd2pairz00_3028)
	{
		{	/* Unsafe/rsa.scm 177 */
			return BGl_publiczd2rsazd2keyz00zz__rsaz00(BgL_rsazd2keyzd2pairz00_3028);
		}

	}



/* private-rsa-key */
	BGL_EXPORTED_DEF obj_t BGl_privatezd2rsazd2keyz00zz__rsaz00(obj_t
		BgL_rsazd2keyzd2pairz00_29)
	{
		{	/* Unsafe/rsa.scm 183 */
			return CDR(((obj_t) BgL_rsazd2keyzd2pairz00_29));
		}

	}



/* &private-rsa-key */
	obj_t BGl_z62privatezd2rsazd2keyz62zz__rsaz00(obj_t BgL_envz00_3029,
		obj_t BgL_rsazd2keyzd2pairz00_3030)
	{
		{	/* Unsafe/rsa.scm 183 */
			return BGl_privatezd2rsazd2keyz00zz__rsaz00(BgL_rsazd2keyzd2pairz00_3030);
		}

	}



/* rsa-key= */
	BGL_EXPORTED_DEF obj_t BGl_rsazd2keyzd3z01zz__rsaz00(obj_t
		BgL_rsazd2key1zd2_30, obj_t BgL_rsazd2key2zd2_31)
	{
		{	/* Unsafe/rsa.scm 189 */
			if (
				((long) CINT(STRUCT_REF(
							((obj_t) BgL_rsazd2key1zd2_30),
							(int) (((long) 0)))) ==
					(long) CINT(STRUCT_REF(
							((obj_t) BgL_rsazd2key2zd2_31), (int) (((long) 0))))))
				{	/* Unsafe/rsa.scm 191 */
					bool_t BgL_test2061z00_3376;

					{	/* Unsafe/rsa.scm 191 */
						obj_t BgL_n1z00_2554;
						obj_t BgL_n2z00_2555;

						BgL_n1z00_2554 =
							STRUCT_REF(((obj_t) BgL_rsazd2key1zd2_30), (int) (((long) 1)));
						BgL_n2z00_2555 =
							STRUCT_REF(((obj_t) BgL_rsazd2key2zd2_31), (int) (((long) 1)));
						BgL_test2061z00_3376 =
							(
							(long) (bgl_bignum_cmp(BgL_n1z00_2554,
									BgL_n2z00_2555)) == ((long) 0));
					}
					if (BgL_test2061z00_3376)
						{	/* Unsafe/rsa.scm 192 */
							obj_t BgL_n1z00_2560;
							obj_t BgL_n2z00_2561;

							BgL_n1z00_2560 =
								STRUCT_REF(((obj_t) BgL_rsazd2key1zd2_30), (int) (((long) 2)));
							BgL_n2z00_2561 =
								STRUCT_REF(((obj_t) BgL_rsazd2key2zd2_31), (int) (((long) 2)));
							return
								BBOOL(
								((long) (bgl_bignum_cmp(BgL_n1z00_2560,
											BgL_n2z00_2561)) == ((long) 0)));
						}
					else
						{	/* Unsafe/rsa.scm 191 */
							return BFALSE;
						}
				}
			else
				{	/* Unsafe/rsa.scm 190 */
					return BFALSE;
				}
		}

	}



/* &rsa-key= */
	obj_t BGl_z62rsazd2keyzd3z63zz__rsaz00(obj_t BgL_envz00_3031,
		obj_t BgL_rsazd2key1zd2_3032, obj_t BgL_rsazd2key2zd2_3033)
	{
		{	/* Unsafe/rsa.scm 189 */
			return
				BGl_rsazd2keyzd3z01zz__rsaz00(BgL_rsazd2key1zd2_3032,
				BgL_rsazd2key2zd2_3033);
		}

	}



/* PKCS1-pad */
	BGL_EXPORTED_DEF obj_t BGl_PKCS1zd2padzd2zz__rsaz00(obj_t BgL_u8vectz00_32,
		obj_t BgL_finalzd2lenzd2_33)
	{
		{	/* Unsafe/rsa.scm 224 */
			{	/* Unsafe/rsa.scm 225 */
				long BgL_lenz00_1489;

				{	/* Unsafe/rsa.scm 225 */
					obj_t BgL_tmpz00_3397;

					BgL_tmpz00_3397 = ((obj_t) BgL_u8vectz00_32);
					BgL_lenz00_1489 = BGL_HVECTOR_LENGTH(BgL_tmpz00_3397);
				}
				{	/* Unsafe/rsa.scm 225 */
					obj_t BgL_nz00_1490;

					BgL_nz00_1490 =
						BGl_2zd2zd2zz__r4_numbers_6_5z00(BgL_finalzd2lenzd2_33,
						BINT((BgL_lenz00_1489 + ((long) 3))));
					{	/* Unsafe/rsa.scm 226 */

						{	/* Unsafe/rsa.scm 227 */
							bool_t BgL_test2062z00_3403;

							if (INTEGERP(BgL_nz00_1490))
								{	/* Unsafe/rsa.scm 227 */
									BgL_test2062z00_3403 =
										((long) CINT(BgL_nz00_1490) < ((long) 8));
								}
							else
								{	/* Unsafe/rsa.scm 227 */
									BgL_test2062z00_3403 =
										BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_nz00_1490,
										BINT(((long) 8)));
								}
							if (BgL_test2062z00_3403)
								{	/* Unsafe/rsa.scm 227 */
									return
										BGl_errorz00zz__errorz00(BGl_symbol1990z00zz__rsaz00,
										BGl_string1992z00zz__rsaz00, BgL_nz00_1490);
								}
							else
								{	/* Unsafe/rsa.scm 231 */
									obj_t BgL_padz00_1493;

									{	/* Unsafe/rsa.scm 232 */
										obj_t BgL_g1047z00_1494;

										BgL_g1047z00_1494 = BGl_list1993z00zz__rsaz00;
										{
											obj_t BgL_lstz00_1496;
											long BgL_iz00_1497;

											BgL_lstz00_1496 = BgL_g1047z00_1494;
											BgL_iz00_1497 = ((long) 0);
										BgL_zc3z04anonymousza31392ze3z87_1498:
											if (BGl_2zc3zc3zz__r4_numbers_6_5z00(BINT(BgL_iz00_1497),
													BgL_nz00_1490))
												{	/* Unsafe/rsa.scm 234 */
													obj_t BgL_arg1395z00_1500;
													long BgL_arg1396z00_1501;

													{	/* Unsafe/rsa.scm 234 */
														long BgL_arg1397z00_1502;

														{	/* Unsafe/rsa.scm 234 */
															long BgL_arg1398z00_1503;

															{	/* Unsafe/rsa.scm 234 */
																int BgL_arg1801z00_2568;

																BgL_arg1801z00_2568 = rand();
																BgL_arg1398z00_1503 =
																	BGl_modulofxz00zz__r4_numbers_6_5_fixnumz00(
																	(long) (BgL_arg1801z00_2568), ((long) 255));
															}
															BgL_arg1397z00_1502 =
																(long)
																CINT(BGl_2zb2zb2zz__r4_numbers_6_5z00(BINT((
																			(long) 1)), BINT(BgL_arg1398z00_1503)));
														}
														BgL_arg1395z00_1500 =
															MAKE_YOUNG_PAIR(BINT(BgL_arg1397z00_1502),
															BgL_lstz00_1496);
													}
													BgL_arg1396z00_1501 = (BgL_iz00_1497 + ((long) 1));
													{
														long BgL_iz00_3425;
														obj_t BgL_lstz00_3424;

														BgL_lstz00_3424 = BgL_arg1395z00_1500;
														BgL_iz00_3425 = BgL_arg1396z00_1501;
														BgL_iz00_1497 = BgL_iz00_3425;
														BgL_lstz00_1496 = BgL_lstz00_3424;
														goto BgL_zc3z04anonymousza31392ze3z87_1498;
													}
												}
											else
												{	/* Unsafe/rsa.scm 235 */
													obj_t BgL_arg1400z00_1505;

													{	/* Unsafe/rsa.scm 235 */
														obj_t BgL_arg1401z00_1506;

														BgL_arg1401z00_1506 =
															MAKE_YOUNG_PAIR(BINT(((long) 2)),
															BgL_lstz00_1496);
														BgL_arg1400z00_1505 =
															MAKE_YOUNG_PAIR(BINT(((long) 0)),
															BgL_arg1401z00_1506);
													}
													BgL_padz00_1493 =
														BGl_listzd2ze3u8vectorz31zz__srfi4z00
														(BgL_arg1400z00_1505);
									}}}
									return
										BGl_u8vectorzd2appendzd2zz__rsaz00(BgL_padz00_1493,
										BgL_u8vectz00_32);
								}
						}
					}
				}
			}
		}

	}



/* &PKCS1-pad */
	obj_t BGl_z62PKCS1zd2padzb0zz__rsaz00(obj_t BgL_envz00_3034,
		obj_t BgL_u8vectz00_3035, obj_t BgL_finalzd2lenzd2_3036)
	{
		{	/* Unsafe/rsa.scm 224 */
			return
				BGl_PKCS1zd2padzd2zz__rsaz00(BgL_u8vectz00_3035,
				BgL_finalzd2lenzd2_3036);
		}

	}



/* PKCS1-unpad */
	BGL_EXPORTED_DEF obj_t BGl_PKCS1zd2unpadzd2zz__rsaz00(obj_t BgL_u8vectz00_34)
	{
		{	/* Unsafe/rsa.scm 241 */
			{	/* Unsafe/rsa.scm 246 */
				long BgL_lenz00_1512;

				{	/* Unsafe/rsa.scm 246 */
					obj_t BgL_tmpz00_3433;

					BgL_tmpz00_3433 = ((obj_t) BgL_u8vectz00_34);
					BgL_lenz00_1512 = BGL_HVECTOR_LENGTH(BgL_tmpz00_3433);
				}
				{
					long BgL_iz00_1514;

					BgL_iz00_1514 = ((long) 0);
				BgL_zc3z04anonymousza31404ze3z87_1515:
					if (BGl_2ze3zd3z30zz__r4_numbers_6_5z00(BINT(BgL_iz00_1514),
							BINT(BgL_lenz00_1512)))
						{	/* Unsafe/rsa.scm 248 */
							return
								BGl_errorz00zz__errorz00(BGl_symbol1994z00zz__rsaz00,
								BGl_string1996z00zz__rsaz00, BgL_u8vectz00_34);
						}
					else
						{	/* Unsafe/rsa.scm 250 */
							long BgL_xz00_1517;

							{	/* Unsafe/rsa.scm 250 */
								uint8_t BgL_arg1425z00_1545;

								{	/* Unsafe/rsa.scm 250 */
									obj_t BgL_tmpz00_3441;

									BgL_tmpz00_3441 = ((obj_t) BgL_u8vectz00_34);
									BgL_arg1425z00_1545 =
										BGL_U8VREF(BgL_tmpz00_3441, BgL_iz00_1514);
								}
								{	/* Unsafe/rsa.scm 250 */
									long BgL_arg1922z00_2574;

									BgL_arg1922z00_2574 = (long) (BgL_arg1425z00_1545);
									BgL_xz00_1517 = (long) (BgL_arg1922z00_2574);
							}}
							if ((BgL_xz00_1517 == ((long) 0)))
								{
									long BgL_iz00_3448;

									BgL_iz00_3448 = (BgL_iz00_1514 + ((long) 1));
									BgL_iz00_1514 = BgL_iz00_3448;
									goto BgL_zc3z04anonymousza31404ze3z87_1515;
								}
							else
								{	/* Unsafe/rsa.scm 251 */
									if ((BgL_xz00_1517 == ((long) 2)))
										{	/* Unsafe/rsa.scm 256 */
											long BgL_g1048z00_1524;

											BgL_g1048z00_1524 = (BgL_iz00_1514 + ((long) 1));
											{
												long BgL_jz00_1526;

												BgL_jz00_1526 = BgL_g1048z00_1524;
											BgL_zc3z04anonymousza31412ze3z87_1527:
												if (BGl_2ze3zd3z30zz__r4_numbers_6_5z00(BINT
														(BgL_jz00_1526), BINT(BgL_lenz00_1512)))
													{	/* Unsafe/rsa.scm 257 */
														return
															BGl_errorz00zz__errorz00
															(BGl_symbol1994z00zz__rsaz00,
															BGl_string1996z00zz__rsaz00, BgL_u8vectz00_34);
													}
												else
													{	/* Unsafe/rsa.scm 259 */
														long BgL_xz00_1529;

														{	/* Unsafe/rsa.scm 259 */
															uint8_t BgL_arg1423z00_1540;

															{	/* Unsafe/rsa.scm 259 */
																obj_t BgL_tmpz00_3458;

																BgL_tmpz00_3458 = ((obj_t) BgL_u8vectz00_34);
																BgL_arg1423z00_1540 =
																	BGL_U8VREF(BgL_tmpz00_3458, BgL_jz00_1526);
															}
															{	/* Unsafe/rsa.scm 259 */
																long BgL_arg1922z00_2583;

																BgL_arg1922z00_2583 =
																	(long) (BgL_arg1423z00_1540);
																BgL_xz00_1529 = (long) (BgL_arg1922z00_2583);
														}}
														if ((BgL_xz00_1529 == ((long) 0)))
															{	/* Unsafe/rsa.scm 261 */
																if (BGl_2zc3zc3zz__r4_numbers_6_5z00(BINT(
																			(long)
																			CINT(BGl_2zd2zd2zz__r4_numbers_6_5z00(BINT
																					(BgL_jz00_1526),
																					BINT(BgL_iz00_1514)))),
																		BINT(((long) 8))))
																	{	/* Unsafe/rsa.scm 263 */
																		return
																			BGl_errorz00zz__errorz00
																			(BGl_symbol1994z00zz__rsaz00,
																			BGl_string1996z00zz__rsaz00,
																			BgL_u8vectz00_34);
																	}
																else
																	{	/* Unsafe/rsa.scm 263 */
																		return
																			BGl_subu8vectorz00zz__rsaz00
																			(BgL_u8vectz00_34,
																			(BgL_jz00_1526 + ((long) 1)),
																			BgL_lenz00_1512);
															}}
														else
															{
																long BgL_jz00_3476;

																BgL_jz00_3476 = (BgL_jz00_1526 + ((long) 1));
																BgL_jz00_1526 = BgL_jz00_3476;
																goto BgL_zc3z04anonymousza31412ze3z87_1527;
															}
													}
											}
										}
									else
										{	/* Unsafe/rsa.scm 253 */
											return
												BGl_errorz00zz__errorz00(BGl_symbol1994z00zz__rsaz00,
												BGl_string1996z00zz__rsaz00, BgL_u8vectz00_34);
										}
								}
						}
				}
			}
		}

	}



/* &PKCS1-unpad */
	obj_t BGl_z62PKCS1zd2unpadzb0zz__rsaz00(obj_t BgL_envz00_3037,
		obj_t BgL_u8vectz00_3038)
	{
		{	/* Unsafe/rsa.scm 241 */
			return BGl_PKCS1zd2unpadzd2zz__rsaz00(BgL_u8vectz00_3038);
		}

	}



/* rsa-encrypt-u8vector */
	BGL_EXPORTED_DEF obj_t BGl_rsazd2encryptzd2u8vectorz00zz__rsaz00(obj_t
		BgL_u8vectz00_37, obj_t BgL_rsazd2keyzd2_38, obj_t BgL_finalzd2lenzd2_39)
	{
		{	/* Unsafe/rsa.scm 280 */
			{	/* Unsafe/rsa.scm 283 */
				obj_t BgL_arg1431z00_2592;

				{	/* Unsafe/rsa.scm 283 */
					obj_t BgL_arg1432z00_2593;

					BgL_arg1432z00_2593 =
						BGl_u8vectorzd2ze3bignumz31zz__rsaz00(BGl_PKCS1zd2padzd2zz__rsaz00
						(BgL_u8vectz00_37, BgL_finalzd2lenzd2_39));
					BgL_arg1431z00_2592 =
						BGl_exptzd2modze70z35zz__rsaz00(BgL_arg1432z00_2593,
						STRUCT_REF(((obj_t) BgL_rsazd2keyzd2_38), (int) (((long) 2))),
						STRUCT_REF(((obj_t) BgL_rsazd2keyzd2_38), (int) (((long) 1))));
				}
				return BGl_bignumzd2ze3u8vectorz31zz__rsaz00(BgL_arg1431z00_2592);
			}
		}

	}



/* &rsa-encrypt-u8vector */
	obj_t BGl_z62rsazd2encryptzd2u8vectorz62zz__rsaz00(obj_t BgL_envz00_3039,
		obj_t BgL_u8vectz00_3040, obj_t BgL_rsazd2keyzd2_3041,
		obj_t BgL_finalzd2lenzd2_3042)
	{
		{	/* Unsafe/rsa.scm 280 */
			return
				BGl_rsazd2encryptzd2u8vectorz00zz__rsaz00(BgL_u8vectz00_3040,
				BgL_rsazd2keyzd2_3041, BgL_finalzd2lenzd2_3042);
		}

	}



/* rsa-decrypt-u8vector */
	BGL_EXPORTED_DEF obj_t BGl_rsazd2decryptzd2u8vectorz00zz__rsaz00(obj_t
		BgL_u8vectz00_40, obj_t BgL_rsazd2keyzd2_41)
	{
		{	/* Unsafe/rsa.scm 289 */
			{	/* Unsafe/rsa.scm 293 */
				obj_t BgL_arg1434z00_2599;

				{	/* Unsafe/rsa.scm 293 */
					obj_t BgL_arg1435z00_2600;

					{	/* Unsafe/rsa.scm 293 */
						obj_t BgL_arg1436z00_2601;

						BgL_arg1436z00_2601 =
							BGl_u8vectorzd2ze3bignumz31zz__rsaz00(BgL_u8vectz00_40);
						BgL_arg1435z00_2600 =
							BGl_exptzd2modze70z35zz__rsaz00(BgL_arg1436z00_2601,
							STRUCT_REF(
								((obj_t) BgL_rsazd2keyzd2_41),
								(int) (((long) 2))),
							STRUCT_REF(((obj_t) BgL_rsazd2keyzd2_41), (int) (((long) 1))));
					}
					BgL_arg1434z00_2599 =
						BGl_bignumzd2ze3u8vectorz31zz__rsaz00(BgL_arg1435z00_2600);
				}
				return BGl_PKCS1zd2unpadzd2zz__rsaz00(BgL_arg1434z00_2599);
			}
		}

	}



/* &rsa-decrypt-u8vector */
	obj_t BGl_z62rsazd2decryptzd2u8vectorz62zz__rsaz00(obj_t BgL_envz00_3043,
		obj_t BgL_u8vectz00_3044, obj_t BgL_rsazd2keyzd2_3045)
	{
		{	/* Unsafe/rsa.scm 289 */
			return
				BGl_rsazd2decryptzd2u8vectorz00zz__rsaz00(BgL_u8vectz00_3044,
				BgL_rsazd2keyzd2_3045);
		}

	}



/* expt-mod~0 */
	obj_t BGl_exptzd2modze70z35zz__rsaz00(obj_t BgL_nz00_1589,
		obj_t BgL_ez00_1590, obj_t BgL_mz00_1591)
	{
		{	/* Unsafe/rsa.scm 402 */
		BGl_exptzd2modze70z35zz__rsaz00:
			{	/* Unsafe/rsa.scm 397 */
				bool_t BgL_test2071z00_3502;

				{	/* Unsafe/rsa.scm 397 */
					obj_t BgL_tmpz00_3503;

					BgL_tmpz00_3503 = ((obj_t) BgL_ez00_1590);
					BgL_test2071z00_3502 = BXZERO(BgL_tmpz00_3503);
				}
				if (BgL_test2071z00_3502)
					{	/* Unsafe/rsa.scm 397 */
						return (bgl_string_to_bignum("1", 16));
					}
				else
					{	/* Unsafe/rsa.scm 397 */
						if (bgl_bignum_even(((obj_t) BgL_ez00_1590)))
							{
								obj_t BgL_ez00_3512;
								obj_t BgL_nz00_3509;

								BgL_nz00_3509 =
									BGl_modulobxz00zz__r4_numbers_6_5_fixnumz00(bgl_bignum_mul
									(BgL_nz00_1589, BgL_nz00_1589), BgL_mz00_1591);
								BgL_ez00_3512 =
									bgl_bignum_quotient(((obj_t) BgL_ez00_1590),
									(bgl_string_to_bignum("2", 16)));
								BgL_ez00_1590 = BgL_ez00_3512;
								BgL_nz00_1589 = BgL_nz00_3509;
								goto BGl_exptzd2modze70z35zz__rsaz00;
							}
						else
							{	/* Unsafe/rsa.scm 399 */
								return
									BGl_modulobxz00zz__r4_numbers_6_5_fixnumz00(bgl_bignum_mul
									(BgL_nz00_1589, BGl_exptzd2modze70z35zz__rsaz00(BgL_nz00_1589,
											bgl_bignum_sub(((obj_t) BgL_ez00_1590),
												(bgl_string_to_bignum("1", 16))), BgL_mz00_1591)),
									BgL_mz00_1591);
							}
					}
			}
		}

	}



/* u8vector-append */
	obj_t BGl_u8vectorzd2appendzd2zz__rsaz00(obj_t BgL_v1z00_48,
		obj_t BgL_v2z00_49)
	{
		{	/* Unsafe/rsa.scm 409 */
			{	/* Unsafe/rsa.scm 410 */
				long BgL_len1z00_1602;

				BgL_len1z00_1602 = BGL_HVECTOR_LENGTH(BgL_v1z00_48);
				{	/* Unsafe/rsa.scm 410 */
					long BgL_len2z00_1603;

					BgL_len2z00_1603 = BGL_HVECTOR_LENGTH(BgL_v2z00_49);
					{	/* Unsafe/rsa.scm 411 */
						long BgL_lenz00_1604;

						BgL_lenz00_1604 = (BgL_len1z00_1602 + BgL_len2z00_1603);
						{	/* Unsafe/rsa.scm 412 */
							obj_t BgL_resz00_1605;

							{	/* Llib/srfi4.scm 447 */

								BgL_resz00_1605 =
									BGl_makezd2u8vectorzd2zz__srfi4z00(BgL_lenz00_1604,
									(uint8_t) (0));
							}
							{	/* Unsafe/rsa.scm 413 */

								{
									long BgL_iz00_1607;

									BgL_iz00_1607 = ((long) 0);
								BgL_zc3z04anonymousza31465ze3z87_1608:
									if ((BgL_iz00_1607 < BgL_len1z00_1602))
										{	/* Unsafe/rsa.scm 415 */
											{	/* Unsafe/rsa.scm 417 */
												long BgL_arg1467z00_1610;

												{	/* Unsafe/rsa.scm 417 */
													uint8_t BgL_arg1468z00_1611;

													BgL_arg1468z00_1611 =
														BGL_U8VREF(BgL_v1z00_48, BgL_iz00_1607);
													{	/* Unsafe/rsa.scm 417 */
														long BgL_arg1922z00_2625;

														BgL_arg1922z00_2625 = (long) (BgL_arg1468z00_1611);
														BgL_arg1467z00_1610 = (long) (BgL_arg1922z00_2625);
												}}
												{	/* Unsafe/rsa.scm 417 */
													uint8_t BgL_tmpz00_3529;

													BgL_tmpz00_3529 = (uint8_t) (BgL_arg1467z00_1610);
													BGL_U8VSET(BgL_resz00_1605, BgL_iz00_1607,
														BgL_tmpz00_3529);
												} BUNSPEC;
											}
											{
												long BgL_iz00_3532;

												BgL_iz00_3532 = (BgL_iz00_1607 + ((long) 1));
												BgL_iz00_1607 = BgL_iz00_3532;
												goto BgL_zc3z04anonymousza31465ze3z87_1608;
											}
										}
									else
										{
											long BgL_jz00_1614;

											BgL_jz00_1614 = ((long) 0);
										BgL_zc3z04anonymousza31470ze3z87_1615:
											if ((BgL_jz00_1614 < BgL_len2z00_1603))
												{	/* Unsafe/rsa.scm 420 */
													{	/* Unsafe/rsa.scm 422 */
														long BgL_arg1472z00_1617;
														long BgL_arg1473z00_1618;

														BgL_arg1472z00_1617 =
															(BgL_jz00_1614 + BgL_iz00_1607);
														{	/* Unsafe/rsa.scm 422 */
															uint8_t BgL_arg1474z00_1619;

															BgL_arg1474z00_1619 =
																BGL_U8VREF(BgL_v2z00_49, BgL_jz00_1614);
															{	/* Unsafe/rsa.scm 422 */
																long BgL_arg1922z00_2635;

																BgL_arg1922z00_2635 =
																	(long) (BgL_arg1474z00_1619);
																BgL_arg1473z00_1618 =
																	(long) (BgL_arg1922z00_2635);
														}}
														{	/* Unsafe/rsa.scm 422 */
															uint8_t BgL_tmpz00_3540;

															BgL_tmpz00_3540 = (uint8_t) (BgL_arg1473z00_1618);
															BGL_U8VSET(BgL_resz00_1605, BgL_arg1472z00_1617,
																BgL_tmpz00_3540);
														} BUNSPEC;
													}
													{
														long BgL_jz00_3543;

														BgL_jz00_3543 = (BgL_jz00_1614 + ((long) 1));
														BgL_jz00_1614 = BgL_jz00_3543;
														goto BgL_zc3z04anonymousza31470ze3z87_1615;
													}
												}
											else
												{	/* Unsafe/rsa.scm 420 */
													return BgL_resz00_1605;
												}
										}
								}
							}
						}
					}
				}
			}
		}

	}



/* subu8vector */
	obj_t BGl_subu8vectorz00zz__rsaz00(obj_t BgL_vz00_50, long BgL_startz00_51,
		long BgL_endz00_52)
	{
		{	/* Unsafe/rsa.scm 429 */
			{	/* Unsafe/rsa.scm 430 */
				long BgL_lenz00_1625;

				BgL_lenz00_1625 = (BgL_endz00_52 - BgL_startz00_51);
				{	/* Unsafe/rsa.scm 430 */
					obj_t BgL_resz00_1626;

					{	/* Llib/srfi4.scm 447 */

						BgL_resz00_1626 =
							BGl_makezd2u8vectorzd2zz__srfi4z00(BgL_lenz00_1625,
							(uint8_t) (0));
					}
					{	/* Unsafe/rsa.scm 431 */

						{
							long BgL_iz00_1628;

							BgL_iz00_1628 = BgL_startz00_51;
						BgL_zc3z04anonymousza31476ze3z87_1629:
							if ((BgL_iz00_1628 < BgL_endz00_52))
								{	/* Unsafe/rsa.scm 433 */
									{	/* Unsafe/rsa.scm 435 */
										long BgL_arg1478z00_1631;
										long BgL_arg1480z00_1632;

										BgL_arg1478z00_1631 = (BgL_iz00_1628 - BgL_startz00_51);
										{	/* Unsafe/rsa.scm 435 */
											uint8_t BgL_arg1481z00_1633;

											BgL_arg1481z00_1633 =
												BGL_U8VREF(BgL_vz00_50, BgL_iz00_1628);
											{	/* Unsafe/rsa.scm 435 */
												long BgL_arg1922z00_2647;

												BgL_arg1922z00_2647 = (long) (BgL_arg1481z00_1633);
												BgL_arg1480z00_1632 = (long) (BgL_arg1922z00_2647);
										}}
										{	/* Unsafe/rsa.scm 435 */
											uint8_t BgL_tmpz00_3553;

											BgL_tmpz00_3553 = (uint8_t) (BgL_arg1480z00_1632);
											BGL_U8VSET(BgL_resz00_1626, BgL_arg1478z00_1631,
												BgL_tmpz00_3553);
										} BUNSPEC;
									}
									{
										long BgL_iz00_3556;

										BgL_iz00_3556 = (BgL_iz00_1628 + ((long) 1));
										BgL_iz00_1628 = BgL_iz00_3556;
										goto BgL_zc3z04anonymousza31476ze3z87_1629;
									}
								}
							else
								{	/* Unsafe/rsa.scm 433 */
									return BgL_resz00_1626;
								}
						}
					}
				}
			}
		}

	}



/* bignum->u8vector */
	obj_t BGl_bignumzd2ze3u8vectorz31zz__rsaz00(obj_t BgL_nz00_54)
	{
		{	/* Unsafe/rsa.scm 461 */
			{
				obj_t BgL_nz00_1693;

				{	/* Unsafe/rsa.scm 470 */
					long BgL_siza7eza7_1679;

					BgL_nz00_1693 = BgL_nz00_54;
					{
						long BgL_siza7eza7_2671;
						obj_t BgL_accz00_2672;

						BgL_siza7eza7_2671 = ((long) 1);
						BgL_accz00_2672 = (bgl_string_to_bignum("ff", 16));
					BgL_loopz00_2670:
						if (
							((long) (bgl_bignum_cmp(BgL_nz00_1693,
										BgL_accz00_2672)) > ((long) 0)))
							{
								obj_t BgL_accz00_3564;
								long BgL_siza7eza7_3562;

								BgL_siza7eza7_3562 = (BgL_siza7eza7_2671 + ((long) 1));
								BgL_accz00_3564 =
									bgl_bignum_mul(BgL_accz00_2672, (bgl_string_to_bignum("ff",
											16)));
								BgL_accz00_2672 = BgL_accz00_3564;
								BgL_siza7eza7_2671 = BgL_siza7eza7_3562;
								goto BgL_loopz00_2670;
							}
						else
							{	/* Unsafe/rsa.scm 466 */
								BgL_siza7eza7_1679 = BgL_siza7eza7_2671;
							}
					}
					{	/* Unsafe/rsa.scm 470 */
						obj_t BgL_resz00_1680;

						{	/* Llib/srfi4.scm 447 */

							BgL_resz00_1680 =
								BGl_makezd2u8vectorzd2zz__srfi4z00(BgL_siza7eza7_1679,
								(uint8_t) (0));
						}
						{	/* Unsafe/rsa.scm 471 */

							{
								long BgL_iz00_2695;
								obj_t BgL_vz00_2696;

								BgL_iz00_2695 = ((long) 0);
								BgL_vz00_2696 = BgL_nz00_54;
							BgL_loopz00_2694:
								if ((BgL_iz00_2695 == BgL_siza7eza7_1679))
									{	/* Unsafe/rsa.scm 474 */
										return BgL_resz00_1680;
									}
								else
									{	/* Unsafe/rsa.scm 474 */
										{	/* Unsafe/rsa.scm 477 */
											long BgL_arg1505z00_2700;

											BgL_arg1505z00_2700 =
												bgl_bignum_to_long(bgl_bignum_remainder(BgL_vz00_2696,
													(bgl_string_to_bignum("100", 16))));
											{	/* Unsafe/rsa.scm 477 */
												uint8_t BgL_tmpz00_3571;

												BgL_tmpz00_3571 = (uint8_t) (BgL_arg1505z00_2700);
												BGL_U8VSET(BgL_resz00_1680, BgL_iz00_2695,
													BgL_tmpz00_3571);
											} BUNSPEC;
										}
										{
											obj_t BgL_vz00_3576;
											long BgL_iz00_3574;

											BgL_iz00_3574 = (BgL_iz00_2695 + ((long) 1));
											BgL_vz00_3576 =
												bgl_bignum_quotient(BgL_vz00_2696,
												(bgl_string_to_bignum("100", 16)));
											BgL_vz00_2696 = BgL_vz00_3576;
											BgL_iz00_2695 = BgL_iz00_3574;
											goto BgL_loopz00_2694;
										}
									}
							}
						}
					}
				}
			}
		}

	}



/* u8vector->bignum */
	obj_t BGl_u8vectorzd2ze3bignumz31zz__rsaz00(obj_t BgL_u8vectz00_55)
	{
		{	/* Unsafe/rsa.scm 483 */
			{	/* Unsafe/rsa.scm 484 */
				long BgL_g1050z00_1704;

				{	/* Unsafe/rsa.scm 484 */
					long BgL_arg1522z00_1717;

					BgL_arg1522z00_1717 = BGL_HVECTOR_LENGTH(BgL_u8vectz00_55);
					BgL_g1050z00_1704 = (BgL_arg1522z00_1717 - ((long) 1));
				}
				{
					long BgL_iz00_2725;
					obj_t BgL_az00_2726;

					BgL_iz00_2725 = BgL_g1050z00_1704;
					BgL_az00_2726 = (bgl_string_to_bignum("0", 16));
				BgL_loopz00_2724:
					if ((BgL_iz00_2725 == ((long) -1)))
						{	/* Unsafe/rsa.scm 486 */
							return BgL_az00_2726;
						}
					else
						{	/* Unsafe/rsa.scm 488 */
							obj_t BgL_dz00_2729;

							{	/* Unsafe/rsa.scm 488 */
								long BgL_arg1520z00_2730;

								{	/* Unsafe/rsa.scm 488 */
									uint8_t BgL_arg1521z00_2731;

									BgL_arg1521z00_2731 =
										BGL_U8VREF(BgL_u8vectz00_55, BgL_iz00_2725);
									{	/* Unsafe/rsa.scm 488 */
										long BgL_arg1922z00_2735;

										BgL_arg1922z00_2735 = (long) (BgL_arg1521z00_2731);
										BgL_arg1520z00_2730 = (long) (BgL_arg1922z00_2735);
								}}
								BgL_dz00_2729 = bgl_long_to_bignum(BgL_arg1520z00_2730);
							}
							{
								obj_t BgL_az00_3588;
								long BgL_iz00_3586;

								BgL_iz00_3586 = (BgL_iz00_2725 - ((long) 1));
								BgL_az00_3588 =
									bgl_bignum_add(bgl_bignum_mul(BgL_az00_2726,
										(bgl_string_to_bignum("100", 16))), BgL_dz00_2729);
								BgL_az00_2726 = BgL_az00_3588;
								BgL_iz00_2725 = BgL_iz00_3586;
								goto BgL_loopz00_2724;
							}
						}
				}
			}
		}

	}



/* rsa-encrypt-string */
	BGL_EXPORTED_DEF obj_t BGl_rsazd2encryptzd2stringz00zz__rsaz00(obj_t
		BgL_strz00_57, obj_t BgL_keyz00_58)
	{
		{	/* Unsafe/rsa.scm 520 */
			{	/* Unsafe/rsa.scm 521 */
				obj_t BgL_runner1559z00_1777;

				{	/* Unsafe/rsa.scm 522 */
					obj_t BgL_l01113z00_1754;

					{	/* Unsafe/rsa.scm 525 */
						obj_t BgL_arg1546z00_1763;

						{	/* Unsafe/rsa.scm 525 */
							obj_t BgL_arg1547z00_1764;
							long BgL_arg1548z00_1765;

							{	/* Unsafe/rsa.scm 525 */
								obj_t BgL_arg1551z00_1766;

								{	/* Unsafe/rsa.scm 525 */
									obj_t BgL_l01110z00_1767;

									BgL_l01110z00_1767 =
										BGl_stringzd2ze3listz31zz__r4_strings_6_7z00(BgL_strz00_57);
									{
										obj_t BgL_l1109z00_1769;

										BgL_l1109z00_1769 = BgL_l01110z00_1767;
									BgL_zc3z04anonymousza31552ze3z87_1770:
										if (NULLP(BgL_l1109z00_1769))
											{	/* Unsafe/rsa.scm 525 */
												BgL_arg1551z00_1766 = BgL_l01110z00_1767;
											}
										else
											{	/* Unsafe/rsa.scm 525 */
												{	/* Unsafe/rsa.scm 525 */
													long BgL_arg1555z00_1772;

													BgL_arg1555z00_1772 =
														(CCHAR(CAR(((obj_t) BgL_l1109z00_1769))));
													{	/* Unsafe/rsa.scm 525 */
														obj_t BgL_auxz00_3600;
														obj_t BgL_tmpz00_3598;

														BgL_auxz00_3600 = BINT(BgL_arg1555z00_1772);
														BgL_tmpz00_3598 = ((obj_t) BgL_l1109z00_1769);
														SET_CAR(BgL_tmpz00_3598, BgL_auxz00_3600);
												}}
												{	/* Unsafe/rsa.scm 525 */
													obj_t BgL_arg1557z00_1774;

													BgL_arg1557z00_1774 =
														CDR(((obj_t) BgL_l1109z00_1769));
													{
														obj_t BgL_l1109z00_3605;

														BgL_l1109z00_3605 = BgL_arg1557z00_1774;
														BgL_l1109z00_1769 = BgL_l1109z00_3605;
														goto BgL_zc3z04anonymousza31552ze3z87_1770;
													}
												}
											}
									}
								}
								BgL_arg1547z00_1764 =
									BGl_listzd2ze3u8vectorz31zz__srfi4z00(BgL_arg1551z00_1766);
							}
							BgL_arg1548z00_1765 =
								(STRING_LENGTH(BgL_strz00_57) + ((long) 12));
							{	/* Unsafe/rsa.scm 283 */
								obj_t BgL_arg1431z00_2752;

								{	/* Unsafe/rsa.scm 283 */
									obj_t BgL_arg1432z00_2753;

									BgL_arg1432z00_2753 =
										BGl_u8vectorzd2ze3bignumz31zz__rsaz00
										(BGl_PKCS1zd2padzd2zz__rsaz00(BgL_arg1547z00_1764,
											BINT(BgL_arg1548z00_1765)));
									BgL_arg1431z00_2752 =
										BGl_exptzd2modze70z35zz__rsaz00(BgL_arg1432z00_2753,
										STRUCT_REF(((obj_t) BgL_keyz00_58), (int) (((long) 2))),
										STRUCT_REF(((obj_t) BgL_keyz00_58), (int) (((long) 1))));
								}
								BgL_arg1546z00_1763 =
									BGl_bignumzd2ze3u8vectorz31zz__rsaz00(BgL_arg1431z00_2752);
						}}
						BgL_l01113z00_1754 =
							BGl_u8vectorzd2ze3listz31zz__srfi4z00(BgL_arg1546z00_1763);
					}
					{
						obj_t BgL_l1112z00_1756;

						BgL_l1112z00_1756 = BgL_l01113z00_1754;
					BgL_zc3z04anonymousza31541ze3z87_1757:
						if (NULLP(BgL_l1112z00_1756))
							{	/* Unsafe/rsa.scm 523 */
								BgL_runner1559z00_1777 = BgL_l01113z00_1754;
							}
						else
							{	/* Unsafe/rsa.scm 523 */
								{	/* Unsafe/rsa.scm 523 */
									unsigned char BgL_arg1543z00_1759;

									BgL_arg1543z00_1759 =
										((long) CINT(CAR(((obj_t) BgL_l1112z00_1756))));
									{	/* Unsafe/rsa.scm 523 */
										obj_t BgL_auxz00_3629;
										obj_t BgL_tmpz00_3627;

										BgL_auxz00_3629 = BCHAR(BgL_arg1543z00_1759);
										BgL_tmpz00_3627 = ((obj_t) BgL_l1112z00_1756);
										SET_CAR(BgL_tmpz00_3627, BgL_auxz00_3629);
								}}
								{	/* Unsafe/rsa.scm 523 */
									obj_t BgL_arg1545z00_1761;

									BgL_arg1545z00_1761 = CDR(((obj_t) BgL_l1112z00_1756));
									{
										obj_t BgL_l1112z00_3634;

										BgL_l1112z00_3634 = BgL_arg1545z00_1761;
										BgL_l1112z00_1756 = BgL_l1112z00_3634;
										goto BgL_zc3z04anonymousza31541ze3z87_1757;
									}
								}
							}
					}
				}
				return
					BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(BgL_runner1559z00_1777);
			}
		}

	}



/* &rsa-encrypt-string */
	obj_t BGl_z62rsazd2encryptzd2stringz62zz__rsaz00(obj_t BgL_envz00_3046,
		obj_t BgL_strz00_3047, obj_t BgL_keyz00_3048)
	{
		{	/* Unsafe/rsa.scm 520 */
			{	/* Unsafe/rsa.scm 521 */
				obj_t BgL_auxz00_3636;

				if (STRINGP(BgL_strz00_3047))
					{	/* Unsafe/rsa.scm 521 */
						BgL_auxz00_3636 = BgL_strz00_3047;
					}
				else
					{
						obj_t BgL_auxz00_3639;

						BgL_auxz00_3639 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1985z00zz__rsaz00,
							BINT(((long) 21891)), BGl_string1997z00zz__rsaz00,
							BGl_string1998z00zz__rsaz00, BgL_strz00_3047);
						FAILURE(BgL_auxz00_3639, BFALSE, BFALSE);
					}
				return
					BGl_rsazd2encryptzd2stringz00zz__rsaz00(BgL_auxz00_3636,
					BgL_keyz00_3048);
			}
		}

	}



/* rsa-decrypt-string */
	BGL_EXPORTED_DEF obj_t BGl_rsazd2decryptzd2stringz00zz__rsaz00(obj_t
		BgL_strz00_59, obj_t BgL_keyz00_60)
	{
		{	/* Unsafe/rsa.scm 532 */
			{	/* Unsafe/rsa.scm 533 */
				obj_t BgL_runner1577z00_1799;

				{	/* Unsafe/rsa.scm 534 */
					obj_t BgL_l01119z00_1778;

					{	/* Unsafe/rsa.scm 537 */
						obj_t BgL_arg1565z00_1787;

						{	/* Unsafe/rsa.scm 537 */
							obj_t BgL_arg1568z00_1788;

							{	/* Unsafe/rsa.scm 537 */
								obj_t BgL_arg1569z00_1789;

								{	/* Unsafe/rsa.scm 537 */
									obj_t BgL_l01116z00_1790;

									BgL_l01116z00_1790 =
										BGl_stringzd2ze3listz31zz__r4_strings_6_7z00(BgL_strz00_59);
									{
										obj_t BgL_l1115z00_1792;

										BgL_l1115z00_1792 = BgL_l01116z00_1790;
									BgL_zc3z04anonymousza31570ze3z87_1793:
										if (NULLP(BgL_l1115z00_1792))
											{	/* Unsafe/rsa.scm 537 */
												BgL_arg1569z00_1789 = BgL_l01116z00_1790;
											}
										else
											{	/* Unsafe/rsa.scm 537 */
												{	/* Unsafe/rsa.scm 537 */
													long BgL_arg1573z00_1795;

													BgL_arg1573z00_1795 =
														(CCHAR(CAR(((obj_t) BgL_l1115z00_1792))));
													{	/* Unsafe/rsa.scm 537 */
														obj_t BgL_auxz00_3653;
														obj_t BgL_tmpz00_3651;

														BgL_auxz00_3653 = BINT(BgL_arg1573z00_1795);
														BgL_tmpz00_3651 = ((obj_t) BgL_l1115z00_1792);
														SET_CAR(BgL_tmpz00_3651, BgL_auxz00_3653);
												}}
												{	/* Unsafe/rsa.scm 537 */
													obj_t BgL_arg1576z00_1797;

													BgL_arg1576z00_1797 =
														CDR(((obj_t) BgL_l1115z00_1792));
													{
														obj_t BgL_l1115z00_3658;

														BgL_l1115z00_3658 = BgL_arg1576z00_1797;
														BgL_l1115z00_1792 = BgL_l1115z00_3658;
														goto BgL_zc3z04anonymousza31570ze3z87_1793;
													}
												}
											}
									}
								}
								BgL_arg1568z00_1788 =
									BGl_listzd2ze3u8vectorz31zz__srfi4z00(BgL_arg1569z00_1789);
							}
							{	/* Unsafe/rsa.scm 293 */
								obj_t BgL_arg1434z00_2767;

								{	/* Unsafe/rsa.scm 293 */
									obj_t BgL_arg1435z00_2768;

									{	/* Unsafe/rsa.scm 293 */
										obj_t BgL_arg1436z00_2769;

										BgL_arg1436z00_2769 =
											BGl_u8vectorzd2ze3bignumz31zz__rsaz00
											(BgL_arg1568z00_1788);
										BgL_arg1435z00_2768 =
											BGl_exptzd2modze70z35zz__rsaz00(BgL_arg1436z00_2769,
											STRUCT_REF(((obj_t) BgL_keyz00_60), (int) (((long) 2))),
											STRUCT_REF(((obj_t) BgL_keyz00_60), (int) (((long) 1))));
									}
									BgL_arg1434z00_2767 =
										BGl_bignumzd2ze3u8vectorz31zz__rsaz00(BgL_arg1435z00_2768);
								}
								BgL_arg1565z00_1787 =
									BGl_PKCS1zd2unpadzd2zz__rsaz00(BgL_arg1434z00_2767);
						}}
						BgL_l01119z00_1778 =
							BGl_u8vectorzd2ze3listz31zz__srfi4z00(BgL_arg1565z00_1787);
					}
					{
						obj_t BgL_l1118z00_1780;

						BgL_l1118z00_1780 = BgL_l01119z00_1778;
					BgL_zc3z04anonymousza31560ze3z87_1781:
						if (NULLP(BgL_l1118z00_1780))
							{	/* Unsafe/rsa.scm 535 */
								BgL_runner1577z00_1799 = BgL_l01119z00_1778;
							}
						else
							{	/* Unsafe/rsa.scm 535 */
								{	/* Unsafe/rsa.scm 535 */
									unsigned char BgL_arg1562z00_1783;

									BgL_arg1562z00_1783 =
										((long) CINT(CAR(((obj_t) BgL_l1118z00_1780))));
									{	/* Unsafe/rsa.scm 535 */
										obj_t BgL_auxz00_3679;
										obj_t BgL_tmpz00_3677;

										BgL_auxz00_3679 = BCHAR(BgL_arg1562z00_1783);
										BgL_tmpz00_3677 = ((obj_t) BgL_l1118z00_1780);
										SET_CAR(BgL_tmpz00_3677, BgL_auxz00_3679);
								}}
								{	/* Unsafe/rsa.scm 535 */
									obj_t BgL_arg1564z00_1785;

									BgL_arg1564z00_1785 = CDR(((obj_t) BgL_l1118z00_1780));
									{
										obj_t BgL_l1118z00_3684;

										BgL_l1118z00_3684 = BgL_arg1564z00_1785;
										BgL_l1118z00_1780 = BgL_l1118z00_3684;
										goto BgL_zc3z04anonymousza31560ze3z87_1781;
									}
								}
							}
					}
				}
				return
					BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(BgL_runner1577z00_1799);
			}
		}

	}



/* &rsa-decrypt-string */
	obj_t BGl_z62rsazd2decryptzd2stringz62zz__rsaz00(obj_t BgL_envz00_3049,
		obj_t BgL_strz00_3050, obj_t BgL_keyz00_3051)
	{
		{	/* Unsafe/rsa.scm 532 */
			{	/* Unsafe/rsa.scm 533 */
				obj_t BgL_auxz00_3686;

				if (STRINGP(BgL_strz00_3050))
					{	/* Unsafe/rsa.scm 533 */
						BgL_auxz00_3686 = BgL_strz00_3050;
					}
				else
					{
						obj_t BgL_auxz00_3689;

						BgL_auxz00_3689 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1985z00zz__rsaz00,
							BINT(((long) 22352)), BGl_string1999z00zz__rsaz00,
							BGl_string1998z00zz__rsaz00, BgL_strz00_3050);
						FAILURE(BgL_auxz00_3689, BFALSE, BFALSE);
					}
				return
					BGl_rsazd2decryptzd2stringz00zz__rsaz00(BgL_auxz00_3686,
					BgL_keyz00_3051);
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__rsaz00()
	{
		{	/* Unsafe/rsa.scm 16 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__rsaz00()
	{
		{	/* Unsafe/rsa.scm 16 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__rsaz00()
	{
		{	/* Unsafe/rsa.scm 16 */
			return BUNSPEC;
		}

	}

#ifdef __cplusplus
}
#endif
