/*===========================================================================*/
/*   (Llib/gstelementfactory.scm)                                            */
/*   Bigloo (4.4b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon 22 Mar 2021 06:58:31 PM CET     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4b/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4b/lib/bigloo/4.4b -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4b/lib/bigloo/4.4b -unsafe -safee -srfi gstreamer -copt -I/usr/include/gstreamer-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/sysprof-4 -pthread -copt -fPIC -copt -IClib Llib/gstelementfactory.scm -o objs/gstelementfactory.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>
#include <gst/gst.h>
#include <bglgst_config.h>
#include <bglgst.h>
#include <bglgst_plugin.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_z62errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62errorz62_bglt;

typedef struct BgL_z62exceptionz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_z62exceptionz62_bglt;

typedef struct BgL_z62gstzd2createzd2errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62gstzd2createzd2errorz62_bglt;

typedef struct BgL_gstzd2objectzd2_bgl {
   header_t header;
   obj_t widening;
   GstObject * BgL_z42builtinz42;
   obj_t BgL_z42finaliza7erze5;
   obj_t BgL_z52closuresz52;
} *BgL_gstzd2objectzd2_bglt;

typedef struct BgL_gstzd2capszd2_bgl {
   header_t header;
   obj_t widening;
   GstCaps * BgL_z42builtinz42;
   obj_t BgL_z42finaliza7erze5;
} *BgL_gstzd2capszd2_bglt;

typedef struct BgL_gstzd2elementzd2_bgl {
   header_t header;
   obj_t widening;
   GstObject * BgL_z42builtinz42;
   obj_t BgL_z42finaliza7erze5;
   obj_t BgL_z52closuresz52;
} *BgL_gstzd2elementzd2_bglt;

typedef struct BgL_gstzd2elementzd2factoryz00_bgl {
   header_t header;
   obj_t widening;
   GstObject * BgL_z42builtinz42;
   obj_t BgL_z42finaliza7erze5;
   obj_t BgL_z52closuresz52;
} *BgL_gstzd2elementzd2factoryz00_bglt;


BGL_EXPORTED_DEF obj_t BGl_gstzd2elementzd2factoryz00zz__gstreamer_gstelementfactoryz00 = BUNSPEC;
static obj_t BGl_requirezd2initializa7ationz75zz__gstreamer_gstelementfactoryz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
BGL_EXPORTED_DECL BgL_gstzd2elementzd2_bglt BGl_gstzd2elementzd2factoryzd2makezd2zz__gstreamer_gstelementfactoryz00(obj_t, obj_t);
BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__gstreamer_gstelementfactoryz00();
static obj_t BGl_genericzd2initzd2zz__gstreamer_gstelementfactoryz00();
extern obj_t BGl_gstzd2pluginzd2featurez00zz__gstreamer_gstpluginfeaturez00;
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__gstreamer_gstelementfactoryz00();
static obj_t BGl_z62zc3z04anonymousza31207ze3ze5zz__gstreamer_gstelementfactoryz00(obj_t, obj_t);
static obj_t BGl_z62gstzd2elementzd2factoryzd2haszd2interfacezf3z91zz__gstreamer_gstelementfactoryz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31240ze3ze5zz__gstreamer_gstelementfactoryz00(obj_t, obj_t);
BGL_EXPORTED_DECL BgL_gstzd2elementzd2_bglt BGl_gstzd2elementzd2factoryzd2createzd2zz__gstreamer_gstelementfactoryz00(BgL_gstzd2elementzd2factoryz00_bglt, obj_t);
static obj_t BGl_z62zc3z04anonymousza31208ze3ze5zz__gstreamer_gstelementfactoryz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31241ze3ze5zz__gstreamer_gstelementfactoryz00(obj_t, obj_t, obj_t);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31218ze3ze5zz__gstreamer_gstelementfactoryz00(obj_t, obj_t);
static BgL_gstzd2elementzd2_bglt BGl_z62gstzd2elementzd2factoryzd2createzb0zz__gstreamer_gstelementfactoryz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__gstreamer_gstelementfactoryz00();
static obj_t BGl_z62zc3z04anonymousza31219ze3ze5zz__gstreamer_gstelementfactoryz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31325ze3ze5zz__gstreamer_gstelementfactoryz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31228ze3ze5zz__gstreamer_gstelementfactoryz00(obj_t, obj_t);
static obj_t BGl_z62z42makezd2gstzd2elementzd2factoryzf2zz__gstreamer_gstelementfactoryz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31342ze3ze5zz__gstreamer_gstelementfactoryz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31253ze3ze5zz__gstreamer_gstelementfactoryz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31229ze3ze5zz__gstreamer_gstelementfactoryz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_gstzd2elementzd2factoryzd2canzd2srczd2allzd2capszf3zf3zz__gstreamer_gstelementfactoryz00(BgL_gstzd2elementzd2factoryz00_bglt, BgL_gstzd2capszd2_bglt);
static obj_t BGl_z62zc3z04anonymousza31432ze3ze5zz__gstreamer_gstelementfactoryz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31246ze3ze5zz__gstreamer_gstelementfactoryz00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_gstzd2elementzd2factoryzd2canzd2sinkzd2allzd2capszf3zf3zz__gstreamer_gstelementfactoryz00(BgL_gstzd2elementzd2factoryz00_bglt, BgL_gstzd2capszd2_bglt);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31190ze3ze5zz__gstreamer_gstelementfactoryz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31247ze3ze5zz__gstreamer_gstelementfactoryz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_callzd2virtualzd2setterz00zz__objectz00(BgL_objectz00_bglt, int, obj_t);
extern obj_t BGl_gstzd2objectzd2propertyzd2setz12zc0zz__gstreamer_gstobjectz00(BgL_gstzd2objectzd2_bglt, obj_t, obj_t);
static obj_t BGl_gstzd2elementzd2initz00zz__gstreamer_gstelementfactoryz00(GstElement *, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31191ze3ze5zz__gstreamer_gstelementfactoryz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_gst_element_factory_new(GstElementFactory *, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31281ze3ze5zz__gstreamer_gstelementfactoryz00(obj_t, obj_t);
static obj_t BGl_z62gstzd2elementzd2factoryzd2canzd2srczd2allzd2capszf3z91zz__gstreamer_gstelementfactoryz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__gstreamer_gstelementfactoryz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__gstreamer_gstpadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__gstreamer_gstelementz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__gstreamer_gstpluginfeaturez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_z62objectzd2displayzd2gstzd2e1087zb0zz__gstreamer_gstelementfactoryz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_callzd2virtualzd2getterz00zz__objectz00(BgL_objectz00_bglt, int);
static obj_t BGl_z62zc3z04anonymousza31186ze3ze5zz__gstreamer_gstelementfactoryz00(obj_t, obj_t);
extern obj_t BGl_z62gstzd2createzd2errorz62zz__gstreamer_gsterrorz00;
BGL_EXPORTED_DECL bool_t BGl_gstzd2elementzd2factoryzd2haszd2interfacezf3zf3zz__gstreamer_gstelementfactoryz00(BgL_gstzd2elementzd2factoryz00_bglt, obj_t);
static BgL_gstzd2elementzd2factoryz00_bglt BGl_z62lambda1181z62zz__gstreamer_gstelementfactoryz00(obj_t, obj_t, obj_t, obj_t);
static BgL_gstzd2elementzd2factoryz00_bglt BGl_z62lambda1184z62zz__gstreamer_gstelementfactoryz00(obj_t);
static obj_t BGl_cnstzd2initzd2zz__gstreamer_gstelementfactoryz00();
static obj_t BGl_libraryzd2moduleszd2initz00zz__gstreamer_gstelementfactoryz00();
static obj_t BGl_z62gstzd2elementzd2factoryzd2findzb0zz__gstreamer_gstelementfactoryz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__gstreamer_gstelementfactoryz00();
static obj_t BGl_gczd2rootszd2initz00zz__gstreamer_gstelementfactoryz00();
static obj_t BGl_z62zc3z04anonymousza31359ze3ze5zz__gstreamer_gstelementfactoryz00(obj_t, obj_t);
static BgL_gstzd2elementzd2_bglt BGl_z62gstzd2elementzd2factoryzd2makezb0zz__gstreamer_gstelementfactoryz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
static obj_t BGl_z62gstzd2elementzd2factoryzd2canzd2sinkzd2allzd2capszf3z91zz__gstreamer_gstelementfactoryz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t bgl_find_runtime_type(obj_t);
extern obj_t BGl_gstzd2capszd2zz__gstreamer_gstcapsz00;
BGL_EXPORTED_DECL obj_t BGl_gstzd2elementzd2factoryzd2findzd2zz__gstreamer_gstelementfactoryz00(obj_t);
static obj_t __cnst[ 12 ] ;


DEFINE_STRING( BGl_string1552z00zz__gstreamer_gstelementfactoryz00, BgL_bgl_string1552za700za7za7_1616za7, "/builddir/build/BUILD/bigloo-4.4b/api/gstreamer/src/Llib/gstelementfactory.scm", 78 );
DEFINE_STRING( BGl_string1553z00zz__gstreamer_gstelementfactoryz00, BgL_bgl_string1553za700za7za7_1617za7, "&$make-gst-element-factory", 26 );
DEFINE_STRING( BGl_string1554z00zz__gstreamer_gstelementfactoryz00, BgL_bgl_string1554za700za7za7_1618za7, "void*", 5 );
DEFINE_STRING( BGl_string1555z00zz__gstreamer_gstelementfactoryz00, BgL_bgl_string1555za700za7za7_1619za7, "Cannot create object", 20 );
DEFINE_STRING( BGl_string1556z00zz__gstreamer_gstelementfactoryz00, BgL_bgl_string1556za700za7za7_1620za7, "Illegal argument", 16 );
DEFINE_STRING( BGl_string1557z00zz__gstreamer_gstelementfactoryz00, BgL_bgl_string1557za700za7za7_1621za7, "&gst-element-factory-make", 25 );
DEFINE_STRING( BGl_string1558z00zz__gstreamer_gstelementfactoryz00, BgL_bgl_string1558za700za7za7_1622za7, "bstring", 7 );
DEFINE_STRING( BGl_string1559z00zz__gstreamer_gstelementfactoryz00, BgL_bgl_string1559za700za7za7_1623za7, "&gst-element-factory-create", 27 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_gstzd2elementzd2factoryzd2canzd2srczd2allzd2capszf3zd2envz21zz__gstreamer_gstelementfactoryz00, BgL_bgl_za762gstza7d2element1624z00, BGl_z62gstzd2elementzd2factoryzd2canzd2srczd2allzd2capszf3z91zz__gstreamer_gstelementfactoryz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1560z00zz__gstreamer_gstelementfactoryz00, BgL_bgl_string1560za700za7za7_1625za7, "gst-element-factory", 19 );
DEFINE_STRING( BGl_string1561z00zz__gstreamer_gstelementfactoryz00, BgL_bgl_string1561za700za7za7_1626za7, "&gst-element-factory-find", 25 );
DEFINE_STRING( BGl_string1562z00zz__gstreamer_gstelementfactoryz00, BgL_bgl_string1562za700za7za7_1627za7, "&gst-element-factory-has-interface?", 35 );
DEFINE_STRING( BGl_string1563z00zz__gstreamer_gstelementfactoryz00, BgL_bgl_string1563za700za7za7_1628za7, "&gst-element-factory-can-sink-all-caps?", 39 );
DEFINE_STRING( BGl_string1564z00zz__gstreamer_gstelementfactoryz00, BgL_bgl_string1564za700za7za7_1629za7, "gst-caps", 8 );
DEFINE_STRING( BGl_string1565z00zz__gstreamer_gstelementfactoryz00, BgL_bgl_string1565za700za7za7_1630za7, "&gst-element-factory-can-src-all-caps?", 38 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1566z00zz__gstreamer_gstelementfactoryz00, BgL_bgl_za762za7c3za704anonymo1631za7, BGl_z62zc3z04anonymousza31191ze3ze5zz__gstreamer_gstelementfactoryz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1567z00zz__gstreamer_gstelementfactoryz00, BgL_bgl_za762za7c3za704anonymo1632za7, BGl_z62zc3z04anonymousza31190ze3ze5zz__gstreamer_gstelementfactoryz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1568z00zz__gstreamer_gstelementfactoryz00, BgL_bgl_za762za7c3za704anonymo1633za7, BGl_z62zc3z04anonymousza31208ze3ze5zz__gstreamer_gstelementfactoryz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1569z00zz__gstreamer_gstelementfactoryz00, BgL_bgl_za762za7c3za704anonymo1634za7, BGl_z62zc3z04anonymousza31207ze3ze5zz__gstreamer_gstelementfactoryz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1570z00zz__gstreamer_gstelementfactoryz00, BgL_bgl_za762za7c3za704anonymo1635za7, BGl_z62zc3z04anonymousza31219ze3ze5zz__gstreamer_gstelementfactoryz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1571z00zz__gstreamer_gstelementfactoryz00, BgL_bgl_za762za7c3za704anonymo1636za7, BGl_z62zc3z04anonymousza31218ze3ze5zz__gstreamer_gstelementfactoryz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1572z00zz__gstreamer_gstelementfactoryz00, BgL_bgl_za762za7c3za704anonymo1637za7, BGl_z62zc3z04anonymousza31229ze3ze5zz__gstreamer_gstelementfactoryz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1573z00zz__gstreamer_gstelementfactoryz00, BgL_bgl_za762za7c3za704anonymo1638za7, BGl_z62zc3z04anonymousza31228ze3ze5zz__gstreamer_gstelementfactoryz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1574z00zz__gstreamer_gstelementfactoryz00, BgL_bgl_za762za7c3za704anonymo1639za7, BGl_z62zc3z04anonymousza31241ze3ze5zz__gstreamer_gstelementfactoryz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1575z00zz__gstreamer_gstelementfactoryz00, BgL_bgl_za762za7c3za704anonymo1640za7, BGl_z62zc3z04anonymousza31240ze3ze5zz__gstreamer_gstelementfactoryz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1576z00zz__gstreamer_gstelementfactoryz00, BgL_bgl_za762za7c3za704anonymo1641za7, BGl_z62zc3z04anonymousza31247ze3ze5zz__gstreamer_gstelementfactoryz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1577z00zz__gstreamer_gstelementfactoryz00, BgL_bgl_za762za7c3za704anonymo1642za7, BGl_z62zc3z04anonymousza31246ze3ze5zz__gstreamer_gstelementfactoryz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1578z00zz__gstreamer_gstelementfactoryz00, BgL_bgl_za762za7c3za704anonymo1643za7, BGl_z62zc3z04anonymousza31253ze3ze5zz__gstreamer_gstelementfactoryz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1579z00zz__gstreamer_gstelementfactoryz00, BgL_bgl_za762za7c3za704anonymo1644za7, BGl_z62zc3z04anonymousza31281ze3ze5zz__gstreamer_gstelementfactoryz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1588z00zz__gstreamer_gstelementfactoryz00, BgL_bgl_string1588za700za7za7_1645za7, "object-display", 14 );
DEFINE_STRING( BGl_string1589z00zz__gstreamer_gstelementfactoryz00, BgL_bgl_string1589za700za7za7_1646za7, "<", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1580z00zz__gstreamer_gstelementfactoryz00, BgL_bgl_za762za7c3za704anonymo1647za7, BGl_z62zc3z04anonymousza31325ze3ze5zz__gstreamer_gstelementfactoryz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1581z00zz__gstreamer_gstelementfactoryz00, BgL_bgl_za762za7c3za704anonymo1648za7, BGl_z62zc3z04anonymousza31342ze3ze5zz__gstreamer_gstelementfactoryz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1582z00zz__gstreamer_gstelementfactoryz00, BgL_bgl_za762za7c3za704anonymo1649za7, BGl_z62zc3z04anonymousza31359ze3ze5zz__gstreamer_gstelementfactoryz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1583z00zz__gstreamer_gstelementfactoryz00, BgL_bgl_za762za7c3za704anonymo1650za7, BGl_z62zc3z04anonymousza31432ze3ze5zz__gstreamer_gstelementfactoryz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1590z00zz__gstreamer_gstelementfactoryz00, BgL_bgl_string1590za700za7za7_1651za7, " refcount=", 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1584z00zz__gstreamer_gstelementfactoryz00, BgL_bgl_za762za7c3za704anonymo1652za7, BGl_z62zc3z04anonymousza31186ze3ze5zz__gstreamer_gstelementfactoryz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1591z00zz__gstreamer_gstelementfactoryz00, BgL_bgl_string1591za700za7za7_1653za7, " longname=", 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1585z00zz__gstreamer_gstelementfactoryz00, BgL_bgl_za762lambda1184za7621654z00, BGl_z62lambda1184z62zz__gstreamer_gstelementfactoryz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1592z00zz__gstreamer_gstelementfactoryz00, BgL_bgl_string1592za700za7za7_1655za7, ">", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1586z00zz__gstreamer_gstelementfactoryz00, BgL_bgl_za762lambda1181za7621656z00, BGl_z62lambda1181z62zz__gstreamer_gstelementfactoryz00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string1593z00zz__gstreamer_gstelementfactoryz00, BgL_bgl_string1593za700za7za7_1657za7, "__gstreamer_gstelementfactory", 29 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1587z00zz__gstreamer_gstelementfactoryz00, BgL_bgl_za762objectza7d2disp1658z00, va_generic_entry, BGl_z62objectzd2displayzd2gstzd2e1087zb0zz__gstreamer_gstelementfactoryz00, BUNSPEC, -2 );
DEFINE_STRING( BGl_string1594z00zz__gstreamer_gstelementfactoryz00, BgL_bgl_string1594za700za7za7_1659za7, "__gstreamer_gstelementfactory gst-element-factory static-pad-templates pair-nil uri-protocols author description klass string longname gst-element-factory-create gst-element-factory-make ", 187 );
BGL_IMPORT obj_t BGl_objectzd2displayzd2envz00zz__objectz00;
extern obj_t BGl_z52gstzd2objectzd2initzd2envz80zz__gstreamer_gstobjectz00;
extern obj_t BGl_z52gstzd2objectzd2finaliza7ez12zd2envz35zz__gstreamer_gstobjectz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_gstzd2elementzd2factoryzd2createzd2envz00zz__gstreamer_gstelementfactoryz00, BgL_bgl_za762gstza7d2element1660z00, va_generic_entry, BGl_z62gstzd2elementzd2factoryzd2createzb0zz__gstreamer_gstelementfactoryz00, BUNSPEC, -2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z42makezd2gstzd2elementzd2factoryzd2envz42zz__gstreamer_gstelementfactoryz00, BgL_bgl_za762za742makeza7d2gst1661za7, BGl_z62z42makezd2gstzd2elementzd2factoryzf2zz__gstreamer_gstelementfactoryz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_gstzd2elementzd2factoryzd2haszd2interfacezf3zd2envz21zz__gstreamer_gstelementfactoryz00, BgL_bgl_za762gstza7d2element1662z00, BGl_z62gstzd2elementzd2factoryzd2haszd2interfacezf3z91zz__gstreamer_gstelementfactoryz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_gstzd2elementzd2factoryzd2makezd2envz00zz__gstreamer_gstelementfactoryz00, BgL_bgl_za762gstza7d2element1663z00, va_generic_entry, BGl_z62gstzd2elementzd2factoryzd2makezb0zz__gstreamer_gstelementfactoryz00, BUNSPEC, -2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_gstzd2elementzd2factoryzd2canzd2sinkzd2allzd2capszf3zd2envz21zz__gstreamer_gstelementfactoryz00, BgL_bgl_za762gstza7d2element1664z00, BGl_z62gstzd2elementzd2factoryzd2canzd2sinkzd2allzd2capszf3z91zz__gstreamer_gstelementfactoryz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_gstzd2elementzd2factoryzd2findzd2envz00zz__gstreamer_gstelementfactoryz00, BgL_bgl_za762gstza7d2element1665z00, BGl_z62gstzd2elementzd2factoryzd2findzb0zz__gstreamer_gstelementfactoryz00, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_gstzd2elementzd2factoryz00zz__gstreamer_gstelementfactoryz00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__gstreamer_gstelementfactoryz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__gstreamer_gstelementfactoryz00(long BgL_checksumz00_553, char * BgL_fromz00_554)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__gstreamer_gstelementfactoryz00))
{ 
BGl_requirezd2initializa7ationz75zz__gstreamer_gstelementfactoryz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__gstreamer_gstelementfactoryz00(); 
BGl_libraryzd2moduleszd2initz00zz__gstreamer_gstelementfactoryz00(); 
BGl_cnstzd2initzd2zz__gstreamer_gstelementfactoryz00(); 
BGl_importedzd2moduleszd2initz00zz__gstreamer_gstelementfactoryz00(); 
BGl_objectzd2initzd2zz__gstreamer_gstelementfactoryz00(); 
BGl_methodzd2initzd2zz__gstreamer_gstelementfactoryz00(); 
return 
BGl_toplevelzd2initzd2zz__gstreamer_gstelementfactoryz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__gstreamer_gstelementfactoryz00()
{
{ /* Llib/gstelementfactory.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__gstreamer_gstelementfactory"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "__gstreamer_gstelementfactory"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__gstreamer_gstelementfactory"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__gstreamer_gstelementfactory"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__gstreamer_gstelementfactory"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__gstreamer_gstelementfactory"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__gstreamer_gstelementfactory"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__gstreamer_gstelementfactory"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__gstreamer_gstelementfactoryz00()
{
{ /* Llib/gstelementfactory.scm 15 */
{ /* Llib/gstelementfactory.scm 15 */
obj_t BgL_cportz00_514;
{ /* Llib/gstelementfactory.scm 15 */
obj_t BgL_stringz00_522;
BgL_stringz00_522 = BGl_string1594z00zz__gstreamer_gstelementfactoryz00; 
{ /* Llib/gstelementfactory.scm 15 */
obj_t BgL_startz00_523;
BgL_startz00_523 = 
BINT(((long)0)); 
{ /* Llib/gstelementfactory.scm 15 */
obj_t BgL_endz00_524;
BgL_endz00_524 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_522))); 
{ /* Llib/gstelementfactory.scm 15 */

BgL_cportz00_514 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_522, BgL_startz00_523, BgL_endz00_524); } } } } 
{ 
long BgL_iz00_515;
BgL_iz00_515 = ((long)11); 
BgL_loopz00_516:
if(
(BgL_iz00_515==((long)-1)))
{ /* Llib/gstelementfactory.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/gstelementfactory.scm 15 */
{ /* Llib/gstelementfactory.scm 15 */
obj_t BgL_arg1615z00_518;
{ /* Llib/gstelementfactory.scm 15 */

{ /* Llib/gstelementfactory.scm 15 */
obj_t BgL_locationz00_520;
BgL_locationz00_520 = 
BBOOL(((bool_t)0)); 
{ /* Llib/gstelementfactory.scm 15 */

BgL_arg1615z00_518 = 
BGl_readz00zz__readerz00(BgL_cportz00_514, BgL_locationz00_520); } } } 
{ /* Llib/gstelementfactory.scm 15 */
int BgL_tmpz00_582;
BgL_tmpz00_582 = 
(int)(BgL_iz00_515); 
CNST_TABLE_SET(BgL_tmpz00_582, BgL_arg1615z00_518); } } 
{ /* Llib/gstelementfactory.scm 15 */
int BgL_auxz00_521;
BgL_auxz00_521 = 
(int)(
(BgL_iz00_515-((long)1))); 
{ 
long BgL_iz00_587;
BgL_iz00_587 = 
(long)(BgL_auxz00_521); 
BgL_iz00_515 = BgL_iz00_587; 
goto BgL_loopz00_516;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__gstreamer_gstelementfactoryz00()
{
{ /* Llib/gstelementfactory.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__gstreamer_gstelementfactoryz00()
{
{ /* Llib/gstelementfactory.scm 15 */
return BUNSPEC;} 

}



/* $make-gst-element-factory */
BGL_EXPORTED_DEF obj_t bgl_gst_element_factory_new(GstElementFactory * BgL_factoryz00_3, obj_t BgL_finaliza7erza7_4)
{
{ /* Llib/gstelementfactory.scm 86 */
{ /* Llib/gstelementfactory.scm 87 */
BgL_gstzd2elementzd2factoryz00_bglt BgL_new1063z00_32;
{ /* Llib/gstelementfactory.scm 88 */
BgL_gstzd2elementzd2factoryz00_bglt BgL_new1062z00_34;
BgL_new1062z00_34 = 
((BgL_gstzd2elementzd2factoryz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_gstzd2elementzd2factoryz00_bgl) ))); 
{ /* Llib/gstelementfactory.scm 88 */
long BgL_arg1094z00_35;
BgL_arg1094z00_35 = 
BGL_CLASS_INDEX(BGl_gstzd2elementzd2factoryz00zz__gstreamer_gstelementfactoryz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1062z00_34), BgL_arg1094z00_35); } 
BgL_new1063z00_32 = BgL_new1062z00_34; } 
((((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)BgL_new1063z00_32)))->BgL_z42builtinz42)=((GstObject *)
(GstObject *)(BgL_factoryz00_3)),BUNSPEC); 
((((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)BgL_new1063z00_32)))->BgL_z42finaliza7erze5)=((obj_t)BgL_finaliza7erza7_4),BUNSPEC); 
((((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)BgL_new1063z00_32)))->BgL_z52closuresz52)=((obj_t)BNIL),BUNSPEC); 
{ /* Llib/gstelementfactory.scm 87 */
obj_t BgL_fun1092z00_33;
BgL_fun1092z00_33 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_gstzd2elementzd2factoryz00zz__gstreamer_gstelementfactoryz00); 
PROCEDURE_ENTRY(BgL_fun1092z00_33)(BgL_fun1092z00_33, 
((obj_t)BgL_new1063z00_32), BEOA); } 
return 
((obj_t)BgL_new1063z00_32);} } 

}



/* &$make-gst-element-factory */
obj_t BGl_z62z42makezd2gstzd2elementzd2factoryzf2zz__gstreamer_gstelementfactoryz00(obj_t BgL_envz00_381, obj_t BgL_factoryz00_382, obj_t BgL_finaliza7erza7_383)
{
{ /* Llib/gstelementfactory.scm 86 */
{ /* Llib/gstelementfactory.scm 87 */
GstElementFactory * BgL_auxz00_608;
if(
FOREIGNP(BgL_factoryz00_382))
{ /* Llib/gstelementfactory.scm 87 */
BgL_auxz00_608 = 
FOREIGN_TO_COBJ(BgL_factoryz00_382)
; }  else 
{ 
obj_t BgL_auxz00_612;
BgL_auxz00_612 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1552z00zz__gstreamer_gstelementfactoryz00, 
BINT(((long)3571)), BGl_string1553z00zz__gstreamer_gstelementfactoryz00, BGl_string1554z00zz__gstreamer_gstelementfactoryz00, BgL_factoryz00_382); 
FAILURE(BgL_auxz00_612,BFALSE,BFALSE);} 
return 
bgl_gst_element_factory_new(BgL_auxz00_608, BgL_finaliza7erza7_383);} } 

}



/* gst-element-init */
obj_t BGl_gstzd2elementzd2initz00zz__gstreamer_gstelementfactoryz00(GstElement * BgL_z42elz42_7, obj_t BgL_procz00_8, obj_t BgL_factorynamez00_9, obj_t BgL_namez00_10, obj_t BgL_argsz00_11)
{
{ /* Llib/gstelementfactory.scm 109 */
if(
(bool_t)!(BgL_z42elz42_7))
{ /* Llib/gstelementfactory.scm 115 */
BgL_z62gstzd2createzd2errorz62_bglt BgL_arg1097z00_37;
{ /* Llib/gstelementfactory.scm 115 */
BgL_z62gstzd2createzd2errorz62_bglt BgL_new1067z00_38;
{ /* Llib/gstelementfactory.scm 115 */
BgL_z62gstzd2createzd2errorz62_bglt BgL_new1066z00_42;
BgL_new1066z00_42 = 
((BgL_z62gstzd2createzd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62gstzd2createzd2errorz62_bgl) ))); 
{ /* Llib/gstelementfactory.scm 115 */
long BgL_arg1108z00_43;
BgL_arg1108z00_43 = 
BGL_CLASS_INDEX(BGl_z62gstzd2createzd2errorz62zz__gstreamer_gsterrorz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1066z00_42), BgL_arg1108z00_43); } 
BgL_new1067z00_38 = BgL_new1066z00_42; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1067z00_38)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1067z00_38)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
obj_t BgL_auxz00_627;
{ /* Llib/gstelementfactory.scm 115 */
obj_t BgL_arg1099z00_39;
{ /* Llib/gstelementfactory.scm 115 */
obj_t BgL_arg1101z00_40;
{ /* Llib/gstelementfactory.scm 115 */
obj_t BgL_classz00_288;
BgL_classz00_288 = BGl_z62gstzd2createzd2errorz62zz__gstreamer_gsterrorz00; 
BgL_arg1101z00_40 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_288); } 
BgL_arg1099z00_39 = 
VECTOR_REF(BgL_arg1101z00_40,((long)2)); } 
BgL_auxz00_627 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1099z00_39); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1067z00_38)))->BgL_stackz00)=((obj_t)BgL_auxz00_627),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1067z00_38)))->BgL_procz00)=((obj_t)BgL_procz00_8),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1067z00_38)))->BgL_msgz00)=((obj_t)BGl_string1555z00zz__gstreamer_gstelementfactoryz00),BUNSPEC); 
{ 
obj_t BgL_auxz00_637;
{ /* Llib/gstelementfactory.scm 118 */
obj_t BgL_arg1102z00_41;
BgL_arg1102z00_41 = 
MAKE_YOUNG_PAIR(BgL_namez00_10, BgL_argsz00_11); 
BgL_auxz00_637 = 
MAKE_YOUNG_PAIR(BgL_factorynamez00_9, BgL_arg1102z00_41); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1067z00_38)))->BgL_objz00)=((obj_t)BgL_auxz00_637),BUNSPEC); } 
BgL_arg1097z00_37 = BgL_new1067z00_38; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1097z00_37));}  else 
{ /* Llib/gstelementfactory.scm 119 */
obj_t BgL_elz00_44;
{ /* Llib/gstelementfactory.scm 119 */
GstObject * BgL_arg1118z00_57;
BgL_arg1118z00_57 = 
(GstObject *)(BgL_z42elz42_7); 
BgL_elz00_44 = 
bgl_gst_object_to_obj(BgL_arg1118z00_57, ((bool_t)0)); } 
{ 
obj_t BgL_argsz00_46;
BgL_argsz00_46 = BgL_argsz00_11; 
BgL_zc3z04anonymousza31109ze3z87_47:
if(
NULLP(BgL_argsz00_46))
{ /* Llib/gstelementfactory.scm 122 */
return BgL_elz00_44;}  else 
{ /* Llib/gstelementfactory.scm 122 */
if(
NULLP(
CDR(
((obj_t)BgL_argsz00_46))))
{ /* Llib/gstelementfactory.scm 125 */
obj_t BgL_arg1113z00_51;
BgL_arg1113z00_51 = 
CAR(
((obj_t)BgL_argsz00_46)); 
return 
BGl_errorz00zz__errorz00(BgL_procz00_8, BGl_string1556z00zz__gstreamer_gstelementfactoryz00, BgL_arg1113z00_51);}  else 
{ /* Llib/gstelementfactory.scm 124 */
{ /* Llib/gstelementfactory.scm 127 */
obj_t BgL_arg1114z00_52;obj_t BgL_arg1115z00_53;
BgL_arg1114z00_52 = 
CAR(
((obj_t)BgL_argsz00_46)); 
{ /* Llib/gstelementfactory.scm 127 */
obj_t BgL_pairz00_296;
BgL_pairz00_296 = 
CDR(
((obj_t)BgL_argsz00_46)); 
BgL_arg1115z00_53 = 
CAR(BgL_pairz00_296); } 
BGl_gstzd2objectzd2propertyzd2setz12zc0zz__gstreamer_gstobjectz00(
((BgL_gstzd2objectzd2_bglt)BgL_elz00_44), BgL_arg1114z00_52, BgL_arg1115z00_53); } 
{ /* Llib/gstelementfactory.scm 128 */
obj_t BgL_arg1116z00_54;
{ /* Llib/gstelementfactory.scm 128 */
obj_t BgL_pairz00_300;
BgL_pairz00_300 = 
CDR(
((obj_t)BgL_argsz00_46)); 
BgL_arg1116z00_54 = 
CDR(BgL_pairz00_300); } 
{ 
obj_t BgL_argsz00_665;
BgL_argsz00_665 = BgL_arg1116z00_54; 
BgL_argsz00_46 = BgL_argsz00_665; 
goto BgL_zc3z04anonymousza31109ze3z87_47;} } } } } } } 

}



/* gst-element-factory-make */
BGL_EXPORTED_DEF BgL_gstzd2elementzd2_bglt BGl_gstzd2elementzd2factoryzd2makezd2zz__gstreamer_gstelementfactoryz00(obj_t BgL_factorynamez00_12, obj_t BgL_az00_13)
{
{ /* Llib/gstelementfactory.scm 133 */
{ /* Llib/gstelementfactory.scm 134 */
char * BgL_namez00_58;obj_t BgL_restz00_59;
{ /* Llib/gstelementfactory.scm 134 */
bool_t BgL_test1672z00_666;
if(
PAIRP(BgL_az00_13))
{ /* Llib/gstelementfactory.scm 134 */
obj_t BgL_tmpz00_669;
BgL_tmpz00_669 = 
CAR(BgL_az00_13); 
BgL_test1672z00_666 = 
STRINGP(BgL_tmpz00_669); }  else 
{ /* Llib/gstelementfactory.scm 134 */
BgL_test1672z00_666 = ((bool_t)0)
; } 
if(BgL_test1672z00_666)
{ /* Llib/gstelementfactory.scm 134 */
BgL_namez00_58 = 
BSTRING_TO_STRING(
CAR(BgL_az00_13)); }  else 
{ /* Llib/gstelementfactory.scm 134 */
BgL_namez00_58 = 
((char *)0L); } } 
{ /* Llib/gstelementfactory.scm 137 */
bool_t BgL_test1674z00_675;
if(
PAIRP(BgL_az00_13))
{ /* Llib/gstelementfactory.scm 137 */
obj_t BgL_tmpz00_678;
BgL_tmpz00_678 = 
CAR(BgL_az00_13); 
BgL_test1674z00_675 = 
STRINGP(BgL_tmpz00_678); }  else 
{ /* Llib/gstelementfactory.scm 137 */
BgL_test1674z00_675 = ((bool_t)0)
; } 
if(BgL_test1674z00_675)
{ /* Llib/gstelementfactory.scm 137 */
BgL_restz00_59 = 
CDR(BgL_az00_13); }  else 
{ /* Llib/gstelementfactory.scm 137 */
BgL_restz00_59 = BgL_az00_13; } } 
{ /* Llib/gstelementfactory.scm 138 */
GstElement * BgL_arg1120z00_60;
{ /* Llib/gstelementfactory.scm 138 */
char * BgL_tmpz00_682;
BgL_tmpz00_682 = 
BSTRING_TO_STRING(BgL_factorynamez00_12); 
BgL_arg1120z00_60 = 
gst_element_factory_make(BgL_tmpz00_682, BgL_namez00_58); } 
return 
((BgL_gstzd2elementzd2_bglt)
BGl_gstzd2elementzd2initz00zz__gstreamer_gstelementfactoryz00(BgL_arg1120z00_60, 
CNST_TABLE_REF(((long)0)), BgL_factorynamez00_12, 
string_to_bstring(BgL_namez00_58), BgL_restz00_59));} } } 

}



/* &gst-element-factory-make */
BgL_gstzd2elementzd2_bglt BGl_z62gstzd2elementzd2factoryzd2makezb0zz__gstreamer_gstelementfactoryz00(obj_t BgL_envz00_384, obj_t BgL_factorynamez00_385, obj_t BgL_az00_386)
{
{ /* Llib/gstelementfactory.scm 133 */
{ /* Llib/gstelementfactory.scm 134 */
obj_t BgL_auxz00_689;
if(
STRINGP(BgL_factorynamez00_385))
{ /* Llib/gstelementfactory.scm 134 */
BgL_auxz00_689 = BgL_factorynamez00_385
; }  else 
{ 
obj_t BgL_auxz00_692;
BgL_auxz00_692 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1552z00zz__gstreamer_gstelementfactoryz00, 
BINT(((long)5419)), BGl_string1557z00zz__gstreamer_gstelementfactoryz00, BGl_string1558z00zz__gstreamer_gstelementfactoryz00, BgL_factorynamez00_385); 
FAILURE(BgL_auxz00_692,BFALSE,BFALSE);} 
return 
BGl_gstzd2elementzd2factoryzd2makezd2zz__gstreamer_gstelementfactoryz00(BgL_auxz00_689, BgL_az00_386);} } 

}



/* gst-element-factory-create */
BGL_EXPORTED_DEF BgL_gstzd2elementzd2_bglt BGl_gstzd2elementzd2factoryzd2createzd2zz__gstreamer_gstelementfactoryz00(BgL_gstzd2elementzd2factoryz00_bglt BgL_factoryz00_14, obj_t BgL_az00_15)
{
{ /* Llib/gstelementfactory.scm 147 */
{ /* Llib/gstelementfactory.scm 149 */
char * BgL_namez00_72;
{ /* Llib/gstelementfactory.scm 149 */
bool_t BgL_test1677z00_697;
if(
PAIRP(BgL_az00_15))
{ /* Llib/gstelementfactory.scm 149 */
obj_t BgL_tmpz00_700;
BgL_tmpz00_700 = 
CAR(BgL_az00_15); 
BgL_test1677z00_697 = 
STRINGP(BgL_tmpz00_700); }  else 
{ /* Llib/gstelementfactory.scm 149 */
BgL_test1677z00_697 = ((bool_t)0)
; } 
if(BgL_test1677z00_697)
{ /* Llib/gstelementfactory.scm 149 */
BgL_namez00_72 = 
BSTRING_TO_STRING(
CAR(BgL_az00_15)); }  else 
{ /* Llib/gstelementfactory.scm 149 */
BgL_namez00_72 = 
((char *)0L); } } 
{ /* Llib/gstelementfactory.scm 149 */
obj_t BgL_restz00_73;
{ /* Llib/gstelementfactory.scm 152 */
bool_t BgL_test1680z00_706;
if(
PAIRP(BgL_az00_15))
{ /* Llib/gstelementfactory.scm 152 */
obj_t BgL_tmpz00_709;
BgL_tmpz00_709 = 
CAR(BgL_az00_15); 
BgL_test1680z00_706 = 
STRINGP(BgL_tmpz00_709); }  else 
{ /* Llib/gstelementfactory.scm 152 */
BgL_test1680z00_706 = ((bool_t)0)
; } 
if(BgL_test1680z00_706)
{ /* Llib/gstelementfactory.scm 152 */
BgL_restz00_73 = 
CDR(BgL_az00_15); }  else 
{ /* Llib/gstelementfactory.scm 152 */
BgL_restz00_73 = BgL_az00_15; } } 
{ /* Llib/gstelementfactory.scm 152 */
GstElement * BgL_z42elz42_74;
{ /* Llib/gstelementfactory.scm 154 */
GstElementFactory * BgL_arg1134z00_76;
{ /* Llib/gstelementfactory.scm 154 */
GstObject * BgL_arg1135z00_77;
BgL_arg1135z00_77 = 
(((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)BgL_factoryz00_14)))->BgL_z42builtinz42); 
BgL_arg1134z00_76 = 
GST_ELEMENT_FACTORY(BgL_arg1135z00_77); } 
BgL_z42elz42_74 = 
gst_element_factory_create(BgL_arg1134z00_76, BgL_namez00_72); } 
{ /* Llib/gstelementfactory.scm 153 */

{ /* Llib/gstelementfactory.scm 157 */
obj_t BgL_arg1132z00_75;
BgL_arg1132z00_75 = 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_factoryz00_14), 
(int)(((long)0))); 
return 
((BgL_gstzd2elementzd2_bglt)
BGl_gstzd2elementzd2initz00zz__gstreamer_gstelementfactoryz00(BgL_z42elz42_74, 
CNST_TABLE_REF(((long)1)), BgL_arg1132z00_75, 
string_to_bstring(BgL_namez00_72), BgL_restz00_73));} } } } } } 

}



/* &gst-element-factory-create */
BgL_gstzd2elementzd2_bglt BGl_z62gstzd2elementzd2factoryzd2createzb0zz__gstreamer_gstelementfactoryz00(obj_t BgL_envz00_387, obj_t BgL_factoryz00_388, obj_t BgL_az00_389)
{
{ /* Llib/gstelementfactory.scm 147 */
{ /* Llib/gstelementfactory.scm 148 */
BgL_gstzd2elementzd2factoryz00_bglt BgL_auxz00_724;
if(
BGl_isazf3zf3zz__objectz00(BgL_factoryz00_388, BGl_gstzd2elementzd2factoryz00zz__gstreamer_gstelementfactoryz00))
{ /* Llib/gstelementfactory.scm 148 */
BgL_auxz00_724 = 
((BgL_gstzd2elementzd2factoryz00_bglt)BgL_factoryz00_388)
; }  else 
{ 
obj_t BgL_auxz00_728;
BgL_auxz00_728 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1552z00zz__gstreamer_gstelementfactoryz00, 
BINT(((long)5998)), BGl_string1559z00zz__gstreamer_gstelementfactoryz00, BGl_string1560z00zz__gstreamer_gstelementfactoryz00, BgL_factoryz00_388); 
FAILURE(BgL_auxz00_728,BFALSE,BFALSE);} 
return 
BGl_gstzd2elementzd2factoryzd2createzd2zz__gstreamer_gstelementfactoryz00(BgL_auxz00_724, BgL_az00_389);} } 

}



/* gst-element-factory-find */
BGL_EXPORTED_DEF obj_t BGl_gstzd2elementzd2factoryzd2findzd2zz__gstreamer_gstelementfactoryz00(obj_t BgL_namez00_16)
{
{ /* Llib/gstelementfactory.scm 162 */
{ /* Llib/gstelementfactory.scm 163 */
GstElementFactory * BgL_efz00_88;
{ /* Llib/gstelementfactory.scm 163 */
char * BgL_tmpz00_733;
BgL_tmpz00_733 = 
BSTRING_TO_STRING(BgL_namez00_16); 
BgL_efz00_88 = 
gst_element_factory_find(BgL_tmpz00_733); } 
if(
(bool_t)!(BgL_efz00_88))
{ /* Llib/gstelementfactory.scm 164 */
return BFALSE;}  else 
{ /* Llib/gstelementfactory.scm 165 */
BgL_gstzd2elementzd2factoryz00_bglt BgL_new1070z00_90;
{ /* Llib/gstelementfactory.scm 166 */
BgL_gstzd2elementzd2factoryz00_bglt BgL_new1069z00_92;
BgL_new1069z00_92 = 
((BgL_gstzd2elementzd2factoryz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_gstzd2elementzd2factoryz00_bgl) ))); 
{ /* Llib/gstelementfactory.scm 166 */
long BgL_arg1158z00_93;
BgL_arg1158z00_93 = 
BGL_CLASS_INDEX(BGl_gstzd2elementzd2factoryz00zz__gstreamer_gstelementfactoryz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1069z00_92), BgL_arg1158z00_93); } 
BgL_new1070z00_90 = BgL_new1069z00_92; } 
((((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)BgL_new1070z00_90)))->BgL_z42builtinz42)=((GstObject *)
(GstObject *)(BgL_efz00_88)),BUNSPEC); 
((((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)BgL_new1070z00_90)))->BgL_z42finaliza7erze5)=((obj_t)BGl_z52gstzd2objectzd2finaliza7ez12zd2envz35zz__gstreamer_gstobjectz00),BUNSPEC); 
((((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)BgL_new1070z00_90)))->BgL_z52closuresz52)=((obj_t)BNIL),BUNSPEC); 
{ /* Llib/gstelementfactory.scm 165 */
obj_t BgL_fun1157z00_91;
BgL_fun1157z00_91 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_gstzd2elementzd2factoryz00zz__gstreamer_gstelementfactoryz00); 
PROCEDURE_ENTRY(BgL_fun1157z00_91)(BgL_fun1157z00_91, 
((obj_t)BgL_new1070z00_90), BEOA); } 
return 
((obj_t)BgL_new1070z00_90);} } } 

}



/* &gst-element-factory-find */
obj_t BGl_z62gstzd2elementzd2factoryzd2findzb0zz__gstreamer_gstelementfactoryz00(obj_t BgL_envz00_390, obj_t BgL_namez00_391)
{
{ /* Llib/gstelementfactory.scm 162 */
{ /* Llib/gstelementfactory.scm 163 */
obj_t BgL_auxz00_756;
if(
STRINGP(BgL_namez00_391))
{ /* Llib/gstelementfactory.scm 163 */
BgL_auxz00_756 = BgL_namez00_391
; }  else 
{ 
obj_t BgL_auxz00_759;
BgL_auxz00_759 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1552z00zz__gstreamer_gstelementfactoryz00, 
BINT(((long)6709)), BGl_string1561z00zz__gstreamer_gstelementfactoryz00, BGl_string1558z00zz__gstreamer_gstelementfactoryz00, BgL_namez00_391); 
FAILURE(BgL_auxz00_759,BFALSE,BFALSE);} 
return 
BGl_gstzd2elementzd2factoryzd2findzd2zz__gstreamer_gstelementfactoryz00(BgL_auxz00_756);} } 

}



/* gst-element-factory-has-interface? */
BGL_EXPORTED_DEF bool_t BGl_gstzd2elementzd2factoryzd2haszd2interfacezf3zf3zz__gstreamer_gstelementfactoryz00(BgL_gstzd2elementzd2factoryz00_bglt BgL_factoryz00_17, obj_t BgL_namez00_18)
{
{ /* Llib/gstelementfactory.scm 172 */
{ /* Llib/gstelementfactory.scm 175 */
GstElementFactory * BgL_arg1159z00_313;
{ /* Llib/gstelementfactory.scm 175 */
GstObject * BgL_arg1160z00_314;
BgL_arg1160z00_314 = 
(((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)BgL_factoryz00_17)))->BgL_z42builtinz42); 
BgL_arg1159z00_313 = 
GST_ELEMENT_FACTORY(BgL_arg1160z00_314); } 
{ /* Llib/gstelementfactory.scm 174 */
char * BgL_tmpz00_767;
BgL_tmpz00_767 = 
BSTRING_TO_STRING(BgL_namez00_18); 
return 
gst_element_factory_has_interface(BgL_arg1159z00_313, BgL_tmpz00_767);} } } 

}



/* &gst-element-factory-has-interface? */
obj_t BGl_z62gstzd2elementzd2factoryzd2haszd2interfacezf3z91zz__gstreamer_gstelementfactoryz00(obj_t BgL_envz00_394, obj_t BgL_factoryz00_395, obj_t BgL_namez00_396)
{
{ /* Llib/gstelementfactory.scm 172 */
{ /* Llib/gstelementfactory.scm 173 */
bool_t BgL_tmpz00_770;
{ /* Llib/gstelementfactory.scm 173 */
obj_t BgL_auxz00_779;BgL_gstzd2elementzd2factoryz00_bglt BgL_auxz00_771;
if(
STRINGP(BgL_namez00_396))
{ /* Llib/gstelementfactory.scm 173 */
BgL_auxz00_779 = BgL_namez00_396
; }  else 
{ 
obj_t BgL_auxz00_782;
BgL_auxz00_782 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1552z00zz__gstreamer_gstelementfactoryz00, 
BINT(((long)7236)), BGl_string1562z00zz__gstreamer_gstelementfactoryz00, BGl_string1558z00zz__gstreamer_gstelementfactoryz00, BgL_namez00_396); 
FAILURE(BgL_auxz00_782,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_factoryz00_395, BGl_gstzd2elementzd2factoryz00zz__gstreamer_gstelementfactoryz00))
{ /* Llib/gstelementfactory.scm 173 */
BgL_auxz00_771 = 
((BgL_gstzd2elementzd2factoryz00_bglt)BgL_factoryz00_395)
; }  else 
{ 
obj_t BgL_auxz00_775;
BgL_auxz00_775 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1552z00zz__gstreamer_gstelementfactoryz00, 
BINT(((long)7236)), BGl_string1562z00zz__gstreamer_gstelementfactoryz00, BGl_string1560z00zz__gstreamer_gstelementfactoryz00, BgL_factoryz00_395); 
FAILURE(BgL_auxz00_775,BFALSE,BFALSE);} 
BgL_tmpz00_770 = 
BGl_gstzd2elementzd2factoryzd2haszd2interfacezf3zf3zz__gstreamer_gstelementfactoryz00(BgL_auxz00_771, BgL_auxz00_779); } 
return 
BBOOL(BgL_tmpz00_770);} } 

}



/* gst-element-factory-can-sink-all-caps? */
BGL_EXPORTED_DEF bool_t BGl_gstzd2elementzd2factoryzd2canzd2sinkzd2allzd2capszf3zf3zz__gstreamer_gstelementfactoryz00(BgL_gstzd2elementzd2factoryz00_bglt BgL_factoryz00_19, BgL_gstzd2capszd2_bglt BgL_capsz00_20)
{
{ /* Llib/gstelementfactory.scm 181 */
{ /* Llib/gstelementfactory.scm 185 */
GstElementFactory * BgL_arg1161z00_317;GstCaps * BgL_arg1165z00_318;
{ /* Llib/gstelementfactory.scm 185 */
GstObject * BgL_arg1168z00_319;
BgL_arg1168z00_319 = 
(((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)BgL_factoryz00_19)))->BgL_z42builtinz42); 
BgL_arg1161z00_317 = 
GST_ELEMENT_FACTORY(BgL_arg1168z00_319); } 
BgL_arg1165z00_318 = 
(((BgL_gstzd2capszd2_bglt)COBJECT(BgL_capsz00_20))->BgL_z42builtinz42); 
return 
gst_element_factory_can_sink_all_caps(BgL_arg1161z00_317, BgL_arg1165z00_318);} } 

}



/* &gst-element-factory-can-sink-all-caps? */
obj_t BGl_z62gstzd2elementzd2factoryzd2canzd2sinkzd2allzd2capszf3z91zz__gstreamer_gstelementfactoryz00(obj_t BgL_envz00_397, obj_t BgL_factoryz00_398, obj_t BgL_capsz00_399)
{
{ /* Llib/gstelementfactory.scm 181 */
{ /* Llib/gstelementfactory.scm 182 */
bool_t BgL_tmpz00_793;
{ /* Llib/gstelementfactory.scm 182 */
BgL_gstzd2capszd2_bglt BgL_auxz00_802;BgL_gstzd2elementzd2factoryz00_bglt BgL_auxz00_794;
if(
BGl_isazf3zf3zz__objectz00(BgL_capsz00_399, BGl_gstzd2capszd2zz__gstreamer_gstcapsz00))
{ /* Llib/gstelementfactory.scm 182 */
BgL_auxz00_802 = 
((BgL_gstzd2capszd2_bglt)BgL_capsz00_399)
; }  else 
{ 
obj_t BgL_auxz00_806;
BgL_auxz00_806 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1552z00zz__gstreamer_gstelementfactoryz00, 
BINT(((long)7664)), BGl_string1563z00zz__gstreamer_gstelementfactoryz00, BGl_string1564z00zz__gstreamer_gstelementfactoryz00, BgL_capsz00_399); 
FAILURE(BgL_auxz00_806,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_factoryz00_398, BGl_gstzd2elementzd2factoryz00zz__gstreamer_gstelementfactoryz00))
{ /* Llib/gstelementfactory.scm 182 */
BgL_auxz00_794 = 
((BgL_gstzd2elementzd2factoryz00_bglt)BgL_factoryz00_398)
; }  else 
{ 
obj_t BgL_auxz00_798;
BgL_auxz00_798 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1552z00zz__gstreamer_gstelementfactoryz00, 
BINT(((long)7664)), BGl_string1563z00zz__gstreamer_gstelementfactoryz00, BGl_string1560z00zz__gstreamer_gstelementfactoryz00, BgL_factoryz00_398); 
FAILURE(BgL_auxz00_798,BFALSE,BFALSE);} 
BgL_tmpz00_793 = 
BGl_gstzd2elementzd2factoryzd2canzd2sinkzd2allzd2capszf3zf3zz__gstreamer_gstelementfactoryz00(BgL_auxz00_794, BgL_auxz00_802); } 
return 
BBOOL(BgL_tmpz00_793);} } 

}



/* gst-element-factory-can-src-all-caps? */
BGL_EXPORTED_DEF bool_t BGl_gstzd2elementzd2factoryzd2canzd2srczd2allzd2capszf3zf3zz__gstreamer_gstelementfactoryz00(BgL_gstzd2elementzd2factoryz00_bglt BgL_factoryz00_21, BgL_gstzd2capszd2_bglt BgL_capsz00_22)
{
{ /* Llib/gstelementfactory.scm 191 */
{ /* Llib/gstelementfactory.scm 195 */
GstElementFactory * BgL_arg1169z00_322;GstCaps * BgL_arg1172z00_323;
{ /* Llib/gstelementfactory.scm 195 */
GstObject * BgL_arg1173z00_324;
BgL_arg1173z00_324 = 
(((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)BgL_factoryz00_21)))->BgL_z42builtinz42); 
BgL_arg1169z00_322 = 
GST_ELEMENT_FACTORY(BgL_arg1173z00_324); } 
BgL_arg1172z00_323 = 
(((BgL_gstzd2capszd2_bglt)COBJECT(BgL_capsz00_22))->BgL_z42builtinz42); 
return 
gst_element_factory_can_src_all_caps(BgL_arg1169z00_322, BgL_arg1172z00_323);} } 

}



/* &gst-element-factory-can-src-all-caps? */
obj_t BGl_z62gstzd2elementzd2factoryzd2canzd2srczd2allzd2capszf3z91zz__gstreamer_gstelementfactoryz00(obj_t BgL_envz00_400, obj_t BgL_factoryz00_401, obj_t BgL_capsz00_402)
{
{ /* Llib/gstelementfactory.scm 191 */
{ /* Llib/gstelementfactory.scm 192 */
bool_t BgL_tmpz00_817;
{ /* Llib/gstelementfactory.scm 192 */
BgL_gstzd2capszd2_bglt BgL_auxz00_826;BgL_gstzd2elementzd2factoryz00_bglt BgL_auxz00_818;
if(
BGl_isazf3zf3zz__objectz00(BgL_capsz00_402, BGl_gstzd2capszd2zz__gstreamer_gstcapsz00))
{ /* Llib/gstelementfactory.scm 192 */
BgL_auxz00_826 = 
((BgL_gstzd2capszd2_bglt)BgL_capsz00_402)
; }  else 
{ 
obj_t BgL_auxz00_830;
BgL_auxz00_830 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1552z00zz__gstreamer_gstelementfactoryz00, 
BINT(((long)8166)), BGl_string1565z00zz__gstreamer_gstelementfactoryz00, BGl_string1564z00zz__gstreamer_gstelementfactoryz00, BgL_capsz00_402); 
FAILURE(BgL_auxz00_830,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_factoryz00_401, BGl_gstzd2elementzd2factoryz00zz__gstreamer_gstelementfactoryz00))
{ /* Llib/gstelementfactory.scm 192 */
BgL_auxz00_818 = 
((BgL_gstzd2elementzd2factoryz00_bglt)BgL_factoryz00_401)
; }  else 
{ 
obj_t BgL_auxz00_822;
BgL_auxz00_822 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1552z00zz__gstreamer_gstelementfactoryz00, 
BINT(((long)8166)), BGl_string1565z00zz__gstreamer_gstelementfactoryz00, BGl_string1560z00zz__gstreamer_gstelementfactoryz00, BgL_factoryz00_401); 
FAILURE(BgL_auxz00_822,BFALSE,BFALSE);} 
BgL_tmpz00_817 = 
BGl_gstzd2elementzd2factoryzd2canzd2srczd2allzd2capszf3zf3zz__gstreamer_gstelementfactoryz00(BgL_auxz00_818, BgL_auxz00_826); } 
return 
BBOOL(BgL_tmpz00_817);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__gstreamer_gstelementfactoryz00()
{
{ /* Llib/gstelementfactory.scm 15 */
{ /* Llib/gstelementfactory.scm 28 */
obj_t BgL_arg1179z00_110;obj_t BgL_arg1180z00_111;
{ /* Llib/gstelementfactory.scm 28 */
obj_t BgL_v1084z00_125;
BgL_v1084z00_125 = 
create_vector(((long)6)); 
{ /* Llib/gstelementfactory.scm 28 */
obj_t BgL_arg1187z00_126;
BgL_arg1187z00_126 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)2)), BGl_proc1567z00zz__gstreamer_gstelementfactoryz00, BGl_proc1566z00zz__gstreamer_gstelementfactoryz00, ((bool_t)1), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)3))); 
VECTOR_SET(BgL_v1084z00_125,((long)0),BgL_arg1187z00_126); } 
{ /* Llib/gstelementfactory.scm 28 */
obj_t BgL_arg1195z00_136;
BgL_arg1195z00_136 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)4)), BGl_proc1569z00zz__gstreamer_gstelementfactoryz00, BGl_proc1568z00zz__gstreamer_gstelementfactoryz00, ((bool_t)1), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)3))); 
VECTOR_SET(BgL_v1084z00_125,((long)1),BgL_arg1195z00_136); } 
{ /* Llib/gstelementfactory.scm 28 */
obj_t BgL_arg1209z00_146;
BgL_arg1209z00_146 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)5)), BGl_proc1571z00zz__gstreamer_gstelementfactoryz00, BGl_proc1570z00zz__gstreamer_gstelementfactoryz00, ((bool_t)1), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)3))); 
VECTOR_SET(BgL_v1084z00_125,((long)2),BgL_arg1209z00_146); } 
{ /* Llib/gstelementfactory.scm 28 */
obj_t BgL_arg1221z00_156;
BgL_arg1221z00_156 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)6)), BGl_proc1573z00zz__gstreamer_gstelementfactoryz00, BGl_proc1572z00zz__gstreamer_gstelementfactoryz00, ((bool_t)1), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)3))); 
VECTOR_SET(BgL_v1084z00_125,((long)3),BgL_arg1221z00_156); } 
{ /* Llib/gstelementfactory.scm 28 */
obj_t BgL_arg1230z00_166;
BgL_arg1230z00_166 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)7)), BGl_proc1575z00zz__gstreamer_gstelementfactoryz00, BGl_proc1574z00zz__gstreamer_gstelementfactoryz00, ((bool_t)1), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)8))); 
VECTOR_SET(BgL_v1084z00_125,((long)4),BgL_arg1230z00_166); } 
{ /* Llib/gstelementfactory.scm 28 */
obj_t BgL_arg1242z00_176;
BgL_arg1242z00_176 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)9)), BGl_proc1577z00zz__gstreamer_gstelementfactoryz00, BGl_proc1576z00zz__gstreamer_gstelementfactoryz00, ((bool_t)1), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)8))); 
VECTOR_SET(BgL_v1084z00_125,((long)5),BgL_arg1242z00_176); } 
BgL_arg1179z00_110 = BgL_v1084z00_125; } 
{ /* Llib/gstelementfactory.scm 28 */
obj_t BgL_v1085z00_186;
BgL_v1085z00_186 = 
create_vector(((long)6)); 
{ /* Llib/gstelementfactory.scm 32 */
obj_t BgL_arg1248z00_187;
{ /* Llib/gstelementfactory.scm 32 */
obj_t BgL_arg1249z00_188;
BgL_arg1249z00_188 = 
MAKE_YOUNG_PAIR(BGl_proc1578z00zz__gstreamer_gstelementfactoryz00, BFALSE); 
BgL_arg1248z00_187 = 
MAKE_YOUNG_PAIR(
BINT(((long)3)), BgL_arg1249z00_188); } 
VECTOR_SET(BgL_v1085z00_186,((long)0),BgL_arg1248z00_187); } 
{ /* Llib/gstelementfactory.scm 39 */
obj_t BgL_arg1277z00_200;
{ /* Llib/gstelementfactory.scm 39 */
obj_t BgL_arg1279z00_201;
BgL_arg1279z00_201 = 
MAKE_YOUNG_PAIR(BGl_proc1579z00zz__gstreamer_gstelementfactoryz00, BFALSE); 
BgL_arg1277z00_200 = 
MAKE_YOUNG_PAIR(
BINT(((long)4)), BgL_arg1279z00_201); } 
VECTOR_SET(BgL_v1085z00_186,((long)1),BgL_arg1277z00_200); } 
{ /* Llib/gstelementfactory.scm 46 */
obj_t BgL_arg1321z00_213;
{ /* Llib/gstelementfactory.scm 46 */
obj_t BgL_arg1323z00_214;
BgL_arg1323z00_214 = 
MAKE_YOUNG_PAIR(BGl_proc1580z00zz__gstreamer_gstelementfactoryz00, BFALSE); 
BgL_arg1321z00_213 = 
MAKE_YOUNG_PAIR(
BINT(((long)5)), BgL_arg1323z00_214); } 
VECTOR_SET(BgL_v1085z00_186,((long)2),BgL_arg1321z00_213); } 
{ /* Llib/gstelementfactory.scm 53 */
obj_t BgL_arg1338z00_226;
{ /* Llib/gstelementfactory.scm 53 */
obj_t BgL_arg1339z00_227;
BgL_arg1339z00_227 = 
MAKE_YOUNG_PAIR(BGl_proc1581z00zz__gstreamer_gstelementfactoryz00, BFALSE); 
BgL_arg1338z00_226 = 
MAKE_YOUNG_PAIR(
BINT(((long)6)), BgL_arg1339z00_227); } 
VECTOR_SET(BgL_v1085z00_186,((long)3),BgL_arg1338z00_226); } 
{ /* Llib/gstelementfactory.scm 60 */
obj_t BgL_arg1356z00_239;
{ /* Llib/gstelementfactory.scm 60 */
obj_t BgL_arg1357z00_240;
BgL_arg1357z00_240 = 
MAKE_YOUNG_PAIR(BGl_proc1582z00zz__gstreamer_gstelementfactoryz00, BFALSE); 
BgL_arg1356z00_239 = 
MAKE_YOUNG_PAIR(
BINT(((long)7)), BgL_arg1357z00_240); } 
VECTOR_SET(BgL_v1085z00_186,((long)4),BgL_arg1356z00_239); } 
{ /* Llib/gstelementfactory.scm 67 */
obj_t BgL_arg1389z00_252;
{ /* Llib/gstelementfactory.scm 67 */
obj_t BgL_arg1390z00_253;
BgL_arg1390z00_253 = 
MAKE_YOUNG_PAIR(BGl_proc1583z00zz__gstreamer_gstelementfactoryz00, BFALSE); 
BgL_arg1389z00_252 = 
MAKE_YOUNG_PAIR(
BINT(((long)8)), BgL_arg1390z00_253); } 
VECTOR_SET(BgL_v1085z00_186,((long)5),BgL_arg1389z00_252); } 
BgL_arg1180z00_111 = BgL_v1085z00_186; } 
return ( 
BGl_gstzd2elementzd2factoryz00zz__gstreamer_gstelementfactoryz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)10)), 
CNST_TABLE_REF(((long)11)), BGl_gstzd2pluginzd2featurez00zz__gstreamer_gstpluginfeaturez00, ((long)19357), BGl_proc1586z00zz__gstreamer_gstelementfactoryz00, BGl_proc1585z00zz__gstreamer_gstelementfactoryz00, BGl_z52gstzd2objectzd2initzd2envz80zz__gstreamer_gstobjectz00, BGl_proc1584z00zz__gstreamer_gstelementfactoryz00, BFALSE, BgL_arg1179z00_110, BgL_arg1180z00_111), BUNSPEC) ;} } 

}



/* &<@anonymous:1186> */
obj_t BGl_z62zc3z04anonymousza31186ze3ze5zz__gstreamer_gstelementfactoryz00(obj_t BgL_envz00_424, obj_t BgL_new1061z00_425)
{
{ /* Llib/gstelementfactory.scm 28 */
{ 
BgL_gstzd2elementzd2factoryz00_bglt BgL_auxz00_889;
((((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)
((BgL_gstzd2elementzd2factoryz00_bglt)BgL_new1061z00_425))))->BgL_z42builtinz42)=((GstObject *)
0L),BUNSPEC); 
((((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)
((BgL_gstzd2elementzd2factoryz00_bglt)BgL_new1061z00_425))))->BgL_z42finaliza7erze5)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)
((BgL_gstzd2elementzd2factoryz00_bglt)BgL_new1061z00_425))))->BgL_z52closuresz52)=((obj_t)BNIL),BUNSPEC); 
BgL_auxz00_889 = 
((BgL_gstzd2elementzd2factoryz00_bglt)BgL_new1061z00_425); 
return 
((obj_t)BgL_auxz00_889);} } 

}



/* &lambda1184 */
BgL_gstzd2elementzd2factoryz00_bglt BGl_z62lambda1184z62zz__gstreamer_gstelementfactoryz00(obj_t BgL_envz00_426)
{
{ /* Llib/gstelementfactory.scm 28 */
{ /* Llib/gstelementfactory.scm 28 */
BgL_gstzd2elementzd2factoryz00_bglt BgL_new1059z00_527;
BgL_new1059z00_527 = 
((BgL_gstzd2elementzd2factoryz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_gstzd2elementzd2factoryz00_bgl) ))); 
{ /* Llib/gstelementfactory.scm 28 */
long BgL_arg1185z00_528;
BgL_arg1185z00_528 = 
BGL_CLASS_INDEX(BGl_gstzd2elementzd2factoryz00zz__gstreamer_gstelementfactoryz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1059z00_527), BgL_arg1185z00_528); } 
return BgL_new1059z00_527;} } 

}



/* &lambda1181 */
BgL_gstzd2elementzd2factoryz00_bglt BGl_z62lambda1181z62zz__gstreamer_gstelementfactoryz00(obj_t BgL_envz00_427, obj_t BgL_z42builtin1056z42_428, obj_t BgL_z42finaliza7er1057ze5_429, obj_t BgL_z52closures1058z52_430)
{
{ /* Llib/gstelementfactory.scm 28 */
{ /* Llib/gstelementfactory.scm 28 */
GstObject * BgL_z42builtin1056z42_529;
BgL_z42builtin1056z42_529 = 
FOREIGN_TO_COBJ(BgL_z42builtin1056z42_428); 
{ /* Llib/gstelementfactory.scm 28 */
BgL_gstzd2elementzd2factoryz00_bglt BgL_new1077z00_531;
{ /* Llib/gstelementfactory.scm 28 */
BgL_gstzd2elementzd2factoryz00_bglt BgL_new1076z00_532;
BgL_new1076z00_532 = 
((BgL_gstzd2elementzd2factoryz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_gstzd2elementzd2factoryz00_bgl) ))); 
{ /* Llib/gstelementfactory.scm 28 */
long BgL_arg1183z00_533;
BgL_arg1183z00_533 = 
BGL_CLASS_INDEX(BGl_gstzd2elementzd2factoryz00zz__gstreamer_gstelementfactoryz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1076z00_532), BgL_arg1183z00_533); } 
BgL_new1077z00_531 = BgL_new1076z00_532; } 
((((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)BgL_new1077z00_531)))->BgL_z42builtinz42)=((GstObject *)BgL_z42builtin1056z42_529),BUNSPEC); 
((((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)BgL_new1077z00_531)))->BgL_z42finaliza7erze5)=((obj_t)BgL_z42finaliza7er1057ze5_429),BUNSPEC); 
((((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)BgL_new1077z00_531)))->BgL_z52closuresz52)=((obj_t)
((obj_t)BgL_z52closures1058z52_430)),BUNSPEC); 
{ /* Llib/gstelementfactory.scm 28 */
obj_t BgL_fun1182z00_534;
BgL_fun1182z00_534 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_gstzd2elementzd2factoryz00zz__gstreamer_gstelementfactoryz00); 
PROCEDURE_ENTRY(BgL_fun1182z00_534)(BgL_fun1182z00_534, 
((obj_t)BgL_new1077z00_531), BEOA); } 
return BgL_new1077z00_531;} } } 

}



/* &<@anonymous:1432> */
obj_t BGl_z62zc3z04anonymousza31432ze3ze5zz__gstreamer_gstelementfactoryz00(obj_t BgL_envz00_431, obj_t BgL_oz00_432)
{
{ /* Llib/gstelementfactory.scm 64 */
{ /* Llib/gstelementfactory.scm 69 */
GstElementFactory * BgL_arg1506z00_535;
{ /* Llib/gstelementfactory.scm 69 */
GstObject * BgL_arg1507z00_536;
BgL_arg1507z00_536 = 
(((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)
((BgL_gstzd2elementzd2factoryz00_bglt)BgL_oz00_432))))->BgL_z42builtinz42); 
BgL_arg1506z00_535 = 
GST_ELEMENT_FACTORY(BgL_arg1507z00_536); } 
return 
bgl_gst_element_factory_get_static_pad_templates(BgL_arg1506z00_535);} } 

}



/* &<@anonymous:1359> */
obj_t BGl_z62zc3z04anonymousza31359ze3ze5zz__gstreamer_gstelementfactoryz00(obj_t BgL_envz00_433, obj_t BgL_oz00_434)
{
{ /* Llib/gstelementfactory.scm 57 */
{ /* Llib/gstelementfactory.scm 62 */
GstElementFactory * BgL_arg1360z00_537;
{ /* Llib/gstelementfactory.scm 62 */
GstObject * BgL_arg1361z00_538;
BgL_arg1361z00_538 = 
(((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)
((BgL_gstzd2elementzd2factoryz00_bglt)BgL_oz00_434))))->BgL_z42builtinz42); 
BgL_arg1360z00_537 = 
GST_ELEMENT_FACTORY(BgL_arg1361z00_538); } 
return 
bgl_gst_element_factory_get_uri_protocols(BgL_arg1360z00_537);} } 

}



/* &<@anonymous:1342> */
obj_t BGl_z62zc3z04anonymousza31342ze3ze5zz__gstreamer_gstelementfactoryz00(obj_t BgL_envz00_435, obj_t BgL_oz00_436)
{
{ /* Llib/gstelementfactory.scm 50 */
{ /* Llib/gstelementfactory.scm 53 */
char * BgL_tmpz00_934;
{ /* Llib/gstelementfactory.scm 55 */
GstElementFactory * BgL_arg1344z00_539;
{ /* Llib/gstelementfactory.scm 55 */
GstObject * BgL_arg1345z00_540;
BgL_arg1345z00_540 = 
(((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)
((BgL_gstzd2elementzd2factoryz00_bglt)BgL_oz00_436))))->BgL_z42builtinz42); 
BgL_arg1344z00_539 = 
GST_ELEMENT_FACTORY(BgL_arg1345z00_540); } 
BgL_tmpz00_934 = 
(char *)gst_element_factory_get_metadata(BgL_arg1344z00_539, GST_ELEMENT_METADATA_AUTHOR); } 
return 
string_to_bstring(BgL_tmpz00_934);} } 

}



/* &<@anonymous:1325> */
obj_t BGl_z62zc3z04anonymousza31325ze3ze5zz__gstreamer_gstelementfactoryz00(obj_t BgL_envz00_437, obj_t BgL_oz00_438)
{
{ /* Llib/gstelementfactory.scm 43 */
{ /* Llib/gstelementfactory.scm 46 */
char * BgL_tmpz00_941;
{ /* Llib/gstelementfactory.scm 48 */
GstElementFactory * BgL_arg1330z00_541;
{ /* Llib/gstelementfactory.scm 48 */
GstObject * BgL_arg1333z00_542;
BgL_arg1333z00_542 = 
(((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)
((BgL_gstzd2elementzd2factoryz00_bglt)BgL_oz00_438))))->BgL_z42builtinz42); 
BgL_arg1330z00_541 = 
GST_ELEMENT_FACTORY(BgL_arg1333z00_542); } 
BgL_tmpz00_941 = 
(char *)gst_element_factory_get_metadata(BgL_arg1330z00_541, GST_ELEMENT_METADATA_DESCRIPTION); } 
return 
string_to_bstring(BgL_tmpz00_941);} } 

}



/* &<@anonymous:1281> */
obj_t BGl_z62zc3z04anonymousza31281ze3ze5zz__gstreamer_gstelementfactoryz00(obj_t BgL_envz00_439, obj_t BgL_oz00_440)
{
{ /* Llib/gstelementfactory.scm 36 */
{ /* Llib/gstelementfactory.scm 39 */
char * BgL_tmpz00_948;
{ /* Llib/gstelementfactory.scm 41 */
GstElementFactory * BgL_arg1318z00_543;
{ /* Llib/gstelementfactory.scm 41 */
GstObject * BgL_arg1319z00_544;
BgL_arg1319z00_544 = 
(((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)
((BgL_gstzd2elementzd2factoryz00_bglt)BgL_oz00_440))))->BgL_z42builtinz42); 
BgL_arg1318z00_543 = 
GST_ELEMENT_FACTORY(BgL_arg1319z00_544); } 
BgL_tmpz00_948 = 
(char *)gst_element_factory_get_metadata(BgL_arg1318z00_543, GST_ELEMENT_METADATA_KLASS); } 
return 
string_to_bstring(BgL_tmpz00_948);} } 

}



/* &<@anonymous:1253> */
obj_t BGl_z62zc3z04anonymousza31253ze3ze5zz__gstreamer_gstelementfactoryz00(obj_t BgL_envz00_441, obj_t BgL_oz00_442)
{
{ /* Llib/gstelementfactory.scm 29 */
{ /* Llib/gstelementfactory.scm 32 */
char * BgL_tmpz00_955;
{ /* Llib/gstelementfactory.scm 34 */
GstElementFactory * BgL_arg1254z00_545;
{ /* Llib/gstelementfactory.scm 34 */
GstObject * BgL_arg1258z00_546;
BgL_arg1258z00_546 = 
(((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)
((BgL_gstzd2elementzd2factoryz00_bglt)BgL_oz00_442))))->BgL_z42builtinz42); 
BgL_arg1254z00_545 = 
GST_ELEMENT_FACTORY(BgL_arg1258z00_546); } 
BgL_tmpz00_955 = 
(char *)gst_element_factory_get_metadata(BgL_arg1254z00_545, GST_ELEMENT_METADATA_LONGNAME); } 
return 
string_to_bstring(BgL_tmpz00_955);} } 

}



/* &<@anonymous:1247> */
obj_t BGl_z62zc3z04anonymousza31247ze3ze5zz__gstreamer_gstelementfactoryz00(obj_t BgL_envz00_443, obj_t BgL_oz00_444, obj_t BgL_vz00_445)
{
{ /* Llib/gstelementfactory.scm 28 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_444), 
(int)(((long)8)), BgL_vz00_445);} 

}



/* &<@anonymous:1246> */
obj_t BGl_z62zc3z04anonymousza31246ze3ze5zz__gstreamer_gstelementfactoryz00(obj_t BgL_envz00_446, obj_t BgL_oz00_447)
{
{ /* Llib/gstelementfactory.scm 28 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_447), 
(int)(((long)8)));} 

}



/* &<@anonymous:1241> */
obj_t BGl_z62zc3z04anonymousza31241ze3ze5zz__gstreamer_gstelementfactoryz00(obj_t BgL_envz00_448, obj_t BgL_oz00_449, obj_t BgL_vz00_450)
{
{ /* Llib/gstelementfactory.scm 28 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_449), 
(int)(((long)7)), BgL_vz00_450);} 

}



/* &<@anonymous:1240> */
obj_t BGl_z62zc3z04anonymousza31240ze3ze5zz__gstreamer_gstelementfactoryz00(obj_t BgL_envz00_451, obj_t BgL_oz00_452)
{
{ /* Llib/gstelementfactory.scm 28 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_452), 
(int)(((long)7)));} 

}



/* &<@anonymous:1229> */
obj_t BGl_z62zc3z04anonymousza31229ze3ze5zz__gstreamer_gstelementfactoryz00(obj_t BgL_envz00_453, obj_t BgL_oz00_454, obj_t BgL_vz00_455)
{
{ /* Llib/gstelementfactory.scm 28 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_454), 
(int)(((long)6)), BgL_vz00_455);} 

}



/* &<@anonymous:1228> */
obj_t BGl_z62zc3z04anonymousza31228ze3ze5zz__gstreamer_gstelementfactoryz00(obj_t BgL_envz00_456, obj_t BgL_oz00_457)
{
{ /* Llib/gstelementfactory.scm 28 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_457), 
(int)(((long)6)));} 

}



/* &<@anonymous:1219> */
obj_t BGl_z62zc3z04anonymousza31219ze3ze5zz__gstreamer_gstelementfactoryz00(obj_t BgL_envz00_458, obj_t BgL_oz00_459, obj_t BgL_vz00_460)
{
{ /* Llib/gstelementfactory.scm 28 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_459), 
(int)(((long)5)), BgL_vz00_460);} 

}



/* &<@anonymous:1218> */
obj_t BGl_z62zc3z04anonymousza31218ze3ze5zz__gstreamer_gstelementfactoryz00(obj_t BgL_envz00_461, obj_t BgL_oz00_462)
{
{ /* Llib/gstelementfactory.scm 28 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_462), 
(int)(((long)5)));} 

}



/* &<@anonymous:1208> */
obj_t BGl_z62zc3z04anonymousza31208ze3ze5zz__gstreamer_gstelementfactoryz00(obj_t BgL_envz00_463, obj_t BgL_oz00_464, obj_t BgL_vz00_465)
{
{ /* Llib/gstelementfactory.scm 28 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_464), 
(int)(((long)4)), BgL_vz00_465);} 

}



/* &<@anonymous:1207> */
obj_t BGl_z62zc3z04anonymousza31207ze3ze5zz__gstreamer_gstelementfactoryz00(obj_t BgL_envz00_466, obj_t BgL_oz00_467)
{
{ /* Llib/gstelementfactory.scm 28 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_467), 
(int)(((long)4)));} 

}



/* &<@anonymous:1191> */
obj_t BGl_z62zc3z04anonymousza31191ze3ze5zz__gstreamer_gstelementfactoryz00(obj_t BgL_envz00_468, obj_t BgL_oz00_469, obj_t BgL_vz00_470)
{
{ /* Llib/gstelementfactory.scm 28 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_469), 
(int)(((long)3)), BgL_vz00_470);} 

}



/* &<@anonymous:1190> */
obj_t BGl_z62zc3z04anonymousza31190ze3ze5zz__gstreamer_gstelementfactoryz00(obj_t BgL_envz00_471, obj_t BgL_oz00_472)
{
{ /* Llib/gstelementfactory.scm 28 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_472), 
(int)(((long)3)));} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__gstreamer_gstelementfactoryz00()
{
{ /* Llib/gstelementfactory.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__gstreamer_gstelementfactoryz00()
{
{ /* Llib/gstelementfactory.scm 15 */
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2displayzd2envz00zz__objectz00, BGl_gstzd2elementzd2factoryz00zz__gstreamer_gstelementfactoryz00, BGl_proc1587z00zz__gstreamer_gstelementfactoryz00, BGl_string1588z00zz__gstreamer_gstelementfactoryz00);} 

}



/* &object-display-gst-e1087 */
obj_t BGl_z62objectzd2displayzd2gstzd2e1087zb0zz__gstreamer_gstelementfactoryz00(obj_t BgL_envz00_476, obj_t BgL_oz00_477, obj_t BgL_portz00_478)
{
{ /* Llib/gstelementfactory.scm 94 */
{ /* Llib/gstelementfactory.scm 96 */
obj_t BgL_pz00_548;
if(
PAIRP(BgL_portz00_478))
{ /* Llib/gstelementfactory.scm 96 */
BgL_pz00_548 = 
CAR(BgL_portz00_478); }  else 
{ /* Llib/gstelementfactory.scm 96 */
obj_t BgL_tmpz00_1002;
BgL_tmpz00_1002 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_pz00_548 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_1002); } 
{ /* Llib/gstelementfactory.scm 97 */
obj_t BgL_tmpz00_1005;
BgL_tmpz00_1005 = 
((obj_t)BgL_pz00_548); 
bgl_display_string(BGl_string1589z00zz__gstreamer_gstelementfactoryz00, BgL_tmpz00_1005); } 
{ /* Llib/gstelementfactory.scm 98 */
obj_t BgL_arg1512z00_549;
BgL_arg1512z00_549 = 
bgl_find_runtime_type(
((obj_t)
((BgL_gstzd2elementzd2factoryz00_bglt)BgL_oz00_477))); 
bgl_display_obj(BgL_arg1512z00_549, BgL_pz00_548); } 
{ /* Llib/gstelementfactory.scm 99 */
obj_t BgL_tmpz00_1012;
BgL_tmpz00_1012 = 
((obj_t)BgL_pz00_548); 
bgl_display_string(BGl_string1590z00zz__gstreamer_gstelementfactoryz00, BgL_tmpz00_1012); } 
{ /* Llib/gstelementfactory.scm 101 */
int BgL_arg1516z00_550;
{ /* Llib/gstelementfactory.scm 101 */
GstObject * BgL_arg1517z00_551;
BgL_arg1517z00_551 = 
(((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)
((BgL_gstzd2elementzd2factoryz00_bglt)BgL_oz00_477))))->BgL_z42builtinz42); 
BgL_arg1516z00_550 = 
GST_OBJECT_REFCOUNT(BgL_arg1517z00_551); } 
bgl_display_obj(
BINT(BgL_arg1516z00_550), BgL_pz00_548); } 
{ /* Llib/gstelementfactory.scm 102 */
obj_t BgL_tmpz00_1021;
BgL_tmpz00_1021 = 
((obj_t)BgL_pz00_548); 
bgl_display_string(BGl_string1591z00zz__gstreamer_gstelementfactoryz00, BgL_tmpz00_1021); } 
{ /* Llib/gstelementfactory.scm 103 */
obj_t BgL_arg1524z00_552;
BgL_arg1524z00_552 = 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)
((BgL_gstzd2elementzd2factoryz00_bglt)BgL_oz00_477)), 
(int)(((long)3))); 
bgl_display_obj(BgL_arg1524z00_552, BgL_pz00_548); } 
{ /* Llib/gstelementfactory.scm 104 */
obj_t BgL_tmpz00_1029;
BgL_tmpz00_1029 = 
((obj_t)BgL_pz00_548); 
return 
bgl_display_string(BGl_string1592z00zz__gstreamer_gstelementfactoryz00, BgL_tmpz00_1029);} } } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__gstreamer_gstelementfactoryz00()
{
{ /* Llib/gstelementfactory.scm 15 */
BGl_modulezd2initializa7ationz75zz__gstreamer_gstpluginfeaturez00(((long)56414833), 
BSTRING_TO_STRING(BGl_string1593z00zz__gstreamer_gstelementfactoryz00)); 
BGl_modulezd2initializa7ationz75zz__gstreamer_gstelementz00(((long)252539642), 
BSTRING_TO_STRING(BGl_string1593z00zz__gstreamer_gstelementfactoryz00)); 
return 
BGl_modulezd2initializa7ationz75zz__gstreamer_gstpadz00(((long)22461199), 
BSTRING_TO_STRING(BGl_string1593z00zz__gstreamer_gstelementfactoryz00));} 

}

#ifdef __cplusplus
}
#endif
