/*===========================================================================*/
/*   (Llib/gstplugin.scm)                                                    */
/*   Bigloo (4.4b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon 22 Mar 2021 06:58:31 PM CET     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4b/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4b/lib/bigloo/4.4b -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4b/lib/bigloo/4.4b -unsafe -safee -srfi gstreamer -copt -I/usr/include/gstreamer-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/sysprof-4 -pthread -copt -fPIC -copt -IClib Llib/gstplugin.scm -o objs/gstplugin.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>
#include <gst/gst.h>
#include <bglgst_config.h>
#include <bglgst.h>
#include <bglgst_plugin.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_gstzd2objectzd2_bgl {
   header_t header;
   obj_t widening;
   GstObject * BgL_z42builtinz42;
   obj_t BgL_z42finaliza7erze5;
   obj_t BgL_z52closuresz52;
} *BgL_gstzd2objectzd2_bglt;

typedef struct BgL_gstzd2pluginzd2_bgl {
   header_t header;
   obj_t widening;
   GstObject * BgL_z42builtinz42;
   obj_t BgL_z42finaliza7erze5;
   obj_t BgL_z52closuresz52;
} *BgL_gstzd2pluginzd2_bglt;


static obj_t BGl_z62zc3z04anonymousza31120ze3ze5zz__gstreamer_gstpluginz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_gstzd2pluginzd2zz__gstreamer_gstpluginz00 = BUNSPEC;
static obj_t BGl_requirezd2initializa7ationz75zz__gstreamer_gstpluginz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31114ze3ze5zz__gstreamer_gstpluginz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31115ze3ze5zz__gstreamer_gstpluginz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31140ze3ze5zz__gstreamer_gstpluginz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31213ze3ze5zz__gstreamer_gstpluginz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31124ze3ze5zz__gstreamer_gstpluginz00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__gstreamer_gstpluginz00();
static obj_t BGl_z62zc3z04anonymousza31133ze3ze5zz__gstreamer_gstpluginz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31125ze3ze5zz__gstreamer_gstpluginz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31109ze3ze5zz__gstreamer_gstpluginz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__gstreamer_gstpluginz00();
static obj_t BGl_z62zc3z04anonymousza31134ze3ze5zz__gstreamer_gstpluginz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31119ze3ze5zz__gstreamer_gstpluginz00(obj_t, obj_t);
extern obj_t BGl_gstzd2objectzd2zz__gstreamer_gstobjectz00;
static obj_t BGl_z62zc3z04anonymousza31241ze3ze5zz__gstreamer_gstpluginz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31161ze3ze5zz__gstreamer_gstpluginz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_gst_plugin_new(GstPlugin *, obj_t);
static obj_t BGl_methodzd2initzd2zz__gstreamer_gstpluginz00();
static obj_t BGl_z62zc3z04anonymousza31090ze3ze5zz__gstreamer_gstpluginz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31228ze3ze5zz__gstreamer_gstpluginz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31139ze3ze5zz__gstreamer_gstpluginz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31156ze3ze5zz__gstreamer_gstpluginz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31157ze3ze5zz__gstreamer_gstpluginz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_callzd2virtualzd2setterz00zz__objectz00(BgL_objectz00_bglt, int, obj_t);
static obj_t BGl_z62zc3z04anonymousza31191ze3ze5zz__gstreamer_gstpluginz00(obj_t, obj_t);
static obj_t BGl_z62z42makezd2gstzd2pluginz20zz__gstreamer_gstpluginz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31184ze3ze5zz__gstreamer_gstpluginz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31176ze3ze5zz__gstreamer_gstpluginz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31249ze3ze5zz__gstreamer_gstpluginz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__gstreamer_gstpluginz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__gstreamer_gstobjectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_callzd2virtualzd2getterz00zz__objectz00(BgL_objectz00_bglt, int);
static BgL_gstzd2pluginzd2_bglt BGl_z62lambda1082z62zz__gstreamer_gstpluginz00(obj_t, obj_t, obj_t, obj_t);
static BgL_gstzd2pluginzd2_bglt BGl_z62lambda1087z62zz__gstreamer_gstpluginz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31098ze3ze5zz__gstreamer_gstpluginz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31099ze3ze5zz__gstreamer_gstpluginz00(obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__gstreamer_gstpluginz00();
static obj_t BGl_libraryzd2moduleszd2initz00zz__gstreamer_gstpluginz00();
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__gstreamer_gstpluginz00();
static obj_t BGl_gczd2rootszd2initz00zz__gstreamer_gstpluginz00();
static obj_t BGl_z62zc3z04anonymousza31110ze3ze5zz__gstreamer_gstpluginz00(obj_t, obj_t, obj_t);
static obj_t __cnst[ 11 ] ;


DEFINE_STRING( BGl_string1262z00zz__gstreamer_gstpluginz00, BgL_bgl_string1262za700za7za7_1319za7, "/builddir/build/BUILD/bigloo-4.4b/api/gstreamer/src/Llib/gstplugin.scm", 70 );
DEFINE_STRING( BGl_string1263z00zz__gstreamer_gstpluginz00, BgL_bgl_string1263za700za7za7_1320za7, "&$make-gst-plugin", 17 );
DEFINE_STRING( BGl_string1264z00zz__gstreamer_gstpluginz00, BgL_bgl_string1264za700za7za7_1321za7, "void*", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1265z00zz__gstreamer_gstpluginz00, BgL_bgl_za762za7c3za704anonymo1322za7, BGl_z62zc3z04anonymousza31099ze3ze5zz__gstreamer_gstpluginz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1266z00zz__gstreamer_gstpluginz00, BgL_bgl_za762za7c3za704anonymo1323za7, BGl_z62zc3z04anonymousza31098ze3ze5zz__gstreamer_gstpluginz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1267z00zz__gstreamer_gstpluginz00, BgL_bgl_za762za7c3za704anonymo1324za7, BGl_z62zc3z04anonymousza31110ze3ze5zz__gstreamer_gstpluginz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1268z00zz__gstreamer_gstpluginz00, BgL_bgl_za762za7c3za704anonymo1325za7, BGl_z62zc3z04anonymousza31109ze3ze5zz__gstreamer_gstpluginz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1269z00zz__gstreamer_gstpluginz00, BgL_bgl_za762za7c3za704anonymo1326za7, BGl_z62zc3z04anonymousza31115ze3ze5zz__gstreamer_gstpluginz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1270z00zz__gstreamer_gstpluginz00, BgL_bgl_za762za7c3za704anonymo1327za7, BGl_z62zc3z04anonymousza31114ze3ze5zz__gstreamer_gstpluginz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1271z00zz__gstreamer_gstpluginz00, BgL_bgl_za762za7c3za704anonymo1328za7, BGl_z62zc3z04anonymousza31120ze3ze5zz__gstreamer_gstpluginz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1272z00zz__gstreamer_gstpluginz00, BgL_bgl_za762za7c3za704anonymo1329za7, BGl_z62zc3z04anonymousza31119ze3ze5zz__gstreamer_gstpluginz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1273z00zz__gstreamer_gstpluginz00, BgL_bgl_za762za7c3za704anonymo1330za7, BGl_z62zc3z04anonymousza31125ze3ze5zz__gstreamer_gstpluginz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1274z00zz__gstreamer_gstpluginz00, BgL_bgl_za762za7c3za704anonymo1331za7, BGl_z62zc3z04anonymousza31124ze3ze5zz__gstreamer_gstpluginz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1275z00zz__gstreamer_gstpluginz00, BgL_bgl_za762za7c3za704anonymo1332za7, BGl_z62zc3z04anonymousza31134ze3ze5zz__gstreamer_gstpluginz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1276z00zz__gstreamer_gstpluginz00, BgL_bgl_za762za7c3za704anonymo1333za7, BGl_z62zc3z04anonymousza31133ze3ze5zz__gstreamer_gstpluginz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1277z00zz__gstreamer_gstpluginz00, BgL_bgl_za762za7c3za704anonymo1334za7, BGl_z62zc3z04anonymousza31140ze3ze5zz__gstreamer_gstpluginz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1278z00zz__gstreamer_gstpluginz00, BgL_bgl_za762za7c3za704anonymo1335za7, BGl_z62zc3z04anonymousza31139ze3ze5zz__gstreamer_gstpluginz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1279z00zz__gstreamer_gstpluginz00, BgL_bgl_za762za7c3za704anonymo1336za7, BGl_z62zc3z04anonymousza31157ze3ze5zz__gstreamer_gstpluginz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1280z00zz__gstreamer_gstpluginz00, BgL_bgl_za762za7c3za704anonymo1337za7, BGl_z62zc3z04anonymousza31156ze3ze5zz__gstreamer_gstpluginz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1281z00zz__gstreamer_gstpluginz00, BgL_bgl_za762za7c3za704anonymo1338za7, BGl_z62zc3z04anonymousza31161ze3ze5zz__gstreamer_gstpluginz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1282z00zz__gstreamer_gstpluginz00, BgL_bgl_za762za7c3za704anonymo1339za7, BGl_z62zc3z04anonymousza31176ze3ze5zz__gstreamer_gstpluginz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1283z00zz__gstreamer_gstpluginz00, BgL_bgl_za762za7c3za704anonymo1340za7, BGl_z62zc3z04anonymousza31184ze3ze5zz__gstreamer_gstpluginz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1284z00zz__gstreamer_gstpluginz00, BgL_bgl_za762za7c3za704anonymo1341za7, BGl_z62zc3z04anonymousza31191ze3ze5zz__gstreamer_gstpluginz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1285z00zz__gstreamer_gstpluginz00, BgL_bgl_za762za7c3za704anonymo1342za7, BGl_z62zc3z04anonymousza31213ze3ze5zz__gstreamer_gstpluginz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1292z00zz__gstreamer_gstpluginz00, BgL_bgl_string1292za700za7za7_1343za7, "__gstreamer_gstplugin", 21 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1286z00zz__gstreamer_gstpluginz00, BgL_bgl_za762za7c3za704anonymo1344za7, BGl_z62zc3z04anonymousza31228ze3ze5zz__gstreamer_gstpluginz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1293z00zz__gstreamer_gstpluginz00, BgL_bgl_string1293za700za7za7_1345za7, "__gstreamer_gstplugin gst-plugin version source origin package license filename description string name ", 104 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1287z00zz__gstreamer_gstpluginz00, BgL_bgl_za762za7c3za704anonymo1346za7, BGl_z62zc3z04anonymousza31241ze3ze5zz__gstreamer_gstpluginz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1288z00zz__gstreamer_gstpluginz00, BgL_bgl_za762za7c3za704anonymo1347za7, BGl_z62zc3z04anonymousza31249ze3ze5zz__gstreamer_gstpluginz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1289z00zz__gstreamer_gstpluginz00, BgL_bgl_za762za7c3za704anonymo1348za7, BGl_z62zc3z04anonymousza31090ze3ze5zz__gstreamer_gstpluginz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1290z00zz__gstreamer_gstpluginz00, BgL_bgl_za762lambda1087za7621349z00, BGl_z62lambda1087z62zz__gstreamer_gstpluginz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1291z00zz__gstreamer_gstpluginz00, BgL_bgl_za762lambda1082za7621350z00, BGl_z62lambda1082z62zz__gstreamer_gstpluginz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z42makezd2gstzd2pluginzd2envz90zz__gstreamer_gstpluginz00, BgL_bgl_za762za742makeza7d2gst1351za7, BGl_z62z42makezd2gstzd2pluginz20zz__gstreamer_gstpluginz00, 0L, BUNSPEC, 2 );
extern obj_t BGl_z52gstzd2objectzd2initzd2envz80zz__gstreamer_gstobjectz00;

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_gstzd2pluginzd2zz__gstreamer_gstpluginz00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__gstreamer_gstpluginz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__gstreamer_gstpluginz00(long BgL_checksumz00_420, char * BgL_fromz00_421)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__gstreamer_gstpluginz00))
{ 
BGl_requirezd2initializa7ationz75zz__gstreamer_gstpluginz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__gstreamer_gstpluginz00(); 
BGl_libraryzd2moduleszd2initz00zz__gstreamer_gstpluginz00(); 
BGl_cnstzd2initzd2zz__gstreamer_gstpluginz00(); 
BGl_importedzd2moduleszd2initz00zz__gstreamer_gstpluginz00(); 
BGl_objectzd2initzd2zz__gstreamer_gstpluginz00(); 
return 
BGl_methodzd2initzd2zz__gstreamer_gstpluginz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__gstreamer_gstpluginz00()
{
{ /* Llib/gstplugin.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__gstreamer_gstplugin"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__gstreamer_gstplugin"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__gstreamer_gstplugin"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__gstreamer_gstplugin"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__gstreamer_gstplugin"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__gstreamer_gstplugin"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__gstreamer_gstpluginz00()
{
{ /* Llib/gstplugin.scm 15 */
{ /* Llib/gstplugin.scm 15 */
obj_t BgL_cportz00_383;
{ /* Llib/gstplugin.scm 15 */
obj_t BgL_stringz00_391;
BgL_stringz00_391 = BGl_string1293z00zz__gstreamer_gstpluginz00; 
{ /* Llib/gstplugin.scm 15 */
obj_t BgL_startz00_392;
BgL_startz00_392 = 
BINT(((long)0)); 
{ /* Llib/gstplugin.scm 15 */
obj_t BgL_endz00_393;
BgL_endz00_393 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_391))); 
{ /* Llib/gstplugin.scm 15 */

BgL_cportz00_383 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_391, BgL_startz00_392, BgL_endz00_393); } } } } 
{ 
long BgL_iz00_384;
BgL_iz00_384 = ((long)10); 
BgL_loopz00_385:
if(
(BgL_iz00_384==((long)-1)))
{ /* Llib/gstplugin.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/gstplugin.scm 15 */
{ /* Llib/gstplugin.scm 15 */
obj_t BgL_arg1318z00_387;
{ /* Llib/gstplugin.scm 15 */

{ /* Llib/gstplugin.scm 15 */
obj_t BgL_locationz00_389;
BgL_locationz00_389 = 
BBOOL(((bool_t)0)); 
{ /* Llib/gstplugin.scm 15 */

BgL_arg1318z00_387 = 
BGl_readz00zz__readerz00(BgL_cportz00_383, BgL_locationz00_389); } } } 
{ /* Llib/gstplugin.scm 15 */
int BgL_tmpz00_446;
BgL_tmpz00_446 = 
(int)(BgL_iz00_384); 
CNST_TABLE_SET(BgL_tmpz00_446, BgL_arg1318z00_387); } } 
{ /* Llib/gstplugin.scm 15 */
int BgL_auxz00_390;
BgL_auxz00_390 = 
(int)(
(BgL_iz00_384-((long)1))); 
{ 
long BgL_iz00_451;
BgL_iz00_451 = 
(long)(BgL_auxz00_390); 
BgL_iz00_384 = BgL_iz00_451; 
goto BgL_loopz00_385;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__gstreamer_gstpluginz00()
{
{ /* Llib/gstplugin.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* $make-gst-plugin */
BGL_EXPORTED_DEF obj_t bgl_gst_plugin_new(GstPlugin * BgL_pluginz00_3, obj_t BgL_finaliza7erza7_4)
{
{ /* Llib/gstplugin.scm 78 */
{ /* Llib/gstplugin.scm 79 */
BgL_gstzd2pluginzd2_bglt BgL_new1055z00_14;
{ /* Llib/gstplugin.scm 80 */
BgL_gstzd2pluginzd2_bglt BgL_new1054z00_16;
BgL_new1054z00_16 = 
((BgL_gstzd2pluginzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_gstzd2pluginzd2_bgl) ))); 
{ /* Llib/gstplugin.scm 80 */
long BgL_arg1072z00_17;
BgL_arg1072z00_17 = 
BGL_CLASS_INDEX(BGl_gstzd2pluginzd2zz__gstreamer_gstpluginz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1054z00_16), BgL_arg1072z00_17); } 
BgL_new1055z00_14 = BgL_new1054z00_16; } 
((((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)BgL_new1055z00_14)))->BgL_z42builtinz42)=((GstObject *)
(GstObject *)(BgL_pluginz00_3)),BUNSPEC); 
((((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)BgL_new1055z00_14)))->BgL_z42finaliza7erze5)=((obj_t)BgL_finaliza7erza7_4),BUNSPEC); 
((((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)BgL_new1055z00_14)))->BgL_z52closuresz52)=((obj_t)BNIL),BUNSPEC); 
{ /* Llib/gstplugin.scm 79 */
obj_t BgL_fun1071z00_15;
BgL_fun1071z00_15 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_gstzd2pluginzd2zz__gstreamer_gstpluginz00); 
PROCEDURE_ENTRY(BgL_fun1071z00_15)(BgL_fun1071z00_15, 
((obj_t)BgL_new1055z00_14), BEOA); } 
return 
((obj_t)BgL_new1055z00_14);} } 

}



/* &$make-gst-plugin */
obj_t BGl_z62z42makezd2gstzd2pluginz20zz__gstreamer_gstpluginz00(obj_t BgL_envz00_286, obj_t BgL_pluginz00_287, obj_t BgL_finaliza7erza7_288)
{
{ /* Llib/gstplugin.scm 78 */
{ /* Llib/gstplugin.scm 79 */
GstPlugin * BgL_auxz00_472;
if(
FOREIGNP(BgL_pluginz00_287))
{ /* Llib/gstplugin.scm 79 */
BgL_auxz00_472 = 
FOREIGN_TO_COBJ(BgL_pluginz00_287)
; }  else 
{ 
obj_t BgL_auxz00_476;
BgL_auxz00_476 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1262z00zz__gstreamer_gstpluginz00, 
BINT(((long)2851)), BGl_string1263z00zz__gstreamer_gstpluginz00, BGl_string1264z00zz__gstreamer_gstpluginz00, BgL_pluginz00_287); 
FAILURE(BgL_auxz00_476,BFALSE,BFALSE);} 
return 
bgl_gst_plugin_new(BgL_auxz00_472, BgL_finaliza7erza7_288);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__gstreamer_gstpluginz00()
{
{ /* Llib/gstplugin.scm 15 */
{ /* Llib/gstplugin.scm 21 */
obj_t BgL_arg1080z00_21;obj_t BgL_arg1081z00_22;
{ /* Llib/gstplugin.scm 21 */
obj_t BgL_v1066z00_36;
BgL_v1066z00_36 = 
create_vector(((long)8)); 
{ /* Llib/gstplugin.scm 21 */
obj_t BgL_arg1091z00_37;
BgL_arg1091z00_37 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)0)), BGl_proc1266z00zz__gstreamer_gstpluginz00, BGl_proc1265z00zz__gstreamer_gstpluginz00, ((bool_t)1), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)1))); 
VECTOR_SET(BgL_v1066z00_36,((long)0),BgL_arg1091z00_37); } 
{ /* Llib/gstplugin.scm 21 */
obj_t BgL_arg1101z00_47;
BgL_arg1101z00_47 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)2)), BGl_proc1268z00zz__gstreamer_gstpluginz00, BGl_proc1267z00zz__gstreamer_gstpluginz00, ((bool_t)1), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)1))); 
VECTOR_SET(BgL_v1066z00_36,((long)1),BgL_arg1101z00_47); } 
{ /* Llib/gstplugin.scm 21 */
obj_t BgL_arg1111z00_57;
BgL_arg1111z00_57 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)3)), BGl_proc1270z00zz__gstreamer_gstpluginz00, BGl_proc1269z00zz__gstreamer_gstpluginz00, ((bool_t)1), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)1))); 
VECTOR_SET(BgL_v1066z00_36,((long)2),BgL_arg1111z00_57); } 
{ /* Llib/gstplugin.scm 21 */
obj_t BgL_arg1116z00_67;
BgL_arg1116z00_67 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)4)), BGl_proc1272z00zz__gstreamer_gstpluginz00, BGl_proc1271z00zz__gstreamer_gstpluginz00, ((bool_t)1), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)1))); 
VECTOR_SET(BgL_v1066z00_36,((long)3),BgL_arg1116z00_67); } 
{ /* Llib/gstplugin.scm 21 */
obj_t BgL_arg1121z00_77;
BgL_arg1121z00_77 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)5)), BGl_proc1274z00zz__gstreamer_gstpluginz00, BGl_proc1273z00zz__gstreamer_gstpluginz00, ((bool_t)1), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)1))); 
VECTOR_SET(BgL_v1066z00_36,((long)4),BgL_arg1121z00_77); } 
{ /* Llib/gstplugin.scm 21 */
obj_t BgL_arg1127z00_87;
BgL_arg1127z00_87 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)6)), BGl_proc1276z00zz__gstreamer_gstpluginz00, BGl_proc1275z00zz__gstreamer_gstpluginz00, ((bool_t)1), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)1))); 
VECTOR_SET(BgL_v1066z00_36,((long)5),BgL_arg1127z00_87); } 
{ /* Llib/gstplugin.scm 21 */
obj_t BgL_arg1135z00_97;
BgL_arg1135z00_97 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)7)), BGl_proc1278z00zz__gstreamer_gstpluginz00, BGl_proc1277z00zz__gstreamer_gstpluginz00, ((bool_t)1), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)1))); 
VECTOR_SET(BgL_v1066z00_36,((long)6),BgL_arg1135z00_97); } 
{ /* Llib/gstplugin.scm 21 */
obj_t BgL_arg1152z00_107;
BgL_arg1152z00_107 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)8)), BGl_proc1280z00zz__gstreamer_gstpluginz00, BGl_proc1279z00zz__gstreamer_gstpluginz00, ((bool_t)1), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)1))); 
VECTOR_SET(BgL_v1066z00_36,((long)7),BgL_arg1152z00_107); } 
BgL_arg1080z00_21 = BgL_v1066z00_36; } 
{ /* Llib/gstplugin.scm 21 */
obj_t BgL_v1067z00_117;
BgL_v1067z00_117 = 
create_vector(((long)8)); 
{ /* Llib/gstplugin.scm 25 */
obj_t BgL_arg1158z00_118;
{ /* Llib/gstplugin.scm 25 */
obj_t BgL_arg1159z00_119;
BgL_arg1159z00_119 = 
MAKE_YOUNG_PAIR(BGl_proc1281z00zz__gstreamer_gstpluginz00, BFALSE); 
BgL_arg1158z00_118 = 
MAKE_YOUNG_PAIR(
BINT(((long)0)), BgL_arg1159z00_119); } 
VECTOR_SET(BgL_v1067z00_117,((long)0),BgL_arg1158z00_118); } 
{ /* Llib/gstplugin.scm 31 */
obj_t BgL_arg1172z00_131;
{ /* Llib/gstplugin.scm 31 */
obj_t BgL_arg1173z00_132;
BgL_arg1173z00_132 = 
MAKE_YOUNG_PAIR(BGl_proc1282z00zz__gstreamer_gstpluginz00, BFALSE); 
BgL_arg1172z00_131 = 
MAKE_YOUNG_PAIR(
BINT(((long)1)), BgL_arg1173z00_132); } 
VECTOR_SET(BgL_v1067z00_117,((long)1),BgL_arg1172z00_131); } 
{ /* Llib/gstplugin.scm 37 */
obj_t BgL_arg1181z00_144;
{ /* Llib/gstplugin.scm 37 */
obj_t BgL_arg1182z00_145;
BgL_arg1182z00_145 = 
MAKE_YOUNG_PAIR(BGl_proc1283z00zz__gstreamer_gstpluginz00, BFALSE); 
BgL_arg1181z00_144 = 
MAKE_YOUNG_PAIR(
BINT(((long)2)), BgL_arg1182z00_145); } 
VECTOR_SET(BgL_v1067z00_117,((long)2),BgL_arg1181z00_144); } 
{ /* Llib/gstplugin.scm 43 */
obj_t BgL_arg1188z00_157;
{ /* Llib/gstplugin.scm 43 */
obj_t BgL_arg1189z00_158;
BgL_arg1189z00_158 = 
MAKE_YOUNG_PAIR(BGl_proc1284z00zz__gstreamer_gstpluginz00, BFALSE); 
BgL_arg1188z00_157 = 
MAKE_YOUNG_PAIR(
BINT(((long)3)), BgL_arg1189z00_158); } 
VECTOR_SET(BgL_v1067z00_117,((long)3),BgL_arg1188z00_157); } 
{ /* Llib/gstplugin.scm 49 */
obj_t BgL_arg1206z00_170;
{ /* Llib/gstplugin.scm 49 */
obj_t BgL_arg1209z00_171;
BgL_arg1209z00_171 = 
MAKE_YOUNG_PAIR(BGl_proc1285z00zz__gstreamer_gstpluginz00, BFALSE); 
BgL_arg1206z00_170 = 
MAKE_YOUNG_PAIR(
BINT(((long)4)), BgL_arg1209z00_171); } 
VECTOR_SET(BgL_v1067z00_117,((long)4),BgL_arg1206z00_170); } 
{ /* Llib/gstplugin.scm 55 */
obj_t BgL_arg1221z00_183;
{ /* Llib/gstplugin.scm 55 */
obj_t BgL_arg1222z00_184;
BgL_arg1222z00_184 = 
MAKE_YOUNG_PAIR(BGl_proc1286z00zz__gstreamer_gstpluginz00, BFALSE); 
BgL_arg1221z00_183 = 
MAKE_YOUNG_PAIR(
BINT(((long)5)), BgL_arg1222z00_184); } 
VECTOR_SET(BgL_v1067z00_117,((long)5),BgL_arg1221z00_183); } 
{ /* Llib/gstplugin.scm 61 */
obj_t BgL_arg1238z00_196;
{ /* Llib/gstplugin.scm 61 */
obj_t BgL_arg1239z00_197;
BgL_arg1239z00_197 = 
MAKE_YOUNG_PAIR(BGl_proc1287z00zz__gstreamer_gstpluginz00, BFALSE); 
BgL_arg1238z00_196 = 
MAKE_YOUNG_PAIR(
BINT(((long)6)), BgL_arg1239z00_197); } 
VECTOR_SET(BgL_v1067z00_117,((long)6),BgL_arg1238z00_196); } 
{ /* Llib/gstplugin.scm 67 */
obj_t BgL_arg1246z00_209;
{ /* Llib/gstplugin.scm 67 */
obj_t BgL_arg1247z00_210;
BgL_arg1247z00_210 = 
MAKE_YOUNG_PAIR(BGl_proc1288z00zz__gstreamer_gstpluginz00, BFALSE); 
BgL_arg1246z00_209 = 
MAKE_YOUNG_PAIR(
BINT(((long)7)), BgL_arg1247z00_210); } 
VECTOR_SET(BgL_v1067z00_117,((long)7),BgL_arg1246z00_209); } 
BgL_arg1081z00_22 = BgL_v1067z00_117; } 
return ( 
BGl_gstzd2pluginzd2zz__gstreamer_gstpluginz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)9)), 
CNST_TABLE_REF(((long)10)), BGl_gstzd2objectzd2zz__gstreamer_gstobjectz00, ((long)10999), BGl_proc1291z00zz__gstreamer_gstpluginz00, BGl_proc1290z00zz__gstreamer_gstpluginz00, BGl_z52gstzd2objectzd2initzd2envz80zz__gstreamer_gstobjectz00, BGl_proc1289z00zz__gstreamer_gstpluginz00, BFALSE, BgL_arg1080z00_21, BgL_arg1081z00_22), BUNSPEC) ;} } 

}



/* &<@anonymous:1090> */
obj_t BGl_z62zc3z04anonymousza31090ze3ze5zz__gstreamer_gstpluginz00(obj_t BgL_envz00_316, obj_t BgL_new1053z00_317)
{
{ /* Llib/gstplugin.scm 21 */
{ 
BgL_gstzd2pluginzd2_bglt BgL_auxz00_550;
((((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)
((BgL_gstzd2pluginzd2_bglt)BgL_new1053z00_317))))->BgL_z42builtinz42)=((GstObject *)
0L),BUNSPEC); 
((((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)
((BgL_gstzd2pluginzd2_bglt)BgL_new1053z00_317))))->BgL_z42finaliza7erze5)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)
((BgL_gstzd2pluginzd2_bglt)BgL_new1053z00_317))))->BgL_z52closuresz52)=((obj_t)BNIL),BUNSPEC); 
BgL_auxz00_550 = 
((BgL_gstzd2pluginzd2_bglt)BgL_new1053z00_317); 
return 
((obj_t)BgL_auxz00_550);} } 

}



/* &lambda1087 */
BgL_gstzd2pluginzd2_bglt BGl_z62lambda1087z62zz__gstreamer_gstpluginz00(obj_t BgL_envz00_318)
{
{ /* Llib/gstplugin.scm 21 */
{ /* Llib/gstplugin.scm 21 */
BgL_gstzd2pluginzd2_bglt BgL_new1052z00_396;
BgL_new1052z00_396 = 
((BgL_gstzd2pluginzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_gstzd2pluginzd2_bgl) ))); 
{ /* Llib/gstplugin.scm 21 */
long BgL_arg1089z00_397;
BgL_arg1089z00_397 = 
BGL_CLASS_INDEX(BGl_gstzd2pluginzd2zz__gstreamer_gstpluginz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1052z00_396), BgL_arg1089z00_397); } 
return BgL_new1052z00_396;} } 

}



/* &lambda1082 */
BgL_gstzd2pluginzd2_bglt BGl_z62lambda1082z62zz__gstreamer_gstpluginz00(obj_t BgL_envz00_319, obj_t BgL_z42builtin1049z42_320, obj_t BgL_z42finaliza7er1050ze5_321, obj_t BgL_z52closures1051z52_322)
{
{ /* Llib/gstplugin.scm 21 */
{ /* Llib/gstplugin.scm 21 */
GstObject * BgL_z42builtin1049z42_398;
BgL_z42builtin1049z42_398 = 
FOREIGN_TO_COBJ(BgL_z42builtin1049z42_320); 
{ /* Llib/gstplugin.scm 21 */
BgL_gstzd2pluginzd2_bglt BgL_new1057z00_400;
{ /* Llib/gstplugin.scm 21 */
BgL_gstzd2pluginzd2_bglt BgL_new1056z00_401;
BgL_new1056z00_401 = 
((BgL_gstzd2pluginzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_gstzd2pluginzd2_bgl) ))); 
{ /* Llib/gstplugin.scm 21 */
long BgL_arg1086z00_402;
BgL_arg1086z00_402 = 
BGL_CLASS_INDEX(BGl_gstzd2pluginzd2zz__gstreamer_gstpluginz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1056z00_401), BgL_arg1086z00_402); } 
BgL_new1057z00_400 = BgL_new1056z00_401; } 
((((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)BgL_new1057z00_400)))->BgL_z42builtinz42)=((GstObject *)BgL_z42builtin1049z42_398),BUNSPEC); 
((((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)BgL_new1057z00_400)))->BgL_z42finaliza7erze5)=((obj_t)BgL_z42finaliza7er1050ze5_321),BUNSPEC); 
((((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)BgL_new1057z00_400)))->BgL_z52closuresz52)=((obj_t)
((obj_t)BgL_z52closures1051z52_322)),BUNSPEC); 
{ /* Llib/gstplugin.scm 21 */
obj_t BgL_fun1083z00_403;
BgL_fun1083z00_403 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_gstzd2pluginzd2zz__gstreamer_gstpluginz00); 
PROCEDURE_ENTRY(BgL_fun1083z00_403)(BgL_fun1083z00_403, 
((obj_t)BgL_new1057z00_400), BEOA); } 
return BgL_new1057z00_400;} } } 

}



/* &<@anonymous:1249> */
obj_t BGl_z62zc3z04anonymousza31249ze3ze5zz__gstreamer_gstpluginz00(obj_t BgL_envz00_323, obj_t BgL_oz00_324)
{
{ /* Llib/gstplugin.scm 64 */
{ /* Llib/gstplugin.scm 67 */
char * BgL_tmpz00_585;
{ /* Llib/gstplugin.scm 69 */
GstPlugin * BgL_arg1252z00_404;
{ /* Llib/gstplugin.scm 69 */
GstObject * BgL_arg1253z00_405;
BgL_arg1253z00_405 = 
(((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)
((BgL_gstzd2pluginzd2_bglt)BgL_oz00_324))))->BgL_z42builtinz42); 
BgL_arg1252z00_404 = 
GST_PLUGIN(BgL_arg1253z00_405); } 
BgL_tmpz00_585 = 
(char *)gst_plugin_get_version(BgL_arg1252z00_404); } 
return 
string_to_bstring(BgL_tmpz00_585);} } 

}



/* &<@anonymous:1241> */
obj_t BGl_z62zc3z04anonymousza31241ze3ze5zz__gstreamer_gstpluginz00(obj_t BgL_envz00_325, obj_t BgL_oz00_326)
{
{ /* Llib/gstplugin.scm 58 */
{ /* Llib/gstplugin.scm 61 */
char * BgL_tmpz00_592;
{ /* Llib/gstplugin.scm 63 */
GstPlugin * BgL_arg1242z00_406;
{ /* Llib/gstplugin.scm 63 */
GstObject * BgL_arg1244z00_407;
BgL_arg1244z00_407 = 
(((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)
((BgL_gstzd2pluginzd2_bglt)BgL_oz00_326))))->BgL_z42builtinz42); 
BgL_arg1242z00_406 = 
GST_PLUGIN(BgL_arg1244z00_407); } 
BgL_tmpz00_592 = 
(char *)gst_plugin_get_source(BgL_arg1242z00_406); } 
return 
string_to_bstring(BgL_tmpz00_592);} } 

}



/* &<@anonymous:1228> */
obj_t BGl_z62zc3z04anonymousza31228ze3ze5zz__gstreamer_gstpluginz00(obj_t BgL_envz00_327, obj_t BgL_oz00_328)
{
{ /* Llib/gstplugin.scm 52 */
{ /* Llib/gstplugin.scm 55 */
char * BgL_tmpz00_599;
{ /* Llib/gstplugin.scm 57 */
GstPlugin * BgL_arg1229z00_408;
{ /* Llib/gstplugin.scm 57 */
GstObject * BgL_arg1230z00_409;
BgL_arg1230z00_409 = 
(((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)
((BgL_gstzd2pluginzd2_bglt)BgL_oz00_328))))->BgL_z42builtinz42); 
BgL_arg1229z00_408 = 
GST_PLUGIN(BgL_arg1230z00_409); } 
BgL_tmpz00_599 = 
(char *)gst_plugin_get_origin(BgL_arg1229z00_408); } 
return 
string_to_bstring(BgL_tmpz00_599);} } 

}



/* &<@anonymous:1213> */
obj_t BGl_z62zc3z04anonymousza31213ze3ze5zz__gstreamer_gstpluginz00(obj_t BgL_envz00_329, obj_t BgL_oz00_330)
{
{ /* Llib/gstplugin.scm 46 */
{ /* Llib/gstplugin.scm 49 */
char * BgL_tmpz00_606;
{ /* Llib/gstplugin.scm 51 */
GstPlugin * BgL_arg1217z00_410;
{ /* Llib/gstplugin.scm 51 */
GstObject * BgL_arg1218z00_411;
BgL_arg1218z00_411 = 
(((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)
((BgL_gstzd2pluginzd2_bglt)BgL_oz00_330))))->BgL_z42builtinz42); 
BgL_arg1217z00_410 = 
GST_PLUGIN(BgL_arg1218z00_411); } 
BgL_tmpz00_606 = 
(char *)gst_plugin_get_package(BgL_arg1217z00_410); } 
return 
string_to_bstring(BgL_tmpz00_606);} } 

}



/* &<@anonymous:1191> */
obj_t BGl_z62zc3z04anonymousza31191ze3ze5zz__gstreamer_gstpluginz00(obj_t BgL_envz00_331, obj_t BgL_oz00_332)
{
{ /* Llib/gstplugin.scm 40 */
{ /* Llib/gstplugin.scm 43 */
char * BgL_tmpz00_613;
{ /* Llib/gstplugin.scm 45 */
GstPlugin * BgL_arg1195z00_412;
{ /* Llib/gstplugin.scm 45 */
GstObject * BgL_arg1201z00_413;
BgL_arg1201z00_413 = 
(((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)
((BgL_gstzd2pluginzd2_bglt)BgL_oz00_332))))->BgL_z42builtinz42); 
BgL_arg1195z00_412 = 
GST_PLUGIN(BgL_arg1201z00_413); } 
BgL_tmpz00_613 = 
(char *)gst_plugin_get_license(BgL_arg1195z00_412); } 
return 
string_to_bstring(BgL_tmpz00_613);} } 

}



/* &<@anonymous:1184> */
obj_t BGl_z62zc3z04anonymousza31184ze3ze5zz__gstreamer_gstpluginz00(obj_t BgL_envz00_333, obj_t BgL_oz00_334)
{
{ /* Llib/gstplugin.scm 34 */
{ /* Llib/gstplugin.scm 37 */
char * BgL_tmpz00_620;
{ /* Llib/gstplugin.scm 39 */
GstPlugin * BgL_arg1185z00_414;
{ /* Llib/gstplugin.scm 39 */
GstObject * BgL_arg1186z00_415;
BgL_arg1186z00_415 = 
(((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)
((BgL_gstzd2pluginzd2_bglt)BgL_oz00_334))))->BgL_z42builtinz42); 
BgL_arg1185z00_414 = 
GST_PLUGIN(BgL_arg1186z00_415); } 
BgL_tmpz00_620 = 
(char *)gst_plugin_get_filename(BgL_arg1185z00_414); } 
return 
string_to_bstring(BgL_tmpz00_620);} } 

}



/* &<@anonymous:1176> */
obj_t BGl_z62zc3z04anonymousza31176ze3ze5zz__gstreamer_gstpluginz00(obj_t BgL_envz00_335, obj_t BgL_oz00_336)
{
{ /* Llib/gstplugin.scm 28 */
{ /* Llib/gstplugin.scm 31 */
char * BgL_tmpz00_627;
{ /* Llib/gstplugin.scm 33 */
GstPlugin * BgL_arg1178z00_416;
{ /* Llib/gstplugin.scm 33 */
GstObject * BgL_arg1179z00_417;
BgL_arg1179z00_417 = 
(((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)
((BgL_gstzd2pluginzd2_bglt)BgL_oz00_336))))->BgL_z42builtinz42); 
BgL_arg1178z00_416 = 
GST_PLUGIN(BgL_arg1179z00_417); } 
BgL_tmpz00_627 = 
(char *)gst_plugin_get_description(BgL_arg1178z00_416); } 
return 
string_to_bstring(BgL_tmpz00_627);} } 

}



/* &<@anonymous:1161> */
obj_t BGl_z62zc3z04anonymousza31161ze3ze5zz__gstreamer_gstpluginz00(obj_t BgL_envz00_337, obj_t BgL_oz00_338)
{
{ /* Llib/gstplugin.scm 22 */
{ /* Llib/gstplugin.scm 25 */
char * BgL_tmpz00_634;
{ /* Llib/gstplugin.scm 27 */
GstPlugin * BgL_arg1165z00_418;
{ /* Llib/gstplugin.scm 27 */
GstObject * BgL_arg1168z00_419;
BgL_arg1168z00_419 = 
(((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)
((BgL_gstzd2pluginzd2_bglt)BgL_oz00_338))))->BgL_z42builtinz42); 
BgL_arg1165z00_418 = 
GST_PLUGIN(BgL_arg1168z00_419); } 
BgL_tmpz00_634 = 
(char *)gst_plugin_get_name(BgL_arg1165z00_418); } 
return 
string_to_bstring(BgL_tmpz00_634);} } 

}



/* &<@anonymous:1157> */
obj_t BGl_z62zc3z04anonymousza31157ze3ze5zz__gstreamer_gstpluginz00(obj_t BgL_envz00_339, obj_t BgL_oz00_340, obj_t BgL_vz00_341)
{
{ /* Llib/gstplugin.scm 21 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_340), 
(int)(((long)7)), BgL_vz00_341);} 

}



/* &<@anonymous:1156> */
obj_t BGl_z62zc3z04anonymousza31156ze3ze5zz__gstreamer_gstpluginz00(obj_t BgL_envz00_342, obj_t BgL_oz00_343)
{
{ /* Llib/gstplugin.scm 21 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_343), 
(int)(((long)7)));} 

}



/* &<@anonymous:1140> */
obj_t BGl_z62zc3z04anonymousza31140ze3ze5zz__gstreamer_gstpluginz00(obj_t BgL_envz00_344, obj_t BgL_oz00_345, obj_t BgL_vz00_346)
{
{ /* Llib/gstplugin.scm 21 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_345), 
(int)(((long)6)), BgL_vz00_346);} 

}



/* &<@anonymous:1139> */
obj_t BGl_z62zc3z04anonymousza31139ze3ze5zz__gstreamer_gstpluginz00(obj_t BgL_envz00_347, obj_t BgL_oz00_348)
{
{ /* Llib/gstplugin.scm 21 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_348), 
(int)(((long)6)));} 

}



/* &<@anonymous:1134> */
obj_t BGl_z62zc3z04anonymousza31134ze3ze5zz__gstreamer_gstpluginz00(obj_t BgL_envz00_349, obj_t BgL_oz00_350, obj_t BgL_vz00_351)
{
{ /* Llib/gstplugin.scm 21 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_350), 
(int)(((long)5)), BgL_vz00_351);} 

}



/* &<@anonymous:1133> */
obj_t BGl_z62zc3z04anonymousza31133ze3ze5zz__gstreamer_gstpluginz00(obj_t BgL_envz00_352, obj_t BgL_oz00_353)
{
{ /* Llib/gstplugin.scm 21 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_353), 
(int)(((long)5)));} 

}



/* &<@anonymous:1125> */
obj_t BGl_z62zc3z04anonymousza31125ze3ze5zz__gstreamer_gstpluginz00(obj_t BgL_envz00_354, obj_t BgL_oz00_355, obj_t BgL_vz00_356)
{
{ /* Llib/gstplugin.scm 21 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_355), 
(int)(((long)4)), BgL_vz00_356);} 

}



/* &<@anonymous:1124> */
obj_t BGl_z62zc3z04anonymousza31124ze3ze5zz__gstreamer_gstpluginz00(obj_t BgL_envz00_357, obj_t BgL_oz00_358)
{
{ /* Llib/gstplugin.scm 21 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_358), 
(int)(((long)4)));} 

}



/* &<@anonymous:1120> */
obj_t BGl_z62zc3z04anonymousza31120ze3ze5zz__gstreamer_gstpluginz00(obj_t BgL_envz00_359, obj_t BgL_oz00_360, obj_t BgL_vz00_361)
{
{ /* Llib/gstplugin.scm 21 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_360), 
(int)(((long)3)), BgL_vz00_361);} 

}



/* &<@anonymous:1119> */
obj_t BGl_z62zc3z04anonymousza31119ze3ze5zz__gstreamer_gstpluginz00(obj_t BgL_envz00_362, obj_t BgL_oz00_363)
{
{ /* Llib/gstplugin.scm 21 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_363), 
(int)(((long)3)));} 

}



/* &<@anonymous:1115> */
obj_t BGl_z62zc3z04anonymousza31115ze3ze5zz__gstreamer_gstpluginz00(obj_t BgL_envz00_364, obj_t BgL_oz00_365, obj_t BgL_vz00_366)
{
{ /* Llib/gstplugin.scm 21 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_365), 
(int)(((long)2)), BgL_vz00_366);} 

}



/* &<@anonymous:1114> */
obj_t BGl_z62zc3z04anonymousza31114ze3ze5zz__gstreamer_gstpluginz00(obj_t BgL_envz00_367, obj_t BgL_oz00_368)
{
{ /* Llib/gstplugin.scm 21 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_368), 
(int)(((long)2)));} 

}



/* &<@anonymous:1110> */
obj_t BGl_z62zc3z04anonymousza31110ze3ze5zz__gstreamer_gstpluginz00(obj_t BgL_envz00_369, obj_t BgL_oz00_370, obj_t BgL_vz00_371)
{
{ /* Llib/gstplugin.scm 21 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_370), 
(int)(((long)1)), BgL_vz00_371);} 

}



/* &<@anonymous:1109> */
obj_t BGl_z62zc3z04anonymousza31109ze3ze5zz__gstreamer_gstpluginz00(obj_t BgL_envz00_372, obj_t BgL_oz00_373)
{
{ /* Llib/gstplugin.scm 21 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_373), 
(int)(((long)1)));} 

}



/* &<@anonymous:1099> */
obj_t BGl_z62zc3z04anonymousza31099ze3ze5zz__gstreamer_gstpluginz00(obj_t BgL_envz00_374, obj_t BgL_oz00_375, obj_t BgL_vz00_376)
{
{ /* Llib/gstplugin.scm 21 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_375), 
(int)(((long)0)), BgL_vz00_376);} 

}



/* &<@anonymous:1098> */
obj_t BGl_z62zc3z04anonymousza31098ze3ze5zz__gstreamer_gstpluginz00(obj_t BgL_envz00_377, obj_t BgL_oz00_378)
{
{ /* Llib/gstplugin.scm 21 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_378), 
(int)(((long)0)));} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__gstreamer_gstpluginz00()
{
{ /* Llib/gstplugin.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__gstreamer_gstpluginz00()
{
{ /* Llib/gstplugin.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__gstreamer_gstpluginz00()
{
{ /* Llib/gstplugin.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__gstreamer_gstobjectz00(((long)361864494), 
BSTRING_TO_STRING(BGl_string1292z00zz__gstreamer_gstpluginz00));} 

}

#ifdef __cplusplus
}
#endif
