/*===========================================================================*/
/*   (Misc/make_lib.scm)                                                     */
/*   Bigloo (4.4b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon 22 Mar 2021 06:58:31 PM CET     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4b/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4b/lib/bigloo/4.4b -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4b/lib/bigloo/4.4b -fno-reflection -unsafe -safee -copt -fPIC -copt -IPosix Misc/make_lib.scm -o objs/make_lib.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
static obj_t BGl_requirezd2initializa7ationz75zz__openpgpzd2makelibzd2 = BUNSPEC;
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__openpgpzd2makelibzd2();
static obj_t BGl_genericzd2initzd2zz__openpgpzd2makelibzd2();
static obj_t BGl_objectzd2initzd2zz__openpgpzd2makelibzd2();
static obj_t BGl_evalzd2initzd2zz__openpgpzd2makelibzd2();
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__openpgpzd2makelibzd2();
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2makelibzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2keyzd2managerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2facadezd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_cnstzd2initzd2zz__openpgpzd2makelibzd2();
static obj_t BGl_libraryzd2moduleszd2initz00zz__openpgpzd2makelibzd2();
static obj_t BGl_importedzd2moduleszd2initz00zz__openpgpzd2makelibzd2();
static obj_t BGl_gczd2rootszd2initz00zz__openpgpzd2makelibzd2();
BGL_IMPORT obj_t BGl_definezd2primopz12zc0zz__evenvz00(obj_t, obj_t);
static obj_t BGl_z62appendzd221010zb0zz__openpgpzd2makelibzd2(obj_t, obj_t, obj_t);
static obj_t __cnst[ 27 ] ;


DEFINE_STRING( BGl_string1070z00zz__openpgpzd2makelibzd2, BgL_bgl_string1070za700za7za7_1076za7, "pair-nil", 8 );
DEFINE_STRING( BGl_string1071z00zz__openpgpzd2makelibzd2, BgL_bgl_string1071za700za7za7_1077za7, "__openpgp-makelib", 17 );
DEFINE_STRING( BGl_string1072z00zz__openpgpzd2makelibzd2, BgL_bgl_string1072za700za7za7_1078za7, "pgp-subkey->string pgp-write-string pgp-add-key-to-db pgp-key->string pgp-subkey? pgp-write-file pgp-read-file pgp-read-string pgp-subkeys pgp-encrypt pgp-key-db? pgp-key? append-21010 pgp-password-encrypt pgp-add-keys-to-db pgp-key-fingerprint pgp-verify pgp-make-key-db pgp-decrypt pgp-write-port pgp-read-port pgp-composition? pgp-key-id pgp-signature-message pgp-sign pgp-db-print-keys pgp-resolve-key ", 406 );
extern obj_t BGl_pgpzd2resolvezd2keyzd2envzd2zz__openpgpzd2keyzd2managerz00;
extern obj_t BGl_pgpzd2subkeyzd2ze3stringzd2envz31zz__openpgpzd2keyzd2managerz00;
extern obj_t BGl_pgpzd2keyzd2dbzf3zd2envz21zz__openpgpzd2keyzd2managerz00;
extern obj_t BGl_pgpzd2encryptzd2envz00zz__openpgpzd2facadezd2;
extern obj_t BGl_pgpzd2subkeyszd2envz00zz__openpgpzd2keyzd2managerz00;
extern obj_t BGl_pgpzd2writezd2stringzd2envzd2zz__openpgpzd2facadezd2;
extern obj_t BGl_pgpzd2signzd2envz00zz__openpgpzd2facadezd2;
extern obj_t BGl_pgpzd2decryptzd2envz00zz__openpgpzd2facadezd2;
extern obj_t BGl_pgpzd2dbzd2printzd2keyszd2envz00zz__openpgpzd2keyzd2managerz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_appendzd221010zd2envz00zz__openpgpzd2makelibzd2, BgL_bgl_za762appendza7d221011079z00, BGl_z62appendzd221010zb0zz__openpgpzd2makelibzd2, 0L, BUNSPEC, 2 );
extern obj_t BGl_pgpzd2passwordzd2encryptzd2envzd2zz__openpgpzd2facadezd2;
extern obj_t BGl_pgpzd2compositionzf3zd2envzf3zz__openpgpzd2facadezd2;
extern obj_t BGl_pgpzd2writezd2filezd2envzd2zz__openpgpzd2facadezd2;
extern obj_t BGl_pgpzd2keyzd2idzd2envzd2zz__openpgpzd2keyzd2managerz00;
extern obj_t BGl_pgpzd2addzd2keyszd2tozd2dbzd2envzd2zz__openpgpzd2keyzd2managerz00;
extern obj_t BGl_pgpzd2readzd2stringzd2envzd2zz__openpgpzd2facadezd2;
extern obj_t BGl_pgpzd2verifyzd2envz00zz__openpgpzd2facadezd2;
extern obj_t BGl_pgpzd2readzd2filezd2envzd2zz__openpgpzd2facadezd2;
extern obj_t BGl_pgpzd2writezd2portzd2envzd2zz__openpgpzd2facadezd2;
extern obj_t BGl_pgpzd2keyzd2fingerprintzd2envzd2zz__openpgpzd2keyzd2managerz00;
extern obj_t BGl_pgpzd2signaturezd2messagezd2envzd2zz__openpgpzd2facadezd2;
extern obj_t BGl_pgpzd2addzd2keyzd2tozd2dbzd2envzd2zz__openpgpzd2keyzd2managerz00;
extern obj_t BGl_pgpzd2keyzf3zd2envzf3zz__openpgpzd2keyzd2managerz00;
extern obj_t BGl_pgpzd2subkeyzf3zd2envzf3zz__openpgpzd2keyzd2managerz00;
extern obj_t BGl_pgpzd2readzd2portzd2envzd2zz__openpgpzd2facadezd2;
extern obj_t BGl_pgpzd2makezd2keyzd2dbzd2envz00zz__openpgpzd2keyzd2managerz00;
extern obj_t BGl_pgpzd2keyzd2ze3stringzd2envz31zz__openpgpzd2keyzd2managerz00;
DEFINE_STRING( BGl_string1069z00zz__openpgpzd2makelibzd2, BgL_bgl_string1069za700za7za7_1080za7, "&append-21010", 13 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__openpgpzd2makelibzd2) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2makelibzd2(long BgL_checksumz00_118, char * BgL_fromz00_119)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__openpgpzd2makelibzd2))
{ 
BGl_requirezd2initializa7ationz75zz__openpgpzd2makelibzd2 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__openpgpzd2makelibzd2(); 
BGl_libraryzd2moduleszd2initz00zz__openpgpzd2makelibzd2(); 
BGl_cnstzd2initzd2zz__openpgpzd2makelibzd2(); 
BGl_importedzd2moduleszd2initz00zz__openpgpzd2makelibzd2(); 
BGl_evalzd2initzd2zz__openpgpzd2makelibzd2(); 
return 
BGl_toplevelzd2initzd2zz__openpgpzd2makelibzd2();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__openpgpzd2makelibzd2()
{
{ /* Misc/make_lib.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__openpgp-makelib"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__openpgp-makelib"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__openpgp-makelib"); 
BGl_modulezd2initializa7ationz75zz__evenvz00(((long)0), "__openpgp-makelib"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__openpgp-makelib"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__openpgp-makelib"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__openpgpzd2makelibzd2()
{
{ /* Misc/make_lib.scm 15 */
{ /* Misc/make_lib.scm 15 */
obj_t BgL_cportz00_99;
{ /* Misc/make_lib.scm 15 */
obj_t BgL_stringz00_107;
BgL_stringz00_107 = BGl_string1072z00zz__openpgpzd2makelibzd2; 
{ /* Misc/make_lib.scm 15 */
obj_t BgL_startz00_108;
BgL_startz00_108 = 
BINT(((long)0)); 
{ /* Misc/make_lib.scm 15 */
obj_t BgL_endz00_109;
BgL_endz00_109 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_107))); 
{ /* Misc/make_lib.scm 15 */

BgL_cportz00_99 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_107, BgL_startz00_108, BgL_endz00_109); } } } } 
{ 
long BgL_iz00_100;
BgL_iz00_100 = ((long)26); 
BgL_loopz00_101:
if(
(BgL_iz00_100==((long)-1)))
{ /* Misc/make_lib.scm 15 */
return BUNSPEC;}  else 
{ /* Misc/make_lib.scm 15 */
{ /* Misc/make_lib.scm 15 */
obj_t BgL_arg1075z00_103;
{ /* Misc/make_lib.scm 15 */

{ /* Misc/make_lib.scm 15 */
obj_t BgL_locationz00_105;
BgL_locationz00_105 = 
BBOOL(((bool_t)0)); 
{ /* Misc/make_lib.scm 15 */

BgL_arg1075z00_103 = 
BGl_readz00zz__readerz00(BgL_cportz00_99, BgL_locationz00_105); } } } 
{ /* Misc/make_lib.scm 15 */
int BgL_tmpz00_144;
BgL_tmpz00_144 = 
(int)(BgL_iz00_100); 
CNST_TABLE_SET(BgL_tmpz00_144, BgL_arg1075z00_103); } } 
{ /* Misc/make_lib.scm 15 */
int BgL_auxz00_106;
BgL_auxz00_106 = 
(int)(
(BgL_iz00_100-((long)1))); 
{ 
long BgL_iz00_149;
BgL_iz00_149 = 
(long)(BgL_auxz00_106); 
BgL_iz00_100 = BgL_iz00_149; 
goto BgL_loopz00_101;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__openpgpzd2makelibzd2()
{
{ /* Misc/make_lib.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__openpgpzd2makelibzd2()
{
{ /* Misc/make_lib.scm 15 */
return BUNSPEC;} 

}



/* &append-21010 */
obj_t BGl_z62appendzd221010zb0zz__openpgpzd2makelibzd2(obj_t BgL_envz00_15, obj_t BgL_l1z00_16, obj_t BgL_l2z00_17)
{
{ 
{ 
obj_t BgL_l1z00_112;
{ 
bool_t BgL_test1083z00_152;
if(
PAIRP(BgL_l1z00_16))
{ /* Ieee/pairlist.scm 238 */
BgL_test1083z00_152 = ((bool_t)1)
; }  else 
{ /* Ieee/pairlist.scm 238 */
BgL_test1083z00_152 = 
NULLP(BgL_l1z00_16)
; } 
if(BgL_test1083z00_152)
{ 
BgL_l1z00_112 = BgL_l1z00_16; }  else 
{ 
obj_t BgL_auxz00_156;
BgL_auxz00_156 = 
BGl_typezd2errorzd2zz__errorz00(BFALSE, BFALSE, BGl_string1069z00zz__openpgpzd2makelibzd2, BGl_string1070z00zz__openpgpzd2makelibzd2, BgL_l1z00_16); 
FAILURE(BgL_auxz00_156,BFALSE,BFALSE);} } 
{ 
obj_t BgL_headz00_113;
BgL_headz00_113 = 
MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_17); 
{ 
obj_t BgL_prevz00_115;obj_t BgL_tailz00_116;
BgL_prevz00_115 = BgL_headz00_113; 
BgL_tailz00_116 = BgL_l1z00_112; 
BgL_loopz00_114:
if(
PAIRP(BgL_tailz00_116))
{ 
obj_t BgL_newzd2prevzd2_117;
BgL_newzd2prevzd2_117 = 
MAKE_YOUNG_PAIR(
CAR(BgL_tailz00_116), BgL_l2z00_17); 
SET_CDR(BgL_prevz00_115, BgL_newzd2prevzd2_117); 
{ 
obj_t BgL_tailz00_166;obj_t BgL_prevz00_165;
BgL_prevz00_165 = BgL_newzd2prevzd2_117; 
BgL_tailz00_166 = 
CDR(BgL_tailz00_116); 
BgL_tailz00_116 = BgL_tailz00_166; 
BgL_prevz00_115 = BgL_prevz00_165; 
goto BgL_loopz00_114;} }  else 
{ BNIL; } 
return 
CDR(BgL_headz00_113);} } } } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__openpgpzd2makelibzd2()
{
{ /* Misc/make_lib.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__openpgpzd2makelibzd2()
{
{ /* Misc/make_lib.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__openpgpzd2makelibzd2()
{
{ /* Misc/make_lib.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__openpgpzd2makelibzd2()
{
{ /* Misc/make_lib.scm 15 */
BGl_modulezd2initializa7ationz75zz__openpgpzd2facadezd2(((long)528956432), 
BSTRING_TO_STRING(BGl_string1071z00zz__openpgpzd2makelibzd2)); 
return 
BGl_modulezd2initializa7ationz75zz__openpgpzd2keyzd2managerz00(((long)419352269), 
BSTRING_TO_STRING(BGl_string1071z00zz__openpgpzd2makelibzd2));} 

}



/* eval-init */
obj_t BGl_evalzd2initzd2zz__openpgpzd2makelibzd2()
{
{ /* Misc/make_lib.scm 15 */
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)0)), BGl_pgpzd2resolvezd2keyzd2envzd2zz__openpgpzd2keyzd2managerz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)1)), BGl_pgpzd2dbzd2printzd2keyszd2envz00zz__openpgpzd2keyzd2managerz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)2)), BGl_pgpzd2signzd2envz00zz__openpgpzd2facadezd2); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)3)), BGl_pgpzd2signaturezd2messagezd2envzd2zz__openpgpzd2facadezd2); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)4)), BGl_pgpzd2keyzd2idzd2envzd2zz__openpgpzd2keyzd2managerz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)5)), BGl_pgpzd2compositionzf3zd2envzf3zz__openpgpzd2facadezd2); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)6)), BGl_pgpzd2readzd2portzd2envzd2zz__openpgpzd2facadezd2); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)7)), BGl_pgpzd2writezd2portzd2envzd2zz__openpgpzd2facadezd2); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)8)), BGl_pgpzd2decryptzd2envz00zz__openpgpzd2facadezd2); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)9)), BGl_pgpzd2makezd2keyzd2dbzd2envz00zz__openpgpzd2keyzd2managerz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)10)), BGl_pgpzd2verifyzd2envz00zz__openpgpzd2facadezd2); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)11)), BGl_pgpzd2keyzd2fingerprintzd2envzd2zz__openpgpzd2keyzd2managerz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)12)), BGl_pgpzd2addzd2keyszd2tozd2dbzd2envzd2zz__openpgpzd2keyzd2managerz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)13)), BGl_pgpzd2passwordzd2encryptzd2envzd2zz__openpgpzd2facadezd2); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)14)), BGl_appendzd221010zd2envz00zz__openpgpzd2makelibzd2); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)15)), BGl_pgpzd2keyzf3zd2envzf3zz__openpgpzd2keyzd2managerz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)16)), BGl_pgpzd2keyzd2dbzf3zd2envz21zz__openpgpzd2keyzd2managerz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)17)), BGl_pgpzd2encryptzd2envz00zz__openpgpzd2facadezd2); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)18)), BGl_pgpzd2subkeyszd2envz00zz__openpgpzd2keyzd2managerz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)19)), BGl_pgpzd2readzd2stringzd2envzd2zz__openpgpzd2facadezd2); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)20)), BGl_pgpzd2readzd2filezd2envzd2zz__openpgpzd2facadezd2); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)21)), BGl_pgpzd2writezd2filezd2envzd2zz__openpgpzd2facadezd2); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)22)), BGl_pgpzd2subkeyzf3zd2envzf3zz__openpgpzd2keyzd2managerz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)23)), BGl_pgpzd2keyzd2ze3stringzd2envz31zz__openpgpzd2keyzd2managerz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)24)), BGl_pgpzd2addzd2keyzd2tozd2dbzd2envzd2zz__openpgpzd2keyzd2managerz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)25)), BGl_pgpzd2writezd2stringzd2envzd2zz__openpgpzd2facadezd2); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)26)), BGl_pgpzd2subkeyzd2ze3stringzd2envz31zz__openpgpzd2keyzd2managerz00); 
return BUNSPEC;} 

}

#ifdef __cplusplus
}
#endif
