/*===========================================================================*/
/*   (Bdb/walk.scm)                                                          */
/*   Bigloo (4.4b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon 22 Mar 2021 06:56:16 PM CET     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.4b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Bdb/walk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	static obj_t BGl_requirezd2initializa7ationz75zzbdb_walkz00 = BUNSPEC;
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	static obj_t BGl_z62bdbzd2walkz12za2zzbdb_walkz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzbdb_walkz00();
	static obj_t BGl_objectzd2initzd2zzbdb_walkz00();
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_bdbzd2walkz12zc0zzbdb_walkz00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzbdb_walkz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzbdb_walkz00();
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzbdb_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbdb_initializa7eza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_removez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_cnstzd2initzd2zzbdb_walkz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzbdb_walkz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzbdb_walkz00();
	static obj_t BGl_gczd2rootszd2initz00zzbdb_walkz00();
	extern obj_t BGl_initializa7ezd2astz75zzbdb_initializa7eza7();
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t __cnst[1];


	   
		 
		DEFINE_STRING(BGl_string1448z00zzbdb_walkz00,
		BgL_bgl_string1448za700za7za7b1485za7, "Bdb", 3);
	      DEFINE_STRING(BGl_string1449z00zzbdb_walkz00,
		BgL_bgl_string1449za700za7za7b1486za7, "   . ", 5);
	      DEFINE_STRING(BGl_string1450z00zzbdb_walkz00,
		BgL_bgl_string1450za700za7za7b1487za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string1451z00zzbdb_walkz00,
		BgL_bgl_string1451za700za7za7b1488za7, " error", 6);
	      DEFINE_STRING(BGl_string1452z00zzbdb_walkz00,
		BgL_bgl_string1452za700za7za7b1489za7, "s", 1);
	      DEFINE_STRING(BGl_string1453z00zzbdb_walkz00,
		BgL_bgl_string1453za700za7za7b1490za7, "", 0);
	      DEFINE_STRING(BGl_string1454z00zzbdb_walkz00,
		BgL_bgl_string1454za700za7za7b1491za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string1455z00zzbdb_walkz00,
		BgL_bgl_string1455za700za7za7b1492za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string1456z00zzbdb_walkz00,
		BgL_bgl_string1456za700za7za7b1493za7, "bdb_walk", 8);
	      DEFINE_STRING(BGl_string1457z00zzbdb_walkz00,
		BgL_bgl_string1457za700za7za7b1494za7, "pass-started ", 13);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_bdbzd2walkz12zd2envz12zzbdb_walkz00,
		BgL_bgl_za762bdbza7d2walkza7121495za7, BGl_z62bdbzd2walkz12za2zzbdb_walkz00,
		0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzbdb_walkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzbdb_walkz00(long
		BgL_checksumz00_1581, char *BgL_fromz00_1582)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzbdb_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzbdb_walkz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzbdb_walkz00();
					BGl_libraryzd2moduleszd2initz00zzbdb_walkz00();
					BGl_cnstzd2initzd2zzbdb_walkz00();
					BGl_importedzd2moduleszd2initz00zzbdb_walkz00();
					return BGl_methodzd2initzd2zzbdb_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzbdb_walkz00()
	{
		{	/* Bdb/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"bdb_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"bdb_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"bdb_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "bdb_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"bdb_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "bdb_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"bdb_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"bdb_walk");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzbdb_walkz00()
	{
		{	/* Bdb/walk.scm 15 */
			{	/* Bdb/walk.scm 15 */
				obj_t BgL_cportz00_1569;

				{	/* Bdb/walk.scm 15 */
					obj_t BgL_stringz00_1577;

					BgL_stringz00_1577 = BGl_string1457z00zzbdb_walkz00;
					{	/* Bdb/walk.scm 15 */
						obj_t BgL_startz00_1578;

						BgL_startz00_1578 = BINT(((long) 0));
						{	/* Bdb/walk.scm 15 */
							obj_t BgL_endz00_1579;

							BgL_endz00_1579 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_1577)));
							{	/* Bdb/walk.scm 15 */

								BgL_cportz00_1569 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_1577, BgL_startz00_1578, BgL_endz00_1579);
				}}}}
				{
					long BgL_iz00_1570;

					BgL_iz00_1570 = ((long) 0);
				BgL_loopz00_1571:
					if ((BgL_iz00_1570 == ((long) -1)))
						{	/* Bdb/walk.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Bdb/walk.scm 15 */
							{	/* Bdb/walk.scm 15 */
								obj_t BgL_arg1484z00_1573;

								{	/* Bdb/walk.scm 15 */

									{	/* Bdb/walk.scm 15 */
										obj_t BgL_locationz00_1575;

										BgL_locationz00_1575 = BBOOL(((bool_t) 0));
										{	/* Bdb/walk.scm 15 */

											BgL_arg1484z00_1573 =
												BGl_readz00zz__readerz00(BgL_cportz00_1569,
												BgL_locationz00_1575);
										}
									}
								}
								{	/* Bdb/walk.scm 15 */
									int BgL_tmpz00_1608;

									BgL_tmpz00_1608 = (int) (BgL_iz00_1570);
									CNST_TABLE_SET(BgL_tmpz00_1608, BgL_arg1484z00_1573);
							}}
							{	/* Bdb/walk.scm 15 */
								int BgL_auxz00_1576;

								BgL_auxz00_1576 = (int) ((BgL_iz00_1570 - ((long) 1)));
								{
									long BgL_iz00_1613;

									BgL_iz00_1613 = (long) (BgL_auxz00_1576);
									BgL_iz00_1570 = BgL_iz00_1613;
									goto BgL_loopz00_1571;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzbdb_walkz00()
	{
		{	/* Bdb/walk.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzbdb_walkz00(obj_t BgL_l1z00_1, obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_1333;

				BgL_headz00_1333 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1334;
					obj_t BgL_tailz00_1335;

					BgL_prevz00_1334 = BgL_headz00_1333;
					BgL_tailz00_1335 = BgL_l1z00_1;
				BgL_loopz00_1336:
					if (PAIRP(BgL_tailz00_1335))
						{
							obj_t BgL_newzd2prevzd2_1338;

							BgL_newzd2prevzd2_1338 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1335), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1334, BgL_newzd2prevzd2_1338);
							{
								obj_t BgL_tailz00_1623;
								obj_t BgL_prevz00_1622;

								BgL_prevz00_1622 = BgL_newzd2prevzd2_1338;
								BgL_tailz00_1623 = CDR(BgL_tailz00_1335);
								BgL_tailz00_1335 = BgL_tailz00_1623;
								BgL_prevz00_1334 = BgL_prevz00_1622;
								goto BgL_loopz00_1336;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1333);
				}
			}
		}

	}



/* bdb-walk! */
	BGL_EXPORTED_DEF obj_t BGl_bdbzd2walkz12zc0zzbdb_walkz00(obj_t
		BgL_globalsz00_3)
	{
		{	/* Bdb/walk.scm 30 */
			{	/* Bdb/walk.scm 31 */
				obj_t BgL_list1227z00_1341;

				{	/* Bdb/walk.scm 31 */
					obj_t BgL_arg1228z00_1342;

					{	/* Bdb/walk.scm 31 */
						obj_t BgL_arg1231z00_1343;

						BgL_arg1231z00_1343 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1228z00_1342 =
							MAKE_YOUNG_PAIR(BGl_string1448z00zzbdb_walkz00,
							BgL_arg1231z00_1343);
					}
					BgL_list1227z00_1341 =
						MAKE_YOUNG_PAIR(BGl_string1449z00zzbdb_walkz00,
						BgL_arg1228z00_1342);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list1227z00_1341);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string1448z00zzbdb_walkz00;
			{	/* Bdb/walk.scm 31 */
				obj_t BgL_g1104z00_1344;

				BgL_g1104z00_1344 = BNIL;
				{
					obj_t BgL_hooksz00_1347;
					obj_t BgL_hnamesz00_1348;

					BgL_hooksz00_1347 = BgL_g1104z00_1344;
					BgL_hnamesz00_1348 = BNIL;
				BgL_zc3z04anonymousza31232ze3z87_1349:
					if (NULLP(BgL_hooksz00_1347))
						{	/* Bdb/walk.scm 31 */
							CNST_TABLE_REF(((long) 0));
						}
					else
						{	/* Bdb/walk.scm 31 */
							bool_t BgL_test1500z00_1636;

							{	/* Bdb/walk.scm 31 */
								obj_t BgL_fun1252z00_1356;

								BgL_fun1252z00_1356 = CAR(((obj_t) BgL_hooksz00_1347));
								BgL_test1500z00_1636 =
									CBOOL(PROCEDURE_ENTRY(BgL_fun1252z00_1356)
									(BgL_fun1252z00_1356, BEOA));
							}
							if (BgL_test1500z00_1636)
								{	/* Bdb/walk.scm 31 */
									obj_t BgL_arg1243z00_1353;
									obj_t BgL_arg1250z00_1354;

									BgL_arg1243z00_1353 = CDR(((obj_t) BgL_hooksz00_1347));
									BgL_arg1250z00_1354 = CDR(((obj_t) BgL_hnamesz00_1348));
									{
										obj_t BgL_hnamesz00_1648;
										obj_t BgL_hooksz00_1647;

										BgL_hooksz00_1647 = BgL_arg1243z00_1353;
										BgL_hnamesz00_1648 = BgL_arg1250z00_1354;
										BgL_hnamesz00_1348 = BgL_hnamesz00_1648;
										BgL_hooksz00_1347 = BgL_hooksz00_1647;
										goto BgL_zc3z04anonymousza31232ze3z87_1349;
									}
								}
							else
								{	/* Bdb/walk.scm 31 */
									obj_t BgL_arg1251z00_1355;

									BgL_arg1251z00_1355 = CAR(((obj_t) BgL_hnamesz00_1348));
									BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string1448z00zzbdb_walkz00,
										BGl_string1450z00zzbdb_walkz00, BgL_arg1251z00_1355);
								}
						}
				}
			}
			{	/* Bdb/walk.scm 32 */
				obj_t BgL_valuez00_1359;

				BgL_valuez00_1359 =
					BGl_appendzd221011zd2zzbdb_walkz00
					(BGl_initializa7ezd2astz75zzbdb_initializa7eza7(), BgL_globalsz00_3);
				if (((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
						((long) 0)))
					{	/* Bdb/walk.scm 32 */
						{	/* Bdb/walk.scm 32 */
							obj_t BgL_port1222z00_1361;

							{	/* Bdb/walk.scm 32 */
								obj_t BgL_tmpz00_1657;

								BgL_tmpz00_1657 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_port1222z00_1361 =
									BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_1657);
							}
							bgl_display_obj
								(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
								BgL_port1222z00_1361);
							bgl_display_string(BGl_string1451z00zzbdb_walkz00,
								BgL_port1222z00_1361);
							{	/* Bdb/walk.scm 32 */
								obj_t BgL_arg1256z00_1362;

								{	/* Bdb/walk.scm 32 */
									bool_t BgL_test1502z00_1662;

									if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
										(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
										{	/* Bdb/walk.scm 32 */
											if (INTEGERP
												(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
												{	/* Bdb/walk.scm 32 */
													BgL_test1502z00_1662 =
														(
														(long)
														CINT
														(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
														> ((long) 1));
												}
											else
												{	/* Bdb/walk.scm 32 */
													BgL_test1502z00_1662 =
														BGl_2ze3ze3zz__r4_numbers_6_5z00
														(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
														BINT(((long) 1)));
										}}
									else
										{	/* Bdb/walk.scm 32 */
											BgL_test1502z00_1662 = ((bool_t) 0);
										}
									if (BgL_test1502z00_1662)
										{	/* Bdb/walk.scm 32 */
											BgL_arg1256z00_1362 = BGl_string1452z00zzbdb_walkz00;
										}
									else
										{	/* Bdb/walk.scm 32 */
											BgL_arg1256z00_1362 = BGl_string1453z00zzbdb_walkz00;
										}
								}
								bgl_display_obj(BgL_arg1256z00_1362, BgL_port1222z00_1361);
							}
							bgl_display_string(BGl_string1454z00zzbdb_walkz00,
								BgL_port1222z00_1361);
							bgl_display_char(((unsigned char) 10), BgL_port1222z00_1361);
						}
						{	/* Bdb/walk.scm 32 */
							obj_t BgL_list1264z00_1368;

							BgL_list1264z00_1368 = MAKE_YOUNG_PAIR(BINT(((long) -1)), BNIL);
							return BGl_exitz00zz__errorz00(BgL_list1264z00_1368);
						}
					}
				else
					{	/* Bdb/walk.scm 32 */
						obj_t BgL_g1106z00_1369;

						BgL_g1106z00_1369 = BNIL;
						{
							obj_t BgL_hooksz00_1372;
							obj_t BgL_hnamesz00_1373;

							BgL_hooksz00_1372 = BgL_g1106z00_1369;
							BgL_hnamesz00_1373 = BNIL;
						BgL_zc3z04anonymousza31265ze3z87_1374:
							if (NULLP(BgL_hooksz00_1372))
								{	/* Bdb/walk.scm 32 */
									return BgL_valuez00_1359;
								}
							else
								{	/* Bdb/walk.scm 32 */
									bool_t BgL_test1506z00_1679;

									{	/* Bdb/walk.scm 32 */
										obj_t BgL_fun1272z00_1381;

										BgL_fun1272z00_1381 = CAR(((obj_t) BgL_hooksz00_1372));
										BgL_test1506z00_1679 =
											CBOOL(PROCEDURE_ENTRY(BgL_fun1272z00_1381)
											(BgL_fun1272z00_1381, BEOA));
									}
									if (BgL_test1506z00_1679)
										{	/* Bdb/walk.scm 32 */
											obj_t BgL_arg1269z00_1378;
											obj_t BgL_arg1270z00_1379;

											BgL_arg1269z00_1378 = CDR(((obj_t) BgL_hooksz00_1372));
											BgL_arg1270z00_1379 = CDR(((obj_t) BgL_hnamesz00_1373));
											{
												obj_t BgL_hnamesz00_1691;
												obj_t BgL_hooksz00_1690;

												BgL_hooksz00_1690 = BgL_arg1269z00_1378;
												BgL_hnamesz00_1691 = BgL_arg1270z00_1379;
												BgL_hnamesz00_1373 = BgL_hnamesz00_1691;
												BgL_hooksz00_1372 = BgL_hooksz00_1690;
												goto BgL_zc3z04anonymousza31265ze3z87_1374;
											}
										}
									else
										{	/* Bdb/walk.scm 32 */
											obj_t BgL_arg1271z00_1380;

											BgL_arg1271z00_1380 = CAR(((obj_t) BgL_hnamesz00_1373));
											return
												BGl_internalzd2errorzd2zztools_errorz00
												(BGl_za2currentzd2passza2zd2zzengine_passz00,
												BGl_string1455z00zzbdb_walkz00, BgL_arg1271z00_1380);
										}
								}
						}
					}
			}
		}

	}



/* &bdb-walk! */
	obj_t BGl_z62bdbzd2walkz12za2zzbdb_walkz00(obj_t BgL_envz00_1567,
		obj_t BgL_globalsz00_1568)
	{
		{	/* Bdb/walk.scm 30 */
			return BGl_bdbzd2walkz12zc0zzbdb_walkz00(BgL_globalsz00_1568);
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzbdb_walkz00()
	{
		{	/* Bdb/walk.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzbdb_walkz00()
	{
		{	/* Bdb/walk.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzbdb_walkz00()
	{
		{	/* Bdb/walk.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzbdb_walkz00()
	{
		{	/* Bdb/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1456z00zzbdb_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1456z00zzbdb_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string1456z00zzbdb_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1456z00zzbdb_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 311443803),
				BSTRING_TO_STRING(BGl_string1456z00zzbdb_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1456z00zzbdb_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1456z00zzbdb_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1456z00zzbdb_walkz00));
			BGl_modulezd2initializa7ationz75zzast_removez00(((long) 383247627),
				BSTRING_TO_STRING(BGl_string1456z00zzbdb_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzbdb_initializa7eza7(((long)
					527197336), BSTRING_TO_STRING(BGl_string1456z00zzbdb_walkz00));
		}

	}

#ifdef __cplusplus
}
#endif
