/*===========================================================================*/
/*   (Beta/walk.scm)                                                         */
/*   Bigloo (4.4b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon 22 Mar 2021 06:56:16 PM CET     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.4b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Beta/walk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_literalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}                 *BgL_literalz00_bglt;

	typedef struct BgL_patchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
		struct BgL_varz00_bgl *BgL_refz00;
		long BgL_indexz00;
		obj_t BgL_patchidz00;
	}               *BgL_patchz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzbeta_walkz00 = BUNSPEC;
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2appzd2ly1266za2zzbeta_walkz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzbeta_walkz00();
	extern obj_t BGl_sequencez00zzast_nodez00;
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_betazd2walkz12zc0zzbeta_walkz00(obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzbeta_walkz00();
	static obj_t BGl_objectzd2initzd2zzbeta_walkz00();
	static obj_t BGl_nodezd2betaza2z12z62zzbeta_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2condition1277z70zzbeta_walkz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_nodezd2betaz12zc0zzbeta_walkz00(BgL_nodez00_bglt,
		obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62betazd2walkz12za2zzbeta_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2extern1270z70zzbeta_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62nodezd2betaz121257za2zzbeta_walkz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2switch1281z70zzbeta_walkz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62nodezd2betaz12za2zzbeta_walkz00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2boxzd2setz121287zb0zzbeta_walkz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2makezd2box1283za2zzbeta_walkz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzbeta_walkz00();
	extern obj_t BGl_externz00zzast_nodez00;
	BGL_IMPORT obj_t bgl_typeof(obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	extern obj_t BGl_varz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2letzd2fun1289za2zzbeta_walkz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern obj_t BGl_removezd2varzd2zzast_removez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2jumpzd2exzd2i1295z70zzbeta_walkz00(obj_t, obj_t,
		obj_t);
	static bool_t BGl_betazd2globalsz12zc0zzbeta_walkz00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2app1264z70zzbeta_walkz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2cast1273z70zzbeta_walkz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2sequence1260z70zzbeta_walkz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2setzd2exzd2it1293z70zzbeta_walkz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzbeta_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_removez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_occurz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2setq1275z70zzbeta_walkz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	BGL_IMPORT bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2sync1262z70zzbeta_walkz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2fail1279z70zzbeta_walkz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzbeta_walkz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzbeta_walkz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzbeta_walkz00();
	static obj_t BGl_gczd2rootszd2initz00zzbeta_walkz00();
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2funcall1268z70zzbeta_walkz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2letzd2var1291za2zzbeta_walkz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_literalz00zzast_nodez00;
	extern obj_t BGl_switchz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2boxzd2ref1285za2zzbeta_walkz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	extern obj_t BGl_patchz00zzast_nodez00;
	static obj_t __cnst[3];


	   
		 
		DEFINE_STATIC_BGL_GENERIC(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza711872za7,
		BGl_z62nodezd2betaz12za2zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_betazd2walkz12zd2envz12zzbeta_walkz00,
		BgL_bgl_za762betaza7d2walkza711873za7,
		BGl_z62betazd2walkz12za2zzbeta_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1837z00zzbeta_walkz00,
		BgL_bgl_string1837za700za7za7b1874za7, "Constant Beta", 13);
	      DEFINE_STRING(BGl_string1838z00zzbeta_walkz00,
		BgL_bgl_string1838za700za7za7b1875za7, "   . ", 5);
	      DEFINE_STRING(BGl_string1839z00zzbeta_walkz00,
		BgL_bgl_string1839za700za7za7b1876za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string1840z00zzbeta_walkz00,
		BgL_bgl_string1840za700za7za7b1877za7, " error", 6);
	      DEFINE_STRING(BGl_string1841z00zzbeta_walkz00,
		BgL_bgl_string1841za700za7za7b1878za7, "s", 1);
	      DEFINE_STRING(BGl_string1842z00zzbeta_walkz00,
		BgL_bgl_string1842za700za7za7b1879za7, "", 0);
	      DEFINE_STRING(BGl_string1843z00zzbeta_walkz00,
		BgL_bgl_string1843za700za7za7b1880za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string1844z00zzbeta_walkz00,
		BgL_bgl_string1844za700za7za7b1881za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string1846z00zzbeta_walkz00,
		BgL_bgl_string1846za700za7za7b1882za7, "node-beta!1257", 14);
	      DEFINE_STRING(BGl_string1848z00zzbeta_walkz00,
		BgL_bgl_string1848za700za7za7b1883za7, "node-beta!", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1845z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza711884za7,
		BGl_z62nodezd2betaz121257za2zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1847z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza711885za7,
		BGl_z62nodezd2betaz12zd2sequence1260z70zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1849z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza711886za7,
		BGl_z62nodezd2betaz12zd2sync1262z70zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1850z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza711887za7,
		BGl_z62nodezd2betaz12zd2app1264z70zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1851z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza711888za7,
		BGl_z62nodezd2betaz12zd2appzd2ly1266za2zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1852z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza711889za7,
		BGl_z62nodezd2betaz12zd2funcall1268z70zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1853z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza711890za7,
		BGl_z62nodezd2betaz12zd2extern1270z70zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1854z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza711891za7,
		BGl_z62nodezd2betaz12zd2cast1273z70zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1855z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza711892za7,
		BGl_z62nodezd2betaz12zd2setq1275z70zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1856z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza711893za7,
		BGl_z62nodezd2betaz12zd2condition1277z70zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1857z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza711894za7,
		BGl_z62nodezd2betaz12zd2fail1279z70zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1858z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza711895za7,
		BGl_z62nodezd2betaz12zd2switch1281z70zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1859z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza711896za7,
		BGl_z62nodezd2betaz12zd2makezd2box1283za2zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1866z00zzbeta_walkz00,
		BgL_bgl_string1866za700za7za7b1897za7, "wrong node", 10);
	      DEFINE_STRING(BGl_string1867z00zzbeta_walkz00,
		BgL_bgl_string1867za700za7za7b1898za7, "beta_walk", 9);
	      DEFINE_STRING(BGl_string1868z00zzbeta_walkz00,
		BgL_bgl_string1868za700za7za7b1899za7, "read beta pass-started ", 23);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1860z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza711900za7,
		BGl_z62nodezd2betaz12zd2boxzd2ref1285za2zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1861z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza711901za7,
		BGl_z62nodezd2betaz12zd2boxzd2setz121287zb0zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1862z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza711902za7,
		BGl_z62nodezd2betaz12zd2letzd2fun1289za2zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1863z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza711903za7,
		BGl_z62nodezd2betaz12zd2letzd2var1291za2zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1864z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza711904za7,
		BGl_z62nodezd2betaz12zd2setzd2exzd2it1293z70zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1865z00zzbeta_walkz00,
		BgL_bgl_za762nodeza7d2betaza711905za7,
		BGl_z62nodezd2betaz12zd2jumpzd2exzd2i1295z70zzbeta_walkz00, 0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzbeta_walkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzbeta_walkz00(long
		BgL_checksumz00_2202, char *BgL_fromz00_2203)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzbeta_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzbeta_walkz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzbeta_walkz00();
					BGl_libraryzd2moduleszd2initz00zzbeta_walkz00();
					BGl_cnstzd2initzd2zzbeta_walkz00();
					BGl_importedzd2moduleszd2initz00zzbeta_walkz00();
					BGl_genericzd2initzd2zzbeta_walkz00();
					BGl_methodzd2initzd2zzbeta_walkz00();
					return BGl_toplevelzd2initzd2zzbeta_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzbeta_walkz00()
	{
		{	/* Beta/walk.scm 18 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"beta_walk");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "beta_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"beta_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"beta_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"beta_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "beta_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"beta_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "beta_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"beta_walk");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "beta_walk");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"beta_walk");
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long) 0),
				"beta_walk");
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 0),
				"beta_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"beta_walk");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "beta_walk");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzbeta_walkz00()
	{
		{	/* Beta/walk.scm 18 */
			{	/* Beta/walk.scm 18 */
				obj_t BgL_cportz00_2115;

				{	/* Beta/walk.scm 18 */
					obj_t BgL_stringz00_2123;

					BgL_stringz00_2123 = BGl_string1868z00zzbeta_walkz00;
					{	/* Beta/walk.scm 18 */
						obj_t BgL_startz00_2124;

						BgL_startz00_2124 = BINT(((long) 0));
						{	/* Beta/walk.scm 18 */
							obj_t BgL_endz00_2125;

							BgL_endz00_2125 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2123)));
							{	/* Beta/walk.scm 18 */

								BgL_cportz00_2115 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2123, BgL_startz00_2124, BgL_endz00_2125);
				}}}}
				{
					long BgL_iz00_2116;

					BgL_iz00_2116 = ((long) 2);
				BgL_loopz00_2117:
					if ((BgL_iz00_2116 == ((long) -1)))
						{	/* Beta/walk.scm 18 */
							return BUNSPEC;
						}
					else
						{	/* Beta/walk.scm 18 */
							{	/* Beta/walk.scm 18 */
								obj_t BgL_arg1871z00_2119;

								{	/* Beta/walk.scm 18 */

									{	/* Beta/walk.scm 18 */
										obj_t BgL_locationz00_2121;

										BgL_locationz00_2121 = BBOOL(((bool_t) 0));
										{	/* Beta/walk.scm 18 */

											BgL_arg1871z00_2119 =
												BGl_readz00zz__readerz00(BgL_cportz00_2115,
												BgL_locationz00_2121);
										}
									}
								}
								{	/* Beta/walk.scm 18 */
									int BgL_tmpz00_2238;

									BgL_tmpz00_2238 = (int) (BgL_iz00_2116);
									CNST_TABLE_SET(BgL_tmpz00_2238, BgL_arg1871z00_2119);
							}}
							{	/* Beta/walk.scm 18 */
								int BgL_auxz00_2122;

								BgL_auxz00_2122 = (int) ((BgL_iz00_2116 - ((long) 1)));
								{
									long BgL_iz00_2243;

									BgL_iz00_2243 = (long) (BgL_auxz00_2122);
									BgL_iz00_2116 = BgL_iz00_2243;
									goto BgL_loopz00_2117;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzbeta_walkz00()
	{
		{	/* Beta/walk.scm 18 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzbeta_walkz00()
	{
		{	/* Beta/walk.scm 18 */
			return BUNSPEC;
		}

	}



/* beta-walk! */
	BGL_EXPORTED_DEF obj_t BGl_betazd2walkz12zc0zzbeta_walkz00(obj_t
		BgL_globalsz00_3)
	{
		{	/* Beta/walk.scm 34 */
			{	/* Beta/walk.scm 35 */
				obj_t BgL_list1300z00_1382;

				{	/* Beta/walk.scm 35 */
					obj_t BgL_arg1301z00_1383;

					{	/* Beta/walk.scm 35 */
						obj_t BgL_arg1304z00_1384;

						BgL_arg1304z00_1384 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1301z00_1383 =
							MAKE_YOUNG_PAIR(BGl_string1837z00zzbeta_walkz00,
							BgL_arg1304z00_1384);
					}
					BgL_list1300z00_1382 =
						MAKE_YOUNG_PAIR(BGl_string1838z00zzbeta_walkz00,
						BgL_arg1301z00_1383);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list1300z00_1382);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string1837z00zzbeta_walkz00;
			{	/* Beta/walk.scm 35 */
				obj_t BgL_g1108z00_1385;

				BgL_g1108z00_1385 = BNIL;
				{
					obj_t BgL_hooksz00_1388;
					obj_t BgL_hnamesz00_1389;

					BgL_hooksz00_1388 = BgL_g1108z00_1385;
					BgL_hnamesz00_1389 = BNIL;
				BgL_zc3z04anonymousza31305ze3z87_1390:
					if (NULLP(BgL_hooksz00_1388))
						{	/* Beta/walk.scm 35 */
							CNST_TABLE_REF(((long) 0));
						}
					else
						{	/* Beta/walk.scm 35 */
							bool_t BgL_test1909z00_2256;

							{	/* Beta/walk.scm 35 */
								obj_t BgL_fun1317z00_1397;

								BgL_fun1317z00_1397 = CAR(((obj_t) BgL_hooksz00_1388));
								BgL_test1909z00_2256 =
									CBOOL(PROCEDURE_ENTRY(BgL_fun1317z00_1397)
									(BgL_fun1317z00_1397, BEOA));
							}
							if (BgL_test1909z00_2256)
								{	/* Beta/walk.scm 35 */
									obj_t BgL_arg1313z00_1394;
									obj_t BgL_arg1314z00_1395;

									BgL_arg1313z00_1394 = CDR(((obj_t) BgL_hooksz00_1388));
									BgL_arg1314z00_1395 = CDR(((obj_t) BgL_hnamesz00_1389));
									{
										obj_t BgL_hnamesz00_2268;
										obj_t BgL_hooksz00_2267;

										BgL_hooksz00_2267 = BgL_arg1313z00_1394;
										BgL_hnamesz00_2268 = BgL_arg1314z00_1395;
										BgL_hnamesz00_1389 = BgL_hnamesz00_2268;
										BgL_hooksz00_1388 = BgL_hooksz00_2267;
										goto BgL_zc3z04anonymousza31305ze3z87_1390;
									}
								}
							else
								{	/* Beta/walk.scm 35 */
									obj_t BgL_arg1316z00_1396;

									BgL_arg1316z00_1396 = CAR(((obj_t) BgL_hnamesz00_1389));
									BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string1837z00zzbeta_walkz00,
										BGl_string1839z00zzbeta_walkz00, BgL_arg1316z00_1396);
								}
						}
				}
			}
			BGl_betazd2globalsz12zc0zzbeta_walkz00(BgL_globalsz00_3);
			{	/* Beta/walk.scm 37 */
				obj_t BgL_valuez00_1400;

				BgL_valuez00_1400 =
					BGl_removezd2varzd2zzast_removez00(CNST_TABLE_REF(((long) 1)),
					BgL_globalsz00_3);
				if (((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
						((long) 0)))
					{	/* Beta/walk.scm 37 */
						{	/* Beta/walk.scm 37 */
							obj_t BgL_port1242z00_1402;

							{	/* Beta/walk.scm 37 */
								obj_t BgL_tmpz00_2278;

								BgL_tmpz00_2278 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_port1242z00_1402 =
									BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_2278);
							}
							bgl_display_obj
								(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
								BgL_port1242z00_1402);
							bgl_display_string(BGl_string1840z00zzbeta_walkz00,
								BgL_port1242z00_1402);
							{	/* Beta/walk.scm 37 */
								obj_t BgL_arg1329z00_1403;

								{	/* Beta/walk.scm 37 */
									bool_t BgL_test1911z00_2283;

									if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
										(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
										{	/* Beta/walk.scm 37 */
											if (INTEGERP
												(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
												{	/* Beta/walk.scm 37 */
													BgL_test1911z00_2283 =
														(
														(long)
														CINT
														(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
														> ((long) 1));
												}
											else
												{	/* Beta/walk.scm 37 */
													BgL_test1911z00_2283 =
														BGl_2ze3ze3zz__r4_numbers_6_5z00
														(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
														BINT(((long) 1)));
										}}
									else
										{	/* Beta/walk.scm 37 */
											BgL_test1911z00_2283 = ((bool_t) 0);
										}
									if (BgL_test1911z00_2283)
										{	/* Beta/walk.scm 37 */
											BgL_arg1329z00_1403 = BGl_string1841z00zzbeta_walkz00;
										}
									else
										{	/* Beta/walk.scm 37 */
											BgL_arg1329z00_1403 = BGl_string1842z00zzbeta_walkz00;
										}
								}
								bgl_display_obj(BgL_arg1329z00_1403, BgL_port1242z00_1402);
							}
							bgl_display_string(BGl_string1843z00zzbeta_walkz00,
								BgL_port1242z00_1402);
							bgl_display_char(((unsigned char) 10), BgL_port1242z00_1402);
						}
						{	/* Beta/walk.scm 37 */
							obj_t BgL_list1338z00_1409;

							BgL_list1338z00_1409 = MAKE_YOUNG_PAIR(BINT(((long) -1)), BNIL);
							return BGl_exitz00zz__errorz00(BgL_list1338z00_1409);
						}
					}
				else
					{	/* Beta/walk.scm 37 */
						obj_t BgL_g1110z00_1410;

						BgL_g1110z00_1410 = BNIL;
						{
							obj_t BgL_hooksz00_1413;
							obj_t BgL_hnamesz00_1414;

							BgL_hooksz00_1413 = BgL_g1110z00_1410;
							BgL_hnamesz00_1414 = BNIL;
						BgL_zc3z04anonymousza31339ze3z87_1415:
							if (NULLP(BgL_hooksz00_1413))
								{	/* Beta/walk.scm 37 */
									return BgL_valuez00_1400;
								}
							else
								{	/* Beta/walk.scm 37 */
									bool_t BgL_test1915z00_2300;

									{	/* Beta/walk.scm 37 */
										obj_t BgL_fun1348z00_1422;

										BgL_fun1348z00_1422 = CAR(((obj_t) BgL_hooksz00_1413));
										BgL_test1915z00_2300 =
											CBOOL(PROCEDURE_ENTRY(BgL_fun1348z00_1422)
											(BgL_fun1348z00_1422, BEOA));
									}
									if (BgL_test1915z00_2300)
										{	/* Beta/walk.scm 37 */
											obj_t BgL_arg1343z00_1419;
											obj_t BgL_arg1344z00_1420;

											BgL_arg1343z00_1419 = CDR(((obj_t) BgL_hooksz00_1413));
											BgL_arg1344z00_1420 = CDR(((obj_t) BgL_hnamesz00_1414));
											{
												obj_t BgL_hnamesz00_2312;
												obj_t BgL_hooksz00_2311;

												BgL_hooksz00_2311 = BgL_arg1343z00_1419;
												BgL_hnamesz00_2312 = BgL_arg1344z00_1420;
												BgL_hnamesz00_1414 = BgL_hnamesz00_2312;
												BgL_hooksz00_1413 = BgL_hooksz00_2311;
												goto BgL_zc3z04anonymousza31339ze3z87_1415;
											}
										}
									else
										{	/* Beta/walk.scm 37 */
											obj_t BgL_arg1346z00_1421;

											BgL_arg1346z00_1421 = CAR(((obj_t) BgL_hnamesz00_1414));
											return
												BGl_internalzd2errorzd2zztools_errorz00
												(BGl_za2currentzd2passza2zd2zzengine_passz00,
												BGl_string1844z00zzbeta_walkz00, BgL_arg1346z00_1421);
										}
								}
						}
					}
			}
		}

	}



/* &beta-walk! */
	obj_t BGl_z62betazd2walkz12za2zzbeta_walkz00(obj_t BgL_envz00_2034,
		obj_t BgL_globalsz00_2035)
	{
		{	/* Beta/walk.scm 34 */
			return BGl_betazd2walkz12zc0zzbeta_walkz00(BgL_globalsz00_2035);
		}

	}



/* beta-globals! */
	bool_t BGl_betazd2globalsz12zc0zzbeta_walkz00(obj_t BgL_globalsz00_4)
	{
		{	/* Beta/walk.scm 42 */
			{
				obj_t BgL_l1243z00_1426;

				BgL_l1243z00_1426 = BgL_globalsz00_4;
			BgL_zc3z04anonymousza31350ze3z87_1427:
				if (PAIRP(BgL_l1243z00_1426))
					{	/* Beta/walk.scm 43 */
						{	/* Beta/walk.scm 44 */
							obj_t BgL_globalz00_1429;

							BgL_globalz00_1429 = CAR(BgL_l1243z00_1426);
							{	/* Beta/walk.scm 44 */
								BgL_valuez00_bglt BgL_sfunz00_1430;

								BgL_sfunz00_1430 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_1429))))->
									BgL_valuez00);
								{	/* Beta/walk.scm 45 */
									BgL_nodez00_bglt BgL_arg1353z00_1431;

									{	/* Beta/walk.scm 45 */
										obj_t BgL_arg1354z00_1432;

										BgL_arg1354z00_1432 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_sfunz00_1430)))->BgL_bodyz00);
										BgL_arg1353z00_1431 =
											BGl_nodezd2betaz12zc0zzbeta_walkz00(
											((BgL_nodez00_bglt) BgL_arg1354z00_1432), BNIL);
									}
									((((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_sfunz00_1430)))->
											BgL_bodyz00) =
										((obj_t) ((obj_t) BgL_arg1353z00_1431)), BUNSPEC);
								}
							}
						}
						{
							obj_t BgL_l1243z00_2330;

							BgL_l1243z00_2330 = CDR(BgL_l1243z00_1426);
							BgL_l1243z00_1426 = BgL_l1243z00_2330;
							goto BgL_zc3z04anonymousza31350ze3z87_1427;
						}
					}
				else
					{	/* Beta/walk.scm 43 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* node-beta*! */
	obj_t BGl_nodezd2betaza2z12z62zzbeta_walkz00(obj_t BgL_nodeza2za2_43,
		obj_t BgL_stackz00_44)
	{
		{	/* Beta/walk.scm 234 */
			{
				obj_t BgL_l1255z00_1437;

				BgL_l1255z00_1437 = BgL_nodeza2za2_43;
			BgL_zc3z04anonymousza31357ze3z87_1438:
				if (NULLP(BgL_l1255z00_1437))
					{	/* Beta/walk.scm 235 */
						BgL_nodeza2za2_43;
					}
				else
					{	/* Beta/walk.scm 235 */
						{	/* Beta/walk.scm 235 */
							BgL_nodez00_bglt BgL_arg1367z00_1440;

							{	/* Beta/walk.scm 235 */
								obj_t BgL_nodez00_1441;

								BgL_nodez00_1441 = CAR(((obj_t) BgL_l1255z00_1437));
								BgL_arg1367z00_1440 =
									BGl_nodezd2betaz12zc0zzbeta_walkz00(
									((BgL_nodez00_bglt) BgL_nodez00_1441), BgL_stackz00_44);
							}
							{	/* Beta/walk.scm 235 */
								obj_t BgL_auxz00_2340;
								obj_t BgL_tmpz00_2338;

								BgL_auxz00_2340 = ((obj_t) BgL_arg1367z00_1440);
								BgL_tmpz00_2338 = ((obj_t) BgL_l1255z00_1437);
								SET_CAR(BgL_tmpz00_2338, BgL_auxz00_2340);
							}
						}
						{	/* Beta/walk.scm 235 */
							obj_t BgL_arg1368z00_1442;

							BgL_arg1368z00_1442 = CDR(((obj_t) BgL_l1255z00_1437));
							{
								obj_t BgL_l1255z00_2345;

								BgL_l1255z00_2345 = BgL_arg1368z00_1442;
								BgL_l1255z00_1437 = BgL_l1255z00_2345;
								goto BgL_zc3z04anonymousza31357ze3z87_1438;
							}
						}
					}
			}
			return BgL_nodeza2za2_43;
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzbeta_walkz00()
	{
		{	/* Beta/walk.scm 18 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzbeta_walkz00()
	{
		{	/* Beta/walk.scm 18 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
				BGl_proc1845z00zzbeta_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string1846z00zzbeta_walkz00);
		}

	}



/* &node-beta!1257 */
	obj_t BGl_z62nodezd2betaz121257za2zzbeta_walkz00(obj_t BgL_envz00_2037,
		obj_t BgL_nodez00_2038, obj_t BgL_stackz00_2039)
	{
		{	/* Beta/walk.scm 51 */
			return ((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2038));
		}

	}



/* node-beta! */
	BgL_nodez00_bglt BGl_nodezd2betaz12zc0zzbeta_walkz00(BgL_nodez00_bglt
		BgL_nodez00_5, obj_t BgL_stackz00_6)
	{
		{	/* Beta/walk.scm 51 */
			{	/* Beta/walk.scm 51 */
				obj_t BgL_method1258z00_1449;

				{	/* Beta/walk.scm 51 */
					obj_t BgL_res1836z00_1910;

					{	/* Beta/walk.scm 51 */
						long BgL_objzd2classzd2numz00_1881;

						BgL_objzd2classzd2numz00_1881 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_5));
						{	/* Beta/walk.scm 51 */
							obj_t BgL_arg1791z00_1882;

							BgL_arg1791z00_1882 =
								PROCEDURE_REF(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
								(int) (((long) 1)));
							{	/* Beta/walk.scm 51 */
								int BgL_offsetz00_1885;

								BgL_offsetz00_1885 = (int) (BgL_objzd2classzd2numz00_1881);
								{	/* Beta/walk.scm 51 */
									long BgL_offsetz00_1886;

									BgL_offsetz00_1886 =
										((long) (BgL_offsetz00_1885) - OBJECT_TYPE);
									{	/* Beta/walk.scm 51 */
										long BgL_modz00_1887;

										BgL_modz00_1887 =
											(BgL_offsetz00_1886 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Beta/walk.scm 51 */
											long BgL_restz00_1889;

											BgL_restz00_1889 =
												(BgL_offsetz00_1886 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Beta/walk.scm 51 */

												{	/* Beta/walk.scm 51 */
													obj_t BgL_bucketz00_1891;

													BgL_bucketz00_1891 =
														VECTOR_REF(
														((obj_t) BgL_arg1791z00_1882), BgL_modz00_1887);
													BgL_res1836z00_1910 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_1891), BgL_restz00_1889);
					}}}}}}}}
					BgL_method1258z00_1449 = BgL_res1836z00_1910;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1258z00_1449) (BgL_method1258z00_1449,
						((obj_t) BgL_nodez00_5), BgL_stackz00_6, BEOA));
			}
		}

	}



/* &node-beta! */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12za2zzbeta_walkz00(obj_t BgL_envz00_2040,
		obj_t BgL_nodez00_2041, obj_t BgL_stackz00_2042)
	{
		{	/* Beta/walk.scm 51 */
			return
				BGl_nodezd2betaz12zc0zzbeta_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_2041), BgL_stackz00_2042);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzbeta_walkz00()
	{
		{	/* Beta/walk.scm 18 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
				BGl_sequencez00zzast_nodez00, BGl_proc1847z00zzbeta_walkz00,
				BGl_string1848z00zzbeta_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc1849z00zzbeta_walkz00, BGl_string1848z00zzbeta_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc1850z00zzbeta_walkz00, BGl_string1848z00zzbeta_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1851z00zzbeta_walkz00,
				BGl_string1848z00zzbeta_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc1852z00zzbeta_walkz00, BGl_string1848z00zzbeta_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc1853z00zzbeta_walkz00, BGl_string1848z00zzbeta_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc1854z00zzbeta_walkz00, BGl_string1848z00zzbeta_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc1855z00zzbeta_walkz00, BGl_string1848z00zzbeta_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1856z00zzbeta_walkz00,
				BGl_string1848z00zzbeta_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc1857z00zzbeta_walkz00, BGl_string1848z00zzbeta_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00, BGl_switchz00zzast_nodez00,
				BGl_proc1858z00zzbeta_walkz00, BGl_string1848z00zzbeta_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1859z00zzbeta_walkz00,
				BGl_string1848z00zzbeta_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1860z00zzbeta_walkz00,
				BGl_string1848z00zzbeta_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1861z00zzbeta_walkz00,
				BGl_string1848z00zzbeta_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1862z00zzbeta_walkz00,
				BGl_string1848z00zzbeta_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1863z00zzbeta_walkz00,
				BGl_string1848z00zzbeta_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1864z00zzbeta_walkz00,
				BGl_string1848z00zzbeta_walkz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1865z00zzbeta_walkz00,
				BGl_string1848z00zzbeta_walkz00);
		}

	}



/* &node-beta!-jump-ex-i1295 */
	BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2jumpzd2exzd2i1295z70zzbeta_walkz00(obj_t
		BgL_envz00_2061, obj_t BgL_nodez00_2062, obj_t BgL_stackz00_2063)
	{
		{	/* Beta/walk.scm 226 */
			((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2062)))->BgL_exitz00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_jumpzd2exzd2itz00_bglt)
								COBJECT(((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2062)))->
							BgL_exitz00), BgL_stackz00_2063)), BUNSPEC);
			((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(((BgL_jumpzd2exzd2itz00_bglt)
								BgL_nodez00_2062)))->BgL_valuez00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_jumpzd2exzd2itz00_bglt)
								COBJECT(((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2062)))->
							BgL_valuez00), BgL_stackz00_2063)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_jumpzd2exzd2itz00_bglt)
					BgL_nodez00_2062));
		}

	}



/* &node-beta!-set-ex-it1293 */
	BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2setzd2exzd2it1293z70zzbeta_walkz00(obj_t
		BgL_envz00_2064, obj_t BgL_nodez00_2065, obj_t BgL_stackz00_2066)
	{
		{	/* Beta/walk.scm 219 */
			((((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2065)))->BgL_bodyz00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_setzd2exzd2itz00_bglt)
								COBJECT(((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2065)))->
							BgL_bodyz00), BgL_stackz00_2066)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt)
					BgL_nodez00_2065));
		}

	}



/* &node-beta!-let-var1291 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2letzd2var1291za2zzbeta_walkz00(obj_t
		BgL_envz00_2067, obj_t BgL_nodez00_2068, obj_t BgL_stackz00_2069)
	{
		{	/* Beta/walk.scm 193 */
			{
				obj_t BgL_bindingsz00_2132;
				obj_t BgL_newzd2stackzd2_2133;

				{	/* Beta/walk.scm 195 */
					obj_t BgL_arg1659z00_2148;

					BgL_arg1659z00_2148 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2068)))->BgL_bindingsz00);
					{
						BgL_letzd2varzd2_bglt BgL_auxz00_2422;

						BgL_bindingsz00_2132 = BgL_arg1659z00_2148;
						BgL_newzd2stackzd2_2133 = BgL_stackz00_2069;
					BgL_loopz00_2131:
						if (NULLP(BgL_bindingsz00_2132))
							{	/* Beta/walk.scm 197 */
								{
									BgL_nodez00_bglt BgL_auxz00_2425;

									{	/* Beta/walk.scm 199 */
										BgL_nodez00_bglt BgL_arg1662z00_2134;

										BgL_arg1662z00_2134 =
											(((BgL_letzd2varzd2_bglt) COBJECT(
													((BgL_letzd2varzd2_bglt) BgL_nodez00_2068)))->
											BgL_bodyz00);
										BgL_auxz00_2425 =
											BGl_nodezd2betaz12zc0zzbeta_walkz00(BgL_arg1662z00_2134,
											BgL_newzd2stackzd2_2133);
									}
									((((BgL_letzd2varzd2_bglt) COBJECT(
													((BgL_letzd2varzd2_bglt) BgL_nodez00_2068)))->
											BgL_bodyz00) =
										((BgL_nodez00_bglt) BgL_auxz00_2425), BUNSPEC);
								}
								BgL_auxz00_2422 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_2068);
							}
						else
							{	/* Beta/walk.scm 201 */
								obj_t BgL_bindingz00_2135;

								BgL_bindingz00_2135 = CAR(((obj_t) BgL_bindingsz00_2132));
								{	/* Beta/walk.scm 202 */
									BgL_nodez00_bglt BgL_valz00_2136;

									{	/* Beta/walk.scm 203 */
										obj_t BgL_arg1699z00_2137;

										BgL_arg1699z00_2137 = CDR(((obj_t) BgL_bindingz00_2135));
										BgL_valz00_2136 =
											BGl_nodezd2betaz12zc0zzbeta_walkz00(
											((BgL_nodez00_bglt) BgL_arg1699z00_2137),
											BgL_stackz00_2069);
									}
									{	/* Beta/walk.scm 203 */

										{	/* Beta/walk.scm 204 */
											bool_t BgL_test1919z00_2438;

											{	/* Beta/walk.scm 204 */
												bool_t BgL_test1920z00_2439;

												{	/* Beta/walk.scm 204 */
													obj_t BgL_arg1697z00_2138;

													BgL_arg1697z00_2138 =
														CDR(((obj_t) BgL_bindingz00_2135));
													BgL_test1920z00_2439 =
														BGl_isazf3zf3zz__objectz00(BgL_arg1697z00_2138,
														BGl_atomz00zzast_nodez00);
												}
												if (BgL_test1920z00_2439)
													{	/* Beta/walk.scm 204 */
														if (
															((((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				((BgL_localz00_bglt)
																					CAR(
																						((obj_t) BgL_bindingz00_2135))))))->
																	BgL_accessz00) == CNST_TABLE_REF(((long) 2))))
															{	/* Beta/walk.scm 206 */
																obj_t BgL_valz00_2139;

																BgL_valz00_2139 =
																	(((BgL_atomz00_bglt) COBJECT(
																			((BgL_atomz00_bglt)
																				CDR(
																					((obj_t) BgL_bindingz00_2135)))))->
																	BgL_valuez00);
																{	/* Beta/walk.scm 207 */
																	bool_t BgL__ortest_1127z00_2140;

																	BgL__ortest_1127z00_2140 =
																		BGl_numberzf3zf3zz__r4_numbers_6_5z00
																		(BgL_valz00_2139);
																	if (BgL__ortest_1127z00_2140)
																		{	/* Beta/walk.scm 207 */
																			BgL_test1919z00_2438 =
																				BgL__ortest_1127z00_2140;
																		}
																	else
																		{	/* Beta/walk.scm 208 */
																			bool_t BgL__ortest_1128z00_2141;

																			BgL__ortest_1128z00_2141 =
																				BOOLEANP(BgL_valz00_2139);
																			if (BgL__ortest_1128z00_2141)
																				{	/* Beta/walk.scm 208 */
																					BgL_test1919z00_2438 =
																						BgL__ortest_1128z00_2141;
																				}
																			else
																				{	/* Beta/walk.scm 209 */
																					bool_t BgL__ortest_1129z00_2142;

																					BgL__ortest_1129z00_2142 =
																						CHARP(BgL_valz00_2139);
																					if (BgL__ortest_1129z00_2142)
																						{	/* Beta/walk.scm 209 */
																							BgL_test1919z00_2438 =
																								BgL__ortest_1129z00_2142;
																						}
																					else
																						{	/* Beta/walk.scm 210 */
																							bool_t BgL__ortest_1130z00_2143;

																							BgL__ortest_1130z00_2143 =
																								SYMBOLP(BgL_valz00_2139);
																							if (BgL__ortest_1130z00_2143)
																								{	/* Beta/walk.scm 210 */
																									BgL_test1919z00_2438 =
																										BgL__ortest_1130z00_2143;
																								}
																							else
																								{	/* Beta/walk.scm 211 */
																									bool_t
																										BgL__ortest_1131z00_2144;
																									BgL__ortest_1131z00_2144 =
																										KEYWORDP(BgL_valz00_2139);
																									if (BgL__ortest_1131z00_2144)
																										{	/* Beta/walk.scm 211 */
																											BgL_test1919z00_2438 =
																												BgL__ortest_1131z00_2144;
																										}
																									else
																										{	/* Beta/walk.scm 211 */
																											BgL_test1919z00_2438 =
																												CNSTP(BgL_valz00_2139);
																										}
																								}
																						}
																				}
																		}
																}
															}
														else
															{	/* Beta/walk.scm 205 */
																BgL_test1919z00_2438 = ((bool_t) 0);
															}
													}
												else
													{	/* Beta/walk.scm 204 */
														BgL_test1919z00_2438 = ((bool_t) 0);
													}
											}
											if (BgL_test1919z00_2438)
												{	/* Beta/walk.scm 213 */
													obj_t BgL_arg1685z00_2145;
													obj_t BgL_arg1686z00_2146;

													BgL_arg1685z00_2145 =
														CDR(((obj_t) BgL_bindingsz00_2132));
													BgL_arg1686z00_2146 =
														MAKE_YOUNG_PAIR(BgL_bindingz00_2135,
														BgL_newzd2stackzd2_2133);
													{
														obj_t BgL_newzd2stackzd2_2470;
														obj_t BgL_bindingsz00_2469;

														BgL_bindingsz00_2469 = BgL_arg1685z00_2145;
														BgL_newzd2stackzd2_2470 = BgL_arg1686z00_2146;
														BgL_newzd2stackzd2_2133 = BgL_newzd2stackzd2_2470;
														BgL_bindingsz00_2132 = BgL_bindingsz00_2469;
														goto BgL_loopz00_2131;
													}
												}
											else
												{	/* Beta/walk.scm 214 */
													obj_t BgL_arg1690z00_2147;

													BgL_arg1690z00_2147 =
														CDR(((obj_t) BgL_bindingsz00_2132));
													{
														obj_t BgL_bindingsz00_2473;

														BgL_bindingsz00_2473 = BgL_arg1690z00_2147;
														BgL_bindingsz00_2132 = BgL_bindingsz00_2473;
														goto BgL_loopz00_2131;
													}
												}
										}
									}
								}
							}
						return ((BgL_nodez00_bglt) BgL_auxz00_2422);
					}
				}
			}
		}

	}



/* &node-beta!-let-fun1289 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2letzd2fun1289za2zzbeta_walkz00(obj_t
		BgL_envz00_2070, obj_t BgL_nodez00_2071, obj_t BgL_stackz00_2072)
	{
		{	/* Beta/walk.scm 181 */
			{
				BgL_nodez00_bglt BgL_auxz00_2475;

				{	/* Beta/walk.scm 183 */
					BgL_nodez00_bglt BgL_arg1643z00_2150;

					BgL_arg1643z00_2150 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2071)))->BgL_bodyz00);
					BgL_auxz00_2475 =
						BGl_nodezd2betaz12zc0zzbeta_walkz00(BgL_arg1643z00_2150,
						BgL_stackz00_2072);
				}
				((((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2071)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2475), BUNSPEC);
			}
			{	/* Beta/walk.scm 184 */
				obj_t BgL_g1253z00_2151;

				BgL_g1253z00_2151 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2071)))->BgL_localsz00);
				{
					obj_t BgL_l1251z00_2153;

					BgL_l1251z00_2153 = BgL_g1253z00_2151;
				BgL_zc3z04anonymousza31644ze3z87_2152:
					if (PAIRP(BgL_l1251z00_2153))
						{	/* Beta/walk.scm 184 */
							{	/* Beta/walk.scm 185 */
								obj_t BgL_localz00_2154;

								BgL_localz00_2154 = CAR(BgL_l1251z00_2153);
								{	/* Beta/walk.scm 185 */
									BgL_valuez00_bglt BgL_funz00_2155;

									BgL_funz00_2155 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_localz00_2154))))->
										BgL_valuez00);
									{	/* Beta/walk.scm 186 */
										BgL_nodez00_bglt BgL_arg1646z00_2156;

										{	/* Beta/walk.scm 186 */
											obj_t BgL_arg1649z00_2157;

											BgL_arg1649z00_2157 =
												(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_funz00_2155)))->
												BgL_bodyz00);
											BgL_arg1646z00_2156 =
												BGl_nodezd2betaz12zc0zzbeta_walkz00(((BgL_nodez00_bglt)
													BgL_arg1649z00_2157), BgL_stackz00_2072);
										}
										((((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_funz00_2155)))->
												BgL_bodyz00) =
											((obj_t) ((obj_t) BgL_arg1646z00_2156)), BUNSPEC);
									}
								}
							}
							{
								obj_t BgL_l1251z00_2496;

								BgL_l1251z00_2496 = CDR(BgL_l1251z00_2153);
								BgL_l1251z00_2153 = BgL_l1251z00_2496;
								goto BgL_zc3z04anonymousza31644ze3z87_2152;
							}
						}
					else
						{	/* Beta/walk.scm 184 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nodez00_2071));
		}

	}



/* &node-beta!-box-set!1287 */
	BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2boxzd2setz121287zb0zzbeta_walkz00(obj_t
		BgL_envz00_2073, obj_t BgL_nodez00_2074, obj_t BgL_stackz00_2075)
	{
		{	/* Beta/walk.scm 173 */
			{	/* Beta/walk.scm 174 */
				BgL_nodez00_bglt BgL_arg1616z00_2159;

				{	/* Beta/walk.scm 174 */
					BgL_varz00_bglt BgL_arg1633z00_2160;

					BgL_arg1633z00_2160 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2074)))->BgL_varz00);
					BgL_arg1616z00_2159 =
						BGl_nodezd2betaz12zc0zzbeta_walkz00(
						((BgL_nodez00_bglt) BgL_arg1633z00_2160), BgL_stackz00_2075);
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2074)))->BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_arg1616z00_2159)), BUNSPEC);
			}
			((((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2074)))->BgL_valuez00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_boxzd2setz12zc0_bglt)
								COBJECT(((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2074)))->
							BgL_valuez00), BgL_stackz00_2075)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2074));
		}

	}



/* &node-beta!-box-ref1285 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2boxzd2ref1285za2zzbeta_walkz00(obj_t
		BgL_envz00_2076, obj_t BgL_nodez00_2077, obj_t BgL_stackz00_2078)
	{
		{	/* Beta/walk.scm 166 */
			{	/* Beta/walk.scm 167 */
				BgL_nodez00_bglt BgL_arg1614z00_2162;

				{	/* Beta/walk.scm 167 */
					BgL_varz00_bglt BgL_arg1615z00_2163;

					BgL_arg1615z00_2163 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2077)))->BgL_varz00);
					BgL_arg1614z00_2162 =
						BGl_nodezd2betaz12zc0zzbeta_walkz00(
						((BgL_nodez00_bglt) BgL_arg1615z00_2163), BgL_stackz00_2078);
				}
				((((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2077)))->BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_arg1614z00_2162)), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2077));
		}

	}



/* &node-beta!-make-box1283 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2makezd2box1283za2zzbeta_walkz00(obj_t
		BgL_envz00_2079, obj_t BgL_nodez00_2080, obj_t BgL_stackz00_2081)
	{
		{	/* Beta/walk.scm 159 */
			((((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_2080)))->BgL_valuez00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_makezd2boxzd2_bglt)
								COBJECT(((BgL_makezd2boxzd2_bglt) BgL_nodez00_2080)))->
							BgL_valuez00), BgL_stackz00_2081)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2080));
		}

	}



/* &node-beta!-switch1281 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2switch1281z70zzbeta_walkz00(obj_t
		BgL_envz00_2082, obj_t BgL_nodez00_2083, obj_t BgL_stackz00_2084)
	{
		{	/* Beta/walk.scm 149 */
			((((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2083)))->BgL_testz00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_switchz00_bglt)
								COBJECT(((BgL_switchz00_bglt) BgL_nodez00_2083)))->BgL_testz00),
						BgL_stackz00_2084)), BUNSPEC);
			{	/* Beta/walk.scm 151 */
				obj_t BgL_g1250z00_2166;

				BgL_g1250z00_2166 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2083)))->BgL_clausesz00);
				{
					obj_t BgL_l1248z00_2168;

					BgL_l1248z00_2168 = BgL_g1250z00_2166;
				BgL_zc3z04anonymousza31601ze3z87_2167:
					if (PAIRP(BgL_l1248z00_2168))
						{	/* Beta/walk.scm 153 */
							{	/* Beta/walk.scm 152 */
								obj_t BgL_clausez00_2169;

								BgL_clausez00_2169 = CAR(BgL_l1248z00_2168);
								{	/* Beta/walk.scm 152 */
									BgL_nodez00_bglt BgL_arg1603z00_2170;

									{	/* Beta/walk.scm 152 */
										obj_t BgL_arg1604z00_2171;

										BgL_arg1604z00_2171 = CDR(((obj_t) BgL_clausez00_2169));
										BgL_arg1603z00_2170 =
											BGl_nodezd2betaz12zc0zzbeta_walkz00(
											((BgL_nodez00_bglt) BgL_arg1604z00_2171),
											BgL_stackz00_2084);
									}
									{	/* Beta/walk.scm 152 */
										obj_t BgL_auxz00_2546;
										obj_t BgL_tmpz00_2544;

										BgL_auxz00_2546 = ((obj_t) BgL_arg1603z00_2170);
										BgL_tmpz00_2544 = ((obj_t) BgL_clausez00_2169);
										SET_CDR(BgL_tmpz00_2544, BgL_auxz00_2546);
									}
								}
							}
							{
								obj_t BgL_l1248z00_2549;

								BgL_l1248z00_2549 = CDR(BgL_l1248z00_2168);
								BgL_l1248z00_2168 = BgL_l1248z00_2549;
								goto BgL_zc3z04anonymousza31601ze3z87_2167;
							}
						}
					else
						{	/* Beta/walk.scm 153 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_2083));
		}

	}



/* &node-beta!-fail1279 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2fail1279z70zzbeta_walkz00(obj_t
		BgL_envz00_2085, obj_t BgL_nodez00_2086, obj_t BgL_stackz00_2087)
	{
		{	/* Beta/walk.scm 140 */
			((((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2086)))->BgL_procz00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_failz00_bglt)
								COBJECT(((BgL_failz00_bglt) BgL_nodez00_2086)))->BgL_procz00),
						BgL_stackz00_2087)), BUNSPEC);
			((((BgL_failz00_bglt) COBJECT(((BgL_failz00_bglt) BgL_nodez00_2086)))->
					BgL_msgz00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_failz00_bglt)
								COBJECT(((BgL_failz00_bglt) BgL_nodez00_2086)))->BgL_msgz00),
						BgL_stackz00_2087)), BUNSPEC);
			((((BgL_failz00_bglt) COBJECT(((BgL_failz00_bglt) BgL_nodez00_2086)))->
					BgL_objz00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_failz00_bglt)
								COBJECT(((BgL_failz00_bglt) BgL_nodez00_2086)))->BgL_objz00),
						BgL_stackz00_2087)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_failz00_bglt) BgL_nodez00_2086));
		}

	}



/* &node-beta!-condition1277 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2condition1277z70zzbeta_walkz00(obj_t
		BgL_envz00_2088, obj_t BgL_nodez00_2089, obj_t BgL_stackz00_2090)
	{
		{	/* Beta/walk.scm 131 */
			((((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2089)))->BgL_testz00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_conditionalz00_bglt)
								COBJECT(((BgL_conditionalz00_bglt) BgL_nodez00_2089)))->
							BgL_testz00), BgL_stackz00_2090)), BUNSPEC);
			((((BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt)
								BgL_nodez00_2089)))->BgL_truez00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_conditionalz00_bglt)
								COBJECT(((BgL_conditionalz00_bglt) BgL_nodez00_2089)))->
							BgL_truez00), BgL_stackz00_2090)), BUNSPEC);
			((((BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt)
								BgL_nodez00_2089)))->BgL_falsez00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_conditionalz00_bglt)
								COBJECT(((BgL_conditionalz00_bglt) BgL_nodez00_2089)))->
							BgL_falsez00), BgL_stackz00_2090)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt) BgL_nodez00_2089));
		}

	}



/* &node-beta!-setq1275 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2setq1275z70zzbeta_walkz00(obj_t
		BgL_envz00_2091, obj_t BgL_nodez00_2092, obj_t BgL_stackz00_2093)
	{
		{	/* Beta/walk.scm 124 */
			((((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_2092)))->BgL_valuez00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_setqz00_bglt)
								COBJECT(((BgL_setqz00_bglt) BgL_nodez00_2092)))->BgL_valuez00),
						BgL_stackz00_2093)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_setqz00_bglt) BgL_nodez00_2092));
		}

	}



/* &node-beta!-cast1273 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2cast1273z70zzbeta_walkz00(obj_t
		BgL_envz00_2094, obj_t BgL_nodez00_2095, obj_t BgL_stackz00_2096)
	{
		{	/* Beta/walk.scm 117 */
			((((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_2095)))->BgL_argz00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_castz00_bglt)
								COBJECT(((BgL_castz00_bglt) BgL_nodez00_2095)))->BgL_argz00),
						BgL_stackz00_2096)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_castz00_bglt) BgL_nodez00_2095));
		}

	}



/* &node-beta!-extern1270 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2extern1270z70zzbeta_walkz00(obj_t
		BgL_envz00_2097, obj_t BgL_nodez00_2098, obj_t BgL_stackz00_2099)
	{
		{	/* Beta/walk.scm 110 */
			BGl_nodezd2betaza2z12z62zzbeta_walkz00(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_2098)))->BgL_exprza2za2),
				BgL_stackz00_2099);
			return ((BgL_nodez00_bglt) ((BgL_externz00_bglt) BgL_nodez00_2098));
		}

	}



/* &node-beta!-funcall1268 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2funcall1268z70zzbeta_walkz00(obj_t
		BgL_envz00_2100, obj_t BgL_nodez00_2101, obj_t BgL_stackz00_2102)
	{
		{	/* Beta/walk.scm 102 */
			((((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_2101)))->BgL_funz00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_funcallz00_bglt)
								COBJECT(((BgL_funcallz00_bglt) BgL_nodez00_2101)))->BgL_funz00),
						BgL_stackz00_2102)), BUNSPEC);
			BGl_nodezd2betaza2z12z62zzbeta_walkz00((((BgL_funcallz00_bglt)
						COBJECT(((BgL_funcallz00_bglt) BgL_nodez00_2101)))->BgL_argsz00),
				BgL_stackz00_2102);
			return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_2101));
		}

	}



/* &node-beta!-app-ly1266 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2appzd2ly1266za2zzbeta_walkz00(obj_t
		BgL_envz00_2103, obj_t BgL_nodez00_2104, obj_t BgL_stackz00_2105)
	{
		{	/* Beta/walk.scm 94 */
			((((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_2104)))->BgL_funz00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_appzd2lyzd2_bglt)
								COBJECT(((BgL_appzd2lyzd2_bglt) BgL_nodez00_2104)))->
							BgL_funz00), BgL_stackz00_2105)), BUNSPEC);
			((((BgL_appzd2lyzd2_bglt) COBJECT(((BgL_appzd2lyzd2_bglt)
								BgL_nodez00_2104)))->BgL_argz00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_appzd2lyzd2_bglt)
								COBJECT(((BgL_appzd2lyzd2_bglt) BgL_nodez00_2104)))->
							BgL_argz00), BgL_stackz00_2105)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2104));
		}

	}



/* &node-beta!-app1264 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2app1264z70zzbeta_walkz00(obj_t
		BgL_envz00_2106, obj_t BgL_nodez00_2107, obj_t BgL_stackz00_2108)
	{
		{	/* Beta/walk.scm 73 */
			{	/* Beta/walk.scm 74 */
				BgL_nodez00_bglt BgL_arg1409z00_2180;

				{	/* Beta/walk.scm 74 */
					BgL_varz00_bglt BgL_arg1435z00_2181;

					BgL_arg1435z00_2181 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_2107)))->BgL_funz00);
					BgL_arg1409z00_2180 =
						BGl_nodezd2betaz12zc0zzbeta_walkz00(
						((BgL_nodez00_bglt) BgL_arg1435z00_2181), BgL_stackz00_2108);
				}
				((((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_2107)))->BgL_funz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_arg1409z00_2180)), BUNSPEC);
			}
			{	/* Beta/walk.scm 75 */
				obj_t BgL_l01247z00_2182;

				BgL_l01247z00_2182 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_2107)))->BgL_argsz00);
				{
					obj_t BgL_l1246z00_2184;

					BgL_l1246z00_2184 = BgL_l01247z00_2182;
				BgL_zc3z04anonymousza31436ze3z87_2183:
					if (NULLP(BgL_l1246z00_2184))
						{	/* Beta/walk.scm 88 */
							BgL_l01247z00_2182;
						}
					else
						{	/* Beta/walk.scm 88 */
							{	/* Beta/walk.scm 76 */
								obj_t BgL_arg1445z00_2185;

								{	/* Beta/walk.scm 76 */
									obj_t BgL_nz00_2186;

									BgL_nz00_2186 = CAR(((obj_t) BgL_l1246z00_2184));
									{	/* Beta/walk.scm 76 */
										bool_t BgL_test1930z00_2641;

										if (BGl_isazf3zf3zz__objectz00(BgL_nz00_2186,
												BGl_varz00zzast_nodez00))
											{	/* Beta/walk.scm 76 */
												BgL_variablez00_bglt BgL_arg1533z00_2187;

												BgL_arg1533z00_2187 =
													(((BgL_varz00_bglt) COBJECT(
															((BgL_varz00_bglt) BgL_nz00_2186)))->
													BgL_variablez00);
												BgL_test1930z00_2641 =
													BGl_isazf3zf3zz__objectz00(((obj_t)
														BgL_arg1533z00_2187), BGl_localz00zzast_varz00);
											}
										else
											{	/* Beta/walk.scm 76 */
												BgL_test1930z00_2641 = ((bool_t) 0);
											}
										if (BgL_test1930z00_2641)
											{	/* Beta/walk.scm 77 */
												obj_t BgL_redz00_2188;

												BgL_redz00_2188 =
													BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
													((obj_t)
														(((BgL_varz00_bglt) COBJECT(
																	((BgL_varz00_bglt) BgL_nz00_2186)))->
															BgL_variablez00)), BgL_stackz00_2108);
												if (PAIRP(BgL_redz00_2188))
													{	/* Beta/walk.scm 81 */
														bool_t BgL_test1933z00_2654;

														{	/* Beta/walk.scm 81 */
															obj_t BgL_arg1529z00_2189;

															BgL_arg1529z00_2189 = CDR(BgL_redz00_2188);
															BgL_test1933z00_2654 =
																BGl_isazf3zf3zz__objectz00(BgL_arg1529z00_2189,
																BGl_literalz00zzast_nodez00);
														}
														if (BgL_test1933z00_2654)
															{	/* Beta/walk.scm 82 */
																BgL_nodez00_bglt BgL_duplicated1114z00_2190;
																BgL_literalz00_bglt BgL_new1112z00_2191;

																BgL_duplicated1114z00_2190 =
																	((BgL_nodez00_bglt) CDR(BgL_redz00_2188));
																{	/* Beta/walk.scm 82 */
																	BgL_literalz00_bglt BgL_new1116z00_2192;

																	BgL_new1116z00_2192 =
																		((BgL_literalz00_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_literalz00_bgl))));
																	{	/* Beta/walk.scm 82 */
																		long BgL_arg1500z00_2193;

																		BgL_arg1500z00_2193 =
																			BGL_CLASS_INDEX
																			(BGl_literalz00zzast_nodez00);
																		BGL_OBJECT_CLASS_NUM_SET((
																				(BgL_objectz00_bglt)
																				BgL_new1116z00_2192),
																			BgL_arg1500z00_2193);
																	}
																	{	/* Beta/walk.scm 82 */
																		BgL_objectz00_bglt BgL_tmpz00_2663;

																		BgL_tmpz00_2663 =
																			((BgL_objectz00_bglt)
																			BgL_new1116z00_2192);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2663,
																			BFALSE);
																	}
																	((BgL_objectz00_bglt) BgL_new1116z00_2192);
																	BgL_new1112z00_2191 = BgL_new1116z00_2192;
																}
																((((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					BgL_new1112z00_2191)))->BgL_locz00) =
																	((obj_t) (((BgL_nodez00_bglt)
																				COBJECT(BgL_duplicated1114z00_2190))->
																			BgL_locz00)), BUNSPEC);
																((((BgL_nodez00_bglt)
																			COBJECT(((BgL_nodez00_bglt)
																					BgL_new1112z00_2191)))->BgL_typez00) =
																	((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																				COBJECT(BgL_duplicated1114z00_2190))->
																			BgL_typez00)), BUNSPEC);
																((((BgL_atomz00_bglt)
																			COBJECT(((BgL_atomz00_bglt)
																					BgL_new1112z00_2191)))->
																		BgL_valuez00) =
																	((obj_t) (((BgL_atomz00_bglt)
																				COBJECT(((BgL_atomz00_bglt)
																						BgL_duplicated1114z00_2190)))->
																			BgL_valuez00)), BUNSPEC);
																BgL_arg1445z00_2185 =
																	((obj_t) BgL_new1112z00_2191);
															}
														else
															{	/* Beta/walk.scm 83 */
																bool_t BgL_test1934z00_2678;

																{	/* Beta/walk.scm 83 */
																	obj_t BgL_arg1527z00_2194;

																	BgL_arg1527z00_2194 = CDR(BgL_redz00_2188);
																	BgL_test1934z00_2678 =
																		BGl_isazf3zf3zz__objectz00
																		(BgL_arg1527z00_2194,
																		BGl_patchz00zzast_nodez00);
																}
																if (BgL_test1934z00_2678)
																	{	/* Beta/walk.scm 84 */
																		BgL_nodez00_bglt BgL_duplicated1119z00_2195;
																		BgL_patchz00_bglt BgL_new1117z00_2196;

																		BgL_duplicated1119z00_2195 =
																			((BgL_nodez00_bglt) CDR(BgL_redz00_2188));
																		{	/* Beta/walk.scm 84 */
																			BgL_patchz00_bglt BgL_new1124z00_2197;

																			BgL_new1124z00_2197 =
																				((BgL_patchz00_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_patchz00_bgl))));
																			{	/* Beta/walk.scm 84 */
																				long BgL_arg1520z00_2198;

																				BgL_arg1520z00_2198 =
																					BGL_CLASS_INDEX
																					(BGl_patchz00zzast_nodez00);
																				BGL_OBJECT_CLASS_NUM_SET((
																						(BgL_objectz00_bglt)
																						BgL_new1124z00_2197),
																					BgL_arg1520z00_2198);
																			}
																			{	/* Beta/walk.scm 84 */
																				BgL_objectz00_bglt BgL_tmpz00_2687;

																				BgL_tmpz00_2687 =
																					((BgL_objectz00_bglt)
																					BgL_new1124z00_2197);
																				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2687,
																					BFALSE);
																			}
																			((BgL_objectz00_bglt)
																				BgL_new1124z00_2197);
																			BgL_new1117z00_2196 = BgL_new1124z00_2197;
																		}
																		((((BgL_nodez00_bglt) COBJECT(
																						((BgL_nodez00_bglt)
																							BgL_new1117z00_2196)))->
																				BgL_locz00) =
																			((obj_t) (((BgL_nodez00_bglt)
																						COBJECT
																						(BgL_duplicated1119z00_2195))->
																					BgL_locz00)), BUNSPEC);
																		((((BgL_nodez00_bglt)
																					COBJECT(((BgL_nodez00_bglt)
																							BgL_new1117z00_2196)))->
																				BgL_typez00) =
																			((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																						COBJECT
																						(BgL_duplicated1119z00_2195))->
																					BgL_typez00)), BUNSPEC);
																		((((BgL_atomz00_bglt)
																					COBJECT(((BgL_atomz00_bglt)
																							BgL_new1117z00_2196)))->
																				BgL_valuez00) =
																			((obj_t) (((BgL_atomz00_bglt)
																						COBJECT(((BgL_atomz00_bglt)
																								BgL_duplicated1119z00_2195)))->
																					BgL_valuez00)), BUNSPEC);
																		((((BgL_patchz00_bglt)
																					COBJECT(BgL_new1117z00_2196))->
																				BgL_refz00) =
																			((BgL_varz00_bglt) (((BgL_patchz00_bglt)
																						COBJECT(((BgL_patchz00_bglt)
																								BgL_duplicated1119z00_2195)))->
																					BgL_refz00)), BUNSPEC);
																		((((BgL_patchz00_bglt)
																					COBJECT(BgL_new1117z00_2196))->
																				BgL_indexz00) =
																			((long) (((BgL_patchz00_bglt)
																						COBJECT(((BgL_patchz00_bglt)
																								BgL_duplicated1119z00_2195)))->
																					BgL_indexz00)), BUNSPEC);
																		((((BgL_patchz00_bglt)
																					COBJECT(BgL_new1117z00_2196))->
																				BgL_patchidz00) =
																			((obj_t) (((BgL_patchz00_bglt)
																						COBJECT(((BgL_patchz00_bglt)
																								BgL_duplicated1119z00_2195)))->
																					BgL_patchidz00)), BUNSPEC);
																		BgL_arg1445z00_2185 =
																			((obj_t) BgL_new1117z00_2196);
																	}
																else
																	{	/* Beta/walk.scm 83 */
																		BgL_arg1445z00_2185 =
																			BGl_errorz00zz__errorz00
																			(BGl_string1848z00zzbeta_walkz00,
																			BGl_string1866z00zzbeta_walkz00,
																			bgl_typeof(CDR(BgL_redz00_2188)));
																	}
															}
													}
												else
													{	/* Beta/walk.scm 79 */
														BgL_arg1445z00_2185 = BgL_nz00_2186;
													}
											}
										else
											{	/* Beta/walk.scm 76 */
												BgL_arg1445z00_2185 =
													((obj_t)
													BGl_nodezd2betaz12zc0zzbeta_walkz00(
														((BgL_nodez00_bglt) BgL_nz00_2186),
														BgL_stackz00_2108));
											}
									}
								}
								{	/* Beta/walk.scm 88 */
									obj_t BgL_tmpz00_2717;

									BgL_tmpz00_2717 = ((obj_t) BgL_l1246z00_2184);
									SET_CAR(BgL_tmpz00_2717, BgL_arg1445z00_2185);
								}
							}
							{	/* Beta/walk.scm 88 */
								obj_t BgL_arg1540z00_2199;

								BgL_arg1540z00_2199 = CDR(((obj_t) BgL_l1246z00_2184));
								{
									obj_t BgL_l1246z00_2722;

									BgL_l1246z00_2722 = BgL_arg1540z00_2199;
									BgL_l1246z00_2184 = BgL_l1246z00_2722;
									goto BgL_zc3z04anonymousza31436ze3z87_2183;
								}
							}
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_2107));
		}

	}



/* &node-beta!-sync1262 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2sync1262z70zzbeta_walkz00(obj_t
		BgL_envz00_2109, obj_t BgL_nodez00_2110, obj_t BgL_stackz00_2111)
	{
		{	/* Beta/walk.scm 64 */
			((((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2110)))->BgL_mutexz00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_syncz00_bglt)
								COBJECT(((BgL_syncz00_bglt) BgL_nodez00_2110)))->BgL_mutexz00),
						BgL_stackz00_2111)), BUNSPEC);
			((((BgL_syncz00_bglt) COBJECT(((BgL_syncz00_bglt) BgL_nodez00_2110)))->
					BgL_prelockz00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_syncz00_bglt)
								COBJECT(((BgL_syncz00_bglt) BgL_nodez00_2110)))->
							BgL_prelockz00), BgL_stackz00_2111)), BUNSPEC);
			((((BgL_syncz00_bglt) COBJECT(((BgL_syncz00_bglt) BgL_nodez00_2110)))->
					BgL_bodyz00) =
				((BgL_nodez00_bglt)
					BGl_nodezd2betaz12zc0zzbeta_walkz00((((BgL_syncz00_bglt)
								COBJECT(((BgL_syncz00_bglt) BgL_nodez00_2110)))->BgL_bodyz00),
						BgL_stackz00_2111)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_2110));
		}

	}



/* &node-beta!-sequence1260 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2sequence1260z70zzbeta_walkz00(obj_t
		BgL_envz00_2112, obj_t BgL_nodez00_2113, obj_t BgL_stackz00_2114)
	{
		{	/* Beta/walk.scm 57 */
			BGl_nodezd2betaza2z12z62zzbeta_walkz00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_2113)))->BgL_nodesz00),
				BgL_stackz00_2114);
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nodez00_2113));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzbeta_walkz00()
	{
		{	/* Beta/walk.scm 18 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1867z00zzbeta_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1867z00zzbeta_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string1867z00zzbeta_walkz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1867z00zzbeta_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1867z00zzbeta_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1867z00zzbeta_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1867z00zzbeta_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1867z00zzbeta_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long) 460136018),
				BSTRING_TO_STRING(BGl_string1867z00zzbeta_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 311443803),
				BSTRING_TO_STRING(BGl_string1867z00zzbeta_walkz00));
			BGl_modulezd2initializa7ationz75zzast_occurz00(((long) 282085879),
				BSTRING_TO_STRING(BGl_string1867z00zzbeta_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzast_removez00(((long) 383247627),
				BSTRING_TO_STRING(BGl_string1867z00zzbeta_walkz00));
		}

	}

#ifdef __cplusplus
}
#endif
