/*===========================================================================*/
/*   (Cfa/box.scm)                                                           */
/*   Bigloo (4.4b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon 22 Mar 2021 06:56:16 PM CET     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.4b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/box.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_prezd2makezd2boxz00_bgl
	{
	}                          *BgL_prezd2makezd2boxz00_bglt;

	typedef struct BgL_makezd2boxzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                            *BgL_makezd2boxzf2cinfoz20_bglt;

	typedef struct BgL_makezd2boxzf2ozd2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
	}                                *BgL_makezd2boxzf2ozd2cinfozf2_bglt;

	typedef struct BgL_boxzd2setz12zf2cinfoz32_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                              *BgL_boxzd2setz12zf2cinfoz32_bglt;

	typedef struct BgL_boxzd2refzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                           *BgL_boxzd2refzf2cinfoz20_bglt;

	typedef struct BgL_boxzd2setz12zf2ozd2cinfoze0_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                                  *BgL_boxzd2setz12zf2ozd2cinfoze0_bglt;

	typedef struct BgL_boxzd2refzf2ozd2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_boxzd2refzf2ozd2cinfozf2_bglt;


	static obj_t BGl_objectzd2initzd2zzcfa_boxz00();
	extern obj_t BGl_boxzd2setz12zf2Cinfoz32zzcfa_infoz00;
	extern obj_t BGl_prezd2makezd2boxz00zzcfa_infoz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern obj_t BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(obj_t,
		BgL_approxz00_bglt);
	extern obj_t BGl_boxzd2refzf2Ozd2Cinfozf2zzcfa_infoz00;
	extern obj_t BGl_makezd2boxzf2Cinfoz20zzcfa_infoz00;
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzcfa_boxz00();
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern BgL_approxz00_bglt
		BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_approxz00_bglt);
	static obj_t BGl_gczd2rootszd2initz00zzcfa_boxz00();
	extern BgL_approxz00_bglt BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31584ze3ze5zzcfa_boxz00(obj_t, obj_t);
	extern obj_t BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_approxz00_bglt);
	extern obj_t BGl_za2optimza2z00zzengine_paramz00;
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_boxz00 = BUNSPEC;
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2boxzd2setz12zf2Ozd2Cinf1527z42zzcfa_boxz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_z62nodezd2setupz12zd2boxzd2ref1521za2zzcfa_boxz00(obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zzcfa_boxz00();
	static obj_t BGl_z62nodezd2setupz12zd2boxzd2setz121519zb0zzcfa_boxz00(obj_t,
		obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62nodezd2setupz12zd2makezd2box1515za2zzcfa_boxz00(obj_t,
		obj_t);
	static obj_t BGl_genericzd2initzd2zzcfa_boxz00();
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern BgL_approxz00_bglt BGl_loosez12z12zzcfa_loosez00(BgL_approxz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2boxzd2refzf2Ozd2Cinfo1525z50zzcfa_boxz00(obj_t, obj_t);
	extern obj_t BGl_nodezd2setupz12zc0zzcfa_setupz00(BgL_nodez00_bglt);
	extern BgL_approxz00_bglt
		BGl_makezd2typezd2alloczd2approxzd2zzcfa_approxz00(BgL_typez00_bglt,
		BgL_nodez00_bglt);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t BGl_z62zc3z04anonymousza31606ze3ze5zzcfa_boxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_boxz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_closurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_iteratez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setupz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_loosez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_boxzd2setz12zf2Ozd2Cinfoze0zzcfa_infoz00;
	static obj_t BGl_z62nodezd2setupz12zd2prezd2make1517za2zzcfa_boxz00(obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zzcfa_boxz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_boxz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_boxz00();
	static obj_t BGl_z62loosezd2allocz12zd2makezd2bo1529za2zzcfa_boxz00(obj_t,
		obj_t);
	extern BgL_approxz00_bglt
		BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_typez00_bglt);
	extern obj_t BGl_makezd2boxzf2Ozd2Cinfozf2zzcfa_infoz00;
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2makezd2boxzf2Ozd2Cinf1523z50zzcfa_boxz00(obj_t, obj_t);
	extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
	extern obj_t BGl_boxzd2refzf2Cinfoz20zzcfa_infoz00;
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static obj_t __cnst[1];


	extern obj_t BGl_cfaz12zd2envzc0zzcfa_cfaz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1933z00zzcfa_boxz00,
		BgL_bgl_za762nodeza7d2setupza71950za7,
		BGl_z62nodezd2setupz12zd2makezd2box1515za2zzcfa_boxz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1935z00zzcfa_boxz00,
		BgL_bgl_za762nodeza7d2setupza71951za7,
		BGl_z62nodezd2setupz12zd2prezd2make1517za2zzcfa_boxz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1936z00zzcfa_boxz00,
		BgL_bgl_za762nodeza7d2setupza71952za7,
		BGl_z62nodezd2setupz12zd2boxzd2setz121519zb0zzcfa_boxz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1937z00zzcfa_boxz00,
		BgL_bgl_za762nodeza7d2setupza71953za7,
		BGl_z62nodezd2setupz12zd2boxzd2ref1521za2zzcfa_boxz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1938z00zzcfa_boxz00,
		BgL_bgl_za762cfaza712za7d2make1954za7,
		BGl_z62cfaz12zd2makezd2boxzf2Ozd2Cinf1523z50zzcfa_boxz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1940z00zzcfa_boxz00,
		BgL_bgl_za762cfaza712za7d2boxza71955z00,
		BGl_z62cfaz12zd2boxzd2refzf2Ozd2Cinfo1525z50zzcfa_boxz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1941z00zzcfa_boxz00,
		BgL_bgl_za762cfaza712za7d2boxza71956z00,
		BGl_z62cfaz12zd2boxzd2setz12zf2Ozd2Cinf1527z42zzcfa_boxz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1942z00zzcfa_boxz00,
		BgL_bgl_za762looseza7d2alloc1957z00,
		BGl_z62loosezd2allocz12zd2makezd2bo1529za2zzcfa_boxz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_nodezd2setupz12zd2envz12zzcfa_setupz00;
	   
		 
		DEFINE_STRING(BGl_string1934z00zzcfa_boxz00,
		BgL_bgl_string1934za700za7za7c1958za7, "node-setup!", 11);
	      DEFINE_STRING(BGl_string1939z00zzcfa_boxz00,
		BgL_bgl_string1939za700za7za7c1959za7, "cfa!::approx", 12);
	      DEFINE_STRING(BGl_string1943z00zzcfa_boxz00,
		BgL_bgl_string1943za700za7za7c1960za7, "loose-alloc!", 12);
	      DEFINE_STRING(BGl_string1944z00zzcfa_boxz00,
		BgL_bgl_string1944za700za7za7c1961za7, "box-ref", 7);
	      DEFINE_STRING(BGl_string1945z00zzcfa_boxz00,
		BgL_bgl_string1945za700za7za7c1962za7,
		"Illegal mixed of optimized and unoptimize `make-box'", 52);
	      DEFINE_STRING(BGl_string1946z00zzcfa_boxz00,
		BgL_bgl_string1946za700za7za7c1963za7, "cfa_box", 7);
	      DEFINE_STRING(BGl_string1947z00zzcfa_boxz00,
		BgL_bgl_string1947za700za7za7c1964za7, "all ", 4);
	extern obj_t BGl_loosezd2allocz12zd2envz12zzcfa_loosez00;

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzcfa_boxz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_boxz00(long
		BgL_checksumz00_3560, char *BgL_fromz00_3561)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_boxz00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_boxz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcfa_boxz00();
					BGl_libraryzd2moduleszd2initz00zzcfa_boxz00();
					BGl_cnstzd2initzd2zzcfa_boxz00();
					BGl_importedzd2moduleszd2initz00zzcfa_boxz00();
					BGl_methodzd2initzd2zzcfa_boxz00();
					return BGl_toplevelzd2initzd2zzcfa_boxz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_boxz00()
	{
		{	/* Cfa/box.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "cfa_box");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_box");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"cfa_box");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"cfa_box");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"cfa_box");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_box");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_boxz00()
	{
		{	/* Cfa/box.scm 15 */
			{	/* Cfa/box.scm 15 */
				obj_t BgL_cportz00_3499;

				{	/* Cfa/box.scm 15 */
					obj_t BgL_stringz00_3507;

					BgL_stringz00_3507 = BGl_string1947z00zzcfa_boxz00;
					{	/* Cfa/box.scm 15 */
						obj_t BgL_startz00_3508;

						BgL_startz00_3508 = BINT(((long) 0));
						{	/* Cfa/box.scm 15 */
							obj_t BgL_endz00_3509;

							BgL_endz00_3509 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3507)));
							{	/* Cfa/box.scm 15 */

								BgL_cportz00_3499 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3507, BgL_startz00_3508, BgL_endz00_3509);
				}}}}
				{
					long BgL_iz00_3500;

					BgL_iz00_3500 = ((long) 0);
				BgL_loopz00_3501:
					if ((BgL_iz00_3500 == ((long) -1)))
						{	/* Cfa/box.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/box.scm 15 */
							{	/* Cfa/box.scm 15 */
								obj_t BgL_arg1949z00_3503;

								{	/* Cfa/box.scm 15 */

									{	/* Cfa/box.scm 15 */
										obj_t BgL_locationz00_3505;

										BgL_locationz00_3505 = BBOOL(((bool_t) 0));
										{	/* Cfa/box.scm 15 */

											BgL_arg1949z00_3503 =
												BGl_readz00zz__readerz00(BgL_cportz00_3499,
												BgL_locationz00_3505);
										}
									}
								}
								{	/* Cfa/box.scm 15 */
									int BgL_tmpz00_3586;

									BgL_tmpz00_3586 = (int) (BgL_iz00_3500);
									CNST_TABLE_SET(BgL_tmpz00_3586, BgL_arg1949z00_3503);
							}}
							{	/* Cfa/box.scm 15 */
								int BgL_auxz00_3506;

								BgL_auxz00_3506 = (int) ((BgL_iz00_3500 - ((long) 1)));
								{
									long BgL_iz00_3591;

									BgL_iz00_3591 = (long) (BgL_auxz00_3506);
									BgL_iz00_3500 = BgL_iz00_3591;
									goto BgL_loopz00_3501;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcfa_boxz00()
	{
		{	/* Cfa/box.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_boxz00()
	{
		{	/* Cfa/box.scm 15 */
			return BUNSPEC;
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_boxz00()
	{
		{	/* Cfa/box.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_boxz00()
	{
		{	/* Cfa/box.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_boxz00()
	{
		{	/* Cfa/box.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1933z00zzcfa_boxz00,
				BGl_string1934z00zzcfa_boxz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_prezd2makezd2boxz00zzcfa_infoz00, BGl_proc1935z00zzcfa_boxz00,
				BGl_string1934z00zzcfa_boxz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1936z00zzcfa_boxz00,
				BGl_string1934z00zzcfa_boxz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1937z00zzcfa_boxz00,
				BGl_string1934z00zzcfa_boxz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_makezd2boxzf2Ozd2Cinfozf2zzcfa_infoz00, BGl_proc1938z00zzcfa_boxz00,
				BGl_string1939z00zzcfa_boxz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_boxzd2refzf2Ozd2Cinfozf2zzcfa_infoz00, BGl_proc1940z00zzcfa_boxz00,
				BGl_string1939z00zzcfa_boxz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_boxzd2setz12zf2Ozd2Cinfoze0zzcfa_infoz00,
				BGl_proc1941z00zzcfa_boxz00, BGl_string1939z00zzcfa_boxz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_loosezd2allocz12zd2envz12zzcfa_loosez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1942z00zzcfa_boxz00,
				BGl_string1943z00zzcfa_boxz00);
		}

	}



/* &loose-alloc!-make-bo1529 */
	obj_t BGl_z62loosezd2allocz12zd2makezd2bo1529za2zzcfa_boxz00(obj_t
		BgL_envz00_3469, obj_t BgL_allocz00_3470)
	{
		{	/* Cfa/box.scm 145 */
			return BUNSPEC;
		}

	}



/* &cfa!-box-set!/O-Cinf1527 */
	BgL_approxz00_bglt
		BGl_z62cfaz12zd2boxzd2setz12zf2Ozd2Cinf1527z42zzcfa_boxz00(obj_t
		BgL_envz00_3471, obj_t BgL_nodez00_3472)
	{
		{	/* Cfa/box.scm 117 */
			{	/* Cfa/box.scm 119 */
				BgL_approxz00_bglt BgL_boxzd2approxzd2_3513;
				BgL_approxz00_bglt BgL_valzd2approxzd2_3514;

				{	/* Cfa/box.scm 119 */
					BgL_varz00_bglt BgL_arg1615z00_3515;

					BgL_arg1615z00_3515 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt)
									((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3472))))->BgL_varz00);
					BgL_boxzd2approxzd2_3513 =
						BGl_cfaz12z12zzcfa_cfaz00(((BgL_nodez00_bglt) BgL_arg1615z00_3515));
				}
				{	/* Cfa/box.scm 120 */
					BgL_nodez00_bglt BgL_arg1616z00_3516;

					BgL_arg1616z00_3516 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt)
									((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3472))))->
						BgL_valuez00);
					BgL_valzd2approxzd2_3514 =
						BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1616z00_3516);
				}
				if (
					(((BgL_approxz00_bglt) COBJECT(BgL_boxzd2approxzd2_3513))->
						BgL_topzf3zf3))
					{	/* Cfa/box.scm 122 */
						((obj_t)
							BGl_loosez12z12zzcfa_loosez00(BgL_valzd2approxzd2_3514,
								CNST_TABLE_REF(((long) 0))));
					}
				else
					{	/* Cfa/box.scm 128 */
						obj_t BgL_zc3z04anonymousza31606ze3z87_3517;

						BgL_zc3z04anonymousza31606ze3z87_3517 =
							MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31606ze3ze5zzcfa_boxz00,
							(int) (((long) 1)), (int) (((long) 2)));
						PROCEDURE_SET(BgL_zc3z04anonymousza31606ze3z87_3517,
							(int) (((long) 0)),
							((obj_t) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3472)));
						PROCEDURE_SET(BgL_zc3z04anonymousza31606ze3z87_3517,
							(int) (((long) 1)), ((obj_t) BgL_valzd2approxzd2_3514));
						BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
							(BgL_zc3z04anonymousza31606ze3z87_3517, BgL_boxzd2approxzd2_3513);
			}}
			{
				BgL_boxzd2setz12zf2ozd2cinfoze0_bglt BgL_auxz00_3627;

				{
					obj_t BgL_auxz00_3628;

					{	/* Cfa/box.scm 137 */
						BgL_objectz00_bglt BgL_tmpz00_3629;

						BgL_tmpz00_3629 =
							((BgL_objectz00_bglt)
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3472));
						BgL_auxz00_3628 = BGL_OBJECT_WIDENING(BgL_tmpz00_3629);
					}
					BgL_auxz00_3627 =
						((BgL_boxzd2setz12zf2ozd2cinfoze0_bglt) BgL_auxz00_3628);
				}
				return
					(((BgL_boxzd2setz12zf2ozd2cinfoze0_bglt) COBJECT(BgL_auxz00_3627))->
					BgL_approxz00);
			}
		}

	}



/* &<@anonymous:1606> */
	obj_t BGl_z62zc3z04anonymousza31606ze3ze5zzcfa_boxz00(obj_t BgL_envz00_3473,
		obj_t BgL_boxz00_3476)
	{
		{	/* Cfa/box.scm 126 */
			{	/* Cfa/box.scm 128 */
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_3474;
				BgL_approxz00_bglt BgL_valzd2approxzd2_3475;

				BgL_nodez00_3474 =
					((BgL_boxzd2setz12zc0_bglt)
					PROCEDURE_REF(BgL_envz00_3473, (int) (((long) 0))));
				BgL_valzd2approxzd2_3475 =
					((BgL_approxz00_bglt)
					PROCEDURE_REF(BgL_envz00_3473, (int) (((long) 1))));
				if (BGl_isazf3zf3zz__objectz00(BgL_boxz00_3476,
						BGl_makezd2boxzf2Ozd2Cinfozf2zzcfa_infoz00))
					{	/* Cfa/box.scm 130 */
						BgL_approxz00_bglt BgL_arg1612z00_3518;

						{
							BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_auxz00_3643;

							{
								obj_t BgL_auxz00_3644;

								{	/* Cfa/box.scm 130 */
									BgL_objectz00_bglt BgL_tmpz00_3645;

									BgL_tmpz00_3645 =
										((BgL_objectz00_bglt)
										((BgL_makezd2boxzd2_bglt) BgL_boxz00_3476));
									BgL_auxz00_3644 = BGL_OBJECT_WIDENING(BgL_tmpz00_3645);
								}
								BgL_auxz00_3643 =
									((BgL_makezd2boxzf2ozd2cinfozf2_bglt) BgL_auxz00_3644);
							}
							BgL_arg1612z00_3518 =
								(((BgL_makezd2boxzf2ozd2cinfozf2_bglt)
									COBJECT(BgL_auxz00_3643))->BgL_valuezd2approxzd2);
						}
						return
							((obj_t)
							BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg1612z00_3518,
								BgL_valzd2approxzd2_3475));
					}
				else
					{	/* Cfa/box.scm 128 */
						if (BGl_isazf3zf3zz__objectz00(BgL_boxz00_3476,
								BGl_makezd2boxzf2Cinfoz20zzcfa_infoz00))
							{	/* Cfa/box.scm 135 */
								obj_t BgL_arg1614z00_3519;

								BgL_arg1614z00_3519 =
									BGl_shapez00zztools_shapez00(((obj_t) BgL_nodez00_3474));
								return
									BGl_internalzd2errorzd2zztools_errorz00
									(BGl_string1944z00zzcfa_boxz00, BGl_string1945z00zzcfa_boxz00,
									BgL_arg1614z00_3519);
							}
						else
							{	/* Cfa/box.scm 131 */
								return BFALSE;
							}
					}
			}
		}

	}



/* &cfa!-box-ref/O-Cinfo1525 */
	BgL_approxz00_bglt
		BGl_z62cfaz12zd2boxzd2refzf2Ozd2Cinfo1525z50zzcfa_boxz00(obj_t
		BgL_envz00_3477, obj_t BgL_nodez00_3478)
	{
		{	/* Cfa/box.scm 97 */
			{	/* Cfa/box.scm 99 */
				BgL_approxz00_bglt BgL_boxzd2approxzd2_3521;

				{	/* Cfa/box.scm 99 */
					BgL_varz00_bglt BgL_arg1603z00_3522;

					BgL_arg1603z00_3522 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt)
									((BgL_boxzd2refzd2_bglt) BgL_nodez00_3478))))->BgL_varz00);
					BgL_boxzd2approxzd2_3521 =
						BGl_cfaz12z12zzcfa_cfaz00(((BgL_nodez00_bglt) BgL_arg1603z00_3522));
				}
				{	/* Cfa/box.scm 103 */
					obj_t BgL_zc3z04anonymousza31584ze3z87_3523;

					BgL_zc3z04anonymousza31584ze3z87_3523 =
						MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31584ze3ze5zzcfa_boxz00,
						(int) (((long) 1)), (int) (((long) 2)));
					PROCEDURE_SET(BgL_zc3z04anonymousza31584ze3z87_3523,
						(int) (((long) 0)),
						((obj_t) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_3478)));
					PROCEDURE_SET(BgL_zc3z04anonymousza31584ze3z87_3523,
						(int) (((long) 1)),
						((obj_t) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_3478)));
					BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
						(BgL_zc3z04anonymousza31584ze3z87_3523, BgL_boxzd2approxzd2_3521);
			}}
			{
				BgL_boxzd2refzf2ozd2cinfozf2_bglt BgL_auxz00_3675;

				{
					obj_t BgL_auxz00_3676;

					{	/* Cfa/box.scm 112 */
						BgL_objectz00_bglt BgL_tmpz00_3677;

						BgL_tmpz00_3677 =
							((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_3478));
						BgL_auxz00_3676 = BGL_OBJECT_WIDENING(BgL_tmpz00_3677);
					}
					BgL_auxz00_3675 =
						((BgL_boxzd2refzf2ozd2cinfozf2_bglt) BgL_auxz00_3676);
				}
				return
					(((BgL_boxzd2refzf2ozd2cinfozf2_bglt) COBJECT(BgL_auxz00_3675))->
					BgL_approxz00);
			}
		}

	}



/* &<@anonymous:1584> */
	obj_t BGl_z62zc3z04anonymousza31584ze3ze5zzcfa_boxz00(obj_t BgL_envz00_3479,
		obj_t BgL_boxz00_3482)
	{
		{	/* Cfa/box.scm 101 */
			{	/* Cfa/box.scm 103 */
				BgL_boxzd2refzd2_bglt BgL_nodez00_3480;
				BgL_boxzd2refzd2_bglt BgL_i1191z00_3481;

				BgL_nodez00_3480 =
					((BgL_boxzd2refzd2_bglt)
					PROCEDURE_REF(BgL_envz00_3479, (int) (((long) 0))));
				BgL_i1191z00_3481 =
					((BgL_boxzd2refzd2_bglt)
					PROCEDURE_REF(BgL_envz00_3479, (int) (((long) 1))));
				if (BGl_isazf3zf3zz__objectz00(BgL_boxz00_3482,
						BGl_makezd2boxzf2Ozd2Cinfozf2zzcfa_infoz00))
					{	/* Cfa/box.scm 105 */
						BgL_approxz00_bglt BgL_arg1597z00_3524;
						BgL_approxz00_bglt BgL_arg1598z00_3525;

						{
							BgL_boxzd2refzf2ozd2cinfozf2_bglt BgL_auxz00_3691;

							{
								obj_t BgL_auxz00_3692;

								{	/* Cfa/box.scm 105 */
									BgL_objectz00_bglt BgL_tmpz00_3693;

									BgL_tmpz00_3693 = ((BgL_objectz00_bglt) BgL_i1191z00_3481);
									BgL_auxz00_3692 = BGL_OBJECT_WIDENING(BgL_tmpz00_3693);
								}
								BgL_auxz00_3691 =
									((BgL_boxzd2refzf2ozd2cinfozf2_bglt) BgL_auxz00_3692);
							}
							BgL_arg1597z00_3524 =
								(((BgL_boxzd2refzf2ozd2cinfozf2_bglt)
									COBJECT(BgL_auxz00_3691))->BgL_approxz00);
						}
						{
							BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_auxz00_3698;

							{
								obj_t BgL_auxz00_3699;

								{	/* Cfa/box.scm 105 */
									BgL_objectz00_bglt BgL_tmpz00_3700;

									BgL_tmpz00_3700 =
										((BgL_objectz00_bglt)
										((BgL_makezd2boxzd2_bglt) BgL_boxz00_3482));
									BgL_auxz00_3699 = BGL_OBJECT_WIDENING(BgL_tmpz00_3700);
								}
								BgL_auxz00_3698 =
									((BgL_makezd2boxzf2ozd2cinfozf2_bglt) BgL_auxz00_3699);
							}
							BgL_arg1598z00_3525 =
								(((BgL_makezd2boxzf2ozd2cinfozf2_bglt)
									COBJECT(BgL_auxz00_3698))->BgL_valuezd2approxzd2);
						}
						return
							((obj_t)
							BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg1597z00_3524,
								BgL_arg1598z00_3525));
					}
				else
					{	/* Cfa/box.scm 103 */
						if (BGl_isazf3zf3zz__objectz00(BgL_boxz00_3482,
								BGl_makezd2boxzf2Cinfoz20zzcfa_infoz00))
							{	/* Cfa/box.scm 110 */
								obj_t BgL_arg1600z00_3526;

								BgL_arg1600z00_3526 =
									BGl_shapez00zztools_shapez00(((obj_t) BgL_nodez00_3480));
								return
									BGl_internalzd2errorzd2zztools_errorz00
									(BGl_string1944z00zzcfa_boxz00, BGl_string1945z00zzcfa_boxz00,
									BgL_arg1600z00_3526);
							}
						else
							{	/* Cfa/box.scm 106 */
								return BFALSE;
							}
					}
			}
		}

	}



/* &cfa!-make-box/O-Cinf1523 */
	BgL_approxz00_bglt
		BGl_z62cfaz12zd2makezd2boxzf2Ozd2Cinf1523z50zzcfa_boxz00(obj_t
		BgL_envz00_3483, obj_t BgL_nodez00_3484)
	{
		{	/* Cfa/box.scm 87 */
			{	/* Cfa/box.scm 90 */
				BgL_approxz00_bglt BgL_initzd2valuezd2approxz00_3528;

				{	/* Cfa/box.scm 90 */
					BgL_nodez00_bglt BgL_arg1582z00_3529;

					BgL_arg1582z00_3529 =
						(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_nodez00_3484))))->BgL_valuez00);
					BgL_initzd2valuezd2approxz00_3528 =
						BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1582z00_3529);
				}
				{	/* Cfa/box.scm 91 */
					BgL_approxz00_bglt BgL_arg1580z00_3530;

					{
						BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_auxz00_3717;

						{
							obj_t BgL_auxz00_3718;

							{	/* Cfa/box.scm 91 */
								BgL_objectz00_bglt BgL_tmpz00_3719;

								BgL_tmpz00_3719 =
									((BgL_objectz00_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_nodez00_3484));
								BgL_auxz00_3718 = BGL_OBJECT_WIDENING(BgL_tmpz00_3719);
							}
							BgL_auxz00_3717 =
								((BgL_makezd2boxzf2ozd2cinfozf2_bglt) BgL_auxz00_3718);
						}
						BgL_arg1580z00_3530 =
							(((BgL_makezd2boxzf2ozd2cinfozf2_bglt) COBJECT(BgL_auxz00_3717))->
							BgL_valuezd2approxzd2);
					}
					BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg1580z00_3530,
						BgL_initzd2valuezd2approxz00_3528);
				}
				{
					BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_auxz00_3726;

					{
						obj_t BgL_auxz00_3727;

						{	/* Cfa/box.scm 92 */
							BgL_objectz00_bglt BgL_tmpz00_3728;

							BgL_tmpz00_3728 =
								((BgL_objectz00_bglt)
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_3484));
							BgL_auxz00_3727 = BGL_OBJECT_WIDENING(BgL_tmpz00_3728);
						}
						BgL_auxz00_3726 =
							((BgL_makezd2boxzf2ozd2cinfozf2_bglt) BgL_auxz00_3727);
					}
					return
						(((BgL_makezd2boxzf2ozd2cinfozf2_bglt) COBJECT(BgL_auxz00_3726))->
						BgL_approxz00);
				}
			}
		}

	}



/* &node-setup!-box-ref1521 */
	obj_t BGl_z62nodezd2setupz12zd2boxzd2ref1521za2zzcfa_boxz00(obj_t
		BgL_envz00_3485, obj_t BgL_nodez00_3486)
	{
		{	/* Cfa/box.scm 73 */
			{	/* Cfa/box.scm 75 */
				BgL_varz00_bglt BgL_arg1569z00_3532;

				BgL_arg1569z00_3532 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_3486)))->BgL_varz00);
				BGl_nodezd2setupz12zc0zzcfa_setupz00(
					((BgL_nodez00_bglt) BgL_arg1569z00_3532));
			}
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 1)))
				{	/* Cfa/box.scm 76 */
					{	/* Cfa/box.scm 77 */
						BgL_boxzd2refzf2ozd2cinfozf2_bglt BgL_wide1184z00_3533;

						BgL_wide1184z00_3533 =
							((BgL_boxzd2refzf2ozd2cinfozf2_bglt)
							BOBJECT(GC_MALLOC(sizeof(struct
										BgL_boxzd2refzf2ozd2cinfozf2_bgl))));
						{	/* Cfa/box.scm 77 */
							obj_t BgL_auxz00_3746;
							BgL_objectz00_bglt BgL_tmpz00_3742;

							BgL_auxz00_3746 = ((obj_t) BgL_wide1184z00_3533);
							BgL_tmpz00_3742 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2refzd2_bglt)
									((BgL_boxzd2refzd2_bglt) BgL_nodez00_3486)));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3742, BgL_auxz00_3746);
						}
						((BgL_objectz00_bglt)
							((BgL_boxzd2refzd2_bglt)
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_3486)));
						{	/* Cfa/box.scm 77 */
							long BgL_arg1571z00_3534;

							BgL_arg1571z00_3534 =
								BGL_CLASS_INDEX(BGl_boxzd2refzf2Ozd2Cinfozf2zzcfa_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_boxzd2refzd2_bglt)
										((BgL_boxzd2refzd2_bglt) BgL_nodez00_3486))),
								BgL_arg1571z00_3534);
						}
						((BgL_boxzd2refzd2_bglt)
							((BgL_boxzd2refzd2_bglt)
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_3486)));
					}
					{
						BgL_boxzd2refzf2ozd2cinfozf2_bglt BgL_auxz00_3760;

						{
							obj_t BgL_auxz00_3761;

							{	/* Cfa/box.scm 78 */
								BgL_objectz00_bglt BgL_tmpz00_3762;

								BgL_tmpz00_3762 =
									((BgL_objectz00_bglt)
									((BgL_boxzd2refzd2_bglt)
										((BgL_boxzd2refzd2_bglt) BgL_nodez00_3486)));
								BgL_auxz00_3761 = BGL_OBJECT_WIDENING(BgL_tmpz00_3762);
							}
							BgL_auxz00_3760 =
								((BgL_boxzd2refzf2ozd2cinfozf2_bglt) BgL_auxz00_3761);
						}
						((((BgL_boxzd2refzf2ozd2cinfozf2_bglt) COBJECT(BgL_auxz00_3760))->
								BgL_approxz00) =
							((BgL_approxz00_bglt)
								BGl_makezd2typezd2approxz00zzcfa_approxz00(((BgL_typez00_bglt)
										BGl_za2objza2z00zztype_cachez00))), BUNSPEC);
					}
					return
						((obj_t)
						((BgL_boxzd2refzd2_bglt)
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_3486)));
				}
			else
				{	/* Cfa/box.scm 76 */
					{	/* Cfa/box.scm 80 */
						BgL_boxzd2refzf2cinfoz20_bglt BgL_wide1188z00_3535;

						BgL_wide1188z00_3535 =
							((BgL_boxzd2refzf2cinfoz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_boxzd2refzf2cinfoz20_bgl))));
						{	/* Cfa/box.scm 80 */
							obj_t BgL_auxz00_3779;
							BgL_objectz00_bglt BgL_tmpz00_3775;

							BgL_auxz00_3779 = ((obj_t) BgL_wide1188z00_3535);
							BgL_tmpz00_3775 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2refzd2_bglt)
									((BgL_boxzd2refzd2_bglt) BgL_nodez00_3486)));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3775, BgL_auxz00_3779);
						}
						((BgL_objectz00_bglt)
							((BgL_boxzd2refzd2_bglt)
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_3486)));
						{	/* Cfa/box.scm 80 */
							long BgL_arg1573z00_3536;

							BgL_arg1573z00_3536 =
								BGL_CLASS_INDEX(BGl_boxzd2refzf2Cinfoz20zzcfa_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_boxzd2refzd2_bglt)
										((BgL_boxzd2refzd2_bglt) BgL_nodez00_3486))),
								BgL_arg1573z00_3536);
						}
						((BgL_boxzd2refzd2_bglt)
							((BgL_boxzd2refzd2_bglt)
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_3486)));
					}
					{
						BgL_boxzd2refzf2cinfoz20_bglt BgL_auxz00_3793;

						{
							obj_t BgL_auxz00_3794;

							{	/* Cfa/box.scm 81 */
								BgL_objectz00_bglt BgL_tmpz00_3795;

								BgL_tmpz00_3795 =
									((BgL_objectz00_bglt)
									((BgL_boxzd2refzd2_bglt)
										((BgL_boxzd2refzd2_bglt) BgL_nodez00_3486)));
								BgL_auxz00_3794 = BGL_OBJECT_WIDENING(BgL_tmpz00_3795);
							}
							BgL_auxz00_3793 =
								((BgL_boxzd2refzf2cinfoz20_bglt) BgL_auxz00_3794);
						}
						((((BgL_boxzd2refzf2cinfoz20_bglt) COBJECT(BgL_auxz00_3793))->
								BgL_approxz00) =
							((BgL_approxz00_bglt)
								BGl_makezd2typezd2approxz00zzcfa_approxz00(((BgL_typez00_bglt)
										BGl_za2objza2z00zztype_cachez00))), BUNSPEC);
					}
					((BgL_boxzd2refzd2_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_3486));
					{	/* Cfa/box.scm 82 */
						BgL_approxz00_bglt BgL_arg1579z00_3537;

						{
							BgL_boxzd2refzf2cinfoz20_bglt BgL_auxz00_3806;

							{
								obj_t BgL_auxz00_3807;

								{	/* Cfa/box.scm 82 */
									BgL_objectz00_bglt BgL_tmpz00_3808;

									BgL_tmpz00_3808 =
										((BgL_objectz00_bglt)
										((BgL_boxzd2refzd2_bglt)
											((BgL_boxzd2refzd2_bglt) BgL_nodez00_3486)));
									BgL_auxz00_3807 = BGL_OBJECT_WIDENING(BgL_tmpz00_3808);
								}
								BgL_auxz00_3806 =
									((BgL_boxzd2refzf2cinfoz20_bglt) BgL_auxz00_3807);
							}
							BgL_arg1579z00_3537 =
								(((BgL_boxzd2refzf2cinfoz20_bglt) COBJECT(BgL_auxz00_3806))->
								BgL_approxz00);
						}
						return
							BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_arg1579z00_3537);
					}
				}
		}

	}



/* &node-setup!-box-set!1519 */
	obj_t BGl_z62nodezd2setupz12zd2boxzd2setz121519zb0zzcfa_boxz00(obj_t
		BgL_envz00_3487, obj_t BgL_nodez00_3488)
	{
		{	/* Cfa/box.scm 60 */
			{	/* Cfa/box.scm 62 */
				BgL_varz00_bglt BgL_arg1559z00_3539;

				BgL_arg1559z00_3539 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3488)))->BgL_varz00);
				BGl_nodezd2setupz12zc0zzcfa_setupz00(
					((BgL_nodez00_bglt) BgL_arg1559z00_3539));
			}
			BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3488)))->BgL_valuez00));
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 1)))
				{	/* Cfa/box.scm 64 */
					{	/* Cfa/box.scm 65 */
						BgL_boxzd2setz12zf2ozd2cinfoze0_bglt BgL_wide1174z00_3540;

						BgL_wide1174z00_3540 =
							((BgL_boxzd2setz12zf2ozd2cinfoze0_bglt)
							BOBJECT(GC_MALLOC(sizeof(struct
										BgL_boxzd2setz12zf2ozd2cinfoze0_bgl))));
						{	/* Cfa/box.scm 65 */
							obj_t BgL_auxz00_3831;
							BgL_objectz00_bglt BgL_tmpz00_3827;

							BgL_auxz00_3831 = ((obj_t) BgL_wide1174z00_3540);
							BgL_tmpz00_3827 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2setz12zc0_bglt)
									((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3488)));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3827, BgL_auxz00_3831);
						}
						((BgL_objectz00_bglt)
							((BgL_boxzd2setz12zc0_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3488)));
						{	/* Cfa/box.scm 65 */
							long BgL_arg1563z00_3541;

							BgL_arg1563z00_3541 =
								BGL_CLASS_INDEX(BGl_boxzd2setz12zf2Ozd2Cinfoze0zzcfa_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_boxzd2setz12zc0_bglt)
										((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3488))),
								BgL_arg1563z00_3541);
						}
						((BgL_boxzd2setz12zc0_bglt)
							((BgL_boxzd2setz12zc0_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3488)));
					}
					{
						BgL_boxzd2setz12zf2ozd2cinfoze0_bglt BgL_auxz00_3845;

						{
							obj_t BgL_auxz00_3846;

							{	/* Cfa/box.scm 66 */
								BgL_objectz00_bglt BgL_tmpz00_3847;

								BgL_tmpz00_3847 =
									((BgL_objectz00_bglt)
									((BgL_boxzd2setz12zc0_bglt)
										((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3488)));
								BgL_auxz00_3846 = BGL_OBJECT_WIDENING(BgL_tmpz00_3847);
							}
							BgL_auxz00_3845 =
								((BgL_boxzd2setz12zf2ozd2cinfoze0_bglt) BgL_auxz00_3846);
						}
						((((BgL_boxzd2setz12zf2ozd2cinfoze0_bglt)
									COBJECT(BgL_auxz00_3845))->BgL_approxz00) =
							((BgL_approxz00_bglt)
								BGl_makezd2typezd2approxz00zzcfa_approxz00(((BgL_typez00_bglt)
										BGl_za2unspecza2z00zztype_cachez00))), BUNSPEC);
					}
					return
						((obj_t)
						((BgL_boxzd2setz12zc0_bglt)
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3488)));
				}
			else
				{	/* Cfa/box.scm 64 */
					{	/* Cfa/box.scm 67 */
						BgL_boxzd2setz12zf2cinfoz32_bglt BgL_wide1178z00_3542;

						BgL_wide1178z00_3542 =
							((BgL_boxzd2setz12zf2cinfoz32_bglt)
							BOBJECT(GC_MALLOC(sizeof(struct
										BgL_boxzd2setz12zf2cinfoz32_bgl))));
						{	/* Cfa/box.scm 67 */
							obj_t BgL_auxz00_3864;
							BgL_objectz00_bglt BgL_tmpz00_3860;

							BgL_auxz00_3864 = ((obj_t) BgL_wide1178z00_3542);
							BgL_tmpz00_3860 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2setz12zc0_bglt)
									((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3488)));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3860, BgL_auxz00_3864);
						}
						((BgL_objectz00_bglt)
							((BgL_boxzd2setz12zc0_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3488)));
						{	/* Cfa/box.scm 67 */
							long BgL_arg1568z00_3543;

							BgL_arg1568z00_3543 =
								BGL_CLASS_INDEX(BGl_boxzd2setz12zf2Cinfoz32zzcfa_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_boxzd2setz12zc0_bglt)
										((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3488))),
								BgL_arg1568z00_3543);
						}
						((BgL_boxzd2setz12zc0_bglt)
							((BgL_boxzd2setz12zc0_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3488)));
					}
					{
						BgL_boxzd2setz12zf2cinfoz32_bglt BgL_auxz00_3878;

						{
							obj_t BgL_auxz00_3879;

							{	/* Cfa/box.scm 68 */
								BgL_objectz00_bglt BgL_tmpz00_3880;

								BgL_tmpz00_3880 =
									((BgL_objectz00_bglt)
									((BgL_boxzd2setz12zc0_bglt)
										((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3488)));
								BgL_auxz00_3879 = BGL_OBJECT_WIDENING(BgL_tmpz00_3880);
							}
							BgL_auxz00_3878 =
								((BgL_boxzd2setz12zf2cinfoz32_bglt) BgL_auxz00_3879);
						}
						((((BgL_boxzd2setz12zf2cinfoz32_bglt) COBJECT(BgL_auxz00_3878))->
								BgL_approxz00) =
							((BgL_approxz00_bglt)
								BGl_makezd2typezd2approxz00zzcfa_approxz00(((BgL_typez00_bglt)
										BGl_za2unspecza2z00zztype_cachez00))), BUNSPEC);
					}
					return
						((obj_t)
						((BgL_boxzd2setz12zc0_bglt)
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3488)));
				}
		}

	}



/* &node-setup!-pre-make1517 */
	obj_t BGl_z62nodezd2setupz12zd2prezd2make1517za2zzcfa_boxz00(obj_t
		BgL_envz00_3489, obj_t BgL_nodez00_3490)
	{
		{	/* Cfa/box.scm 46 */
			{	/* Cfa/box.scm 48 */
				BgL_nodez00_bglt BgL_arg1546z00_3545;

				BgL_arg1546z00_3545 =
					(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt)
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_3490))))->BgL_valuez00);
				BGl_nodezd2setupz12zc0zzcfa_setupz00(BgL_arg1546z00_3545);
			}
			{	/* Cfa/box.scm 49 */
				BgL_makezd2boxzd2_bglt BgL_nodez00_3546;

				{	/* Cfa/box.scm 49 */
					long BgL_arg1555z00_3547;

					{	/* Cfa/box.scm 49 */
						obj_t BgL_arg1557z00_3548;

						{	/* Cfa/box.scm 49 */
							obj_t BgL_arg1558z00_3549;

							{	/* Cfa/box.scm 49 */
								long BgL_arg1794z00_3550;

								{	/* Cfa/box.scm 49 */
									long BgL_arg1795z00_3551;

									BgL_arg1795z00_3551 =
										BGL_OBJECT_CLASS_NUM(
										((BgL_objectz00_bglt)
											((BgL_makezd2boxzd2_bglt) BgL_nodez00_3490)));
									BgL_arg1794z00_3550 = (BgL_arg1795z00_3551 - OBJECT_TYPE);
								}
								BgL_arg1558z00_3549 =
									VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
									BgL_arg1794z00_3550);
							}
							BgL_arg1557z00_3548 =
								BGl_classzd2superzd2zz__objectz00(BgL_arg1558z00_3549);
						}
						{	/* Cfa/box.scm 49 */
							obj_t BgL_tmpz00_3902;

							BgL_tmpz00_3902 = ((obj_t) BgL_arg1557z00_3548);
							BgL_arg1555z00_3547 = BGL_CLASS_INDEX(BgL_tmpz00_3902);
					}}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_3490)),
						BgL_arg1555z00_3547);
				}
				{	/* Cfa/box.scm 49 */
					BgL_objectz00_bglt BgL_tmpz00_3908;

					BgL_tmpz00_3908 =
						((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_3490));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3908, BFALSE);
				}
				((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_3490));
				BgL_nodez00_3546 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_3490);
				{	/* Cfa/box.scm 49 */

					{	/* Cfa/box.scm 50 */
						BgL_makezd2boxzd2_bglt BgL_nodez00_3552;

						{	/* Cfa/box.scm 50 */
							BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_wide1169z00_3553;

							BgL_wide1169z00_3553 =
								((BgL_makezd2boxzf2ozd2cinfozf2_bglt)
								BOBJECT(GC_MALLOC(sizeof(struct
											BgL_makezd2boxzf2ozd2cinfozf2_bgl))));
							{	/* Cfa/box.scm 50 */
								obj_t BgL_auxz00_3920;
								BgL_objectz00_bglt BgL_tmpz00_3916;

								BgL_auxz00_3920 = ((obj_t) BgL_wide1169z00_3553);
								BgL_tmpz00_3916 =
									((BgL_objectz00_bglt)
									((BgL_makezd2boxzd2_bglt)
										((BgL_makezd2boxzd2_bglt) BgL_nodez00_3546)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3916, BgL_auxz00_3920);
							}
							((BgL_objectz00_bglt)
								((BgL_makezd2boxzd2_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_nodez00_3546)));
							{	/* Cfa/box.scm 50 */
								long BgL_arg1551z00_3554;

								BgL_arg1551z00_3554 =
									BGL_CLASS_INDEX(BGl_makezd2boxzf2Ozd2Cinfozf2zzcfa_infoz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_makezd2boxzd2_bglt)
											((BgL_makezd2boxzd2_bglt) BgL_nodez00_3546))),
									BgL_arg1551z00_3554);
							}
							((BgL_makezd2boxzd2_bglt)
								((BgL_makezd2boxzd2_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_nodez00_3546)));
						}
						{
							BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_auxz00_3934;

							{
								obj_t BgL_auxz00_3935;

								{	/* Cfa/box.scm 51 */
									BgL_objectz00_bglt BgL_tmpz00_3936;

									BgL_tmpz00_3936 =
										((BgL_objectz00_bglt)
										((BgL_makezd2boxzd2_bglt)
											((BgL_makezd2boxzd2_bglt) BgL_nodez00_3546)));
									BgL_auxz00_3935 = BGL_OBJECT_WIDENING(BgL_tmpz00_3936);
								}
								BgL_auxz00_3934 =
									((BgL_makezd2boxzf2ozd2cinfozf2_bglt) BgL_auxz00_3935);
							}
							((((BgL_makezd2boxzf2ozd2cinfozf2_bglt)
										COBJECT(BgL_auxz00_3934))->BgL_approxz00) =
								((BgL_approxz00_bglt)
									BGl_makezd2typezd2approxz00zzcfa_approxz00(((BgL_typez00_bglt)
											BGl_za2objza2z00zztype_cachez00))), BUNSPEC);
						}
						{
							BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_auxz00_3945;

							{
								obj_t BgL_auxz00_3946;

								{	/* Cfa/box.scm 52 */
									BgL_objectz00_bglt BgL_tmpz00_3947;

									BgL_tmpz00_3947 =
										((BgL_objectz00_bglt)
										((BgL_makezd2boxzd2_bglt)
											((BgL_makezd2boxzd2_bglt) BgL_nodez00_3546)));
									BgL_auxz00_3946 = BGL_OBJECT_WIDENING(BgL_tmpz00_3947);
								}
								BgL_auxz00_3945 =
									((BgL_makezd2boxzf2ozd2cinfozf2_bglt) BgL_auxz00_3946);
							}
							((((BgL_makezd2boxzf2ozd2cinfozf2_bglt)
										COBJECT(BgL_auxz00_3945))->BgL_valuezd2approxzd2) =
								((BgL_approxz00_bglt)
									BGl_makezd2emptyzd2approxz00zzcfa_approxz00()), BUNSPEC);
						}
						BgL_nodez00_3552 =
							((BgL_makezd2boxzd2_bglt)
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_3546));
						{	/* Cfa/box.scm 55 */
							BgL_approxz00_bglt BgL_arg1547z00_3555;

							BgL_arg1547z00_3555 =
								BGl_makezd2typezd2alloczd2approxzd2zzcfa_approxz00(
								((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00),
								((BgL_nodez00_bglt) BgL_nodez00_3552));
							{
								BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_auxz00_3960;

								{
									obj_t BgL_auxz00_3961;

									{	/* Cfa/box.scm 53 */
										BgL_objectz00_bglt BgL_tmpz00_3962;

										BgL_tmpz00_3962 = ((BgL_objectz00_bglt) BgL_nodez00_3552);
										BgL_auxz00_3961 = BGL_OBJECT_WIDENING(BgL_tmpz00_3962);
									}
									BgL_auxz00_3960 =
										((BgL_makezd2boxzf2ozd2cinfozf2_bglt) BgL_auxz00_3961);
								}
								return
									((((BgL_makezd2boxzf2ozd2cinfozf2_bglt)
											COBJECT(BgL_auxz00_3960))->BgL_approxz00) =
									((BgL_approxz00_bglt) BgL_arg1547z00_3555), BUNSPEC);
							}
						}
					}
				}
			}
		}

	}



/* &node-setup!-make-box1515 */
	obj_t BGl_z62nodezd2setupz12zd2makezd2box1515za2zzcfa_boxz00(obj_t
		BgL_envz00_3491, obj_t BgL_nodez00_3492)
	{
		{	/* Cfa/box.scm 36 */
			BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_3492)))->BgL_valuez00));
			{	/* Cfa/box.scm 39 */
				BgL_makezd2boxzf2cinfoz20_bglt BgL_wide1163z00_3557;

				BgL_wide1163z00_3557 =
					((BgL_makezd2boxzf2cinfoz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_makezd2boxzf2cinfoz20_bgl))));
				{	/* Cfa/box.scm 39 */
					obj_t BgL_auxz00_3975;
					BgL_objectz00_bglt BgL_tmpz00_3971;

					BgL_auxz00_3975 = ((obj_t) BgL_wide1163z00_3557);
					BgL_tmpz00_3971 =
						((BgL_objectz00_bglt)
						((BgL_makezd2boxzd2_bglt)
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_3492)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3971, BgL_auxz00_3975);
				}
				((BgL_objectz00_bglt)
					((BgL_makezd2boxzd2_bglt)
						((BgL_makezd2boxzd2_bglt) BgL_nodez00_3492)));
				{	/* Cfa/box.scm 39 */
					long BgL_arg1542z00_3558;

					BgL_arg1542z00_3558 =
						BGL_CLASS_INDEX(BGl_makezd2boxzf2Cinfoz20zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_makezd2boxzd2_bglt)
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_3492))),
						BgL_arg1542z00_3558);
				}
				((BgL_makezd2boxzd2_bglt)
					((BgL_makezd2boxzd2_bglt)
						((BgL_makezd2boxzd2_bglt) BgL_nodez00_3492)));
			}
			{
				BgL_makezd2boxzf2cinfoz20_bglt BgL_auxz00_3989;

				{
					obj_t BgL_auxz00_3990;

					{	/* Cfa/box.scm 40 */
						BgL_objectz00_bglt BgL_tmpz00_3991;

						BgL_tmpz00_3991 =
							((BgL_objectz00_bglt)
							((BgL_makezd2boxzd2_bglt)
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_3492)));
						BgL_auxz00_3990 = BGL_OBJECT_WIDENING(BgL_tmpz00_3991);
					}
					BgL_auxz00_3989 = ((BgL_makezd2boxzf2cinfoz20_bglt) BgL_auxz00_3990);
				}
				((((BgL_makezd2boxzf2cinfoz20_bglt) COBJECT(BgL_auxz00_3989))->
						BgL_approxz00) =
					((BgL_approxz00_bglt)
						BGl_makezd2typezd2approxz00zzcfa_approxz00(((BgL_typez00_bglt)
								BGl_za2objza2z00zztype_cachez00))), BUNSPEC);
			}
			((BgL_makezd2boxzd2_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_3492));
			{	/* Cfa/box.scm 41 */
				BgL_approxz00_bglt BgL_arg1543z00_3559;

				{
					BgL_makezd2boxzf2cinfoz20_bglt BgL_auxz00_4002;

					{
						obj_t BgL_auxz00_4003;

						{	/* Cfa/box.scm 41 */
							BgL_objectz00_bglt BgL_tmpz00_4004;

							BgL_tmpz00_4004 =
								((BgL_objectz00_bglt)
								((BgL_makezd2boxzd2_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_nodez00_3492)));
							BgL_auxz00_4003 = BGL_OBJECT_WIDENING(BgL_tmpz00_4004);
						}
						BgL_auxz00_4002 =
							((BgL_makezd2boxzf2cinfoz20_bglt) BgL_auxz00_4003);
					}
					BgL_arg1543z00_3559 =
						(((BgL_makezd2boxzf2cinfoz20_bglt) COBJECT(BgL_auxz00_4002))->
						BgL_approxz00);
				}
				return BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_arg1543z00_3559);
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_boxz00()
	{
		{	/* Cfa/box.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1946z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1946z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1946z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 311443803),
				BSTRING_TO_STRING(BGl_string1946z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1946z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1946z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1946z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1946z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 3788352),
				BSTRING_TO_STRING(BGl_string1946z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string1946z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zzcfa_loosez00(((long) 471177480),
				BSTRING_TO_STRING(BGl_string1946z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zzcfa_setupz00(((long) 168272122),
				BSTRING_TO_STRING(BGl_string1946z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long) 468997863),
				BSTRING_TO_STRING(BGl_string1946z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zzcfa_cfaz00(((long) 400853817),
				BSTRING_TO_STRING(BGl_string1946z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zzcfa_iteratez00(((long) 131412063),
				BSTRING_TO_STRING(BGl_string1946z00zzcfa_boxz00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_closurez00(((long) 189402713),
				BSTRING_TO_STRING(BGl_string1946z00zzcfa_boxz00));
		}

	}

#ifdef __cplusplus
}
#endif
