/*===========================================================================*/
/*   (Cfa/set.scm)                                                           */
/*   Bigloo (4.4b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon 22 Mar 2021 06:56:16 PM CET     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.4b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/set.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;


	static obj_t BGl_z62makezd2setz12za2zzcfa_setz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_setzd2lengthzd2zzcfa_setz00(obj_t);
	static obj_t BGl_z62setzd2extendz12za2zzcfa_setz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_makezd2setz12zc0zzcfa_setz00(obj_t);
	static obj_t BGl_z62setzd2lengthzb0zzcfa_setz00(obj_t, obj_t);
	static obj_t BGl_z62setzd2ze3vectorz53zzcfa_setz00(obj_t, obj_t);
	static obj_t BGl_z62declarezd2setz12za2zzcfa_setz00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzcfa_setz00();
	static obj_t BGl_setzd2unionzd22z12z12zzcfa_setz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzcfa_setz00();
	BGL_IMPORT obj_t make_string(long, unsigned char);
	BGL_IMPORT obj_t create_struct(obj_t, int);
	static obj_t BGl_gczd2rootszd2initz00zzcfa_setz00();
	BGL_EXPORTED_DECL bool_t BGl_setzf3zf3zzcfa_setz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_setz00 = BUNSPEC;
	static obj_t BGl_z62setzd2ze3listz53zzcfa_setz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_setzd2memberzf3z21zzcfa_setz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zzcfa_setz00();
	BGL_EXPORTED_DECL obj_t BGl_setzd2ze3listz31zzcfa_setz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzcfa_setz00();
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62setzd2memberzf3z43zzcfa_setz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_setzd2forzd2eachz00zzcfa_setz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_setzd2unionz12zc0zzcfa_setz00(obj_t, obj_t);
	static obj_t BGl_z62setzd2unionz12za2zzcfa_setz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_setz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	static obj_t BGl_cnstzd2initzd2zzcfa_setz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_setz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_setz00();
	BGL_EXPORTED_DECL obj_t BGl_declarezd2setz12zc0zzcfa_setz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_setzd2extendz12zc0zzcfa_setz00(obj_t, obj_t);
	static obj_t BGl_z62setzd2forzd2eachz62zzcfa_setz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_setzd2ze3vectorz31zzcfa_setz00(obj_t);
	static obj_t BGl_z62setzf3z91zzcfa_setz00(obj_t, obj_t);
	static obj_t __cnst[2];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2memberzf3zd2envzf3zzcfa_setz00,
		BgL_bgl_za762setza7d2memberza71976za7,
		BGl_z62setzd2memberzf3z43zzcfa_setz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2setz12zd2envz12zzcfa_setz00,
		BgL_bgl_za762makeza7d2setza7121977za7, BGl_z62makezd2setz12za2zzcfa_setz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2forzd2eachzd2envzd2zzcfa_setz00,
		BgL_bgl_za762setza7d2forza7d2e1978za7,
		BGl_z62setzd2forzd2eachz62zzcfa_setz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2ze3vectorzd2envze3zzcfa_setz00,
		BgL_bgl_za762setza7d2za7e3vect1979za7,
		BGl_z62setzd2ze3vectorz53zzcfa_setz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2lengthzd2envz00zzcfa_setz00,
		BgL_bgl_za762setza7d2lengthza71980za7, BGl_z62setzd2lengthzb0zzcfa_setz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2ze3listzd2envze3zzcfa_setz00,
		BgL_bgl_za762setza7d2za7e3list1981za7, BGl_z62setzd2ze3listz53zzcfa_setz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2unionz12zd2envz12zzcfa_setz00,
		BgL_bgl_za762setza7d2unionza711982za7, va_generic_entry,
		BGl_z62setzd2unionz12za2zzcfa_setz00, BUNSPEC, -2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2extendz12zd2envz12zzcfa_setz00,
		BgL_bgl_za762setza7d2extendza71983za7,
		BGl_z62setzd2extendz12za2zzcfa_setz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzf3zd2envz21zzcfa_setz00,
		BgL_bgl_za762setza7f3za791za7za7cf1984za7, BGl_z62setzf3z91zzcfa_setz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1968z00zzcfa_setz00,
		BgL_bgl_string1968za700za7za7c1985za7, "make-set", 8);
	      DEFINE_STRING(BGl_string1969z00zzcfa_setz00,
		BgL_bgl_string1969za700za7za7c1986za7, "Not a meta-set", 14);
	      DEFINE_STRING(BGl_string1970z00zzcfa_setz00,
		BgL_bgl_string1970za700za7za7c1987za7, "set-union!", 10);
	      DEFINE_STRING(BGl_string1971z00zzcfa_setz00,
		BgL_bgl_string1971za700za7za7c1988za7, "Incompatible sets", 17);
	      DEFINE_STRING(BGl_string1972z00zzcfa_setz00,
		BgL_bgl_string1972za700za7za7c1989za7, "cfa_set", 7);
	      DEFINE_STRING(BGl_string1973z00zzcfa_setz00,
		BgL_bgl_string1973za700za7za7c1990za7, "large-set meta-set ", 19);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_declarezd2setz12zd2envz12zzcfa_setz00,
		BgL_bgl_za762declareza7d2set1991z00, BGl_z62declarezd2setz12za2zzcfa_setz00,
		0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzcfa_setz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_setz00(long
		BgL_checksumz00_3678, char *BgL_fromz00_3679)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_setz00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_setz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcfa_setz00();
					BGl_libraryzd2moduleszd2initz00zzcfa_setz00();
					BGl_cnstzd2initzd2zzcfa_setz00();
					BGl_importedzd2moduleszd2initz00zzcfa_setz00();
					return BGl_toplevelzd2initzd2zzcfa_setz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_setz00()
	{
		{	/* Cfa/set.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"cfa_set");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_set");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"cfa_set");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "cfa_set");
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long) 0),
				"cfa_set");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_set");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"cfa_set");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_set");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0), "cfa_set");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "cfa_set");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_setz00()
	{
		{	/* Cfa/set.scm 15 */
			{	/* Cfa/set.scm 15 */
				obj_t BgL_cportz00_3666;

				{	/* Cfa/set.scm 15 */
					obj_t BgL_stringz00_3674;

					BgL_stringz00_3674 = BGl_string1973z00zzcfa_setz00;
					{	/* Cfa/set.scm 15 */
						obj_t BgL_startz00_3675;

						BgL_startz00_3675 = BINT(((long) 0));
						{	/* Cfa/set.scm 15 */
							obj_t BgL_endz00_3676;

							BgL_endz00_3676 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3674)));
							{	/* Cfa/set.scm 15 */

								BgL_cportz00_3666 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3674, BgL_startz00_3675, BgL_endz00_3676);
				}}}}
				{
					long BgL_iz00_3667;

					BgL_iz00_3667 = ((long) 1);
				BgL_loopz00_3668:
					if ((BgL_iz00_3667 == ((long) -1)))
						{	/* Cfa/set.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/set.scm 15 */
							{	/* Cfa/set.scm 15 */
								obj_t BgL_arg1975z00_3670;

								{	/* Cfa/set.scm 15 */

									{	/* Cfa/set.scm 15 */
										obj_t BgL_locationz00_3672;

										BgL_locationz00_3672 = BBOOL(((bool_t) 0));
										{	/* Cfa/set.scm 15 */

											BgL_arg1975z00_3670 =
												BGl_readz00zz__readerz00(BgL_cportz00_3666,
												BgL_locationz00_3672);
										}
									}
								}
								{	/* Cfa/set.scm 15 */
									int BgL_tmpz00_3707;

									BgL_tmpz00_3707 = (int) (BgL_iz00_3667);
									CNST_TABLE_SET(BgL_tmpz00_3707, BgL_arg1975z00_3670);
							}}
							{	/* Cfa/set.scm 15 */
								int BgL_auxz00_3673;

								BgL_auxz00_3673 = (int) ((BgL_iz00_3667 - ((long) 1)));
								{
									long BgL_iz00_3712;

									BgL_iz00_3712 = (long) (BgL_auxz00_3673);
									BgL_iz00_3667 = BgL_iz00_3712;
									goto BgL_loopz00_3668;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcfa_setz00()
	{
		{	/* Cfa/set.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_setz00()
	{
		{	/* Cfa/set.scm 15 */
			return BUNSPEC;
		}

	}



/* declare-set! */
	BGL_EXPORTED_DEF obj_t BGl_declarezd2setz12zc0zzcfa_setz00(obj_t
		BgL_tablez00_23)
	{
		{	/* Cfa/set.scm 45 */
			{	/* Cfa/set.scm 46 */
				long BgL_quotientz00_2859;

				{	/* Cfa/set.scm 47 */
					long BgL_tmpz00_3715;

					BgL_tmpz00_3715 = VECTOR_LENGTH(BgL_tablez00_23);
					BgL_quotientz00_2859 = (BgL_tmpz00_3715 / ((long) 8));
				}
				{	/* Cfa/set.scm 47 */
					long BgL_remainderz00_2860;

					{	/* Cfa/set.scm 48 */
						long BgL_n1z00_3501;
						long BgL_n2z00_3502;

						BgL_n1z00_3501 = VECTOR_LENGTH(BgL_tablez00_23);
						BgL_n2z00_3502 = ((long) 8);
						{	/* Cfa/set.scm 48 */
							bool_t BgL_test1994z00_3719;

							{	/* Cfa/set.scm 48 */
								long BgL_arg1342z00_3504;

								BgL_arg1342z00_3504 =
									(((BgL_n1z00_3501) | (BgL_n2z00_3502)) & -2147483648);
								BgL_test1994z00_3719 = (BgL_arg1342z00_3504 == ((long) 0));
							}
							if (BgL_test1994z00_3719)
								{	/* Cfa/set.scm 48 */
									int32_t BgL_arg1337z00_3505;

									{	/* Cfa/set.scm 48 */
										int32_t BgL_arg1339z00_3506;
										int32_t BgL_arg1341z00_3507;

										BgL_arg1339z00_3506 = (int32_t) (BgL_n1z00_3501);
										BgL_arg1341z00_3507 = (int32_t) (BgL_n2z00_3502);
										BgL_arg1337z00_3505 =
											(BgL_arg1339z00_3506 % BgL_arg1341z00_3507);
									}
									{	/* Cfa/set.scm 48 */
										long BgL_arg1439z00_3512;

										BgL_arg1439z00_3512 = (long) (BgL_arg1337z00_3505);
										BgL_remainderz00_2860 = (long) (BgL_arg1439z00_3512);
								}}
							else
								{	/* Cfa/set.scm 48 */
									BgL_remainderz00_2860 = (BgL_n1z00_3501 % BgL_n2z00_3502);
								}
						}
					}
					{	/* Cfa/set.scm 48 */
						long BgL_siza7eza7_2861;

						if ((BgL_remainderz00_2860 == ((long) 0)))
							{	/* Cfa/set.scm 49 */
								BgL_siza7eza7_2861 = (BgL_quotientz00_2859 + ((long) 1));
							}
						else
							{	/* Cfa/set.scm 49 */
								BgL_siza7eza7_2861 = (BgL_quotientz00_2859 + ((long) 2));
							}
						{	/* Cfa/set.scm 49 */

							{
								long BgL_iz00_2863;
								long BgL_quotientz00_2864;
								long BgL_maskz00_2865;

								BgL_iz00_2863 = ((long) 0);
								BgL_quotientz00_2864 = ((long) 0);
								BgL_maskz00_2865 = ((long) 1);
							BgL_zc3z04anonymousza31552ze3z87_2866:
								if ((BgL_iz00_2863 == VECTOR_LENGTH(BgL_tablez00_23)))
									{	/* Cfa/set.scm 39 */
										obj_t BgL_newz00_3519;

										BgL_newz00_3519 =
											create_struct(CNST_TABLE_REF(((long) 0)),
											(int) (((long) 2)));
										{	/* Cfa/set.scm 39 */
											obj_t BgL_auxz00_3740;
											int BgL_tmpz00_3738;

											BgL_auxz00_3740 = BINT(BgL_siza7eza7_2861);
											BgL_tmpz00_3738 = (int) (((long) 1));
											STRUCT_SET(BgL_newz00_3519, BgL_tmpz00_3738,
												BgL_auxz00_3740);
										}
										{	/* Cfa/set.scm 39 */
											int BgL_tmpz00_3743;

											BgL_tmpz00_3743 = (int) (((long) 0));
											STRUCT_SET(BgL_newz00_3519, BgL_tmpz00_3743,
												BgL_tablez00_23);
										}
										return BgL_newz00_3519;
									}
								else
									{	/* Cfa/set.scm 54 */
										if ((BgL_maskz00_2865 == ((long) 256)))
											{
												long BgL_maskz00_3750;
												long BgL_quotientz00_3748;

												BgL_quotientz00_3748 =
													(BgL_quotientz00_2864 + ((long) 1));
												BgL_maskz00_3750 = ((long) 1);
												BgL_maskz00_2865 = BgL_maskz00_3750;
												BgL_quotientz00_2864 = BgL_quotientz00_3748;
												goto BgL_zc3z04anonymousza31552ze3z87_2866;
											}
										else
											{	/* Cfa/set.scm 56 */
												{	/* Cfa/set.scm 59 */
													obj_t BgL_arg1557z00_2870;
													obj_t BgL_arg1558z00_2871;

													BgL_arg1557z00_2870 =
														VECTOR_REF(BgL_tablez00_23, BgL_iz00_2863);
													BgL_arg1558z00_2871 =
														MAKE_YOUNG_PAIR(BINT(BgL_quotientz00_2864),
														BINT(BgL_maskz00_2865));
													((((BgL_nodezf2effectzf2_bglt) COBJECT(
																	((BgL_nodezf2effectzf2_bglt)
																		BgL_arg1557z00_2870)))->BgL_keyz00) =
														((obj_t) BgL_arg1558z00_2871), BUNSPEC);
												}
												{
													long BgL_maskz00_3759;
													long BgL_iz00_3757;

													BgL_iz00_3757 = (BgL_iz00_2863 + ((long) 1));
													BgL_maskz00_3759 = (BgL_maskz00_2865 * ((long) 2));
													BgL_maskz00_2865 = BgL_maskz00_3759;
													BgL_iz00_2863 = BgL_iz00_3757;
													goto BgL_zc3z04anonymousza31552ze3z87_2866;
												}
											}
									}
							}
						}
					}
				}
			}
		}

	}



/* &declare-set! */
	obj_t BGl_z62declarezd2setz12za2zzcfa_setz00(obj_t BgL_envz00_3640,
		obj_t BgL_tablez00_3641)
	{
		{	/* Cfa/set.scm 45 */
			return BGl_declarezd2setz12zc0zzcfa_setz00(BgL_tablez00_3641);
		}

	}



/* make-set! */
	BGL_EXPORTED_DEF obj_t BGl_makezd2setz12zc0zzcfa_setz00(obj_t
		BgL_metazd2setzd2_24)
	{
		{	/* Cfa/set.scm 65 */
			{	/* Cfa/set.scm 67 */
				bool_t BgL_test1998z00_3762;

				if (STRUCTP(BgL_metazd2setzd2_24))
					{	/* Cfa/set.scm 39 */
						BgL_test1998z00_3762 =
							(STRUCT_KEY(BgL_metazd2setzd2_24) == CNST_TABLE_REF(((long) 0)));
					}
				else
					{	/* Cfa/set.scm 39 */
						BgL_test1998z00_3762 = ((bool_t) 0);
					}
				if (BgL_test1998z00_3762)
					{	/* Cfa/set.scm 70 */
						obj_t BgL_arg1568z00_2877;

						{	/* Cfa/set.scm 70 */
							obj_t BgL_arg1569z00_2878;

							BgL_arg1569z00_2878 =
								STRUCT_REF(BgL_metazd2setzd2_24, (int) (((long) 1)));
							BgL_arg1568z00_2877 =
								make_string(
								(long) CINT(BgL_arg1569z00_2878), ((unsigned char) '\000'));
						}
						{	/* Cfa/set.scm 40 */
							obj_t BgL_newz00_3536;

							BgL_newz00_3536 =
								create_struct(CNST_TABLE_REF(((long) 1)), (int) (((long) 2)));
							{	/* Cfa/set.scm 40 */
								int BgL_tmpz00_3775;

								BgL_tmpz00_3775 = (int) (((long) 1));
								STRUCT_SET(BgL_newz00_3536, BgL_tmpz00_3775,
									BgL_metazd2setzd2_24);
							}
							{	/* Cfa/set.scm 40 */
								int BgL_tmpz00_3778;

								BgL_tmpz00_3778 = (int) (((long) 0));
								STRUCT_SET(BgL_newz00_3536, BgL_tmpz00_3778,
									BgL_arg1568z00_2877);
							}
							return BgL_newz00_3536;
						}
					}
				else
					{	/* Cfa/set.scm 67 */
						return
							BGl_internalzd2errorzd2zztools_errorz00
							(BGl_string1968z00zzcfa_setz00, BGl_string1969z00zzcfa_setz00,
							BGl_shapez00zztools_shapez00(BgL_metazd2setzd2_24));
					}
			}
		}

	}



/* &make-set! */
	obj_t BGl_z62makezd2setz12za2zzcfa_setz00(obj_t BgL_envz00_3642,
		obj_t BgL_metazd2setzd2_3643)
	{
		{	/* Cfa/set.scm 65 */
			return BGl_makezd2setz12zc0zzcfa_setz00(BgL_metazd2setzd2_3643);
		}

	}



/* set? */
	BGL_EXPORTED_DEF bool_t BGl_setzf3zf3zzcfa_setz00(obj_t BgL_objz00_25)
	{
		{	/* Cfa/set.scm 76 */
			if (STRUCTP(BgL_objz00_25))
				{	/* Cfa/set.scm 40 */
					return (STRUCT_KEY(BgL_objz00_25) == CNST_TABLE_REF(((long) 1)));
				}
			else
				{	/* Cfa/set.scm 40 */
					return ((bool_t) 0);
				}
		}

	}



/* &set? */
	obj_t BGl_z62setzf3z91zzcfa_setz00(obj_t BgL_envz00_3644,
		obj_t BgL_objz00_3645)
	{
		{	/* Cfa/set.scm 76 */
			return BBOOL(BGl_setzf3zf3zzcfa_setz00(BgL_objz00_3645));
		}

	}



/* set-extend! */
	BGL_EXPORTED_DEF obj_t BGl_setzd2extendz12zc0zzcfa_setz00(obj_t BgL_setz00_26,
		obj_t BgL_objz00_27)
	{
		{	/* Cfa/set.scm 82 */
			{	/* Cfa/set.scm 83 */
				obj_t BgL_keyz00_2880;

				BgL_keyz00_2880 =
					(((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_objz00_27)))->BgL_keyz00);
				{	/* Cfa/set.scm 83 */
					obj_t BgL_thezd2setzd2_2881;

					BgL_thezd2setzd2_2881 =
						STRUCT_REF(((obj_t) BgL_setz00_26), (int) (((long) 0)));
					{	/* Cfa/set.scm 84 */
						obj_t BgL_quotientz00_2882;

						BgL_quotientz00_2882 = CAR(((obj_t) BgL_keyz00_2880));
						{	/* Cfa/set.scm 85 */
							obj_t BgL_maskz00_2883;

							BgL_maskz00_2883 = CDR(((obj_t) BgL_keyz00_2880));
							{	/* Cfa/set.scm 86 */

								{	/* Cfa/set.scm 89 */
									unsigned char BgL_arg1573z00_2884;

									BgL_arg1573z00_2884 =
										(
										((long) CINT(BgL_maskz00_2883)) |
										STRING_REF(
											((obj_t) BgL_thezd2setzd2_2881),
											(long) CINT(BgL_quotientz00_2882)));
									{	/* Cfa/set.scm 87 */
										long BgL_kz00_3554;

										BgL_kz00_3554 = (long) CINT(BgL_quotientz00_2882);
										{	/* Cfa/set.scm 87 */
											obj_t BgL_tmpz00_3807;

											BgL_tmpz00_3807 = ((obj_t) BgL_thezd2setzd2_2881);
											STRING_SET(BgL_tmpz00_3807, BgL_kz00_3554,
												BgL_arg1573z00_2884);
								}}}
								return BUNSPEC;
							}
						}
					}
				}
			}
		}

	}



/* &set-extend! */
	obj_t BGl_z62setzd2extendz12za2zzcfa_setz00(obj_t BgL_envz00_3646,
		obj_t BgL_setz00_3647, obj_t BgL_objz00_3648)
	{
		{	/* Cfa/set.scm 82 */
			return
				BGl_setzd2extendz12zc0zzcfa_setz00(BgL_setz00_3647, BgL_objz00_3648);
		}

	}



/* set-member? */
	BGL_EXPORTED_DEF obj_t BGl_setzd2memberzf3z21zzcfa_setz00(obj_t BgL_setz00_28,
		obj_t BgL_objz00_29)
	{
		{	/* Cfa/set.scm 96 */
			{	/* Cfa/set.scm 97 */
				obj_t BgL_keyz00_2887;

				BgL_keyz00_2887 =
					(((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_objz00_29)))->BgL_keyz00);
				{	/* Cfa/set.scm 100 */

					{	/* Cfa/set.scm 101 */
						bool_t BgL_tmpz00_3813;

						{	/* Cfa/set.scm 101 */
							long BgL_tmpz00_3814;

							{	/* Cfa/set.scm 101 */
								long BgL_tmpz00_3815;

								{	/* Cfa/set.scm 101 */
									unsigned char BgL_tmpz00_3819;

									{	/* Cfa/set.scm 101 */
										obj_t BgL_stringz00_3561;

										BgL_stringz00_3561 =
											STRUCT_REF(((obj_t) BgL_setz00_28), (int) (((long) 0)));
										BgL_tmpz00_3819 =
											STRING_REF(BgL_stringz00_3561,
											(long) CINT(CAR(((obj_t) BgL_keyz00_2887))));
									}
									BgL_tmpz00_3815 = (BgL_tmpz00_3819);
								}
								BgL_tmpz00_3814 =
									(
									(long) CINT(CDR(
											((obj_t) BgL_keyz00_2887))) & BgL_tmpz00_3815);
							}
							BgL_tmpz00_3813 = (BgL_tmpz00_3814 > ((long) 0));
						}
						return BBOOL(BgL_tmpz00_3813);
					}
				}
			}
		}

	}



/* &set-member? */
	obj_t BGl_z62setzd2memberzf3z43zzcfa_setz00(obj_t BgL_envz00_3649,
		obj_t BgL_setz00_3650, obj_t BgL_objz00_3651)
	{
		{	/* Cfa/set.scm 96 */
			return
				BGl_setzd2memberzf3z21zzcfa_setz00(BgL_setz00_3650, BgL_objz00_3651);
		}

	}



/* set-union-2! */
	obj_t BGl_setzd2unionzd22z12z12zzcfa_setz00(obj_t BgL_dstz00_30,
		obj_t BgL_srcz00_31)
	{
		{	/* Cfa/set.scm 109 */
			{

				{	/* Cfa/set.scm 126 */
					bool_t BgL_test2001z00_3832;

					if (STRUCTP(BgL_srcz00_31))
						{	/* Cfa/set.scm 40 */
							BgL_test2001z00_3832 =
								(STRUCT_KEY(BgL_srcz00_31) == CNST_TABLE_REF(((long) 1)));
						}
					else
						{	/* Cfa/set.scm 40 */
							BgL_test2001z00_3832 = ((bool_t) 0);
						}
					if (BgL_test2001z00_3832)
						{	/* Cfa/set.scm 128 */
							bool_t BgL_test2003z00_3838;

							{	/* Cfa/set.scm 128 */
								long BgL_tmpz00_3839;

								{	/* Cfa/set.scm 128 */
									obj_t BgL_stringz00_3593;

									BgL_stringz00_3593 =
										STRUCT_REF(((obj_t) BgL_dstz00_30), (int) (((long) 0)));
									BgL_tmpz00_3839 = STRING_LENGTH(BgL_stringz00_3593);
								}
								BgL_test2003z00_3838 =
									(BgL_tmpz00_3839 ==
									STRING_LENGTH(STRUCT_REF(BgL_srcz00_31, (int) (((long) 0)))));
							}
							if (BgL_test2003z00_3838)
								{	/* Cfa/set.scm 131 */
									bool_t BgL_tmpz00_3848;

									{	/* Cfa/set.scm 111 */
										obj_t BgL_thezd2dstzd2_2908;
										obj_t BgL_thezd2srczd2_2909;

										BgL_thezd2dstzd2_2908 =
											STRUCT_REF(((obj_t) BgL_dstz00_30), (int) (((long) 0)));
										BgL_thezd2srczd2_2909 =
											STRUCT_REF(((obj_t) BgL_srcz00_31), (int) (((long) 0)));
										{	/* Cfa/set.scm 113 */
											long BgL_g1153z00_2910;

											{	/* Cfa/set.scm 113 */
												long BgL_tmpz00_3855;

												{	/* Cfa/set.scm 39 */
													obj_t BgL_sz00_3570;

													BgL_sz00_3570 =
														STRUCT_REF(
														((obj_t) BgL_dstz00_30), (int) (((long) 1)));
													BgL_tmpz00_3855 =
														(long) CINT(STRUCT_REF(BgL_sz00_3570,
															(int) (((long) 1))));
												}
												BgL_g1153z00_2910 = (BgL_tmpz00_3855 - ((long) 1));
											}
											{
												long BgL_iz00_2912;
												bool_t BgL_resz00_2913;

												BgL_iz00_2912 = BgL_g1153z00_2910;
												BgL_resz00_2913 = ((bool_t) 0);
											BgL_zc3z04anonymousza31616ze3z87_2914:
												if ((BgL_iz00_2912 == ((long) -1)))
													{	/* Cfa/set.scm 116 */
														BgL_tmpz00_3848 = BgL_resz00_2913;
													}
												else
													{	/* Cfa/set.scm 118 */
														unsigned char BgL_oldz00_2916;
														unsigned char BgL_newz00_2917;

														BgL_oldz00_2916 =
															STRING_REF(
															((obj_t) BgL_thezd2dstzd2_2908), BgL_iz00_2912);
														BgL_newz00_2917 =
															(STRING_REF(
																((obj_t) BgL_thezd2dstzd2_2908),
																BgL_iz00_2912) | STRING_REF(((obj_t)
																	BgL_thezd2srczd2_2909), BgL_iz00_2912));
														if ((BgL_newz00_2917 == BgL_oldz00_2916))
															{
																long BgL_iz00_3874;

																BgL_iz00_3874 = (BgL_iz00_2912 - ((long) 1));
																BgL_iz00_2912 = BgL_iz00_3874;
																goto BgL_zc3z04anonymousza31616ze3z87_2914;
															}
														else
															{	/* Cfa/set.scm 121 */
																{	/* Cfa/set.scm 124 */
																	obj_t BgL_tmpz00_3876;

																	BgL_tmpz00_3876 =
																		((obj_t) BgL_thezd2dstzd2_2908);
																	STRING_SET(BgL_tmpz00_3876, BgL_iz00_2912,
																		BgL_newz00_2917);
																}
																{
																	bool_t BgL_resz00_3881;
																	long BgL_iz00_3879;

																	BgL_iz00_3879 = (BgL_iz00_2912 - ((long) 1));
																	BgL_resz00_3881 = ((bool_t) 1);
																	BgL_resz00_2913 = BgL_resz00_3881;
																	BgL_iz00_2912 = BgL_iz00_3879;
																	goto BgL_zc3z04anonymousza31616ze3z87_2914;
																}
															}
													}
											}
										}
									}
									return BBOOL(BgL_tmpz00_3848);
								}
							else
								{	/* Cfa/set.scm 128 */
									return
										BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string1970z00zzcfa_setz00,
										BGl_string1971z00zzcfa_setz00,
										BGl_shapez00zztools_shapez00(BgL_srcz00_31));
								}
						}
					else
						{	/* Cfa/set.scm 126 */
							return
								BGl_internalzd2errorzd2zztools_errorz00
								(BGl_string1970z00zzcfa_setz00, BGl_string1971z00zzcfa_setz00,
								BGl_shapez00zztools_shapez00(BgL_srcz00_31));
						}
				}
			}
		}

	}



/* set-union! */
	BGL_EXPORTED_DEF obj_t BGl_setzd2unionz12zc0zzcfa_setz00(obj_t BgL_dstz00_32,
		obj_t BgL_srcza2za2_33)
	{
		{	/* Cfa/set.scm 139 */
			if (NULLP(BgL_srcza2za2_33))
				{	/* Cfa/set.scm 141 */
					return BgL_dstz00_32;
				}
			else
				{	/* Cfa/set.scm 141 */
					if (NULLP(CDR(((obj_t) BgL_srcza2za2_33))))
						{	/* Cfa/set.scm 144 */
							obj_t BgL_arg1655z00_2930;

							BgL_arg1655z00_2930 = CAR(((obj_t) BgL_srcza2za2_33));
							return
								BGl_setzd2unionzd22z12z12zzcfa_setz00(BgL_dstz00_32,
								BgL_arg1655z00_2930);
						}
					else
						{
							obj_t BgL_srcza2za2_2932;
							obj_t BgL_resz00_2933;

							BgL_srcza2za2_2932 = BgL_srcza2za2_33;
							BgL_resz00_2933 = BFALSE;
						BgL_zc3z04anonymousza31656ze3z87_2934:
							if (NULLP(BgL_srcza2za2_2932))
								{	/* Cfa/set.scm 148 */
									return BgL_resz00_2933;
								}
							else
								{	/* Cfa/set.scm 150 */
									obj_t BgL_arg1659z00_2936;
									obj_t BgL_arg1662z00_2937;

									BgL_arg1659z00_2936 = CDR(((obj_t) BgL_srcza2za2_2932));
									{	/* Cfa/set.scm 151 */
										obj_t BgL__ortest_1154z00_2938;

										{	/* Cfa/set.scm 151 */
											obj_t BgL_arg1663z00_2939;

											BgL_arg1663z00_2939 = CAR(((obj_t) BgL_srcza2za2_2932));
											BgL__ortest_1154z00_2938 =
												BGl_setzd2unionzd22z12z12zzcfa_setz00(BgL_dstz00_32,
												BgL_arg1663z00_2939);
										}
										if (CBOOL(BgL__ortest_1154z00_2938))
											{	/* Cfa/set.scm 151 */
												BgL_arg1662z00_2937 = BgL__ortest_1154z00_2938;
											}
										else
											{	/* Cfa/set.scm 151 */
												BgL_arg1662z00_2937 = BgL_resz00_2933;
											}
									}
									{
										obj_t BgL_resz00_3906;
										obj_t BgL_srcza2za2_3905;

										BgL_srcza2za2_3905 = BgL_arg1659z00_2936;
										BgL_resz00_3906 = BgL_arg1662z00_2937;
										BgL_resz00_2933 = BgL_resz00_3906;
										BgL_srcza2za2_2932 = BgL_srcza2za2_3905;
										goto BgL_zc3z04anonymousza31656ze3z87_2934;
									}
								}
						}
				}
		}

	}



/* &set-union! */
	obj_t BGl_z62setzd2unionz12za2zzcfa_setz00(obj_t BgL_envz00_3652,
		obj_t BgL_dstz00_3653, obj_t BgL_srcza2za2_3654)
	{
		{	/* Cfa/set.scm 139 */
			return
				BGl_setzd2unionz12zc0zzcfa_setz00(BgL_dstz00_3653, BgL_srcza2za2_3654);
		}

	}



/* set-for-each */
	BGL_EXPORTED_DEF obj_t BGl_setzd2forzd2eachz00zzcfa_setz00(obj_t
		BgL_procz00_34, obj_t BgL_setz00_35)
	{
		{	/* Cfa/set.scm 156 */
			{

				{	/* Cfa/set.scm 158 */
					obj_t BgL_metaz00_2944;

					BgL_metaz00_2944 =
						STRUCT_REF(((obj_t) BgL_setz00_35), (int) (((long) 1)));
					{	/* Cfa/set.scm 158 */
						obj_t BgL_tablez00_2945;

						BgL_tablez00_2945 =
							STRUCT_REF(((obj_t) BgL_metaz00_2944), (int) (((long) 0)));
						{	/* Cfa/set.scm 159 */

							{	/* Cfa/set.scm 160 */
								long BgL_g1157z00_2946;

								BgL_g1157z00_2946 =
									(VECTOR_LENGTH(((obj_t) BgL_tablez00_2945)) - ((long) 1));
								{
									long BgL_iz00_2948;

									BgL_iz00_2948 = BgL_g1157z00_2946;
								BgL_zc3z04anonymousza31666ze3z87_2949:
									if ((BgL_iz00_2948 == ((long) -1)))
										{	/* Cfa/set.scm 162 */
											return BUNSPEC;
										}
									else
										{	/* Cfa/set.scm 164 */
											bool_t BgL_test2011z00_3919;

											{	/* Cfa/set.scm 164 */
												obj_t BgL_arg1682z00_2956;

												BgL_arg1682z00_2956 =
													VECTOR_REF(
													((obj_t) BgL_tablez00_2945), BgL_iz00_2948);
												BgL_test2011z00_3919 =
													CBOOL(BGl_setzd2memberzf3z21zzcfa_setz00
													(BgL_setz00_35, BgL_arg1682z00_2956));
											}
											if (BgL_test2011z00_3919)
												{	/* Cfa/set.scm 164 */
													{	/* Cfa/set.scm 165 */
														obj_t BgL_arg1675z00_2953;

														BgL_arg1675z00_2953 =
															VECTOR_REF(
															((obj_t) BgL_tablez00_2945), BgL_iz00_2948);
														PROCEDURE_ENTRY(BgL_procz00_34) (BgL_procz00_34,
															BgL_arg1675z00_2953, BEOA);
													}
													{
														long BgL_iz00_3930;

														BgL_iz00_3930 = (BgL_iz00_2948 - ((long) 1));
														BgL_iz00_2948 = BgL_iz00_3930;
														goto BgL_zc3z04anonymousza31666ze3z87_2949;
													}
												}
											else
												{
													long BgL_iz00_3932;

													BgL_iz00_3932 = (BgL_iz00_2948 - ((long) 1));
													BgL_iz00_2948 = BgL_iz00_3932;
													goto BgL_zc3z04anonymousza31666ze3z87_2949;
												}
										}
								}
							}
						}
					}
				}
			}
		}

	}



/* &set-for-each */
	obj_t BGl_z62setzd2forzd2eachz62zzcfa_setz00(obj_t BgL_envz00_3655,
		obj_t BgL_procz00_3656, obj_t BgL_setz00_3657)
	{
		{	/* Cfa/set.scm 156 */
			return
				BGl_setzd2forzd2eachz00zzcfa_setz00(BgL_procz00_3656, BgL_setz00_3657);
		}

	}



/* set-length */
	BGL_EXPORTED_DEF obj_t BGl_setzd2lengthzd2zzcfa_setz00(obj_t BgL_setz00_36)
	{
		{	/* Cfa/set.scm 174 */
			{

				{	/* Cfa/set.scm 190 */
					long BgL_tmpz00_3935;

					{	/* Cfa/set.scm 176 */
						obj_t BgL_thezd2setzd2_2962;

						BgL_thezd2setzd2_2962 =
							STRUCT_REF(((obj_t) BgL_setz00_36), (int) (((long) 0)));
						{	/* Cfa/set.scm 176 */
							long BgL_thezd2lenzd2_2963;

							BgL_thezd2lenzd2_2963 =
								STRING_LENGTH(((obj_t) BgL_thezd2setzd2_2962));
							{	/* Cfa/set.scm 177 */

								{
									long BgL_offsetz00_2965;
									long BgL_numz00_2966;

									BgL_offsetz00_2965 = ((long) 0);
									BgL_numz00_2966 = ((long) 0);
								BgL_zc3z04anonymousza31687ze3z87_2967:
									if ((BgL_offsetz00_2965 == BgL_thezd2lenzd2_2963))
										{	/* Cfa/set.scm 180 */
											BgL_tmpz00_3935 = BgL_numz00_2966;
										}
									else
										{
											long BgL_charz00_2971;
											long BgL_numz00_2972;

											BgL_charz00_2971 =
												(STRING_REF(
													((obj_t) BgL_thezd2setzd2_2962), BgL_offsetz00_2965));
											BgL_numz00_2972 = BgL_numz00_2966;
										BgL_zc3z04anonymousza31689ze3z87_2973:
											if ((BgL_charz00_2971 == ((long) 0)))
												{
													long BgL_numz00_3947;
													long BgL_offsetz00_3945;

													BgL_offsetz00_3945 =
														(((long) 1) + BgL_offsetz00_2965);
													BgL_numz00_3947 = BgL_numz00_2972;
													BgL_numz00_2966 = BgL_numz00_3947;
													BgL_offsetz00_2965 = BgL_offsetz00_3945;
													goto BgL_zc3z04anonymousza31687ze3z87_2967;
												}
											else
												{
													long BgL_numz00_3951;
													long BgL_charz00_3948;

													BgL_charz00_3948 =
														(BgL_charz00_2971 >> (int) (((long) 1)));
													BgL_numz00_3951 =
														(BgL_numz00_2972 + (BgL_charz00_2971 & ((long) 1)));
													BgL_numz00_2972 = BgL_numz00_3951;
													BgL_charz00_2971 = BgL_charz00_3948;
													goto BgL_zc3z04anonymousza31689ze3z87_2973;
												}
										}
								}
							}
						}
					}
					return BINT(BgL_tmpz00_3935);
				}
			}
		}

	}



/* &set-length */
	obj_t BGl_z62setzd2lengthzb0zzcfa_setz00(obj_t BgL_envz00_3658,
		obj_t BgL_setz00_3659)
	{
		{	/* Cfa/set.scm 174 */
			return BGl_setzd2lengthzd2zzcfa_setz00(BgL_setz00_3659);
		}

	}



/* set->list */
	BGL_EXPORTED_DEF obj_t BGl_setzd2ze3listz31zzcfa_setz00(obj_t BgL_setz00_37)
	{
		{	/* Cfa/set.scm 195 */
			{	/* Cfa/set.scm 196 */
				obj_t BgL_metaz00_2983;

				BgL_metaz00_2983 =
					STRUCT_REF(((obj_t) BgL_setz00_37), (int) (((long) 1)));
				{	/* Cfa/set.scm 197 */
					obj_t BgL_tablez00_2984;

					BgL_tablez00_2984 =
						STRUCT_REF(((obj_t) BgL_metaz00_2983), (int) (((long) 0)));
					{	/* Cfa/set.scm 198 */

						{
							long BgL_iz00_2988;
							obj_t BgL_lz00_2989;

							BgL_iz00_2988 = ((long) 0);
							BgL_lz00_2989 = BNIL;
						BgL_zc3z04anonymousza31700ze3z87_2990:
							if ((BgL_iz00_2988 == VECTOR_LENGTH(((obj_t) BgL_tablez00_2984))))
								{	/* Cfa/set.scm 202 */
									return BgL_lz00_2989;
								}
							else
								{	/* Cfa/set.scm 204 */
									bool_t BgL_test2015z00_3969;

									{	/* Cfa/set.scm 204 */
										obj_t BgL_arg1719z00_2998;

										BgL_arg1719z00_2998 =
											VECTOR_REF(((obj_t) BgL_tablez00_2984), BgL_iz00_2988);
										BgL_test2015z00_3969 =
											CBOOL(BGl_setzd2memberzf3z21zzcfa_setz00(BgL_setz00_37,
												BgL_arg1719z00_2998));
									}
									if (BgL_test2015z00_3969)
										{	/* Cfa/set.scm 205 */
											long BgL_arg1704z00_2994;
											obj_t BgL_arg1710z00_2995;

											BgL_arg1704z00_2994 = (BgL_iz00_2988 + ((long) 1));
											{	/* Cfa/set.scm 205 */
												obj_t BgL_arg1717z00_2996;

												BgL_arg1717z00_2996 =
													VECTOR_REF(
													((obj_t) BgL_tablez00_2984), BgL_iz00_2988);
												BgL_arg1710z00_2995 =
													MAKE_YOUNG_PAIR(BgL_arg1717z00_2996, BgL_lz00_2989);
											}
											{
												obj_t BgL_lz00_3979;
												long BgL_iz00_3978;

												BgL_iz00_3978 = BgL_arg1704z00_2994;
												BgL_lz00_3979 = BgL_arg1710z00_2995;
												BgL_lz00_2989 = BgL_lz00_3979;
												BgL_iz00_2988 = BgL_iz00_3978;
												goto BgL_zc3z04anonymousza31700ze3z87_2990;
											}
										}
									else
										{
											long BgL_iz00_3980;

											BgL_iz00_3980 = (BgL_iz00_2988 + ((long) 1));
											BgL_iz00_2988 = BgL_iz00_3980;
											goto BgL_zc3z04anonymousza31700ze3z87_2990;
										}
								}
						}
					}
				}
			}
		}

	}



/* &set->list */
	obj_t BGl_z62setzd2ze3listz53zzcfa_setz00(obj_t BgL_envz00_3660,
		obj_t BgL_setz00_3661)
	{
		{	/* Cfa/set.scm 195 */
			return BGl_setzd2ze3listz31zzcfa_setz00(BgL_setz00_3661);
		}

	}



/* set->vector */
	BGL_EXPORTED_DEF obj_t BGl_setzd2ze3vectorz31zzcfa_setz00(obj_t BgL_setz00_38)
	{
		{	/* Cfa/set.scm 212 */
			return
				BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00
				(BGl_setzd2ze3listz31zzcfa_setz00(BgL_setz00_38));
		}

	}



/* &set->vector */
	obj_t BGl_z62setzd2ze3vectorz53zzcfa_setz00(obj_t BgL_envz00_3662,
		obj_t BgL_setz00_3663)
	{
		{	/* Cfa/set.scm 212 */
			return BGl_setzd2ze3vectorz31zzcfa_setz00(BgL_setz00_3663);
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_setz00()
	{
		{	/* Cfa/set.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_setz00()
	{
		{	/* Cfa/set.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_setz00()
	{
		{	/* Cfa/set.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_setz00()
	{
		{	/* Cfa/set.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1972z00zzcfa_setz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1972z00zzcfa_setz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1972z00zzcfa_setz00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 3788352),
				BSTRING_TO_STRING(BGl_string1972z00zzcfa_setz00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string1972z00zzcfa_setz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1972z00zzcfa_setz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1972z00zzcfa_setz00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long) 468997863),
				BSTRING_TO_STRING(BGl_string1972z00zzcfa_setz00));
		}

	}

#ifdef __cplusplus
}
#endif
