/*===========================================================================*/
/*   (Initflow/walk.scm)                                                     */
/*   Bigloo (4.4b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon 22 Mar 2021 06:56:16 PM CET     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.4b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Initflow/walk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_sfunzf2iflowzf2_bgl
	{
	}                      *BgL_sfunzf2iflowzf2_bglt;


	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzinitflow_walkz00 = BUNSPEC;
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_sfunzf2iflowzf2zzinitflow_walkz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zzinitflow_walkz00();
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t BGl_z62initflowzd2nodezd2letzd2va1368zb0zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	static obj_t BGl_z62initflowzd2nodezd2letzd2fu1366zb0zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzinitflow_walkz00();
	static obj_t BGl_z62initflowzd2nodezd2var1338z62zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62initflowzd2node1335zb0zzinitflow_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzinitflow_walkz00();
	static obj_t BGl_z62initflowzd2walkz12za2zzinitflow_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62initflowzd2nodezd2appzd2ly1346zb0zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzinitflow_walkz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzinitflow_walkz00();
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62initflowzd2nodezd2funcal1348z62zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62initflowzd2nodezd2app1344z62zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_initflowzd2funzd2zzinitflow_walkz00(BgL_variablez00_bglt,
		bool_t);
	static obj_t BGl_z62initflowzd2nodezb0zzinitflow_walkz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	static obj_t BGl_z62initflowzd2nodezd2setzd2ex1370zb0zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_initflowzd2walkz12zc0zzinitflow_walkz00(obj_t);
	static obj_t BGl_lubz00zzinitflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62initflowzd2nodezd2extern1350z62zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	static obj_t BGl_z62initflowzd2nodezd2switch1358z62zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62initflowzd2nodezd2condit1354z62zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzinitflow_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern bool_t BGl_globalzd2readzd2onlyzf3zf3zzast_varz00(BgL_globalz00_bglt);
	static obj_t BGl_z62initflowzd2nodezd2boxzd2re1362zb0zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_getzd2classzd2typez00zztype_cachez00();
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	extern obj_t BGl_nodez00zzast_nodez00;
	static obj_t BGl_z62initflowzd2nodezd2makezd2b1360zb0zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzinitflow_walkz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzinitflow_walkz00();
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzinitflow_walkz00();
	static obj_t BGl_gczd2rootszd2initz00zzinitflow_walkz00();
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static obj_t BGl_initflowzd2nodezd2zzinitflow_walkz00(BgL_nodez00_bglt,
		bool_t);
	static obj_t BGl_z62initflowzd2nodezd2jumpzd2e1372zb0zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62initflowzd2nodezd2boxzd2se1364zb0zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31733ze3ze5zzinitflow_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	static BgL_sfunz00_bglt BGl_z62lambda1722z62zzinitflow_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_sfunz00_bglt BGl_z62lambda1726z62zzinitflow_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static BgL_sfunz00_bglt BGl_z62lambda1734z62zzinitflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62initflowzd2nodezd2setq1352z62zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_initflowzd2nodeza2z70zzinitflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62initflowzd2nodezd2sync1342z62zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62initflowzd2nodezd2fail1356z62zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_z62initflowzd2nodezd2sequen1340z62zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t __cnst[7];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2031z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2049z00,
		BGl_z62initflowzd2nodezd2letzd2fu1366zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2032z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2050z00,
		BGl_z62initflowzd2nodezd2letzd2va1368zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2033z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2051z00,
		BGl_z62initflowzd2nodezd2setzd2ex1370zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2034z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2052z00,
		BGl_z62initflowzd2nodezd2jumpzd2e1372zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_initflowzd2walkz12zd2envz12zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2wa2053z00,
		BGl_z62initflowzd2walkz12za2zzinitflow_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2054z00,
		BGl_z62initflowzd2nodezb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2001z00zzinitflow_walkz00,
		BgL_bgl_string2001za700za7za7i2055za7, "Initflow", 8);
	      DEFINE_STRING(BGl_string2002z00zzinitflow_walkz00,
		BgL_bgl_string2002za700za7za7i2056za7, "   . ", 5);
	      DEFINE_STRING(BGl_string2003z00zzinitflow_walkz00,
		BgL_bgl_string2003za700za7za7i2057za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string2004z00zzinitflow_walkz00,
		BgL_bgl_string2004za700za7za7i2058za7, "      uninitialized globals : ",
		30);
	      DEFINE_STRING(BGl_string2005z00zzinitflow_walkz00,
		BgL_bgl_string2005za700za7za7i2059za7, " error", 6);
	      DEFINE_STRING(BGl_string2006z00zzinitflow_walkz00,
		BgL_bgl_string2006za700za7za7i2060za7, "s", 1);
	      DEFINE_STRING(BGl_string2007z00zzinitflow_walkz00,
		BgL_bgl_string2007za700za7za7i2061za7, "", 0);
	      DEFINE_STRING(BGl_string2008z00zzinitflow_walkz00,
		BgL_bgl_string2008za700za7za7i2062za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string2009z00zzinitflow_walkz00,
		BgL_bgl_string2009za700za7za7i2063za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string2015z00zzinitflow_walkz00,
		BgL_bgl_string2015za700za7za7i2064za7, "initflow-node1335", 17);
	      DEFINE_STRING(BGl_string2017z00zzinitflow_walkz00,
		BgL_bgl_string2017za700za7za7i2065za7, "initflow-node", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2010z00zzinitflow_walkz00,
		BgL_bgl_za762lambda1734za7622066z00, BGl_z62lambda1734z62zzinitflow_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2011z00zzinitflow_walkz00,
		BgL_bgl_za762za7c3za704anonymo2067za7,
		BGl_z62zc3z04anonymousza31733ze3ze5zzinitflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2012z00zzinitflow_walkz00,
		BgL_bgl_za762lambda1726za7622068z00, BGl_z62lambda1726z62zzinitflow_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2013z00zzinitflow_walkz00,
		BgL_bgl_za762lambda1722za7622069z00, BGl_z62lambda1722z62zzinitflow_walkz00,
		0L, BUNSPEC, 22);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2014z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2070z00,
		BGl_z62initflowzd2node1335zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2016z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2071z00,
		BGl_z62initflowzd2nodezd2var1338z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2018z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2072z00,
		BGl_z62initflowzd2nodezd2sequen1340z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2019z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2073z00,
		BGl_z62initflowzd2nodezd2sync1342z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2020z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2074z00,
		BGl_z62initflowzd2nodezd2app1344z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2021z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2075z00,
		BGl_z62initflowzd2nodezd2appzd2ly1346zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2022z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2076z00,
		BGl_z62initflowzd2nodezd2funcal1348z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2023z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2077z00,
		BGl_z62initflowzd2nodezd2extern1350z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2024z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2078z00,
		BGl_z62initflowzd2nodezd2setq1352z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2025z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2079z00,
		BGl_z62initflowzd2nodezd2condit1354z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2026z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2080z00,
		BGl_z62initflowzd2nodezd2fail1356z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2027z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2081z00,
		BGl_z62initflowzd2nodezd2switch1358z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2028z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2082z00,
		BGl_z62initflowzd2nodezd2makezd2b1360zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2035z00zzinitflow_walkz00,
		BgL_bgl_string2035za700za7za7i2083za7,
		"Typed global variable used before initialized", 45);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2029z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2084z00,
		BGl_z62initflowzd2nodezd2boxzd2re1362zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2036z00zzinitflow_walkz00,
		BgL_bgl_string2036za700za7za7i2085za7, "initflow_walk", 13);
	      DEFINE_STRING(BGl_string2037z00zzinitflow_walkz00,
		BgL_bgl_string2037za700za7za7i2086za7,
		"no-init-flow _ initflow_walk sfun/iflow (object-init toplevel-init generic-init method-init) read pass-started ",
		111);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2030z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2087z00,
		BGl_z62initflowzd2nodezd2boxzd2se1364zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzinitflow_walkz00));
		     ADD_ROOT((void *) (&BGl_sfunzf2iflowzf2zzinitflow_walkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzinitflow_walkz00(long
		BgL_checksumz00_2597, char *BgL_fromz00_2598)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzinitflow_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzinitflow_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzinitflow_walkz00();
					BGl_libraryzd2moduleszd2initz00zzinitflow_walkz00();
					BGl_cnstzd2initzd2zzinitflow_walkz00();
					BGl_importedzd2moduleszd2initz00zzinitflow_walkz00();
					BGl_objectzd2initzd2zzinitflow_walkz00();
					BGl_genericzd2initzd2zzinitflow_walkz00();
					BGl_methodzd2initzd2zzinitflow_walkz00();
					return BGl_toplevelzd2initzd2zzinitflow_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzinitflow_walkz00()
	{
		{	/* Initflow/walk.scm 27 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"initflow_walk");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"initflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"initflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"initflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"initflow_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"initflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"initflow_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "initflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"initflow_walk");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "initflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"initflow_walk");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzinitflow_walkz00()
	{
		{	/* Initflow/walk.scm 27 */
			{	/* Initflow/walk.scm 27 */
				obj_t BgL_cportz00_2459;

				{	/* Initflow/walk.scm 27 */
					obj_t BgL_stringz00_2467;

					BgL_stringz00_2467 = BGl_string2037z00zzinitflow_walkz00;
					{	/* Initflow/walk.scm 27 */
						obj_t BgL_startz00_2468;

						BgL_startz00_2468 = BINT(((long) 0));
						{	/* Initflow/walk.scm 27 */
							obj_t BgL_endz00_2469;

							BgL_endz00_2469 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2467)));
							{	/* Initflow/walk.scm 27 */

								BgL_cportz00_2459 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2467, BgL_startz00_2468, BgL_endz00_2469);
				}}}}
				{
					long BgL_iz00_2460;

					BgL_iz00_2460 = ((long) 6);
				BgL_loopz00_2461:
					if ((BgL_iz00_2460 == ((long) -1)))
						{	/* Initflow/walk.scm 27 */
							return BUNSPEC;
						}
					else
						{	/* Initflow/walk.scm 27 */
							{	/* Initflow/walk.scm 27 */
								obj_t BgL_arg2039z00_2463;

								{	/* Initflow/walk.scm 27 */

									{	/* Initflow/walk.scm 27 */
										obj_t BgL_locationz00_2465;

										BgL_locationz00_2465 = BBOOL(((bool_t) 0));
										{	/* Initflow/walk.scm 27 */

											BgL_arg2039z00_2463 =
												BGl_readz00zz__readerz00(BgL_cportz00_2459,
												BgL_locationz00_2465);
										}
									}
								}
								{	/* Initflow/walk.scm 27 */
									int BgL_tmpz00_2630;

									BgL_tmpz00_2630 = (int) (BgL_iz00_2460);
									CNST_TABLE_SET(BgL_tmpz00_2630, BgL_arg2039z00_2463);
							}}
							{	/* Initflow/walk.scm 27 */
								int BgL_auxz00_2466;

								BgL_auxz00_2466 = (int) ((BgL_iz00_2460 - ((long) 1)));
								{
									long BgL_iz00_2635;

									BgL_iz00_2635 = (long) (BgL_auxz00_2466);
									BgL_iz00_2460 = BgL_iz00_2635;
									goto BgL_loopz00_2461;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzinitflow_walkz00()
	{
		{	/* Initflow/walk.scm 27 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzinitflow_walkz00()
	{
		{	/* Initflow/walk.scm 27 */
			return BUNSPEC;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzinitflow_walkz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_1463;

				BgL_headz00_1463 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1464;
					obj_t BgL_tailz00_1465;

					BgL_prevz00_1464 = BgL_headz00_1463;
					BgL_tailz00_1465 = BgL_l1z00_1;
				BgL_loopz00_1466:
					if (PAIRP(BgL_tailz00_1465))
						{
							obj_t BgL_newzd2prevzd2_1468;

							BgL_newzd2prevzd2_1468 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1465), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1464, BgL_newzd2prevzd2_1468);
							{
								obj_t BgL_tailz00_2645;
								obj_t BgL_prevz00_2644;

								BgL_prevz00_2644 = BgL_newzd2prevzd2_1468;
								BgL_tailz00_2645 = CDR(BgL_tailz00_1465);
								BgL_tailz00_1465 = BgL_tailz00_2645;
								BgL_prevz00_1464 = BgL_prevz00_2644;
								goto BgL_loopz00_1466;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1463);
				}
			}
		}

	}



/* initflow-walk! */
	BGL_EXPORTED_DEF obj_t BGl_initflowzd2walkz12zc0zzinitflow_walkz00(obj_t
		BgL_globalsz00_80)
	{
		{	/* Initflow/walk.scm 48 */
			{	/* Initflow/walk.scm 49 */
				obj_t BgL_list1436z00_1477;

				{	/* Initflow/walk.scm 49 */
					obj_t BgL_arg1445z00_1478;

					{	/* Initflow/walk.scm 49 */
						obj_t BgL_arg1446z00_1479;

						BgL_arg1446z00_1479 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1445z00_1478 =
							MAKE_YOUNG_PAIR(BGl_string2001z00zzinitflow_walkz00,
							BgL_arg1446z00_1479);
					}
					BgL_list1436z00_1477 =
						MAKE_YOUNG_PAIR(BGl_string2002z00zzinitflow_walkz00,
						BgL_arg1445z00_1478);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list1436z00_1477);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string2001z00zzinitflow_walkz00;
			{	/* Initflow/walk.scm 49 */
				obj_t BgL_g1143z00_1480;

				BgL_g1143z00_1480 = BNIL;
				{
					obj_t BgL_hooksz00_1483;
					obj_t BgL_hnamesz00_1484;

					BgL_hooksz00_1483 = BgL_g1143z00_1480;
					BgL_hnamesz00_1484 = BNIL;
				BgL_zc3z04anonymousza31447ze3z87_1485:
					if (NULLP(BgL_hooksz00_1483))
						{	/* Initflow/walk.scm 49 */
							CNST_TABLE_REF(((long) 0));
						}
					else
						{	/* Initflow/walk.scm 49 */
							bool_t BgL_test2092z00_2658;

							{	/* Initflow/walk.scm 49 */
								obj_t BgL_fun1502z00_1492;

								BgL_fun1502z00_1492 = CAR(((obj_t) BgL_hooksz00_1483));
								BgL_test2092z00_2658 =
									CBOOL(PROCEDURE_ENTRY(BgL_fun1502z00_1492)
									(BgL_fun1502z00_1492, BEOA));
							}
							if (BgL_test2092z00_2658)
								{	/* Initflow/walk.scm 49 */
									obj_t BgL_arg1451z00_1489;
									obj_t BgL_arg1484z00_1490;

									BgL_arg1451z00_1489 = CDR(((obj_t) BgL_hooksz00_1483));
									BgL_arg1484z00_1490 = CDR(((obj_t) BgL_hnamesz00_1484));
									{
										obj_t BgL_hnamesz00_2670;
										obj_t BgL_hooksz00_2669;

										BgL_hooksz00_2669 = BgL_arg1451z00_1489;
										BgL_hnamesz00_2670 = BgL_arg1484z00_1490;
										BgL_hnamesz00_1484 = BgL_hnamesz00_2670;
										BgL_hooksz00_1483 = BgL_hooksz00_2669;
										goto BgL_zc3z04anonymousza31447ze3z87_1485;
									}
								}
							else
								{	/* Initflow/walk.scm 49 */
									obj_t BgL_arg1500z00_1491;

									BgL_arg1500z00_1491 = CAR(((obj_t) BgL_hnamesz00_1484));
									BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string2001z00zzinitflow_walkz00,
										BGl_string2003z00zzinitflow_walkz00, BgL_arg1500z00_1491);
								}
						}
				}
			}
			{
				obj_t BgL_l1292z00_1496;

				BgL_l1292z00_1496 = BgL_globalsz00_80;
			BgL_zc3z04anonymousza31504ze3z87_1497:
				if (PAIRP(BgL_l1292z00_1496))
					{	/* Initflow/walk.scm 53 */
						{	/* Initflow/walk.scm 54 */
							obj_t BgL_gz00_1499;

							BgL_gz00_1499 = CAR(BgL_l1292z00_1496);
							if (
								((((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_gz00_1499))))->
										BgL_accessz00) == CNST_TABLE_REF(((long) 1))))
								{	/* Initflow/walk.scm 55 */
									BgL_valuez00_bglt BgL_valuez00_1502;

									BgL_valuez00_1502 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_gz00_1499))))->
										BgL_valuez00);
									if (BGl_isazf3zf3zz__objectz00(((obj_t) BgL_valuez00_1502),
											BGl_sfunz00zzast_varz00))
										{	/* Initflow/walk.scm 56 */
											((((BgL_globalz00_bglt) COBJECT(
															((BgL_globalz00_bglt) BgL_gz00_1499)))->
													BgL_initz00) = ((obj_t) BTRUE), BUNSPEC);
										}
									else
										{	/* Initflow/walk.scm 56 */
											BFALSE;
										}
								}
							else
								{	/* Initflow/walk.scm 54 */
									BFALSE;
								}
						}
						{
							obj_t BgL_l1292z00_2691;

							BgL_l1292z00_2691 = CDR(BgL_l1292z00_1496);
							BgL_l1292z00_1496 = BgL_l1292z00_2691;
							goto BgL_zc3z04anonymousza31504ze3z87_1497;
						}
					}
				else
					{	/* Initflow/walk.scm 53 */
						((bool_t) 1);
					}
			}
			{	/* Initflow/walk.scm 60 */
				obj_t BgL_g1307z00_1507;

				BgL_g1307z00_1507 = CNST_TABLE_REF(((long) 2));
				{
					obj_t BgL_l1305z00_1509;

					BgL_l1305z00_1509 = BgL_g1307z00_1507;
				BgL_zc3z04anonymousza31528ze3z87_1510:
					if (PAIRP(BgL_l1305z00_1509))
						{	/* Initflow/walk.scm 72 */
							{	/* Initflow/walk.scm 61 */
								obj_t BgL_idz00_1512;

								BgL_idz00_1512 = CAR(BgL_l1305z00_1509);
								{	/* Initflow/walk.scm 61 */
									obj_t BgL_rootz00_1513;

									BgL_rootz00_1513 =
										BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idz00_1512,
										BGl_za2moduleza2z00zzmodule_modulez00);
									if (BGl_isazf3zf3zz__objectz00(BgL_rootz00_1513,
											BGl_globalz00zzast_varz00))
										{	/* Initflow/walk.scm 62 */
											BGl_initflowzd2funzd2zzinitflow_walkz00(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_rootz00_1513)),
												((bool_t) 1));
											{	/* Initflow/walk.scm 64 */
												obj_t BgL_lz00_1515;

												{	/* Initflow/walk.scm 64 */
													obj_t BgL_hook1298z00_1537;

													BgL_hook1298z00_1537 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
													{
														obj_t BgL_l1295z00_1539;
														obj_t BgL_h1296z00_1540;

														BgL_l1295z00_1539 = BgL_globalsz00_80;
														BgL_h1296z00_1540 = BgL_hook1298z00_1537;
													BgL_zc3z04anonymousza31558ze3z87_1541:
														if (NULLP(BgL_l1295z00_1539))
															{	/* Initflow/walk.scm 64 */
																BgL_lz00_1515 = CDR(BgL_hook1298z00_1537);
															}
														else
															{	/* Initflow/walk.scm 64 */
																bool_t BgL_test2099z00_2707;

																{	/* Initflow/walk.scm 65 */
																	obj_t BgL_gz00_1554;

																	BgL_gz00_1554 =
																		CAR(((obj_t) BgL_l1295z00_1539));
																	{	/* Initflow/walk.scm 65 */
																		bool_t BgL_test2100z00_2710;

																		{	/* Initflow/walk.scm 65 */
																			BgL_valuez00_bglt BgL_arg1582z00_1558;

																			BgL_arg1582z00_1558 =
																				(((BgL_variablez00_bglt) COBJECT(
																						((BgL_variablez00_bglt)
																							((BgL_globalz00_bglt)
																								BgL_gz00_1554))))->
																				BgL_valuez00);
																			BgL_test2100z00_2710 =
																				BGl_isazf3zf3zz__objectz00(((obj_t)
																					BgL_arg1582z00_1558),
																				BGl_sfunz00zzast_varz00);
																		}
																		if (BgL_test2100z00_2710)
																			{	/* Initflow/walk.scm 65 */
																				BgL_test2099z00_2707 = ((bool_t) 0);
																			}
																		else
																			{	/* Initflow/walk.scm 65 */
																				if (
																					((((BgL_globalz00_bglt) COBJECT(
																									((BgL_globalz00_bglt)
																										BgL_gz00_1554)))->
																							BgL_initz00) == BTRUE))
																					{	/* Initflow/walk.scm 66 */
																						BgL_test2099z00_2707 = ((bool_t) 0);
																					}
																				else
																					{	/* Initflow/walk.scm 66 */
																						BgL_test2099z00_2707 = ((bool_t) 1);
																					}
																			}
																	}
																}
																if (BgL_test2099z00_2707)
																	{	/* Initflow/walk.scm 64 */
																		obj_t BgL_nh1297z00_1550;

																		{	/* Initflow/walk.scm 64 */
																			obj_t BgL_arg1573z00_1552;

																			BgL_arg1573z00_1552 =
																				CAR(((obj_t) BgL_l1295z00_1539));
																			BgL_nh1297z00_1550 =
																				MAKE_YOUNG_PAIR(BgL_arg1573z00_1552,
																				BNIL);
																		}
																		SET_CDR(BgL_h1296z00_1540,
																			BgL_nh1297z00_1550);
																		{	/* Initflow/walk.scm 64 */
																			obj_t BgL_arg1571z00_1551;

																			BgL_arg1571z00_1551 =
																				CDR(((obj_t) BgL_l1295z00_1539));
																			{
																				obj_t BgL_h1296z00_2727;
																				obj_t BgL_l1295z00_2726;

																				BgL_l1295z00_2726 = BgL_arg1571z00_1551;
																				BgL_h1296z00_2727 = BgL_nh1297z00_1550;
																				BgL_h1296z00_1540 = BgL_h1296z00_2727;
																				BgL_l1295z00_1539 = BgL_l1295z00_2726;
																				goto
																					BgL_zc3z04anonymousza31558ze3z87_1541;
																			}
																		}
																	}
																else
																	{	/* Initflow/walk.scm 64 */
																		obj_t BgL_arg1579z00_1553;

																		BgL_arg1579z00_1553 =
																			CDR(((obj_t) BgL_l1295z00_1539));
																		{
																			obj_t BgL_l1295z00_2730;

																			BgL_l1295z00_2730 = BgL_arg1579z00_1553;
																			BgL_l1295z00_1539 = BgL_l1295z00_2730;
																			goto
																				BgL_zc3z04anonymousza31558ze3z87_1541;
																		}
																	}
															}
													}
												}
												if (PAIRP(BgL_lz00_1515))
													{	/* Initflow/walk.scm 70 */
														obj_t BgL_arg1532z00_1517;

														{	/* Initflow/walk.scm 70 */
															obj_t BgL_head1301z00_1523;

															BgL_head1301z00_1523 =
																MAKE_YOUNG_PAIR(BGl_shapez00zztools_shapez00(CAR
																	(BgL_lz00_1515)), BNIL);
															{	/* Initflow/walk.scm 70 */
																obj_t BgL_g1304z00_1524;

																BgL_g1304z00_1524 = CDR(BgL_lz00_1515);
																{
																	obj_t BgL_l1299z00_1526;
																	obj_t BgL_tail1302z00_1527;

																	BgL_l1299z00_1526 = BgL_g1304z00_1524;
																	BgL_tail1302z00_1527 = BgL_head1301z00_1523;
																BgL_zc3z04anonymousza31544ze3z87_1528:
																	if (NULLP(BgL_l1299z00_1526))
																		{	/* Initflow/walk.scm 70 */
																			BgL_arg1532z00_1517 =
																				BgL_head1301z00_1523;
																		}
																	else
																		{	/* Initflow/walk.scm 70 */
																			obj_t BgL_newtail1303z00_1530;

																			{	/* Initflow/walk.scm 70 */
																				obj_t BgL_arg1547z00_1532;

																				{	/* Initflow/walk.scm 70 */
																					obj_t BgL_arg1551z00_1533;

																					BgL_arg1551z00_1533 =
																						CAR(((obj_t) BgL_l1299z00_1526));
																					BgL_arg1547z00_1532 =
																						BGl_shapez00zztools_shapez00
																						(BgL_arg1551z00_1533);
																				}
																				BgL_newtail1303z00_1530 =
																					MAKE_YOUNG_PAIR(BgL_arg1547z00_1532,
																					BNIL);
																			}
																			SET_CDR(BgL_tail1302z00_1527,
																				BgL_newtail1303z00_1530);
																			{	/* Initflow/walk.scm 70 */
																				obj_t BgL_arg1546z00_1531;

																				BgL_arg1546z00_1531 =
																					CDR(((obj_t) BgL_l1299z00_1526));
																				{
																					obj_t BgL_tail1302z00_2747;
																					obj_t BgL_l1299z00_2746;

																					BgL_l1299z00_2746 =
																						BgL_arg1546z00_1531;
																					BgL_tail1302z00_2747 =
																						BgL_newtail1303z00_1530;
																					BgL_tail1302z00_1527 =
																						BgL_tail1302z00_2747;
																					BgL_l1299z00_1526 = BgL_l1299z00_2746;
																					goto
																						BgL_zc3z04anonymousza31544ze3z87_1528;
																				}
																			}
																		}
																}
															}
														}
														{	/* Initflow/walk.scm 69 */
															obj_t BgL_list1533z00_1518;

															{	/* Initflow/walk.scm 69 */
																obj_t BgL_arg1540z00_1519;

																{	/* Initflow/walk.scm 69 */
																	obj_t BgL_arg1542z00_1520;

																	BgL_arg1542z00_1520 =
																		MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)),
																		BNIL);
																	BgL_arg1540z00_1519 =
																		MAKE_YOUNG_PAIR(BgL_arg1532z00_1517,
																		BgL_arg1542z00_1520);
																}
																BgL_list1533z00_1518 =
																	MAKE_YOUNG_PAIR
																	(BGl_string2004z00zzinitflow_walkz00,
																	BgL_arg1540z00_1519);
															}
															BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
																BgL_list1533z00_1518);
													}}
												else
													{	/* Initflow/walk.scm 68 */
														BFALSE;
													}
											}
										}
									else
										{	/* Initflow/walk.scm 62 */
											BFALSE;
										}
								}
							}
							{
								obj_t BgL_l1305z00_2754;

								BgL_l1305z00_2754 = CDR(BgL_l1305z00_1509);
								BgL_l1305z00_1509 = BgL_l1305z00_2754;
								goto BgL_zc3z04anonymousza31528ze3z87_1510;
							}
						}
					else
						{	/* Initflow/walk.scm 72 */
							((bool_t) 1);
						}
				}
			}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
					((long) 0)))
				{	/* Initflow/walk.scm 74 */
					{	/* Initflow/walk.scm 74 */
						obj_t BgL_port1308z00_1564;

						{	/* Initflow/walk.scm 74 */
							obj_t BgL_tmpz00_2759;

							BgL_tmpz00_2759 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_port1308z00_1564 =
								BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_2759);
						}
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port1308z00_1564);
						bgl_display_string(BGl_string2005z00zzinitflow_walkz00,
							BgL_port1308z00_1564);
						{	/* Initflow/walk.scm 74 */
							obj_t BgL_arg1597z00_1565;

							{	/* Initflow/walk.scm 74 */
								bool_t BgL_test2105z00_2764;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Initflow/walk.scm 74 */
										if (INTEGERP
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Initflow/walk.scm 74 */
												BgL_test2105z00_2764 =
													(
													(long)
													CINT
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
													> ((long) 1));
											}
										else
											{	/* Initflow/walk.scm 74 */
												BgL_test2105z00_2764 =
													BGl_2ze3ze3zz__r4_numbers_6_5z00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BINT(((long) 1)));
									}}
								else
									{	/* Initflow/walk.scm 74 */
										BgL_test2105z00_2764 = ((bool_t) 0);
									}
								if (BgL_test2105z00_2764)
									{	/* Initflow/walk.scm 74 */
										BgL_arg1597z00_1565 = BGl_string2006z00zzinitflow_walkz00;
									}
								else
									{	/* Initflow/walk.scm 74 */
										BgL_arg1597z00_1565 = BGl_string2007z00zzinitflow_walkz00;
									}
							}
							bgl_display_obj(BgL_arg1597z00_1565, BgL_port1308z00_1564);
						}
						bgl_display_string(BGl_string2008z00zzinitflow_walkz00,
							BgL_port1308z00_1564);
						bgl_display_char(((unsigned char) 10), BgL_port1308z00_1564);
					}
					{	/* Initflow/walk.scm 74 */
						obj_t BgL_list1602z00_1571;

						BgL_list1602z00_1571 = MAKE_YOUNG_PAIR(BINT(((long) -1)), BNIL);
						return BGl_exitz00zz__errorz00(BgL_list1602z00_1571);
					}
				}
			else
				{	/* Initflow/walk.scm 74 */
					obj_t BgL_g1146z00_1572;

					BgL_g1146z00_1572 = BNIL;
					{
						obj_t BgL_hooksz00_1575;
						obj_t BgL_hnamesz00_1576;

						BgL_hooksz00_1575 = BgL_g1146z00_1572;
						BgL_hnamesz00_1576 = BNIL;
					BgL_zc3z04anonymousza31603ze3z87_1577:
						if (NULLP(BgL_hooksz00_1575))
							{	/* Initflow/walk.scm 74 */
								return BgL_globalsz00_80;
							}
						else
							{	/* Initflow/walk.scm 74 */
								bool_t BgL_test2109z00_2781;

								{	/* Initflow/walk.scm 74 */
									obj_t BgL_fun1615z00_1584;

									BgL_fun1615z00_1584 = CAR(((obj_t) BgL_hooksz00_1575));
									BgL_test2109z00_2781 =
										CBOOL(PROCEDURE_ENTRY(BgL_fun1615z00_1584)
										(BgL_fun1615z00_1584, BEOA));
								}
								if (BgL_test2109z00_2781)
									{	/* Initflow/walk.scm 74 */
										obj_t BgL_arg1612z00_1581;
										obj_t BgL_arg1613z00_1582;

										BgL_arg1612z00_1581 = CDR(((obj_t) BgL_hooksz00_1575));
										BgL_arg1613z00_1582 = CDR(((obj_t) BgL_hnamesz00_1576));
										{
											obj_t BgL_hnamesz00_2793;
											obj_t BgL_hooksz00_2792;

											BgL_hooksz00_2792 = BgL_arg1612z00_1581;
											BgL_hnamesz00_2793 = BgL_arg1613z00_1582;
											BgL_hnamesz00_1576 = BgL_hnamesz00_2793;
											BgL_hooksz00_1575 = BgL_hooksz00_2792;
											goto BgL_zc3z04anonymousza31603ze3z87_1577;
										}
									}
								else
									{	/* Initflow/walk.scm 74 */
										obj_t BgL_arg1614z00_1583;

										BgL_arg1614z00_1583 = CAR(((obj_t) BgL_hnamesz00_1576));
										return
											BGl_internalzd2errorzd2zztools_errorz00
											(BGl_za2currentzd2passza2zd2zzengine_passz00,
											BGl_string2009z00zzinitflow_walkz00, BgL_arg1614z00_1583);
									}
							}
					}
				}
		}

	}



/* &initflow-walk! */
	obj_t BGl_z62initflowzd2walkz12za2zzinitflow_walkz00(obj_t BgL_envz00_2345,
		obj_t BgL_globalsz00_2346)
	{
		{	/* Initflow/walk.scm 48 */
			return BGl_initflowzd2walkz12zc0zzinitflow_walkz00(BgL_globalsz00_2346);
		}

	}



/* initflow-fun */
	obj_t BGl_initflowzd2funzd2zzinitflow_walkz00(BgL_variablez00_bglt
		BgL_varz00_81, bool_t BgL_ez00_82)
	{
		{	/* Initflow/walk.scm 79 */
			{	/* Initflow/walk.scm 80 */
				BgL_valuez00_bglt BgL_fz00_1587;

				BgL_fz00_1587 =
					(((BgL_variablez00_bglt) COBJECT(BgL_varz00_81))->BgL_valuez00);
				{	/* Initflow/walk.scm 82 */
					bool_t BgL_test2110z00_2799;

					{	/* Initflow/walk.scm 82 */
						obj_t BgL_arg1645z00_1597;

						BgL_arg1645z00_1597 =
							(((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_fz00_1587)))->BgL_bodyz00);
						BgL_test2110z00_2799 =
							BGl_isazf3zf3zz__objectz00(BgL_arg1645z00_1597,
							BGl_nodez00zzast_nodez00);
					}
					if (BgL_test2110z00_2799)
						{	/* Initflow/walk.scm 82 */
							if (BGl_isazf3zf3zz__objectz00(
									((obj_t) BgL_fz00_1587),
									BGl_sfunzf2iflowzf2zzinitflow_walkz00))
								{	/* Initflow/walk.scm 84 */
									return BNIL;
								}
							else
								{	/* Initflow/walk.scm 84 */
									{	/* Initflow/walk.scm 87 */
										BgL_sfunzf2iflowzf2_bglt BgL_wide1153z00_1593;

										BgL_wide1153z00_1593 =
											((BgL_sfunzf2iflowzf2_bglt)
											BOBJECT(GC_MALLOC(sizeof(struct
														BgL_sfunzf2iflowzf2_bgl))));
										{	/* Initflow/walk.scm 87 */
											obj_t BgL_auxz00_2811;
											BgL_objectz00_bglt BgL_tmpz00_2807;

											BgL_auxz00_2811 = ((obj_t) BgL_wide1153z00_1593);
											BgL_tmpz00_2807 =
												((BgL_objectz00_bglt)
												((BgL_sfunz00_bglt)
													((BgL_sfunz00_bglt) BgL_fz00_1587)));
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2807, BgL_auxz00_2811);
										}
										((BgL_objectz00_bglt)
											((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_fz00_1587)));
										{	/* Initflow/walk.scm 87 */
											long BgL_arg1638z00_1594;

											BgL_arg1638z00_1594 =
												BGL_CLASS_INDEX(BGl_sfunzf2iflowzf2zzinitflow_walkz00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_fz00_1587))),
												BgL_arg1638z00_1594);
										}
										((BgL_sfunz00_bglt)
											((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_fz00_1587)));
									}
									((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_fz00_1587));
									{	/* Initflow/walk.scm 88 */
										obj_t BgL_arg1643z00_1596;

										BgL_arg1643z00_1596 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_fz00_1587)))->BgL_bodyz00);
										return
											BGl_initflowzd2nodezd2zzinitflow_walkz00(
											((BgL_nodez00_bglt) BgL_arg1643z00_1596), BgL_ez00_82);
									}
								}
						}
					else
						{	/* Initflow/walk.scm 82 */
							return BNIL;
						}
				}
			}
		}

	}



/* initflow-node* */
	obj_t BGl_initflowzd2nodeza2z70zzinitflow_walkz00(obj_t BgL_nodesz00_87,
		obj_t BgL_ez00_88)
	{
		{	/* Initflow/walk.scm 124 */
			{
				obj_t BgL_nodesz00_1600;
				obj_t BgL_isz00_1601;

				BgL_nodesz00_1600 = BgL_nodesz00_87;
				BgL_isz00_1601 = BNIL;
			BgL_zc3z04anonymousza31646ze3z87_1602:
				if (NULLP(BgL_nodesz00_1600))
					{	/* Initflow/walk.scm 127 */
						if (CBOOL(BgL_ez00_88))
							{	/* Initflow/walk.scm 128 */
								{
									obj_t BgL_l1309z00_1605;

									BgL_l1309z00_1605 = BgL_isz00_1601;
								BgL_zc3z04anonymousza31648ze3z87_1606:
									if (PAIRP(BgL_l1309z00_1605))
										{	/* Initflow/walk.scm 130 */
											{	/* Initflow/walk.scm 131 */
												obj_t BgL_gz00_1608;

												BgL_gz00_1608 = CAR(BgL_l1309z00_1605);
												if (
													((((BgL_globalz00_bglt) COBJECT(
																	((BgL_globalz00_bglt) BgL_gz00_1608)))->
															BgL_initz00) == BUNSPEC))
													{	/* Initflow/walk.scm 131 */
														((((BgL_globalz00_bglt) COBJECT(
																		((BgL_globalz00_bglt) BgL_gz00_1608)))->
																BgL_initz00) = ((obj_t) BTRUE), BUNSPEC);
													}
												else
													{	/* Initflow/walk.scm 131 */
														BFALSE;
													}
											}
											{
												obj_t BgL_l1309z00_2844;

												BgL_l1309z00_2844 = CDR(BgL_l1309z00_1605);
												BgL_l1309z00_1605 = BgL_l1309z00_2844;
												goto BgL_zc3z04anonymousza31648ze3z87_1606;
											}
										}
									else
										{	/* Initflow/walk.scm 130 */
											((bool_t) 1);
										}
								}
								return BNIL;
							}
						else
							{	/* Initflow/walk.scm 135 */
								obj_t BgL_hook1315z00_1614;

								BgL_hook1315z00_1614 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
								{
									obj_t BgL_l1312z00_1616;
									obj_t BgL_h1313z00_1617;

									BgL_l1312z00_1616 = BgL_isz00_1601;
									BgL_h1313z00_1617 = BgL_hook1315z00_1614;
								BgL_zc3z04anonymousza31663ze3z87_1618:
									if (NULLP(BgL_l1312z00_1616))
										{	/* Initflow/walk.scm 135 */
											return CDR(BgL_hook1315z00_1614);
										}
									else
										{	/* Initflow/walk.scm 135 */
											if (CBOOL(
													(((BgL_globalz00_bglt) COBJECT(
																((BgL_globalz00_bglt)
																	CAR(
																		((obj_t) BgL_l1312z00_1616)))))->
														BgL_initz00)))
												{	/* Initflow/walk.scm 135 */
													obj_t BgL_nh1314z00_1622;

													{	/* Initflow/walk.scm 135 */
														obj_t BgL_arg1673z00_1624;

														BgL_arg1673z00_1624 =
															CAR(((obj_t) BgL_l1312z00_1616));
														BgL_nh1314z00_1622 =
															MAKE_YOUNG_PAIR(BgL_arg1673z00_1624, BNIL);
													}
													SET_CDR(BgL_h1313z00_1617, BgL_nh1314z00_1622);
													{	/* Initflow/walk.scm 135 */
														obj_t BgL_arg1672z00_1623;

														BgL_arg1672z00_1623 =
															CDR(((obj_t) BgL_l1312z00_1616));
														{
															obj_t BgL_h1313z00_2863;
															obj_t BgL_l1312z00_2862;

															BgL_l1312z00_2862 = BgL_arg1672z00_1623;
															BgL_h1313z00_2863 = BgL_nh1314z00_1622;
															BgL_h1313z00_1617 = BgL_h1313z00_2863;
															BgL_l1312z00_1616 = BgL_l1312z00_2862;
															goto BgL_zc3z04anonymousza31663ze3z87_1618;
														}
													}
												}
											else
												{	/* Initflow/walk.scm 135 */
													obj_t BgL_arg1675z00_1625;

													BgL_arg1675z00_1625 =
														CDR(((obj_t) BgL_l1312z00_1616));
													{
														obj_t BgL_l1312z00_2866;

														BgL_l1312z00_2866 = BgL_arg1675z00_1625;
														BgL_l1312z00_1616 = BgL_l1312z00_2866;
														goto BgL_zc3z04anonymousza31663ze3z87_1618;
													}
												}
										}
								}
							}
					}
				else
					{	/* Initflow/walk.scm 136 */
						obj_t BgL_iz00_1628;

						{	/* Initflow/walk.scm 136 */
							obj_t BgL_arg1685z00_1631;

							BgL_arg1685z00_1631 = CAR(((obj_t) BgL_nodesz00_1600));
							BgL_iz00_1628 =
								BGl_initflowzd2nodezd2zzinitflow_walkz00(
								((BgL_nodez00_bglt) BgL_arg1685z00_1631), ((bool_t) 0));
						}
						{	/* Initflow/walk.scm 137 */
							obj_t BgL_arg1679z00_1629;
							obj_t BgL_arg1682z00_1630;

							BgL_arg1679z00_1629 = CDR(((obj_t) BgL_nodesz00_1600));
							BgL_arg1682z00_1630 =
								BGl_appendzd221011zd2zzinitflow_walkz00(BgL_iz00_1628,
								BgL_isz00_1601);
							{
								obj_t BgL_isz00_2875;
								obj_t BgL_nodesz00_2874;

								BgL_nodesz00_2874 = BgL_arg1679z00_1629;
								BgL_isz00_2875 = BgL_arg1682z00_1630;
								BgL_isz00_1601 = BgL_isz00_2875;
								BgL_nodesz00_1600 = BgL_nodesz00_2874;
								goto BgL_zc3z04anonymousza31646ze3z87_1602;
							}
						}
					}
			}
		}

	}



/* lub */
	obj_t BGl_lubz00zzinitflow_walkz00(obj_t BgL_isz00_103, obj_t BgL_ez00_104)
	{
		{	/* Initflow/walk.scm 216 */
			if (NULLP(BgL_isz00_103))
				{	/* Initflow/walk.scm 217 */
					return BNIL;
				}
			else
				{	/* Initflow/walk.scm 219 */
					obj_t BgL_lubz00_1634;

					BgL_lubz00_1634 = BNIL;
					{	/* Initflow/walk.scm 220 */
						obj_t BgL_g1322z00_1635;

						BgL_g1322z00_1635 = CAR(((obj_t) BgL_isz00_103));
						{
							obj_t BgL_l1320z00_1637;

							BgL_l1320z00_1637 = BgL_g1322z00_1635;
						BgL_zc3z04anonymousza31687ze3z87_1638:
							if (PAIRP(BgL_l1320z00_1637))
								{	/* Initflow/walk.scm 226 */
									{	/* Initflow/walk.scm 221 */
										obj_t BgL_gz00_1640;

										BgL_gz00_1640 = CAR(BgL_l1320z00_1637);
										{	/* Initflow/walk.scm 221 */
											bool_t BgL_test2120z00_2883;

											if (
												((((BgL_globalz00_bglt) COBJECT(
																((BgL_globalz00_bglt) BgL_gz00_1640)))->
														BgL_initz00) == BUNSPEC))
												{
													obj_t BgL_l1316z00_1658;

													BgL_l1316z00_1658 = CDR(((obj_t) BgL_isz00_103));
												BgL_zc3z04anonymousza31698ze3z87_1659:
													if (NULLP(BgL_l1316z00_1658))
														{	/* Initflow/walk.scm 222 */
															BgL_test2120z00_2883 = ((bool_t) 1);
														}
													else
														{	/* Initflow/walk.scm 222 */
															if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																	(BgL_gz00_1640,
																		CAR(((obj_t) BgL_l1316z00_1658)))))
																{
																	obj_t BgL_l1316z00_2895;

																	BgL_l1316z00_2895 =
																		CDR(((obj_t) BgL_l1316z00_1658));
																	BgL_l1316z00_1658 = BgL_l1316z00_2895;
																	goto BgL_zc3z04anonymousza31698ze3z87_1659;
																}
															else
																{	/* Initflow/walk.scm 222 */
																	BgL_test2120z00_2883 = ((bool_t) 0);
																}
														}
												}
											else
												{	/* Initflow/walk.scm 221 */
													BgL_test2120z00_2883 = ((bool_t) 0);
												}
											if (BgL_test2120z00_2883)
												{	/* Initflow/walk.scm 221 */
													if (CBOOL(BgL_ez00_104))
														{	/* Initflow/walk.scm 223 */
															((((BgL_globalz00_bglt) COBJECT(
																			((BgL_globalz00_bglt) BgL_gz00_1640)))->
																	BgL_initz00) = ((obj_t) BTRUE), BUNSPEC);
														}
													else
														{	/* Initflow/walk.scm 223 */
															BgL_lubz00_1634 =
																MAKE_YOUNG_PAIR(BgL_gz00_1640, BgL_lubz00_1634);
														}
												}
											else
												{	/* Initflow/walk.scm 221 */
													BFALSE;
												}
										}
									}
									{
										obj_t BgL_l1320z00_2905;

										BgL_l1320z00_2905 = CDR(BgL_l1320z00_1637);
										BgL_l1320z00_1637 = BgL_l1320z00_2905;
										goto BgL_zc3z04anonymousza31687ze3z87_1638;
									}
								}
							else
								{	/* Initflow/walk.scm 226 */
									((bool_t) 1);
								}
						}
					}
					return BgL_lubz00_1634;
				}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzinitflow_walkz00()
	{
		{	/* Initflow/walk.scm 27 */
			{	/* Initflow/walk.scm 42 */
				obj_t BgL_arg1720z00_1673;
				obj_t BgL_arg1721z00_1674;

				{	/* Initflow/walk.scm 42 */
					obj_t BgL_v1333z00_1717;

					BgL_v1333z00_1717 = create_vector(((long) 0));
					BgL_arg1720z00_1673 = BgL_v1333z00_1717;
				}
				{	/* Initflow/walk.scm 42 */
					obj_t BgL_v1334z00_1718;

					BgL_v1334z00_1718 = create_vector(((long) 0));
					BgL_arg1721z00_1674 = BgL_v1334z00_1718;
				}
				return (BGl_sfunzf2iflowzf2zzinitflow_walkz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 3)),
						CNST_TABLE_REF(((long) 4)), BGl_sfunz00zzast_varz00, ((long) 37049),
						BGl_proc2013z00zzinitflow_walkz00,
						BGl_proc2012z00zzinitflow_walkz00, BFALSE,
						BGl_proc2011z00zzinitflow_walkz00,
						BGl_proc2010z00zzinitflow_walkz00, BgL_arg1720z00_1673,
						BgL_arg1721z00_1674), BUNSPEC);
		}}

	}



/* &lambda1734 */
	BgL_sfunz00_bglt BGl_z62lambda1734z62zzinitflow_walkz00(obj_t BgL_envz00_2351,
		obj_t BgL_o1129z00_2352)
	{
		{	/* Initflow/walk.scm 42 */
			{	/* Initflow/walk.scm 42 */
				long BgL_arg1735z00_2472;

				{	/* Initflow/walk.scm 42 */
					obj_t BgL_arg1736z00_2473;

					{	/* Initflow/walk.scm 42 */
						obj_t BgL_arg1737z00_2474;

						{	/* Initflow/walk.scm 42 */
							long BgL_arg1794z00_2475;

							{	/* Initflow/walk.scm 42 */
								long BgL_arg1795z00_2476;

								BgL_arg1795z00_2476 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_sfunz00_bglt) BgL_o1129z00_2352)));
								BgL_arg1794z00_2475 = (BgL_arg1795z00_2476 - OBJECT_TYPE);
							}
							BgL_arg1737z00_2474 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1794z00_2475);
						}
						BgL_arg1736z00_2473 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1737z00_2474);
					}
					{	/* Initflow/walk.scm 42 */
						obj_t BgL_tmpz00_2918;

						BgL_tmpz00_2918 = ((obj_t) BgL_arg1736z00_2473);
						BgL_arg1735z00_2472 = BGL_CLASS_INDEX(BgL_tmpz00_2918);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_sfunz00_bglt) BgL_o1129z00_2352)), BgL_arg1735z00_2472);
			}
			{	/* Initflow/walk.scm 42 */
				BgL_objectz00_bglt BgL_tmpz00_2924;

				BgL_tmpz00_2924 =
					((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_o1129z00_2352));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2924, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_o1129z00_2352));
			return ((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_o1129z00_2352));
		}

	}



/* &<@anonymous:1733> */
	obj_t BGl_z62zc3z04anonymousza31733ze3ze5zzinitflow_walkz00(obj_t
		BgL_envz00_2353, obj_t BgL_new1128z00_2354)
	{
		{	/* Initflow/walk.scm 42 */
			{
				BgL_sfunz00_bglt BgL_auxz00_2932;

				((((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt)
									((BgL_sfunz00_bglt) BgL_new1128z00_2354))))->BgL_arityz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1128z00_2354))))->BgL_sidezd2effectzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1128z00_2354))))->BgL_predicatezd2ofzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1128z00_2354))))->BgL_stackzd2allocatorzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1128z00_2354))))->BgL_topzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1128z00_2354))))->BgL_thezd2closurezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1128z00_2354))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1128z00_2354))))->BgL_failsafez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1128z00_2354))))->BgL_argszd2noescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1128z00_2354))))->BgL_argszd2retescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1128z00_2354))))->BgL_propertyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1128z00_2354))))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1128z00_2354))))->BgL_argszd2namezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1128z00_2354))))->BgL_bodyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1128z00_2354))))->BgL_classz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1128z00_2354))))->BgL_dssslzd2keywordszd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1128z00_2354))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1128z00_2354))))->BgL_optionalsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1128z00_2354))))->BgL_keysz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1128z00_2354))))->BgL_thezd2closurezd2globalz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1128z00_2354))))->BgL_strengthz00) =
					((obj_t) CNST_TABLE_REF(((long) 5))), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1128z00_2354))))->BgL_stackablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_2932 = ((BgL_sfunz00_bglt) BgL_new1128z00_2354);
				return ((obj_t) BgL_auxz00_2932);
			}
		}

	}



/* &lambda1726 */
	BgL_sfunz00_bglt BGl_z62lambda1726z62zzinitflow_walkz00(obj_t BgL_envz00_2355,
		obj_t BgL_o1124z00_2356)
	{
		{	/* Initflow/walk.scm 42 */
			{	/* Initflow/walk.scm 42 */
				BgL_sfunzf2iflowzf2_bglt BgL_wide1126z00_2479;

				BgL_wide1126z00_2479 =
					((BgL_sfunzf2iflowzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_sfunzf2iflowzf2_bgl))));
				{	/* Initflow/walk.scm 42 */
					obj_t BgL_auxz00_3007;
					BgL_objectz00_bglt BgL_tmpz00_3003;

					BgL_auxz00_3007 = ((obj_t) BgL_wide1126z00_2479);
					BgL_tmpz00_3003 =
						((BgL_objectz00_bglt)
						((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_o1124z00_2356)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3003, BgL_auxz00_3007);
				}
				((BgL_objectz00_bglt)
					((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_o1124z00_2356)));
				{	/* Initflow/walk.scm 42 */
					long BgL_arg1732z00_2480;

					BgL_arg1732z00_2480 =
						BGL_CLASS_INDEX(BGl_sfunzf2iflowzf2zzinitflow_walkz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_sfunz00_bglt)
								((BgL_sfunz00_bglt) BgL_o1124z00_2356))), BgL_arg1732z00_2480);
				}
				return
					((BgL_sfunz00_bglt)
					((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_o1124z00_2356)));
			}
		}

	}



/* &lambda1722 */
	BgL_sfunz00_bglt BGl_z62lambda1722z62zzinitflow_walkz00(obj_t BgL_envz00_2357,
		obj_t BgL_arity1102z00_2358, obj_t BgL_sidezd2effect1103zd2_2359,
		obj_t BgL_predicatezd2of1104zd2_2360,
		obj_t BgL_stackzd2allocator1105zd2_2361, obj_t BgL_topzf31106zf3_2362,
		obj_t BgL_thezd2closure1107zd2_2363, obj_t BgL_effect1108z00_2364,
		obj_t BgL_failsafe1109z00_2365, obj_t BgL_argszd2noescape1110zd2_2366,
		obj_t BgL_argszd2retescape1111zd2_2367, obj_t BgL_property1112z00_2368,
		obj_t BgL_args1113z00_2369, obj_t BgL_argszd2name1114zd2_2370,
		obj_t BgL_body1115z00_2371, obj_t BgL_class1116z00_2372,
		obj_t BgL_dssslzd2keywords1117zd2_2373, obj_t BgL_loc1118z00_2374,
		obj_t BgL_optionals1119z00_2375, obj_t BgL_keys1120z00_2376,
		obj_t BgL_thezd2closurezd2global1121z00_2377,
		obj_t BgL_strength1122z00_2378, obj_t BgL_stackable1123z00_2379)
	{
		{	/* Initflow/walk.scm 42 */
			{	/* Initflow/walk.scm 42 */
				long BgL_arity1102z00_2481;
				bool_t BgL_topzf31106zf3_2482;

				BgL_arity1102z00_2481 = (long) CINT(BgL_arity1102z00_2358);
				BgL_topzf31106zf3_2482 = CBOOL(BgL_topzf31106zf3_2362);
				{	/* Initflow/walk.scm 42 */
					BgL_sfunz00_bglt BgL_new1180z00_2484;

					{	/* Initflow/walk.scm 42 */
						BgL_sfunz00_bglt BgL_tmp1177z00_2485;
						BgL_sfunzf2iflowzf2_bglt BgL_wide1178z00_2486;

						{
							BgL_sfunz00_bglt BgL_auxz00_3023;

							{	/* Initflow/walk.scm 42 */
								BgL_sfunz00_bglt BgL_new1176z00_2487;

								BgL_new1176z00_2487 =
									((BgL_sfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_sfunz00_bgl))));
								{	/* Initflow/walk.scm 42 */
									long BgL_arg1725z00_2488;

									BgL_arg1725z00_2488 =
										BGL_CLASS_INDEX(BGl_sfunz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1176z00_2487),
										BgL_arg1725z00_2488);
								}
								{	/* Initflow/walk.scm 42 */
									BgL_objectz00_bglt BgL_tmpz00_3028;

									BgL_tmpz00_3028 = ((BgL_objectz00_bglt) BgL_new1176z00_2487);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3028, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1176z00_2487);
								BgL_auxz00_3023 = BgL_new1176z00_2487;
							}
							BgL_tmp1177z00_2485 = ((BgL_sfunz00_bglt) BgL_auxz00_3023);
						}
						BgL_wide1178z00_2486 =
							((BgL_sfunzf2iflowzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_sfunzf2iflowzf2_bgl))));
						{	/* Initflow/walk.scm 42 */
							obj_t BgL_auxz00_3036;
							BgL_objectz00_bglt BgL_tmpz00_3034;

							BgL_auxz00_3036 = ((obj_t) BgL_wide1178z00_2486);
							BgL_tmpz00_3034 = ((BgL_objectz00_bglt) BgL_tmp1177z00_2485);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3034, BgL_auxz00_3036);
						}
						((BgL_objectz00_bglt) BgL_tmp1177z00_2485);
						{	/* Initflow/walk.scm 42 */
							long BgL_arg1724z00_2489;

							BgL_arg1724z00_2489 =
								BGL_CLASS_INDEX(BGl_sfunzf2iflowzf2zzinitflow_walkz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1177z00_2485),
								BgL_arg1724z00_2489);
						}
						BgL_new1180z00_2484 = ((BgL_sfunz00_bglt) BgL_tmp1177z00_2485);
					}
					((((BgL_funz00_bglt) COBJECT(
									((BgL_funz00_bglt) BgL_new1180z00_2484)))->BgL_arityz00) =
						((long) BgL_arity1102z00_2481), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1180z00_2484)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1103zd2_2359), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1180z00_2484)))->BgL_predicatezd2ofzd2) =
						((obj_t) BgL_predicatezd2of1104zd2_2360), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1180z00_2484)))->BgL_stackzd2allocatorzd2) =
						((obj_t) BgL_stackzd2allocator1105zd2_2361), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1180z00_2484)))->BgL_topzf3zf3) =
						((bool_t) BgL_topzf31106zf3_2482), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1180z00_2484)))->BgL_thezd2closurezd2) =
						((obj_t) BgL_thezd2closure1107zd2_2363), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1180z00_2484)))->BgL_effectz00) =
						((obj_t) BgL_effect1108z00_2364), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1180z00_2484)))->BgL_failsafez00) =
						((obj_t) BgL_failsafe1109z00_2365), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1180z00_2484)))->BgL_argszd2noescapezd2) =
						((obj_t) BgL_argszd2noescape1110zd2_2366), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1180z00_2484)))->BgL_argszd2retescapezd2) =
						((obj_t) BgL_argszd2retescape1111zd2_2367), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1180z00_2484)))->BgL_propertyz00) =
						((obj_t) BgL_property1112z00_2368), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1180z00_2484)))->BgL_argsz00) =
						((obj_t) BgL_args1113z00_2369), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1180z00_2484)))->BgL_argszd2namezd2) =
						((obj_t) BgL_argszd2name1114zd2_2370), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1180z00_2484)))->BgL_bodyz00) =
						((obj_t) BgL_body1115z00_2371), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1180z00_2484)))->BgL_classz00) =
						((obj_t) BgL_class1116z00_2372), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1180z00_2484)))->BgL_dssslzd2keywordszd2) =
						((obj_t) BgL_dssslzd2keywords1117zd2_2373), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1180z00_2484)))->BgL_locz00) =
						((obj_t) BgL_loc1118z00_2374), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1180z00_2484)))->BgL_optionalsz00) =
						((obj_t) BgL_optionals1119z00_2375), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1180z00_2484)))->BgL_keysz00) =
						((obj_t) BgL_keys1120z00_2376), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1180z00_2484)))->BgL_thezd2closurezd2globalz00) =
						((obj_t) BgL_thezd2closurezd2global1121z00_2377), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1180z00_2484)))->BgL_strengthz00) =
						((obj_t) ((obj_t) BgL_strength1122z00_2378)), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1180z00_2484)))->BgL_stackablez00) =
						((obj_t) BgL_stackable1123z00_2379), BUNSPEC);
					return BgL_new1180z00_2484;
				}
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzinitflow_walkz00()
	{
		{	/* Initflow/walk.scm 27 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_proc2014z00zzinitflow_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2015z00zzinitflow_walkz00);
		}

	}



/* &initflow-node1335 */
	obj_t BGl_z62initflowzd2node1335zb0zzinitflow_walkz00(obj_t BgL_envz00_2381,
		obj_t BgL_nodez00_2382, obj_t BgL_ez00_2383)
	{
		{	/* Initflow/walk.scm 93 */
			return BNIL;
		}

	}



/* initflow-node */
	obj_t BGl_initflowzd2nodezd2zzinitflow_walkz00(BgL_nodez00_bglt
		BgL_nodez00_83, bool_t BgL_ez00_84)
	{
		{	/* Initflow/walk.scm 93 */
			{	/* Initflow/walk.scm 93 */
				obj_t BgL_method1336z00_1728;

				{	/* Initflow/walk.scm 93 */
					obj_t BgL_res1996z00_2295;

					{	/* Initflow/walk.scm 93 */
						long BgL_objzd2classzd2numz00_2266;

						BgL_objzd2classzd2numz00_2266 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_83));
						{	/* Initflow/walk.scm 93 */
							obj_t BgL_arg1791z00_2267;

							BgL_arg1791z00_2267 =
								PROCEDURE_REF(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
								(int) (((long) 1)));
							{	/* Initflow/walk.scm 93 */
								int BgL_offsetz00_2270;

								BgL_offsetz00_2270 = (int) (BgL_objzd2classzd2numz00_2266);
								{	/* Initflow/walk.scm 93 */
									long BgL_offsetz00_2271;

									BgL_offsetz00_2271 =
										((long) (BgL_offsetz00_2270) - OBJECT_TYPE);
									{	/* Initflow/walk.scm 93 */
										long BgL_modz00_2272;

										BgL_modz00_2272 =
											(BgL_offsetz00_2271 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Initflow/walk.scm 93 */
											long BgL_restz00_2274;

											BgL_restz00_2274 =
												(BgL_offsetz00_2271 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Initflow/walk.scm 93 */

												{	/* Initflow/walk.scm 93 */
													obj_t BgL_bucketz00_2276;

													BgL_bucketz00_2276 =
														VECTOR_REF(
														((obj_t) BgL_arg1791z00_2267), BgL_modz00_2272);
													BgL_res1996z00_2295 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2276), BgL_restz00_2274);
					}}}}}}}}
					BgL_method1336z00_1728 = BgL_res1996z00_2295;
				}
				return
					PROCEDURE_ENTRY(BgL_method1336z00_1728) (BgL_method1336z00_1728,
					((obj_t) BgL_nodez00_83), BBOOL(BgL_ez00_84), BEOA);
			}
		}

	}



/* &initflow-node */
	obj_t BGl_z62initflowzd2nodezb0zzinitflow_walkz00(obj_t BgL_envz00_2384,
		obj_t BgL_nodez00_2385, obj_t BgL_ez00_2386)
	{
		{	/* Initflow/walk.scm 93 */
			return
				BGl_initflowzd2nodezd2zzinitflow_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_2385), CBOOL(BgL_ez00_2386));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzinitflow_walkz00()
	{
		{	/* Initflow/walk.scm 27 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_varz00zzast_nodez00, BGl_proc2016z00zzinitflow_walkz00,
				BGl_string2017z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2018z00zzinitflow_walkz00,
				BGl_string2017z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_syncz00zzast_nodez00, BGl_proc2019z00zzinitflow_walkz00,
				BGl_string2017z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_appz00zzast_nodez00, BGl_proc2020z00zzinitflow_walkz00,
				BGl_string2017z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2021z00zzinitflow_walkz00,
				BGl_string2017z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2022z00zzinitflow_walkz00,
				BGl_string2017z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_externz00zzast_nodez00, BGl_proc2023z00zzinitflow_walkz00,
				BGl_string2017z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_setqz00zzast_nodez00, BGl_proc2024z00zzinitflow_walkz00,
				BGl_string2017z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2025z00zzinitflow_walkz00,
				BGl_string2017z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_failz00zzast_nodez00, BGl_proc2026z00zzinitflow_walkz00,
				BGl_string2017z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_switchz00zzast_nodez00, BGl_proc2027z00zzinitflow_walkz00,
				BGl_string2017z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2028z00zzinitflow_walkz00,
				BGl_string2017z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2029z00zzinitflow_walkz00,
				BGl_string2017z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2030z00zzinitflow_walkz00,
				BGl_string2017z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2031z00zzinitflow_walkz00,
				BGl_string2017z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2032z00zzinitflow_walkz00,
				BGl_string2017z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2033z00zzinitflow_walkz00,
				BGl_string2017z00zzinitflow_walkz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2034z00zzinitflow_walkz00,
				BGl_string2017z00zzinitflow_walkz00);
		}

	}



/* &initflow-node-jump-e1372 */
	obj_t BGl_z62initflowzd2nodezd2jumpzd2e1372zb0zzinitflow_walkz00(obj_t
		BgL_envz00_2405, obj_t BgL_nodez00_2406, obj_t BgL_ez00_2407)
	{
		{	/* Initflow/walk.scm 305 */
			{	/* Initflow/walk.scm 306 */
				obj_t BgL_res2040z00_2498;

				{	/* Initflow/walk.scm 307 */
					obj_t BgL_arg1928z00_2493;

					{	/* Initflow/walk.scm 307 */
						BgL_nodez00_bglt BgL_arg1929z00_2494;
						BgL_nodez00_bglt BgL_arg1930z00_2495;

						BgL_arg1929z00_2494 =
							(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2406)))->
							BgL_exitz00);
						BgL_arg1930z00_2495 =
							(((BgL_jumpzd2exzd2itz00_bglt)
								COBJECT(((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2406)))->
							BgL_valuez00);
						{	/* Initflow/walk.scm 307 */
							obj_t BgL_list1931z00_2496;

							{	/* Initflow/walk.scm 307 */
								obj_t BgL_arg1932z00_2497;

								BgL_arg1932z00_2497 =
									MAKE_YOUNG_PAIR(((obj_t) BgL_arg1930z00_2495), BNIL);
								BgL_list1931z00_2496 =
									MAKE_YOUNG_PAIR(
									((obj_t) BgL_arg1929z00_2494), BgL_arg1932z00_2497);
							}
							BgL_arg1928z00_2493 = BgL_list1931z00_2496;
						}
					}
					BgL_res2040z00_2498 =
						BGl_initflowzd2nodeza2z70zzinitflow_walkz00(BgL_arg1928z00_2493,
						BgL_ez00_2407);
				}
				return BgL_res2040z00_2498;
			}
		}

	}



/* &initflow-node-set-ex1370 */
	obj_t BGl_z62initflowzd2nodezd2setzd2ex1370zb0zzinitflow_walkz00(obj_t
		BgL_envz00_2408, obj_t BgL_nodez00_2409, obj_t BgL_ez00_2410)
	{
		{	/* Initflow/walk.scm 298 */
			return
				BGl_initflowzd2nodezd2zzinitflow_walkz00(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2409)))->BgL_bodyz00),
				CBOOL(BgL_ez00_2410));
		}

	}



/* &initflow-node-let-va1368 */
	obj_t BGl_z62initflowzd2nodezd2letzd2va1368zb0zzinitflow_walkz00(obj_t
		BgL_envz00_2411, obj_t BgL_nodez00_2412, obj_t BgL_ez00_2413)
	{
		{	/* Initflow/walk.scm 289 */
			{	/* Initflow/walk.scm 290 */
				obj_t BgL_res2041z00_2513;

				{	/* Initflow/walk.scm 291 */
					obj_t BgL_isz00_2501;

					{	/* Initflow/walk.scm 291 */
						obj_t BgL_l1328z00_2502;

						BgL_l1328z00_2502 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nodez00_2412)))->
							BgL_bindingsz00);
						if (NULLP(BgL_l1328z00_2502))
							{	/* Initflow/walk.scm 291 */
								BgL_isz00_2501 = BNIL;
							}
						else
							{	/* Initflow/walk.scm 291 */
								obj_t BgL_head1330z00_2503;

								BgL_head1330z00_2503 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_l1328z00_2505;
									obj_t BgL_tail1331z00_2506;

									BgL_l1328z00_2505 = BgL_l1328z00_2502;
									BgL_tail1331z00_2506 = BgL_head1330z00_2503;
								BgL_zc3z04anonymousza31920ze3z87_2504:
									if (NULLP(BgL_l1328z00_2505))
										{	/* Initflow/walk.scm 291 */
											BgL_isz00_2501 = CDR(BgL_head1330z00_2503);
										}
									else
										{	/* Initflow/walk.scm 291 */
											obj_t BgL_newtail1332z00_2507;

											{	/* Initflow/walk.scm 291 */
												obj_t BgL_arg1923z00_2508;

												{	/* Initflow/walk.scm 291 */
													obj_t BgL_bz00_2509;

													BgL_bz00_2509 = CAR(((obj_t) BgL_l1328z00_2505));
													{	/* Initflow/walk.scm 291 */
														obj_t BgL_arg1926z00_2510;

														BgL_arg1926z00_2510 = CDR(((obj_t) BgL_bz00_2509));
														BgL_arg1923z00_2508 =
															BGl_initflowzd2nodezd2zzinitflow_walkz00(
															((BgL_nodez00_bglt) BgL_arg1926z00_2510),
															CBOOL(BgL_ez00_2413));
													}
												}
												BgL_newtail1332z00_2507 =
													MAKE_YOUNG_PAIR(BgL_arg1923z00_2508, BNIL);
											}
											SET_CDR(BgL_tail1331z00_2506, BgL_newtail1332z00_2507);
											{	/* Initflow/walk.scm 291 */
												obj_t BgL_arg1922z00_2511;

												BgL_arg1922z00_2511 = CDR(((obj_t) BgL_l1328z00_2505));
												{
													obj_t BgL_tail1331z00_3176;
													obj_t BgL_l1328z00_3175;

													BgL_l1328z00_3175 = BgL_arg1922z00_2511;
													BgL_tail1331z00_3176 = BgL_newtail1332z00_2507;
													BgL_tail1331z00_2506 = BgL_tail1331z00_3176;
													BgL_l1328z00_2505 = BgL_l1328z00_3175;
													goto BgL_zc3z04anonymousza31920ze3z87_2504;
												}
											}
										}
								}
							}
					}
					{	/* Initflow/walk.scm 291 */
						obj_t BgL_lubz00_2512;

						BgL_lubz00_2512 =
							BGl_lubz00zzinitflow_walkz00(BgL_isz00_2501, BgL_ez00_2413);
						{	/* Initflow/walk.scm 292 */

							BgL_res2041z00_2513 =
								BGl_appendzd221011zd2zzinitflow_walkz00(BgL_lubz00_2512,
								BGl_initflowzd2nodezd2zzinitflow_walkz00(
									(((BgL_letzd2varzd2_bglt) COBJECT(
												((BgL_letzd2varzd2_bglt) BgL_nodez00_2412)))->
										BgL_bodyz00), CBOOL(BgL_ez00_2413)));
						}
					}
				}
				return BgL_res2041z00_2513;
			}
		}

	}



/* &initflow-node-let-fu1366 */
	obj_t BGl_z62initflowzd2nodezd2letzd2fu1366zb0zzinitflow_walkz00(obj_t
		BgL_envz00_2414, obj_t BgL_nodez00_2415, obj_t BgL_ez00_2416)
	{
		{	/* Initflow/walk.scm 282 */
			return
				BGl_initflowzd2nodezd2zzinitflow_walkz00(
				(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2415)))->BgL_bodyz00),
				CBOOL(BgL_ez00_2416));
		}

	}



/* &initflow-node-box-se1364 */
	obj_t BGl_z62initflowzd2nodezd2boxzd2se1364zb0zzinitflow_walkz00(obj_t
		BgL_envz00_2417, obj_t BgL_nodez00_2418, obj_t BgL_ez00_2419)
	{
		{	/* Initflow/walk.scm 275 */
			return
				BGl_initflowzd2nodezd2zzinitflow_walkz00(
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2418)))->BgL_valuez00),
				CBOOL(BgL_ez00_2419));
		}

	}



/* &initflow-node-box-re1362 */
	obj_t BGl_z62initflowzd2nodezd2boxzd2re1362zb0zzinitflow_walkz00(obj_t
		BgL_envz00_2420, obj_t BgL_nodez00_2421, obj_t BgL_ez00_2422)
	{
		{	/* Initflow/walk.scm 268 */
			{	/* Initflow/walk.scm 270 */
				BgL_varz00_bglt BgL_arg1913z00_2517;

				BgL_arg1913z00_2517 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_2421)))->BgL_varz00);
				return
					BGl_initflowzd2nodezd2zzinitflow_walkz00(
					((BgL_nodez00_bglt) BgL_arg1913z00_2517), CBOOL(BgL_ez00_2422));
			}
		}

	}



/* &initflow-node-make-b1360 */
	obj_t BGl_z62initflowzd2nodezd2makezd2b1360zb0zzinitflow_walkz00(obj_t
		BgL_envz00_2423, obj_t BgL_nodez00_2424, obj_t BgL_ez00_2425)
	{
		{	/* Initflow/walk.scm 261 */
			return
				BGl_initflowzd2nodezd2zzinitflow_walkz00(
				(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_2424)))->BgL_valuez00),
				CBOOL(BgL_ez00_2425));
		}

	}



/* &initflow-node-switch1358 */
	obj_t BGl_z62initflowzd2nodezd2switch1358z62zzinitflow_walkz00(obj_t
		BgL_envz00_2426, obj_t BgL_nodez00_2427, obj_t BgL_ez00_2428)
	{
		{	/* Initflow/walk.scm 251 */
			{	/* Initflow/walk.scm 252 */
				obj_t BgL_res2042z00_2532;

				{	/* Initflow/walk.scm 253 */
					obj_t BgL_i0z00_2520;

					BgL_i0z00_2520 =
						BGl_initflowzd2nodezd2zzinitflow_walkz00(
						(((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_nodez00_2427)))->BgL_testz00),
						CBOOL(BgL_ez00_2428));
					{	/* Initflow/walk.scm 254 */
						obj_t BgL_isz00_2521;

						{	/* Initflow/walk.scm 254 */
							obj_t BgL_l1323z00_2522;

							BgL_l1323z00_2522 =
								(((BgL_switchz00_bglt) COBJECT(
										((BgL_switchz00_bglt) BgL_nodez00_2427)))->BgL_clausesz00);
							if (NULLP(BgL_l1323z00_2522))
								{	/* Initflow/walk.scm 254 */
									BgL_isz00_2521 = BNIL;
								}
							else
								{	/* Initflow/walk.scm 254 */
									obj_t BgL_head1325z00_2523;

									BgL_head1325z00_2523 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									{
										obj_t BgL_l1323z00_2525;
										obj_t BgL_tail1326z00_2526;

										BgL_l1323z00_2525 = BgL_l1323z00_2522;
										BgL_tail1326z00_2526 = BgL_head1325z00_2523;
									BgL_zc3z04anonymousza31906ze3z87_2524:
										if (NULLP(BgL_l1323z00_2525))
											{	/* Initflow/walk.scm 254 */
												BgL_isz00_2521 = CDR(BgL_head1325z00_2523);
											}
										else
											{	/* Initflow/walk.scm 254 */
												obj_t BgL_newtail1327z00_2527;

												{	/* Initflow/walk.scm 254 */
													obj_t BgL_arg1909z00_2528;

													{	/* Initflow/walk.scm 254 */
														obj_t BgL_cz00_2529;

														BgL_cz00_2529 = CAR(((obj_t) BgL_l1323z00_2525));
														{	/* Initflow/walk.scm 254 */
															obj_t BgL_arg1910z00_2530;

															BgL_arg1910z00_2530 =
																CDR(((obj_t) BgL_cz00_2529));
															BgL_arg1909z00_2528 =
																BGl_initflowzd2nodezd2zzinitflow_walkz00(
																((BgL_nodez00_bglt) BgL_arg1910z00_2530),
																((bool_t) 0));
														}
													}
													BgL_newtail1327z00_2527 =
														MAKE_YOUNG_PAIR(BgL_arg1909z00_2528, BNIL);
												}
												SET_CDR(BgL_tail1326z00_2526, BgL_newtail1327z00_2527);
												{	/* Initflow/walk.scm 254 */
													obj_t BgL_arg1908z00_2531;

													BgL_arg1908z00_2531 =
														CDR(((obj_t) BgL_l1323z00_2525));
													{
														obj_t BgL_tail1326z00_3223;
														obj_t BgL_l1323z00_3222;

														BgL_l1323z00_3222 = BgL_arg1908z00_2531;
														BgL_tail1326z00_3223 = BgL_newtail1327z00_2527;
														BgL_tail1326z00_2526 = BgL_tail1326z00_3223;
														BgL_l1323z00_2525 = BgL_l1323z00_3222;
														goto BgL_zc3z04anonymousza31906ze3z87_2524;
													}
												}
											}
									}
								}
						}
						BgL_res2042z00_2532 =
							BGl_appendzd221011zd2zzinitflow_walkz00
							(BGl_lubz00zzinitflow_walkz00(BgL_isz00_2521, BgL_ez00_2428),
							BgL_i0z00_2520);
					}
				}
				return BgL_res2042z00_2532;
			}
		}

	}



/* &initflow-node-fail1356 */
	obj_t BGl_z62initflowzd2nodezd2fail1356z62zzinitflow_walkz00(obj_t
		BgL_envz00_2429, obj_t BgL_nodez00_2430, obj_t BgL_ez00_2431)
	{
		{	/* Initflow/walk.scm 244 */
			{	/* Initflow/walk.scm 245 */
				obj_t BgL_res2043z00_2541;

				{	/* Initflow/walk.scm 246 */
					obj_t BgL_arg1895z00_2534;

					{	/* Initflow/walk.scm 246 */
						BgL_nodez00_bglt BgL_arg1896z00_2535;
						BgL_nodez00_bglt BgL_arg1899z00_2536;
						BgL_nodez00_bglt BgL_arg1900z00_2537;

						BgL_arg1896z00_2535 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nodez00_2430)))->BgL_procz00);
						BgL_arg1899z00_2536 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nodez00_2430)))->BgL_msgz00);
						BgL_arg1900z00_2537 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nodez00_2430)))->BgL_objz00);
						{	/* Initflow/walk.scm 246 */
							obj_t BgL_list1901z00_2538;

							{	/* Initflow/walk.scm 246 */
								obj_t BgL_arg1902z00_2539;

								{	/* Initflow/walk.scm 246 */
									obj_t BgL_arg1903z00_2540;

									BgL_arg1903z00_2540 =
										MAKE_YOUNG_PAIR(((obj_t) BgL_arg1900z00_2537), BNIL);
									BgL_arg1902z00_2539 =
										MAKE_YOUNG_PAIR(
										((obj_t) BgL_arg1899z00_2536), BgL_arg1903z00_2540);
								}
								BgL_list1901z00_2538 =
									MAKE_YOUNG_PAIR(
									((obj_t) BgL_arg1896z00_2535), BgL_arg1902z00_2539);
							}
							BgL_arg1895z00_2534 = BgL_list1901z00_2538;
						}
					}
					BgL_res2043z00_2541 =
						BGl_initflowzd2nodeza2z70zzinitflow_walkz00(BgL_arg1895z00_2534,
						BgL_ez00_2431);
				}
				return BgL_res2043z00_2541;
			}
		}

	}



/* &initflow-node-condit1354 */
	obj_t BGl_z62initflowzd2nodezd2condit1354z62zzinitflow_walkz00(obj_t
		BgL_envz00_2432, obj_t BgL_nodez00_2433, obj_t BgL_ez00_2434)
	{
		{	/* Initflow/walk.scm 232 */
			{	/* Initflow/walk.scm 233 */
				obj_t BgL_res2044z00_2550;

				{	/* Initflow/walk.scm 234 */
					obj_t BgL_i0z00_2543;

					BgL_i0z00_2543 =
						BGl_initflowzd2nodezd2zzinitflow_walkz00(
						(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_2433)))->BgL_testz00),
						CBOOL(BgL_ez00_2434));
					{	/* Initflow/walk.scm 236 */
						obj_t BgL_i1z00_2544;
						obj_t BgL_i2z00_2545;

						BgL_i1z00_2544 =
							BGl_initflowzd2nodezd2zzinitflow_walkz00(
							(((BgL_conditionalz00_bglt) COBJECT(
										((BgL_conditionalz00_bglt) BgL_nodez00_2433)))->
								BgL_truez00), ((bool_t) 0));
						BgL_i2z00_2545 =
							BGl_initflowzd2nodezd2zzinitflow_walkz00(((
									(BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt)
											BgL_nodez00_2433)))->BgL_falsez00), ((bool_t) 0));
						{	/* Initflow/walk.scm 239 */
							obj_t BgL_arg1888z00_2546;

							{	/* Initflow/walk.scm 239 */
								obj_t BgL_arg1889z00_2547;

								{	/* Initflow/walk.scm 239 */
									obj_t BgL_list1890z00_2548;

									{	/* Initflow/walk.scm 239 */
										obj_t BgL_arg1891z00_2549;

										BgL_arg1891z00_2549 = MAKE_YOUNG_PAIR(BgL_i2z00_2545, BNIL);
										BgL_list1890z00_2548 =
											MAKE_YOUNG_PAIR(BgL_i1z00_2544, BgL_arg1891z00_2549);
									}
									BgL_arg1889z00_2547 = BgL_list1890z00_2548;
								}
								BgL_arg1888z00_2546 =
									BGl_lubz00zzinitflow_walkz00(BgL_arg1889z00_2547,
									BgL_ez00_2434);
							}
							BgL_res2044z00_2550 =
								BGl_appendzd221011zd2zzinitflow_walkz00(BgL_arg1888z00_2546,
								BgL_i0z00_2543);
						}
					}
				}
				return BgL_res2044z00_2550;
			}
		}

	}



/* &initflow-node-setq1352 */
	obj_t BGl_z62initflowzd2nodezd2setq1352z62zzinitflow_walkz00(obj_t
		BgL_envz00_2435, obj_t BgL_nodez00_2436, obj_t BgL_ez00_2437)
	{
		{	/* Initflow/walk.scm 199 */
			{	/* Initflow/walk.scm 201 */
				obj_t BgL_isz00_2552;
				BgL_variablez00_bglt BgL_vz00_2553;

				BgL_isz00_2552 =
					BGl_initflowzd2nodezd2zzinitflow_walkz00(
					(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2436)))->BgL_valuez00),
					CBOOL(BgL_ez00_2437));
				BgL_vz00_2553 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_setqz00_bglt) COBJECT(
										((BgL_setqz00_bglt) BgL_nodez00_2436)))->BgL_varz00)))->
					BgL_variablez00);
				{	/* Initflow/walk.scm 203 */
					bool_t BgL_test2129z00_3260;

					if (BGl_isazf3zf3zz__objectz00(
							((obj_t) BgL_vz00_2553), BGl_globalz00zzast_varz00))
						{	/* Initflow/walk.scm 203 */
							if (
								((((BgL_globalz00_bglt) COBJECT(
												((BgL_globalz00_bglt) BgL_vz00_2553)))->BgL_initz00) ==
									BUNSPEC))
								{	/* Initflow/walk.scm 205 */
									obj_t BgL_arg1883z00_2554;

									BgL_arg1883z00_2554 =
										(((BgL_globalz00_bglt) COBJECT(
												((BgL_globalz00_bglt) BgL_vz00_2553)))->BgL_modulez00);
									BgL_test2129z00_3260 =
										(BgL_arg1883z00_2554 ==
										BGl_za2moduleza2z00zzmodule_modulez00);
								}
							else
								{	/* Initflow/walk.scm 204 */
									BgL_test2129z00_3260 = ((bool_t) 0);
								}
						}
					else
						{	/* Initflow/walk.scm 203 */
							BgL_test2129z00_3260 = ((bool_t) 0);
						}
					if (BgL_test2129z00_3260)
						{	/* Initflow/walk.scm 203 */
							if (CBOOL(BgL_ez00_2437))
								{	/* Initflow/walk.scm 206 */
									((((BgL_globalz00_bglt) COBJECT(
													((BgL_globalz00_bglt) BgL_vz00_2553)))->BgL_initz00) =
										((obj_t) BTRUE), BUNSPEC);
									return BNIL;
								}
							else
								{	/* Initflow/walk.scm 206 */
									return
										MAKE_YOUNG_PAIR(((obj_t) BgL_vz00_2553), BgL_isz00_2552);
								}
						}
					else
						{	/* Initflow/walk.scm 203 */
							return BgL_isz00_2552;
						}
				}
			}
		}

	}



/* &initflow-node-extern1350 */
	obj_t BGl_z62initflowzd2nodezd2extern1350z62zzinitflow_walkz00(obj_t
		BgL_envz00_2438, obj_t BgL_nodez00_2439, obj_t BgL_ez00_2440)
	{
		{	/* Initflow/walk.scm 192 */
			{	/* Initflow/walk.scm 193 */
				obj_t BgL_res2045z00_2556;

				BgL_res2045z00_2556 =
					BGl_initflowzd2nodeza2z70zzinitflow_walkz00(
					(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_nodez00_2439)))->BgL_exprza2za2),
					BgL_ez00_2440);
				return BgL_res2045z00_2556;
			}
		}

	}



/* &initflow-node-funcal1348 */
	obj_t BGl_z62initflowzd2nodezd2funcal1348z62zzinitflow_walkz00(obj_t
		BgL_envz00_2441, obj_t BgL_nodez00_2442, obj_t BgL_ez00_2443)
	{
		{	/* Initflow/walk.scm 185 */
			{	/* Initflow/walk.scm 186 */
				obj_t BgL_res2046z00_2561;

				{	/* Initflow/walk.scm 187 */
					obj_t BgL_arg1868z00_2558;

					{	/* Initflow/walk.scm 187 */
						BgL_nodez00_bglt BgL_arg1871z00_2559;
						obj_t BgL_arg1872z00_2560;

						BgL_arg1871z00_2559 =
							(((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt) BgL_nodez00_2442)))->BgL_funz00);
						BgL_arg1872z00_2560 =
							(((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt) BgL_nodez00_2442)))->BgL_argsz00);
						BgL_arg1868z00_2558 =
							MAKE_YOUNG_PAIR(
							((obj_t) BgL_arg1871z00_2559), BgL_arg1872z00_2560);
					}
					BgL_res2046z00_2561 =
						BGl_initflowzd2nodeza2z70zzinitflow_walkz00(BgL_arg1868z00_2558,
						BgL_ez00_2443);
				}
				return BgL_res2046z00_2561;
			}
		}

	}



/* &initflow-node-app-ly1346 */
	obj_t BGl_z62initflowzd2nodezd2appzd2ly1346zb0zzinitflow_walkz00(obj_t
		BgL_envz00_2444, obj_t BgL_nodez00_2445, obj_t BgL_ez00_2446)
	{
		{	/* Initflow/walk.scm 178 */
			{	/* Initflow/walk.scm 179 */
				obj_t BgL_res2047z00_2568;

				{	/* Initflow/walk.scm 180 */
					obj_t BgL_arg1861z00_2563;

					{	/* Initflow/walk.scm 180 */
						BgL_nodez00_bglt BgL_arg1862z00_2564;
						BgL_nodez00_bglt BgL_arg1863z00_2565;

						BgL_arg1862z00_2564 =
							(((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_2445)))->BgL_funz00);
						BgL_arg1863z00_2565 =
							(((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_2445)))->BgL_argz00);
						{	/* Initflow/walk.scm 180 */
							obj_t BgL_list1864z00_2566;

							{	/* Initflow/walk.scm 180 */
								obj_t BgL_arg1867z00_2567;

								BgL_arg1867z00_2567 =
									MAKE_YOUNG_PAIR(((obj_t) BgL_arg1863z00_2565), BNIL);
								BgL_list1864z00_2566 =
									MAKE_YOUNG_PAIR(
									((obj_t) BgL_arg1862z00_2564), BgL_arg1867z00_2567);
							}
							BgL_arg1861z00_2563 = BgL_list1864z00_2566;
						}
					}
					BgL_res2047z00_2568 =
						BGl_initflowzd2nodeza2z70zzinitflow_walkz00(BgL_arg1861z00_2563,
						BgL_ez00_2446);
				}
				return BgL_res2047z00_2568;
			}
		}

	}



/* &initflow-node-app1344 */
	obj_t BGl_z62initflowzd2nodezd2app1344z62zzinitflow_walkz00(obj_t
		BgL_envz00_2447, obj_t BgL_nodez00_2448, obj_t BgL_ez00_2449)
	{
		{	/* Initflow/walk.scm 164 */
			{	/* Initflow/walk.scm 166 */
				BgL_variablez00_bglt BgL_vz00_2570;

				BgL_vz00_2570 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_nodez00_2448)))->BgL_funz00)))->
					BgL_variablez00);
				{	/* Initflow/walk.scm 166 */
					BgL_valuez00_bglt BgL_fz00_2571;

					BgL_fz00_2571 =
						(((BgL_variablez00_bglt) COBJECT(BgL_vz00_2570))->BgL_valuez00);
					{	/* Initflow/walk.scm 167 */

						{	/* Initflow/walk.scm 168 */
							bool_t BgL_test2133z00_3300;

							if (BGl_isazf3zf3zz__objectz00(
									((obj_t) BgL_fz00_2571), BGl_sfunz00zzast_varz00))
								{	/* Initflow/walk.scm 168 */
									BgL_test2133z00_3300 =
										CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
										(CNST_TABLE_REF(((long) 6)),
											(((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
															BgL_fz00_2571)))->BgL_propertyz00)));
								}
							else
								{	/* Initflow/walk.scm 168 */
									BgL_test2133z00_3300 = ((bool_t) 0);
								}
							if (BgL_test2133z00_3300)
								{	/* Initflow/walk.scm 168 */
									return BNIL;
								}
							else
								{	/* Initflow/walk.scm 170 */
									obj_t BgL_isz00_2572;

									BgL_isz00_2572 =
										BGl_initflowzd2nodeza2z70zzinitflow_walkz00(
										(((BgL_appz00_bglt) COBJECT(
													((BgL_appz00_bglt) BgL_nodez00_2448)))->BgL_argsz00),
										BgL_ez00_2449);
									if (BGl_isazf3zf3zz__objectz00(((obj_t) BgL_fz00_2571),
											BGl_sfunz00zzast_varz00))
										{	/* Initflow/walk.scm 171 */
											return
												BGl_appendzd221011zd2zzinitflow_walkz00
												(BGl_initflowzd2funzd2zzinitflow_walkz00(BgL_vz00_2570,
													CBOOL(BgL_ez00_2449)), BgL_isz00_2572);
										}
									else
										{	/* Initflow/walk.scm 171 */
											return BgL_isz00_2572;
										}
								}
						}
					}
				}
			}
		}

	}



/* &initflow-node-sync1342 */
	obj_t BGl_z62initflowzd2nodezd2sync1342z62zzinitflow_walkz00(obj_t
		BgL_envz00_2450, obj_t BgL_nodez00_2451, obj_t BgL_ez00_2452)
	{
		{	/* Initflow/walk.scm 155 */
			BGl_initflowzd2nodezd2zzinitflow_walkz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2451)))->BgL_mutexz00),
				CBOOL(BgL_ez00_2452));
			BGl_initflowzd2nodezd2zzinitflow_walkz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2451)))->BgL_prelockz00),
				CBOOL(BgL_ez00_2452));
			return
				BGl_initflowzd2nodezd2zzinitflow_walkz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2451)))->BgL_bodyz00),
				CBOOL(BgL_ez00_2452));
		}

	}



/* &initflow-node-sequen1340 */
	obj_t BGl_z62initflowzd2nodezd2sequen1340z62zzinitflow_walkz00(obj_t
		BgL_envz00_2453, obj_t BgL_nodez00_2454, obj_t BgL_ez00_2455)
	{
		{	/* Initflow/walk.scm 142 */
			{	/* Initflow/walk.scm 143 */
				obj_t BgL_res2048z00_2582;

				{
					obj_t BgL_nodesz00_2576;
					obj_t BgL_isz00_2577;

					BgL_nodesz00_2576 =
						(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_2454)))->BgL_nodesz00);
					BgL_isz00_2577 = BNIL;
				BgL_loopz00_2575:
					if (NULLP(BgL_nodesz00_2576))
						{	/* Initflow/walk.scm 146 */
							BgL_res2048z00_2582 = BgL_isz00_2577;
						}
					else
						{	/* Initflow/walk.scm 148 */
							obj_t BgL_iz00_2578;

							{	/* Initflow/walk.scm 148 */
								obj_t BgL_arg1845z00_2579;

								BgL_arg1845z00_2579 = CAR(((obj_t) BgL_nodesz00_2576));
								BgL_iz00_2578 =
									BGl_initflowzd2nodezd2zzinitflow_walkz00(
									((BgL_nodez00_bglt) BgL_arg1845z00_2579),
									CBOOL(BgL_ez00_2455));
							}
							{	/* Initflow/walk.scm 149 */
								obj_t BgL_arg1841z00_2580;
								obj_t BgL_arg1843z00_2581;

								BgL_arg1841z00_2580 = CDR(((obj_t) BgL_nodesz00_2576));
								BgL_arg1843z00_2581 =
									BGl_appendzd221011zd2zzinitflow_walkz00(BgL_iz00_2578,
									BgL_isz00_2577);
								{
									obj_t BgL_isz00_3341;
									obj_t BgL_nodesz00_3340;

									BgL_nodesz00_3340 = BgL_arg1841z00_2580;
									BgL_isz00_3341 = BgL_arg1843z00_2581;
									BgL_isz00_2577 = BgL_isz00_3341;
									BgL_nodesz00_2576 = BgL_nodesz00_3340;
									goto BgL_loopz00_2575;
								}
							}
						}
				}
				return BgL_res2048z00_2582;
			}
		}

	}



/* &initflow-node-var1338 */
	obj_t BGl_z62initflowzd2nodezd2var1338z62zzinitflow_walkz00(obj_t
		BgL_envz00_2456, obj_t BgL_nodez00_2457, obj_t BgL_ez00_2458)
	{
		{	/* Initflow/walk.scm 99 */
			{	/* Initflow/walk.scm 101 */
				bool_t BgL_test2137z00_3344;

				{	/* Initflow/walk.scm 101 */
					bool_t BgL_test2138z00_3345;

					{	/* Initflow/walk.scm 101 */
						BgL_variablez00_bglt BgL_arg1829z00_2584;

						BgL_arg1829z00_2584 =
							(((BgL_varz00_bglt) COBJECT(
									((BgL_varz00_bglt) BgL_nodez00_2457)))->BgL_variablez00);
						BgL_test2138z00_3345 =
							BGl_isazf3zf3zz__objectz00(
							((obj_t) BgL_arg1829z00_2584), BGl_globalz00zzast_varz00);
					}
					if (BgL_test2138z00_3345)
						{	/* Initflow/walk.scm 101 */
							if (
								((((BgL_globalz00_bglt) COBJECT(
												((BgL_globalz00_bglt)
													(((BgL_varz00_bglt) COBJECT(
																((BgL_varz00_bglt) BgL_nodez00_2457)))->
														BgL_variablez00))))->BgL_initz00) == BUNSPEC))
								{	/* Initflow/walk.scm 103 */
									obj_t BgL_arg1825z00_2585;

									BgL_arg1825z00_2585 =
										(((BgL_globalz00_bglt) COBJECT(
												((BgL_globalz00_bglt)
													(((BgL_varz00_bglt) COBJECT(
																((BgL_varz00_bglt) BgL_nodez00_2457)))->
														BgL_variablez00))))->BgL_modulez00);
									BgL_test2137z00_3344 =
										(BgL_arg1825z00_2585 ==
										BGl_za2moduleza2z00zzmodule_modulez00);
								}
							else
								{	/* Initflow/walk.scm 102 */
									BgL_test2137z00_3344 = ((bool_t) 0);
								}
						}
					else
						{	/* Initflow/walk.scm 101 */
							BgL_test2137z00_3344 = ((bool_t) 0);
						}
				}
				if (BgL_test2137z00_3344)
					{	/* Initflow/walk.scm 101 */
						{	/* Initflow/walk.scm 104 */
							BgL_variablez00_bglt BgL_arg1764z00_2586;

							BgL_arg1764z00_2586 =
								(((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt) BgL_nodez00_2457)))->BgL_variablez00);
							((((BgL_globalz00_bglt) COBJECT(
											((BgL_globalz00_bglt) BgL_arg1764z00_2586)))->
									BgL_initz00) = ((obj_t) BFALSE), BUNSPEC);
						}
						{	/* Initflow/walk.scm 106 */
							bool_t BgL_test2140z00_3365;

							{	/* Initflow/walk.scm 106 */
								BgL_typez00_bglt BgL_arg1823z00_2587;

								BgL_arg1823z00_2587 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt)
													(((BgL_varz00_bglt) COBJECT(
																((BgL_varz00_bglt) BgL_nodez00_2457)))->
														BgL_variablez00)))))->BgL_typez00);
								BgL_test2140z00_3365 =
									(((obj_t) BgL_arg1823z00_2587) ==
									BGl_za2_za2z00zztype_cachez00);
							}
							if (BgL_test2140z00_3365)
								{	/* Initflow/walk.scm 107 */
									BgL_variablez00_bglt BgL_arg1789z00_2588;

									BgL_arg1789z00_2588 =
										(((BgL_varz00_bglt) COBJECT(
												((BgL_varz00_bglt) BgL_nodez00_2457)))->
										BgL_variablez00);
									{	/* Initflow/walk.scm 107 */
										BgL_typez00_bglt BgL_vz00_2589;

										BgL_vz00_2589 =
											((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
										((((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_globalz00_bglt) BgL_arg1789z00_2588))))->
												BgL_typez00) =
											((BgL_typez00_bglt) BgL_vz00_2589), BUNSPEC);
									}
								}
							else
								{	/* Initflow/walk.scm 108 */
									bool_t BgL_test2141z00_3379;

									{	/* Initflow/walk.scm 108 */
										BgL_typez00_bglt BgL_arg1821z00_2590;

										BgL_arg1821z00_2590 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_globalz00_bglt)
															(((BgL_varz00_bglt) COBJECT(
																		((BgL_varz00_bglt) BgL_nodez00_2457)))->
																BgL_variablez00)))))->BgL_typez00);
										BgL_test2141z00_3379 =
											(((obj_t) BgL_arg1821z00_2590) ==
											BGl_za2objza2z00zztype_cachez00);
									}
									if (BgL_test2141z00_3379)
										{	/* Initflow/walk.scm 108 */
											BUNSPEC;
										}
									else
										{	/* Initflow/walk.scm 110 */
											bool_t BgL_test2142z00_3387;

											{	/* Initflow/walk.scm 110 */
												bool_t BgL_test2143z00_3388;

												{	/* Initflow/walk.scm 110 */
													BgL_variablez00_bglt BgL_arg1819z00_2591;

													BgL_arg1819z00_2591 =
														(((BgL_varz00_bglt) COBJECT(
																((BgL_varz00_bglt) BgL_nodez00_2457)))->
														BgL_variablez00);
													BgL_test2143z00_3388 =
														BGl_globalzd2readzd2onlyzf3zf3zzast_varz00((
															(BgL_globalz00_bglt) BgL_arg1819z00_2591));
												}
												if (BgL_test2143z00_3388)
													{	/* Initflow/walk.scm 111 */
														BgL_typez00_bglt BgL_arg1816z00_2592;
														obj_t BgL_arg1817z00_2593;

														BgL_arg1816z00_2592 =
															(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_globalz00_bglt)
																			(((BgL_varz00_bglt) COBJECT(
																						((BgL_varz00_bglt)
																							BgL_nodez00_2457)))->
																				BgL_variablez00)))))->BgL_typez00);
														BgL_arg1817z00_2593 =
															BGl_getzd2classzd2typez00zztype_cachez00();
														BgL_test2142z00_3387 =
															(((obj_t) BgL_arg1816z00_2592) ==
															BgL_arg1817z00_2593);
													}
												else
													{	/* Initflow/walk.scm 110 */
														BgL_test2142z00_3387 = ((bool_t) 0);
													}
											}
											if (BgL_test2142z00_3387)
												{	/* Initflow/walk.scm 110 */
													BUNSPEC;
												}
											else
												{	/* Initflow/walk.scm 114 */
													obj_t BgL_arg1811z00_2594;
													obj_t BgL_arg1812z00_2595;

													BgL_arg1811z00_2594 =
														(((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt)
																	((BgL_varz00_bglt) BgL_nodez00_2457))))->
														BgL_locz00);
													BgL_arg1812z00_2595 =
														(((BgL_variablez00_bglt) COBJECT((((BgL_varz00_bglt)
																		COBJECT(((BgL_varz00_bglt)
																				BgL_nodez00_2457)))->
																	BgL_variablez00)))->BgL_idz00);
													BGl_userzd2errorzf2locationz20zztools_errorz00
														(BgL_arg1811z00_2594,
														BGl_za2moduleza2z00zzmodule_modulez00,
														BGl_string2035z00zzinitflow_walkz00,
														BgL_arg1812z00_2595, BNIL);
												}
										}
								}
						}
					}
				else
					{	/* Initflow/walk.scm 101 */
						BFALSE;
					}
			}
			{	/* Initflow/walk.scm 117 */
				bool_t BgL_test2144z00_3408;

				{	/* Initflow/walk.scm 117 */
					BgL_valuez00_bglt BgL_arg1834z00_2596;

					BgL_arg1834z00_2596 =
						(((BgL_variablez00_bglt) COBJECT(
								(((BgL_varz00_bglt) COBJECT(
											((BgL_varz00_bglt) BgL_nodez00_2457)))->
									BgL_variablez00)))->BgL_valuez00);
					BgL_test2144z00_3408 =
						BGl_isazf3zf3zz__objectz00(((obj_t) BgL_arg1834z00_2596),
						BGl_sfunz00zzast_varz00);
				}
				if (BgL_test2144z00_3408)
					{	/* Initflow/walk.scm 117 */
						return
							BGl_initflowzd2funzd2zzinitflow_walkz00(
							(((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt) BgL_nodez00_2457)))->BgL_variablez00),
							CBOOL(BgL_ez00_2458));
					}
				else
					{	/* Initflow/walk.scm 117 */
						return BNIL;
					}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzinitflow_walkz00()
	{
		{	/* Initflow/walk.scm 27 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2036z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2036z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string2036z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2036z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2036z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2036z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string2036z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2036z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2036z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2036z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2036z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2036z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string2036z00zzinitflow_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 311443803),
				BSTRING_TO_STRING(BGl_string2036z00zzinitflow_walkz00));
		}

	}

#ifdef __cplusplus
}
#endif
