/*===========================================================================*/
/*   (Integrate/ctn.scm)                                                     */
/*   Bigloo (4.4b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon 22 Mar 2021 06:56:16 PM CET     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.4b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Integrate/ctn.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_sfunzf2iinfozf2_bgl
	{
		obj_t BgL_ownerz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
		obj_t BgL_cfromz00;
		obj_t BgL_ctoz00;
		obj_t BgL_kz00;
		obj_t BgL_kza2za2;
		obj_t BgL_uz00;
		obj_t BgL_cnz00;
		obj_t BgL_ctz00;
		obj_t BgL_kontz00;
		bool_t BgL_gzf3zf3;
		bool_t BgL_forcegzf3zf3;
		obj_t BgL_lz00;
		obj_t BgL_ledz00;
		obj_t BgL_istampz00;
		obj_t BgL_globalz00;
		obj_t BgL_kapturedz00;
		obj_t BgL_tailzd2coercionzd2;
		bool_t BgL_xhdlzf3zf3;
	}                      *BgL_sfunzf2iinfozf2_bglt;


	static obj_t BGl_requirezd2initializa7ationz75zzintegrate_ctnz00 = BUNSPEC;
	static obj_t BGl_genericzd2initzd2zzintegrate_ctnz00();
	BGL_EXPORTED_DECL obj_t BGl_Cnz62Ctz12z70zzintegrate_ctnz00(obj_t);
	static obj_t BGl_objectzd2initzd2zzintegrate_ctnz00();
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzintegrate_ctnz00();
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62Cnz62Ctz12z12zzintegrate_ctnz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_ctnz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_az00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_infoz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_cnstzd2initzd2zzintegrate_ctnz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_ctnz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzintegrate_ctnz00();
	static obj_t BGl_gczd2rootszd2initz00zzintegrate_ctnz00();
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[3];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_Cnz62Ctz12zd2envza2zzintegrate_ctnz00,
		BgL_bgl_za762cnza762ctza712za7121569z00,
		BGl_z62Cnz62Ctz12z12zzintegrate_ctnz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1562z00zzintegrate_ctnz00,
		BgL_bgl_string1562za700za7za7i1570za7, "SHould not be here", 18);
	      DEFINE_STRING(BGl_string1563z00zzintegrate_ctnz00,
		BgL_bgl_string1563za700za7za7i1571za7, "integrate_ctn", 13);
	      DEFINE_STRING(BGl_string1564z00zzintegrate_ctnz00,
		BgL_bgl_string1564za700za7za7i1572za7, "Cn&Ct! escape tail ", 19);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzintegrate_ctnz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzintegrate_ctnz00(long
		BgL_checksumz00_1842, char *BgL_fromz00_1843)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzintegrate_ctnz00))
				{
					BGl_requirezd2initializa7ationz75zzintegrate_ctnz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzintegrate_ctnz00();
					BGl_libraryzd2moduleszd2initz00zzintegrate_ctnz00();
					BGl_cnstzd2initzd2zzintegrate_ctnz00();
					BGl_importedzd2moduleszd2initz00zzintegrate_ctnz00();
					return BGl_methodzd2initzd2zzintegrate_ctnz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_ctnz00()
	{
		{	/* Integrate/ctn.scm 17 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"integrate_ctn");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"integrate_ctn");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"integrate_ctn");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"integrate_ctn");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "integrate_ctn");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"integrate_ctn");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzintegrate_ctnz00()
	{
		{	/* Integrate/ctn.scm 17 */
			{	/* Integrate/ctn.scm 17 */
				obj_t BgL_cportz00_1830;

				{	/* Integrate/ctn.scm 17 */
					obj_t BgL_stringz00_1838;

					BgL_stringz00_1838 = BGl_string1564z00zzintegrate_ctnz00;
					{	/* Integrate/ctn.scm 17 */
						obj_t BgL_startz00_1839;

						BgL_startz00_1839 = BINT(((long) 0));
						{	/* Integrate/ctn.scm 17 */
							obj_t BgL_endz00_1840;

							BgL_endz00_1840 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_1838)));
							{	/* Integrate/ctn.scm 17 */

								BgL_cportz00_1830 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_1838, BgL_startz00_1839, BgL_endz00_1840);
				}}}}
				{
					long BgL_iz00_1831;

					BgL_iz00_1831 = ((long) 2);
				BgL_loopz00_1832:
					if ((BgL_iz00_1831 == ((long) -1)))
						{	/* Integrate/ctn.scm 17 */
							return BUNSPEC;
						}
					else
						{	/* Integrate/ctn.scm 17 */
							{	/* Integrate/ctn.scm 17 */
								obj_t BgL_arg1568z00_1834;

								{	/* Integrate/ctn.scm 17 */

									{	/* Integrate/ctn.scm 17 */
										obj_t BgL_locationz00_1836;

										BgL_locationz00_1836 = BBOOL(((bool_t) 0));
										{	/* Integrate/ctn.scm 17 */

											BgL_arg1568z00_1834 =
												BGl_readz00zz__readerz00(BgL_cportz00_1830,
												BgL_locationz00_1836);
										}
									}
								}
								{	/* Integrate/ctn.scm 17 */
									int BgL_tmpz00_1867;

									BgL_tmpz00_1867 = (int) (BgL_iz00_1831);
									CNST_TABLE_SET(BgL_tmpz00_1867, BgL_arg1568z00_1834);
							}}
							{	/* Integrate/ctn.scm 17 */
								int BgL_auxz00_1837;

								BgL_auxz00_1837 = (int) ((BgL_iz00_1831 - ((long) 1)));
								{
									long BgL_iz00_1872;

									BgL_iz00_1872 = (long) (BgL_auxz00_1837);
									BgL_iz00_1831 = BgL_iz00_1872;
									goto BgL_loopz00_1832;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzintegrate_ctnz00()
	{
		{	/* Integrate/ctn.scm 17 */
			return bgl_gc_roots_register();
		}

	}



/* Cn&Ct! */
	BGL_EXPORTED_DEF obj_t BGl_Cnz62Ctz12z70zzintegrate_ctnz00(obj_t BgL_az00_3)
	{
		{	/* Integrate/ctn.scm 33 */
			{
				obj_t BgL_asz00_1534;
				obj_t BgL_gzf2cnzf2_1535;

				BgL_asz00_1534 = BgL_az00_3;
				BgL_gzf2cnzf2_1535 = BNIL;
			BgL_zc3z04anonymousza31251ze3z87_1536:
				if (NULLP(BgL_asz00_1534))
					{	/* Integrate/ctn.scm 36 */
						return BgL_gzf2cnzf2_1535;
					}
				else
					{	/* Integrate/ctn.scm 40 */
						obj_t BgL_az00_1538;

						BgL_az00_1538 = CAR(((obj_t) BgL_asz00_1534));
						{	/* Integrate/ctn.scm 40 */
							obj_t BgL_fz00_1539;

							BgL_fz00_1539 = CAR(((obj_t) BgL_az00_1538));
							{	/* Integrate/ctn.scm 41 */
								obj_t BgL_gz00_1540;

								{	/* Integrate/ctn.scm 42 */
									obj_t BgL_pairz00_1764;

									BgL_pairz00_1764 = CDR(((obj_t) BgL_az00_1538));
									BgL_gz00_1540 = CAR(BgL_pairz00_1764);
								}
								{	/* Integrate/ctn.scm 42 */
									obj_t BgL_kz00_1541;

									{	/* Integrate/ctn.scm 43 */
										obj_t BgL_pairz00_1770;

										{	/* Integrate/ctn.scm 43 */
											obj_t BgL_pairz00_1769;

											BgL_pairz00_1769 = CDR(((obj_t) BgL_az00_1538));
											BgL_pairz00_1770 = CDR(BgL_pairz00_1769);
										}
										BgL_kz00_1541 = CAR(BgL_pairz00_1770);
									}
									{	/* Integrate/ctn.scm 43 */
										BgL_valuez00_bglt BgL_fiz00_1542;

										BgL_fiz00_1542 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_fz00_1539)))->
											BgL_valuez00);
										{	/* Integrate/ctn.scm 44 */
											BgL_valuez00_bglt BgL_giz00_1543;

											BgL_giz00_1543 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_gz00_1540)))->
												BgL_valuez00);
											{	/* Integrate/ctn.scm 45 */

												if (BGl_isazf3zf3zz__objectz00(BgL_gz00_1540,
														BGl_globalz00zzast_varz00))
													{	/* Integrate/ctn.scm 48 */
														obj_t BgL_arg1256z00_1545;

														BgL_arg1256z00_1545 = CDR(((obj_t) BgL_asz00_1534));
														{
															obj_t BgL_asz00_1896;

															BgL_asz00_1896 = BgL_arg1256z00_1545;
															BgL_asz00_1534 = BgL_asz00_1896;
															goto BgL_zc3z04anonymousza31251ze3z87_1536;
														}
													}
												else
													{	/* Integrate/ctn.scm 49 */
														bool_t BgL_test1578z00_1897;

														{
															BgL_sfunzf2iinfozf2_bglt BgL_auxz00_1898;

															{
																obj_t BgL_auxz00_1899;

																{	/* Integrate/ctn.scm 49 */
																	BgL_objectz00_bglt BgL_tmpz00_1900;

																	BgL_tmpz00_1900 =
																		((BgL_objectz00_bglt)
																		((BgL_sfunz00_bglt) BgL_giz00_1543));
																	BgL_auxz00_1899 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_1900);
																}
																BgL_auxz00_1898 =
																	((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_1899);
															}
															BgL_test1578z00_1897 =
																(((BgL_sfunzf2iinfozf2_bglt)
																	COBJECT(BgL_auxz00_1898))->BgL_forcegzf3zf3);
														}
														if (BgL_test1578z00_1897)
															{	/* Integrate/ctn.scm 51 */
																bool_t BgL_test1580z00_1906;

																{
																	BgL_sfunzf2iinfozf2_bglt BgL_auxz00_1907;

																	{
																		obj_t BgL_auxz00_1908;

																		{	/* Integrate/ctn.scm 51 */
																			BgL_objectz00_bglt BgL_tmpz00_1909;

																			BgL_tmpz00_1909 =
																				((BgL_objectz00_bglt)
																				((BgL_sfunz00_bglt) BgL_giz00_1543));
																			BgL_auxz00_1908 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_1909);
																		}
																		BgL_auxz00_1907 =
																			((BgL_sfunzf2iinfozf2_bglt)
																			BgL_auxz00_1908);
																	}
																	BgL_test1580z00_1906 =
																		(((BgL_sfunzf2iinfozf2_bglt)
																			COBJECT(BgL_auxz00_1907))->BgL_gzf3zf3);
																}
																if (BgL_test1580z00_1906)
																	{	/* Integrate/ctn.scm 55 */
																		obj_t BgL_arg1264z00_1548;

																		BgL_arg1264z00_1548 =
																			CDR(((obj_t) BgL_asz00_1534));
																		{
																			obj_t BgL_asz00_1917;

																			BgL_asz00_1917 = BgL_arg1264z00_1548;
																			BgL_asz00_1534 = BgL_asz00_1917;
																			goto
																				BgL_zc3z04anonymousza31251ze3z87_1536;
																		}
																	}
																else
																	{	/* Integrate/ctn.scm 51 */
																		{
																			BgL_sfunzf2iinfozf2_bglt BgL_auxz00_1918;

																			{
																				obj_t BgL_auxz00_1919;

																				{	/* Integrate/ctn.scm 53 */
																					BgL_objectz00_bglt BgL_tmpz00_1920;

																					BgL_tmpz00_1920 =
																						((BgL_objectz00_bglt)
																						((BgL_sfunz00_bglt)
																							BgL_giz00_1543));
																					BgL_auxz00_1919 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_1920);
																				}
																				BgL_auxz00_1918 =
																					((BgL_sfunzf2iinfozf2_bglt)
																					BgL_auxz00_1919);
																			}
																			((((BgL_sfunzf2iinfozf2_bglt)
																						COBJECT(BgL_auxz00_1918))->
																					BgL_gzf3zf3) =
																				((bool_t) ((bool_t) 1)), BUNSPEC);
																		}
																		{	/* Integrate/ctn.scm 54 */
																			obj_t BgL_arg1265z00_1549;
																			obj_t BgL_arg1268z00_1550;

																			BgL_arg1265z00_1549 =
																				CDR(((obj_t) BgL_asz00_1534));
																			BgL_arg1268z00_1550 =
																				MAKE_YOUNG_PAIR(BgL_gz00_1540,
																				BgL_gzf2cnzf2_1535);
																			{
																				obj_t BgL_gzf2cnzf2_1930;
																				obj_t BgL_asz00_1929;

																				BgL_asz00_1929 = BgL_arg1265z00_1549;
																				BgL_gzf2cnzf2_1930 =
																					BgL_arg1268z00_1550;
																				BgL_gzf2cnzf2_1535 = BgL_gzf2cnzf2_1930;
																				BgL_asz00_1534 = BgL_asz00_1929;
																				goto
																					BgL_zc3z04anonymousza31251ze3z87_1536;
																			}
																		}
																	}
															}
														else
															{	/* Integrate/ctn.scm 49 */
																if (
																	(BgL_kz00_1541 == CNST_TABLE_REF(((long) 0))))
																	{	/* Integrate/ctn.scm 56 */
																		{	/* Integrate/ctn.scm 57 */
																			obj_t BgL_arg1270z00_1552;

																			{	/* Integrate/ctn.scm 57 */
																				obj_t BgL_arg1271z00_1553;

																				{
																					BgL_sfunzf2iinfozf2_bglt
																						BgL_auxz00_1934;
																					{
																						obj_t BgL_auxz00_1935;

																						{	/* Integrate/ctn.scm 57 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_1936;
																							BgL_tmpz00_1936 =
																								((BgL_objectz00_bglt) (
																									(BgL_sfunz00_bglt)
																									BgL_fiz00_1542));
																							BgL_auxz00_1935 =
																								BGL_OBJECT_WIDENING
																								(BgL_tmpz00_1936);
																						}
																						BgL_auxz00_1934 =
																							((BgL_sfunzf2iinfozf2_bglt)
																							BgL_auxz00_1935);
																					}
																					BgL_arg1271z00_1553 =
																						(((BgL_sfunzf2iinfozf2_bglt)
																							COBJECT(BgL_auxz00_1934))->
																						BgL_ctz00);
																				}
																				BgL_arg1270z00_1552 =
																					MAKE_YOUNG_PAIR(BgL_gz00_1540,
																					BgL_arg1271z00_1553);
																			}
																			{
																				BgL_sfunzf2iinfozf2_bglt
																					BgL_auxz00_1943;
																				{
																					obj_t BgL_auxz00_1944;

																					{	/* Integrate/ctn.scm 57 */
																						BgL_objectz00_bglt BgL_tmpz00_1945;

																						BgL_tmpz00_1945 =
																							((BgL_objectz00_bglt)
																							((BgL_sfunz00_bglt)
																								BgL_fiz00_1542));
																						BgL_auxz00_1944 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_1945);
																					}
																					BgL_auxz00_1943 =
																						((BgL_sfunzf2iinfozf2_bglt)
																						BgL_auxz00_1944);
																				}
																				((((BgL_sfunzf2iinfozf2_bglt)
																							COBJECT(BgL_auxz00_1943))->
																						BgL_ctz00) =
																					((obj_t) BgL_arg1270z00_1552),
																					BUNSPEC);
																		}}
																		{	/* Integrate/ctn.scm 58 */
																			bool_t BgL_test1582z00_1951;

																			if ((BgL_fz00_1539 == BgL_gz00_1540))
																				{	/* Integrate/ctn.scm 58 */
																					BgL_test1582z00_1951 = ((bool_t) 0);
																				}
																			else
																				{	/* Integrate/ctn.scm 59 */
																					bool_t BgL_test1585z00_1954;

																					{	/* Integrate/ctn.scm 59 */
																						obj_t BgL_arg1285z00_1563;

																						{
																							BgL_sfunzf2iinfozf2_bglt
																								BgL_auxz00_1955;
																							{
																								obj_t BgL_auxz00_1956;

																								{	/* Integrate/ctn.scm 59 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_1957;
																									BgL_tmpz00_1957 =
																										((BgL_objectz00_bglt) (
																											(BgL_sfunz00_bglt)
																											BgL_fiz00_1542));
																									BgL_auxz00_1956 =
																										BGL_OBJECT_WIDENING
																										(BgL_tmpz00_1957);
																								}
																								BgL_auxz00_1955 =
																									((BgL_sfunzf2iinfozf2_bglt)
																									BgL_auxz00_1956);
																							}
																							BgL_arg1285z00_1563 =
																								(((BgL_sfunzf2iinfozf2_bglt)
																									COBJECT(BgL_auxz00_1955))->
																								BgL_kontz00);
																						}
																						BgL_test1585z00_1954 =
																							CBOOL
																							(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																							(BgL_gz00_1540,
																								BgL_arg1285z00_1563));
																					}
																					if (BgL_test1585z00_1954)
																						{	/* Integrate/ctn.scm 59 */
																							BgL_test1582z00_1951 =
																								((bool_t) 0);
																						}
																					else
																						{	/* Integrate/ctn.scm 59 */
																							BgL_test1582z00_1951 =
																								((bool_t) 1);
																						}
																				}
																			if (BgL_test1582z00_1951)
																				{	/* Integrate/ctn.scm 60 */
																					obj_t BgL_arg1278z00_1559;

																					{	/* Integrate/ctn.scm 60 */
																						obj_t BgL_arg1283z00_1560;

																						{
																							BgL_sfunzf2iinfozf2_bglt
																								BgL_auxz00_1965;
																							{
																								obj_t BgL_auxz00_1966;

																								{	/* Integrate/ctn.scm 60 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_1967;
																									BgL_tmpz00_1967 =
																										((BgL_objectz00_bglt) (
																											(BgL_sfunz00_bglt)
																											BgL_fiz00_1542));
																									BgL_auxz00_1966 =
																										BGL_OBJECT_WIDENING
																										(BgL_tmpz00_1967);
																								}
																								BgL_auxz00_1965 =
																									((BgL_sfunzf2iinfozf2_bglt)
																									BgL_auxz00_1966);
																							}
																							BgL_arg1283z00_1560 =
																								(((BgL_sfunzf2iinfozf2_bglt)
																									COBJECT(BgL_auxz00_1965))->
																								BgL_kontz00);
																						}
																						BgL_arg1278z00_1559 =
																							MAKE_YOUNG_PAIR(BgL_gz00_1540,
																							BgL_arg1283z00_1560);
																					}
																					{
																						BgL_sfunzf2iinfozf2_bglt
																							BgL_auxz00_1974;
																						{
																							obj_t BgL_auxz00_1975;

																							{	/* Integrate/ctn.scm 60 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_1976;
																								BgL_tmpz00_1976 =
																									((BgL_objectz00_bglt) (
																										(BgL_sfunz00_bglt)
																										BgL_fiz00_1542));
																								BgL_auxz00_1975 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_1976);
																							}
																							BgL_auxz00_1974 =
																								((BgL_sfunzf2iinfozf2_bglt)
																								BgL_auxz00_1975);
																						}
																						((((BgL_sfunzf2iinfozf2_bglt)
																									COBJECT(BgL_auxz00_1974))->
																								BgL_kontz00) =
																							((obj_t) BgL_arg1278z00_1559),
																							BUNSPEC);
																					}
																				}
																			else
																				{	/* Integrate/ctn.scm 58 */
																					BFALSE;
																				}
																		}
																		{	/* Integrate/ctn.scm 61 */
																			obj_t BgL_arg1286z00_1564;

																			BgL_arg1286z00_1564 =
																				CDR(((obj_t) BgL_asz00_1534));
																			{
																				obj_t BgL_asz00_1984;

																				BgL_asz00_1984 = BgL_arg1286z00_1564;
																				BgL_asz00_1534 = BgL_asz00_1984;
																				goto
																					BgL_zc3z04anonymousza31251ze3z87_1536;
																			}
																		}
																	}
																else
																	{	/* Integrate/ctn.scm 56 */
																		if (
																			(BgL_kz00_1541 ==
																				CNST_TABLE_REF(((long) 1))))
																			{	/* Integrate/ctn.scm 62 */
																				return
																					BGl_errorz00zz__errorz00
																					(CNST_TABLE_REF(((long) 2)),
																					BGl_string1562z00zzintegrate_ctnz00,
																					BgL_az00_1538);
																			}
																		else
																			{	/* Integrate/ctn.scm 64 */
																				bool_t BgL_test1587z00_1990;

																				{	/* Integrate/ctn.scm 64 */
																					obj_t BgL_tmpz00_1991;

																					{
																						BgL_sfunzf2iinfozf2_bglt
																							BgL_auxz00_1992;
																						{
																							obj_t BgL_auxz00_1993;

																							{	/* Integrate/ctn.scm 64 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_1994;
																								BgL_tmpz00_1994 =
																									((BgL_objectz00_bglt) (
																										(BgL_sfunz00_bglt)
																										BgL_giz00_1543));
																								BgL_auxz00_1993 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_1994);
																							}
																							BgL_auxz00_1992 =
																								((BgL_sfunzf2iinfozf2_bglt)
																								BgL_auxz00_1993);
																						}
																						BgL_tmpz00_1991 =
																							(((BgL_sfunzf2iinfozf2_bglt)
																								COBJECT(BgL_auxz00_1992))->
																							BgL_uz00);
																					}
																					BgL_test1587z00_1990 =
																						CBOOL(BgL_tmpz00_1991);
																				}
																				if (BgL_test1587z00_1990)
																					{	/* Integrate/ctn.scm 64 */
																						{	/* Integrate/ctn.scm 65 */
																							obj_t BgL_arg1290z00_1567;

																							{	/* Integrate/ctn.scm 65 */
																								obj_t BgL_arg1291z00_1568;

																								{
																									BgL_sfunzf2iinfozf2_bglt
																										BgL_auxz00_2001;
																									{
																										obj_t BgL_auxz00_2002;

																										{	/* Integrate/ctn.scm 65 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_2003;
																											BgL_tmpz00_2003 =
																												((BgL_objectz00_bglt) (
																													(BgL_sfunz00_bglt)
																													BgL_fiz00_1542));
																											BgL_auxz00_2002 =
																												BGL_OBJECT_WIDENING
																												(BgL_tmpz00_2003);
																										}
																										BgL_auxz00_2001 =
																											(
																											(BgL_sfunzf2iinfozf2_bglt)
																											BgL_auxz00_2002);
																									}
																									BgL_arg1291z00_1568 =
																										(((BgL_sfunzf2iinfozf2_bglt)
																											COBJECT
																											(BgL_auxz00_2001))->
																										BgL_ctz00);
																								}
																								BgL_arg1290z00_1567 =
																									MAKE_YOUNG_PAIR(BgL_gz00_1540,
																									BgL_arg1291z00_1568);
																							}
																							{
																								BgL_sfunzf2iinfozf2_bglt
																									BgL_auxz00_2010;
																								{
																									obj_t BgL_auxz00_2011;

																									{	/* Integrate/ctn.scm 65 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_2012;
																										BgL_tmpz00_2012 =
																											((BgL_objectz00_bglt) (
																												(BgL_sfunz00_bglt)
																												BgL_fiz00_1542));
																										BgL_auxz00_2011 =
																											BGL_OBJECT_WIDENING
																											(BgL_tmpz00_2012);
																									}
																									BgL_auxz00_2010 =
																										((BgL_sfunzf2iinfozf2_bglt)
																										BgL_auxz00_2011);
																								}
																								((((BgL_sfunzf2iinfozf2_bglt)
																											COBJECT
																											(BgL_auxz00_2010))->
																										BgL_ctz00) =
																									((obj_t) BgL_arg1290z00_1567),
																									BUNSPEC);
																							}
																						}
																						{	/* Integrate/ctn.scm 66 */
																							bool_t BgL_test1588z00_2018;

																							{	/* Integrate/ctn.scm 66 */
																								obj_t BgL_arg1300z00_1573;

																								{
																									BgL_sfunzf2iinfozf2_bglt
																										BgL_auxz00_2019;
																									{
																										obj_t BgL_auxz00_2020;

																										{	/* Integrate/ctn.scm 66 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_2021;
																											BgL_tmpz00_2021 =
																												((BgL_objectz00_bglt) (
																													(BgL_sfunz00_bglt)
																													BgL_fiz00_1542));
																											BgL_auxz00_2020 =
																												BGL_OBJECT_WIDENING
																												(BgL_tmpz00_2021);
																										}
																										BgL_auxz00_2019 =
																											(
																											(BgL_sfunzf2iinfozf2_bglt)
																											BgL_auxz00_2020);
																									}
																									BgL_arg1300z00_1573 =
																										(((BgL_sfunzf2iinfozf2_bglt)
																											COBJECT
																											(BgL_auxz00_2019))->
																										BgL_kontz00);
																								}
																								BgL_test1588z00_2018 =
																									CBOOL
																									(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																									(BgL_gz00_1540,
																										BgL_arg1300z00_1573));
																							}
																							if (BgL_test1588z00_2018)
																								{	/* Integrate/ctn.scm 66 */
																									BFALSE;
																								}
																							else
																								{	/* Integrate/ctn.scm 67 */
																									obj_t BgL_arg1298z00_1571;

																									{	/* Integrate/ctn.scm 67 */
																										obj_t BgL_arg1299z00_1572;

																										{
																											BgL_sfunzf2iinfozf2_bglt
																												BgL_auxz00_2029;
																											{
																												obj_t BgL_auxz00_2030;

																												{	/* Integrate/ctn.scm 67 */
																													BgL_objectz00_bglt
																														BgL_tmpz00_2031;
																													BgL_tmpz00_2031 =
																														(
																														(BgL_objectz00_bglt)
																														((BgL_sfunz00_bglt)
																															BgL_fiz00_1542));
																													BgL_auxz00_2030 =
																														BGL_OBJECT_WIDENING
																														(BgL_tmpz00_2031);
																												}
																												BgL_auxz00_2029 =
																													(
																													(BgL_sfunzf2iinfozf2_bglt)
																													BgL_auxz00_2030);
																											}
																											BgL_arg1299z00_1572 =
																												(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2029))->BgL_kontz00);
																										}
																										BgL_arg1298z00_1571 =
																											MAKE_YOUNG_PAIR
																											(BgL_gz00_1540,
																											BgL_arg1299z00_1572);
																									}
																									{
																										BgL_sfunzf2iinfozf2_bglt
																											BgL_auxz00_2038;
																										{
																											obj_t BgL_auxz00_2039;

																											{	/* Integrate/ctn.scm 67 */
																												BgL_objectz00_bglt
																													BgL_tmpz00_2040;
																												BgL_tmpz00_2040 =
																													((BgL_objectz00_bglt)
																													((BgL_sfunz00_bglt)
																														BgL_fiz00_1542));
																												BgL_auxz00_2039 =
																													BGL_OBJECT_WIDENING
																													(BgL_tmpz00_2040);
																											}
																											BgL_auxz00_2038 =
																												(
																												(BgL_sfunzf2iinfozf2_bglt)
																												BgL_auxz00_2039);
																										}
																										((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2038))->BgL_kontz00) = ((obj_t) BgL_arg1298z00_1571), BUNSPEC);
																									}
																								}
																						}
																						{	/* Integrate/ctn.scm 68 */
																							obj_t BgL_arg1301z00_1574;

																							BgL_arg1301z00_1574 =
																								CDR(((obj_t) BgL_asz00_1534));
																							{
																								obj_t BgL_asz00_2048;

																								BgL_asz00_2048 =
																									BgL_arg1301z00_1574;
																								BgL_asz00_1534 = BgL_asz00_2048;
																								goto
																									BgL_zc3z04anonymousza31251ze3z87_1536;
																							}
																						}
																					}
																				else
																					{	/* Integrate/ctn.scm 64 */
																						{	/* Integrate/ctn.scm 70 */
																							obj_t BgL_arg1304z00_1575;

																							{	/* Integrate/ctn.scm 70 */
																								obj_t BgL_arg1306z00_1576;

																								{
																									BgL_sfunzf2iinfozf2_bglt
																										BgL_auxz00_2049;
																									{
																										obj_t BgL_auxz00_2050;

																										{	/* Integrate/ctn.scm 70 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_2051;
																											BgL_tmpz00_2051 =
																												((BgL_objectz00_bglt) (
																													(BgL_sfunz00_bglt)
																													BgL_fiz00_1542));
																											BgL_auxz00_2050 =
																												BGL_OBJECT_WIDENING
																												(BgL_tmpz00_2051);
																										}
																										BgL_auxz00_2049 =
																											(
																											(BgL_sfunzf2iinfozf2_bglt)
																											BgL_auxz00_2050);
																									}
																									BgL_arg1306z00_1576 =
																										(((BgL_sfunzf2iinfozf2_bglt)
																											COBJECT
																											(BgL_auxz00_2049))->
																										BgL_cnz00);
																								}
																								BgL_arg1304z00_1575 =
																									MAKE_YOUNG_PAIR(BgL_gz00_1540,
																									BgL_arg1306z00_1576);
																							}
																							{
																								BgL_sfunzf2iinfozf2_bglt
																									BgL_auxz00_2058;
																								{
																									obj_t BgL_auxz00_2059;

																									{	/* Integrate/ctn.scm 70 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_2060;
																										BgL_tmpz00_2060 =
																											((BgL_objectz00_bglt) (
																												(BgL_sfunz00_bglt)
																												BgL_fiz00_1542));
																										BgL_auxz00_2059 =
																											BGL_OBJECT_WIDENING
																											(BgL_tmpz00_2060);
																									}
																									BgL_auxz00_2058 =
																										((BgL_sfunzf2iinfozf2_bglt)
																										BgL_auxz00_2059);
																								}
																								((((BgL_sfunzf2iinfozf2_bglt)
																											COBJECT
																											(BgL_auxz00_2058))->
																										BgL_cnz00) =
																									((obj_t) BgL_arg1304z00_1575),
																									BUNSPEC);
																							}
																						}
																						{	/* Integrate/ctn.scm 71 */
																							bool_t BgL_test1589z00_2066;

																							{
																								BgL_sfunzf2iinfozf2_bglt
																									BgL_auxz00_2067;
																								{
																									obj_t BgL_auxz00_2068;

																									{	/* Integrate/ctn.scm 71 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_2069;
																										BgL_tmpz00_2069 =
																											((BgL_objectz00_bglt) (
																												(BgL_sfunz00_bglt)
																												BgL_giz00_1543));
																										BgL_auxz00_2068 =
																											BGL_OBJECT_WIDENING
																											(BgL_tmpz00_2069);
																									}
																									BgL_auxz00_2067 =
																										((BgL_sfunzf2iinfozf2_bglt)
																										BgL_auxz00_2068);
																								}
																								BgL_test1589z00_2066 =
																									(((BgL_sfunzf2iinfozf2_bglt)
																										COBJECT(BgL_auxz00_2067))->
																									BgL_gzf3zf3);
																							}
																							if (BgL_test1589z00_2066)
																								{	/* Integrate/ctn.scm 75 */
																									obj_t BgL_arg1308z00_1578;

																									BgL_arg1308z00_1578 =
																										CDR(
																										((obj_t) BgL_asz00_1534));
																									{
																										obj_t BgL_asz00_2077;

																										BgL_asz00_2077 =
																											BgL_arg1308z00_1578;
																										BgL_asz00_1534 =
																											BgL_asz00_2077;
																										goto
																											BgL_zc3z04anonymousza31251ze3z87_1536;
																									}
																								}
																							else
																								{	/* Integrate/ctn.scm 71 */
																									{
																										BgL_sfunzf2iinfozf2_bglt
																											BgL_auxz00_2078;
																										{
																											obj_t BgL_auxz00_2079;

																											{	/* Integrate/ctn.scm 73 */
																												BgL_objectz00_bglt
																													BgL_tmpz00_2080;
																												BgL_tmpz00_2080 =
																													((BgL_objectz00_bglt)
																													((BgL_sfunz00_bglt)
																														BgL_giz00_1543));
																												BgL_auxz00_2079 =
																													BGL_OBJECT_WIDENING
																													(BgL_tmpz00_2080);
																											}
																											BgL_auxz00_2078 =
																												(
																												(BgL_sfunzf2iinfozf2_bglt)
																												BgL_auxz00_2079);
																										}
																										((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2078))->BgL_gzf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
																									}
																									{	/* Integrate/ctn.scm 74 */
																										obj_t BgL_arg1309z00_1579;
																										obj_t BgL_arg1310z00_1580;

																										BgL_arg1309z00_1579 =
																											CDR(
																											((obj_t) BgL_asz00_1534));
																										BgL_arg1310z00_1580 =
																											MAKE_YOUNG_PAIR
																											(BgL_gz00_1540,
																											BgL_gzf2cnzf2_1535);
																										{
																											obj_t BgL_gzf2cnzf2_2090;
																											obj_t BgL_asz00_2089;

																											BgL_asz00_2089 =
																												BgL_arg1309z00_1579;
																											BgL_gzf2cnzf2_2090 =
																												BgL_arg1310z00_1580;
																											BgL_gzf2cnzf2_1535 =
																												BgL_gzf2cnzf2_2090;
																											BgL_asz00_1534 =
																												BgL_asz00_2089;
																											goto
																												BgL_zc3z04anonymousza31251ze3z87_1536;
																										}
																									}
																								}
																						}
																					}
																			}
																	}
															}
													}
											}
										}
									}
								}
							}
						}
					}
			}
		}

	}



/* &Cn&Ct! */
	obj_t BGl_z62Cnz62Ctz12z12zzintegrate_ctnz00(obj_t BgL_envz00_1828,
		obj_t BgL_az00_1829)
	{
		{	/* Integrate/ctn.scm 33 */
			return BGl_Cnz62Ctz12z70zzintegrate_ctnz00(BgL_az00_1829);
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzintegrate_ctnz00()
	{
		{	/* Integrate/ctn.scm 17 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzintegrate_ctnz00()
	{
		{	/* Integrate/ctn.scm 17 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzintegrate_ctnz00()
	{
		{	/* Integrate/ctn.scm 17 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzintegrate_ctnz00()
	{
		{	/* Integrate/ctn.scm 17 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1563z00zzintegrate_ctnz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1563z00zzintegrate_ctnz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1563z00zzintegrate_ctnz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1563z00zzintegrate_ctnz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1563z00zzintegrate_ctnz00));
			BGl_modulezd2initializa7ationz75zzintegrate_infoz00(((long) 0),
				BSTRING_TO_STRING(BGl_string1563z00zzintegrate_ctnz00));
			return
				BGl_modulezd2initializa7ationz75zzintegrate_az00(((long) 523633197),
				BSTRING_TO_STRING(BGl_string1563z00zzintegrate_ctnz00));
		}

	}

#ifdef __cplusplus
}
#endif
