/*===========================================================================*/
/*   (Integrate/free.scm)                                                    */
/*   Bigloo (4.4b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon 22 Mar 2021 06:56:16 PM CET     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.4b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Integrate/free.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_svarzf2iinfozf2_bgl
	{
		obj_t BgL_fzd2markzd2;
		obj_t BgL_uzd2markzd2;
		bool_t BgL_kapturedzf3zf3;
		bool_t BgL_celledzf3zf3;
		obj_t BgL_xhdlz00;
	}                      *BgL_svarzf2iinfozf2_bglt;

	typedef struct BgL_sexitzf2iinfozf2_bgl
	{
		obj_t BgL_fzd2markzd2;
		obj_t BgL_uzd2markzd2;
		bool_t BgL_kapturedzf3zf3;
		bool_t BgL_celledzf3zf3;
	}                       *BgL_sexitzf2iinfozf2_bglt;

	typedef struct BgL_sfunzf2iinfozf2_bgl
	{
		obj_t BgL_ownerz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
		obj_t BgL_cfromz00;
		obj_t BgL_ctoz00;
		obj_t BgL_kz00;
		obj_t BgL_kza2za2;
		obj_t BgL_uz00;
		obj_t BgL_cnz00;
		obj_t BgL_ctz00;
		obj_t BgL_kontz00;
		bool_t BgL_gzf3zf3;
		bool_t BgL_forcegzf3zf3;
		obj_t BgL_lz00;
		obj_t BgL_ledz00;
		obj_t BgL_istampz00;
		obj_t BgL_globalz00;
		obj_t BgL_kapturedz00;
		obj_t BgL_tailzd2coercionzd2;
		bool_t BgL_xhdlzf3zf3;
	}                      *BgL_sfunzf2iinfozf2_bglt;


	static obj_t
		BGl_z62nodezd2freezd2boxzd2setz121307za2zzintegrate_freez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_z62nodezd2freezd2makezd2box1303zb0zzintegrate_freez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzintegrate_freez00 = BUNSPEC;
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzintegrate_freez00();
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t BGl_nodezd2freeza2z70zzintegrate_freez00(obj_t, obj_t);
	static obj_t BGl_z62nodezd2freezd2conditiona1289z62zzintegrate_freez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_za2integratorza2z00zzintegrate_freez00 = BUNSPEC;
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62nodezd2freezb0zzintegrate_freez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzintegrate_freez00();
	static obj_t BGl_objectzd2initzd2zzintegrate_freez00();
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62nodezd2freezd2letzd2fun1295zb0zzintegrate_freez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getzd2freezd2varsz00zzintegrate_freez00(BgL_nodez00_bglt,
		BgL_localz00_bglt);
	static obj_t
		BGl_z62nodezd2freezd2jumpzd2exzd2it1301z62zzintegrate_freez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_nodezd2freezd2zzintegrate_freez00(BgL_nodez00_bglt, obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzintegrate_freez00();
	static obj_t BGl_z62freezd2fromzb0zzintegrate_freez00(obj_t, obj_t, obj_t);
	static obj_t BGl_bindzd2variablez12zc0zzintegrate_freez00(BgL_localz00_bglt,
		BgL_localz00_bglt);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_markzd2variablez12zc0zzintegrate_freez00(BgL_localz00_bglt);
	static obj_t BGl_z62nodezd2freezd2boxzd2ref1305zb0zzintegrate_freez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_freezd2fromzd2zzintegrate_freez00(obj_t,
		BgL_localz00_bglt);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_sexitzf2Iinfozf2zzintegrate_infoz00;
	static long BGl_za2roundza2z00zzintegrate_freez00;
	static obj_t BGl_z62nodezd2freezd2sequence1273z62zzintegrate_freez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd2freezd2var1268z62zzintegrate_freez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t BGl_z62nodezd2freezd2funcall1281z62zzintegrate_freez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_freez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_nodez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_infoz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_svarzf2Iinfozf2zzintegrate_infoz00;
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_freezd2variablezf3z21zzintegrate_freez00(obj_t);
	static obj_t BGl_z62nodezd2freezd2letzd2var1297zb0zzintegrate_freez00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62nodezd2freezd2setzd2exzd2it1299z62zzintegrate_freez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	static obj_t BGl_z62nodezd2freezd2closure1270z62zzintegrate_freez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_freez00();
	static obj_t
		BGl_internalzd2getzd2freezd2varsz12zc0zzintegrate_freez00(BgL_nodez00_bglt,
		BgL_localz00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzintegrate_freez00();
	static obj_t BGl_gczd2rootszd2initz00zzintegrate_freez00();
	static obj_t BGl_z62nodezd2freezd2app1277z62zzintegrate_freez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2freezd2appzd2ly1279zb0zzintegrate_freez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd2free1265zb0zzintegrate_freez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	static obj_t BGl_z62getzd2freezd2varsz62zzintegrate_freez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2freezd2cast1285z62zzintegrate_freez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2freezd2extern1283z62zzintegrate_freez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62nodezd2freezd2switch1293z62zzintegrate_freez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd2freezd2setq1287z62zzintegrate_freez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_z62nodezd2freezd2sync1275z62zzintegrate_freez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2freezd2fail1291z62zzintegrate_freez00(obj_t, obj_t,
		obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2freezd2varszd2envzd2zzintegrate_freez00,
		BgL_bgl_za762getza7d2freeza7d21865za7,
		BGl_z62getzd2freezd2varsz62zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1838z00zzintegrate_freez00,
		BgL_bgl_string1838za700za7za7i1866za7, "free-variable?", 14);
	      DEFINE_STRING(BGl_string1839z00zzintegrate_freez00,
		BgL_bgl_string1839za700za7za7i1867za7, "Unknown variable type", 21);
	      DEFINE_STRING(BGl_string1841z00zzintegrate_freez00,
		BgL_bgl_string1841za700za7za7i1868za7, "node-free1265", 13);
	      DEFINE_STRING(BGl_string1843z00zzintegrate_freez00,
		BgL_bgl_string1843za700za7za7i1869za7, "node-free", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1840z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2free121870z00,
		BGl_z62nodezd2free1265zb0zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1842z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d1871za7,
		BGl_z62nodezd2freezd2var1268z62zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1844z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d1872za7,
		BGl_z62nodezd2freezd2closure1270z62zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1845z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d1873za7,
		BGl_z62nodezd2freezd2sequence1273z62zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1846z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d1874za7,
		BGl_z62nodezd2freezd2sync1275z62zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1847z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d1875za7,
		BGl_z62nodezd2freezd2app1277z62zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1848z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d1876za7,
		BGl_z62nodezd2freezd2appzd2ly1279zb0zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1849z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d1877za7,
		BGl_z62nodezd2freezd2funcall1281z62zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1850z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d1878za7,
		BGl_z62nodezd2freezd2extern1283z62zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1851z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d1879za7,
		BGl_z62nodezd2freezd2cast1285z62zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1852z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d1880za7,
		BGl_z62nodezd2freezd2setq1287z62zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1853z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d1881za7,
		BGl_z62nodezd2freezd2conditiona1289z62zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1854z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d1882za7,
		BGl_z62nodezd2freezd2fail1291z62zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1855z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d1883za7,
		BGl_z62nodezd2freezd2switch1293z62zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1856z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d1884za7,
		BGl_z62nodezd2freezd2letzd2fun1295zb0zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1863z00zzintegrate_freez00,
		BgL_bgl_string1863za700za7za7i1885za7, "Unexepected `closure' node", 26);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1857z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d1886za7,
		BGl_z62nodezd2freezd2letzd2var1297zb0zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1864z00zzintegrate_freez00,
		BgL_bgl_string1864za700za7za7i1887za7, "integrate_free", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1858z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d1888za7,
		BGl_z62nodezd2freezd2setzd2exzd2it1299z62zzintegrate_freez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1859z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d1889za7,
		BGl_z62nodezd2freezd2jumpzd2exzd2it1301z62zzintegrate_freez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1860z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d1890za7,
		BGl_z62nodezd2freezd2makezd2box1303zb0zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1861z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d1891za7,
		BGl_z62nodezd2freezd2boxzd2ref1305zb0zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1862z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d1892za7,
		BGl_z62nodezd2freezd2boxzd2setz121307za2zzintegrate_freez00, 0L, BUNSPEC,
		2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_freezd2fromzd2envz00zzintegrate_freez00,
		BgL_bgl_za762freeza7d2fromza7b1893za7,
		BGl_z62freezd2fromzb0zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_nodezd2freezd2envz00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7b1894za7,
		BGl_z62nodezd2freezb0zzintegrate_freez00, 0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzintegrate_freez00));
		     ADD_ROOT((void *) (&BGl_za2integratorza2z00zzintegrate_freez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_freez00(long
		BgL_checksumz00_2347, char *BgL_fromz00_2348)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzintegrate_freez00))
				{
					BGl_requirezd2initializa7ationz75zzintegrate_freez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzintegrate_freez00();
					BGl_libraryzd2moduleszd2initz00zzintegrate_freez00();
					BGl_importedzd2moduleszd2initz00zzintegrate_freez00();
					BGl_genericzd2initzd2zzintegrate_freez00();
					BGl_methodzd2initzd2zzintegrate_freez00();
					return BGl_toplevelzd2initzd2zzintegrate_freez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_freez00()
	{
		{	/* Integrate/free.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"integrate_free");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"integrate_free");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"integrate_free");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "integrate_free");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"integrate_free");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"integrate_free");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"integrate_free");
			return BUNSPEC;
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzintegrate_freez00()
	{
		{	/* Integrate/free.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzintegrate_freez00()
	{
		{	/* Integrate/free.scm 15 */
			BGl_za2roundza2z00zzintegrate_freez00 = ((long) 0);
			BGl_za2integratorza2z00zzintegrate_freez00 = BUNSPEC;
			return BUNSPEC;
		}

	}



/* mark-variable! */
	obj_t BGl_markzd2variablez12zc0zzintegrate_freez00(BgL_localz00_bglt
		BgL_localz00_3)
	{
		{	/* Integrate/free.scm 41 */
			{	/* Integrate/free.scm 42 */
				BgL_valuez00_bglt BgL_infoz00_1585;

				BgL_infoz00_1585 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_localz00_3)))->BgL_valuez00);
				if (BGl_isazf3zf3zz__objectz00(
						((obj_t) BgL_infoz00_1585), BGl_svarzf2Iinfozf2zzintegrate_infoz00))
					{	/* Integrate/free.scm 45 */
						obj_t BgL_vz00_2062;

						BgL_vz00_2062 = BINT(BGl_za2roundza2z00zzintegrate_freez00);
						{
							BgL_svarzf2iinfozf2_bglt BgL_auxz00_2372;

							{
								obj_t BgL_auxz00_2373;

								{	/* Integrate/free.scm 45 */
									BgL_objectz00_bglt BgL_tmpz00_2374;

									BgL_tmpz00_2374 =
										((BgL_objectz00_bglt)
										((BgL_svarz00_bglt) BgL_infoz00_1585));
									BgL_auxz00_2373 = BGL_OBJECT_WIDENING(BgL_tmpz00_2374);
								}
								BgL_auxz00_2372 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_2373);
							}
							return
								((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2372))->
									BgL_fzd2markzd2) = ((obj_t) BgL_vz00_2062), BUNSPEC);
						}
					}
				else
					{	/* Integrate/free.scm 44 */
						if (BGl_isazf3zf3zz__objectz00(
								((obj_t) BgL_infoz00_1585),
								BGl_sexitzf2Iinfozf2zzintegrate_infoz00))
							{	/* Integrate/free.scm 47 */
								obj_t BgL_vz00_2065;

								BgL_vz00_2065 = BINT(BGl_za2roundza2z00zzintegrate_freez00);
								{
									BgL_sexitzf2iinfozf2_bglt BgL_auxz00_2384;

									{
										obj_t BgL_auxz00_2385;

										{	/* Integrate/free.scm 47 */
											BgL_objectz00_bglt BgL_tmpz00_2386;

											BgL_tmpz00_2386 =
												((BgL_objectz00_bglt)
												((BgL_sexitz00_bglt) BgL_infoz00_1585));
											BgL_auxz00_2385 = BGL_OBJECT_WIDENING(BgL_tmpz00_2386);
										}
										BgL_auxz00_2384 =
											((BgL_sexitzf2iinfozf2_bglt) BgL_auxz00_2385);
									}
									return
										((((BgL_sexitzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2384))->
											BgL_fzd2markzd2) = ((obj_t) BgL_vz00_2065), BUNSPEC);
								}
							}
						else
							{	/* Integrate/free.scm 46 */
								return BFALSE;
							}
					}
			}
		}

	}



/* bind-variable! */
	obj_t BGl_bindzd2variablez12zc0zzintegrate_freez00(BgL_localz00_bglt
		BgL_localz00_4, BgL_localz00_bglt BgL_integratorz00_5)
	{
		{	/* Integrate/free.scm 52 */
			{	/* Integrate/free.scm 53 */
				BgL_valuez00_bglt BgL_finfoz00_1588;

				BgL_finfoz00_1588 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_integratorz00_5)))->BgL_valuez00);
				{	/* Integrate/free.scm 54 */
					obj_t BgL_arg1313z00_1589;

					{	/* Integrate/free.scm 54 */
						obj_t BgL_arg1314z00_1590;

						{
							BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2394;

							{
								obj_t BgL_auxz00_2395;

								{	/* Integrate/free.scm 54 */
									BgL_objectz00_bglt BgL_tmpz00_2396;

									BgL_tmpz00_2396 =
										((BgL_objectz00_bglt)
										((BgL_sfunz00_bglt) BgL_finfoz00_1588));
									BgL_auxz00_2395 = BGL_OBJECT_WIDENING(BgL_tmpz00_2396);
								}
								BgL_auxz00_2394 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2395);
							}
							BgL_arg1314z00_1590 =
								(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2394))->
								BgL_boundz00);
						}
						BgL_arg1313z00_1589 =
							MAKE_YOUNG_PAIR(((obj_t) BgL_localz00_4), BgL_arg1314z00_1590);
					}
					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2404;

						{
							obj_t BgL_auxz00_2405;

							{	/* Integrate/free.scm 54 */
								BgL_objectz00_bglt BgL_tmpz00_2406;

								BgL_tmpz00_2406 =
									((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_finfoz00_1588));
								BgL_auxz00_2405 = BGL_OBJECT_WIDENING(BgL_tmpz00_2406);
							}
							BgL_auxz00_2404 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2405);
						}
						((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2404))->
								BgL_boundz00) = ((obj_t) BgL_arg1313z00_1589), BUNSPEC);
					}
				}
				return BGl_markzd2variablez12zc0zzintegrate_freez00(BgL_localz00_4);
			}
		}

	}



/* free-variable? */
	obj_t BGl_freezd2variablezf3z21zzintegrate_freez00(obj_t BgL_localz00_6)
	{
		{	/* Integrate/free.scm 60 */
			{	/* Integrate/free.scm 61 */
				BgL_valuez00_bglt BgL_infoz00_1591;

				BgL_infoz00_1591 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt)
								((BgL_localz00_bglt) BgL_localz00_6))))->BgL_valuez00);
				if (BGl_isazf3zf3zz__objectz00(
						((obj_t) BgL_infoz00_1591), BGl_svarzf2Iinfozf2zzintegrate_infoz00))
					{	/* Integrate/free.scm 64 */
						bool_t BgL_test1899z00_2419;

						{	/* Integrate/free.scm 64 */
							obj_t BgL_arg1329z00_1595;

							{
								BgL_svarzf2iinfozf2_bglt BgL_auxz00_2420;

								{
									obj_t BgL_auxz00_2421;

									{	/* Integrate/free.scm 64 */
										BgL_objectz00_bglt BgL_tmpz00_2422;

										BgL_tmpz00_2422 =
											((BgL_objectz00_bglt)
											((BgL_svarz00_bglt) BgL_infoz00_1591));
										BgL_auxz00_2421 = BGL_OBJECT_WIDENING(BgL_tmpz00_2422);
									}
									BgL_auxz00_2420 =
										((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_2421);
								}
								BgL_arg1329z00_1595 =
									(((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2420))->
									BgL_fzd2markzd2);
							}
							BgL_test1899z00_2419 =
								(BgL_arg1329z00_1595 ==
								BINT(BGl_za2roundza2z00zzintegrate_freez00));
						}
						if (BgL_test1899z00_2419)
							{	/* Integrate/free.scm 64 */
								return BFALSE;
							}
						else
							{	/* Integrate/free.scm 64 */
								return BTRUE;
							}
					}
				else
					{	/* Integrate/free.scm 63 */
						if (BGl_isazf3zf3zz__objectz00(
								((obj_t) BgL_infoz00_1591),
								BGl_sexitzf2Iinfozf2zzintegrate_infoz00))
							{	/* Integrate/free.scm 66 */
								bool_t BgL_test1901z00_2433;

								{	/* Integrate/free.scm 66 */
									obj_t BgL_arg1338z00_1599;

									{
										BgL_sexitzf2iinfozf2_bglt BgL_auxz00_2434;

										{
											obj_t BgL_auxz00_2435;

											{	/* Integrate/free.scm 66 */
												BgL_objectz00_bglt BgL_tmpz00_2436;

												BgL_tmpz00_2436 =
													((BgL_objectz00_bglt)
													((BgL_sexitz00_bglt) BgL_infoz00_1591));
												BgL_auxz00_2435 = BGL_OBJECT_WIDENING(BgL_tmpz00_2436);
											}
											BgL_auxz00_2434 =
												((BgL_sexitzf2iinfozf2_bglt) BgL_auxz00_2435);
										}
										BgL_arg1338z00_1599 =
											(((BgL_sexitzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2434))->
											BgL_fzd2markzd2);
									}
									BgL_test1901z00_2433 =
										(BgL_arg1338z00_1599 ==
										BINT(BGl_za2roundza2z00zzintegrate_freez00));
								}
								if (BgL_test1901z00_2433)
									{	/* Integrate/free.scm 66 */
										return BFALSE;
									}
								else
									{	/* Integrate/free.scm 66 */
										return BTRUE;
									}
							}
						else
							{	/* Integrate/free.scm 70 */
								obj_t BgL_arg1340z00_1600;

								BgL_arg1340z00_1600 =
									MAKE_YOUNG_PAIR(BgL_localz00_6,
									BGl_shapez00zztools_shapez00(BgL_localz00_6));
								return
									BGl_errorz00zz__errorz00(BGl_string1838z00zzintegrate_freez00,
									BGl_string1839z00zzintegrate_freez00, BgL_arg1340z00_1600);
							}
					}
			}
		}

	}



/* get-free-vars */
	BGL_EXPORTED_DEF obj_t
		BGl_getzd2freezd2varsz00zzintegrate_freez00(BgL_nodez00_bglt BgL_nodez00_7,
		BgL_localz00_bglt BgL_integratorz00_8)
	{
		{	/* Integrate/free.scm 78 */
			{	/* Integrate/free.scm 81 */
				obj_t BgL_freez00_1602;

				{	/* Integrate/free.scm 81 */
					BgL_sfunz00_bglt BgL_oz00_2078;

					BgL_oz00_2078 =
						((BgL_sfunz00_bglt)
						(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_integratorz00_8)))->
							BgL_valuez00));
					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2450;

						{
							obj_t BgL_auxz00_2451;

							{	/* Integrate/free.scm 81 */
								BgL_objectz00_bglt BgL_tmpz00_2452;

								BgL_tmpz00_2452 = ((BgL_objectz00_bglt) BgL_oz00_2078);
								BgL_auxz00_2451 = BGL_OBJECT_WIDENING(BgL_tmpz00_2452);
							}
							BgL_auxz00_2450 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2451);
						}
						BgL_freez00_1602 =
							(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2450))->
							BgL_freez00);
					}
				}
				{	/* Integrate/free.scm 82 */
					bool_t BgL_test1902z00_2457;

					if (NULLP(BgL_freez00_1602))
						{	/* Integrate/free.scm 82 */
							BgL_test1902z00_2457 = ((bool_t) 1);
						}
					else
						{	/* Integrate/free.scm 82 */
							BgL_test1902z00_2457 = PAIRP(BgL_freez00_1602);
						}
					if (BgL_test1902z00_2457)
						{	/* Integrate/free.scm 82 */
							return BgL_freez00_1602;
						}
					else
						{	/* Integrate/free.scm 84 */
							obj_t BgL_freez00_1605;

							BgL_freez00_1605 =
								BGl_internalzd2getzd2freezd2varsz12zc0zzintegrate_freez00
								(BgL_nodez00_7, BgL_integratorz00_8);
							{	/* Integrate/free.scm 85 */
								BgL_valuez00_bglt BgL_arg1349z00_1606;

								BgL_arg1349z00_1606 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_integratorz00_8)))->
									BgL_valuez00);
								{
									BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2464;

									{
										obj_t BgL_auxz00_2465;

										{	/* Integrate/free.scm 85 */
											BgL_objectz00_bglt BgL_tmpz00_2466;

											BgL_tmpz00_2466 =
												((BgL_objectz00_bglt)
												((BgL_sfunz00_bglt) BgL_arg1349z00_1606));
											BgL_auxz00_2465 = BGL_OBJECT_WIDENING(BgL_tmpz00_2466);
										}
										BgL_auxz00_2464 =
											((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2465);
									}
									((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2464))->
											BgL_freez00) = ((obj_t) BgL_freez00_1605), BUNSPEC);
								}
							}
							return BgL_freez00_1605;
						}
				}
			}
		}

	}



/* &get-free-vars */
	obj_t BGl_z62getzd2freezd2varsz62zzintegrate_freez00(obj_t BgL_envz00_2193,
		obj_t BgL_nodez00_2194, obj_t BgL_integratorz00_2195)
	{
		{	/* Integrate/free.scm 78 */
			return
				BGl_getzd2freezd2varsz00zzintegrate_freez00(
				((BgL_nodez00_bglt) BgL_nodez00_2194),
				((BgL_localz00_bglt) BgL_integratorz00_2195));
		}

	}



/* internal-get-free-vars! */
	obj_t
		BGl_internalzd2getzd2freezd2varsz12zc0zzintegrate_freez00(BgL_nodez00_bglt
		BgL_nodez00_9, BgL_localz00_bglt BgL_integratorz00_10)
	{
		{	/* Integrate/free.scm 99 */
			BGl_za2roundza2z00zzintegrate_freez00 =
				(BGl_za2roundza2z00zzintegrate_freez00 + ((long) 1));
			BGl_za2integratorza2z00zzintegrate_freez00 =
				((obj_t) BgL_integratorz00_10);
			{	/* Integrate/free.scm 103 */
				obj_t BgL_g1253z00_1609;

				BgL_g1253z00_1609 =
					(((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt)
								(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_integratorz00_10)))->
									BgL_valuez00))))->BgL_argsz00);
				{
					obj_t BgL_l1251z00_1611;

					BgL_l1251z00_1611 = BgL_g1253z00_1609;
				BgL_zc3z04anonymousza31351ze3z87_1612:
					if (PAIRP(BgL_l1251z00_1611))
						{	/* Integrate/free.scm 104 */
							{	/* Integrate/free.scm 103 */
								obj_t BgL_lz00_1614;

								BgL_lz00_1614 = CAR(BgL_l1251z00_1611);
								BGl_bindzd2variablez12zc0zzintegrate_freez00(
									((BgL_localz00_bglt) BgL_lz00_1614), BgL_integratorz00_10);
							}
							{
								obj_t BgL_l1251z00_2486;

								BgL_l1251z00_2486 = CDR(BgL_l1251z00_1611);
								BgL_l1251z00_1611 = BgL_l1251z00_2486;
								goto BgL_zc3z04anonymousza31351ze3z87_1612;
							}
						}
					else
						{	/* Integrate/free.scm 104 */
							((bool_t) 1);
						}
				}
			}
			return BGl_nodezd2freezd2zzintegrate_freez00(BgL_nodez00_9, BNIL);
		}

	}



/* node-free* */
	obj_t BGl_nodezd2freeza2z70zzintegrate_freez00(obj_t BgL_nodeza2za2_53,
		obj_t BgL_freez00_54)
	{
		{	/* Integrate/free.scm 285 */
			{
				obj_t BgL_nodeza2za2_1619;
				obj_t BgL_freez00_1620;

				BgL_nodeza2za2_1619 = BgL_nodeza2za2_53;
				BgL_freez00_1620 = BgL_freez00_54;
			BgL_zc3z04anonymousza31355ze3z87_1621:
				if (NULLP(BgL_nodeza2za2_1619))
					{	/* Integrate/free.scm 288 */
						return BgL_freez00_1620;
					}
				else
					{	/* Integrate/free.scm 290 */
						obj_t BgL_arg1367z00_1623;
						obj_t BgL_arg1368z00_1624;

						BgL_arg1367z00_1623 = CDR(((obj_t) BgL_nodeza2za2_1619));
						{	/* Integrate/free.scm 291 */
							obj_t BgL_arg1369z00_1625;

							BgL_arg1369z00_1625 = CAR(((obj_t) BgL_nodeza2za2_1619));
							BgL_arg1368z00_1624 =
								BGl_nodezd2freezd2zzintegrate_freez00(
								((BgL_nodez00_bglt) BgL_arg1369z00_1625), BgL_freez00_1620);
						}
						{
							obj_t BgL_freez00_2498;
							obj_t BgL_nodeza2za2_2497;

							BgL_nodeza2za2_2497 = BgL_arg1367z00_1623;
							BgL_freez00_2498 = BgL_arg1368z00_1624;
							BgL_freez00_1620 = BgL_freez00_2498;
							BgL_nodeza2za2_1619 = BgL_nodeza2za2_2497;
							goto BgL_zc3z04anonymousza31355ze3z87_1621;
						}
					}
			}
		}

	}



/* free-from */
	BGL_EXPORTED_DEF obj_t BGl_freezd2fromzd2zzintegrate_freez00(obj_t
		BgL_setsz00_55, BgL_localz00_bglt BgL_integratorz00_56)
	{
		{	/* Integrate/free.scm 296 */
			BGl_za2roundza2z00zzintegrate_freez00 =
				(BGl_za2roundza2z00zzintegrate_freez00 + ((long) 1));
			{	/* Integrate/free.scm 299 */
				BgL_valuez00_bglt BgL_finfoz00_1627;

				BgL_finfoz00_1627 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_integratorz00_56)))->BgL_valuez00);
				{	/* Integrate/free.scm 306 */
					obj_t BgL_g1259z00_1628;

					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2502;

						{
							obj_t BgL_auxz00_2503;

							{	/* Integrate/free.scm 306 */
								BgL_objectz00_bglt BgL_tmpz00_2504;

								BgL_tmpz00_2504 =
									((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_finfoz00_1627));
								BgL_auxz00_2503 = BGL_OBJECT_WIDENING(BgL_tmpz00_2504);
							}
							BgL_auxz00_2502 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2503);
						}
						BgL_g1259z00_1628 =
							(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2502))->
							BgL_boundz00);
					}
					{
						obj_t BgL_l1257z00_1630;

						BgL_l1257z00_1630 = BgL_g1259z00_1628;
					BgL_zc3z04anonymousza31370ze3z87_1631:
						if (PAIRP(BgL_l1257z00_1630))
							{	/* Integrate/free.scm 306 */
								{	/* Integrate/free.scm 306 */
									obj_t BgL_arg1396z00_1633;

									BgL_arg1396z00_1633 = CAR(BgL_l1257z00_1630);
									BGl_markzd2variablez12zc0zzintegrate_freez00(
										((BgL_localz00_bglt) BgL_arg1396z00_1633));
								}
								{
									obj_t BgL_l1257z00_2515;

									BgL_l1257z00_2515 = CDR(BgL_l1257z00_1630);
									BgL_l1257z00_1630 = BgL_l1257z00_2515;
									goto BgL_zc3z04anonymousza31370ze3z87_1631;
								}
							}
						else
							{	/* Integrate/free.scm 306 */
								((bool_t) 1);
							}
					}
				}
			}
			if (NULLP(BgL_setsz00_55))
				{	/* Integrate/free.scm 308 */
					return BNIL;
				}
			else
				{	/* Integrate/free.scm 308 */
					obj_t BgL_head1262z00_1638;

					BgL_head1262z00_1638 = MAKE_YOUNG_PAIR(BNIL, BNIL);
					{
						obj_t BgL_l1260z00_1640;
						obj_t BgL_tail1263z00_1641;

						BgL_l1260z00_1640 = BgL_setsz00_55;
						BgL_tail1263z00_1641 = BgL_head1262z00_1638;
					BgL_zc3z04anonymousza31406ze3z87_1642:
						if (NULLP(BgL_l1260z00_1640))
							{	/* Integrate/free.scm 308 */
								return CDR(BgL_head1262z00_1638);
							}
						else
							{	/* Integrate/free.scm 308 */
								obj_t BgL_newtail1264z00_1644;

								{	/* Integrate/free.scm 308 */
									obj_t BgL_arg1435z00_1646;

									{	/* Integrate/free.scm 308 */
										obj_t BgL_setz00_1647;

										BgL_setz00_1647 = CAR(((obj_t) BgL_l1260z00_1640));
										{
											obj_t BgL_setz00_1650;
											obj_t BgL_resz00_1651;

											BgL_setz00_1650 = BgL_setz00_1647;
											BgL_resz00_1651 = BNIL;
										BgL_zc3z04anonymousza31436ze3z87_1652:
											if (NULLP(BgL_setz00_1650))
												{	/* Integrate/free.scm 312 */
													BgL_arg1435z00_1646 = BgL_resz00_1651;
												}
											else
												{	/* Integrate/free.scm 314 */
													bool_t BgL_test1910z00_2527;

													{	/* Integrate/free.scm 314 */
														obj_t BgL_arg1520z00_1660;

														BgL_arg1520z00_1660 =
															CAR(((obj_t) BgL_setz00_1650));
														BgL_test1910z00_2527 =
															CBOOL(BGl_freezd2variablezf3z21zzintegrate_freez00
															(BgL_arg1520z00_1660));
													}
													if (BgL_test1910z00_2527)
														{	/* Integrate/free.scm 315 */
															obj_t BgL_arg1451z00_1656;
															obj_t BgL_arg1484z00_1657;

															BgL_arg1451z00_1656 =
																CDR(((obj_t) BgL_setz00_1650));
															{	/* Integrate/free.scm 315 */
																obj_t BgL_arg1500z00_1658;

																BgL_arg1500z00_1658 =
																	CAR(((obj_t) BgL_setz00_1650));
																BgL_arg1484z00_1657 =
																	MAKE_YOUNG_PAIR(BgL_arg1500z00_1658,
																	BgL_resz00_1651);
															}
															{
																obj_t BgL_resz00_2538;
																obj_t BgL_setz00_2537;

																BgL_setz00_2537 = BgL_arg1451z00_1656;
																BgL_resz00_2538 = BgL_arg1484z00_1657;
																BgL_resz00_1651 = BgL_resz00_2538;
																BgL_setz00_1650 = BgL_setz00_2537;
																goto BgL_zc3z04anonymousza31436ze3z87_1652;
															}
														}
													else
														{	/* Integrate/free.scm 317 */
															obj_t BgL_arg1502z00_1659;

															BgL_arg1502z00_1659 =
																CDR(((obj_t) BgL_setz00_1650));
															{
																obj_t BgL_setz00_2541;

																BgL_setz00_2541 = BgL_arg1502z00_1659;
																BgL_setz00_1650 = BgL_setz00_2541;
																goto BgL_zc3z04anonymousza31436ze3z87_1652;
															}
														}
												}
										}
									}
									BgL_newtail1264z00_1644 =
										MAKE_YOUNG_PAIR(BgL_arg1435z00_1646, BNIL);
								}
								SET_CDR(BgL_tail1263z00_1641, BgL_newtail1264z00_1644);
								{	/* Integrate/free.scm 308 */
									obj_t BgL_arg1409z00_1645;

									BgL_arg1409z00_1645 = CDR(((obj_t) BgL_l1260z00_1640));
									{
										obj_t BgL_tail1263z00_2547;
										obj_t BgL_l1260z00_2546;

										BgL_l1260z00_2546 = BgL_arg1409z00_1645;
										BgL_tail1263z00_2547 = BgL_newtail1264z00_1644;
										BgL_tail1263z00_1641 = BgL_tail1263z00_2547;
										BgL_l1260z00_1640 = BgL_l1260z00_2546;
										goto BgL_zc3z04anonymousza31406ze3z87_1642;
									}
								}
							}
					}
				}
		}

	}



/* &free-from */
	obj_t BGl_z62freezd2fromzb0zzintegrate_freez00(obj_t BgL_envz00_2196,
		obj_t BgL_setsz00_2197, obj_t BgL_integratorz00_2198)
	{
		{	/* Integrate/free.scm 296 */
			return
				BGl_freezd2fromzd2zzintegrate_freez00(BgL_setsz00_2197,
				((BgL_localz00_bglt) BgL_integratorz00_2198));
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzintegrate_freez00()
	{
		{	/* Integrate/free.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzintegrate_freez00()
	{
		{	/* Integrate/free.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00,
				BGl_proc1840z00zzintegrate_freez00, BGl_nodez00zzast_nodez00,
				BGl_string1841z00zzintegrate_freez00);
		}

	}



/* &node-free1265 */
	obj_t BGl_z62nodezd2free1265zb0zzintegrate_freez00(obj_t BgL_envz00_2200,
		obj_t BgL_nodez00_2201, obj_t BgL_freez00_2202)
	{
		{	/* Integrate/free.scm 111 */
			return BgL_freez00_2202;
		}

	}



/* node-free */
	obj_t BGl_nodezd2freezd2zzintegrate_freez00(BgL_nodez00_bglt BgL_nodez00_11,
		obj_t BgL_freez00_12)
	{
		{	/* Integrate/free.scm 111 */
			{	/* Integrate/free.scm 111 */
				obj_t BgL_method1266z00_1668;

				{	/* Integrate/free.scm 111 */
					obj_t BgL_res1837z00_2134;

					{	/* Integrate/free.scm 111 */
						long BgL_objzd2classzd2numz00_2105;

						BgL_objzd2classzd2numz00_2105 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_11));
						{	/* Integrate/free.scm 111 */
							obj_t BgL_arg1791z00_2106;

							BgL_arg1791z00_2106 =
								PROCEDURE_REF(BGl_nodezd2freezd2envz00zzintegrate_freez00,
								(int) (((long) 1)));
							{	/* Integrate/free.scm 111 */
								int BgL_offsetz00_2109;

								BgL_offsetz00_2109 = (int) (BgL_objzd2classzd2numz00_2105);
								{	/* Integrate/free.scm 111 */
									long BgL_offsetz00_2110;

									BgL_offsetz00_2110 =
										((long) (BgL_offsetz00_2109) - OBJECT_TYPE);
									{	/* Integrate/free.scm 111 */
										long BgL_modz00_2111;

										BgL_modz00_2111 =
											(BgL_offsetz00_2110 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Integrate/free.scm 111 */
											long BgL_restz00_2113;

											BgL_restz00_2113 =
												(BgL_offsetz00_2110 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Integrate/free.scm 111 */

												{	/* Integrate/free.scm 111 */
													obj_t BgL_bucketz00_2115;

													BgL_bucketz00_2115 =
														VECTOR_REF(
														((obj_t) BgL_arg1791z00_2106), BgL_modz00_2111);
													BgL_res1837z00_2134 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2115), BgL_restz00_2113);
					}}}}}}}}
					BgL_method1266z00_1668 = BgL_res1837z00_2134;
				}
				return
					PROCEDURE_ENTRY(BgL_method1266z00_1668) (BgL_method1266z00_1668,
					((obj_t) BgL_nodez00_11), BgL_freez00_12, BEOA);
			}
		}

	}



/* &node-free */
	obj_t BGl_z62nodezd2freezb0zzintegrate_freez00(obj_t BgL_envz00_2203,
		obj_t BgL_nodez00_2204, obj_t BgL_freez00_2205)
	{
		{	/* Integrate/free.scm 111 */
			return
				BGl_nodezd2freezd2zzintegrate_freez00(
				((BgL_nodez00_bglt) BgL_nodez00_2204), BgL_freez00_2205);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzintegrate_freez00()
	{
		{	/* Integrate/free.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00, BGl_varz00zzast_nodez00,
				BGl_proc1842z00zzintegrate_freez00,
				BGl_string1843z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00,
				BGl_closurez00zzast_nodez00, BGl_proc1844z00zzintegrate_freez00,
				BGl_string1843z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00,
				BGl_sequencez00zzast_nodez00, BGl_proc1845z00zzintegrate_freez00,
				BGl_string1843z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00, BGl_syncz00zzast_nodez00,
				BGl_proc1846z00zzintegrate_freez00,
				BGl_string1843z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00, BGl_appz00zzast_nodez00,
				BGl_proc1847z00zzintegrate_freez00,
				BGl_string1843z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1848z00zzintegrate_freez00,
				BGl_string1843z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00,
				BGl_funcallz00zzast_nodez00, BGl_proc1849z00zzintegrate_freez00,
				BGl_string1843z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00,
				BGl_externz00zzast_nodez00, BGl_proc1850z00zzintegrate_freez00,
				BGl_string1843z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00, BGl_castz00zzast_nodez00,
				BGl_proc1851z00zzintegrate_freez00,
				BGl_string1843z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00, BGl_setqz00zzast_nodez00,
				BGl_proc1852z00zzintegrate_freez00,
				BGl_string1843z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1853z00zzintegrate_freez00,
				BGl_string1843z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00, BGl_failz00zzast_nodez00,
				BGl_proc1854z00zzintegrate_freez00,
				BGl_string1843z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00,
				BGl_switchz00zzast_nodez00, BGl_proc1855z00zzintegrate_freez00,
				BGl_string1843z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1856z00zzintegrate_freez00,
				BGl_string1843z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1857z00zzintegrate_freez00,
				BGl_string1843z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1858z00zzintegrate_freez00,
				BGl_string1843z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1859z00zzintegrate_freez00,
				BGl_string1843z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1860z00zzintegrate_freez00,
				BGl_string1843z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1861z00zzintegrate_freez00,
				BGl_string1843z00zzintegrate_freez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1862z00zzintegrate_freez00,
				BGl_string1843z00zzintegrate_freez00);
		}

	}



/* &node-free-box-set!1307 */
	obj_t BGl_z62nodezd2freezd2boxzd2setz121307za2zzintegrate_freez00(obj_t
		BgL_envz00_2226, obj_t BgL_nodez00_2227, obj_t BgL_freez00_2228)
	{
		{	/* Integrate/free.scm 278 */
			{	/* Integrate/free.scm 280 */
				BgL_varz00_bglt BgL_arg1702z00_2288;
				obj_t BgL_arg1704z00_2289;

				BgL_arg1702z00_2288 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2227)))->BgL_varz00);
				BgL_arg1704z00_2289 =
					BGl_nodezd2freezd2zzintegrate_freez00(
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2227)))->BgL_valuez00),
					BgL_freez00_2228);
				return BGl_nodezd2freezd2zzintegrate_freez00(((BgL_nodez00_bglt)
						BgL_arg1702z00_2288), BgL_arg1704z00_2289);
			}
		}

	}



/* &node-free-box-ref1305 */
	obj_t BGl_z62nodezd2freezd2boxzd2ref1305zb0zzintegrate_freez00(obj_t
		BgL_envz00_2229, obj_t BgL_nodez00_2230, obj_t BgL_freez00_2231)
	{
		{	/* Integrate/free.scm 271 */
			{	/* Integrate/free.scm 273 */
				BgL_varz00_bglt BgL_arg1699z00_2291;

				BgL_arg1699z00_2291 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_2230)))->BgL_varz00);
				return
					BGl_nodezd2freezd2zzintegrate_freez00(
					((BgL_nodez00_bglt) BgL_arg1699z00_2291), BgL_freez00_2231);
			}
		}

	}



/* &node-free-make-box1303 */
	obj_t BGl_z62nodezd2freezd2makezd2box1303zb0zzintegrate_freez00(obj_t
		BgL_envz00_2232, obj_t BgL_nodez00_2233, obj_t BgL_freez00_2234)
	{
		{	/* Integrate/free.scm 264 */
			return
				BGl_nodezd2freezd2zzintegrate_freez00(
				(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_2233)))->BgL_valuez00),
				BgL_freez00_2234);
		}

	}



/* &node-free-jump-ex-it1301 */
	obj_t BGl_z62nodezd2freezd2jumpzd2exzd2it1301z62zzintegrate_freez00(obj_t
		BgL_envz00_2235, obj_t BgL_nodez00_2236, obj_t BgL_freez00_2237)
	{
		{	/* Integrate/free.scm 257 */
			return
				BGl_nodezd2freezd2zzintegrate_freez00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2236)))->BgL_exitz00),
				BGl_nodezd2freezd2zzintegrate_freez00(
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2236)))->
						BgL_valuez00), BgL_freez00_2237));
		}

	}



/* &node-free-set-ex-it1299 */
	obj_t BGl_z62nodezd2freezd2setzd2exzd2it1299z62zzintegrate_freez00(obj_t
		BgL_envz00_2238, obj_t BgL_nodez00_2239, obj_t BgL_freez00_2240)
	{
		{	/* Integrate/free.scm 249 */
			{	/* Integrate/free.scm 251 */
				BgL_variablez00_bglt BgL_arg1685z00_2295;

				BgL_arg1685z00_2295 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_setzd2exzd2itz00_bglt) COBJECT(
										((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2239)))->
								BgL_varz00)))->BgL_variablez00);
				BGl_bindzd2variablez12zc0zzintegrate_freez00(((BgL_localz00_bglt)
						BgL_arg1685z00_2295),
					((BgL_localz00_bglt) BGl_za2integratorza2z00zzintegrate_freez00));
			}
			return
				BGl_nodezd2freezd2zzintegrate_freez00(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2239)))->BgL_bodyz00),
				BgL_freez00_2240);
		}

	}



/* &node-free-let-var1297 */
	obj_t BGl_z62nodezd2freezd2letzd2var1297zb0zzintegrate_freez00(obj_t
		BgL_envz00_2241, obj_t BgL_nodez00_2242, obj_t BgL_freez00_2243)
	{
		{	/* Integrate/free.scm 235 */
			{
				obj_t BgL_bindingsz00_2298;
				obj_t BgL_freez00_2299;

				BgL_bindingsz00_2298 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2242)))->BgL_bindingsz00);
				BgL_freez00_2299 = BgL_freez00_2243;
			BgL_loopz00_2297:
				if (NULLP(BgL_bindingsz00_2298))
					{	/* Integrate/free.scm 239 */
						return
							BGl_nodezd2freezd2zzintegrate_freez00(
							(((BgL_letzd2varzd2_bglt) COBJECT(
										((BgL_letzd2varzd2_bglt) BgL_nodez00_2242)))->BgL_bodyz00),
							BgL_freez00_2299);
					}
				else
					{	/* Integrate/free.scm 239 */
						{	/* Integrate/free.scm 242 */
							obj_t BgL_arg1672z00_2300;

							{	/* Integrate/free.scm 242 */
								obj_t BgL_pairz00_2301;

								BgL_pairz00_2301 = CAR(((obj_t) BgL_bindingsz00_2298));
								BgL_arg1672z00_2300 = CAR(BgL_pairz00_2301);
							}
							BGl_bindzd2variablez12zc0zzintegrate_freez00(
								((BgL_localz00_bglt) BgL_arg1672z00_2300),
								((BgL_localz00_bglt)
									BGl_za2integratorza2z00zzintegrate_freez00));
						}
						{	/* Integrate/free.scm 243 */
							obj_t BgL_arg1675z00_2302;
							obj_t BgL_arg1676z00_2303;

							BgL_arg1675z00_2302 = CDR(((obj_t) BgL_bindingsz00_2298));
							{	/* Integrate/free.scm 244 */
								obj_t BgL_arg1679z00_2304;

								{	/* Integrate/free.scm 244 */
									obj_t BgL_pairz00_2305;

									BgL_pairz00_2305 = CAR(((obj_t) BgL_bindingsz00_2298));
									BgL_arg1679z00_2304 = CDR(BgL_pairz00_2305);
								}
								BgL_arg1676z00_2303 =
									BGl_nodezd2freezd2zzintegrate_freez00(
									((BgL_nodez00_bglt) BgL_arg1679z00_2304), BgL_freez00_2299);
							}
							{
								obj_t BgL_freez00_2652;
								obj_t BgL_bindingsz00_2651;

								BgL_bindingsz00_2651 = BgL_arg1675z00_2302;
								BgL_freez00_2652 = BgL_arg1676z00_2303;
								BgL_freez00_2299 = BgL_freez00_2652;
								BgL_bindingsz00_2298 = BgL_bindingsz00_2651;
								goto BgL_loopz00_2297;
							}
						}
					}
			}
		}

	}



/* &node-free-let-fun1295 */
	obj_t BGl_z62nodezd2freezd2letzd2fun1295zb0zzintegrate_freez00(obj_t
		BgL_envz00_2244, obj_t BgL_nodez00_2245, obj_t BgL_freez00_2246)
	{
		{	/* Integrate/free.scm 218 */
			{	/* Integrate/free.scm 221 */
				obj_t BgL_g1120z00_2307;

				BgL_g1120z00_2307 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2245)))->BgL_localsz00);
				{
					obj_t BgL_localsz00_2309;
					obj_t BgL_freez00_2310;

					BgL_localsz00_2309 = BgL_g1120z00_2307;
					BgL_freez00_2310 = BgL_freez00_2246;
				BgL_liipz00_2308:
					if (NULLP(BgL_localsz00_2309))
						{	/* Integrate/free.scm 223 */
							return
								BGl_nodezd2freezd2zzintegrate_freez00(
								(((BgL_letzd2funzd2_bglt) COBJECT(
											((BgL_letzd2funzd2_bglt) BgL_nodez00_2245)))->
									BgL_bodyz00), BgL_freez00_2310);
						}
					else
						{	/* Integrate/free.scm 225 */
							obj_t BgL_localz00_2311;

							BgL_localz00_2311 = CAR(((obj_t) BgL_localsz00_2309));
							{	/* Integrate/free.scm 225 */
								BgL_valuez00_bglt BgL_funz00_2312;

								BgL_funz00_2312 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_localz00_bglt) BgL_localz00_2311))))->
									BgL_valuez00);
								{	/* Integrate/free.scm 226 */

									{	/* Integrate/free.scm 227 */
										obj_t BgL_g1256z00_2313;

										BgL_g1256z00_2313 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_funz00_2312)))->BgL_argsz00);
										{
											obj_t BgL_l1254z00_2315;

											BgL_l1254z00_2315 = BgL_g1256z00_2313;
										BgL_zc3z04anonymousza31647ze3z87_2314:
											if (PAIRP(BgL_l1254z00_2315))
												{	/* Integrate/free.scm 228 */
													{	/* Integrate/free.scm 227 */
														obj_t BgL_lz00_2316;

														BgL_lz00_2316 = CAR(BgL_l1254z00_2315);
														BGl_bindzd2variablez12zc0zzintegrate_freez00(
															((BgL_localz00_bglt) BgL_lz00_2316),
															((BgL_localz00_bglt)
																BGl_za2integratorza2z00zzintegrate_freez00));
													}
													{
														obj_t BgL_l1254z00_2675;

														BgL_l1254z00_2675 = CDR(BgL_l1254z00_2315);
														BgL_l1254z00_2315 = BgL_l1254z00_2675;
														goto BgL_zc3z04anonymousza31647ze3z87_2314;
													}
												}
											else
												{	/* Integrate/free.scm 228 */
													((bool_t) 1);
												}
										}
									}
									{	/* Integrate/free.scm 229 */
										obj_t BgL_arg1655z00_2317;
										obj_t BgL_arg1659z00_2318;

										BgL_arg1655z00_2317 = CDR(((obj_t) BgL_localsz00_2309));
										{	/* Integrate/free.scm 230 */
											obj_t BgL_arg1662z00_2319;

											BgL_arg1662z00_2319 =
												(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_funz00_2312)))->
												BgL_bodyz00);
											BgL_arg1659z00_2318 =
												BGl_nodezd2freezd2zzintegrate_freez00((
													(BgL_nodez00_bglt) BgL_arg1662z00_2319),
												BgL_freez00_2310);
										}
										{
											obj_t BgL_freez00_2684;
											obj_t BgL_localsz00_2683;

											BgL_localsz00_2683 = BgL_arg1655z00_2317;
											BgL_freez00_2684 = BgL_arg1659z00_2318;
											BgL_freez00_2310 = BgL_freez00_2684;
											BgL_localsz00_2309 = BgL_localsz00_2683;
											goto BgL_liipz00_2308;
										}
									}
								}
							}
						}
				}
			}
		}

	}



/* &node-free-switch1293 */
	obj_t BGl_z62nodezd2freezd2switch1293z62zzintegrate_freez00(obj_t
		BgL_envz00_2247, obj_t BgL_nodez00_2248, obj_t BgL_freez00_2249)
	{
		{	/* Integrate/free.scm 207 */
			{
				obj_t BgL_clausesz00_2322;
				obj_t BgL_freez00_2323;

				BgL_clausesz00_2322 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2248)))->BgL_clausesz00);
				BgL_freez00_2323 = BgL_freez00_2249;
			BgL_loopz00_2321:
				if (NULLP(BgL_clausesz00_2322))
					{	/* Integrate/free.scm 211 */
						return
							BGl_nodezd2freezd2zzintegrate_freez00(
							(((BgL_switchz00_bglt) COBJECT(
										((BgL_switchz00_bglt) BgL_nodez00_2248)))->BgL_testz00),
							BgL_freez00_2323);
					}
				else
					{	/* Integrate/free.scm 213 */
						obj_t BgL_arg1633z00_2324;
						obj_t BgL_arg1634z00_2325;

						BgL_arg1633z00_2324 = CDR(((obj_t) BgL_clausesz00_2322));
						{	/* Integrate/free.scm 213 */
							obj_t BgL_arg1638z00_2326;

							{	/* Integrate/free.scm 213 */
								obj_t BgL_pairz00_2327;

								BgL_pairz00_2327 = CAR(((obj_t) BgL_clausesz00_2322));
								BgL_arg1638z00_2326 = CDR(BgL_pairz00_2327);
							}
							BgL_arg1634z00_2325 =
								BGl_nodezd2freezd2zzintegrate_freez00(
								((BgL_nodez00_bglt) BgL_arg1638z00_2326), BgL_freez00_2323);
						}
						{
							obj_t BgL_freez00_2698;
							obj_t BgL_clausesz00_2697;

							BgL_clausesz00_2697 = BgL_arg1633z00_2324;
							BgL_freez00_2698 = BgL_arg1634z00_2325;
							BgL_freez00_2323 = BgL_freez00_2698;
							BgL_clausesz00_2322 = BgL_clausesz00_2697;
							goto BgL_loopz00_2321;
						}
					}
			}
		}

	}



/* &node-free-fail1291 */
	obj_t BGl_z62nodezd2freezd2fail1291z62zzintegrate_freez00(obj_t
		BgL_envz00_2250, obj_t BgL_nodez00_2251, obj_t BgL_freez00_2252)
	{
		{	/* Integrate/free.scm 200 */
			return
				BGl_nodezd2freezd2zzintegrate_freez00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2251)))->BgL_procz00),
				BGl_nodezd2freezd2zzintegrate_freez00(
					(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2251)))->BgL_msgz00),
					BGl_nodezd2freezd2zzintegrate_freez00(
						(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nodez00_2251)))->BgL_objz00),
						BgL_freez00_2252)));
		}

	}



/* &node-free-conditiona1289 */
	obj_t BGl_z62nodezd2freezd2conditiona1289z62zzintegrate_freez00(obj_t
		BgL_envz00_2253, obj_t BgL_nodez00_2254, obj_t BgL_freez00_2255)
	{
		{	/* Integrate/free.scm 193 */
			return
				BGl_nodezd2freezd2zzintegrate_freez00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2254)))->BgL_testz00),
				BGl_nodezd2freezd2zzintegrate_freez00(
					(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2254)))->BgL_truez00),
					BGl_nodezd2freezd2zzintegrate_freez00(
						(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_2254)))->BgL_falsez00),
						BgL_freez00_2255)));
		}

	}



/* &node-free-setq1287 */
	obj_t BGl_z62nodezd2freezd2setq1287z62zzintegrate_freez00(obj_t
		BgL_envz00_2256, obj_t BgL_nodez00_2257, obj_t BgL_freez00_2258)
	{
		{	/* Integrate/free.scm 186 */
			{	/* Integrate/free.scm 188 */
				BgL_varz00_bglt BgL_arg1580z00_2331;
				obj_t BgL_arg1582z00_2332;

				BgL_arg1580z00_2331 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_2257)))->BgL_varz00);
				BgL_arg1582z00_2332 =
					BGl_nodezd2freezd2zzintegrate_freez00(
					(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2257)))->BgL_valuez00),
					BgL_freez00_2258);
				return BGl_nodezd2freezd2zzintegrate_freez00(((BgL_nodez00_bglt)
						BgL_arg1580z00_2331), BgL_arg1582z00_2332);
			}
		}

	}



/* &node-free-cast1285 */
	obj_t BGl_z62nodezd2freezd2cast1285z62zzintegrate_freez00(obj_t
		BgL_envz00_2259, obj_t BgL_nodez00_2260, obj_t BgL_freez00_2261)
	{
		{	/* Integrate/free.scm 179 */
			return
				BGl_nodezd2freezd2zzintegrate_freez00(
				(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_2260)))->BgL_argz00),
				BgL_freez00_2261);
		}

	}



/* &node-free-extern1283 */
	obj_t BGl_z62nodezd2freezd2extern1283z62zzintegrate_freez00(obj_t
		BgL_envz00_2262, obj_t BgL_nodez00_2263, obj_t BgL_freez00_2264)
	{
		{	/* Integrate/free.scm 172 */
			return
				BGl_nodezd2freeza2z70zzintegrate_freez00(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_2263)))->BgL_exprza2za2),
				BgL_freez00_2264);
		}

	}



/* &node-free-funcall1281 */
	obj_t BGl_z62nodezd2freezd2funcall1281z62zzintegrate_freez00(obj_t
		BgL_envz00_2265, obj_t BgL_nodez00_2266, obj_t BgL_freez00_2267)
	{
		{	/* Integrate/free.scm 165 */
			return
				BGl_nodezd2freezd2zzintegrate_freez00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_2266)))->BgL_funz00),
				BGl_nodezd2freeza2z70zzintegrate_freez00(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2266)))->BgL_argsz00),
					BgL_freez00_2267));
		}

	}



/* &node-free-app-ly1279 */
	obj_t BGl_z62nodezd2freezd2appzd2ly1279zb0zzintegrate_freez00(obj_t
		BgL_envz00_2268, obj_t BgL_nodez00_2269, obj_t BgL_freez00_2270)
	{
		{	/* Integrate/free.scm 158 */
			return
				BGl_nodezd2freezd2zzintegrate_freez00(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_2269)))->BgL_funz00),
				BGl_nodezd2freezd2zzintegrate_freez00(
					(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2269)))->BgL_argz00),
					BgL_freez00_2270));
		}

	}



/* &node-free-app1277 */
	obj_t BGl_z62nodezd2freezd2app1277z62zzintegrate_freez00(obj_t
		BgL_envz00_2271, obj_t BgL_nodez00_2272, obj_t BgL_freez00_2273)
	{
		{	/* Integrate/free.scm 151 */
			return
				BGl_nodezd2freeza2z70zzintegrate_freez00(
				(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_2272)))->BgL_argsz00),
				BgL_freez00_2273);
		}

	}



/* &node-free-sync1275 */
	obj_t BGl_z62nodezd2freezd2sync1275z62zzintegrate_freez00(obj_t
		BgL_envz00_2274, obj_t BgL_nodez00_2275, obj_t BgL_freez00_2276)
	{
		{	/* Integrate/free.scm 144 */
			return
				BGl_nodezd2freezd2zzintegrate_freez00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2275)))->BgL_bodyz00),
				BGl_nodezd2freezd2zzintegrate_freez00(
					(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2275)))->BgL_prelockz00),
					BGl_nodezd2freezd2zzintegrate_freez00(
						(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nodez00_2275)))->BgL_mutexz00),
						BgL_freez00_2276)));
		}

	}



/* &node-free-sequence1273 */
	obj_t BGl_z62nodezd2freezd2sequence1273z62zzintegrate_freez00(obj_t
		BgL_envz00_2277, obj_t BgL_nodez00_2278, obj_t BgL_freez00_2279)
	{
		{	/* Integrate/free.scm 137 */
			return
				BGl_nodezd2freeza2z70zzintegrate_freez00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_2278)))->BgL_nodesz00),
				BgL_freez00_2279);
		}

	}



/* &node-free-closure1270 */
	obj_t BGl_z62nodezd2freezd2closure1270z62zzintegrate_freez00(obj_t
		BgL_envz00_2280, obj_t BgL_nodez00_2281, obj_t BgL_freez00_2282)
	{
		{	/* Integrate/free.scm 131 */
			{	/* Integrate/free.scm 132 */
				obj_t BgL_arg1543z00_2341;

				BgL_arg1543z00_2341 =
					BGl_shapez00zztools_shapez00(
					((obj_t) ((BgL_closurez00_bglt) BgL_nodez00_2281)));
				return
					BGl_internalzd2errorzd2zztools_errorz00
					(BGl_string1843z00zzintegrate_freez00,
					BGl_string1863z00zzintegrate_freez00, BgL_arg1543z00_2341);
			}
		}

	}



/* &node-free-var1268 */
	obj_t BGl_z62nodezd2freezd2var1268z62zzintegrate_freez00(obj_t
		BgL_envz00_2283, obj_t BgL_nodez00_2284, obj_t BgL_freez00_2285)
	{
		{	/* Integrate/free.scm 117 */
			{	/* Integrate/free.scm 120 */
				bool_t BgL_test1915z00_2763;

				{	/* Integrate/free.scm 120 */
					BgL_variablez00_bglt BgL_arg1542z00_2343;

					BgL_arg1542z00_2343 =
						(((BgL_varz00_bglt) COBJECT(
								((BgL_varz00_bglt) BgL_nodez00_2284)))->BgL_variablez00);
					BgL_test1915z00_2763 =
						BGl_isazf3zf3zz__objectz00(
						((obj_t) BgL_arg1542z00_2343), BGl_globalz00zzast_varz00);
				}
				if (BgL_test1915z00_2763)
					{	/* Integrate/free.scm 120 */
						return BgL_freez00_2285;
					}
				else
					{	/* Integrate/free.scm 122 */
						bool_t BgL_test1916z00_2768;

						{	/* Integrate/free.scm 122 */
							BgL_variablez00_bglt BgL_arg1540z00_2344;

							BgL_arg1540z00_2344 =
								(((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt) BgL_nodez00_2284)))->BgL_variablez00);
							BgL_test1916z00_2768 =
								CBOOL(BGl_freezd2variablezf3z21zzintegrate_freez00(
									((obj_t) BgL_arg1540z00_2344)));
						}
						if (BgL_test1916z00_2768)
							{	/* Integrate/free.scm 122 */
								{	/* Integrate/free.scm 123 */
									BgL_variablez00_bglt BgL_arg1532z00_2345;

									BgL_arg1532z00_2345 =
										(((BgL_varz00_bglt) COBJECT(
												((BgL_varz00_bglt) BgL_nodez00_2284)))->
										BgL_variablez00);
									BGl_markzd2variablez12zc0zzintegrate_freez00((
											(BgL_localz00_bglt) BgL_arg1532z00_2345));
								}
								{	/* Integrate/free.scm 124 */
									BgL_variablez00_bglt BgL_arg1533z00_2346;

									BgL_arg1533z00_2346 =
										(((BgL_varz00_bglt) COBJECT(
												((BgL_varz00_bglt) BgL_nodez00_2284)))->
										BgL_variablez00);
									return MAKE_YOUNG_PAIR(((obj_t) BgL_arg1533z00_2346),
										BgL_freez00_2285);
								}
							}
						else
							{	/* Integrate/free.scm 122 */
								return BgL_freez00_2285;
							}
					}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzintegrate_freez00()
	{
		{	/* Integrate/free.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1864z00zzintegrate_freez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1864z00zzintegrate_freez00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1864z00zzintegrate_freez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1864z00zzintegrate_freez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1864z00zzintegrate_freez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1864z00zzintegrate_freez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1864z00zzintegrate_freez00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string1864z00zzintegrate_freez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1864z00zzintegrate_freez00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 163122759),
				BSTRING_TO_STRING(BGl_string1864z00zzintegrate_freez00));
			BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(((long) 44601789),
				BSTRING_TO_STRING(BGl_string1864z00zzintegrate_freez00));
			BGl_modulezd2initializa7ationz75zzintegrate_infoz00(((long) 0),
				BSTRING_TO_STRING(BGl_string1864z00zzintegrate_freez00));
			BGl_modulezd2initializa7ationz75zzintegrate_nodez00(((long) 347237104),
				BSTRING_TO_STRING(BGl_string1864z00zzintegrate_freez00));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 311443803),
				BSTRING_TO_STRING(BGl_string1864z00zzintegrate_freez00));
		}

	}

#ifdef __cplusplus
}
#endif
