/*===========================================================================*/
/*   (Llib/i18n.scm)                                                         */
/*   Bigloo (4.4b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon 22 Mar 2021 06:58:31 PM CET     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4b/bin/bigloo -srfi enable-resolv -srfi enable-unistring -srfi enable-pcre -srfi enable-gmp -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4b/lib/bigloo/4.4b -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo-4.4b/lib/bigloo/4.4b -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Llib/i18n.scm -o objs/obj_p/Llib/i18n.o) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
static obj_t BGl_requirezd2initializa7ationz75zz__i18nz00 = BUNSPEC;
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__i18nz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t bgl_utf8_string_locale_capitalize(obj_t);
extern obj_t bgl_utf8_string_locale_upcase(obj_t);
static obj_t BGl_z62utf8zd2stringzd2localezd2downcasezb0zz__i18nz00(obj_t, obj_t);
static obj_t BGl_z62utf8zd2stringzd2localezd2upcasezb0zz__i18nz00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__i18nz00();
static obj_t BGl_importedzd2moduleszd2initz00zz__i18nz00();
static obj_t BGl_gczd2rootszd2initz00zz__i18nz00();
static obj_t BGl_objectzd2initzd2zz__i18nz00();
BGL_EXPORTED_DECL int BGl_utf8zd2stringzd2localezd2compare3zd2zz__i18nz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_utf8zd2stringzd2localezd2capitaliza7ez75zz__i18nz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_utf8zd2stringzd2localezd2upcasezd2zz__i18nz00(obj_t);
static obj_t BGl_methodzd2initzd2zz__i18nz00();
static obj_t BGl_profzd2initzd2zz__i18nz00();
BGL_EXPORTED_DECL obj_t BGl_utf8zd2stringzd2localezd2downcasezd2zz__i18nz00(obj_t);
static obj_t BGl_z62utf8zd2stringzd2localezd2capitaliza7ez17zz__i18nz00(obj_t, obj_t);
extern obj_t bgl_utf8_string_locale_downcase(obj_t);
static obj_t BGl_z62utf8zd2stringzd2localezd2compare3zb0zz__i18nz00(obj_t, obj_t, obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_utf8zd2stringzd2localezd2upcasezd2envz00zz__i18nz00, BgL_bgl_za762utf8za7d2string1544z00, BGl_z62utf8zd2stringzd2localezd2upcasezb0zz__i18nz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_utf8zd2stringzd2localezd2compare3zd2envz00zz__i18nz00, BgL_bgl_za762utf8za7d2string1545z00, BGl_z62utf8zd2stringzd2localezd2compare3zb0zz__i18nz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_utf8zd2stringzd2localezd2capitaliza7ezd2envza7zz__i18nz00, BgL_bgl_za762utf8za7d2string1546z00, BGl_z62utf8zd2stringzd2localezd2capitaliza7ez17zz__i18nz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1537z00zz__i18nz00, BgL_bgl_string1537za700za7za7_1547za7, "/builddir/build/BUILD/bigloo-4.4b/runtime/Llib/i18n.scm", 55 );
DEFINE_STRING( BGl_string1538z00zz__i18nz00, BgL_bgl_string1538za700za7za7_1548za7, "&utf8-string-locale-compare3", 28 );
DEFINE_STRING( BGl_string1539z00zz__i18nz00, BgL_bgl_string1539za700za7za7_1549za7, "bstring", 7 );
DEFINE_STRING( BGl_string1540z00zz__i18nz00, BgL_bgl_string1540za700za7za7_1550za7, "&utf8-string-locale-upcase", 26 );
DEFINE_STRING( BGl_string1541z00zz__i18nz00, BgL_bgl_string1541za700za7za7_1551za7, "&utf8-string-locale-downcase", 28 );
DEFINE_STRING( BGl_string1542z00zz__i18nz00, BgL_bgl_string1542za700za7za7_1552za7, "&utf8-string-locale-capitalize", 30 );
DEFINE_STRING( BGl_string1543z00zz__i18nz00, BgL_bgl_string1543za700za7za7_1553za7, "__i18n", 6 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_utf8zd2stringzd2localezd2downcasezd2envz00zz__i18nz00, BgL_bgl_za762utf8za7d2string1554z00, BGl_z62utf8zd2stringzd2localezd2downcasezb0zz__i18nz00, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__i18nz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__i18nz00\")\n", (FILE *)bprof_port );
      fputs( "((\"utf8-string-locale-compare3\" \"Llib/i18n.scm\" 2887) \"BGl_utf8zd2stringzd2localezd2compare3zd2zz__i18nz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&utf8-string-locale-compare3\" \"Llib/i18n.scm\" 2887) \"BGl_z62utf8zd2stringzd2localezd2compare3zb0zz__i18nz00\")\n", (FILE *)bprof_port );
      fputs( "((\"utf8-string-locale-upcase\" \"Llib/i18n.scm\" 3212) \"BGl_utf8zd2stringzd2localezd2upcasezd2zz__i18nz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&utf8-string-locale-upcase\" \"Llib/i18n.scm\" 3212) \"BGl_z62utf8zd2stringzd2localezd2upcasezb0zz__i18nz00\")\n", (FILE *)bprof_port );
      fputs( "((\"utf8-string-locale-downcase\" \"Llib/i18n.scm\" 3585) \"BGl_utf8zd2stringzd2localezd2downcasezd2zz__i18nz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&utf8-string-locale-downcase\" \"Llib/i18n.scm\" 3585) \"BGl_z62utf8zd2stringzd2localezd2downcasezb0zz__i18nz00\")\n", (FILE *)bprof_port );
      fputs( "((\"utf8-string-locale-capitalize\" \"Llib/i18n.scm\" 3964) \"BGl_utf8zd2stringzd2localezd2capitaliza7ez75zz__i18nz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&utf8-string-locale-capitalize\" \"Llib/i18n.scm\" 3964) \"BGl_z62utf8zd2stringzd2localezd2capitaliza7ez17zz__i18nz00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__i18nz00(long BgL_checksumz00_1665, char * BgL_fromz00_1666)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__i18nz00))
{ 
BGl_requirezd2initializa7ationz75zz__i18nz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__i18nz00(); 
BGl_importedzd2moduleszd2initz00zz__i18nz00(); 
return 
BGl_profzd2initzd2zz__i18nz00();}  else 
{ 
return BUNSPEC;} } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__i18nz00()
{
{ /* Llib/i18n.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* prof-init */
obj_t BGl_profzd2initzd2zz__i18nz00()
{
{ /* Llib/i18n.scm 15 */
return 
write_bprof_table();} 

}



/* utf8-string-locale-compare3 */
BGL_EXPORTED_DEF int BGl_utf8zd2stringzd2localezd2compare3zd2zz__i18nz00(obj_t BgL_leftz00_3, obj_t BgL_rightz00_4)
{
{ /* Llib/i18n.scm 77 */
return 
BGL_UTF8_STRING_LOCALE_COMPARE3(BgL_leftz00_3, BgL_rightz00_4);} 

}



/* &utf8-string-locale-compare3 */
obj_t BGl_z62utf8zd2stringzd2localezd2compare3zb0zz__i18nz00(obj_t BgL_envz00_1646, obj_t BgL_leftz00_1647, obj_t BgL_rightz00_1648)
{
{ /* Llib/i18n.scm 77 */
{ /* Llib/i18n.scm 78 */
int BgL_tmpz00_1676;
{ /* Llib/i18n.scm 78 */
obj_t BgL_auxz00_1684;obj_t BgL_auxz00_1677;
if(
STRINGP(BgL_rightz00_1648))
{ /* Llib/i18n.scm 78 */
BgL_auxz00_1684 = BgL_rightz00_1648
; }  else 
{ 
obj_t BgL_auxz00_1687;
BgL_auxz00_1687 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1537z00zz__i18nz00, 
BINT(((long)2946)), BGl_string1538z00zz__i18nz00, BGl_string1539z00zz__i18nz00, BgL_rightz00_1648); 
FAILURE(BgL_auxz00_1687,BFALSE,BFALSE);} 
if(
STRINGP(BgL_leftz00_1647))
{ /* Llib/i18n.scm 78 */
BgL_auxz00_1677 = BgL_leftz00_1647
; }  else 
{ 
obj_t BgL_auxz00_1680;
BgL_auxz00_1680 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1537z00zz__i18nz00, 
BINT(((long)2946)), BGl_string1538z00zz__i18nz00, BGl_string1539z00zz__i18nz00, BgL_leftz00_1647); 
FAILURE(BgL_auxz00_1680,BFALSE,BFALSE);} 
BgL_tmpz00_1676 = 
BGl_utf8zd2stringzd2localezd2compare3zd2zz__i18nz00(BgL_auxz00_1677, BgL_auxz00_1684); } 
return 
BINT(BgL_tmpz00_1676);} } 

}



/* utf8-string-locale-upcase */
BGL_EXPORTED_DEF obj_t BGl_utf8zd2stringzd2localezd2upcasezd2zz__i18nz00(obj_t BgL_strz00_5)
{
{ /* Llib/i18n.scm 83 */
return 
bgl_utf8_string_locale_upcase(BgL_strz00_5);} 

}



/* &utf8-string-locale-upcase */
obj_t BGl_z62utf8zd2stringzd2localezd2upcasezb0zz__i18nz00(obj_t BgL_envz00_1649, obj_t BgL_strz00_1650)
{
{ /* Llib/i18n.scm 83 */
{ /* Llib/i18n.scm 86 */
obj_t BgL_auxz00_1694;
if(
STRINGP(BgL_strz00_1650))
{ /* Llib/i18n.scm 86 */
BgL_auxz00_1694 = BgL_strz00_1650
; }  else 
{ 
obj_t BgL_auxz00_1697;
BgL_auxz00_1697 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1537z00zz__i18nz00, 
BINT(((long)3326)), BGl_string1540z00zz__i18nz00, BGl_string1539z00zz__i18nz00, BgL_strz00_1650); 
FAILURE(BgL_auxz00_1697,BFALSE,BFALSE);} 
return 
BGl_utf8zd2stringzd2localezd2upcasezd2zz__i18nz00(BgL_auxz00_1694);} } 

}



/* utf8-string-locale-downcase */
BGL_EXPORTED_DEF obj_t BGl_utf8zd2stringzd2localezd2downcasezd2zz__i18nz00(obj_t BgL_strz00_6)
{
{ /* Llib/i18n.scm 91 */
return 
bgl_utf8_string_locale_downcase(BgL_strz00_6);} 

}



/* &utf8-string-locale-downcase */
obj_t BGl_z62utf8zd2stringzd2localezd2downcasezb0zz__i18nz00(obj_t BgL_envz00_1651, obj_t BgL_strz00_1652)
{
{ /* Llib/i18n.scm 91 */
{ /* Llib/i18n.scm 94 */
obj_t BgL_auxz00_1703;
if(
STRINGP(BgL_strz00_1652))
{ /* Llib/i18n.scm 94 */
BgL_auxz00_1703 = BgL_strz00_1652
; }  else 
{ 
obj_t BgL_auxz00_1706;
BgL_auxz00_1706 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1537z00zz__i18nz00, 
BINT(((long)3703)), BGl_string1541z00zz__i18nz00, BGl_string1539z00zz__i18nz00, BgL_strz00_1652); 
FAILURE(BgL_auxz00_1706,BFALSE,BFALSE);} 
return 
BGl_utf8zd2stringzd2localezd2downcasezd2zz__i18nz00(BgL_auxz00_1703);} } 

}



/* utf8-string-locale-capitalize */
BGL_EXPORTED_DEF obj_t BGl_utf8zd2stringzd2localezd2capitaliza7ez75zz__i18nz00(obj_t BgL_strz00_7)
{
{ /* Llib/i18n.scm 99 */
return 
bgl_utf8_string_locale_capitalize(BgL_strz00_7);} 

}



/* &utf8-string-locale-capitalize */
obj_t BGl_z62utf8zd2stringzd2localezd2capitaliza7ez17zz__i18nz00(obj_t BgL_envz00_1653, obj_t BgL_strz00_1654)
{
{ /* Llib/i18n.scm 99 */
{ /* Llib/i18n.scm 102 */
obj_t BgL_auxz00_1712;
if(
STRINGP(BgL_strz00_1654))
{ /* Llib/i18n.scm 102 */
BgL_auxz00_1712 = BgL_strz00_1654
; }  else 
{ 
obj_t BgL_auxz00_1715;
BgL_auxz00_1715 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1537z00zz__i18nz00, 
BINT(((long)4086)), BGl_string1542z00zz__i18nz00, BGl_string1539z00zz__i18nz00, BgL_strz00_1654); 
FAILURE(BgL_auxz00_1715,BFALSE,BFALSE);} 
return 
BGl_utf8zd2stringzd2localezd2capitaliza7ez75zz__i18nz00(BgL_auxz00_1712);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__i18nz00()
{
{ /* Llib/i18n.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__i18nz00()
{
{ /* Llib/i18n.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__i18nz00()
{
{ /* Llib/i18n.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__i18nz00()
{
{ /* Llib/i18n.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)483454155), 
BSTRING_TO_STRING(BGl_string1543z00zz__i18nz00)); 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)453939141), 
BSTRING_TO_STRING(BGl_string1543z00zz__i18nz00)); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)340267792), 
BSTRING_TO_STRING(BGl_string1543z00zz__i18nz00)); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)479579181), 
BSTRING_TO_STRING(BGl_string1543z00zz__i18nz00)); 
return 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)224967693), 
BSTRING_TO_STRING(BGl_string1543z00zz__i18nz00));} 

}

#ifdef __cplusplus
}
#endif
