/*===========================================================================*/
/*   (Unsafe/sha1.scm)                                                       */
/*   Bigloo (4.4b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon 22 Mar 2021 06:58:31 PM CET     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4b/bin/bigloo -srfi enable-resolv -srfi enable-unistring -srfi enable-pcre -srfi enable-gmp -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4b/lib/bigloo/4.4b -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo-4.4b/lib/bigloo/4.4b -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Unsafe/sha1.scm -o objs/obj_p/Unsafe/sha1.o) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
static uint32_t BGl_fz00zz__sha1z00(int, uint32_t, uint32_t, uint32_t);
static obj_t BGl_z62sha1sumzd2filezb0zz__sha1z00(obj_t, obj_t);
static obj_t BGl_z62sha1sumzd2stringzb0zz__sha1z00(obj_t, obj_t);
static obj_t BGl_sha1z00zz__sha1z00(long, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__sha1z00 = BUNSPEC;
static obj_t BGl_z62sha1sumzd2portzb0zz__sha1z00(obj_t, obj_t);
static uint32_t BGl_u32stringzd2refzd2zz__sha1z00(obj_t, int);
BGL_EXPORTED_DECL obj_t BGl_sha1sumzd2filezd2zz__sha1z00(obj_t);
static uint32_t BGl_u32matrixzd2refzd2zz__sha1z00(obj_t, int, int);
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__sha1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__hmacz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sha1sumzd2mmapzb0zz__sha1z00(obj_t, obj_t);
extern obj_t BGl_openzd2mmapzd2zz__mmapz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sha1sumzd2portzd2zz__sha1z00(obj_t);
extern obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
static uint32_t BGl_rotl32z00zz__sha1z00(uint32_t, int);
static obj_t BGl_toplevelzd2initzd2zz__sha1z00();
static obj_t BGl_z62zc3z04anonymousza31470ze3ze5zz__sha1z00(obj_t);
extern obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long, long);
BGL_EXPORTED_DECL obj_t BGl_sha1sumzd2mmapzd2zz__sha1z00(obj_t);
extern obj_t BGl_ceilingz00zz__r4_numbers_6_5z00(obj_t);
extern bool_t rgc_buffer_eof_p(obj_t);
static obj_t BGl_z62zc3z04anonymousza31471ze3ze5zz__sha1z00(obj_t);
extern obj_t BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__sha1z00();
static obj_t BGl_importedzd2moduleszd2initz00zz__sha1z00();
static obj_t BGl_gczd2rootszd2initz00zz__sha1z00();
static obj_t BGl_z62hmaczd2sha1sumzd2stringz62zz__sha1z00(obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__sha1z00();
extern obj_t BGl_hmaczd2stringzd2zz__hmacz00(obj_t, obj_t, obj_t);
extern long bgl_rgc_blit_string(obj_t, char *, long, long);
extern obj_t BGl_2zf2zf2zz__r4_numbers_6_5z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sha1sumzd2stringzd2zz__sha1z00(obj_t);
extern obj_t BGl_makezd2u32vectorzd2zz__srfi4z00(long, uint32_t);
extern obj_t bgl_reverse_bang(obj_t);
static uint32_t BGl_u32mmapzd2refzd2zz__sha1z00(obj_t, long);
extern obj_t make_vector(long, obj_t);
static obj_t BGl_methodzd2initzd2zz__sha1z00();
extern obj_t BGl_exitdzd2popzd2protectz12z12zz__bexitz00(obj_t);
extern obj_t blit_string(obj_t, long, obj_t, long, long);
static obj_t BGl_profzd2initzd2zz__sha1z00();
static obj_t BGl_u32zd2fillz12zc0zz__sha1z00(obj_t, long, uint32_t);
BGL_EXPORTED_DECL obj_t BGl_sha1sumz00zz__sha1z00(obj_t);
extern obj_t make_string(long, unsigned char);
static obj_t BGl_z62sha1sumz62zz__sha1z00(obj_t, obj_t);
extern obj_t bgl_close_input_port(obj_t);
BGL_EXPORTED_DECL obj_t BGl_hmaczd2sha1sumzd2stringz00zz__sha1z00(obj_t, obj_t);
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_Kz00zz__sha1z00 = BUNSPEC;
extern obj_t BGl_stringzd2fillz12zc0zz__r4_strings_6_7z00(obj_t, unsigned char);
static obj_t BGl_u160zd2ze3stringz31zz__sha1z00(uint32_t, uint32_t, uint32_t, uint32_t, uint32_t);
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_sha1sumzd2portzd2envz00zz__sha1z00, BgL_bgl_za762sha1sumza7d2por1855z00, BGl_z62sha1sumzd2portzb0zz__sha1z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sha1sumzd2envzd2zz__sha1z00, BgL_bgl_za762sha1sumza762za7za7_1856z00, BGl_z62sha1sumz62zz__sha1z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sha1sumzd2mmapzd2envz00zz__sha1z00, BgL_bgl_za762sha1sumza7d2mma1857z00, BGl_z62sha1sumzd2mmapzb0zz__sha1z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_hmaczd2sha1sumzd2stringzd2envzd2zz__sha1z00, BgL_bgl_za762hmacza7d2sha1su1858z00, BGl_z62hmaczd2sha1sumzd2stringz62zz__sha1z00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sha1sumzd2filezd2envz00zz__sha1z00, BgL_bgl_za762sha1sumza7d2fil1859z00, BGl_z62sha1sumzd2filezb0zz__sha1z00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1843z00zz__sha1z00, BgL_bgl_string1843za700za7za7_1860za7, "/builddir/build/BUILD/bigloo-4.4b/runtime/Unsafe/sha1.scm", 57 );
DEFINE_STRING( BGl_string1844z00zz__sha1z00, BgL_bgl_string1844za700za7za7_1861za7, "&sha1sum-string", 15 );
DEFINE_STRING( BGl_string1845z00zz__sha1z00, BgL_bgl_string1845za700za7za7_1862za7, "bstring", 7 );
DEFINE_STRING( BGl_string1846z00zz__sha1z00, BgL_bgl_string1846za700za7za7_1863za7, "&sha1sum-mmap", 13 );
DEFINE_STRING( BGl_string1847z00zz__sha1z00, BgL_bgl_string1847za700za7za7_1864za7, "mmap", 4 );
DEFINE_STRING( BGl_string1848z00zz__sha1z00, BgL_bgl_string1848za700za7za7_1865za7, "&sha1sum-port", 13 );
DEFINE_STRING( BGl_string1849z00zz__sha1z00, BgL_bgl_string1849za700za7za7_1866za7, "input-port", 10 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sha1sumzd2stringzd2envz00zz__sha1z00, BgL_bgl_za762sha1sumza7d2str1867z00, BGl_z62sha1sumzd2stringzb0zz__sha1z00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1850z00zz__sha1z00, BgL_bgl_string1850za700za7za7_1868za7, "&sha1sum-file", 13 );
DEFINE_STRING( BGl_string1851z00zz__sha1z00, BgL_bgl_string1851za700za7za7_1869za7, "sha1sum", 7 );
DEFINE_STRING( BGl_string1852z00zz__sha1z00, BgL_bgl_string1852za700za7za7_1870za7, "Illegal argument", 16 );
DEFINE_STRING( BGl_string1853z00zz__sha1z00, BgL_bgl_string1853za700za7za7_1871za7, "&hmac-sha1sum-string", 20 );
DEFINE_STRING( BGl_string1854z00zz__sha1z00, BgL_bgl_string1854za700za7za7_1872za7, "__sha1", 6 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__sha1z00) );
ADD_ROOT( (void *)(&BGl_Kz00zz__sha1z00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"toplevel-init\" \"Unsafe/sha1.scm\" 1111) \"BGl_toplevelzd2initzd2zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"rotl32\" \"Unsafe/sha1.scm\" 3860) \"BGl_rotl32z00zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"u32-fill!\" \"Unsafe/sha1.scm\" 4185) \"BGl_u32zd2fillz12zc0zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"u160->string\" \"Unsafe/sha1.scm\" 4718) \"BGl_u160zd2ze3stringz31zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"u32string-ref\" \"Unsafe/sha1.scm\" 5656) \"BGl_u32stringzd2refzd2zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"u32mmap-ref\" \"Unsafe/sha1.scm\" 6085) \"BGl_u32mmapzd2refzd2zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"u32matrix-ref\" \"Unsafe/sha1.scm\" 6507) \"BGl_u32matrixzd2refzd2zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"f\" \"Unsafe/sha1.scm\" 6825) \"BGl_fz00zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sha1\" \"Unsafe/sha1.scm\" 7350) \"BGl_sha1z00zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sha1sum-string\" \"Unsafe/sha1.scm\" 10005) \"BGl_sha1sumzd2stringzd2zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&sha1sum-string\" \"Unsafe/sha1.scm\" 10005) \"BGl_z62sha1sumzd2stringzb0zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sha1sum-mmap\" \"Unsafe/sha1.scm\" 10942) \"BGl_sha1sumzd2mmapzd2zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&sha1sum-mmap\" \"Unsafe/sha1.scm\" 10942) \"BGl_z62sha1sumzd2mmapzb0zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sha1sum-port\" \"Unsafe/sha1.scm\" 11872) \"BGl_sha1sumzd2portzd2zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&sha1sum-port\" \"Unsafe/sha1.scm\" 11872) \"BGl_z62sha1sumzd2portzb0zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sha1sum-file\" \"Unsafe/sha1.scm\" 13230) \"BGl_sha1sumzd2filezd2zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&sha1sum-file\" \"Unsafe/sha1.scm\" 13230) \"BGl_z62sha1sumzd2filezb0zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1470>\" \"Unsafe/sha1.scm\" 13326) \"BGl_z62zc3z04anonymousza31470ze3ze5zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1471>\" \"Unsafe/sha1.scm\" 13433) \"BGl_z62zc3z04anonymousza31471ze3ze5zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sha1sum\" \"Unsafe/sha1.scm\" 13719) \"BGl_sha1sumz00zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&sha1sum\" \"Unsafe/sha1.scm\" 13719) \"BGl_z62sha1sumz62zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"hmac-sha1sum-string\" \"Unsafe/sha1.scm\" 14184) \"BGl_hmaczd2sha1sumzd2stringz00zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&hmac-sha1sum-string\" \"Unsafe/sha1.scm\" 14184) \"BGl_z62hmaczd2sha1sumzd2stringz62zz__sha1z00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__sha1z00(long BgL_checksumz00_2632, char * BgL_fromz00_2633)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__sha1z00))
{ 
BGl_requirezd2initializa7ationz75zz__sha1z00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__sha1z00(); 
BGl_importedzd2moduleszd2initz00zz__sha1z00(); 
BGl_toplevelzd2initzd2zz__sha1z00(); 
return 
BGl_profzd2initzd2zz__sha1z00();}  else 
{ 
return BUNSPEC;} } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__sha1z00()
{
{ /* Unsafe/sha1.scm 17 */
return 
bgl_gc_roots_register();} 

}



/* prof-init */
obj_t BGl_profzd2initzd2zz__sha1z00()
{
{ /* Unsafe/sha1.scm 17 */
return 
write_bprof_table();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__sha1z00()
{
{ /* Unsafe/sha1.scm 17 */
{ /* Unsafe/sha1.scm 129 */
obj_t BgL_vz00_1247;
{ /* Llib/srfi4.scm 451 */

BgL_vz00_1247 = 
BGl_makezd2u32vectorzd2zz__srfi4z00(((long)4), (uint32_t)(0)); } 
{ /* Unsafe/sha1.scm 130 */
uint32_t BgL_arg1221z00_1248;
{ /* Unsafe/sha1.scm 130 */
uint32_t BgL_arg1222z00_1249;uint32_t BgL_arg1227z00_1250;
{ /* Unsafe/sha1.scm 130 */
uint32_t BgL_arg1229z00_1251;
BgL_arg1229z00_1251 = 
(uint32_t)(((long)23170)); 
BgL_arg1222z00_1249 = 
(BgL_arg1229z00_1251 << 
(int)(((long)16))); } 
BgL_arg1227z00_1250 = 
(uint32_t)(((long)31129)); 
BgL_arg1221z00_1248 = 
(BgL_arg1222z00_1249 | BgL_arg1227z00_1250); } 
BGL_U32VSET(BgL_vz00_1247, ((long)0), BgL_arg1221z00_1248); BUNSPEC; } 
{ /* Unsafe/sha1.scm 131 */
uint32_t BgL_arg1230z00_1252;
{ /* Unsafe/sha1.scm 131 */
uint32_t BgL_arg1233z00_1253;uint32_t BgL_arg1235z00_1254;
{ /* Unsafe/sha1.scm 131 */
uint32_t BgL_arg1236z00_1255;
BgL_arg1236z00_1255 = 
(uint32_t)(((long)28377)); 
BgL_arg1233z00_1253 = 
(BgL_arg1236z00_1255 << 
(int)(((long)16))); } 
BgL_arg1235z00_1254 = 
(uint32_t)(((long)60321)); 
BgL_arg1230z00_1252 = 
(BgL_arg1233z00_1253 | BgL_arg1235z00_1254); } 
BGL_U32VSET(BgL_vz00_1247, ((long)1), BgL_arg1230z00_1252); BUNSPEC; } 
{ /* Unsafe/sha1.scm 132 */
uint32_t BgL_arg1237z00_1256;
{ /* Unsafe/sha1.scm 132 */
uint32_t BgL_arg1238z00_1257;uint32_t BgL_arg1239z00_1258;
{ /* Unsafe/sha1.scm 132 */
uint32_t BgL_arg1240z00_1259;
BgL_arg1240z00_1259 = 
(uint32_t)(((long)36635)); 
BgL_arg1238z00_1257 = 
(BgL_arg1240z00_1259 << 
(int)(((long)16))); } 
BgL_arg1239z00_1258 = 
(uint32_t)(((long)48348)); 
BgL_arg1237z00_1256 = 
(BgL_arg1238z00_1257 | BgL_arg1239z00_1258); } 
BGL_U32VSET(BgL_vz00_1247, ((long)2), BgL_arg1237z00_1256); BUNSPEC; } 
{ /* Unsafe/sha1.scm 133 */
uint32_t BgL_arg1241z00_1260;
{ /* Unsafe/sha1.scm 133 */
uint32_t BgL_arg1242z00_1261;uint32_t BgL_arg1244z00_1262;
{ /* Unsafe/sha1.scm 133 */
uint32_t BgL_arg1245z00_1263;
BgL_arg1245z00_1263 = 
(uint32_t)(((long)51810)); 
BgL_arg1242z00_1261 = 
(BgL_arg1245z00_1263 << 
(int)(((long)16))); } 
BgL_arg1244z00_1262 = 
(uint32_t)(((long)49622)); 
BgL_arg1241z00_1260 = 
(BgL_arg1242z00_1261 | BgL_arg1244z00_1262); } 
BGL_U32VSET(BgL_vz00_1247, ((long)3), BgL_arg1241z00_1260); BUNSPEC; } 
return ( 
BGl_Kz00zz__sha1z00 = BgL_vz00_1247, BUNSPEC) ;} } 

}



/* rotl32 */
uint32_t BGl_rotl32z00zz__sha1z00(uint32_t BgL_xz00_3, int BgL_nz00_4)
{
{ /* Unsafe/sha1.scm 99 */
return 
(
(BgL_xz00_3 << 
(int)(
(long)(BgL_nz00_4))) | 
(BgL_xz00_3 >> 
(int)(
(((long)32)-
(long)(BgL_nz00_4)))));} 

}



/* u32-fill! */
obj_t BGl_u32zd2fillz12zc0zz__sha1z00(obj_t BgL_strz00_5, long BgL_offsetz00_6, uint32_t BgL_wz00_7)
{
{ /* Unsafe/sha1.scm 105 */
{ /* Unsafe/sha1.scm 106 */
obj_t BgL_s1z00_1277;
{ /* Unsafe/sha1.scm 106 */
long BgL_arg1273z00_1288;
{ /* Unsafe/sha1.scm 106 */
uint32_t BgL_tmpz00_2676;
BgL_tmpz00_2676 = 
(BgL_wz00_7 >> 
(int)(((long)16))); 
BgL_arg1273z00_1288 = 
(long)(BgL_tmpz00_2676); } 
BgL_s1z00_1277 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(BgL_arg1273z00_1288, ((long)16)); } 
{ /* Unsafe/sha1.scm 106 */
long BgL_l1z00_1278;
BgL_l1z00_1278 = 
STRING_LENGTH(BgL_s1z00_1277); 
{ /* Unsafe/sha1.scm 107 */
obj_t BgL_s2z00_1279;
{ /* Unsafe/sha1.scm 108 */
long BgL_arg1266z00_1286;
{ /* Unsafe/sha1.scm 108 */
uint32_t BgL_tmpz00_2682;
BgL_tmpz00_2682 = 
(BgL_wz00_7 & (uint32_t)(65535)); 
BgL_arg1266z00_1286 = 
(long)(BgL_tmpz00_2682); } 
BgL_s2z00_1279 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(BgL_arg1266z00_1286, ((long)16)); } 
{ /* Unsafe/sha1.scm 108 */
long BgL_l2z00_1280;
BgL_l2z00_1280 = 
STRING_LENGTH(BgL_s2z00_1279); 
{ /* Unsafe/sha1.scm 109 */

blit_string(BgL_s1z00_1277, ((long)0), BgL_strz00_5, 
(BgL_offsetz00_6+
(((long)4)-BgL_l1z00_1278)), BgL_l1z00_1278); 
return 
blit_string(BgL_s2z00_1279, ((long)0), BgL_strz00_5, 
(BgL_offsetz00_6+
(((long)4)+
(((long)4)-BgL_l2z00_1280))), BgL_l2z00_1280);} } } } } } 

}



/* u160->string */
obj_t BGl_u160zd2ze3stringz31zz__sha1z00(uint32_t BgL_w0z00_8, uint32_t BgL_w1z00_9, uint32_t BgL_w2z00_10, uint32_t BgL_w3z00_11, uint32_t BgL_w4z00_12)
{
{ /* Unsafe/sha1.scm 116 */
{ /* Unsafe/sha1.scm 117 */
obj_t BgL_rz00_1290;
BgL_rz00_1290 = 
make_string(((long)40), ((unsigned char)'0')); 
BGl_u32zd2fillz12zc0zz__sha1z00(BgL_rz00_1290, ((long)0), BgL_w0z00_8); 
BGl_u32zd2fillz12zc0zz__sha1z00(BgL_rz00_1290, ((long)8), BgL_w1z00_9); 
BGl_u32zd2fillz12zc0zz__sha1z00(BgL_rz00_1290, ((long)16), BgL_w2z00_10); 
BGl_u32zd2fillz12zc0zz__sha1z00(BgL_rz00_1290, ((long)24), BgL_w3z00_11); 
BGl_u32zd2fillz12zc0zz__sha1z00(BgL_rz00_1290, ((long)32), BgL_w4z00_12); 
return BgL_rz00_1290;} } 

}



/* u32string-ref */
uint32_t BGl_u32stringzd2refzd2zz__sha1z00(obj_t BgL_sz00_13, int BgL_iz00_14)
{
{ /* Unsafe/sha1.scm 139 */
{ /* Unsafe/sha1.scm 140 */
long BgL_lenz00_1291;
BgL_lenz00_1291 = 
STRING_LENGTH(BgL_sz00_13); 
if(
(
(long)(BgL_iz00_14)<BgL_lenz00_1291))
{ /* Unsafe/sha1.scm 142 */
long BgL_tmpz00_2704;
BgL_tmpz00_2704 = 
(
STRING_REF(BgL_sz00_13, 
(long)(BgL_iz00_14))); 
return 
(uint32_t)(BgL_tmpz00_2704);}  else 
{ /* Unsafe/sha1.scm 142 */
if(
(
(long)(BgL_iz00_14)==BgL_lenz00_1291))
{ /* Unsafe/sha1.scm 143 */
return (uint32_t)(128);}  else 
{ /* Unsafe/sha1.scm 143 */
return (uint32_t)(0);} } } } 

}



/* u32mmap-ref */
uint32_t BGl_u32mmapzd2refzd2zz__sha1z00(obj_t BgL_sz00_15, long BgL_iz00_16)
{
{ /* Unsafe/sha1.scm 149 */
{ /* Unsafe/sha1.scm 150 */
long BgL_lenz00_1296;
BgL_lenz00_1296 = 
BGL_MMAP_LENGTH(BgL_sz00_15); 
{ /* Unsafe/sha1.scm 152 */
bool_t BgL_test1876z00_2713;
{ /* Unsafe/sha1.scm 152 */
long BgL_n1z00_2084;long BgL_n2z00_2085;
BgL_n1z00_2084 = 
(long)(BgL_iz00_16); 
BgL_n2z00_2085 = 
(long)(BgL_lenz00_1296); 
BgL_test1876z00_2713 = 
(BgL_n1z00_2084<BgL_n2z00_2085); } 
if(BgL_test1876z00_2713)
{ /* Unsafe/sha1.scm 152 */
long BgL_arg1282z00_1298;
{ /* Unsafe/sha1.scm 152 */
unsigned char BgL_arg1284z00_1299;
{ /* Unsafe/sha1.scm 152 */
unsigned char BgL_res1822z00_2094;
{ /* Unsafe/sha1.scm 152 */
unsigned char BgL_cz00_2088;
BgL_cz00_2088 = 
BGL_MMAP_REF(BgL_sz00_15, BgL_iz00_16); 
{ /* Unsafe/sha1.scm 152 */
long BgL_arg1504z00_2089;
BgL_arg1504z00_2089 = 
(BgL_iz00_16+((long)1)); 
BGL_MMAP_RP_SET(BgL_sz00_15, BgL_arg1504z00_2089); BUNSPEC; BgL_arg1504z00_2089; } 
BgL_res1822z00_2094 = BgL_cz00_2088; } 
BgL_arg1284z00_1299 = BgL_res1822z00_2094; } 
BgL_arg1282z00_1298 = 
(BgL_arg1284z00_1299); } 
return 
(uint32_t)(BgL_arg1282z00_1298);}  else 
{ /* Unsafe/sha1.scm 153 */
bool_t BgL_test1877z00_2722;
{ /* Unsafe/sha1.scm 153 */
long BgL_n1z00_2097;long BgL_n2z00_2098;
BgL_n1z00_2097 = 
(long)(BgL_iz00_16); 
BgL_n2z00_2098 = 
(long)(BgL_lenz00_1296); 
BgL_test1877z00_2722 = 
(BgL_n1z00_2097==BgL_n2z00_2098); } 
if(BgL_test1877z00_2722)
{ /* Unsafe/sha1.scm 153 */
return (uint32_t)(128);}  else 
{ /* Unsafe/sha1.scm 153 */
return (uint32_t)(0);} } } } } 

}



/* u32matrix-ref */
uint32_t BGl_u32matrixzd2refzd2zz__sha1z00(obj_t BgL_mz00_17, int BgL_iz00_18, int BgL_jz00_19)
{
{ /* Unsafe/sha1.scm 159 */
{ /* Unsafe/sha1.scm 160 */
long BgL_auxz00_2729;obj_t BgL_tmpz00_2726;
BgL_auxz00_2729 = 
(long)(BgL_jz00_19); 
BgL_tmpz00_2726 = 
VECTOR_REF(BgL_mz00_17,
(long)(BgL_iz00_18)); 
return 
BGL_U32VREF(BgL_tmpz00_2726, BgL_auxz00_2729);} } 

}



/* f */
uint32_t BGl_fz00zz__sha1z00(int BgL_sz00_20, uint32_t BgL_xz00_21, uint32_t BgL_yz00_22, uint32_t BgL_za7za7_23)
{
{ /* Unsafe/sha1.scm 165 */
{ 

switch( 
(long)(BgL_sz00_20)) { case ((long)0) : 

return 
(
(BgL_xz00_21 & BgL_yz00_22) ^ 
(
~(BgL_xz00_21) & BgL_za7za7_23));break;case ((long)1) : 
case ((long)3) : 

return 
(BgL_xz00_21 ^ 
(BgL_yz00_22 ^ BgL_za7za7_23));break;
default: 
return 
(
(
(BgL_xz00_21 & BgL_yz00_22) ^ 
(BgL_xz00_21 & BgL_za7za7_23)) ^ 
(BgL_yz00_22 & BgL_za7za7_23));} } } 

}



/* sha1 */
obj_t BGl_sha1z00zz__sha1z00(long BgL_lenz00_24, obj_t BgL_mz00_25)
{
{ /* Unsafe/sha1.scm 178 */
{ /* Unsafe/sha1.scm 180 */
obj_t BgL_wz00_1313;
BgL_wz00_1313 = 
BGl_makezd2u32vectorzd2zz__srfi4z00(((long)80), 
(uint32_t)(((long)0))); 
{ /* Unsafe/sha1.scm 184 */
obj_t BgL_vecz00_1315;
{ /* Unsafe/sha1.scm 184 */
long BgL_arg1305z00_1318;
BgL_arg1305z00_1318 = 
(
VECTOR_LENGTH(BgL_mz00_25)-((long)1)); 
BgL_vecz00_1315 = 
VECTOR_REF(BgL_mz00_25,BgL_arg1305z00_1318); } 
{ /* Unsafe/sha1.scm 185 */
long BgL_v15z00_1317;
BgL_v15z00_1317 = 
(BgL_lenz00_24*((long)8)); 
{ /* Unsafe/sha1.scm 186 */

{ /* Unsafe/sha1.scm 187 */
uint32_t BgL_tmpz00_2751;
BgL_tmpz00_2751 = 
(uint32_t)(((long)0)); 
BGL_U32VSET(BgL_vecz00_1315, ((long)14), BgL_tmpz00_2751); } BUNSPEC; 
{ /* Unsafe/sha1.scm 188 */
uint32_t BgL_tmpz00_2754;
BgL_tmpz00_2754 = 
(uint32_t)(BgL_v15z00_1317); 
BGL_U32VSET(BgL_vecz00_1315, ((long)15), BgL_tmpz00_2754); } BUNSPEC; } } } 
{ /* Unsafe/sha1.scm 191 */
uint32_t BgL_h0z00_1319;
{ /* Unsafe/sha1.scm 191 */
uint32_t BgL_arg1379z00_1420;uint32_t BgL_arg1380z00_1421;
{ /* Unsafe/sha1.scm 191 */
uint32_t BgL_arg1381z00_1422;
BgL_arg1381z00_1422 = 
(uint32_t)(((long)26437)); 
BgL_arg1379z00_1420 = 
(BgL_arg1381z00_1422 << 
(int)(((long)16))); } 
BgL_arg1380z00_1421 = 
(uint32_t)(((long)8961)); 
BgL_h0z00_1319 = 
(BgL_arg1379z00_1420 | BgL_arg1380z00_1421); } 
{ /* Unsafe/sha1.scm 191 */
uint32_t BgL_h1z00_1320;
{ /* Unsafe/sha1.scm 192 */
uint32_t BgL_arg1376z00_1417;uint32_t BgL_arg1377z00_1418;
{ /* Unsafe/sha1.scm 192 */
uint32_t BgL_arg1378z00_1419;
BgL_arg1378z00_1419 = 
(uint32_t)(((long)61389)); 
BgL_arg1376z00_1417 = 
(BgL_arg1378z00_1419 << 
(int)(((long)16))); } 
BgL_arg1377z00_1418 = 
(uint32_t)(((long)43913)); 
BgL_h1z00_1320 = 
(BgL_arg1376z00_1417 | BgL_arg1377z00_1418); } 
{ /* Unsafe/sha1.scm 192 */
uint32_t BgL_h2z00_1321;
{ /* Unsafe/sha1.scm 193 */
uint32_t BgL_arg1373z00_1414;uint32_t BgL_arg1374z00_1415;
{ /* Unsafe/sha1.scm 193 */
uint32_t BgL_arg1375z00_1416;
BgL_arg1375z00_1416 = 
(uint32_t)(((long)39098)); 
BgL_arg1373z00_1414 = 
(BgL_arg1375z00_1416 << 
(int)(((long)16))); } 
BgL_arg1374z00_1415 = 
(uint32_t)(((long)56574)); 
BgL_h2z00_1321 = 
(BgL_arg1373z00_1414 | BgL_arg1374z00_1415); } 
{ /* Unsafe/sha1.scm 193 */
uint32_t BgL_h3z00_1322;
{ /* Unsafe/sha1.scm 194 */
uint32_t BgL_arg1370z00_1411;uint32_t BgL_arg1371z00_1412;
{ /* Unsafe/sha1.scm 194 */
uint32_t BgL_arg1372z00_1413;
BgL_arg1372z00_1413 = 
(uint32_t)(((long)4146)); 
BgL_arg1370z00_1411 = 
(BgL_arg1372z00_1413 << 
(int)(((long)16))); } 
BgL_arg1371z00_1412 = 
(uint32_t)(((long)21622)); 
BgL_h3z00_1322 = 
(BgL_arg1370z00_1411 | BgL_arg1371z00_1412); } 
{ /* Unsafe/sha1.scm 194 */
uint32_t BgL_h4z00_1323;
{ /* Unsafe/sha1.scm 195 */
uint32_t BgL_arg1367z00_1408;uint32_t BgL_arg1368z00_1409;
{ /* Unsafe/sha1.scm 195 */
uint32_t BgL_arg1369z00_1410;
BgL_arg1369z00_1410 = 
(uint32_t)(((long)50130)); 
BgL_arg1367z00_1408 = 
(BgL_arg1369z00_1410 << 
(int)(((long)16))); } 
BgL_arg1368z00_1409 = 
(uint32_t)(((long)57840)); 
BgL_h4z00_1323 = 
(BgL_arg1367z00_1408 | BgL_arg1368z00_1409); } 
{ /* Unsafe/sha1.scm 195 */

{ 
long BgL_iz00_1326;
BgL_iz00_1326 = ((long)0); 
BgL_zc3z04anonymousza31306ze3z87_1327:
if(
(BgL_iz00_1326<
VECTOR_LENGTH(BgL_mz00_25)))
{ /* Unsafe/sha1.scm 198 */
{ 
long BgL_tz00_1331;
BgL_tz00_1331 = ((long)0); 
BgL_zc3z04anonymousza31308ze3z87_1332:
if(
(BgL_tz00_1331<((long)16)))
{ /* Unsafe/sha1.scm 201 */
{ /* Unsafe/sha1.scm 202 */
uint32_t BgL_arg1311z00_1334;
BgL_arg1311z00_1334 = 
BGl_u32matrixzd2refzd2zz__sha1z00(BgL_mz00_25, 
(int)(BgL_iz00_1326), 
(int)(BgL_tz00_1331)); 
BGL_U32VSET(BgL_wz00_1313, BgL_tz00_1331, BgL_arg1311z00_1334); BUNSPEC; } 
{ 
long BgL_tz00_2791;
BgL_tz00_2791 = 
(BgL_tz00_1331+((long)1)); 
BgL_tz00_1331 = BgL_tz00_2791; 
goto BgL_zc3z04anonymousza31308ze3z87_1332;} }  else 
{ /* Unsafe/sha1.scm 201 */((bool_t)0); } } 
{ 
long BgL_tz00_1339;
BgL_tz00_1339 = ((long)16); 
BgL_zc3z04anonymousza31313ze3z87_1340:
if(
(BgL_tz00_1339<((long)80)))
{ /* Unsafe/sha1.scm 203 */
{ /* Unsafe/sha1.scm 204 */
uint32_t BgL_w0z00_1342;
{ /* Unsafe/sha1.scm 204 */
long BgL_tmpz00_2795;
BgL_tmpz00_2795 = 
(BgL_tz00_1339-((long)3)); 
BgL_w0z00_1342 = 
BGL_U32VREF(BgL_wz00_1313, BgL_tmpz00_2795); } 
{ /* Unsafe/sha1.scm 204 */
uint32_t BgL_w1z00_1343;
{ /* Unsafe/sha1.scm 205 */
long BgL_tmpz00_2798;
BgL_tmpz00_2798 = 
(BgL_tz00_1339-((long)8)); 
BgL_w1z00_1343 = 
BGL_U32VREF(BgL_wz00_1313, BgL_tmpz00_2798); } 
{ /* Unsafe/sha1.scm 205 */
uint32_t BgL_w2z00_1344;
{ /* Unsafe/sha1.scm 206 */
long BgL_tmpz00_2801;
BgL_tmpz00_2801 = 
(BgL_tz00_1339-((long)14)); 
BgL_w2z00_1344 = 
BGL_U32VREF(BgL_wz00_1313, BgL_tmpz00_2801); } 
{ /* Unsafe/sha1.scm 206 */
uint32_t BgL_w3z00_1345;
{ /* Unsafe/sha1.scm 207 */
long BgL_tmpz00_2804;
BgL_tmpz00_2804 = 
(BgL_tz00_1339-((long)16)); 
BgL_w3z00_1345 = 
BGL_U32VREF(BgL_wz00_1313, BgL_tmpz00_2804); } 
{ /* Unsafe/sha1.scm 207 */
uint32_t BgL_vz00_1346;
BgL_vz00_1346 = 
(BgL_w0z00_1342 ^ 
(BgL_w1z00_1343 ^ 
(BgL_w2z00_1344 ^ BgL_w3z00_1345))); 
{ /* Unsafe/sha1.scm 208 */

{ /* Unsafe/sha1.scm 209 */
uint32_t BgL_arg1315z00_1347;
BgL_arg1315z00_1347 = 
BGl_rotl32z00zz__sha1z00(BgL_vz00_1346, 
(int)(((long)1))); 
BGL_U32VSET(BgL_wz00_1313, BgL_tz00_1339, BgL_arg1315z00_1347); BUNSPEC; } } } } } } } 
{ 
long BgL_tz00_2813;
BgL_tz00_2813 = 
(BgL_tz00_1339+((long)1)); 
BgL_tz00_1339 = BgL_tz00_2813; 
goto BgL_zc3z04anonymousza31313ze3z87_1340;} }  else 
{ /* Unsafe/sha1.scm 203 */((bool_t)0); } } 
{ /* Unsafe/sha1.scm 213 */
uint32_t BgL_az00_1356;uint32_t BgL_bz00_1357;uint32_t BgL_cz00_1358;uint32_t BgL_dz00_1359;uint32_t BgL_ez00_1360;
BgL_az00_1356 = BgL_h0z00_1319; 
BgL_bz00_1357 = BgL_h1z00_1320; 
BgL_cz00_1358 = BgL_h2z00_1321; 
BgL_dz00_1359 = BgL_h3z00_1322; 
BgL_ez00_1360 = BgL_h4z00_1323; 
{ 
long BgL_tz00_1363;
BgL_tz00_1363 = ((long)0); 
BgL_zc3z04anonymousza31325ze3z87_1364:
if(
(BgL_tz00_1363<((long)80)))
{ /* Unsafe/sha1.scm 220 */
{ /* Unsafe/sha1.scm 221 */
long BgL_sz00_1366;
BgL_sz00_1366 = 
(BgL_tz00_1363/((long)20)); 
{ /* Unsafe/sha1.scm 221 */
uint32_t BgL_a5z00_1367;
BgL_a5z00_1367 = 
BGl_rotl32z00zz__sha1z00(BgL_az00_1356, 
(int)(((long)5))); 
{ /* Unsafe/sha1.scm 222 */
uint32_t BgL_fz00_1368;
BgL_fz00_1368 = 
BGl_fz00zz__sha1z00(
(int)(BgL_sz00_1366), BgL_bz00_1357, BgL_cz00_1358, BgL_dz00_1359); 
{ /* Unsafe/sha1.scm 223 */
uint32_t BgL_kz00_1369;
BgL_kz00_1369 = 
BGL_U32VREF(BGl_Kz00zz__sha1z00, BgL_sz00_1366); 
{ /* Unsafe/sha1.scm 224 */
uint32_t BgL_wz00_1370;
BgL_wz00_1370 = 
BGL_U32VREF(BgL_wz00_1313, BgL_tz00_1363); 
{ /* Unsafe/sha1.scm 225 */
uint32_t BgL_yz00_1371;
BgL_yz00_1371 = 
(BgL_a5z00_1367+
(BgL_fz00_1368+
(BgL_ez00_1360+
(BgL_kz00_1369+BgL_wz00_1370)))); 
{ /* Unsafe/sha1.scm 226 */

BgL_ez00_1360 = BgL_dz00_1359; 
BgL_dz00_1359 = BgL_cz00_1358; 
BgL_cz00_1358 = 
BGl_rotl32z00zz__sha1z00(BgL_bz00_1357, 
(int)(((long)30))); 
BgL_bz00_1357 = BgL_az00_1356; 
{ /* Unsafe/sha1.scm 231 */
uint32_t BgL_arg1327z00_1372;
{ /* Unsafe/sha1.scm 231 */
uint32_t BgL_arg1328z00_1373;uint32_t BgL_arg1330z00_1374;
{ /* Unsafe/sha1.scm 231 */
uint32_t BgL_arg1332z00_1375;
BgL_arg1332z00_1375 = 
(uint32_t)(((long)65535)); 
BgL_arg1328z00_1373 = 
(BgL_arg1332z00_1375 << 
(int)(((long)16))); } 
BgL_arg1330z00_1374 = 
(uint32_t)(((long)65535)); 
BgL_arg1327z00_1372 = 
(BgL_arg1328z00_1373 | BgL_arg1330z00_1374); } 
BgL_az00_1356 = 
(BgL_yz00_1371 & BgL_arg1327z00_1372); } } } } } } } } 
{ 
long BgL_tz00_2836;
BgL_tz00_2836 = 
(BgL_tz00_1363+((long)1)); 
BgL_tz00_1363 = BgL_tz00_2836; 
goto BgL_zc3z04anonymousza31325ze3z87_1364;} }  else 
{ /* Unsafe/sha1.scm 220 */((bool_t)0); } } 
{ /* Unsafe/sha1.scm 233 */
uint32_t BgL_arg1339z00_1381;uint32_t BgL_arg1340z00_1382;
BgL_arg1339z00_1381 = 
(BgL_h0z00_1319+BgL_az00_1356); 
{ /* Unsafe/sha1.scm 233 */
uint32_t BgL_arg1341z00_1383;uint32_t BgL_arg1343z00_1384;
{ /* Unsafe/sha1.scm 233 */
uint32_t BgL_arg1344z00_1385;
BgL_arg1344z00_1385 = 
(uint32_t)(((long)65535)); 
BgL_arg1341z00_1383 = 
(BgL_arg1344z00_1385 << 
(int)(((long)16))); } 
BgL_arg1343z00_1384 = 
(uint32_t)(((long)65535)); 
BgL_arg1340z00_1382 = 
(BgL_arg1341z00_1383 | BgL_arg1343z00_1384); } 
BgL_h0z00_1319 = 
(BgL_arg1339z00_1381 & BgL_arg1340z00_1382); } 
{ /* Unsafe/sha1.scm 234 */
uint32_t BgL_arg1345z00_1386;uint32_t BgL_arg1346z00_1387;
BgL_arg1345z00_1386 = 
(BgL_h1z00_1320+BgL_bz00_1357); 
{ /* Unsafe/sha1.scm 234 */
uint32_t BgL_arg1347z00_1388;uint32_t BgL_arg1348z00_1389;
{ /* Unsafe/sha1.scm 234 */
uint32_t BgL_arg1349z00_1390;
BgL_arg1349z00_1390 = 
(uint32_t)(((long)65535)); 
BgL_arg1347z00_1388 = 
(BgL_arg1349z00_1390 << 
(int)(((long)16))); } 
BgL_arg1348z00_1389 = 
(uint32_t)(((long)65535)); 
BgL_arg1346z00_1387 = 
(BgL_arg1347z00_1388 | BgL_arg1348z00_1389); } 
BgL_h1z00_1320 = 
(BgL_arg1345z00_1386 & BgL_arg1346z00_1387); } 
{ /* Unsafe/sha1.scm 235 */
uint32_t BgL_arg1350z00_1391;uint32_t BgL_arg1351z00_1392;
BgL_arg1350z00_1391 = 
(BgL_h2z00_1321+BgL_cz00_1358); 
{ /* Unsafe/sha1.scm 235 */
uint32_t BgL_arg1352z00_1393;uint32_t BgL_arg1353z00_1394;
{ /* Unsafe/sha1.scm 235 */
uint32_t BgL_arg1354z00_1395;
BgL_arg1354z00_1395 = 
(uint32_t)(((long)65535)); 
BgL_arg1352z00_1393 = 
(BgL_arg1354z00_1395 << 
(int)(((long)16))); } 
BgL_arg1353z00_1394 = 
(uint32_t)(((long)65535)); 
BgL_arg1351z00_1392 = 
(BgL_arg1352z00_1393 | BgL_arg1353z00_1394); } 
BgL_h2z00_1321 = 
(BgL_arg1350z00_1391 & BgL_arg1351z00_1392); } 
{ /* Unsafe/sha1.scm 236 */
uint32_t BgL_arg1356z00_1396;uint32_t BgL_arg1357z00_1397;
BgL_arg1356z00_1396 = 
(BgL_h3z00_1322+BgL_dz00_1359); 
{ /* Unsafe/sha1.scm 236 */
uint32_t BgL_arg1358z00_1398;uint32_t BgL_arg1359z00_1399;
{ /* Unsafe/sha1.scm 236 */
uint32_t BgL_arg1360z00_1400;
BgL_arg1360z00_1400 = 
(uint32_t)(((long)65535)); 
BgL_arg1358z00_1398 = 
(BgL_arg1360z00_1400 << 
(int)(((long)16))); } 
BgL_arg1359z00_1399 = 
(uint32_t)(((long)65535)); 
BgL_arg1357z00_1397 = 
(BgL_arg1358z00_1398 | BgL_arg1359z00_1399); } 
BgL_h3z00_1322 = 
(BgL_arg1356z00_1396 & BgL_arg1357z00_1397); } 
{ /* Unsafe/sha1.scm 237 */
uint32_t BgL_arg1361z00_1401;uint32_t BgL_arg1362z00_1402;
BgL_arg1361z00_1401 = 
(BgL_h4z00_1323+BgL_ez00_1360); 
{ /* Unsafe/sha1.scm 237 */
uint32_t BgL_arg1363z00_1403;uint32_t BgL_arg1364z00_1404;
{ /* Unsafe/sha1.scm 237 */
uint32_t BgL_arg1365z00_1405;
BgL_arg1365z00_1405 = 
(uint32_t)(((long)65535)); 
BgL_arg1363z00_1403 = 
(BgL_arg1365z00_1405 << 
(int)(((long)16))); } 
BgL_arg1364z00_1404 = 
(uint32_t)(((long)65535)); 
BgL_arg1362z00_1402 = 
(BgL_arg1363z00_1403 | BgL_arg1364z00_1404); } 
BgL_h4z00_1323 = 
(BgL_arg1361z00_1401 & BgL_arg1362z00_1402); } } 
{ 
long BgL_iz00_2873;
BgL_iz00_2873 = 
(BgL_iz00_1326+((long)1)); 
BgL_iz00_1326 = BgL_iz00_2873; 
goto BgL_zc3z04anonymousza31306ze3z87_1327;} }  else 
{ /* Unsafe/sha1.scm 198 */((bool_t)0); } } 
return 
BGl_u160zd2ze3stringz31zz__sha1z00(BgL_h0z00_1319, BgL_h1z00_1320, BgL_h2z00_1321, BgL_h3z00_1322, BgL_h4z00_1323);} } } } } } } } 

}



/* sha1sum-string */
BGL_EXPORTED_DEF obj_t BGl_sha1sumzd2stringzd2zz__sha1z00(obj_t BgL_strz00_28)
{
{ /* Unsafe/sha1.scm 253 */
{ /* Unsafe/sha1.scm 256 */
long BgL_lenz00_1426;
BgL_lenz00_1426 = 
STRING_LENGTH(BgL_strz00_28); 
{ /* Unsafe/sha1.scm 256 */
long BgL_lz00_1427;
{ /* Unsafe/sha1.scm 257 */
long BgL_tmpz00_2877;
{ /* Unsafe/sha1.scm 257 */
obj_t BgL_tmpz00_2878;
{ /* Unsafe/sha1.scm 245 */
obj_t BgL_rz00_2219;
BgL_rz00_2219 = 
BGl_2zf2zf2zz__r4_numbers_6_5z00(
BINT(
(BgL_lenz00_1426+((long)1))), 
BINT(((long)4))); 
if(
INTEGERP(BgL_rz00_2219))
{ /* Unsafe/sha1.scm 246 */
BgL_tmpz00_2878 = BgL_rz00_2219
; }  else 
{ /* Unsafe/sha1.scm 246 */
BgL_tmpz00_2878 = 
BINT(
(long)(
REAL_TO_DOUBLE(
BGl_ceilingz00zz__r4_numbers_6_5z00(BgL_rz00_2219))))
; } } 
BgL_tmpz00_2877 = 
(long)CINT(BgL_tmpz00_2878); } 
BgL_lz00_1427 = 
(BgL_tmpz00_2877+((long)2)); } 
{ /* Unsafe/sha1.scm 257 */
long BgL_nz00_1428;
{ /* Unsafe/sha1.scm 245 */
obj_t BgL_rz00_2225;
BgL_rz00_2225 = 
BGl_2zf2zf2zz__r4_numbers_6_5z00(
BINT(BgL_lz00_1427), 
BINT(((long)16))); 
if(
INTEGERP(BgL_rz00_2225))
{ /* Unsafe/sha1.scm 246 */
BgL_nz00_1428 = 
(long)CINT(BgL_rz00_2225); }  else 
{ /* Unsafe/sha1.scm 246 */
BgL_nz00_1428 = 
(long)(
REAL_TO_DOUBLE(
BGl_ceilingz00zz__r4_numbers_6_5z00(BgL_rz00_2225))); } } 
{ /* Unsafe/sha1.scm 258 */
obj_t BgL_mz00_1429;
BgL_mz00_1429 = 
make_vector(BgL_nz00_1428, BUNSPEC); 
{ /* Unsafe/sha1.scm 259 */

{ 
long BgL_iz00_1432;
BgL_iz00_1432 = ((long)0); 
BgL_zc3z04anonymousza31384ze3z87_1433:
if(
(BgL_iz00_1432<BgL_nz00_1428))
{ /* Unsafe/sha1.scm 261 */
{ /* Unsafe/sha1.scm 262 */
obj_t BgL_vecz00_1435;
{ /* Llib/srfi4.scm 451 */

BgL_vecz00_1435 = 
BGl_makezd2u32vectorzd2zz__srfi4z00(((long)16), (uint32_t)(0)); } 
{ 
long BgL_jz00_1438;
BgL_jz00_1438 = ((long)0); 
BgL_zc3z04anonymousza31386ze3z87_1439:
if(
(BgL_jz00_1438<((long)16)))
{ /* Unsafe/sha1.scm 263 */
{ /* Unsafe/sha1.scm 264 */
int BgL_nz00_1441;
BgL_nz00_1441 = 
(int)(
(
(BgL_iz00_1432*((long)64))+
(BgL_jz00_1438*((long)4)))); 
{ /* Unsafe/sha1.scm 264 */
uint32_t BgL_v0z00_1442;
BgL_v0z00_1442 = 
BGl_u32stringzd2refzd2zz__sha1z00(BgL_strz00_28, BgL_nz00_1441); 
{ /* Unsafe/sha1.scm 265 */
uint32_t BgL_v1z00_1443;
{ /* Unsafe/sha1.scm 266 */
long BgL_arg1401z00_1458;
BgL_arg1401z00_1458 = 
(
(long)(BgL_nz00_1441)+((long)1)); 
BgL_v1z00_1443 = 
BGl_u32stringzd2refzd2zz__sha1z00(BgL_strz00_28, 
(int)(BgL_arg1401z00_1458)); } 
{ /* Unsafe/sha1.scm 266 */
uint32_t BgL_v2z00_1444;
{ /* Unsafe/sha1.scm 267 */
long BgL_arg1400z00_1457;
BgL_arg1400z00_1457 = 
(
(long)(BgL_nz00_1441)+((long)2)); 
BgL_v2z00_1444 = 
BGl_u32stringzd2refzd2zz__sha1z00(BgL_strz00_28, 
(int)(BgL_arg1400z00_1457)); } 
{ /* Unsafe/sha1.scm 267 */
uint32_t BgL_v3z00_1445;
{ /* Unsafe/sha1.scm 268 */
long BgL_arg1399z00_1456;
BgL_arg1399z00_1456 = 
(
(long)(BgL_nz00_1441)+((long)3)); 
BgL_v3z00_1445 = 
BGl_u32stringzd2refzd2zz__sha1z00(BgL_strz00_28, 
(int)(BgL_arg1399z00_1456)); } 
{ /* Unsafe/sha1.scm 268 */
uint32_t BgL_vz00_1446;
{ /* Unsafe/sha1.scm 269 */
uint32_t BgL_arg1388z00_1447;uint32_t BgL_arg1389z00_1448;
{ /* Unsafe/sha1.scm 269 */
uint32_t BgL_arg1390z00_1449;
{ /* Unsafe/sha1.scm 269 */
long BgL_arg1392z00_1450;
{ /* Unsafe/sha1.scm 269 */
uint32_t BgL_tmpz00_2923;
BgL_tmpz00_2923 = 
(
(BgL_v0z00_1442 << 
(int)(((long)8))) | BgL_v1z00_1443); 
BgL_arg1392z00_1450 = 
(long)(BgL_tmpz00_2923); } 
BgL_arg1390z00_1449 = 
(uint32_t)(BgL_arg1392z00_1450); } 
BgL_arg1388z00_1447 = 
(BgL_arg1390z00_1449 << 
(int)(((long)16))); } 
{ /* Unsafe/sha1.scm 269 */
long BgL_arg1396z00_1453;
{ /* Unsafe/sha1.scm 269 */
uint32_t BgL_tmpz00_2931;
BgL_tmpz00_2931 = 
(
(BgL_v2z00_1444 << 
(int)(((long)8))) | BgL_v3z00_1445); 
BgL_arg1396z00_1453 = 
(long)(BgL_tmpz00_2931); } 
BgL_arg1389z00_1448 = 
(uint32_t)(BgL_arg1396z00_1453); } 
BgL_vz00_1446 = 
(BgL_arg1388z00_1447 | BgL_arg1389z00_1448); } 
{ /* Unsafe/sha1.scm 269 */

BGL_U32VSET(BgL_vecz00_1435, BgL_jz00_1438, BgL_vz00_1446); BUNSPEC; } } } } } } } 
VECTOR_SET(BgL_mz00_1429,BgL_iz00_1432,BgL_vecz00_1435); 
{ 
long BgL_jz00_2940;
BgL_jz00_2940 = 
(BgL_jz00_1438+((long)1)); 
BgL_jz00_1438 = BgL_jz00_2940; 
goto BgL_zc3z04anonymousza31386ze3z87_1439;} }  else 
{ /* Unsafe/sha1.scm 263 */((bool_t)0); } } } 
{ 
long BgL_iz00_2942;
BgL_iz00_2942 = 
(BgL_iz00_1432+((long)1)); 
BgL_iz00_1432 = BgL_iz00_2942; 
goto BgL_zc3z04anonymousza31384ze3z87_1433;} }  else 
{ /* Unsafe/sha1.scm 261 */((bool_t)0); } } 
return 
BGl_sha1z00zz__sha1z00(BgL_lenz00_1426, BgL_mz00_1429);} } } } } } 

}



/* &sha1sum-string */
obj_t BGl_z62sha1sumzd2stringzb0zz__sha1z00(obj_t BgL_envz00_2599, obj_t BgL_strz00_2600)
{
{ /* Unsafe/sha1.scm 253 */
{ /* Unsafe/sha1.scm 256 */
obj_t BgL_auxz00_2945;
if(
STRINGP(BgL_strz00_2600))
{ /* Unsafe/sha1.scm 256 */
BgL_auxz00_2945 = BgL_strz00_2600
; }  else 
{ 
obj_t BgL_auxz00_2948;
BgL_auxz00_2948 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1843z00zz__sha1z00, 
BINT(((long)10118)), BGl_string1844z00zz__sha1z00, BGl_string1845z00zz__sha1z00, BgL_strz00_2600); 
FAILURE(BgL_auxz00_2948,BFALSE,BFALSE);} 
return 
BGl_sha1sumzd2stringzd2zz__sha1z00(BgL_auxz00_2945);} } 

}



/* sha1sum-mmap */
BGL_EXPORTED_DEF obj_t BGl_sha1sumzd2mmapzd2zz__sha1z00(obj_t BgL_strz00_29)
{
{ /* Unsafe/sha1.scm 278 */
{ /* Unsafe/sha1.scm 281 */
long BgL_lenz00_1470;
{ /* Unsafe/sha1.scm 281 */
long BgL_tmpz00_2953;
BgL_tmpz00_2953 = 
BGL_MMAP_LENGTH(BgL_strz00_29); 
BgL_lenz00_1470 = 
(long)(BgL_tmpz00_2953); } 
{ /* Unsafe/sha1.scm 281 */
long BgL_lz00_1471;
{ /* Unsafe/sha1.scm 282 */
long BgL_tmpz00_2956;
{ /* Unsafe/sha1.scm 282 */
obj_t BgL_tmpz00_2957;
{ /* Unsafe/sha1.scm 245 */
obj_t BgL_rz00_2261;
BgL_rz00_2261 = 
BGl_2zf2zf2zz__r4_numbers_6_5z00(
BINT(
(BgL_lenz00_1470+((long)1))), 
BINT(((long)4))); 
if(
INTEGERP(BgL_rz00_2261))
{ /* Unsafe/sha1.scm 246 */
BgL_tmpz00_2957 = BgL_rz00_2261
; }  else 
{ /* Unsafe/sha1.scm 246 */
BgL_tmpz00_2957 = 
BINT(
(long)(
REAL_TO_DOUBLE(
BGl_ceilingz00zz__r4_numbers_6_5z00(BgL_rz00_2261))))
; } } 
BgL_tmpz00_2956 = 
(long)CINT(BgL_tmpz00_2957); } 
BgL_lz00_1471 = 
(BgL_tmpz00_2956+((long)2)); } 
{ /* Unsafe/sha1.scm 282 */
long BgL_nz00_1472;
{ /* Unsafe/sha1.scm 245 */
obj_t BgL_rz00_2267;
BgL_rz00_2267 = 
BGl_2zf2zf2zz__r4_numbers_6_5z00(
BINT(BgL_lz00_1471), 
BINT(((long)16))); 
if(
INTEGERP(BgL_rz00_2267))
{ /* Unsafe/sha1.scm 246 */
BgL_nz00_1472 = 
(long)CINT(BgL_rz00_2267); }  else 
{ /* Unsafe/sha1.scm 246 */
BgL_nz00_1472 = 
(long)(
REAL_TO_DOUBLE(
BGl_ceilingz00zz__r4_numbers_6_5z00(BgL_rz00_2267))); } } 
{ /* Unsafe/sha1.scm 283 */
obj_t BgL_mz00_1473;
BgL_mz00_1473 = 
make_vector(BgL_nz00_1472, BUNSPEC); 
{ /* Unsafe/sha1.scm 284 */

{ 
long BgL_iz00_1476;
BgL_iz00_1476 = ((long)0); 
BgL_zc3z04anonymousza31410ze3z87_1477:
if(
(BgL_iz00_1476<BgL_nz00_1472))
{ /* Unsafe/sha1.scm 286 */
{ /* Unsafe/sha1.scm 287 */
obj_t BgL_vecz00_1479;
{ /* Llib/srfi4.scm 451 */

BgL_vecz00_1479 = 
BGl_makezd2u32vectorzd2zz__srfi4z00(((long)16), (uint32_t)(0)); } 
{ 
long BgL_jz00_1482;
BgL_jz00_1482 = ((long)0); 
BgL_zc3z04anonymousza31412ze3z87_1483:
if(
(BgL_jz00_1482<((long)16)))
{ /* Unsafe/sha1.scm 288 */
{ /* Unsafe/sha1.scm 289 */
long BgL_nz00_1485;
{ /* Unsafe/sha1.scm 289 */
long BgL_tmpz00_2985;
BgL_tmpz00_2985 = 
(
(BgL_iz00_1476*((long)64))+
(BgL_jz00_1482*((long)4))); 
BgL_nz00_1485 = 
(long)(BgL_tmpz00_2985); } 
{ /* Unsafe/sha1.scm 289 */
uint32_t BgL_v0z00_1486;
BgL_v0z00_1486 = 
BGl_u32mmapzd2refzd2zz__sha1z00(BgL_strz00_29, BgL_nz00_1485); 
{ /* Unsafe/sha1.scm 290 */
uint32_t BgL_v1z00_1487;
{ /* Unsafe/sha1.scm 291 */
long BgL_arg1425z00_1502;
{ /* Unsafe/sha1.scm 291 */
long BgL_za71za7_2281;
BgL_za71za7_2281 = 
(long)(BgL_nz00_1485); 
BgL_arg1425z00_1502 = 
(BgL_za71za7_2281+((long)1)); } 
BgL_v1z00_1487 = 
BGl_u32mmapzd2refzd2zz__sha1z00(BgL_strz00_29, 
(long)(BgL_arg1425z00_1502)); } 
{ /* Unsafe/sha1.scm 291 */
uint32_t BgL_v2z00_1488;
{ /* Unsafe/sha1.scm 292 */
long BgL_arg1424z00_1501;
{ /* Unsafe/sha1.scm 292 */
long BgL_za71za7_2282;
BgL_za71za7_2282 = 
(long)(BgL_nz00_1485); 
BgL_arg1424z00_1501 = 
(BgL_za71za7_2282+((long)2)); } 
BgL_v2z00_1488 = 
BGl_u32mmapzd2refzd2zz__sha1z00(BgL_strz00_29, 
(long)(BgL_arg1424z00_1501)); } 
{ /* Unsafe/sha1.scm 292 */
uint32_t BgL_v3z00_1489;
{ /* Unsafe/sha1.scm 293 */
long BgL_arg1423z00_1500;
{ /* Unsafe/sha1.scm 293 */
long BgL_za71za7_2283;
BgL_za71za7_2283 = 
(long)(BgL_nz00_1485); 
BgL_arg1423z00_1500 = 
(BgL_za71za7_2283+((long)3)); } 
BgL_v3z00_1489 = 
BGl_u32mmapzd2refzd2zz__sha1z00(BgL_strz00_29, 
(long)(BgL_arg1423z00_1500)); } 
{ /* Unsafe/sha1.scm 293 */
uint32_t BgL_vz00_1490;
{ /* Unsafe/sha1.scm 294 */
uint32_t BgL_arg1414z00_1491;uint32_t BgL_arg1415z00_1492;
{ /* Unsafe/sha1.scm 294 */
uint32_t BgL_arg1416z00_1493;
{ /* Unsafe/sha1.scm 294 */
long BgL_arg1417z00_1494;
{ /* Unsafe/sha1.scm 294 */
uint32_t BgL_tmpz00_3003;
BgL_tmpz00_3003 = 
(
(BgL_v0z00_1486 << 
(int)(((long)8))) | BgL_v1z00_1487); 
BgL_arg1417z00_1494 = 
(long)(BgL_tmpz00_3003); } 
BgL_arg1416z00_1493 = 
(uint32_t)(BgL_arg1417z00_1494); } 
BgL_arg1414z00_1491 = 
(BgL_arg1416z00_1493 << 
(int)(((long)16))); } 
{ /* Unsafe/sha1.scm 294 */
long BgL_arg1420z00_1497;
{ /* Unsafe/sha1.scm 294 */
uint32_t BgL_tmpz00_3011;
BgL_tmpz00_3011 = 
(
(BgL_v2z00_1488 << 
(int)(((long)8))) | BgL_v3z00_1489); 
BgL_arg1420z00_1497 = 
(long)(BgL_tmpz00_3011); } 
BgL_arg1415z00_1492 = 
(uint32_t)(BgL_arg1420z00_1497); } 
BgL_vz00_1490 = 
(BgL_arg1414z00_1491 | BgL_arg1415z00_1492); } 
{ /* Unsafe/sha1.scm 294 */

BGL_U32VSET(BgL_vecz00_1479, BgL_jz00_1482, BgL_vz00_1490); BUNSPEC; } } } } } } } 
VECTOR_SET(BgL_mz00_1473,BgL_iz00_1476,BgL_vecz00_1479); 
{ 
long BgL_jz00_3020;
BgL_jz00_3020 = 
(BgL_jz00_1482+((long)1)); 
BgL_jz00_1482 = BgL_jz00_3020; 
goto BgL_zc3z04anonymousza31412ze3z87_1483;} }  else 
{ /* Unsafe/sha1.scm 288 */((bool_t)0); } } } 
{ 
long BgL_iz00_3022;
BgL_iz00_3022 = 
(BgL_iz00_1476+((long)1)); 
BgL_iz00_1476 = BgL_iz00_3022; 
goto BgL_zc3z04anonymousza31410ze3z87_1477;} }  else 
{ /* Unsafe/sha1.scm 286 */((bool_t)0); } } 
return 
BGl_sha1z00zz__sha1z00(BgL_lenz00_1470, BgL_mz00_1473);} } } } } } 

}



/* &sha1sum-mmap */
obj_t BGl_z62sha1sumzd2mmapzb0zz__sha1z00(obj_t BgL_envz00_2601, obj_t BgL_strz00_2602)
{
{ /* Unsafe/sha1.scm 278 */
{ /* Unsafe/sha1.scm 281 */
obj_t BgL_auxz00_3025;
if(
BGL_MMAPP(BgL_strz00_2602))
{ /* Unsafe/sha1.scm 281 */
BgL_auxz00_3025 = BgL_strz00_2602
; }  else 
{ 
obj_t BgL_auxz00_3028;
BgL_auxz00_3028 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1843z00zz__sha1z00, 
BINT(((long)11050)), BGl_string1846z00zz__sha1z00, BGl_string1847z00zz__sha1z00, BgL_strz00_2602); 
FAILURE(BgL_auxz00_3028,BFALSE,BFALSE);} 
return 
BGl_sha1sumzd2mmapzd2zz__sha1z00(BgL_auxz00_3025);} } 

}



/* sha1sum-port */
BGL_EXPORTED_DEF obj_t BGl_sha1sumzd2portzd2zz__sha1z00(obj_t BgL_ipz00_30)
{
{ /* Unsafe/sha1.scm 303 */
{ /* Unsafe/sha1.scm 306 */
obj_t BgL_bufz00_1514;
{ /* Ieee/string.scm 168 */

BgL_bufz00_1514 = 
make_string(((long)64), ((unsigned char)' ')); } 
{ 
long BgL_lenz00_1517;obj_t BgL_lz00_1518;long BgL_nlz00_1519;
BgL_lenz00_1517 = ((long)0); 
BgL_lz00_1518 = BNIL; 
BgL_nlz00_1519 = ((long)0); 
BgL_zc3z04anonymousza31435ze3z87_1520:
BGl_stringzd2fillz12zc0zz__r4_strings_6_7z00(BgL_bufz00_1514, ((unsigned char)'\000')); 
{ /* Unsafe/sha1.scm 312 */
obj_t BgL_cz00_1521;
{ /* Unsafe/sha1.scm 312 */
long BgL_nz00_2303;
BgL_nz00_2303 = 
bgl_rgc_blit_string(BgL_ipz00_30, 
BSTRING_TO_STRING(BgL_bufz00_1514), ((long)0), ((long)64)); 
{ /* Unsafe/sha1.scm 312 */
bool_t BgL_test1892z00_3037;
if(
(BgL_nz00_2303==((long)0)))
{ /* Unsafe/sha1.scm 312 */
BgL_test1892z00_3037 = 
rgc_buffer_eof_p(BgL_ipz00_30)
; }  else 
{ /* Unsafe/sha1.scm 312 */
BgL_test1892z00_3037 = ((bool_t)0)
; } 
if(BgL_test1892z00_3037)
{ /* Unsafe/sha1.scm 312 */
BgL_cz00_1521 = BEOF; }  else 
{ /* Unsafe/sha1.scm 312 */
BgL_cz00_1521 = 
BINT(BgL_nz00_2303); } } } 
{ /* Unsafe/sha1.scm 312 */
obj_t BgL_lz00_1522;
if(
EOF_OBJECTP(BgL_cz00_1521))
{ /* Unsafe/sha1.scm 313 */
BgL_lz00_1522 = 
BINT(((long)0)); }  else 
{ /* Unsafe/sha1.scm 313 */
BgL_lz00_1522 = BgL_cz00_1521; } 
{ /* Unsafe/sha1.scm 313 */
long BgL_nlenz00_1523;
BgL_nlenz00_1523 = 
(
(long)CINT(BgL_lz00_1522)+BgL_lenz00_1517); 
{ /* Unsafe/sha1.scm 314 */
obj_t BgL_vecz00_1524;
BgL_vecz00_1524 = 
BGl_makezd2u32vectorzd2zz__srfi4z00(((long)16), 
(uint32_t)(((long)0))); 
{ /* Unsafe/sha1.scm 315 */

if(
(
(long)CINT(BgL_lz00_1522)<((long)64)))
{ /* Unsafe/sha1.scm 316 */
long BgL_tmpz00_3052;
BgL_tmpz00_3052 = 
(long)CINT(BgL_lz00_1522); 
STRING_SET(BgL_bufz00_1514, BgL_tmpz00_3052, ((unsigned char)128)); }  else 
{ /* Unsafe/sha1.scm 316 */BFALSE; } 
{ 
long BgL_jz00_1528;
BgL_jz00_1528 = ((long)0); 
BgL_zc3z04anonymousza31437ze3z87_1529:
if(
(BgL_jz00_1528<((long)16)))
{ /* Unsafe/sha1.scm 317 */
{ /* Unsafe/sha1.scm 318 */
int BgL_nz00_1531;
BgL_nz00_1531 = 
(int)(
(BgL_jz00_1528*((long)4))); 
{ /* Unsafe/sha1.scm 318 */
uint32_t BgL_v0z00_1532;
{ /* Unsafe/sha1.scm 319 */
long BgL_tmpz00_3059;
BgL_tmpz00_3059 = 
(
STRING_REF(BgL_bufz00_1514, 
(long)(BgL_nz00_1531))); 
BgL_v0z00_1532 = 
(uint32_t)(BgL_tmpz00_3059); } 
{ /* Unsafe/sha1.scm 319 */
uint32_t BgL_v1z00_1533;
{ /* Unsafe/sha1.scm 320 */
long BgL_tmpz00_3064;
BgL_tmpz00_3064 = 
(
STRING_REF(BgL_bufz00_1514, 
(
(long)(BgL_nz00_1531)+((long)1)))); 
BgL_v1z00_1533 = 
(uint32_t)(BgL_tmpz00_3064); } 
{ /* Unsafe/sha1.scm 320 */
uint32_t BgL_v2z00_1534;
{ /* Unsafe/sha1.scm 321 */
long BgL_tmpz00_3070;
BgL_tmpz00_3070 = 
(
STRING_REF(BgL_bufz00_1514, 
(
(long)(BgL_nz00_1531)+((long)2)))); 
BgL_v2z00_1534 = 
(uint32_t)(BgL_tmpz00_3070); } 
{ /* Unsafe/sha1.scm 321 */
uint32_t BgL_v3z00_1535;
{ /* Unsafe/sha1.scm 322 */
long BgL_tmpz00_3076;
BgL_tmpz00_3076 = 
(
STRING_REF(BgL_bufz00_1514, 
(
(long)(BgL_nz00_1531)+((long)3)))); 
BgL_v3z00_1535 = 
(uint32_t)(BgL_tmpz00_3076); } 
{ /* Unsafe/sha1.scm 322 */
uint32_t BgL_vz00_1536;
{ /* Unsafe/sha1.scm 323 */
uint32_t BgL_arg1439z00_1537;uint32_t BgL_arg1440z00_1538;
{ /* Unsafe/sha1.scm 323 */
uint32_t BgL_arg1441z00_1539;
{ /* Unsafe/sha1.scm 323 */
long BgL_arg1442z00_1540;
{ /* Unsafe/sha1.scm 323 */
uint32_t BgL_tmpz00_3082;
BgL_tmpz00_3082 = 
(
(BgL_v0z00_1532 << 
(int)(((long)8))) | BgL_v1z00_1533); 
BgL_arg1442z00_1540 = 
(long)(BgL_tmpz00_3082); } 
BgL_arg1441z00_1539 = 
(uint32_t)(BgL_arg1442z00_1540); } 
BgL_arg1439z00_1537 = 
(BgL_arg1441z00_1539 << 
(int)(((long)16))); } 
{ /* Unsafe/sha1.scm 323 */
long BgL_arg1445z00_1543;
{ /* Unsafe/sha1.scm 323 */
uint32_t BgL_tmpz00_3090;
BgL_tmpz00_3090 = 
(
(BgL_v2z00_1534 << 
(int)(((long)8))) | BgL_v3z00_1535); 
BgL_arg1445z00_1543 = 
(long)(BgL_tmpz00_3090); } 
BgL_arg1440z00_1538 = 
(uint32_t)(BgL_arg1445z00_1543); } 
BgL_vz00_1536 = 
(BgL_arg1439z00_1537 | BgL_arg1440z00_1538); } 
{ /* Unsafe/sha1.scm 323 */

BGL_U32VSET(BgL_vecz00_1524, BgL_jz00_1528, BgL_vz00_1536); BUNSPEC; } } } } } } } 
{ 
long BgL_jz00_3098;
BgL_jz00_3098 = 
(BgL_jz00_1528+((long)1)); 
BgL_jz00_1528 = BgL_jz00_3098; 
goto BgL_zc3z04anonymousza31437ze3z87_1529;} }  else 
{ /* Unsafe/sha1.scm 317 */((bool_t)0); } } 
if(
(
(long)CINT(BgL_lz00_1522)<((long)64)))
{ /* Unsafe/sha1.scm 327 */
long BgL_flz00_1556;
{ /* Unsafe/sha1.scm 327 */
long BgL_tmpz00_3103;
{ /* Unsafe/sha1.scm 327 */
obj_t BgL_tmpz00_3104;
{ /* Unsafe/sha1.scm 245 */
obj_t BgL_rz00_2347;
BgL_rz00_2347 = 
BGl_2zf2zf2zz__r4_numbers_6_5z00(
BINT(
(BgL_nlenz00_1523+((long)1))), 
BINT(((long)4))); 
if(
INTEGERP(BgL_rz00_2347))
{ /* Unsafe/sha1.scm 246 */
BgL_tmpz00_3104 = BgL_rz00_2347
; }  else 
{ /* Unsafe/sha1.scm 246 */
BgL_tmpz00_3104 = 
BINT(
(long)(
REAL_TO_DOUBLE(
BGl_ceilingz00zz__r4_numbers_6_5z00(BgL_rz00_2347))))
; } } 
BgL_tmpz00_3103 = 
(long)CINT(BgL_tmpz00_3104); } 
BgL_flz00_1556 = 
(BgL_tmpz00_3103+((long)2)); } 
{ /* Unsafe/sha1.scm 327 */
long BgL_nz00_1557;
{ /* Unsafe/sha1.scm 245 */
obj_t BgL_rz00_2353;
BgL_rz00_2353 = 
BGl_2zf2zf2zz__r4_numbers_6_5z00(
BINT(BgL_flz00_1556), 
BINT(((long)16))); 
if(
INTEGERP(BgL_rz00_2353))
{ /* Unsafe/sha1.scm 246 */
BgL_nz00_1557 = 
(long)CINT(BgL_rz00_2353); }  else 
{ /* Unsafe/sha1.scm 246 */
BgL_nz00_1557 = 
(long)(
REAL_TO_DOUBLE(
BGl_ceilingz00zz__r4_numbers_6_5z00(BgL_rz00_2353))); } } 
{ /* Unsafe/sha1.scm 328 */
obj_t BgL_mz00_1558;
{ /* Unsafe/sha1.scm 331 */
obj_t BgL_arg1457z00_1559;
{ /* Unsafe/sha1.scm 331 */
obj_t BgL_arg1458z00_1560;
if(
(BgL_nz00_1557>
(((long)1)+BgL_nlz00_1519)))
{ /* Unsafe/sha1.scm 332 */
obj_t BgL_arg1461z00_1563;obj_t BgL_arg1462z00_1564;
BgL_arg1461z00_1563 = 
BGl_makezd2u32vectorzd2zz__srfi4z00(((long)16), (uint32_t)(0)); 
BgL_arg1462z00_1564 = 
MAKE_YOUNG_PAIR(BgL_vecz00_1524, BgL_lz00_1518); 
BgL_arg1458z00_1560 = 
MAKE_YOUNG_PAIR(BgL_arg1461z00_1563, BgL_arg1462z00_1564); }  else 
{ /* Unsafe/sha1.scm 331 */
BgL_arg1458z00_1560 = 
MAKE_YOUNG_PAIR(BgL_vecz00_1524, BgL_lz00_1518); } 
BgL_arg1457z00_1559 = 
bgl_reverse_bang(BgL_arg1458z00_1560); } 
BgL_mz00_1558 = 
BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_arg1457z00_1559); } 
{ /* Unsafe/sha1.scm 329 */

return 
BGl_sha1z00zz__sha1z00(BgL_nlenz00_1523, BgL_mz00_1558);} } } }  else 
{ /* Unsafe/sha1.scm 335 */
obj_t BgL_arg1466z00_1568;long BgL_arg1467z00_1569;
BgL_arg1466z00_1568 = 
MAKE_YOUNG_PAIR(BgL_vecz00_1524, BgL_lz00_1518); 
BgL_arg1467z00_1569 = 
(BgL_nlz00_1519+((long)1)); 
{ 
long BgL_nlz00_3140;obj_t BgL_lz00_3139;long BgL_lenz00_3138;
BgL_lenz00_3138 = BgL_nlenz00_1523; 
BgL_lz00_3139 = BgL_arg1466z00_1568; 
BgL_nlz00_3140 = BgL_arg1467z00_1569; 
BgL_nlz00_1519 = BgL_nlz00_3140; 
BgL_lz00_1518 = BgL_lz00_3139; 
BgL_lenz00_1517 = BgL_lenz00_3138; 
goto BgL_zc3z04anonymousza31435ze3z87_1520;} } } } } } } } } } 

}



/* &sha1sum-port */
obj_t BGl_z62sha1sumzd2portzb0zz__sha1z00(obj_t BgL_envz00_2603, obj_t BgL_ipz00_2604)
{
{ /* Unsafe/sha1.scm 303 */
{ /* Unsafe/sha1.scm 306 */
obj_t BgL_auxz00_3141;
if(
INPUT_PORTP(BgL_ipz00_2604))
{ /* Unsafe/sha1.scm 306 */
BgL_auxz00_3141 = BgL_ipz00_2604
; }  else 
{ 
obj_t BgL_auxz00_3144;
BgL_auxz00_3144 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1843z00zz__sha1z00, 
BINT(((long)11985)), BGl_string1848z00zz__sha1z00, BGl_string1849z00zz__sha1z00, BgL_ipz00_2604); 
FAILURE(BgL_auxz00_3144,BFALSE,BFALSE);} 
return 
BGl_sha1sumzd2portzd2zz__sha1z00(BgL_auxz00_3141);} } 

}



/* sha1sum-file */
BGL_EXPORTED_DEF obj_t BGl_sha1sumzd2filezd2zz__sha1z00(obj_t BgL_fnamez00_31)
{
{ /* Unsafe/sha1.scm 340 */
{ /* Unsafe/sha1.scm 341 */
obj_t BgL_mmz00_1574;
BgL_mmz00_1574 = 
BGl_openzd2mmapzd2zz__mmapz00(BgL_fnamez00_31, BTRUE, BFALSE); 
if(
BGL_MMAPP(BgL_mmz00_1574))
{ /* Unsafe/sha1.scm 343 */
obj_t BgL_exitd1073z00_1576;
BgL_exitd1073z00_1576 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Unsafe/sha1.scm 345 */
obj_t BgL_zc3z04anonymousza31470ze3z87_2605;
BgL_zc3z04anonymousza31470ze3z87_2605 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31470ze3ze5zz__sha1z00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31470ze3z87_2605, 
(int)(((long)0)), BgL_mmz00_1574); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_exitd1073z00_1576, BgL_zc3z04anonymousza31470ze3z87_2605); 
{ /* Unsafe/sha1.scm 344 */
obj_t BgL_tmp1075z00_1578;
BgL_tmp1075z00_1578 = 
BGl_sha1sumzd2mmapzd2zz__sha1z00(BgL_mmz00_1574); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_exitd1073z00_1576); 
BGl_z62zc3z04anonymousza31470ze3ze5zz__sha1z00(BgL_zc3z04anonymousza31470ze3z87_2605); 
return BgL_tmp1075z00_1578;} } }  else 
{ /* Unsafe/sha1.scm 346 */
obj_t BgL_pz00_1581;
{ /* Ieee/port.scm 440 */

BgL_pz00_1581 = 
BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(BgL_fnamez00_31, BTRUE, 
BINT(((long)5000000))); } 
{ /* Unsafe/sha1.scm 347 */
obj_t BgL_exitd1076z00_1582;
BgL_exitd1076z00_1582 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Unsafe/sha1.scm 349 */
obj_t BgL_zc3z04anonymousza31471ze3z87_2606;
BgL_zc3z04anonymousza31471ze3z87_2606 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31471ze3ze5zz__sha1z00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31471ze3z87_2606, 
(int)(((long)0)), BgL_pz00_1581); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_exitd1076z00_1582, BgL_zc3z04anonymousza31471ze3z87_2606); 
{ /* Unsafe/sha1.scm 348 */
obj_t BgL_tmp1078z00_1584;
BgL_tmp1078z00_1584 = 
BGl_sha1sumzd2portzd2zz__sha1z00(BgL_pz00_1581); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_exitd1076z00_1582); 
BGl_z62zc3z04anonymousza31471ze3ze5zz__sha1z00(BgL_zc3z04anonymousza31471ze3z87_2606); 
return BgL_tmp1078z00_1584;} } } } } } 

}



/* &sha1sum-file */
obj_t BGl_z62sha1sumzd2filezb0zz__sha1z00(obj_t BgL_envz00_2607, obj_t BgL_fnamez00_2608)
{
{ /* Unsafe/sha1.scm 340 */
{ /* Unsafe/sha1.scm 341 */
obj_t BgL_auxz00_3174;
if(
STRINGP(BgL_fnamez00_2608))
{ /* Unsafe/sha1.scm 341 */
BgL_auxz00_3174 = BgL_fnamez00_2608
; }  else 
{ 
obj_t BgL_auxz00_3177;
BgL_auxz00_3177 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1843z00zz__sha1z00, 
BINT(((long)13262)), BGl_string1850z00zz__sha1z00, BGl_string1845z00zz__sha1z00, BgL_fnamez00_2608); 
FAILURE(BgL_auxz00_3177,BFALSE,BFALSE);} 
return 
BGl_sha1sumzd2filezd2zz__sha1z00(BgL_auxz00_3174);} } 

}



/* &<@anonymous:1470> */
obj_t BGl_z62zc3z04anonymousza31470ze3ze5zz__sha1z00(obj_t BgL_envz00_2609)
{
{ /* Unsafe/sha1.scm 343 */
{ /* Unsafe/sha1.scm 345 */
obj_t BgL_mmz00_2610;
BgL_mmz00_2610 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_2609, 
(int)(((long)0)))); 
return 
bgl_close_mmap(BgL_mmz00_2610);} } 

}



/* &<@anonymous:1471> */
obj_t BGl_z62zc3z04anonymousza31471ze3ze5zz__sha1z00(obj_t BgL_envz00_2611)
{
{ /* Unsafe/sha1.scm 347 */
{ /* Unsafe/sha1.scm 349 */
obj_t BgL_pz00_2612;
BgL_pz00_2612 = 
PROCEDURE_REF(BgL_envz00_2611, 
(int)(((long)0))); 
return 
bgl_close_input_port(
((obj_t)BgL_pz00_2612));} } 

}



/* sha1sum */
BGL_EXPORTED_DEF obj_t BGl_sha1sumz00zz__sha1z00(obj_t BgL_objz00_32)
{
{ /* Unsafe/sha1.scm 354 */
if(
BGL_MMAPP(BgL_objz00_32))
{ /* Unsafe/sha1.scm 356 */
return 
BGl_sha1sumzd2mmapzd2zz__sha1z00(BgL_objz00_32);}  else 
{ /* Unsafe/sha1.scm 356 */
if(
STRINGP(BgL_objz00_32))
{ /* Unsafe/sha1.scm 358 */
return 
BGl_sha1sumzd2stringzd2zz__sha1z00(BgL_objz00_32);}  else 
{ /* Unsafe/sha1.scm 358 */
if(
INPUT_PORTP(BgL_objz00_32))
{ /* Unsafe/sha1.scm 360 */
return 
BGl_sha1sumzd2portzd2zz__sha1z00(BgL_objz00_32);}  else 
{ /* Unsafe/sha1.scm 360 */
return 
BGl_errorz00zz__errorz00(BGl_string1851z00zz__sha1z00, BGl_string1852z00zz__sha1z00, BgL_objz00_32);} } } } 

}



/* &sha1sum */
obj_t BGl_z62sha1sumz62zz__sha1z00(obj_t BgL_envz00_2613, obj_t BgL_objz00_2614)
{
{ /* Unsafe/sha1.scm 354 */
return 
BGl_sha1sumz00zz__sha1z00(BgL_objz00_2614);} 

}



/* hmac-sha1sum-string */
BGL_EXPORTED_DEF obj_t BGl_hmaczd2sha1sumzd2stringz00zz__sha1z00(obj_t BgL_keyz00_33, obj_t BgL_messagez00_34)
{
{ /* Unsafe/sha1.scm 368 */
return 
BGl_hmaczd2stringzd2zz__hmacz00(BgL_keyz00_33, BgL_messagez00_34, BGl_sha1sumzd2stringzd2envz00zz__sha1z00);} 

}



/* &hmac-sha1sum-string */
obj_t BGl_z62hmaczd2sha1sumzd2stringz62zz__sha1z00(obj_t BgL_envz00_2615, obj_t BgL_keyz00_2616, obj_t BgL_messagez00_2617)
{
{ /* Unsafe/sha1.scm 368 */
{ /* Unsafe/sha1.scm 369 */
obj_t BgL_auxz00_3209;obj_t BgL_auxz00_3202;
if(
STRINGP(BgL_messagez00_2617))
{ /* Unsafe/sha1.scm 369 */
BgL_auxz00_3209 = BgL_messagez00_2617
; }  else 
{ 
obj_t BgL_auxz00_3212;
BgL_auxz00_3212 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1843z00zz__sha1z00, 
BINT(((long)14229)), BGl_string1853z00zz__sha1z00, BGl_string1845z00zz__sha1z00, BgL_messagez00_2617); 
FAILURE(BgL_auxz00_3212,BFALSE,BFALSE);} 
if(
STRINGP(BgL_keyz00_2616))
{ /* Unsafe/sha1.scm 369 */
BgL_auxz00_3202 = BgL_keyz00_2616
; }  else 
{ 
obj_t BgL_auxz00_3205;
BgL_auxz00_3205 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1843z00zz__sha1z00, 
BINT(((long)14229)), BGl_string1853z00zz__sha1z00, BGl_string1845z00zz__sha1z00, BgL_keyz00_2616); 
FAILURE(BgL_auxz00_3205,BFALSE,BFALSE);} 
return 
BGl_hmaczd2sha1sumzd2stringz00zz__sha1z00(BgL_auxz00_3202, BgL_auxz00_3209);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__sha1z00()
{
{ /* Unsafe/sha1.scm 17 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__sha1z00()
{
{ /* Unsafe/sha1.scm 17 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__sha1z00()
{
{ /* Unsafe/sha1.scm 17 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__sha1z00()
{
{ /* Unsafe/sha1.scm 17 */
BGl_modulezd2initializa7ationz75zz__paramz00(((long)453939141), 
BSTRING_TO_STRING(BGl_string1854z00zz__sha1z00)); 
return 
BGl_modulezd2initializa7ationz75zz__hmacz00(((long)285132844), 
BSTRING_TO_STRING(BGl_string1854z00zz__sha1z00));} 

}

#ifdef __cplusplus
}
#endif
