/*===========================================================================*/
/*   (Unsafe/hmac.scm)                                                       */
/*   Bigloo (4.4b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon 22 Mar 2021 06:56:16 PM CET     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.4b -rm -copt -w -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.4b -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -c Unsafe/hmac.scm -indent -o objs/obj_u/Unsafe/hmac.c) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	static obj_t BGl_requirezd2initializa7ationz75zz__hmacz00 = BUNSPEC;
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__hmacz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__base64z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	static obj_t BGl_genericzd2initzd2zz__hmacz00();
	extern obj_t BGl_stringzd2hexzd2internz12z12zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__hmacz00();
	static obj_t BGl_gczd2rootszd2initz00zz__hmacz00();
	static obj_t BGl_objectzd2initzd2zz__hmacz00();
	BGL_EXPORTED_DECL obj_t BGl_hmaczd2stringzd2zz__hmacz00(obj_t, obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__hmacz00();
	extern obj_t blit_string(obj_t, long, obj_t, long, long);
	extern obj_t make_string(long, unsigned char);
	extern obj_t string_append(obj_t, obj_t);
	extern obj_t make_string_sans_fill(long);
	static obj_t BGl_z62hmaczd2stringzb0zz__hmacz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string1613z00zz__hmacz00,
		BgL_bgl_string1613za700za7za7_1618za7,
		"/tmp/bigloo/runtime/Unsafe/hmac.scm", 35);
	      DEFINE_STRING(BGl_string1614z00zz__hmacz00,
		BgL_bgl_string1614za700za7za7_1619za7, "&hmac-string", 12);
	      DEFINE_STRING(BGl_string1615z00zz__hmacz00,
		BgL_bgl_string1615za700za7za7_1620za7, "bstring", 7);
	      DEFINE_STRING(BGl_string1616z00zz__hmacz00,
		BgL_bgl_string1616za700za7za7_1621za7, "procedure", 9);
	      DEFINE_STRING(BGl_string1617z00zz__hmacz00,
		BgL_bgl_string1617za700za7za7_1622za7, "__hmac", 6);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_hmaczd2stringzd2envz00zz__hmacz00,
		BgL_bgl_za762hmacza7d2string1623z00, BGl_z62hmaczd2stringzb0zz__hmacz00, 0L,
		BUNSPEC, 3);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zz__hmacz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__hmacz00(long
		BgL_checksumz00_1956, char *BgL_fromz00_1957)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__hmacz00))
				{
					BGl_requirezd2initializa7ationz75zz__hmacz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zz__hmacz00();
					BGl_importedzd2moduleszd2initz00zz__hmacz00();
					return BGl_methodzd2initzd2zz__hmacz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__hmacz00()
	{
		{	/* Unsafe/hmac.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* hmac-string */
	BGL_EXPORTED_DEF obj_t BGl_hmaczd2stringzd2zz__hmacz00(obj_t BgL_keyz00_3,
		obj_t BgL_messagez00_4, obj_t BgL_hashz00_5)
	{
		{	/* Unsafe/hmac.scm 57 */
			{	/* Unsafe/hmac.scm 61 */
				obj_t BgL_keybz00_1229;

				BgL_keybz00_1229 = make_string(((long) 64), ((unsigned char) '\000'));
				{	/* Unsafe/hmac.scm 63 */
					obj_t BgL_ixorz00_1230;

					BgL_ixorz00_1230 = make_string_sans_fill(((long) 64));
					{	/* Unsafe/hmac.scm 64 */
						obj_t BgL_oxorz00_1231;

						BgL_oxorz00_1231 = make_string_sans_fill(((long) 64));
						{	/* Unsafe/hmac.scm 65 */

							{	/* Unsafe/hmac.scm 67 */
								long BgL_keyzd2lengthzd2_1232;

								BgL_keyzd2lengthzd2_1232 = STRING_LENGTH(BgL_keyz00_3);
								if ((BgL_keyzd2lengthzd2_1232 > ((long) 64)))
									{	/* Unsafe/hmac.scm 69 */
										obj_t BgL_arg1194z00_1234;

										{	/* Unsafe/hmac.scm 69 */
											obj_t BgL_arg1196z00_1235;

											BgL_arg1196z00_1235 =
												PROCEDURE_ENTRY(BgL_hashz00_5) (BgL_hashz00_5,
												BgL_keyz00_3, BEOA);
											BgL_arg1194z00_1234 =
												BGl_stringzd2hexzd2internz12z12zz__r4_strings_6_7z00
												(BgL_arg1196z00_1235);
										}
										blit_string(BgL_arg1194z00_1234, ((long) 0),
											BgL_keybz00_1229, ((long) 0), ((long) 16));
									}
								else
									{	/* Unsafe/hmac.scm 68 */
										blit_string(BgL_keyz00_3, ((long) 0), BgL_keybz00_1229,
											((long) 0), BgL_keyzd2lengthzd2_1232);
							}}
							{
								long BgL_iz00_1237;

								BgL_iz00_1237 = ((long) 0);
							BgL_zc3z04anonymousza31197ze3z87_1238:
								if ((BgL_iz00_1237 < ((long) 64)))
									{	/* Unsafe/hmac.scm 74 */
										long BgL_xiz00_1240;

										BgL_xiz00_1240 =
											(STRING_REF(BgL_keybz00_1229, BgL_iz00_1237));
										{	/* Unsafe/hmac.scm 75 */
											unsigned char BgL_tmpz00_1982;

											BgL_tmpz00_1982 = ((((long) 54) ^ BgL_xiz00_1240));
											STRING_SET(BgL_ixorz00_1230, BgL_iz00_1237,
												BgL_tmpz00_1982);
										}
										{	/* Unsafe/hmac.scm 76 */
											unsigned char BgL_tmpz00_1986;

											BgL_tmpz00_1986 = ((((long) 92) ^ BgL_xiz00_1240));
											STRING_SET(BgL_oxorz00_1231, BgL_iz00_1237,
												BgL_tmpz00_1986);
										}
										{
											long BgL_iz00_1990;

											BgL_iz00_1990 = (BgL_iz00_1237 + ((long) 1));
											BgL_iz00_1237 = BgL_iz00_1990;
											goto BgL_zc3z04anonymousza31197ze3z87_1238;
										}
									}
								else
									{	/* Unsafe/hmac.scm 73 */
										((bool_t) 0);
									}
							}
							{	/* Unsafe/hmac.scm 82 */
								obj_t BgL_arg1207z00_1248;

								{	/* Unsafe/hmac.scm 82 */
									obj_t BgL_arg1208z00_1249;

									{	/* Unsafe/hmac.scm 82 */
										obj_t BgL_arg1210z00_1250;

										{	/* Unsafe/hmac.scm 82 */
											obj_t BgL_arg1211z00_1251;

											BgL_arg1211z00_1251 =
												string_append(BgL_ixorz00_1230, BgL_messagez00_4);
											BgL_arg1210z00_1250 =
												PROCEDURE_ENTRY(BgL_hashz00_5) (BgL_hashz00_5,
												BgL_arg1211z00_1251, BEOA);
										}
										BgL_arg1208z00_1249 =
											BGl_stringzd2hexzd2internz12z12zz__r4_strings_6_7z00
											(BgL_arg1210z00_1250);
									}
									BgL_arg1207z00_1248 =
										string_append(BgL_oxorz00_1231, BgL_arg1208z00_1249);
								}
								return
									PROCEDURE_ENTRY(BgL_hashz00_5) (BgL_hashz00_5,
									BgL_arg1207z00_1248, BEOA);
							}
						}
					}
				}
			}
		}

	}



/* &hmac-string */
	obj_t BGl_z62hmaczd2stringzb0zz__hmacz00(obj_t BgL_envz00_1946,
		obj_t BgL_keyz00_1947, obj_t BgL_messagez00_1948, obj_t BgL_hashz00_1949)
	{
		{	/* Unsafe/hmac.scm 57 */
			{	/* Unsafe/hmac.scm 59 */
				obj_t BgL_auxz00_2017;
				obj_t BgL_auxz00_2010;
				obj_t BgL_auxz00_2003;

				if (PROCEDUREP(BgL_hashz00_1949))
					{	/* Unsafe/hmac.scm 59 */
						BgL_auxz00_2017 = BgL_hashz00_1949;
					}
				else
					{
						obj_t BgL_auxz00_2020;

						BgL_auxz00_2020 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1613z00zz__hmacz00,
							BINT(((long) 2036)), BGl_string1614z00zz__hmacz00,
							BGl_string1616z00zz__hmacz00, BgL_hashz00_1949);
						FAILURE(BgL_auxz00_2020, BFALSE, BFALSE);
					}
				if (STRINGP(BgL_messagez00_1948))
					{	/* Unsafe/hmac.scm 59 */
						BgL_auxz00_2010 = BgL_messagez00_1948;
					}
				else
					{
						obj_t BgL_auxz00_2013;

						BgL_auxz00_2013 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1613z00zz__hmacz00,
							BINT(((long) 2036)), BGl_string1614z00zz__hmacz00,
							BGl_string1615z00zz__hmacz00, BgL_messagez00_1948);
						FAILURE(BgL_auxz00_2013, BFALSE, BFALSE);
					}
				if (STRINGP(BgL_keyz00_1947))
					{	/* Unsafe/hmac.scm 59 */
						BgL_auxz00_2003 = BgL_keyz00_1947;
					}
				else
					{
						obj_t BgL_auxz00_2006;

						BgL_auxz00_2006 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1613z00zz__hmacz00,
							BINT(((long) 2036)), BGl_string1614z00zz__hmacz00,
							BGl_string1615z00zz__hmacz00, BgL_keyz00_1947);
						FAILURE(BgL_auxz00_2006, BFALSE, BFALSE);
					}
				return
					BGl_hmaczd2stringzd2zz__hmacz00(BgL_auxz00_2003, BgL_auxz00_2010,
					BgL_auxz00_2017);
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__hmacz00()
	{
		{	/* Unsafe/hmac.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__hmacz00()
	{
		{	/* Unsafe/hmac.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__hmacz00()
	{
		{	/* Unsafe/hmac.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__hmacz00()
	{
		{	/* Unsafe/hmac.scm 15 */
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 453939141),
				BSTRING_TO_STRING(BGl_string1617z00zz__hmacz00));
			return
				BGl_modulezd2initializa7ationz75zz__base64z00(((long) 67813413),
				BSTRING_TO_STRING(BGl_string1617z00zz__hmacz00));
		}

	}

#ifdef __cplusplus
}
#endif
